<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once '../lib/gettext/gettext.inc';
include_once '../inc/config.inc.php';
include_once '../inc/func_log.inc.php';
if ((CheckURLLog(TRUE) == FALSE) OR (CheckNivLog('5-9') == FALSE)) {
    header('Location: ../index.php');
}
include_once '../inc/fic_zc.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Impression Liste Agences'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>

<?php
entimplst(_('AGENCES'));

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstage();
$rech .= crestr_triord($age_titre_col, 'age_code', FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table
echo '<table class="MItable" border="0" width="100%" cellpadding="0" cellspacing="0">';

// création entête
titimplst($age_titre_col);

// création des lignes
foreach ($rows as $row) {
    $row = encode_str($row);
    echo '<tr>';
    echo '<td>' . $row['age_code'];
    if ($row['age_ouvert'] == FALSE) {
        echo '<br />' . _('Est fermée depuis le ') . datetolocal($row['age_datec']);
    }
    echo '</td>';
    echo '<td>' . $row['age_nom'] . '</td>';
    echo '<td>' . $row['age_telf'] . '</td>';
    echo '<td align="center">' . Retournecp_Id($row['age_ville'], FALSE) . '</td>';
    echo '<td align="center">' . Retournepays($row['age_codepays'], FALSE) . '</td>';
    echo '<td>';
    $tab_zone = tab_zcc_age_open_full($row['age_code'], FALSE);
    $idx = 0;
    foreach ($tab_zone as $key => $value) {
        if ($idx > 0) {
            echo '<br />';
        }
        echo $value;
        $idx++;
    }
    echo '</td>';
    echo '<td>' . $row['age_email'] . '</td>';
    echo '</tr>';
}
echo '</table>';
// *** Fin affichage de la table
close_database();

?>
</body>
</html>