<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

require_once '../lib/gettext/gettext.inc';
include_once '../inc/config.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_cocl.inc.php';
include_once '../inc/fic_int.inc.php';
include_once '../inc/fic_zc.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_time.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';

/*******************************************************************/
/* Récupération site en fonction code contrat et site déjà affiché */
/*******************************************************************/

session_start();


sleep(1);
if (array_key_exists('nco', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?nco=contrat_client_site_ca_cas";
}

function print_plain()
{
    header('Content-type: text/html; charset=UTF-8');
    $codecocl = $_REQUEST['nco'];
    $tab_nco = explode('_', $codecocl);
    $result = [];

    // Récupération des contrats de déduction
    $tab_cocl = get_cocl3($tab_nco[0], $tab_nco[1], $tab_nco[2], $tab_nco[3], $tab_nco[4]);
    if (count($tab_cocl) >0 ) {
        foreach ($tab_cocl as $key => $value) {
            $result[] = $key . '=' . $value;
        }
    }
    print implode(';', $result);
}

/**
 * @param $codecocl
 * @param $codecli
 * @param $idsite
 * @param $ca
 * @param $cas
 * @return array
 */
function get_cocl3($codecocl, $codecli, $idsite, $ca, $cas)
{
    $sitep = FALSE;
    $result = [];
    $result['chx'] = 0;
    $result['id'] = -2;

    // On vérifie la liste des sites possibles pour ce contrat
    $tab_sites = [];
    if ($codecocl <> '') {
        $lstsites = cree_str_lstsites_cocl($codecocl);
        if (trim($lstsites) <> '') {
            $tab_sites = explode('-', $lstsites);
        }
        // On vérifie si le site principal est aussi concerné
        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
        $rech = 'SELECT cocl_sitep FROM `' . TBCOCL . "` WHERE `cocl_code` = '" . $db->escape($codecocl) . "'";
        $row = $db->get_row($rech, ARRAY_A);
        close_database();
        if ($row) {
            extract($row);
            if ($cocl_sitep == 1) {
                $sitep = TRUE;
            }
        }
    } else {
        $tab_sites = give_tab_scli_age($codecli, $ca, $cas);
    }
    if (count($tab_sites) > 0) {
        if (exist_in_array($idsite, $tab_sites) == TRUE) {
            $result['id'] = (int)$idsite;
        } else {
            if ((int)$idsite <> -2) {
                if ((int)$idsite == 0) {
                    if ($sitep == TRUE) {
                        $result['id'] = 0;
                    } else {
                        $result['id'] = -2;
                    }
                }
            }
        }
        $result['chx'] = 1;
    } else {
        $result['id'] = 0;
    }

    $result['nsite'] = nom_scli($result['id'], TRUE);

    return $result;
}
