<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

/*****************************************************************/
/* Récupération détail pièce rattachée sur planning (choix RDV)  */
/*****************************************************************/

session_start();
sleep(1);
if (array_key_exists('rdv', $_REQUEST)) {
    $tomorrow = 0; //60*60*24; // en nb de secondes
    header("Cache-Control: max-age=$tomorrow");
    print_plain();
} else {
    print "Usage : $_SERVER[PHP_SELF]?rdv=un-id-RDV";
}

function print_plain()
{
    header('Content-type: text/html; charset=UTF-8');
    $detail = get_ratdetail((int)$_REQUEST['rdv']);
    print $detail;
}

/**
 * Renvoie le détail d'un rattachement
 *
 * @param $idrdv
 *
 * @return string
 */
function get_ratdetail($idrdv)
{

    require_once '../lib/gettext/gettext.inc';
    include_once '../inc/config.inc.php';
    include_once '../inc/func_date.inc.php';
    include_once '../inc/func_txt.inc.php';
    include_once '../classes/ezSQL/shared/ez_sql_core.php';
    include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
    include_once '../inc/func_sql.inc.php';

    $result = '';
    // On se connecte a la base
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rech = 'SELECT rdv_typrat, rdv_coderat FROM `' . TBRDV . "` WHERE rdv_id='" . $idrdv . "'";
    $row = $db->get_row($rech, ARRAY_A);
    close_database();
    if ($row) {
        switch ((int)$row['rdv_typrat']) {
            // Interventions
            case 1 :
                $rech2 = 'SELECT int_mat, int_pbm FROM `' . TBINT . "` WHERE int_code='" . $row['rdv_coderat'] . "'";
                $row2 = $db->get_row($rech2, ARRAY_A);
                if ($row2) {
                    $row2 = encode_str($row2);
                    $result = _('Matériel') . " :\n" . $row2['int_mat'] . "\n\n" . _('Travail à effectuer') . " :\n" . $row2['int_pbm'];
                }
                break;
            default :
                break;
        }
    }
    return $result;
}
