<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/fic_cocl.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$co = $_GET['co']; // Récupération code Contrat Client

$pbm_co = FALSE;

if ($co <> '') {
    // Récupération des informations intervention
    $row = lit_enr_cocl($co);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);

        $cocl_datecreaf = datetolocal($cocl_datecrea);
        $cocl_datemodf = datetolocal($cocl_datemod);
        $cocl_dateenvf = datetolocal($cocl_dateenv);
        $cocl_daterelf = datetolocal($cocl_daterel);
        $cocl_daterecf = datetolocal($cocl_daterec);
    } else {
        $pbm_co = TRUE;
    }
} else {
    $pbm_co = TRUE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Détail Contrat Client'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            add_func_click('ferm', 'sclose', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php
cre_ent_form(_('DETAIL DU CONTRAT CLIENT'), '', '', '', FALSE);
if ($pbm_co == FALSE) {
    ?>
    <p align="center"><span class="titre_gras"><?php echo $co; ?></span></p>

    <!-- Date de création et de modification -->
    <table width="100%" border="0">
        <tr>
            <td width="160" class="rubfrm" id="f_datecreaf" align="right"><?php echo _('Créé le'); ?></td>
            <td>
                <input name="datecreaf" type="text" id="datecreaf" value="<?php echo $cocl_datecreaf ?>" size="10"
                       maxlength="10" readonly="1">
                <?php
                echo '<span class="annot_petit_it">';
                echo ' ' . _('Par') . ' ' . Retournecreateur($cocl_codecrea, $admin_code);
                echo '</span>';
                ?>
            </td>
        </tr>
        <tr>
            <td width="160" class="rubfrm" id="f_datemodf" align="right"><?php echo _('Modifié le'); ?></td>
            <td>
                <input name="datemodf" type="text" id="datemodf" value="<?php echo $cocl_datemodf ?>" size="10"
                       maxlength="10" readonly="1">
                <?php
                echo '<span class="annot_petit_it">';
                echo ' ' . _('Par') . ' ' . Retournecreateur($cocl_codemod, $admin_code);
                echo '</span>';
                ?>
            </td>
        </tr>
        <tr>
            <td width="160" class="rubfrm" id="f_dateenvf" align="right"><?php echo _('Envoyé le'); ?></td>
            <td>
                <input name="dateenvf" type="text" id="dateenvf" value="<?php echo $cocl_dateenvf ?>" size="10"
                       maxlength="10" readonly="1">
            </td>
        </tr>
        <tr>
            <td width="160" class="rubfrm" id="f_dateenvf" align="right"><?php echo _('Relancé le'); ?></td>
            <td>
                <input name="daterelf" type="text" id="daterelf" value="<?php echo $cocl_daterelf ?>" size="10"
                       maxlength="10" readonly="1">
            </td>
        </tr>
        <tr>
            <td width="160" class="rubfrm" id="f_dateenvf" align="right"><?php echo _('Reçu le'); ?></td>
            <td>
                <input name="dateenvf" type="text" id="dateenvf" value="<?php echo $cocl_daterecf ?>" size="10"
                       maxlength="10" readonly="1">
            </td>
        </tr>
    </table>
    <br/>

    <!-- bouton de fermeture de la fenêtre -->
    <div align="center">
        <input name="ferm" type="button" class="bton_std" id="ferm" value="<?php echo _('Fermer la fenêtre'); ?>">
    </div>
    <?php
} else {
    close_fen_auto('', '');
}
?>
</body>
</html>
