<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_ret.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$tx = valpost('tx');

$code = str_majuscules(valpost('code'));
$nom = str_majuscules(valpost('nom'));
$expays = str_majuscules(valpost('excodepays'));
$pays = str_majuscules(valpost('codepays'));
$lng = str_majuscules(valpost('lng'));

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche Département
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBDEP . "` WHERE `dep_code` = '" . $db->escape($code) . "' AND `dep_codepays` = '$pays' AND `dep_lng` = '$lng'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech2 = 'INSERT INTO `' . TBDEP . "` (dep_code,dep_nom,dep_codepays,dep_lng) VALUES ('" . $db->escape($code) . "','" . $db->escape($nom) . "','$pays','$lng')";
            $db->query($rech2);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Département
    case 'edit' :
        if (dep_in_pays_used($code, $pays, FALSE) == TRUE) {
            $msg = _('Modification impossible');
            $retourliste = FALSE;
        } else {
            $rech = 'UPDATE `' . TBDEP . "` SET `dep_nom`='" . $db->escape($nom) . "', `dep_codepays`='" . $pays . "', `dep_lng`='" . $lng . "'";
            $rech .= " WHERE `dep_code` = '" . $db->escape($code) . "' AND `dep_codepays` = '" . $expays . "'";
            $db->query($rech);
            $msg = _('Fiche modifiée');
        }
        break;

    // Suppression de la fiche Département
    case 'del' :
        if (dep_in_pays_used($code, $pays, FALSE) == TRUE) {
            $msg = _('Ce département est déjà utilisé');
            $retourliste = FALSE;
        } else {
            $rech = 'SELECT COUNT(*) FROM `' . TBDEP . "` WHERE `dep_code` = '" . $db->escape($code) . "' AND `dep_codepays` = '$pays' AND `dep_lng`='$lng'";
            $nbres = $db->get_var($rech);
            if ($nbres == 1) {
                // Non - > suppression de la fiche Département
                $rech = 'DELETE FROM `' . TBDEP . "` WHERE `dep_code` = '" . $db->escape($code) . "' AND `dep_codepays` = '$pays' AND `dep_lng`='$lng'";
                $db->query($rech);
                $msg = _('Fiche supprimée');
            } else {
                $msg = _('Suppression impossible');
                $retourliste = FALSE;
            }
        }
        break;
}
close_database();
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Département'); ?></title>

        <?php include_once '../inc/header.inc.php'; ?>

        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                <?php
                if ($tx <> 'f') {
                    if ($retourliste == FALSE)
                        {echo "warn_txt('" . str_escape($msg) . "');";}
                }
                ?>
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    </head>
    <body>
<?php
if ($tx <> 'f') {
    include_once '../inc/entete.inc.php';
    cre_ent_form($titre, '', '', '', FALSE);
}
if ($tx <> 'f') {
    if ($retourliste == FALSE) {
        aff_ret_idx_man($td, 'dep_lst.php', _('Retour à la liste'), TRUE);
    } else {
        pop_ret_auto($msg, 'ok', 'dep_lst.php');
    }
} else {
    close_fen_auto('', 'fscomp');
}
if ($tx <> 'f') {
    include_once 'pied.php';
}
?>