<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/func.inc.php';
include_once '../inc/func_time.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_fic.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_cocl.inc.php';
include_once '../inc/fic_do.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_fici.inc.php';
include_once '../inc/fic_hum.inc.php';
include_once '../inc/fic_int.inc.php';
include_once '../inc/fic_ot.inc.php';
include_once '../inc/fic_plan.inc.php';
include_once '../inc/fic_rdv.inc.php';
include_once '../inc/fic_rel.inc.php';
include_once '../inc/fic_prm.inc.php';
include_once '../inc/fic_prmmail.inc.php';
include_once '../inc/fic_ret.inc.php';
include_once '../inc/fic_sig.inc.php';
include_once '../inc/fic_st.inc.php';
include_once '../inc/fic_statut.inc.php';
include_once '../inc/fic_taxes.inc.php';
include_once '../inc/fic_tac.inc.php';
include_once '../inc/fic_tec.inc.php';
include_once '../inc/fic_zc.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
check_modules();

$pbm_int = FALSE;
$pbm_cli = FALSE;
$tong = 1;
$nbartint = 0;
$nb_cocl = 0;
$nb_ot = 0;
$nb_ot_areg = 0;
$nb_tac = 0;
$nb_sites = 0;
$pxrevient = 0;
$int_code = '';
$int_idsite = 0;
$tab_codeages = [];
$tab_cocl = [];
$tab_cli = [];
$ot = '';
//$nong = 1; // Numéro d'onglet à afficher en premier
$totalint = 0;
$str_pbm = '';
$str_pbmfait = '';
$tab_pbmfait = [];
$tab_maitre = [];
$tab_ccli = [];
$url_affot = '';

$aff_detail = TRUE; // Possibilité d'afficher le détail d'une intervention
$aff_pj = TRUE; // Possibilité d'afficher le lien vers les pièces jointes d'une intervention
$view_trace = FALSE; // Possibilité d'afficher la traçabilité
$add_detail = TRUE; // Possibilité d'ajouter un détail complémentaire au détail type
$modif_haut = TRUE;
$select_tecr = TRUE; // Possibilité de modifier le technicien responsable
$modif_tect = TRUE; // Possibilité de modifier le technicien traitant
$sais_dtefin = TRUE; // Possibilité de modifier la date de cloture
$modif_plan = TRUE; // Possibilité de modifier le planning
$modif_st = TRUE; // Possibilité de gérer la sous-traitance
$aff_fait = TRUE; // Possibilité d'afficher le travail effectué + le détail
$aff_detrdv = TRUE; // Possibilité d'afficher le détail des RDV
$rdv_add = TRUE;
$aff_det_inth = TRUE;
$aff_pr = TRUE;
$aff_forfait = TRUE;
$aff_tect = TRUE;
$aff_rescocl = TRUE;
$aff_repcocl = TRUE;
$aff_gestpbm = TRUE;
$aff_pbm = TRUE;
$aff_fact_int = TRUE;
$select_age = TRUE;
$select_agesite = TRUE;
$select_urgence = TRUE;
$select_codecat = TRUE;
$select_gar = TRUE;
$select_codereg = TRUE; // Possibilité de modifier le mode de règlement
$sais_dtefinp = TRUE;
$sais_codeman = TRUE;
$sais_codeext = FALSE;
$sais_codeocli = TRUE;
$sais_mat = TRUE;
$sais_pbm = TRUE;
$sais_acpte = TRUE;
$sais_fait = TRUE;
$sais_dteprev = TRUE; // Possibilité de modifier la date pour prévenir le client
$send_mail = FALSE;
$check_tect_publique = TRUE;
$chx_tect = TRUE;
$chx_site = TRUE;
$chx_pbm = TRUE;
$select_ccli = TRUE;
$add_ccli = TRUE;
$select_cocl = TRUE;
$select_orig = TRUE;
$select_statut = TRUE;
$exist_rpbm_site = false;
$exist_rpbm_actif = false;

$verrou_int = FALSE;

// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td']; // Récupération type demande
$ci = $_GET['ci']; // Récupération code Intervention
$cc = $_GET['cc']; // Récupération code Client
$ca = $_GET['ca']; // Récupération code Agence
$co = $_GET['co']; // Récupération code contrat
$ot = $_GET['ot']; // Récupération code bon de travail
// Récupération id site intervention
$int_idsite = -2;
if (isset($_GET['sid'])) {
    $int_idsite = (int)$_GET['sid'];
}
$_SESSION['pbm_choisis'] = '';
$_SESSION['pbm_faits'] = '';

if ($td <> 'add') {
    if (isset($_GET['tong'])) {
        $tong = (int)valget('tong'); // Récupération Numéro d'onglet à afficher
        if (($tong < 1) OR ($tong > 3)) {
            $pbm_int = TRUE;
        }
    }
}

// On force des paramétrages si en mode client
if (CheckNivLog('1')) {
    $td = 'view';
    $ca = '';
    $tab_cli = give_tab_rcli($_SESSION['code_log'], TRUE);
}

// Récupération et Contrôle des informations bon de travail
if ($ot <> '') {
    $row = lit_enr_ot($ot);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);
        $cc = $ot_codecli;
        $int_idsite = $ot_idsite;
    } else {
        $pbm_int = TRUE;
    }
}

// Récupération et Contrôle des informations contrat
if (($co <> '') AND ($pbm_int == FALSE)) {
    $row = lit_enr_cocl($co);
    if (is_array($row)) {
        $row = encode_str($row);
        $int_codecocl = $co;
        extract($row);

        if ($cocl_codecli <> $cc) {
            $pbm_int = TRUE;
        }
    } else {
        $pbm_int = TRUE;
    }
}
// Récupération et Contrôle des informations intervention
if (($ci <> '') AND ($pbm_int == FALSE)) {
    $row = lit_enr_int($ci);

    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);

        // Construction du tableau des techniciens déjà affectés à cette intervention
        $_SESSION['tec_aff'] = give_tab_rows_tec_aff_int($int_code, TRUE, TRUE);

        // On vérifie les éventuels "hacks" sur l'intervention
        switch ($_SESSION['niv_log']) {
            // Contrôle qu'un client n'essaye pas de "hacker" une intervention
            case 1 :
                if ($int_codecli <> valsession('code_log')) {
                    if (exist_in_array($int_codecli, $tab_cli) == FALSE) {
                        $pbm_int = TRUE;
                    }
                }
                break;
            // Contrôle qu'une agence n'essaye pas de "hacker" une intervention
            case 3 :
            case 4 :
                if ($_SESSION['niv_log'] == 3) {
                    // Il y a un technicien responsable et ce n'est pas celui connecté
                    if (($int_codetec <> valsession('code_log')) AND ($int_codetec <> '-1')) {
                        // Il y a des techniciens traitants affectés
                        if (count($_SESSION['tec_aff']) > 0) {
                            // ... Et ce technicien connecté n'est pas dans la liste des techniciens afffectés
                            if (!in_array($_SESSION['code_log'], $_SESSION['tec_aff'],true)) {
                                $pbm_int = TRUE;
                            } else {
                                $chx_tect = FALSE;
                            }
                        }
                    }
                }

                if (($int_codeage <> valsession('code_age')) AND ($int_codeages <> valsession('code_age'))) {
                    // Intervention non gérée ?
                    if (trim($int_codeage) == '') {
                        // On vérifie si client couvert par l'agence
                        if (dep_in_zcc_age_open($cli_dep, $cli_codepays, valsession('code_age'), TRUE) == FALSE) {
                            $pbm_int = TRUE;
                        } else {
                            // On affecte l'intervention à cette agence
                            $int_codeage = valsession('code_age');
                            // On affecte le client à cette agence
                            $cli_prop = valsession('code_age');
                        }
                    } else {
                        $pbm_int = TRUE;
                    }
                }
                break;
            // Contrôle qu'un donneur d'ordres n'essaye pas de "hacker" une intervention
            case 6 :
            case 7 :
                if ($int_codedo <> valsession('code_do')) {
                    $pbm_int = TRUE;
                }
                if ((($int_codetec <> '') AND ($int_codetec <> '-1')) OR ($int_durees <> 0) OR ($int_fait <> '') OR ($int_dateprevf <> '') OR ($int_datefinf <> '')) {
                    $td = 'view';
                }
        }

        if ($pbm_int == FALSE) {
            // On vérifie le répertoire de stockage des pièces jointes de l'intervention
            $mess_err = check_fic_int($int_code, TRUE);

            if ($mess_err == '') {
                // On récupère les infos du compte client
                $row2 = lit_enr_cli($int_codecli, TRUE);
                if (is_array($row2)) {
                    $row2 = encode_str($row2);
                    extract($row2);
                }

                // Si intervention terminée, on force le mode "view"
                if (datetolocal($int_datefin) <> '') {
                    $td = 'view';
                }
            }
        }
    } else {
        $pbm_int = TRUE;
    }
} else if ($td <> 'add') {
    $pbm_int = TRUE;
}

// Récupération et Contrôle des informations client
if (($cc <> '') AND ($pbm_int == FALSE)) {
    $row = lit_enr_cli($cc, TRUE);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);

        // Si pas de société, pas de demandé par
        if (trim($cli_ste) == '') {
            $chx_site = FALSE;
            $select_ccli = FALSE;
            $add_ccli = FALSE;
            $int_idsite = 0;
        } else // On récupère le code maître (si le client fait partie d'un regroupement)
        {
            $tab_maitre = give_tab_maitre_cli($cli_code, TRUE);
        }
        $tab_ccli = give_tab_ccli($cli_code, (int)$int_idsite, $tab_maitre);

        // Si le client est affecté à une agence, on ne peut pas modifier l'agence gestionnaire de compte
        if ((trim($cli_prop) <> '') AND ($cli_prop <> NULL)) {
            $int_codeage = $cli_prop;
            $select_age = FALSE;
        }

        // Contrôle des hacks sur le code client
        switch (valsession('niv_log')) {
            // Client
            case 1 :
                if ($cli_code <> valsession('code_log')) {
                    if (exist_in_array($cli_code, $tab_cli) == FALSE) {
                        $pbm_cli = TRUE;
                    }
                }
                break;
            // Technicien ou agence
            case 3 :
            case 4 :
                if (client_age_ok($cli_code, valsession('code_age'), TRUE) == FALSE) {
                    // Le client n'est géré par l'agence, on vérifie si le site principal ou secondaire lui ont été affectés
                    if ($ci <> '') {
                        if (($int_codeage <> valsession('code_age')) AND ($int_codeages <> valsession('code_age'))) {
                            $pbm_cli = TRUE;
                        }
                    } else {
                        $pbm_cli = TRUE;
                    }
                }
                break;
            default :
                break;
        }


        if ($pbm_cli == FALSE) {

            // On vérifie les éventuels "hacks" sur le site secondaire de l'intervention
            if ($int_idsite > 0) {
                $row = lit_enr_scli_id($int_idsite, TRUE);
                if ($row) {
                    $row = encode_str($row);
                    extract($row);

                    // Le site demandé doit correspondre au client
                    if ($cli_code == $scli_codecli) {
                        // Contrôle qu'une agence n'essaye pas de "hacker" un site
                        switch (valsession('niv_log')) {
                            case 3 :
                            case 4 :
                                if ($cli_prop <> NULL) // Une agence est affectée à ce client
                                {
                                    if ($cli_prop <> valsession('code_age')) {
                                        switch ($scli_prop) {
                                            case '-1' :
                                                if (dep_in_zcc_age_open($scli_dep, $scli_codepays, valsession('code_age'), TRUE) == FALSE) {
                                                    $pbm_cli = TRUE;
                                                }
                                                break;
                                            case '0' :
                                                $pbm_cli = TRUE;
                                                break;
                                            default :
                                                if ($scli_prop <> valsession('code_age')) {
                                                    $pbm_cli = TRUE;
                                                }
                                                break;
                                        }
                                    }
                                }
                                break;
                            default :
                                break;
                        }
                    } else {
                        $pbm_cli = TRUE;
                    }
                } else {
                    $pbm_cli = TRUE;
                }
            }
        }

        /*
        if ($pbm_cli == FALSE) {
            // On vérifie le dossier de stockage du client
            $mess_err = check_fic_cli($cli_code, $cli_ste, $cli_nom, $cli_prenom, TRUE);
            if ($mess_err == '') {
                $int_codecli = $cli_code;
            } else
                $pbm_cli = TRUE;
        }
        */
    } else {
        $pbm_cli = TRUE;
    }
} else {
    $pbm_cli = TRUE;
}

if (($pbm_cli == FALSE) AND ($pbm_int == FALSE)) {
    if ($int_code <> '') {
        // Vérification qu'il existe bien des articles dans l'intervention
        $nbartint = nb_art_in_int($int_code);

        // Nombre de de bons travail pour cette intervention (même site)
        $nb_ot = nb_ot($int_code, $int_idsite); // Nombre de bons rattachés à l'intervention
        $nb_ot_areg = nb_ot_areg($int_codecli, $int_idsite); // A régulariser

        // Construction de la chaîne des problèmes sélectionnés pour cette intervention
        $lstpbm = cree_str_lstpbm_int($int_code);
        $_SESSION['pbm_choisis'] = $lstpbm;
        $str_pbm = cre_str_pbm_int($_SESSION['pbm_choisis']);
        $tab_pbmfait = cre_tab_pbmfait_int($_SESSION['pbm_choisis']);
        $_SESSION['pbm_faits'] = $tab_pbmfait;
        $str_pbmfait = cre_str_pbmfait_int($_SESSION['pbm_faits']);

        // Formatage des dates en français
        $int_datecreaf = datetolocal($int_datecrea);
        $int_datemodf = datetolocal($int_datemod);
        $int_dateddef = datetolocal($int_datedde);
        $int_datefinpf = datetolocal($int_datefinp);
        $int_dateprevf = datetolocal($int_dateprev);
        $int_datefinf = datetolocal($int_datefin);
        $int_datecertf = datetolocal($int_datecert);


        // Récupération du total travaillé & Techniciens traitants
        $nbtotalsec = 0;
        $nbtotalsecoff = 0;
        $str_tec_traitants = '';
        if ($td <> 'add') {
            $nbtotalsec = tps_travaille_int($ci, TRUE);

            // Si un utilisateur a quitté avant de sauver (bien qu'ayant modifié le détail horaire,
            // on remet en état car seul le détail horaire et technicien enregistré est valable
            if ($int_durees <> $nbtotalsec) {
                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                $rech = 'UPDATE `' . TBINT . "` SET `int_datemod`='" . $datea . "', `int_codemod`='" . $codeuser . "',`int_durees`='" . $nbtotalsec . "'";
                $rech .= " WHERE `int_code` = '" . $db->escape($int_code) . "'";
                $db->query($rech);
                $int_durees = $nbtotalsec;
                close_database();
            }
            $nbtotalsecoff = tps_offert_int($int_code, TRUE);
            $str_tec_traitants = str_tec_traitants_int($int_code, TRUE);

            // Calcul du prix de revient de l'intervention
            $pxrevient = px_revient_int($int_code, TRUE);
        }
    }

    switch ($td) {
        case 'add' :
            $modif_st = FALSE;
            $aff_det_inth = FALSE;
            $aff_detail = FALSE;
            $aff_fact_int = FALSE;
            // $rdv_add = FALSE;
            $int_dureem = 0;
            $int_dateddef = $datef;
            $int_code = crecodesession('I');
            $ci = $int_code;
            $int_codecli = $cc;
            $int_acpte = 0;
            $int_codecocl = $co;
            $int_codedo = '';
            if (CheckNivLog('6-7')) {
                $int_codedo = valsession('code_do');
            }
            $int_codest = '';
            $int_ddeur = '';
            $_SESSION['pbm_choisis'] = '';

            $int_codereg = 'EC';
            $int_codecat = 'CUR';
            // Affectation de l'agence gérant l'intervention
            // Affectation de l'agence gérant le site
            // Affectation du technicien responsable
            switch (valsession('niv_log')) {
                case 2 :
                    $int_codeage = $ca;
                    if (trim($cli_prop) <> '') {
                        $int_codeage = $cli_prop;
                    }
                    $rdv_add = FALSE;
                    break;
                case 3 :
                    $int_codeage = valsession('code_age');
                    $int_codeages = valsession('code_age');
                    $int_codetec = valsession('code_log');
                    break;
                case 4 :
                    $int_codeage = valsession('code_age');
                    $int_codeages = valsession('code_age');
                    break;
                default :
                    $int_codeage = $ca;
                    if ((trim($cli_prop) <> '') AND ($cli_prop <> NULL)) {
                        $int_codeage = $cli_prop;
                    }
                    $int_codeages = '';
                    break;
            }
            break;
        case 'edit' :
            break;
        case 'view' :
            $chx_site = FALSE;
            $add_ccli = FALSE;
            $rdv_add = FALSE;
            $modif_haut = FALSE;
            $sais_dteprev = FALSE;
            $select_codereg = FALSE;
            $sais_dtefin = FALSE;
            break;
        case 'del':
            $chx_site = FALSE;
            $add_ccli = FALSE;
            $aff_det_inth = FALSE;
            $rdv_add = FALSE;
            $modif_haut = FALSE;
            $sais_dteprev = FALSE;
            $select_codereg = FALSE;
            $sais_dtefin = FALSE;
            $modif_st = FALSE;
            break;
    }

    // Construction du tableau des agences couvrant le site du client
    $tab_codeages = give_tab_age_scli($int_code, $cli_code, $int_idsite);

    // On récupère le nombre de contrats actifs pour ce client
    if ($int_idsite > 0) {
        $tab_cocl = cre_tab_cocl_int($td, $ci, $cc, TRUE, $int_idsite);
    } else {
        $tab_cocl = cre_tab_cocl_int($td, $ci, $cc, TRUE);
    }
    $nb_cocl = count($tab_cocl);
    // Si pas de contrat, on ne peut pas choisir de contrat
    if ($nb_cocl == 0) {
        $select_cocl = FALSE;
        $aff_rescocl = FALSE;
        $aff_repcocl = FALSE;
    }
}

// Contrôle des droit utilisateurs sur le formulaire
if (($pbm_int == FALSE) AND ($pbm_cli == FALSE)) {
    switch ($_SESSION['niv_log']) {
        case 1 :
            $rdv_add = FALSE;

            if ($int_dateprevf == '') {
                $aff_fait = FALSE;
            }
            $add_detail = FALSE;
            $aff_detail = FALSE;
            $aff_det_inth = FALSE;
            $aff_pr = FALSE;
            $aff_tect = FALSE;
            $select_cocl = FALSE;
            $aff_rescocl = FALSE;
            $aff_repcocl = FALSE;
            $aff_gestpbm = FALSE;
            $modif_st = FALSE;
            $select_age = FALSE;
            $sais_codeocli = FALSE;
            $chx_pbm = FALSE;
            $aff_fact_int = FALSE;
            break;
        case 2 :
            $aff_detail = FALSE;
            $aff_pj = FALSE;
            $aff_tect = FALSE;
            $aff_gestpbm = FALSE;
            $modif_plan = FALSE;
            $rdv_add = FALSE;
            $modif_st = FALSE;
            $select_cocl = FALSE;
            $aff_rescocl = FALSE;
            $aff_repcocl = FALSE;
            $chx_pbm = FALSE;
            $select_gar = FALSE;
            $sais_acpte = FALSE;
            $aff_fact_int = FALSE;
            break;
        case 3 :
            // Droits sur technicien responsable et techniciens traitants
            $select_tecr = FALSE;
            $check_tect_publique = FALSE;

            // On vérifie si le technicien connecté est le technicien responsable
            if ($int_codetec <> '-1') // Dossier affecté
            {
                // On vérifie si le code technicien est égal au code du technicien responsable
                if (($int_codetec <> '') AND ($_SESSION['code_log'] <> $int_codetec)) {
                    // Il y a des techniciens traitants affectés
                    if (count($_SESSION['tec_aff']) > 0) {
                        // ... Et ce technicien connecté n'est pas dans la liste des techniciens afffectés
                        if (!in_array($tec_code, $_SESSION['tec_aff'],true)) {
                            $_SESSION['tec_aff'][] = valsession('code_log');
                        } // On l'ajoute
                    } else // Il n'y a aucun technicien affecté : On définit le technicien comme seul technicien affecté
                    {
                        $_SESSION['tec_aff'][] = valsession('code_log');
                    }
                }
            } else // Non affecté : le technicien devient le technicien responsable
            {
                $int_codeage = valsession('code_age');
                $int_codeages = valsession('code_age');
                $int_codetec = valsession('code_log');
            }

            // On affecte les droits
            // On vérifie si le code technicien est égal au code du technicien responsable
            if ($_SESSION['code_log'] <> $int_codetec) {
                $select_codecat = FALSE;
                $select_urgence = FALSE;
                $sais_dtefinp = FALSE;
                $sais_codeman = FALSE;
                $sais_codeocli = FALSE;
                $chx_tect = FALSE;
                $select_ccli = FALSE;
                $add_ccli = FALSE;
                $aff_repcocl = FALSE;
                $select_orig = FALSE;
                // $select_statut = FALSE;
                $modif_st = FALSE;
                $chx_pbm = FALSE;
                $sais_mat = FALSE;
                $sais_pbm = FALSE;
                $select_gar = FALSE;
                $sais_acpte = FALSE;
                $sais_dteprev = FALSE;
                $select_codereg = FALSE;
                $sais_dtefin = FALSE;

                $modif_haut = FALSE;
                $aff_detail = FALSE;
                $rdv_add = FALSE;
            } else {
                if (($td == 'edit') OR ($td == 'view')) {
                    $send_mail = TRUE;
                }
            }

            $select_age = FALSE;
            $select_agesite = FALSE;
            $aff_fact_int = FALSE;
            if (trim($int_codeage) <> '') // Dossier affecté
            {
                // Le code connecté est différent du code gestionnaire de l'intervention
                if ($_SESSION['code_age'] <> $int_codeage) {
                    $chx_site = FALSE;
                    $select_cocl = FALSE;
                }
            }

            // On vérifie les droits sur les PJ
            if (count($_SESSION['tec_aff']) > 0) {
                $aff_pj = in_array($_SESSION['code_log'], $_SESSION['tec_aff'],true);
            }
            break;
        case 4 :
            // On vérifie si l'agence connectée est l'agence gestionnaire de l'intervention
            if (trim($int_codeage) <> '') // Dossier affecté
            {
                // Le code connecté est différent du code gestionnaire de l'intervention
                if ($_SESSION['code_log'] <> $int_codeage) {
                    $select_codecat = FALSE;
                    $select_urgence = FALSE;
                    $sais_dtefinp = FALSE;
                    $sais_codeman = FALSE;
                    $sais_codeocli = FALSE;
                    $sais_codeocli = FALSE;
                    $chx_site = FALSE;
                    $select_cocl = FALSE;
                    $aff_repcocl = FALSE;
                    $select_orig = FALSE;
                    $modif_st = FALSE;
                    $aff_pr = FALSE;
                    $aff_forfait = FALSE;
                    $aff_gestpbm = FALSE;
                    $chx_pbm = FALSE;
                    $sais_mat = FALSE;
                    $sais_pbm = FALSE;
                    $select_gar = FALSE;
                    $sais_acpte = FALSE;
                    $sais_dteprev = FALSE;
                    $select_codereg = FALSE;
                    $aff_fact_int = FALSE;
                    $select_agesite = FALSE;
                    if (trim($int_codeages) <> '') // Gestionnaire de site affecté
                    {
                        if ($_SESSION['code_log'] <> $int_codeages) {
                            $select_statut = FALSE;
                        }
                        $modif_haut = FALSE;
                        // On vérifie si l'agence connectée est l'employeur du technicien responsable
                        if ($int_codetec <> '-1') {
                            $row = lit_enr_tec($int_codetec, TRUE);
                            if (is_array($row)) {
                                $row = encode_str($row);
                                extract($row);
                                if ($_SESSION['code_log'] <> $tec_codeage) {
                                    $aff_detail = FALSE;
                                    $select_tecr = FALSE;
                                    $sais_dteprev = FALSE;
                                    $select_codereg = FALSE;
                                    $sais_dtefin = FALSE;
                                }
                            } else {
                                $aff_detail = FALSE;
                                $select_tecr = FALSE;
                                $sais_dteprev = FALSE;
                                $select_codereg = FALSE;
                                $sais_dtefin = FALSE;
                            }
                        }
                    } else // Site pas affecté : l'agence devient le gestionnaire du site
                    {
                        $int_codeages = $_SESSION['code_log'];
                    }

                } else {
                    if ($int_forfait > 0) {
                        $aff_det_inth = FALSE;
                    } else {
                        $aff_forfait = FALSE;
                    }
                }
            } else // Dossier non affecté : l'agence devient gestionnaire de l'intervention et du site
            {
                $int_codeage = $_SESSION['code_log'];
                $int_codeages = $_SESSION['code_log'];
            }
            $select_age = FALSE;
            break;
        case 6 :
        case 7 :
            $aff_detail = FALSE;
            $aff_pj = FALSE;
            $aff_tect = FALSE;
            $aff_gestpbm = FALSE;
            $chx_pbm = FALSE;
            $modif_plan = FALSE;
            $aff_pr = FALSE;
            if ($int_forfait > 0) {
                $aff_det_inth = FALSE;
            } else {
                $aff_forfait = FALSE;
            }
            $modif_st = FALSE;
            $select_tecr = FALSE;
            $select_age = FALSE;
            $select_cocl = FALSE;
            $aff_repcocl = FALSE;
            $sais_codeext = TRUE;
            $sais_pbm = FALSE;
            $select_gar = FALSE;
            $sais_acpte = FALSE;
            $sais_fait = FALSE;
            $sais_dteprev = FALSE;
            $select_codereg = FALSE;
            $sais_dtefin = FALSE;
            $aff_fact_int = FALSE;
            break;
        case 10 :
        case 11 :
            $aff_detail = FALSE;
            $aff_pj = FALSE;
            $modif_plan = FALSE;
            $modif_st = FALSE;
            break;
        default :
            $view_trace = TRUE;
            if (($td == 'edit') OR ($td == 'view')) {
                $send_mail = TRUE;
            }
            break;
    }
}

if (($pbm_int == FALSE) AND ($pbm_cli == FALSE)) {
    // Validation du nombre de sites accessibles
    if ($int_codecocl <> '') {
        $lstsites = cree_str_lstsites_cocl($int_codecocl);
        if ($lstsites <> '') {
            $nb_sites = count(explode('-', $lstsites));
        }
    } else {
        $nb_sites = nb_scli_actifs($cli_code, '', TRUE);
    }

    // En cas de création, la devise par défaut de l'intervention dossier est celle du compte qui saisi
    if ($td == 'add') {
        switch (valsession('niv_log')) {
            case 3 :
            case 4 :
                $int_codeadev = give_dev_codea_defaut_age($_SESSION['code_age'], $_SESSION['lng'], TRUE);
                break;
            default :
                $int_codeadev = give_dev_codea_defaut($_SESSION['lng'], TRUE);
                break;
        }
    } else // Sinon, on récupère le code devise de l'intervention déjà créée
    {
        $int_codeadev = give_dev_codea_defaut_int($int_code, $_SESSION['lng'], TRUE);
    }

    // On récupère le code devise du compte qui visualise
    switch (valsession('niv_log')) {
        case 3 :
        case 4 :
            $codeadev_local = give_dev_codea_defaut_age($_SESSION['code_age'], $_SESSION['lng'], TRUE);
            break;
        default :
            $codeadev_local = give_dev_codea_defaut($_SESSION['lng'], TRUE);
            break;
    }

    // On vérifie s'il y a des problèmes sur le site concerné
    // Et, éventuellement, des problèmes affectés à l'intervention
    if ($modif_haut == TRUE) {
        $exist_rpbm_site = exist_rpbm_actif_site($td, $int_codecli, $int_code, $int_idsite);
        $exist_rpbm_actif = exist_rpbm_actif($td, $int_codecli, $int_code);
    }
}

// Récupération paramètres
$row = lit_enr_cons();
if ($row) {
    $row = encode_str($row);
    extract($row);
}

switch ($td) {
    case 'add' :
        if ($nb_sites == 0) {
            $int_idsite = 0;
        }


        if (CheckNivLog('6-7')) {
            $titre = _('SAISIE ORDRE INTERVENTION');
        } else {
            $titre = _('SAISIE INTERVENTION');
        }
        $view_trace = FALSE;
        $aff_pj = FALSE;
        $int_coclhnc = '';
        $int_coclded = '';
        break;
    case 'edit' :
        if (CheckNivLog('6-7')) {
            $titre = _('MISE A JOUR ORDRE INTERVENTION') . ' ' . $ot;
            $aff_detail = FALSE;
        } else {
            $titre = _('MISE A JOUR INTERVENTION') . ' ' . $ci;
        }
        break;
    case 'view' :
        if (CheckNivLog('1')) {
            $titre = _('DETAIL INTERVENTION') . ' ' . $ci;
        } else {
            if (CheckNivLog('6-7')) {
                $titre = _('VISUALISATION ORDRE INTERVENTION') . ' ' . $ot;
            } else {
                $titre = _('VISUALISATION INTERVENTION') . ' ' . $ci;
            }
        }
        break;
    case 'del':
        if (CheckNivLog('6-7')) {
            $titre = _('SUPPRESSION ORDRE INTERVENTION') . ' ' . $ot;
        } else {
            $titre = _('SUPPRESSION INTERVENTION') . ' ' . $ci;
        }
        break;
    default:
        $titre = _('PROBLEME');
        $pbm_int = TRUE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Intervention'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <?php
    if (($td == 'edit') OR ($td == 'add')) {
        ?>
        <script language="javascript">
            <!--
            var tab1_champ = ["nom:dateddef ; format:date ; masque:<?php echo $_SESSION['date_fmtfull']; ?> ; req:Y ; txt:<?php echo _('Date demande'); ?> ; stok:frmok ; stbad:frmbad",
                <?php
                if (CheckNivLog('3-4-5-9'))
                {
                    echo '"nom:codecat; format:liste ; req:Y ; txt:'._('Catégorie').' ; vmn:1 ; stok:frmok ; stbad:frmbad",';
                    echo '"nom:urgence; format:liste ; req:Y ; txt:'._('Niveau urgence').' ; stok:frmok ; stbad:frmbad",';
                }

                if (CheckNivLog('1-3-4-5-9'))
                {
                    echo '"nom:codeman; format:txt ; req:N ; txt:'._('Code manuel').' ; lmx:60 ; stok:frmok ; stbad:frmbad",';
                    echo '"nom:codeocli; format:txt ; req:N ; txt:'._('Code ordre client').' ; lmx:40 ; stok:frmok ; stbad:frmbad",';
                }

                echo '"nom:codeage; format:liste ; req:Y ; txt:'._('Gestionnaire du compte').' ; vmn:1 ; stok:frmok ; stbad:frmbad",';
                echo '"nom:agesite; format:liste ; req:Y ; txt:'._('Gestionnaire du site').' ; vmn:1 ; stok:frmok ; stbad:frmbad",';
                if ($td=='add')
                {
                    echo '"nom:codeorig; format:liste ; req:Y ; txt:'._('Origine demande').' ; vmn:1 ; stok:frmok ; stbad:frmbad",';
                    if ((valsession('niv_log') <> 2) AND (valsession('niv_log') <> 6) AND (valsession('niv_log') <> 7))
                        {echo '"nom:codetec; format:liste ; req:Y ; txt:'._('Responsable dossier').' ; vmn:1; stok:frmok ; stbad:frmbad",';}
                    if (valsession('niv_log') <> 2)  {
                        echo '"nom:acpte; format:reel_ns ; req:Y ; txt:'._('Acompte').' ; stok:frmok ; stbad:frmbad",';
                    }
                }
                else
                {
                    if ((valsession('niv_log') <> 2) AND (valsession('niv_log') <> 6) AND (valsession('niv_log') <> 7))
                        {echo '"nom:codetec; format:liste ; req:Y ; txt:'._('Responsable dossier').' ; vmn:1; stok:frmok ; stbad:frmbad",';}
                    echo '"nom:codereg; format:liste ; req:Y ; txt:'. _('Règlement').' ; vmn:1; stok:frmok ; stbad:frmbad",';
                    echo '"nom:fait; format:txt ; req:N ; txt:'._('Travail effectué').' ; stok:frmok ; stbad:frmbad",';
                }
                if ($cli_ste<> '')
                    {echo '"nom:ddeur; format:liste ; req:Y ; txt:'._('Demandé par').' ;  vmn:1 ; stok:frmok ; stbad:frmbad",';}
                ?>
                "nom:codestatut; format:liste ; req:Y ; txt:<?php echo _('Statut'); ?> ; vmn:1 ; stok:frmok ; stbad:frmbad"];
            //-->
        </script>
        <?php
    }

    if ($pbm_int == FALSE) { ?>
        <script type="text/javascript">
            <!--
            <?php
            cre_html_trdv('detmrdv',$td,$ci);
            cre_detail_factint('txtsfact',$ci,'');
            cre_html_pdti('detpdti',$td,$ci,$int_acpte);
            ?>

            function init_datepicker() {
                <?php include_once '../jscript/datepicker_prm.js.php'; ?>
                <?php if ($sais_dtefinp == TRUE) { ?>
                $("#datefinpf").datepicker({
                    beforeShow: function() {
                        var mindate = $('#dateddef').datepicker('getDate');
                        $(this).datepicker('option', 'minDate', mindate);
                    },
                    onSelect: function (datesel) {
                        $("#datefinpf").blur();
                        if (chk_datedif(datesel, this.id, '<?php echo valsession('date_fmtshort'); ?>', true, 'dateddef,today', '', '', false)) {
                            chk_date_affwarnech(this.id, 'warn_ech', '<?php echo valsession('date_fmtshort'); ?>', '', '', 'today');
                        }
                    }
                });
                <?php }

                if ($sais_dteprev == TRUE) { ?>
                $("#dateprevf").datepicker({
                    beforeShow: function() {
                        var $datefinf;
                        var maxdate;
                        var mindate = $('#dateddef').datepicker('getDate');
                        $(this).datepicker('option', 'minDate', mindate);
                        $datefinf = $('#datefinf');
                        if ($datefinf.val() !== '') {
                            maxdate = $datefinf.datepicker('getDate');
                        }
                        else
                        {
                            maxdate = 0;
                        }
                        $(this).datepicker('option', 'maxDate', maxdate);
                    },
                    onSelect: function (datesel) {
                        $("#dateprevf").blur();
                        if (chk_datedif(datesel, this.id, '<?php echo valsession('date_fmtshort'); ?>', true, 'dateddef', '', 'datefinf', false)) {
                            chk_dateprev_int(this.id, 'codetec,tect,idsite,lsthnc,lsttded,travail', true);
                        }
                    }
                });
                <?php }

                if ($sais_dtefin == TRUE) { ?>
                $("#datefinf").datepicker({
                    beforeShow: function() {
                        var mindate;
                        var $dateprevf = $('#dateprevf');
                        if ($dateprevf.val() !== '') {
                            mindate = $dateprevf.datepicker('getDate');
                        }
                        else
                        {
                            mindate = null;
                        }
                        $(this).datepicker('option', 'minDate', mindate);
                        $(this).datepicker('option', 'maxDate', 0);
                    },
                    onSelect: function (datesel) {
                        $("#datefinf").blur();
                        if (chk_datedif(datesel, this.id, '<?php echo valsession('date_fmtshort'); ?>', true, 'dateddef,dateprevf', '', '', false)) {
                            chk_datefin_int(this.id, 'codetec,tect,idsite,lsthnc,lsttded,travail,dateprevf,codereg', true);
                        }
                    }
                });
                <?php } ?>
            }

            function init_calculator() {
                <?php include_once '../jscript/calculator_prm.js.php'; ?>
                $('#acpte').calculator({
                    onClose: function(value, inst) {
                        fdeci(this.id, <?php echo valsession('num_nbdec'); ?>);
                    }
                });
                $('#forfait').calculator({
                    onClose: function(value, inst) {
                        fdeci(this.id, <?php echo valsession('num_nbdec'); ?>);
                    }
                });
            }

            function init_all() {
                init_Body();
                init_datepicker();
                init_autohref('tac', 'change', '', false);
                init_fdeci('acpte', <?php echo valsession('num_nbdec'); ?>);
                init_fdeci('forfait', <?php echo valsession('num_nbdec'); ?>);
                init_checkgar('gar', 'fgar', '');
                init_checkfgar('fgar', 'gar', '');
                update_detail_factint();
                <?php
            if ($cons_int_coupm == 1) {
                echo "fdeci('intcoupman', 0);";
                echo "init_fdeci('intcoupman', 0);";
            }
            switch ($td)
            {
                case 'add' :
                    echo '$( "#onglets_int" ).tabs();';
                    echo '$("#dateddef").datepicker({';
                    echo '    onSelect: function (datesel) {';
                    echo '        $("#dateddef").blur();';
                    echo "        chk_datedde('dateddef', '".valsession('date_fmtshort')."', true);";
                    echo '    },';
                    echo '});';
                    echo 'init_calculator();';
                    echo "init_warn('".nb_cli('')."cli','','back','','');";
                    echo "init_warn('".nb_tec_actifs()."tec','','back','','');";
                    echo "init_warn('".nb_age_actives()."age','','back','','');";
                    if ($rdv_add == TRUE)
                    {
                        echo "init_fensaisie('add_rdv',800,500);";
                        echo "init_fensaisie('add_rdv',800,500);";
                        echo "init_fensaisie('add2_rdv',800,500);";
                        echo "init_fensaisie('add3_rdv',800,500);";
                    }
                    switch (valsession('niv_log'))
                    {
                        case 2 :
                        case 6 :
                        case 7 :
                            break;
                        case 3 :
                        case 4 :
                            echo 'warn_cpta('.$cli_cpta.',"int");';
                            break;
                        default :
                            echo 'warn_cpta('.$cli_cpta.',"int");';
                            break;
                    }

                    if ($select_tecr==TRUE)
                    {
                        echo 'init_ajax_tec();';
                        echo 'init_ajax_tec3();';
                    }
                    else
                        {echo "readonly_id('codetec',false);";}
                    if ($select_age == FALSE)
                        {echo "readonly_id('codeage',false);";}
                    if ($select_agesite == TRUE)
                    {
                        echo 'init_ajax_tec_agesite();';
                        echo 'init_ajax_tec3_agesite();';
                    }
                    else
                        {echo "readonly_id('agesite',false);";}
                    if ($chx_site == TRUE)
                    {
                        if ($nb_sites>0)
                        {
                            echo "init_fen_scli('tdtitsite','fscomp',910,650,'int');";
                            echo "set_on_cursor('tdtitsite');";
                            echo "init_fen_scli('tddetsite','fscomp',910,650,'int');";
                            echo "set_on_cursor('tddetsite');";
                        }
                    }
                    /*
                    else
                        echo "readonly_id('agesite');";
                    */
                    if ($select_ccli == FALSE)
                        {echo "readonly_id('ddeur',false);";}
                    if ($add_ccli == TRUE)
                        {echo "init_fen_ctact('cli','addccli','fscomp',950,700,'int');";}
                    if ($select_cocl == TRUE)
                    {
                        if ($aff_rescocl == TRUE)
                        {
                            echo "chk_aff_rescocl('codecocl','res');";
                            echo "init_chk_aff_rescocl('codecocl','res');";
                        }
                        if ($aff_repcocl == TRUE)
                        {
                            echo "chk_aff_repcocl('codecocl','report_cocl');";
                            echo "('codecocl','report_cocl');";
                        }
                    }
                    else
                    {
                        if ($aff_rescocl == TRUE)
                            {echo "chk_aff_rescocl('codecocl','res');";}
                        if ($aff_repcocl == TRUE)
                            {echo "chk_aff_repcocl('codecocl','report_cocl');";}
                        echo "readonly_id('codecocl',false);";
                    }
                    echo "init_valid_int('enr','int_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_valid_int('enrimp','int_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_valid_int('enrmail','int_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    if ($check_tect_publique == FALSE)
                        {echo "readonly_id('publique',false);";}
                    if ($chx_tect == FALSE)
                    {
                        echo "readonly_id('tecaff',false);";
                        echo "readonly_id('tblchxtect',false);";
                    }
                    if ($select_orig == FALSE)
                        {echo "readonly_id('codeorig',false);";}
                    if ($select_statut == FALSE)
                        {echo "readonly_id('codestatut',false);";}
                    if ($aff_gestpbm == FALSE)
                    {
                        echo "$('#gestpbm').hide();";
                        echo "$('#gestpbmfait').hide();";
                    }
                    else
                    {
                        if ($chx_pbm == FALSE)
                            {echo "$('#addpbm').hide();";}
                        else
                            {echo "init_fen_rpbm('addpbm','fscomp',1024,600);";}
                        if ($aff_pbm == FALSE)
                        {
                            echo "$('#viewpbm').hide();";
                            echo "$('#viewpbmfait').hide();";
                        }
                        else
                        {
                            echo "update_detail_pbm(false,'detailpbm','".str_replace("'","\'",$str_pbm)."','viewpbm','viewpbmfait');";
                            echo "update_fait_pbm(false,'detailpbmfait','".str_replace("'","\'",$str_pbmfait)."','viewpbmfait');";
                            echo "init_display_id('viewpbm','poppbmselected',true,'click');";
                            echo "init_hide_id('closepbm','poppbmselected','click');";
                            echo "init_display_id('viewpbmfait','poppbmfaitselected',true,'click');";
                            echo "init_hide_id('closepbmfait','poppbmfaitselected','click');";
                        }
                    }
                    if ($sais_mat == FALSE)
                        {echo "readonly_id('mat',false);";}
                    if ($sais_pbm == FALSE)
                        {echo "readonly_id('pbm',false);";}
                    if ($select_gar == FALSE)
                    {
                        echo "readonly_id('gar',false);";
                        echo "readonly_id('fgar',false);";
                    }
                    if ($sais_acpte == FALSE)
                        {echo "readonly_id('acpte',false);";}
                    break;
                case 'edit' :
                    if ($tong == 2) {
                        echo '$( "#onglets_int" ).tabs({ active: 1 });';
                    }
                    else {
                        echo '$( "#onglets_int" ).tabs();';
                    }
                    echo 'init_calculator();';
                    echo "chk_aff_tpsoff('dureeoff');";
                    echo "init_chk_aff_tpsoff('dureeoff');";
                    if ($rdv_add == TRUE)
                    {
                        echo "init_fensaisie('add_rdv',800,500);";
                        echo "init_fensaisie('add2_rdv',800,500);";
                        echo "init_fensaisie('add3_rdv',800,500);";
                    }
                    if ($aff_fact_int == TRUE)
                        {echo "init_fensaisie('fact_int',800,450);";}
                    switch (valsession('niv_log'))
                    {
                        case 3 :
                        case 4 :
                            echo "$('#imprim2').show();";
                            echo "$('#imprim3').show();";
                            echo "$('#coupon').show();";
                            echo "chk_date_affwarnech('datefinpf','warn_ech','".valsession('date_fmtshort')."','','','today');";
                            echo 'warn_cpta('.$cli_cpta.',"int");';
                            echo "init_fen_imprim_int(1, 'imprim1', 'impression');";
                            echo "init_fen_imprim_int(2, 'imprim2', 'impression');";
                            echo "init_fen_imprim_int(3, 'imprim3', 'impression');";
                            echo "chk_int_pub('publique','techq','all_tecaff');";
                            echo "chk_int_tq('techq','publique','all_tecaff');";
                            echo "chk_int_allta('all_tecaff','publique','techq');";
                            echo 'updatmrdv();';
                            echo 'updatpdti();';
                            break;
                        case 6 :
                        case 7 :
                            break;
                        default :
                            echo "$('#imprim2').show();";
                            echo "$('#imprim3').show();";
                            echo "$('#coupon').show();";
                            echo "chk_aff_tpsoff('dureeoff');";
                            echo "init_chk_aff_tpsoff('dureeoff');";
                            echo "chk_date_affwarnech('datefinpf','warn_ech','".valsession('date_fmtshort')."','','','today');";
                            echo "init_fen_imprim_int(1, 'imprim1', 'impression');";
                            echo "init_fen_imprim_int(2, 'imprim2', 'impression');";
                            echo "init_fen_imprim_int(3, 'imprim3', 'impression');";
                            echo "chk_int_pub('publique','techq','all_tecaff');";
                            echo "chk_int_tq('techq','publique','all_tecaff');";
                            echo "chk_int_allta('all_tecaff','publique','techq');";
                            echo "init_fensaisie('chx_art',900,500);";
                            echo "init_fensaisie('chx_tpf',900,500);";
                            echo "init_fensaisie('fact_int',800,450);";
                            echo 'updatmrdv();';
                            echo 'updatpdti();';
                            echo 'warn_cpta('.$cli_cpta.',"int");';
                            break;
                    }
                    if ($chx_site == TRUE)
                    {
                        if ($nb_sites>0)
                        {
                            echo "init_fen_scli('tdtitsite','fscomp',910,650,'int');";
                            echo "set_on_cursor('tdtitsite');";
                            echo "init_fen_scli('tddetsite','fscomp',910,650,'int');";
                            echo "set_on_cursor('tddetsite');";
                        }
                    }
                    /*
                    else
                        echo "readonly_id('agesite');";
                    */
                    if ($add_ccli <> '')
                        {echo "init_fen_ctact('cli','addccli','fscomp',950,700,'int');";}
                    if ($select_cocl == TRUE)
                    {
                        if ($aff_rescocl == TRUE)
                        {
                            echo "chk_aff_rescocl('codecocl','res');";
                            echo "init_chk_aff_rescocl('codecocl','res');";
                        }
                        if ($aff_repcocl == TRUE)
                        {
                            echo "chk_aff_repcocl('codecocl','report_cocl');";
                            echo "init_chk_aff_repcocl('codecocl','report_cocl');";
                        }
                    }
                    else
                    {
                        if ($aff_rescocl == TRUE)
                            {echo "chk_aff_rescocl('codecocl','res');";}
                        if ($aff_repcocl == TRUE)
                            {echo "chk_aff_repcocl('codecocl','report_cocl');";}
                        echo "readonly_id('codecocl',false);";
                    }
                    echo 'check_typmail();';
                    echo 'show_popsendmail();';
                    echo 'hide_popsendmail();';
                    echo 'init_ajax_mail_int();';
                    echo 'init_ajax_mail_ext();';
                    echo "init_autoraz('razdateprevf','dateprevf','click');";
                    echo "init_autoraz('razdatefinf','datefinf','click');";
                    echo "chk_ot('det_ot','nbot','"._('Bons régularisés')."','nbota','"._('Bons à régulariser')."');";
                    echo "init_valid_int('enr','int_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_valid_int('enrimp','int_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    echo "init_valid_int('enrmail','int_maj','".valsession('date_fmtshort')."',tab1_champ,'','');";
                    if ($select_ccli == FALSE)
                        {echo "readonly_id('ddeur',false);";}
                    if ($add_ccli == TRUE)
                        {echo "init_fen_ctact('cli','addccli','fscomp',950,700,'int');";}
                    if ($select_urgence==FALSE)
                        {echo "readonly_id('urgence',false);";}
                    if ($select_codecat==FALSE)
                        {echo "readonly_id('codecat',false);";}
                    if ($sais_codeman == FALSE)
                        {echo "readonly_id('codeman',false);";}
                    if ($sais_codeext == FALSE)
                        {echo "readonly_id('codeext',false);";}
                    if ($sais_codeocli == FALSE)
                        {echo "readonly_id('codeocli',false);";}
                    if ($select_tecr == FALSE)
                        {echo "readonly_id('codetec',false);";}
                    else
                    {
                        echo 'init_ajax_tec();';
                        echo 'init_ajax_tec3();';
                    }
                    if ($select_age==TRUE)
                        {echo 'init_ajax_tec_agesite();';}
                    else
                        {echo "readonly_id('codeage',false);";}
                    if ($select_agesite==TRUE)
                        {echo 'init_ajax_tec3_agesite();';}
                    else
                        {echo "readonly_id('agesite',false);";}
                    if ($check_tect_publique == FALSE)
                        {echo "readonly_id('publique',false);";}
                    if ($chx_tect == FALSE)
                    {
                        echo "readonly_id('tecaff',false);";
                        echo "readonly_all_id('all_tecaff');";
                    }
                    if ($select_orig == FALSE)
                        {echo "readonly_id('codeorig',false);";}
                    if ($select_statut == FALSE)
                        {echo "readonly_id('codestatut',false);";}
                    if ($sais_mat == FALSE)
                        {echo "readonly_id('mat',false);";}
                    if (($aff_gestpbm == FALSE) OR ($verrou_int == TRUE))
                    {
                        echo "$('#gestpbm').hide();";
                        echo "$('#gestpbmfait').hide();";
                    }
                    else
                    {
                        if ($chx_pbm == FALSE)
                            {echo "$('#addpbm').hide();";}
                        else
                            {echo "init_fen_rpbm('addpbm','fscomp',1024,600);";}
                        if ($aff_pbm == FALSE)
                        {
                            echo "$('#viewpbm').hide();";
                            echo "$('#viewpbmfait').hide();";
                        }
                        else
                        {
                            echo "update_detail_pbm(false,'detailpbm','".str_replace("'","\'",$str_pbm)."','viewpbm','viewpbmfait');";
                            echo "update_fait_pbm(false,'detailpbmfait','".str_replace("'","\'",$str_pbmfait)."','viewpbmfait');";
                            echo "init_display_id('viewpbm','poppbmselected',true,'click');";
                            echo "init_hide_id('closepbm','poppbmselected','click');";
                            echo "init_display_id('viewpbmfait','poppbmfaitselected',true,'click');";
                            echo "init_hide_id('closepbmfait','poppbmfaitselected','click');";
                        }
                    }
                    if ($sais_pbm == FALSE)
                        {echo "readonly_id('pbm',false);";}
                    if ($select_gar == FALSE)
                    {
                        echo "readonly_id('gar',false);";
                        echo "readonly_id('fgar',false);";
                    }
                    if ($sais_acpte == FALSE)
                        {echo "readonly_id('acpte',false);";}
                    if ($sais_fait == FALSE)
                        {echo "readonly_id('fait',false);";}
                    if ($select_codereg == FALSE)
                        {echo "readonly_id('codereg',false);";}
                    break;
                case 'view' :
                    if ($tong == 2)
                        {echo '$( "#onglets_int" ).tabs({ active: 1 });';}
                    else
                        {echo '$( "#onglets_int" ).tabs();';}
                    echo "$('#addpbm').hide();";
                    if ($aff_pbm == FALSE)
                    {
                        echo "$('#viewpbm').hide();";
                        echo "$('#viewpbmfait').hide();";
                    }
                    else
                    {
                        echo "update_detail_pbm(false,'detailpbm','".str_replace("'","\'",$str_pbm)."','viewpbm','viewpbmfait');";
                        echo "update_fait_pbm(false,'detailpbmfait','".str_replace("'","\'",$str_pbmfait)."','viewpbmfait');";
                        echo "init_display_id('viewpbm','poppbmselected',true,'click');";
                        echo "init_hide_id('closepbm','poppbmselected','click');";
                        echo "init_display_id('viewpbmfait','poppbmfaitselected',true,'click');";
                        echo "init_hide_id('closepbmfait','poppbmfaitselected','click');";
                    }
                    if ($aff_fact_int == TRUE) {
                        echo "init_fensaisie('fact_int',800,450);";
                    }
                    echo "chk_aff_tpsoff('dureeoff');";
                    switch (valsession('niv_log'))
                    {
                        case 1 :
                            echo "init_fen_imprim_int(0, 'imprim1', 'impression');";
                            break;
                        case 6 :
                        case 7 :
                            break;
                        default :
                            echo "init_fen_imprim_int(1, 'imprim1', 'impression');";
                            break;
                    }

                    echo 'updatmrdv();';
                    echo 'updatpdti();';
                    echo "chk_ot('det_ot','nbot','"._('Bons régularisés')."','nbota','"._('Bons à régulariser')."');";
                    echo 'readonly_all();';
                    break;
                case 'del' :
                    if ($tong == 2)
                        {echo '$( "#onglets_int" ).tabs({ active: 1 });';}
                    else
                        {echo '$( "#onglets_int" ).tabs();';}
                    echo "$('#addpbm').hide();";
                    if ($aff_pbm == FALSE)
                    {
                        echo "$('#viewpbm').hide();";
                        echo "$('#viewpbmfait').hide();";
                    }
                    else
                    {
                        echo "update_detail_pbm(false,'detailpbm','".str_replace("'","\'",$str_pbm)."','viewpbm','viewpbmfait');";
                        echo "update_fait_pbm(false,'detailpbmfait','".str_replace("'","\'",$str_pbmfait)."','viewpbmfait');";
                        echo "init_display_id('viewpbm','poppbmselected',true,'click');";
                        echo "init_hide_id('closepbm','poppbmselected','click');";
                        echo "init_display_id('viewpbmfait','poppbmfaitselected',true,'click');";
                        echo "init_hide_id('closepbmfait','poppbmfaitselected','click');";
                    }
                    echo "chk_aff_tpsoff('dureeoff');";
                    echo 'updatmrdv();';
                    echo 'updatpdti();';
                    echo "warn_del('');";
                    echo 'readonly_all();';
                    break;
            }
            /*
            if ($modif_haut==TRUE)
            {
                if ((valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6))
                {
                    echo "update_detail_pbm(false,'detailpbm','".str_replace("'","\'",$str_pbm)."','viewpbm','viewpbmfait');";
                    echo "update_fait_pbm(false,'detailpbmfait','".str_replace("'","\'",$str_pbmfait)."','viewpbmfait');";
                }
            }
            */
            if ($verrou_int == true) {
                echo "readonly_all_id('detailm1');";
            }
            if ($view_trace == true)
                {echo "init_fensaisie('tra_int',800,500);";}
            if ($aff_pj == true)
                {echo "init_fensaisie('aff_pj',950,750);";}
            if (valsession('niv_log')>=3)
                {echo "init_fensaisie('aff_notesc',930,380);";}
            if ($modif_st == TRUE)
            {
                $url_affot = 'ot_lst.php?td='.$td.'&tx=i&ci='.$ci.'&tl=2';
                if (url_ok($url_affot)==TRUE)
                    {echo "init_fen_ot('gest_st','fscomp',1000,800);";}
            }
            if ($cons_int_coupma == 1) {
                echo "readonly_id('intcoupman');";
            }
            $url_detinth = 'inth_maj.php?ci=' .$ci;
            if ($aff_det_inth == TRUE)
            {
                  if (url_ok($url_detinth)==TRUE)
                  {
                    echo "set_on_cursor('tect');";
                    echo "set_on_cursor('blockduree');";
                    echo "init_fen_detinth('blockduree','fscomp',1024,768);";
                    echo "init_fen_detinth('tect','fscomp',1024,768);";
                }
            }

            if ($pbm_int==FALSE)
            {
                if ((valsession('niv_log')==3) OR (valsession('niv_log')==4) OR (valsession('niv_log')==5) OR (valsession('niv_log')==9))
                {
                    if (($nb_cocl>0) AND ($modif_haut==TRUE))
                        {echo 'init_ajax_cocl();';}
                }
            }
            ?>
                check_length('codeman', 60);
                check_length('codeext', 40);
                check_length('codeocli', 40);
                init_display_id('coupon', 'popcoupon', true, 'click');
                init_hide_id('closecoupon', 'popcoupon', 'click');
                init_hide_id('valcoupon', 'popcoupon', 'click');
                init_display_id('adddetail', 'popadddetail', true, 'click');
                init_hide_id('closedetail', 'popadddetail', 'click');
                init_hide_id('valdetail', 'popadddetail', 'click');
                init_display_id('addtect', 'poptectselect', true, 'click');
                init_hide_id('closetect', 'poptectselect', 'click');
                init_hide_id('valtect', 'poptectselect', 'click');
                init_fen_rescocl('res', 'fscomp', 900, 800);
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });

            //-->
        </script>
    <?php } ?>
</head>

<body>
<?php include_once '../inc/entete.inc.php';
cre_ent_form($titre, '', '', '', FALSE);
?>
<!-- affiché uniquement s'il y a au moins un client, une agence active, une origine, un statut, un lieu, une civilité, un technicien dans l'agence, et un mode de règlement -->
<?php
if (($pbm_int == FALSE) AND ($pbm_cli == FALSE)) {
    if ((nb_cli('') <> 0) AND (nb_age_actives() <> 0) AND (nb_orig() <> 0) AND (nb_statuts() <> 0) AND (nb_lieux() <> 0) AND (nb_civ() <> 0) AND nb_tec('') AND nb_reg()) {
        ?>
        <!-- affiché uniquement s'il y a un code client -->
        <?php
        if ($int_codecli <> '') {
            ?>
            <table width="100%" border="0">
                <tr>
                    <td width="33%" class="annot_gras_it">
                        <?php if (valsession('niv_log') <> 2) {
                            aff_lnk_lst_rech($lnk_int_lst, _('Retour à la liste'), $_SERVER['HTTP_REFERER'], _('Retour à la page précédente'));
                        } else {
                            aff_lnk_lst_rech('index.php', _('Retour à la liste'), $_SERVER['HTTP_REFERER'], _('Retour à la page précédente'));
                        }
                        ?>
                    </td>
                    <td width="33%" align="center" class="annot_petit_it">
                        <div id="oblig">(<img src="../img/oblig.png" align="absmiddle"
                                              alt="<?php echo _('Champ obligatoire'); ?>">
                            : <?php echo _('Saisie obligatoire'); ?>)
                        </div>
                    </td>
                    <td width="33%">
                        <div align="right">
                            <?php
                            if (($td == 'edit') OR ($td == 'view')) {
                                if (url_ok($urlimp1) == TRUE) {
                                    echo '<span id="imprim1" title="' . $urlimp1 . '" class="falselnk">';
                                    echo ' <img src="../img/print.png" title="' . _('Imprimer') . '" border="0" align="absmiddle"> ' . _('Imprimer');
                                    echo '</span>';
                                }

                                if (CheckNivLog('3-4-5-9')) {
                                    if (url_ok($urlimp2) == TRUE) {
                                        echo ' / ';
                                        echo ' <span id="imprim2" title="' . $urlimp2 . '" class="falselnk" style="display:none;">';
                                        echo ' <img src="../img/print.png" title="' . _('Imprimer version client') . '" border="0" align="absmiddle"> ' . _('Imprimer version client');
                                        echo '</span>';
                                    }

                                    if (url_ok($urlimp3) == TRUE) {
                                        echo ' / ';
                                        echo ' <span id="imprim3" title="' . $urlimp3 . '" class="falselnk" style="display:none;">';
                                        echo ' <img src="../img/print.png" title="' . _('Imprimer (avec CGV)') . '" border="0" align="absmiddle"> ' . _('Imprimer (avec CGV)');
                                        echo '</span>';
                                    }
                                }
                                if ($cons_int_coupactif == 1) {
                                    echo '<div id="coupon" class="falselnk" style="display:none;">';
                                    echo ' <img src="../img/coupon.png" title="' . _('Paramètres coupons') . '" border="0" align="absmiddle"> ' . _('Paramètres coupons');
                                    echo '</div>';

                                }

                            } else {
                                echo '&nbsp;';
                            }
                            ?>
                    </td>
                </tr>
            </table>
            <form name="int_maj" id="int_maj" method="post" action="int_enr.php">
                <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
                <input name="td" type="hidden" id="td" value="<?php echo $td ?>">
                <input name="codecli" type="hidden" id="codecli" value="<?php echo $int_codecli; ?>">
                <input name="prev" type="hidden" id="prev" value="<?php echo $cli_prev; ?>">
                <input name="exdateprevf" type="hidden" id="exdateprevf" value="<?php echo $int_dateprevf; ?>">
                <input name="lstpbm" type="hidden" id="lstpbm" value="rien">
                <input name="idsite" type="hidden" id="idsite" value="<?php echo $int_idsite; ?>">
                <input name="nbsites" type="hidden" id="nbsites" value="<?php echo $nb_sites; ?>">
                <input name="nbot" type="hidden" id="nbot" value="<?php echo $nb_ot; ?>">
                <input name="nbota" type="hidden" id="nbota" value="<?php echo $nb_ot_areg; ?>">
                <input name="codedo" type="hidden" id="codedo" value="<?php echo $int_codedo; ?>">
                <input name="ot" type="hidden" id="ot" value="<?php echo $ot; ?>">
                <input name="codeadev" type="hidden" id="codeadev" value="<?php echo $int_codeadev; ?>">
                <input name="code" type="hidden" id="code" value="<?php echo $int_code ?>">
                <input name="today" type="hidden" id="today" value="<?php echo $datef; ?>">
                <input name="totalint" type="hidden" id="totalint" value="<?php echo $totalint; ?>">
                <input name="coclded" type="hidden" id="coclded" value="<?php echo $int_coclded; ?>">
                <input name="nbutton" type="hidden" id="nbutton" value="">
                <?php if ($td <> 'add') { ?>
                    <input name="excodetec" type="hidden" id="excodetec" value="<?php echo $int_codetec ?>">
                    <?php
                }
                echo '<span id="zteca">';
                if ($aff_tect == TRUE) {
                    echo '<div align="center" id="poptectselect" class="pop_tecselectint">';

                    echo '<div align="right">';
                    echo ' <img src="../img/close.gif" id="closetect" title="' . _('Fermer') . '" border="0" align="absmiddle">';
                    echo '</div>';

                    echo '<div id="tabtectselect" style="height:300px;overflow:auto;">';
                    echo '<div align="center">';

                    echo '<span id="all_tec" class="annot_petit">';
                    echo _('Publique') . ' ';
                    echo '<input type="checkbox" class="annot_petit" name="publique" id ="publique" value="1"';
                    if ((int)$int_publique == 1) {
                        echo ' checked="checked"';
                    }
                    echo '>';
                    echo '</span>';

                    echo ' / ';

                    echo '<span id ="techq" align="center" class="annot_petit">';
                    echo _('Technicien quelconque') . ' ';
                    echo '<input type="checkbox" name="tecaff[]" id ="tecaff" value="-1"';
                    if (count($_SESSION['tec_aff']) == 0) {
                        echo ' checked="checked"';
                    }
                    echo '>';
                    echo '</span>';
                    echo '</div>';

                    // Création de la table "choix techniciens"
                    echo '<table id="all_tecaff" class="MtableD" border="0" width="100%" cellpadding="0" cellspacing="0">';
                    echo '<th>';
                    echo _('Agence');
                    echo '</th>';
                    echo '<th>';
                    echo _('Technicien');
                    echo '</th>';
                    echo '<th>';
                    echo _('Choisir');
                    echo '</th>';
                    if ($int_codeage <> '') {
                        // création de la liste des Techniciens de l'agence propriétaire et de l'agence responsable du site
                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                        switch ($_SESSION['niv_log']) {
                            case 3 :
                                if ($_SESSION['code_log'] == $int_codetec) {
                                    $rech = 'SELECT tec_code, tec_codeage, tec_nom,tec_prenom FROM `' . TBTEC . "` WHERE `tec_codeage` = '" . $_SESSION['code_age'] . "'";
                                    if (($_SESSION['code_age'] <> $int_codeages) AND ($td <> 'add')) {
                                        $rech .= " OR `tec_codeage` = '" . $int_codeages . "'";
                                    }
                                } else {
                                    $rech = 'SELECT tec_code, tec_codeage, tec_nom, tec_prenom FROM `' . TBTEC . "` WHERE `tec_code` = '" . $_SESSION['code_log'] . "'";
                                }
                                break;
                            case 4 :
                                $rech = 'SELECT tec_code, tec_codeage, tec_nom,tec_prenom FROM `' . TBTEC . "` WHERE `tec_codeage` = '" . $_SESSION['code_age'] . "'";
                                if (($_SESSION['code_age'] <> $int_codeages) AND ($td <> 'add')) {
                                    $rech .= " OR `tec_codeage` = '" . $int_codeages . "'";
                                }
                                break;
                            default :
                                $rech = 'SELECT tec_code, tec_codeage, tec_nom, tec_prenom FROM `' . TBTEC . '` WHERE';
                                if (($int_codeages <> '-1') AND ($int_codeages <> '')) {
                                    $rech .= '(';
                                }
                                $rech .= " `tec_codeage` = '" . $int_codeage . "'";
                                if (($int_codeages <> '-1') AND ($int_codeages <> '')) {
                                    $rech .= " OR `tec_codeage` = '" . $int_codeages . "'";
                                    $rech .= ')';
                                }

                                /*
                                $rech = "SELECT tec_code, tec_codeage, tec_nom, tec_prenom FROM `" . TBTEC . "` WHERE";
                                if (count($tab_codeages) > 1)
                                    $rech .= '(';
                                if (array_key_exists('-1', $tab_codeages) AND count($tab_codeages) == 1)
                                    $rech .= " `tec_codeage` = '" . $int_codeage . "' OR";
                                else {
                                    foreach ($tab_codeages as $key => $value) {
                                        $rech .= " `tec_codeage` = '" . $key . "' OR";
                                    }
                                }
                                // Suppression du dernier 'OR'
                                $rech = substr($rech, 0, -3);
                                if (count($tab_codeages) > 1)
                                    $rech .= ')';
                                */
                                break;
                        }
                        $rech .= " AND `tec_out` = '0' ORDER BY tec_nom";
                        $rows = $db->get_results($rech, ARRAY_A);

                        if ($rows) {
                            foreach ($rows as $row) {
                                $row = encode_str($row);
                                extract($row);
                                echo '<tr>';
                                echo '<td align="center">';
                                echo $tec_codeage;
                                echo '</td>';
                                echo '<td>';
                                $txtdest = $tec_nom . ' ' . $tec_prenom;
                                echo $txtdest;
                                echo '</td>';
                                echo '<td>';
                                echo '<input type="checkbox" name="tecaff[]" id="tecaff" value="' . $tec_code . '"';
                                if (count($_SESSION['tec_aff']) > 0) {
                                    if (in_array($tec_code, $_SESSION['tec_aff'])) {
                                        echo ' checked="checked"';
                                    }
                                }
                                echo '>';
                                echo '</td>';
                                echo '</tr>';
                            }
                        }
                        close_database();
                    }
                    echo '</table>';
                    echo '</div>';

                    echo '<p align="center">';
                    echo '<input name="valtect" id="valtect" type="button" class="bton_fgris_petit" value="' . _('Valider') . '">';
                    echo '</p>';
                    echo '</div>';
                }
                echo '</span>';


                echo '<div id="poppbmselected" class="pop_detailpbm">';

                echo '<div align="right">';
                echo ' <img src="../img/close.gif" id="closepbm" title="' . _('Fermer') . '" border="0" align="absmiddle">';
                echo '</div>';

                echo '<div class="annot_gras_it" align="center">';
                echo _('PROBLEMES RATTACHES');
                echo '</div>';
                echo '<textarea name="detailpbm" rows="10" id="detailpbm" readonly>';
                echo '</textarea>';


                echo '</div>';

                echo '</div>';

                /*
    if (($exist_rpbm == TRUE) AND (valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6))
    echo '<div id="notamat" class="annot_petit_it">'._('Si vous avez choisi des problèmes, ne saisissez pas de texte complémentaire dans celui généré par SMI, mais avant ou après').'</div>';
    */
                echo '<div id="poppbmfaitselected" class="pop_detailpbm">';

                echo '<div align="right">';
                echo ' <img src="../img/close.gif" id="closepbmfait" title="' . _('Fermer') . '" border="0" align="absmiddle">';
                echo '</div>';

                echo '<div class="annot_gras_it" align="center">';
                echo _('TRAITEMENTS PROBLEMES');
                echo '</div>';
                echo '<textarea name="detailpbmfait" rows="10" id="detailpbmfait" readonly>';
                echo '</textarea>';

                echo '</div>';

                echo '</div>';

                // Lien saisie détails
                if ($add_detail == TRUE) {
                    echo '<div align="center" id="popadddetail" class="pop_tecselectint">';
                    echo '<div align="right">';
                    echo ' <img src="../img/close.gif" id="closedetail" title="' . _('Fermer') . '" border="0" align="absmiddle">';
                    echo '</div>';
                    echo '<div class="annot_gras_it" align="center">';
                    echo _('SAISIE DETAIL COMPLEMENTAIRE');
                    echo '</div>';
                    echo '<textarea name="detail" rows="5" id="detail"></textarea>';
                    echo '<input name="valdetail" type="button" class="bton_fgris_petit" id="valdetail" value="' . _('Valider') . '">';
                    echo '</div>';

                }

                // Lien coupons
                echo '<div align="center" id="popcoupon" class="pop_couponint">';
                echo '<div align="right">';
                echo ' <img src="../img/close.gif" id="closecoupon" title="' . _('Fermer') . '" border="0" align="absmiddle">';
                echo '</div>';
                echo '<div class="annot_gras_it" align="center">';
                echo _('DETAIL DES COUPONS A IMPRIMER');
                echo '</div>';
                echo '<br />';
                echo '<table width="500"  border="0" align="center">';
                echo '<tr>';
                echo '<td class="rubfrm" id="f_intcoupc" align="right">'._('Coupon client ?').'</td>';
                echo '<td align="left">';
                cre_select('intcoupc', 'intcoupc', $non_oui, (int)$cons_int_coupc,'','',1,FALSE,'','',FALSE);
                echo '<div class="annot_petit_it">';
                echo _("Si 'oui', un coupon, à destination du client, sera imprimé");
                echo '</div>';
                echo '</td>';
                echo '</tr>';
                if ($cons_int_coupm == 1) {
                    echo '<tr>';
                    echo '<td class="rubfrm" id="f_intcoupm" align="right">' . _('Coupons matériels ?') . '</td>';
                    echo '<td align="left">';
                    cre_input_num('intcoupman', (int)$cons_int_coupman, FALSE, FALSE, FALSE, TRUE, 5);
                    echo '<div class="annot_petit_it">';
                    echo _('Nombre de coupons matériels à imprimer');
                    echo '</div>';
                    echo '</td>';
                    echo '</tr>';
                }
                echo '</table>';
                echo '<p align="center">';
                echo '<input name="valcoupon" id="valcoupon" type="button" class="bton_fgris_petit" value="' . _('Valider') . '">';
                echo '</p>';
                echo '</div>';

                if ($send_mail == TRUE) {
                    echo '<div align="center" id="sendmail" class="pop_sendmail">';

                    echo '<div align="right">';
                    echo ' <img src="../img/close.gif" id="ico_close_sendmail" title="' . 'Fermer' . '" border="0" align="absmiddle">';
                    echo '</div>';

                    echo '<div class="annot_gras_it" align="center">';
                    echo _('ENVOI MESSAGE');
                    echo '</div>';

                    echo '<table width="100%"  border="0" align="center">';
                    echo '<tr>';
                    echo '<td width="120" class="rubfrm" id="f_mailtyp" align="right">' . _("Type d'envoi") . '</td>';
                    echo '<td align="left">';
                    cre_select('mailtyp', 'mailtyp', $tab_typ_mails, '', '', _('-- Faites votre choix --'), 1, FALSE, '', '', FALSE);
                    echo '</td>';
                    echo '</tr>';
                    echo '</table>';

                    echo '<div id="mailext" align="center" style="display:none;">';

                    // On crée la liste des destinataires possibles
                    $tab_contacts_cli = [];

                    if ($cli_ste <> '') {
                        // On récupère le code maître (si le client fait partie d'un regroupement)
                        $tab_maitre = [];
                        $tab_maitre = give_tab_maitre_cli($cli_code, TRUE);

                        // Création de la liste des contacts du client
                        $txt_ccli = $cli_nom . ' ' . $cli_prenom . ' ('._('Contact principal');
                        $txt_ccli .= ' - ' . $cli_telf;
                        if ($cli_telp <> '') {
                            $txt_ccli .= ' / ' . $cli_telp;
                        }
                        $txt_ccli .= ')';
                        $tab_ctact[0] = $cli_email;
                        $tab_ctact[1] = $txt_ccli;
                        $tab_contacts_cli[] = $tab_ctact;

                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

                        // données site client
                        if ((int)$int_idsite > 0) {
                            $rech = 'SELECT * FROM `' . TBSCLI . "` WHERE `scli_id` = '$int_idsite'";
                            $row = $db->get_row($rech, ARRAY_A);
                            if ($row) {
                                $row = encode_str($row);
                                extract($row);
                                $txt_ccli = $scli_rnom . ' ' . $scli_rprenom . ' (' . _('Contact site');
                                $txt_ccli .= ' - ' . $scli_telf;
                                if ($scli_telp <> '') {
                                    $txt_ccli .= ' / ' . $scli_telp;
                                }
                                $txt_ccli .= ')';
                                $tab_ctact[0] = $scli_email;
                                $tab_ctact[1] = $txt_ccli;
                                $tab_contacts_cli[] = $tab_ctact;
                            }
                        }

                        // Filtre sur client
                        $rech = 'SELECT * FROM `' . TBCCLI . "` WHERE `ccli_codecli` = '" . $cli_code . "'";
                        if (count($tab_maitre) > 0) {
                            foreach ($tab_maitre as $key => $value) {
                                $rech .= " OR `ccli_codecli` = '" . $value . "'";
                            }
                        }
                        $rech .= ' ORDER BY ccli_nom';
                        $rows = $db->get_results($rech, ARRAY_A);
                        if ($rows) {
                            foreach ($rows as $row) {
                                $row = encode_str($row);
                                extract($row);

                                $txt_ccli = $ccli_nom . ' ' . $ccli_prenom;
                                $row2 = lit_enr_fonc($ccli_codefonc, FALSE);
                                if (is_array($row2)) {
                                    $row2 = encode_str($row2);
                                    extract($row2);
                                    $txt_fonc = $fonc_desc;
                                } else {
                                    $txt_fonc = $ccli_codefonc;
                                }
                                $txt_ccli .= ' (';
                                if (count($tab_maitre) > 0) {
                                    $nomcli = '';
                                    $rech3 = 'SELECT cli_ste FROM `' . TBCLI . "` WHERE `cli_code` = '$ccli_codecli'";
                                    $row3 = $db->get_row($rech3, ARRAY_A);
                                    if ($row3) {
                                        $row3 = encode_str($row3);
                                        $nomcli = $row3['cli_ste'];
                                    }
                                    if ($nomcli <> '') {
                                        $txt_ccli .= $nomcli . ' - ';
                                    }
                                }
                                $txt_ccli .= $txt_fonc;
                                $txt_ccli .= ' - ' . $ccli_telf;
                                if ($ccli_telp <> '') {
                                    $txt_ccli .= ' / ' . $ccli_telp;
                                }
                                $txt_ccli .= ')';
                                $tab_ctact[0] = $ccli_email;
                                $tab_ctact[1] = $txt_ccli;
                                $tab_contacts_cli[] = $tab_ctact;
                            }
                        }
                        close_database();
                    } else {
                        $txt_ccli = '';
                        $row = lit_enr_cli($cli_code, TRUE);
                        if (is_array($row)) {
                            $row = encode_str($row);
                            extract($row);
                            $txt_ccli = $cli_nom . ' ' . $cli_prenom . ' (' . $cli_codefonc;
                            $row2 = lit_enr_fonc($cli_codefonc, TRUE);
                            if (is_array($row2)) {
                                $row2 = encode_str($row2);
                                extract($row2);
                                $txt_fonc = $fonc_desc;
                            } else {
                                $txt_fonc = $ccli_codefonc;
                            }
                            $txt_ccli .= ' (' . $txt_fonc;
                            $txt_ccli .= ' - ' . $cli_telf;
                            if ($cli_telp <> '') {
                                $txt_ccli .= ' / ' . $cli_telp;
                            }
                            $txt_ccli .= ')';
                        }
                        if ($txt_ccli <> '') {
                            $tab_ctact[0] = $cli_email;
                            $tab_ctact[1] = $txt_ccli;
                            $tab_contacts_cli[] = $tab_ctact;
                        }
                    }

                    echo '<table width="100%"  border="0" align="center">';
                    echo '<tr>';
                    echo '<td width="120" class="rubfrm" id="f_maildest" align="right">' . _('Destinataire') . '</td>';
                    echo '<td align="left">';
                    cre_select('maildest', 'maildest', $tab_contacts_cli, '', '', _('-- Faites votre choix --'));
                    echo '</td>';
                    echo '</tr>';
                    echo '<tr>';
                    echo '<td class="rubfrm" id="f_mailcc" align="right">' . _('Copie à') . '</td>';
                    echo '<td align="left">';
                    cre_select('maildest', 'maildest', $tab_contacts_cli, '', '', _('-- Faites votre choix --'));
                    echo '</td>';
                    echo '</tr>';
                    echo '<tr>';
                    echo '<td class="rubfrm" id="f_mailbcc" align="right">' . _('Copie cachée à') . '</td>';
                    echo '<td align="left">';
                    cre_select('maildest', 'maildest', $tab_contacts_cli, '', '', _('-- Faites votre choix --'));
                    echo '</td>';
                    echo '</tr>';
                    echo '</table>';

                    echo '</ br>';
                    echo '<div id="butmailext" align="center" style="margin-top:10px;">';
                    echo '<input name="valmailext" type="button" class="bton_fgris_petit" id="valmailext" value="' . _('Envoyer par logiciel de messagerie') . '">';
                    echo '</div>';
                    echo '</div>';

                    echo '<div id="mailint" align="center" style="display:none;">';
                    $url_mailint = 'mailint_maj.php?ci=' . $int_code;
                    echo '</ br>';
                    echo '<div id="butmailint" align="center" style="margin-top:10px;">';
                    echo '<input name="valmailint" type="button" class="bton_fgris_petit" id="valmailint" value="' . _('Envoyer par SMI') . '">';
                    echo '</div>';
                    echo '</div>';

                    echo '</div>'; // Fin block "Sendmail"
                    /*
        $subj_mail="Intervention ".$int_code;
        if (trim($int_codeocli)<>"")
            $subj_mail.=" (dossier ".$int_codeocli.')';
        echo ' <a href="mailto:'.$cli_email.'?subject='.$subj_mail.'"><img src="../img/mail.png" title ="Mail au contact principal du compte client" border="0" align="absmiddle"></a>';
    */
                }
                ?>
                <div id="onglets_int">
                    <ul>
                        <li><a href="#int_sais"><?php echo _('Saisie'); ?></a></li>
                        <?php
                        if ($td <> 'add') {
                            echo '<li><a href="#int_plan">' . _('Planification') . '</a></li>';
                            echo '<li><a href="#int_trait">' . _('Traitement') . '</a></li>';
                        }
                        ?>
                    </ul>
                    <!-- détails internes de la fiche intervention -->
                    <div id="int_sais">
                        <?php
                        /***************************/
                        /* Renseignements généraux */
                        /***************************/
                        echo '<table width="100%"  border="0">';
                        echo '<tr>';
                        echo '<td>';
                        echo '&nbsp;';
                        // Lien traçabilité
                        if ($view_trace == TRUE) {
                            $url_detint = 'tra_lst.php?tx=r&tl=i&cr=' . $ci;
                            if (url_ok($url_detint) == TRUE) {
                                cre_falselnk('', 'tra_int', 'span', '', _('Traçabilité'), $url_detint, '../img/trace.gif', _('Traçabilité'));
                            }
                        }

                        // Lien saisie détails
                        if ($add_detail == TRUE) {
                            if ($view_trace == TRUE) {
                                echo ' / ';
                            }
                            echo '<span id="adddetail" class="falselnk">';
                            echo ' <img src="../img/adddetail.png" title="' . _('Ajouter détail') . '" border="0" align="absmiddle"> ' . _('Ajouter détail');
                            echo '</span>';
                        }

                        // Lien pièces jointes
                        if ($aff_pj == TRUE) {
                            $url_pj = 'fic_pj.php?dir=clients/' . strtolower($cli_code) . '/PJ/' . $int_code . '&cc=' . $int_codecli . '&ci=' . $int_code . '&tx=int';

                            if (url_ok($url_pj) == TRUE) {
                                if (($view_trace == TRUE) OR ($add_detail == TRUE)) {
                                    cre_falselnk('', 'aff_pj', 'span', '', _('Pièces liées'), $url_pj, '../img/pj.png', _('Pièces liées'), true);
                                } else {
                                    cre_falselnk('', 'aff_pj', 'span', '', _('Pièces liées'), $url_pj, '../img/pj.png', _('Pièces liées'));
                                }
                            }
                        }

                        // Lien facturation
                        if ($aff_fact_int == TRUE) {
                            $url_sfact = 'intf_lst.php?tx=i&ci=' . $int_code . '&ord=ASC&tri=Facture';
                            if (url_ok($url_sfact) == TRUE) {
                                if (($view_trace == TRUE) OR ($add_detail == TRUE) OR ($aff_pj == TRUE)) {
                                    cre_falselnk('', 'fact_int', 'span', '', _('Suivi facturation'), $url_sfact, '../img/sfact.png', _('Suivi facturation'), true);
                                } else {
                                    cre_falselnk('', 'fact_int', 'span', '', _('Suivi facturation'), $url_sfact, '../img/sfact.png', _('Suivi facturation'));
                                }
                                $nb_intf = nb_intf_int($int_code, TRUE);
                                echo ' <span id="txtsfact" class="annot_petit_it">';
                                if ($nb_intf == 0) {
                                    echo '(' . _('Non facturé') . ')';
                                } else {
                                    echo '(' . _('Facturé x') . ' ' . $nb_intf . ')';
                                }
                                echo '</span>';
                            }
                        }

                        if (($int_codedo <> '') AND CheckNivLog('3-4-5-9')) {
                            $row = lit_enr_do($int_codedo);
                            if ($row) {
                                $row = encode_str($row);
                                extract($row);
                                echo ' <span class="annot_petit_itgras">';
                                echo ' / ';
                                echo _('Ordre donné par') . ' ';
                                echo $do_nom;
                                echo '</span>';
                            }
                        }
                        echo '</td>';
                        echo '<td width="33%" align="center">';
                        echo '<span class="annot_petit_gras">';
                        echo _("Devise d'origine") . ' : ';
                        echo give_dev_nom($int_codeadev, TRUE) . ' (' . $int_codeadev . ')';
                        echo '</span>';
                        echo '</td>';
                        echo '<td width="33%" align="right">';
                        if ($ot <> '') {
                            echo '<span class="alerte1">';
                            echo _('Régularisation du bon de travail') . ' ' . $ot;
                            echo '</span>';
                        } else {
                            if (($modif_st == TRUE) AND ($verrou_int == FALSE)) {
                                echo '<span id="gest_st" class="falselnk">';
                                echo ' <img src="../img/gest_st.gif" title="' . _('Sous-traitance') . '" border="0" align="absmiddle"> ' . _('Sous-traitance');
                                echo '</span>';
                                echo ' ';
                                echo '<span id="det_ot" class="annot_upetit_it">';
                                echo '</span>';

                            } else {
                                echo '&nbsp;';
                            }
                        }
                        echo '</td>';
                        echo '</tr>';
                        echo '</table>';
                        ?>

                        <!-- Date de demande -->
                        <table width="100%" border="0">
                            <tr>
                                <td width="160" class="rubfrm" id="f_dateddef"
                                    align="right"><?php echo _('Date Demande'); ?></td>
                                <td>
                                    <?php
                                    if (CheckNivLog('3-4-5-9')) {
                                        echo '<div class="annot_petit_it" style="float:right;">';
                                        echo '<span class="annot_petit_gras">' . _('Catégorie') . ' : </span>';
                                        echo '</div>';
                                    }
                                    echo '<input name="dateddef" type="text" id="dateddef" value="' . $int_dateddef . '" size="10" maxlength="10" readonly="1">';

                                    if ($td == 'add') {
                                        echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                                    }

                                    if (CheckNivLog('3-4-5-9')) {
                                        if (($td == 'add') OR ($td == 'edit')) {
                                            echo ' ';
                                            cre_select('regul', 'regul', $tab_typ_modsaisint, '', '', '', 1, FALSE, '', '', FALSE, TRUE);
                                        }
                                    }
                                    ?>
                                </td>
                                <td align="center">
                                    <?php
                                    if (CheckNivLog('3-4-5-9')) {
                                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                        $rech = 'SELECT * FROM `' . TBINTC . '` ORDER BY intc_desc';
                                        $rows = $db->get_results($rech, ARRAY_A);
                                        close_database();
                                        echo '<span class="annot_petit_it">';
                                        cre_select_tab('codecat', 'codecat', $rows, 'intc_code', 'intc_desc', '', $int_codecat, '', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE, TRUE);
                                        echo '</span>';
                                    } else {
                                        echo '<input name="codecat" type="hidden" id="codecat" value="' . $int_codecat . '" readonly="1">';
                                        echo '&nbsp;';
                                    }
                                    ?>
                                </td>
                                <td align="right">
                                    <?php
                                    if (CheckNivLog('3-4-5-9')) {
                                        // création de la liste des Niveaux d'urgence
                                        echo '<span class="annot_petit_gras">' . _('Urgence') . ' : ';
                                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                        $rech = 'SELECT * FROM `' . TBURG . '` ORDER BY urg_niveau';
                                        $rows = $db->get_results($rech, ARRAY_A);
                                        close_database();
                                        cre_select_tab('urgence', 'urgence', $rows, 'urg_niveau', 'urg_des', '', $int_urg, '', '', 1, FALSE, '', '', TRUE, TRUE, TRUE);
                                        echo '</span>';
                                    } else {
                                        echo '&nbsp;';
                                    }
                                    ?>
                                </td>
                            </tr>
                            <?php
                            if (valsession('niv_log') <> 2) {
                                ?>
                                <tr>
                                    <td width="160" class="rubfrm" id="f_datefinpf"
                                        align="right"><?php echo _('Fin prévue'); ?></td>
                                    <td colspan="2">
                                        <?php
                                        echo '<input name="datefinpf" type="text" id="datefinpf" value="' . $int_datefinpf . '" size="10" maxlength="10" readonly="1">';
                                        echo '<span id="warn_ech" style="display:none;">';
                                        echo ' <img src="../img/warn.png" title ="' . _('A échéance') . '" border="0" align="absmiddle">';
                                        echo '</span>';
                                        ?>
                                    </td>
                                    <td align="right">
                                        <?php
                                        if (CheckNivLog('3-4-5-9') AND ($td == 'edit')) {
                                            echo '<span id="strtac" style="visibility:visible">';
                                            $nb_tac = nb_tac(1, $int_code, TRUE);
                                            if ($nb_tac > 0) {
                                                echo '<span class="annot_petit_it">';
                                                if ($nb_tac > 1) {
                                                    echo '( ' . $nb_tac . ' ' . _('tâches');
                                                } else {
                                                    echo '( ' . $nb_tac . ' ' . _('tâche');
                                                }
                                                $nb_tac_actives = nb_tac_actives(1, $int_code, TRUE);
                                                if ($nb_tac_actives > 0) {
                                                    if ($nb_tac_actives > 1) {
                                                        echo ', ' . _('dont') . ' ' . $nb_tac_actives . ' ' . _('non terminées');
                                                    } else {
                                                        echo ', ' . _('dont') . ' ' . $nb_tac_actives . ' ' . _('non terminée');
                                                    }
                                                }
                                                echo ')';
                                                echo '</span>';
                                            } else {
                                                echo '<span class="annot_petit_gras">';
                                                echo _('Tâches') . ' : ';
                                                echo '</span>';
                                            }
                                            echo '</span>';

                                            $tab_tac = [];
                                            if ($nb_tac > 0) {
                                                $url = 'tac_lst.php?ord=DES&tri=Code&fi=3&search=' . $int_code;
                                                if (url_ok($url, TRUE) == TRUE) {
                                                    $tab_tac[$url] = _('Voir');
                                                }
                                            }
                                            $url = 'tac_maj.php?td=add&tr=1&cr=' . $int_code;
                                            if (url_ok($url, TRUE) == TRUE) {
                                                $tab_tac[$url] = _('Ajouter');
                                            }
                                            cre_select('tac', 'tac', $tab_tac, '', '', _('-- Faites votre choix --'), 1, FALSE, '', '', '', TRUE);
                                        } else {
                                            echo '&nbsp;';
                                        }
                                        ?>
                                    </td>
                                </tr>
                                <?php
                            }
                            ?>
                            <!-- Code de dossier interne au donneur d'ordres -->
                            <?php
                            if (CheckNivLog('1-3-4-6-7-5-9'))
                            {
                            ?>
                            <tr>
                                <?php
                                // Code saisie manuelle
                                if (CheckNivLog('1-3-4-5-9')) {
                                    echo '<td width="160" class="rubfrm" id="f_codeman" align="right">';
                                    echo _('Code saisie manuelle');
                                    echo '</td>';
                                    echo '<td>';
                                    echo '<input name="codeman" type="text" id="codeman" value="' . $int_codeman . '" size="55">';
                                    echo '<br /><span class="annot_petit_it">(' . _('Code de suivi interne') . ')</span>';
                                    echo '</td>';
                                } else {
                                    echo '<input name="codeman" type="hidden" id="codeman" value="' . $int_codeman . '">';
                                }
                                // Code externe (saisi par donneur d'ordres)
                                if (CheckNivLog('3-4-6-7-5-9')) {
                                    echo '<td width="160" class="rubfrm" id="f_codeext" align="right">';
                                    if (CheckNivLog('6-7')) {
                                        echo _('Votre code interne');
                                    }
                                    if (CheckNivLog('3-4-5-9')) {
                                        echo _("Code donneur d'ordres");
                                    }
                                    echo '</td>';
                                    echo '<td>';
                                    echo '<input name="codeext" type="text" id="codeext" value="' . $int_codeext . '" size="50">';
                                    if (CheckNivLog('3-4-5-9')) {
                                        echo '<br /><span class="annot_petit_it">(' . _("Si intervention demandée par un donneur d'ordres") . ')</span>';
                                    }
                                    echo '</td>';
                                }
                                ?>
                            </tr>
                            <tr>
                                <?php
                                // Code ordre client
                                if (CheckNivLog('1-3-4-5-9')) {
                                    echo '<td width="160" class="rubfrm" id="f_codeocli" align="right">';
                                    echo _('Code ordre client');
                                    echo '</td>';
                                    echo '<td>';
                                    echo '<input name="codeocli" type="text" id="codeocli" value="' . $int_codeocli . '" size="50">';
                                    if ($send_mail == TRUE) {
                                        echo ' <img src="../img/mail.png" id="ico_sendmail" title ="' . _('Envoyer mail') . '" border="0" align="absmiddle">';
                                    }
                                    echo '<br /><span class="annot_petit_it">(' . _('Code ordre client') . ')</span>';
                                    echo '</td>';
                                } else {
                                    echo '<input name="codeocli" type="hidden" id="codeocli" value="' . $int_codemocli . '">';
                                }
                                echo '<td width="160">';
                                echo '&nbsp;';
                                echo '</td>';
                                ?>
                            </tr>
                        </table>
                    <?php
                    }
                    ?>

                        <?php
                        //if ((CheckNivLog('1-3-4-6-7-5-9')) AND ($td <> 'add')) {
                        if (CheckNivLog('1-3-4-6-7-5-9')) {
                            ?>
                            <!-- Technicien Responsable -->
                            <table width="100%" border="0">
                                <tr>
                                    <td width="160" class="rubfrm" id="f_codetec"
                                        align="right"><?php echo _('Responsable dossier'); ?></td>
                                    <td>
                                        <?php
                                        $tab_first_options = [
                                            '-1' => _('-- Dossier non affecté --')
                                        ];
                                        $rows = give_tab_rows_tec($int_codeage, $int_codeages, $tab_codeages);
                                        cre_select_tab('codetec', 'codetec', $rows, 'tec_code', 'tec_nom', 'tec_prenom-tec_codeage', $int_codetec, '', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE, FALSE, $tab_first_options);

                                        echo '<span id="zteca">';
                                        if ($aff_tect == TRUE) {
                                            echo '<span id="addtect" class="falselnk">';
                                            echo ' <img src="../img/tect.png" title="' . _('Techniciens traitants') . '" border="0" align="absmiddle"> ' . _('Techniciens traitants');
                                            echo '</span>';

                                            // On vérifie si le module planning est bien en place
                                            if ($mod_planning == TRUE) {
                                                echo ' <span class="annot_petit_it">(' . _("L'affectation de techniciens traitants est obligatoire pour pouvoir générer un planning automatique") . ')</span>';
                                            }
                                        }
                                        echo '</span>';
                                        ?>
                                    </td>
                                </tr>
                            </table>
                        <?php } ?>

                        <!-- Affichage du client -->
                        <table width="100%" border="0">
                            <tr>
                                <td class="rubfrm" id="f_codecli" align="center"><?php echo _('Client'); ?>
                                    <?php
                                    if (CheckNivLog('3-4-5-9')) {
                                        echo ' <img src="../img/' . $ico_cpta[$cli_cpta] . '" title ="' . $mess_cpta[$cli_cpta] . '" border="0" align="absmiddle">';
                                    }
                                    ?>
                                </td>
                            </tr>
                        </table>

                        <!-- détails client -->
                        <table width="100%" border="0">
                            <table width="100%" border="0">
                                <tr>
                                    <td class="rubfrm" width="45%" align="center" valign="bottom"
                                        class="ent_clisite"><?php echo _('Compte client'); ?></td>
                                    <?php
                                    echo '<td align="center" valign="bottom" class="ent_clisite" id="tdtitsite">';
                                    if ($chx_site == TRUE) {
                                        echo '<div id="choixsitenon" style="display:none">';
                                        echo ' <img src="../img/sites.png" title="' . _('Choisir un site') . '" border="0" align="bottom"> ';
                                    } else {
                                        echo '<div id="choixsitenon" style="display:block">';
                                    }
                                    echo _("Site d'intervention");
                                    echo '</div>';
                                    ?>
                                    </td>
                                    <td width="30" valign="top">&nbsp;</td>
                                </tr>
                                <?php
                                if (CheckNivLog('1-3-4-6-7-5-9')) {
                                    ?>
                                    <tr>
                                        <td>
                                            <?php
                                            $tab_age = give_tab_age_cli($cli_code);
                                            echo '<div class="annot_petit_it">' . _('Agence gérant ce compte') . ' : ';
                                            cre_select('codeage', 'codeage', $tab_age, $int_codeage, '', _('-- Faites votre choix --'), 1, FALSE, '', _("-- Pas d'agence --"), TRUE, TRUE);
                                            echo '</div>';
                                            ?>
                                        </td>
                                        <td>
                                            <span class="annot_petit_it"><?php echo _('Suivi du site fait par'); ?>
                                                : </span>
                                            <?php
                                            echo '<span id="lstagesite" class="annot_petit_it">';
                                            cre_select('agesite', 'agesite', $tab_codeages, $int_codeages, '', _('-- Faites votre choix --'), 1, FALSE, '', '', TRUE, TRUE);
                                            echo '</span>';
                                            ?>
                                        </td>
                                    </tr>
                                <?php } ?>
                                <tr>
                                    <td valign="top" bgcolor="#C5CED7">
                                        <div id="nomste">
                                            <?php
                                            if ($cli_ste <> '') {
                                                echo $cli_ste . '<br />';
                                            } else {
                                                echo $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom . '<br />';
                                            }
                                            echo $cli_adr1 . '<br />';
                                            if ($cli_adr2 <> '') {
                                                echo $cli_adr2 . '<br />';
                                            }
                                            echo Retournecp_Id($cli_ville, TRUE) . ' ' . Retourneville_Id($cli_ville, TRUE) . '<br />';
                                            echo _('Tel') . ' : ' . $cli_telf;
                                            if ($cli_telp <> '') {
                                                echo '  / ' . $cli_telp;
                                            }
                                            ?>
                                        </div>
                                    </td>
                                    <td valign="top" bgcolor="#C5CED7" id="tddetsite">
                                        <div id="nomsite">
                                            <?php
                                            echo nom_scli($int_idsite, TRUE);
                                            ?>
                                        </div>
                                    </td>
                                    <td width="60" valign="top">
                                        <?php
                                        if (valsession('niv_log') >= 3) {
                                            $url_affnotesc = 'aff_notesc.php?cc=' . $cc;
                                            if (url_ok($url_affnotesc) == TRUE) {
                                                cre_falselnk('', 'aff_notesc', 'span', '', _('Notes'), $url_affnotesc, '../img/eye.png', _('Notes'));
                                            }
                                        } else {
                                            echo '&nbsp;';
                                        }
                                        ?>
                                    </td>
                                </tr>
                            </table>

                            <!-- Demandeur -->
                            <table width="100%" border="0">
                                <tr>
                                    <td width="160" class="rubfrm" id="f_ddeur"
                                        align="right"><?php echo _('Demandé par'); ?></td>
                                    <td>
                                        <?php
                                        cre_select('ddeur', 'ddeur', $tab_ccli, (int)$int_ddeur, '', _('-- Faites votre choix --'));

                                        if ($add_ccli == TRUE) {
                                            $url = 'ccli_maj.php?td=int';
                                            if (url_ok($url, TRUE) == TRUE) {
                                                echo ' <span id="addccli" class="falselnk">';
                                                echo ' <img src="../img/ctacts.png" title="' . _('Ajouter contact') . '" border="0" align="absmiddle"> ' . _('Ajouter contact');
                                                echo '</span>';
                                            }
                                        }
                                        ?>
                                    </td>
                                </tr>
                            </table>

                            <!-- Affectation d'un contrat à l'intervention -->
                            <?php
                            if ((valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6)) {
                                ?>
                                <table width="100%" border="0">
                                    <tr>
                                        <td width="160" class="rubfrm" id="f_codeco"
                                            align="right"><?php echo _('Contrat'); ?></td>
                                        <td>
                                            <?php
                                            cre_select('codecocl', 'codecocl', $tab_cocl, $int_codecocl, '', _('-- Faites votre choix --'), 1, FALSE, '', '', FALSE);
                                            echo ' <span id="res" class="falselnk" style="display:none">';
                                            echo ' <img src="../img/eye.png" title="' . _('Résumé contrat') . '" border="0" align="absmiddle"> ' . _('Résumé contrat');
                                            echo '</span>';
                                            ?>
                                            <div id="report_cocl" style="margin-top:5px;display:none">
                                                <!-- Choix des reports/déductions -->
                                                <table>
                                                    <tr>
                                                        <?php
                                                        echo '<td align="right" class="annot_petit">';
                                                        echo _('Temps non consommé à reporter sur le contrat') . ' : ';
                                                        echo '</td>';
                                                        echo '<td>';
                                                        $tab_report_nc = cre_tab_cocl_report_nc($int_codecocl, $int_code, $int_codecli, $int_idsite);
                                                        cre_select('lsthnc', 'lsthnc', $tab_report_nc, $int_coclhnc, '', '', 1, FALSE, '', '', TRUE, TRUE);
                                                        echo '</td>';
                                                        ?>
                                                    </tr>
                                                    <tr>
                                                        <?php
                                                        echo '<td align="right" class="annot_petit">';
                                                        echo _('Temps dépassé à déduire sur le contrat') . ' : ';
                                                        echo '</td>';
                                                        echo '<td>';
                                                        $tab_deduc = cre_tab_cocl_deduc($int_codecocl, $int_code, $int_codecli, $int_idsite);
                                                        cre_select('lsttded', 'lsttded', $tab_deduc, $int_coclded, '', '', 1, FALSE, '', '', TRUE, TRUE);
                                                        echo '</td>';
                                                        ?>
                                                    </tr>
                                                </table>
                                            </div>
                                        </td>
                                    </tr>
                                </table>

                                <?php
                            } else {
                                echo '<input name="codecocl" type="hidden" id="codecocl" value="">';
                            }
                            ?>

                            <!-- Paramètres de la demande -->
                            <table width="100%" border="0">
                                <tr>
                                    <td width="160" class="rubfrm" id="f_orig"
                                        align="right"><?php echo _('Origine demande'); ?></td>
                                    <td>
                                        <?php
                                        // Création de la liste des origines
                                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                        $rech = 'SELECT * FROM `' . TBORI . '` ORDER BY orig_desc';
                                        $rows = $db->get_results($rech, ARRAY_A);
                                        close_database();
                                        cre_select_tab('codeorig', 'codeorig', $rows, 'orig_code', 'orig_desc', '', $int_codeorig, '', _('-- Faites votre choix --'));
                                        ?>
                                    </td>
                                    <td rowspan=3>
                                        <?php
                                        if (CheckNivLog('1-3-4-5-9')) {
                                            if (($td == 'add') OR ($td == 'edit') OR ($td == 'view')) // Si ajout, edition ou visu, on affiche prochain RDV
                                            {
                                                // Uniquement si intervention non close
                                                if ($int_datefinf == '') {
                                                    echo '<div id="nextrdv" class="box_detail">';
                                                    if ($rdv_add == TRUE) {
                                                        echo '<div class="haut_droit">';
                                                        $url_addrdv = 'rdvi_maj.php?td=add&ci=' . $int_code;
                                                        if (url_ok($url_addrdv) == TRUE) {
                                                            cre_falselnk('', 'add_rdv', 'span', '', _('Ajouter RDV'), $url_addrdv, '../img/intp.png');
                                                        }
                                                        echo '</div>';
                                                    }

                                                    echo '<div class="titre_gras" style="margin-bottom:2px;">';
                                                    echo _('Prochain RDV');
                                                    echo '</div>';

                                                    // On récupère la dernière date de RDV
                                                    $row2 = next_rdv('1', $int_code);
                                                    // Si prochain RDV, on l'affiche
                                                    if (is_array($row2)) {
                                                        $row2 = encode_str($row2);
                                                        extract($row2);

                                                        // Date
                                                        echo datetolocal($rdv_date) . ' ' . _('à') . ' ';
                                                        // Heure
                                                        echo substr($rdv_heure, 0, 5);

                                                        // On vérifie si planifié
                                                        if (CheckNivLog('3-4-5-9')) {
                                                            if (est_planifie_rdv($rdv_id, TRUE) == FALSE) {
                                                                echo ' <img src="../img/warn.png" title ="' . _('Non planifié') . '" border="0" align="top">';
                                                            }
                                                        }

                                                        echo '<br />';

                                                        // Lieu
                                                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                                        $rech3 = 'SELECT * FROM `' . TBLIEU . "` WHERE `lieu_code` = '" . $rdv_codelieu . "'";
                                                        $row3 = $db->get_row($rech3, ARRAY_A);
                                                        if ($row3) {
                                                            $row3 = encode_str($row3);
                                                            extract($row3);
                                                        }
                                                        close_database();
                                                        echo '<div class="annot_petit_it">';
                                                        echo $lieu_desc;
                                                        echo '</div>';
                                                    } else {
                                                        echo '<div class="annot_petit_it">';
                                                        echo _('Aucun');
                                                        echo '</div>';
                                                    }
                                                    echo '</div>';
                                                } else {
                                                    echo '&nbsp;';
                                                }
                                            } else {
                                                echo '&nbsp;';
                                            }
                                        } else {
                                            echo '&nbsp;';
                                        }
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="160" class="rubfrm" id="f_statut"
                                        align="right"><?php echo _('Statut'); ?></td>
                                    <td>
                                        <?php
                                        // Création de la liste des Statuts
                                        if ($int_codestatut <> 'CLOT') {
                                            $rows = give_rows_statut('CLOT');
                                        } else {
                                            $rows = give_rows_statut();
                                        }
                                        cre_select_tab('codestatut', 'codestatut', $rows, 'statut_code', 'statut_desc', '', $int_codestatut, '', _('-- Faites votre choix --'));
                                        ?>
                                    </td>
                                </tr>
                            </table>

                            <!-- matériel et problème de la demande -->
                            <table width="100%" border="0">
                                <tr>
                                    <td width="160" class="rubfrm" id="f_mat"
                                        align="right"><?php echo _('Matériel'); ?></td>
                                    <td>
                                        <?php
                                        echo '<div id="gestpbm">';
                                        echo '<span id="addpbm" class="falselnk">';
                                        echo ' <img src="../img/pbmna.png" title="' . _('Gérer problèmes') . '" border="0" align="absmiddle"> ' . _('Gérer problèmes');
                                        echo ' / ';
                                        echo '</span>';

                                        echo '<span id="viewpbm" class="falselnk">';
                                        echo ' <img src="../img/eye.png" title="' . _('Voir problèmes rattachés') . '" border="0" align="absmiddle"> ' . _('Voir problèmes rattachés');
                                        echo '</span>';

                                        echo '</div>';

                                        echo '<textarea name="mat" rows="5" id="mat"';
                                        if (($exist_rpbm == TRUE) AND (valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6)) {
                                            echo ' readonly="readonly"';
                                        }
                                        echo '>' . $int_mat . '</textarea>';
                                        ?>
                                    </td>
                                    <td width="16">
                                        <?php
                                        echo ' <img src="../img/oblig.png" align="absmiddle" align="top">';
                                        ?>
                                    </td>
                                </tr>
                                <tr>
                                    <td width="160" class="rubfrm" id="f_pbm"
                                        align="right"><?php echo _('Travail à effectuer'); ?></td>
                                    <td>
                                        <?php
                                        echo '<textarea name="pbm" rows="5" id="pbm">' . $int_pbm . '</textarea>';
                                        ?>
                                    </td>
                                    <td width="16">
                                        <?php
                                        echo ' <img src="../img/oblig.png" align="absmiddle" align="top">';
                                        ?>
                                    </td>
                                </tr>
                            </table>

                            <!-- Intervention sous garantie ou pas ? -->
                            <table width="100%" border="0">
                                <tr>
                                    <td width="160" class="rubfrm" id="f_gar"
                                        align="right"><?php echo _('Garantie'); ?></td>
                                    <td>
                                        <?php
                                        cre_select('gar', 'gar', $non_oui, (int)$int_gar);
                                        echo ' <span class="annot_std_gras">' . _('Référence facture') . ' : </span>';
                                        echo '<input name="fgar" type="text" id="fgar" value="' . $int_fgar . '" size="30" maxlength="30">';
                                        echo '<span class="annot_petit_it"> (' . _('Obligatoire si garanti') . ')</span>';
                                        ?>
                                    </td>
                                </tr>
                            </table>

                            <?php
                            if ((valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6)) {
                                ?>
                                <!-- Acompte versé -->
                                <table width="100%" border="0">
                                    <tr>
                                        <td width="160" class="rubfrm" id="f_acpte"
                                            align="right"><?php echo _('Acompte'); ?></td>
                                        <td>
                                            <?php
                                            cre_input_num('acpte', $int_acpte, TRUE);
                                            ?>
                                        </td>
                                    </tr>
                                </table>
                            <?php } else { ?>
                                <input name="acpte" type="hidden" id="acpte" value="<?php echo $int_acpte ?>">
                                <?php
                            }
                            ?>
                    </div>
                    <?php
                    /*********************************/
                    /* Gestion des multi-rendez-vous */
                    /*********************************/

                    if (($td <> 'add') AND ($aff_detrdv == TRUE)) {
                        ?>
                        <div id="int_plan">
                            <?php
                            if ($td == 'edit') {
                                if ($rdv_add == TRUE) {
                                    $url_addrdv = 'rdvi_maj.php?td=add&ci=' . $int_code;
                                    if (url_ok($url_addrdv) == TRUE) {
                                        cre_falselnk('', 'add2_rdv', 'span', '', _('Ajouter RDV'), $url_addrdv, '../img/intp.png', _('Ajouter RDV'));
                                    }
                                    $url_progrdv = 'intp_maj.php?cc=' . $int_codecli . '&ci=' . $int_code;
                                    if (url_ok($url_progrdv) == TRUE) {
                                        echo ' / ';
                                        echo ' <a href="' . $url_progrdv . '"><img src="../img/intp.png" border="0" align="absmiddle" title="' . _('Programmer interventions') . '"> ' . _('Programmer intervention avec ce modèle') . '</a>';
                                    }
                                }
                            }
                            ?>
                            <div id="detmrdv"></div>
                            <?php
                            if ($rdv_add == TRUE) {
                                if (url_ok($url_addrdv) == TRUE) {
                                    echo '<div align="right">';
                                    cre_falselnk('', 'add3_rdv', 'span', '', _('Ajouter RDV'), $url_addrdv, '../img/intp.png', _('Ajouter RDV'));
                                    $url_progrdv = 'intp_maj.php?cc=' . $int_codecli . '&ci=' . $int_code;
                                    if (url_ok($url_progrdv) == TRUE) {
                                        echo ' / ';
                                        echo ' <a href="' . $url_progrdv . '"><img src="../img/intp.png" border="0" align="absmiddle" title="' . _('Programmer interventions') . '"> ' . _('Programmer intervention avec ce modèle') . '</a>';
                                    }
                                    echo '</div>';
                                }
                            }
                            ?>
                        </div>
                        <?php
                    }
                    ?>

                    <?php
                    /*************************/
                    /* Gestion du traitement */
                    /*************************/

                    if ($td <> 'add'){
                    ?>
                    <div id="int_trait">
                        <!-- Techniciens traitants -->
                        <table width="100%" border="0">
                            <tr>
                                <td width="160" class="rubfrm" id="f_tect"
                                    align="right"><?php echo _('Technicien(s)'); ?></td>
                                <td>
                                    <?php
                                    echo '<div id="tect" style="height:50px;overflow:auto;">';
                                    echo $str_tec_traitants;
                                    echo '</div>';
                                    ?>
                                </td>
                            </tr>
                        </table>

                        <!-- Travail effectué -->
                        <table width="100%" border="0">
                            <tr>
                                <td width="160" class="rubfrm" id="f_duree" align="right">
                                    <?php
                                    if ($aff_det_inth == TRUE) {
                                        echo _('Temps travaillé');
                                    } else {
                                        echo _('Forfait');
                                    }
                                    ?>
                                </td>
                                <td>
                                    <table width="100%" border="0">
                                        <tr>
                                            <td width="50%">
                                                <!-- détails internes du temps passé -->
                                                <?php
                                                if ($aff_det_inth == TRUE) {
                                                    if (url_ok($url_detinth) == TRUE) {
                                                        echo '<span id="blockduree" class="falselnk">';
                                                        echo '<input name="duree" type="text" id="duree" value="' . heure_to_hhmm(sec_heure($int_durees, 3, TRUE)) . '" size="6" maxlength="6" readonly="1">';
                                                        echo ' <img src="../img/clock.png" title="' . _('Détails horaires') . '" border="0" align="absmiddle">';
                                                        echo '</span>';
                                                    } else {
                                                        echo '<input name="duree" type="hidden" id="duree" value="' . heure_to_hhmm(sec_heure($int_durees, 3, TRUE)) . '" size="6" maxlength="6" readonly="1">';
                                                    }
                                                } else {
                                                    echo '<input name="duree" type="hidden" id="duree" value="' . heure_to_hhmm(sec_heure($int_durees, 3, TRUE)) . '" size="6" maxlength="6" readonly="1">';
                                                }
                                                ?>
                                            </td>
                                            <td align="right" class="annot_petit_it">
                                                <?php
                                                if (($td == 'edit') OR ($td == 'view')) {
                                                    if ($aff_pr == TRUE) {
                                                        echo _('Prix de revient') . ' : ';
                                                        echo full_num_format($pxrevient, 'span', 'pxr', TRUE);
                                                        echo ' ' . _('HT');
                                                    }
                                                } else {
                                                    echo '&nbsp;';
                                                }
                                                ?>
                                            </td>
                                        </tr>
                                        <?php
                                        if (($aff_det_inth == TRUE) OR ($aff_forfait == TRUE)) {
                                            echo '<tr>';
                                            if ($aff_det_inth == TRUE) {
                                                echo '<td class="annot_petit_it">';
                                                echo '<span id="affoffoui" style="display:none">';
                                                echo _('Dont temps offert') . ' : ';
                                                echo '<input name="dureeoff" type="text" id="dureeoff" value="' . heure_to_hhmm(sec_heure($nbtotalsecoff, 3, TRUE)) . '" size="6" maxlength="6" readonly="1">';
                                                echo '</span>';
                                                echo '<span id="affoffnon" style="display:none">';
                                                echo '&nbsp;';
                                                echo '</span>';
                                                echo '</td>';
                                            } else {
                                                echo '<input name="dureeoff" type="hidden" id="dureeoff" value="' . heure_to_hhmm(sec_heure($nbtotalsecoff, 3, TRUE)) . '" size="6" maxlength="6" readonly="1">';
                                            }

                                            if ($aff_forfait == TRUE) {
                                                echo '<td';
                                                if ($aff_det_inth == TRUE) {
                                                    echo ' align="right"';
                                                }
                                                echo '>';
                                                echo '<span class="annot_petit_it">';
                                                switch ($_SESSION['niv_log']) {
                                                    case 1 :
                                                    case 6 :
                                                    case 7 :
                                                        echo '<input name="forfait" type="text" id="forfait"  value="Oui" size="3">';
                                                        break;
                                                    case 4 :
                                                    case 5 :
                                                    case 9 :
                                                        echo _('Forfait facturé') . ' : ';
                                                        cre_input_num('forfait', $int_forfait, TRUE, FALSE, FALSE);
                                                        echo ' ' . _('HT');
                                                        break;
                                                    default :
                                                        echo _('Forfait');
                                                        break;
                                                }
                                                echo '</span>';
                                                echo '</td>';
                                            } else {
                                                echo '<input name="forfait" type="hidden" id="forfait" value="' . format_num($int_forfait, 2) . '">';
                                            }
                                            echo '</tr>';
                                        } else {
                                            echo '<input name="dureeoff" type="hidden" id="dureeoff" value="' . heure_to_hhmm(sec_heure($nbtotalsecoff, 3, TRUE)) . '" size="6" maxlength="6" readonly="1">';
                                        }
                                        ?>
                                    </table>
                                </td>
                                </td>
                            </tr>
                            <tr>
                                <td width="160" class="rubfrm" id="f_travail"
                                    align="right"><?php echo _('Travail effectué'); ?></td>
                                <td>
                                    <?php
                                    echo '<div id="gestpbmfait">';
                                    echo '<span id="viewpbmfait" class="falselnk">';
                                    echo ' <img src="../img/eye.png" title="' . _('Voir traitements problèmes') . '" border="0" align="absmiddle"> ' . _('Voir traitements problèmes');
                                    echo '</span>';

                                    ?>
                                    <div id="travail" style="height:100px;overflow:auto;">
                                        <?php echo cree_txt_fait_int($int_code, TRUE, TRUE, TRUE); ?>
                                    </div>
                                    <?php
                                    echo '<textarea name="fait" rows="5" id="fait">' . $int_fait . '</textarea>';
                                    ?>
                                </td>
                            </tr>
                        </table>

                        <!-- Date d'appel du client une fois le dossier traité -->
                        <!-- Mode de règlement -->
                        <!-- Date de clôture du dossier -->
                        <!-- Signature -->
                        <table width="100%" border="0">
                            <tr>
                                <td width="160" class="rubfrm" id="f_dateprevf"
                                    align="right"><?php echo _('Client prévenu le'); ?></td>
                                <td>
                                    <?php
                                    echo '<input name="dateprevf" type="text" id="dateprevf" value="' . $int_dateprevf . '"size="10" readonly>';
                                    if ($sais_dteprev == TRUE) {
                                        echo ' <img src="../img/raz.png" id ="razdateprevf" border="0" align="absmiddle">';
                                    }
                                    ?>
                                </td>
                            </tr>
                            <tr>
                                <td class="rubfrm" id="f_codereg" align="right"><?php echo _('Règlement'); ?></td>
                                <td>
                                    <?php
                                    // création de la liste des Règlements
                                    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                                    $rech = 'SELECT * FROM `' . TBREG . '` ORDER BY reg_desc';
                                    $rows = $db->get_results($rech, ARRAY_A);
                                    close_database();
                                    cre_select_tab('codereg', 'codereg', $rows, 'reg_code', 'reg_desc', '', $int_codereg, '', _('-- Faites votre choix --'));
                                    ?>

                                </td>
                            </tr>
                            <tr>
                                <td class="rubfrm" id="f_datefinf"
                                    align="right"><?php echo _('Dossier clôt le'); ?></td>
                                <td>
                                    <?php
                                    echo '<input name="datefinf" type="text" id="datefinf" value="' . $int_datefinf . '" size="10" readonly>';
                                    if ($sais_dtefin == TRUE) {
                                        echo ' <img src="../img/raz.png" id="razdatefinf" border="0" align="absmiddle">';
                                        echo '<div class="annot_petit_it">' . _('Si vous saisissez une date, le dossier sera clôt. Entrez vos pièces et prestations AVANT de clôre') . '</div>';
                                    }
                                    ?>
                                </td>
                            </tr>
                        </table>
                        <?php } ?> <!-- Fin de zone exclue si création -->

                        <!-- Zone de saisie des articles et prestations -->
                        <?php
                        if (($td == 'edit') OR ($td == 'del') OR ($td == 'view')) {
                            if ((valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6)) {
                                if ($aff_fait == TRUE) {
                                    ?>
                                    <a name="intart"></a>
                                    <table border="0" width="100%">
                                        <tr>
                                            <td class="rubfrm">
                                                <div align="left"><?php echo _('Forfaits et pièces facturées'); ?></div>
                                            </td>
                                        </tr>
                                    </table>
                                    <div id="detpdti">
                                    </div>

                                    <!-- Lien d'ajout d'article ou de prestation-->
                                    <?php
                                    if ($td <> 'del') {
                                        if (($td == 'edit') AND (valsession('niv_log') <> 2) AND (valsession('niv_log') <> 7) AND (valsession('niv_log') <> 6)) {
                                            $urlchoixart = 'pdt_lst.php?ta=i&td=' . $td . '&cc=' . $cc . '&ci=' . $ci;
                                            $urlchoixtpf = 'tpf_lst.php?ta=i&td=' . $td . '&cc=' . $cc . '&ci=' . $ci;

                                            ?>
                                            <table border="0" width="100%">
                                                <tr>
                                                    <td width="50%">
                                                        <?php
                                                        if (url_ok($urlchoixart, TRUE) == TRUE) {
                                                            cre_falselnk('', 'chx_art', 'span', '', _('Ajouter un article'), $urlchoixart, '../img/add.png', _('Ajouter un article'));
                                                        } else {
                                                            echo '&nbsp;';
                                                        }
                                                        ?>
                                                    </td>
                                                    <td width="50%">
                                                        <?php
                                                        if (url_ok($urlchoixtpf, TRUE) == TRUE) {
                                                            cre_falselnk('', 'chx_tpf', 'span', '', _('Ajouter une taxe parafiscale'), $urlchoixtpf, '../img/add.png', _('Ajouter une taxe parafiscale'));
                                                        } else {
                                                            echo '&nbsp;';
                                                        }
                                                        ?>
                                                    </td>
                                                </tr>
                                            </table>
                                            <?php
                                        }
                                    }
                                    ?>
                                    <!-- Choix de "l'avenir" des pièces changées -->
                                    <?php
                                    // On peut choisir quoi faire avec les pièces, uniquement s'il y en a eu de changées
                                    // ET si le certificat de destruction n'a pas été envoyé
                                    if ((nb_art_in_int($ci) <> 0) AND ($int_datecertf == '')) {
                                        ?>
                                        <table border="0" cellspacing="0" cellpadding="0" width="100%">
                                            <tr>
                                                <td>
                                                    <div align="center">
                                            <span class="annot_std_gras"><?php echo _('Pièces hors service'); ?>
                                                :</span>
			<span class="annot_std_it"> 
			<?php
            if (($td == 'edit') OR ($td == 'view')) {
                foreach ($pieces_hs as $key => $value) {
                    echo '<input type="radio" name="pieces_hs" style="background:#FFFFFF;" value="' . $key . '"';
                    if ($key == $int_pces) {
                        echo ' checked';
                    }
                    echo '>';
                    echo ' ' . $value . ' ';
                    if ($key <> (count($pieces_hs) - 1)) {
                        echo '/';
                    }
                }
            } else {
                echo $pieces_hs[$int_pces];
            }
            ?>
			</span>
                                                    </div>
                                                </td>
                                            </tr>
                                        </table>
                                        <?php
                                    }
                                }
                            }
                        }
                        ?>
                    </div>
                </div>
                <p align="center">
                    <?php
                    switch ($td) {
                        case 'add' :
                        case 'edit' :
                            echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
                            echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Enregistrer') . '">';
                            if (valsession('niv_log') <> 2) {
                                echo ' <input name="enrimp" type="button" class="bton_std" id="enrimp" value="' . _('Enregistrer & Imprimer') . '">';
                            }
                            if ($cli_prev == 0) {
                                echo '<input name="enrmail" type="button" class="bton_std" id="enrmail" value="' . _('Enregistrer & Envoyer') . '">';
                            }
                            break;
                        case 'del' :
                            echo '<input name="del" type="submit" class="bton_std" id="del" value="' . _('Supprimer') . '">';
                            break;
                    }
                    ?>
                </p>
            </form>

            <?php
            if ($td <> 'add') {
                if (int_closed($int_code, TRUE) == FALSE) // Si pas encore clot, on peut tester le statut comptable
                {
                    // On vérifie s'il y a eu des produits en retours, rattaché à cette intervention
                    $alerte_ret = FALSE;
                    if (exist_int_retp($int_code, TRUE) == TRUE) {
                        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                        $rech = 'SELECT retp_code FROM `' . TBRETP . "` WHERE `retp_codeint` = '$int_code'";
                        $rows = $db->get_results($rech, ARRAY_A);
                        if ($rows) {
                            foreach ($rows as $row) {
                                extract($row);
                                $rech2 = 'SELECT COUNT(retr_clos) FROM `' . TBRETR . "` WHERE `retr_coderetp` = '$retp_code' AND `retr_clos` = '0'";
                                $nbres2 = $db->get_var($rech2);
                                if ($nbres2 > 0) {
                                    $alerte_ret = TRUE;
                                    break;
                                }
                            }
                        }
                        close_database();
                    }

                    if ($alerte_ret == TRUE) {
                        $msg = _('Cette intervention est rattachée à des produits\nen retour fournisseur et pas encore traités');
                        exec_func_js("warn_txt('" . str_escape($msg) . "')");
                    }
                }

            }
            ?>
            <!-- Fin affiché uniquement s'il y a un code client -->
            <?php
        } else {
            pop_ret_auto(_('Merci de choisir un client'), 'warn', $lnk_cli_lst);
        }
        ?>
        <!-- affiché uniquement s'il y a au moins un client, une agence active, une origine, un statut, un lieu, une civilité, un technicien dans l'agence, et un mode de règlement -->
        <?php
    } else {
        if (nb_cli('') == 0) {
            pop_ret_auto(_('Aucun client'), 'warn', $lnk_cli_lst);
        }

        if (nb_age_actives() == 0) {
            pop_ret_auto(_('Aucune agence active'), 'warn', 'age_lst.php');
        }

        if (nb_orig() == 0) {
            pop_ret_auto(_("Aucune origine d'intervention"), 'warn', 'orig_lst.php');
        }

        if (nb_statuts() == 0) {
            pop_ret_auto(_("Aucun statut d'intervention"), 'warn', 'statut_lst.php');
        }

        if (nb_lieux() == 0) {
            pop_ret_auto(_("Aucun lieu d'intervention"), 'warn', 'lieu_lst.php');
        }

        if (nb_civ() == 0) {
            pop_ret_auto(_('Aucune civilité'), 'warn', 'civ_lst.php');
        }

        if (nb_tec('') == 0) {
            pop_ret_auto(_('Aucun technicien'), 'warn', 'tec_lst.php?td=std&tl=1');
        }

        if (nb_reg() == 0) {
            pop_ret_auto(_('Aucun mode règlement'), 'warn', 'reg_lst.php');
        }
    }
} else {
    if ($pbm_int == TRUE) {
        pop_ret_auto(_('Problème de paramètres'), 'warn', $lnk_int_lst);
    } else {
        if (CheckNivLog('1')) {
            pop_ret_auto(_('Merci de choisir votre compte'), 'warn', 'index.php');
        }

        if (CheckNivLog('3-4')) {
            pop_ret_auto(_('Merci de choisir un de vos clients'), 'warn', $lnk_cli_lst);
        }
    }
}
include_once 'pied.php';
?>
</body>
</html>