<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/fic_dos.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_ret.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$tx = valpost('tx');

$code = str_majuscules(valpost('code'));
$nom = str_majuscules(valpost('nom'));
$delai = valpost('delai');
$lien = valpost('lien');

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche Moyen
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBME . "` WHERE `me_code` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech = 'INSERT INTO `' . TBME . "` (me_code,me_nom,me_delai,me_lien) VALUES ('$code','" . $db->escape($nom) . "','$delai','$lien')";
            $db->query($rech);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Moyen
    case 'edit' :
        $rech = 'SELECT COUNT(*) FROM `' . TBME . "` WHERE `me_code` = '" . $db->escape($code) . "' AND `me_del` = '1'";
        $nbres = $db->get_var($rech);
        if ($nbres == 1) {
            $rech = 'UPDATE `' . TBME . "` SET `me_nom`='" . $db->escape($nom) . "', `me_delai`='" . $delai . "', `me_lien`='" . $lien . "'";
            $rech .= " WHERE `me_code` = '" . $db->escape($code) . "'";
            $db->query($rech);
            $msg = _('Fiche modifiée');
        } else {
            $msg = _('Modification impossible');
            $retourliste = FALSE;
        }
        break;

    // Suppression de la fiche Moyen
    case 'del' :
        // Vérifie si utilisé dans une fiche envoi
        $rexist = 'SELECT COUNT(*) FROM `' . TBRETE . "` WHERE `rete_codeme` = '" . $db->escape($code) . "'";
        $nbres = $db->get_var($rexist);
        if ($nbres <> 0) {
            $msg = _("Ce moyen d'envoi est utilisé dans une fiche d'envoi");
            $retourliste = FALSE;
        } else {
            $rech = 'SELECT COUNT(*) FROM `' . TBME . "` WHERE `me_code` = '" . $db->escape($code) . "' AND `me_del` = '1'";
            $nbres = $db->get_var($rech);
            if ($nbres == 1) {
                // Non - > suppression de la fiche Moyen
                $rech = 'DELETE FROM `' . TBME . "` WHERE `me_code` = '" . $db->escape($code) . "'";
                $db->query($rech);
                $msg = _('Fiche supprimée');
            } else {
                $msg = _('Suppression impossible');
                $retourliste = FALSE;
            }
        }
        break;
}
close_database();
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _("Fiche Moyen d'envoi"); ?></title>

        <?php include_once '../inc/header.inc.php'; ?>

        <script type="text/javascript">
            <!--
            <?php
            if ($retourliste == TRUE)
            {
                switch ($tx) {
                    case 'r' :
                    case 'f' :
                        cre_sel_ddeurs_cmque('window.opener', 'codeme');
                        break;
                    default :
                        break;
                }
            }
            ?>

            function init_all() {
                init_Body();
                <?php
                if ($retourliste == FALSE)
                    {echo "warn_txt('" . str_escape($msg) . "',5000)";}
                ?>
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    </head>
    <body>
<?php
if (($tx <> 'r') AND ($tx <> 'f')) {
    include_once '../inc/entete.inc.php';
}
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    if ($tx == 'f') {
        aff_ret_idx_man($td, 'me_lst.php', _('Retour à la liste'), TRUE);
    }
} else {
    switch ($tx) {
        case 'r' :
        case 'f' :
            echo 'update_sel_me();';
            echo 'self.close();';
            break;
        default :
            pop_ret_auto($msg, 'ok', 'me_lst.php');
            break;
    }
}

if (($tx <> 'r') AND ($tx <> 'f')) {
    include_once 'pied.php';
}
?>