<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/config.inc.php';
include_once '../inc/fic_age.inc.php';
include_once '../inc/fic_hum.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_do.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_rel.inc.php';
include_once '../inc/fic_txt.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_fic.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_mail.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/func_txtcm.inc.php';
include_once '../classes/phpmailer/class.phpmailer.php';
include_once '../classes/phpmailer/class.smtp.php';
include_once '../inc/mail.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');

$datecrea = datetomysql(valpost('datecreaf'));
$code = str_majuscules(valpost('code'));
$codecli = str_majuscules(valpost('codecli'));
$codeage = str_majuscules(valpost('codeage'));
$rnum = str_majuscules(valpost('rnum'));
$num = str_majuscules(valpost('num'));
$nota = valpost('nota');

$codeuser = valsession('code_log');

$msg = '';
$retourliste = TRUE;

if (valpost('nbutton') == 'enrimp') {
    $imprim = TRUE;
    $retourliste = FALSE;
}

switch ($td) {
    // Ajout de la fiche relevé
    case 'add' :
        $coder = crecode('R', TRUE);

        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
        $rech = 'INSERT INTO `' . TBREL . '`';
        $rech .= ' (rel_datecrea,rel_codecrea,rel_datemod,rel_codemod,rel_code,rel_codecli,rel_codeage,';
        $rech .= 'rel_rnum,rel_num,rel_nota)';
        $rech .= ' VALUES';
        $rech .= " ('$datecrea','$codeuser','$datea','$codeuser','$coder','$codecli','$codeage',";
        $rech .= "'$rnum','$num','" . $db->escape($nota) . "')";
        $db->query($rech);

        // MAJ de la fiche Client (pour rendre l'agence ayant effectué le relevé "propriétaire" du client)
        $rech2 = 'UPDATE `' . TBCLI . "` SET `cli_datemod`='" . $datea . "', `cli_codemod`='" . $codeuser . "', `cli_prop`='" . $codeage . "', `cli_type`='2'  WHERE `cli_code` = '" . $codecli . "'";
        $db->query($rech2);

        close_database();

        $msg = _('Fiche ajoutée');

        // Envoi d'email vers le client
        envoi_mail('', _('Création de votre dossier de relevé de parc'), 'rel', 'cre', 'xxx', 'cli', $coder, '', '', FALSE);
        // Envoi d'email vers l'agence
        if (valsession('niv_log') <> 4) {
            envoi_mail('', _('Création de dossier relevé de parc'), 'rel', 'cre', 'xxx', 'age', $coder, '', '', FALSE);
        }
        // Envoi d'email vers le centre de gestion
        envoi_mail('', _('Création de dossier de relevé de parc'), 'rel', 'cre', 'xxx', 'cdg', $coder, '', '', TRUE);
        break;

    // MAJ de la fiche relevé
    case 'edit' :
        $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
        $rech = 'UPDATE `' . TBREL;
        $rech .= "` SET `rel_datemod`='" . $datea . "', `rel_codemod`='" . $codeuser . "',`rel_code`='" . $code . "', `rel_codecli`='" . $codecli . "', `rel_codeage`='" . $codeage . "',";
        $rech .= " `rel_rnum`='" . $rnum . "', `rel_num`='" . $num . "', `rel_nota`='" . $db->escape($nota) . "'";
        $rech .= " WHERE `rel_code` = '" . $db->escape($code) . "'";
        $db->query($rech);
        close_database();

        $msg = _('Fiche modifiée');

        // Envoi d'email vers le client
        envoi_mail('', _('Modification de votre dossier de relevé de parc'), 'rel', 'mod', 'xxx', 'cli', $code, '', '', FALSE);
        // Envoi d'email vers l'agence
        if (valsession('niv_log') <> 4) {
            envoi_mail('', _('Modification de dossier de relevé de parc'), 'rel', 'mod', 'xxx', 'age', $code, '', '', FALSE);
        }
        // Envoi d'email vers le centre de gestion
        envoi_mail('', _('Modification de dossier de relevé de parc'), 'rel', 'mod', 'xxx', 'cdg', $code, '', '', TRUE);
        break;

    // Suppression de la fiche relevé
    case 'del' :
        $ok_del = TRUE;

        $exist_rel_in_rlic = exist_rel_in_rlic($code);
        if ($exist_rel_in_rlic == TRUE) {
            $ok_del = FALSE;
            $msg = _('Ce dossier relevé contient des fiches de relevés licences : Supprimez-les');
        }

        $exist_rel_in_rpdt = exist_rel_in_rpdt($code);
        if ($exist_rel_in_rpdt == TRUE) {
            $ok_del = FALSE;
            if ($msg == '') {
                $msg = _('Ce dossier relevé contient des fiches de relevés matériels : Supprimez-les');
            } else {
                $msg .= '<br /><br />' . _('Ce dossier relevé contient des fiches de relevés matériels : Supprimez-les');
            }
        }

        if ($ok_del == TRUE) {
            // SUPPRESSION de la fiche relevé
            $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
            $rech = 'DELETE FROM `' . TBREL . "` WHERE `rel_code` = '" . $db->escape($code) . "'";
            $db->query($rech);

            // Suppression des tâches rattachées à ce relevé
            $rech = 'DELETE FROM `' . TBTAC . "` WHERE `tac_coderat` = '" . $db->escape($code) . "'";
            $db->query($rech);

            close_database();

            // Remise à niveau type client
            upd_nivcli($codecli, TRUE);

            $msg = _('Fiche supprimée');
        } else {
            $retourliste = FALSE;
        }
        break;

    default :
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Dossier Relevé'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_new_fen('imprim', 'impression', 'click');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once '../inc/entete.inc.php';
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    if ($imprim == TRUE) {
        if ($td == 'add') {
            $urlimp = 'rel_pdf.php?code=' . $codeco;
        } else {
            $urlimp = 'rel_pdf.php?code=' . $code;
        }

        if (url_ok($urlimp) == TRUE) {
            cre_falselnk('imprim', 'imprim', 'div', 'center', $urlimp, '', '../img/print.png', _('Imprimer'));
        }
    }
    aff_ret_idx_man($td, 'rel_lst.php', _('Retour à la liste'), TRUE);
} else {
    pop_ret_auto($msg, 'ok', 'rel_lst.php');
}
include_once 'pied.php';
?>
</body>
</html>