<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/config.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_date.inc.php';
include_once '../inc/func_log.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../inc/fic_cli.inc.php';
include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_tac.inc.php';
include_once '../inc/lst.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
$_SESSION['typ_filtres'] = 'repl';
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Liste Relevés'); ?></title>

    <?php include_once '../inc/header.inc.php'; ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            init_autohref_classe('falselnkimg', '');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>
</head>

<body>
<?php
include_once '../inc/entete.inc.php';
cre_ent_form(_('LISTE DES MODELES DE REPLICATION'), '', '', '', FALSE);
$fic_imp = '';
if (valsession('niv_log') <> 1) {
    $url_add = 'repl_maj.php?td=add';
}

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstrreplm();
$rech .= crestr_triord($replm_titre_col, 'replm_nom', FALSE, $limit);

$rows = $db->get_results($rech, ARRAY_A);
close_database();

if ($rows) {
    $numrows = count($rows);
    include_once 'formr.inc.php';

    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

    $rech = modstr_triord($rech, $replm_titre_col, 'replm_nom', TRUE, $limit);

    $rows = $db->get_results($rech, ARRAY_A);

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    // *** Affichage de la table
    echo '<table class="Mtable" border="0" width="100%" cellpadding="0" cellspacing="0">';

    // création entête
    titlst($replm_titre_col);
    echo '<th>' . _('Cliquer') . '</th>';

    $i = 0;

    foreach ($rows as $row) {
        $row = encode_str($row);
        // Affichage résumé relevé

        // création de l'entête de ligne (TR)
        echo '<tr>';

        echo '<td>';
        echo $row['replm_nom'];
        echo '</td>';
        echo '<td align="center">' . datetolocal($row['replm_datecrea']) . '</td>';
        echo '<td align="center">' . datetolocal($row['replm_datemod']) . '</td>';
        echo '<td align="center">';
        echo $typ_repli[$row['replm_typ']];
        echo '</td>';

        // CREATION lien dynamique sur icône (édition, suppression, etc...)
        echo '<td>';
        echo '<div align="center">';

        $lst_maj = TRUE;
        cre_falselnk_img('', 'replm_edit_' . $row['replm_id'], 'span', 'center', _('Edition'), 'lnk', 'repl_maj.php?td=edit&id=' . $row['replm_id'], '../img/edit.png');

        $lst_repl = TRUE;
        cre_falselnk_img('', 'replm_exe_' . $row['replm_id'], 'span', 'center', _('Exécuter réplication'), 'lnk', 'repl_exe.php?id=' . $row['replm_id'], '../img/repli.png');

        $lst_del = TRUE;
        cre_falselnk_img('', 'repl_del_' . $row['repl_id'], 'span', 'center', _('Suppression'), 'lnk', 'repl_maj.php?td=del&id=' . $row['replm_id'], '../img/del.png');

        echo '</div>';
        echo '</td>';

        echo '</tr>';
        // Fin affichage résumé intervention

        $i++;
    }
    echo '</table>';
    // *** Fin affichage de la table

    close_database();

    // *** Pagination de pied
    pagine_lst($numrows, $limit);

    $taille_piedla = '';
    include_once 'piedla.inc.php';
} else {
    retpp();
}
include_once 'pied.php';
?>
</body>
</html>