<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.5
 *
 * Copyright (C) 2006-2017  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once '../inc/fic_droits.inc.php';
include_once '../inc/fic_ret.inc.php';
include_once '../inc/func.inc.php';
include_once '../inc/func_geo.inc.php';
include_once '../inc/func_txt.inc.php';
include_once '../classes/ezSQL/shared/ez_sql_core.php';
include_once '../classes/ezSQL/mysqli/ez_sql_mysqli.php';
include_once '../inc/func_sql.inc.php';
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$tx = valpost('tx');

$id = (int)valpost('nville');
$pays = str_majuscules(valpost('pays'));
$dep = str_majuscules(valpost('dep'));
$cp = valpost('cp');
$nom = str_majuscules(valpost('nom'));
$lng = str_majuscules(valpost('lng'));

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche Ville
    case 'add' :
        $rech = 'SELECT COUNT(*) FROM `' . TBVILLES . "` WHERE `villes_cp` = '" . $db->escape($cp) . "' AND `villes_nom` = '" . $db->escape($nom) . "'";
        $rech .= " AND `villes_dep` = '$dep' AND `villes_codepays` = '$pays' AND `villes_lng` = '$lng'";
        $nbres = $db->get_var($rech);
        if ($nbres == 0) {
            $rech = 'INSERT INTO `' . TBVILLES . "` (villes_cp,villes_nom,villes_dep,villes_codepays,villes_lng) VALUES ('$cp','" . $db->escape($nom) . "','$dep','$pays','$lng')";
            $db->query($rech);
            $msg = _('Fiche ajoutée');
        } else {
            $msg = _('Ce code existe déjà');
            $retourliste = FALSE;
        }
        break;

    // Modification de la fiche Ville
    case 'edit' :
        $rech = 'SELECT COUNT(*) FROM `' . TBVILLES . '` WHERE `villes_id` = ' . $id . '';
        $nbres = $db->get_var($rech);
        if ($nbres == 1) {
            $rech = 'UPDATE `' . TBVILLES . "` SET `villes_cp`='" . $cp . "', `villes_nom`='" . $db->escape($nom) . "', `villes_dep`='" . $dep . "',";
            $rech .= " `villes_codepays`='" . $pays . "', `villes_lng`='" . $lng . "' WHERE `villes_id` = '" . $id . "'";
            $db->query($rech);
            $msg = _('Fiche modifiée');
        } else {
            $msg = _('Modification impossible');
            $retourliste = FALSE;
        }
        break;

    // Suppression de la fiche Ville
    case 'del' :
        if (ville_used($id, FALSE) == TRUE) {
            $msg = _('Cette ville est déjà utilisée');
            $retourliste = FALSE;
        } else {
            $rech = 'SELECT COUNT(*) FROM `' . TBVILLES . '` WHERE `villes_id` = ' . $id . '';
            $nbres = $db->get_var($rech);
            if ($nbres == 1) {
                // Non - > suppression de la fiche Département
                $rech = 'DELETE FROM `' . TBVILLES . '` WHERE `villes_id` = ' . $id;
                $db->query($rech);
                $msg = _('Fiche supprimée');
            } else {
                $msg = _('Suppression impossible');
                $retourliste = FALSE;
            }
        }
        break;
}
close_database();
?>
    <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
    <html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=UTF-8">
        <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Ville'); ?></title>

        <?php include_once '../inc/header.inc.php'; ?>

        <script type="text/javascript">
            <!--
            function init_all() {
                init_Body();
                Focus_first();
            }

            $(document).ready(function () {
                init_all();
            });
            //-->
        </script>

    </head>
    <body>
<?php
if ($tx <> 'f') {
    include_once '../inc/entete.inc.php';
}
cre_ent_form($titre, '', '', '', FALSE);
if ($tx <> 'f') {
    if ($retourliste == FALSE) {
        exec_func_js("warn_txt('" . str_escape($msg) . "')");
        aff_ret_idx_man($td, 'villes_lst.php', _('Retour à la liste'), TRUE);
    } else {
        pop_ret_auto($msg, 'ok', 'villes_lst.php');
    }
} else {
    /*
    cre_js_dep("window.opener.");
    exec_func_js("updatdep()");
    */
    close_fen_auto('', 'fscomp');
}
if ($tx <> 'f') {
    include_once 'pied.php';
}
?>