#
# Table structure for table `smi_ccli`
#

ALTER TABLE `smi_ccli` ADD INDEX ( `ccli_nom` )  

#
# Table structure for table `smi_tva`
#

DROP TABLE IF EXISTS `smi_tva`;
CREATE TABLE `smi_tva` (
  `tva_id` int(10) unsigned NOT NULL auto_increment,
  `tva_code` varchar(10) NOT NULL,
  `tva_desc` varchar(40) NOT NULL,
  `tva_tx` float(10,2) NOT NULL,
  `tva_actif` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`tva_id`),
  KEY `tva_code` (`tva_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Table des taux de TVA';

#
# Dumping data for table `smi_tva`
#

INSERT INTO `smi_tva` VALUES (1, 'TVA0', 'TVA NULLE', 0, 1);
INSERT INTO `smi_tva` VALUES (2, 'TVA55', 'TVA 5,5%', 5.50, 1);
INSERT INTO `smi_tva` VALUES (3, 'TVA196', 'TVA 19,6%', 19.60, 1);


#
# Table structure for table `smi_tpf`
#

DROP TABLE IF EXISTS `smi_tpf`;
CREATE TABLE `smi_tpf` (
  `tpf_id` int(10) unsigned NOT NULL auto_increment,
  `tpf_code` varchar(10) NOT NULL,
  `tpf_desc` varchar(40) NOT NULL,
  `tpf_pour` tinyint(1) NOT NULL default '0',
  `tpf_basepour` tinyint(1) NOT NULL default '0',
  `tpf_valeur` float(10,2) NOT NULL,
  `tpf_asaisir` tinyint(1) NOT NULL default '0',
  `tpf_typmt` tinyint(1) NOT NULL default '0',
  `tpf_global` tinyint(1) NOT NULL default '0',
  `tpf_codetva` varchar(10) default 'TVA196',
  `tpf_actif` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`tpf_id`),
  KEY `tpf_code` (`tpf_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Table des taxes parafiscales';

#
# Table structure for table `smi_tpfa`
#

DROP TABLE IF EXISTS `smi_tpfa`;
CREATE TABLE `smi_tpfa` (
  `tpfa_id` int(10) unsigned NOT NULL auto_increment,
  `tpfa_codepdt` varchar(20) NOT NULL,
  `tpfa_codetpf` varchar(10) NOT NULL,
  `tpfa_mt` float(10,2) default NULL,
  PRIMARY KEY  (`tpfa_id`),
  KEY `tpfa_codepdt` (`tpfa_codepdt`),
  KEY `tpfa_codetpf` (`tpfa_codetpf`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0  COMMENT='Table des taxes parafiscales par article' ;

#
# Table structure for table `smi_tpfi`
#

DROP TABLE IF EXISTS `smi_tpfi`;
CREATE TABLE `smi_tpfi` (
  `tpfi_id` int(10) unsigned NOT NULL auto_increment,
  `tpfi_codeint` varchar(20) NOT NULL,
  `tpfi_codetpf` varchar(10) NOT NULL,
  `tpfi_valeur` float(10,2) unsigned NOT NULL default '0.00',
  `tpfi_codetva` varchar(10) NOT NULL default 'TVA196',
  `tpfi_qte` float(10,2) NOT NULL default '0.00',
  `tpfi_texte` text NOT NULL,
  PRIMARY KEY  (`tpfi_id`),
  KEY `tpfi_codeint` (`tpfi_codeint`),
  KEY `tpfi_codetpf` (`tpfi_codetpf`),
  KEY `tpfi_codetva` (`tpfi_codetva`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Taxes parafiscales sur interventions' ;


#
# Table structure for table `smi_pdt`
#

ALTER TABLE `smi_pdt` ADD `pdt_codetva` VARCHAR( 10 ) NOT NULL DEFAULT 'TVA196';
ALTER TABLE `smi_pdt` ADD INDEX ( `pdt_codetva` ) ;
ALTER TABLE `smi_pdt` ADD `pdt_codepdtu` VARCHAR( 10 ) NOT NULL DEFAULT 'UNITE';
ALTER TABLE `smi_pdt` ADD INDEX ( `pdt_codepdtu` ) ;


#
# Table structure for table `smi_pdti`
#

ALTER TABLE `smi_pdti` ADD `pdti_codetva` VARCHAR( 10 ) NOT NULL DEFAULT 'TVA196';
ALTER TABLE `smi_pdti` ADD INDEX ( `pdti_codetva` );
ALTER TABLE `smi_pdti` ADD `pdti_frompdt` VARCHAR( 20 ) DEFAULT NULL AFTER `pdti_codepdt` ;
ALTER TABLE `smi_pdti` ADD INDEX ( `pdti_frompdt` ) ;


#
# Table structure for table `smi_coclr`
#

DROP TABLE IF EXISTS `smi_coclr`;
CREATE TABLE `smi_coclr` (
 `coclr_id` INT( 10 ) UNSIGNED NOT NULL AUTO_INCREMENT,
 `coclr_codeint` VARCHAR( 20 ) DEFAULT NULL ,
 `coclr_coclori` VARCHAR( 20 ) NOT NULL ,
 `coclr_cocldest` VARCHAR( 20 ) NOT NULL ,
 `coclr_nbsrep` INT( 6 ) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`coclr_id`),
  KEY `coclr_codeint` (`coclr_codeint`),
  KEY `coclr_coclori` (`coclr_coclori`),
  KEY `coclr_cocldest` (`coclr_cocldest`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Table structure for table `smi_int`
#

ALTER TABLE `smi_int` ADD `int_codeext` VARCHAR( 40 ) NULL AFTER `int_code` ;
ALTER TABLE `smi_int` ADD INDEX ( `int_codeext` ) ;
ALTER TABLE `smi_int` ADD `int_ddeur` VARCHAR( 10 ) NOT NULL DEFAULT '-1' AFTER `int_codecli` ;
ALTER TABLE `smi_int` CHANGE `int_idsite` `int_idsite` INT( 10 ) UNSIGNED NOT NULL DEFAULT '0' ;
ALTER TABLE `smi_int` ADD `int_codeman` VARCHAR( 40 ) NULL AFTER `int_code` ;
ALTER TABLE `smi_int` ADD INDEX ( `int_codeman` ) ;


#
# Table structure for table `smi_inth`
#

ALTER TABLE `smi_inth` ADD INDEX ( `inth_offert` ) ;

#
# Table structure for table `smi_cli`
#

ALTER TABLE `smi_cli` ADD `cli_modfact` TINYINT( 1 ) NOT NULL DEFAULT '1';

#
# Table structure for table `smi_cocl`
#

ALTER TABLE `smi_cocl` ADD `cocl_codetva` VARCHAR( 10 ) NOT NULL DEFAULT 'TVA196';
ALTER TABLE `smi_cocl` ADD INDEX ( `cocl_codetva` ) ;
ALTER TABLE `smi_cocl` DROP `cocl_pvttc`;
ALTER TABLE `smi_cocl` ADD `cocl_nbsnc` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cocl` ADD `cocl_renauto` TINYINT( 1 ) NOT NULL DEFAULT '1';
ALTER TABLE `smi_cocl` ADD `cocl_nbsdep` TINYINT( 1 ) NOT NULL DEFAULT '1';


#
# Table structure for table `smi_txt`
#

DELETE FROM `smi_txt` WHERE `smi_txt`.`txt_code` = 'CON_REN_XXX_CLI' LIMIT 1;
DELETE FROM `smi_txt` WHERE `smi_txt`.`txt_code` = 'CON_REN_XXX_AGE' LIMIT 1;
DELETE FROM `smi_txt` WHERE `smi_txt`.`txt_code` = 'CON_REN_XXX_CDG' LIMIT 1;
INSERT INTO `smi_txt` VALUES ('', '2005-10-16', 'Administrateur', '2007-08-10', 'Administrateur', 'CON_REN_XXX_CLI', '', 'CONTRAT : Email renvoy� vers un client pour proposition de renouvellement', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nVotre contrat N&deg;%cocl_code% arrive prochainement &agrave; &eacute;ch&eacute;ance.<br />\r\n<br />\r\nConform&eacute;ment aux conditions commerciales, et afin de ne pas interrompre votre maintenance, nous avons d''ores et d&eacute;j&agrave; mis en place le contrat <strong>%cocl_rnum%</strong>.</p>\r\n<p>Vous pouvez vous connecter et t&eacute;l&eacute;charger ce dernier sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;), et nous le retourner, paraf&eacute;, tamponn&eacute; et sign&eacute; en deux exemplaires.</p>\r\n<p>N''h&eacute;sitez pas &agrave; contacter votre agence %age_nom% au %age_telf% pour tout renseignement compl&eacute;mentaire.  <br />\r\n<br />\r\nDans l''attente de votre appel et vous remerciant encore de votre confiance,  <br />\r\n<br />\r\nNous vous prions d''agr&eacute;er, %civilite1M_cli%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2006-03-13', 'Administrateur', '2007-08-10', 'Administrateur', 'CON_REN_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence suite � une proposition de renouvellement', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la proposition de renouvellement du contrat N&deg; <strong>%cocl_code%</strong> (client %cli_code%) par le contrat <strong>%cocl_rnum%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2006-03-13', 'Administrateur', '2007-08-10', 'Administrateur', 'CON_REN_XXX_CDG', '', 'CONTRAT : Email envoy� vers le CDG suite � une proposition de renouvellement', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la proposition de renouvellement du contrat N&deg; <strong>%cocl_code%</strong> par le contrat <strong>%cocl_rnum%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-08-10', 'Administrateur', '2007-08-10', 'Administrateur', 'CON_REN2_XXX_CLI', '', 'CONTRAT : Email renvoy� vers un client si renouvellement auto', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nVotre contrat N&deg;%cocl_code% est arriv&eacute; &agrave; &eacute;ch&eacute;ance.<br />\r\n<br />\r\nConform&eacute;ment &agrave; nos conditions commerciales, et afin de ne pas interrompre votre maintenance, nous avons d''ores et d&eacute;j&agrave; mis en place le contrat <strong>%cocl_rnum%</strong>.</p>\r\n<p>Vous pouvez vous connecter et t&eacute;l&eacute;charger ce dernier sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;), et nous le retourner, paraf&eacute;, tamponn&eacute; et sign&eacute; en deux exemplaires.</p>\r\n<p>N''h&eacute;sitez pas &agrave; contacter votre agence %age_nom% au %age_telf% pour tout renseignement compl&eacute;mentaire.  <br />\r\n<br />\r\nDans l''attente de votre appel et vous remerciant encore de votre confiance,  <br />\r\n<br />\r\nNous vous prions d''agr&eacute;er, %civilite1M_cli%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-08-10', 'Administrateur', '2007-08-10', 'Administrateur', 'CON_REN2_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence sirenouvellement automatique', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons le renouvellement du contrat N&deg; <strong>%cocl_code%</strong> (client %cli_code%), arriv&eacute; &agrave; &eacute;ch&eacute;ance, par le contrat <strong>%cocl_rnum%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);

INSERT INTO `smi_txt` VALUES ('', '2007-09-10', 'Administrateur', '2007-10-01', 'Administrateur', 'RETP_CRE_XXX_AGE', '', 'RETOUR PDT : Email envoy� vers une agence suite � saisie fiche', '<p>%logo_cge%<br /> %cge_adr1%<br /> %cge_adr2%<br /> %cp_cge% %ville_cge%<br /> Tel : %cge_telf%<br /> Fax : %cge_fax%</p> <blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote> <p><strong>%age_nom%</strong><br /> %age_adr1%<br /> %age_adr2%<br /> %cp_age% %ville_age%<br /> Tel : %age_telf%<br /> Fax : %age_fax%</p> </blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote> <p>&nbsp;&nbsp;</p> <p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p> <p>%civiliter1M_age%,<br /> <br /> Nous vous signalons la saisie d''une fiche produit pour retour (N&deg;<strong> %retp_code%</strong>, produit %retp_des%).<br /> <br /> Bonne fin de journ&eacute;e. <br /> <br /> Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-09-10', 'Administrateur', '2007-09-10', 'Administrateur', 'RETP_CRE_XXX_CDG', '', 'RETOUR PDT  : Email envoy� vers le CDG suite � demande saisie par une agence', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la saisie d''''une nouvelle fiche produit &agrave; retourner (N&deg;<strong> %retp_code%</strong>) par l''agence <strong>%retp_codeage%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-09-15', 'Administrateur', '2007-09-24', 'Administrateur', 'PIED_RETD', '', 'Pied de retour (demandes)', 'Merci de r&eacute;pondre rapidement &agrave; cette demande de retour.<br />\r\nConform&eacute;ment &agrave; nos conditions g&eacute;n&eacute;rales, nous nous r&eacute;servons le droit, en cas de retard, de d&eacute;compter des p&eacute;nalit&eacute;s de retard.<br />\r\nEn cas de besoin, vous pouvez nous contacter&nbsp; aux coordonn&eacute;es et horaires en ent&ecirc;te.', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-09-24', 'Administrateur', '2007-09-24', 'Administrateur', 'PIED_RETE', '', 'Pied de retour (envois)', 'Merci de proc&eacute;der rapidement au traitement de ces retours.<br />\r\n%age_nom% se r&eacute;serve le droit de d&eacute;compter des p&eacute;nalit&eacute;s de retard si nos conditions commerciales n''&eacute;taient pas respect&eacute;es.<br />\r\nEn cas de probl&egrave;me quelconque, n''h&eacute;sitez pas &agrave; nous contacter.', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-10-01', 'Administrateur', '2007-10-01', 'Administrateur', 'RETR_CRE_XXX_AGE', '', 'TRAITEMENT RETOUR : Email envoy� vers une agence suite � saisie fiche', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons que la fiche produit&nbsp;<strong> %retr_coderetp%</strong> (%retp_des%, code produit fournisseur <strong>%retd_codepdtm%</strong> ) a &eacute;t&eacute; trait&eacute;e par le fournisseur.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES ('', '2007-10-01', 'Administrateur', '2007-10-01', 'Administrateur', 'RETR_CRE_XXX_CDG', '', 'TRAITEMENT RETOUR  : Email envoy� vers le CDG suite � demande saisie par une agence', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons que le produit retourn&eacute;&nbsp;<strong> %retr_coderetp%</strong> a &eacute;t&eacute; trait&eacute; par le fournisseur.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);

INSERT INTO `smi_txt` VALUES('', '2008-01-01', 'Administrateur', '2008-01-01', 'Administrateur', 'COL_CRE_XXX_CDG', '', 'CONTRAT LOC : Email envoy� vers le CDG suite � contrat saisi par l''administrateur', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la saisie d''un nouveau contrat (N&deg; <strong>%coloc_code%</strong>).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES('', '2008-01-04', 'Administrateur', '2008-01-04', 'Administrateur', 'COL_CRE_XXX_AGE', '', 'CONTRAT LOC : Email envoy� vers l''agence suite � un nouveau contrat', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la saisie d''un nouveau contrat de location (N&deg; <strong>%coloc_code%</strong>, client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion.</p>', 0);
INSERT INTO `smi_txt` VALUES('', '2008-01-04', 'Administrateur', '2008-01-04', 'Administrateur', 'COL_CRE_XXX_CLI', '', 'CONTRAT LOC : Email envoy� vers un client suite � création', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous annon&ccedil;ons la mise en place de votre contrat de location (N&deg; <strong>%coloc_code%</strong>).  <br />\r\n<br />\r\nMerci de le t&eacute;l&eacute;charger, d''en contr&ocirc;ler l''exactitude (si ce n''&eacute;tait pas le cas, merci de nous le signaler), puis de l''imprimer, depuis votre espace client, sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;) .<br />\r\n<br />\r\nEnsuite, merci de nous le retourner, en deux exemplaires originaux, paraph&eacute;s, tamponn&eacute;s, et sign&eacute;s, &agrave; l''adresse suivante :</p>\r\n<blockquote><strong>%cge_nom%</strong><strong><br />\r\nService Contrats Locations Clients</strong> <br />\r\n%cge_adr1% <br />\r\n%cge_adr2% <br />\r\n%cp_cge% %ville_cge% .</blockquote>\r\n<p><br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES('', '2008-01-04', 'Administrateur', '2008-01-04', 'Administrateur', 'COL_MOD_XXX_AGE', '', 'CONTRAT LOC : Email envoy� vers l''agence suite � modification', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la mise &agrave; jour du contrat de location N&deg; <strong>%coloc_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES('', '2008-01-04', 'Administrateur', '2008-01-04', 'Administrateur', 'COL_MOD_XXX_CDG', '', 'CONTRAT LOC : Email envoy� vers le CDG suite � modification', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la mise &agrave; jour du contrat N&deg; <strong>%coloc_code%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES('', '2008-01-04', 'Administrateur', '2008-01-04', 'Administrateur', 'COL_MOD_XXX_CLI', '', 'CONTRAT LOC : Email envoy� vers un client suite � MAJ', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous annon&ccedil;ons la modification de votre contrat de location (N&deg; <strong>%coloc_code%</strong>).<br />\r\n<br />\r\nVous pouvez le suivre en temps r&eacute;el sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);

INSERT INTO `smi_txt` VALUES('', '2008-01-04', 'Administrateur', '2008-01-04', 'Administrateur', 'CGV_LOC', 'CONDITIONS GENERALES DE LOCATION %cge_nom%', 'Texte master des conditions g�n�rales de vente globales location', '<p>Les soussign&eacute;es :</p>\r\n<blockquote><strong>%age_nom%</strong><br />\r\n%age_adr1%   <br />\r\n%age_adr2%   <br />\r\n%cp_age% %ville_age%<br />\r\n%age_rcs%</blockquote>\r\n<p>appel&eacute;e le &quot;PRESTATAIRE&quot;, d''une part, et</p>\r\n<blockquote><strong>%cli_ste%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli%<br />\r\n%cli_rcs%</blockquote>\r\n<p>appel&eacute;e le &quot;LOCATAIRE&quot;, d''autre part,  ont convenus de ce qui suit :</p><br /><br />\r\n<font size="4"><u><strong>Article I : Objet du contrat</strong></u></font><br />\r\n  <font size="3">1.1. Le pr&eacute;sent contrat a pour objet de d&eacute;finir l''ensemble des conditions qui s''appliqueront &agrave; toute prestation de location ou de pr&ecirc;t dont le client est susceptible de commander l''ex&eacute;cution au prestataire pendant la dur&eacute;e d&eacute;finie au pr&eacute;sent contrat. <br />\r\n  1.2. Le pr&eacute;sent contrat a pour objet la location ou le pr&ecirc;t de mat&eacute;riels ou de logiciels, dont la liste est donn&eacute;es sur la premi&egrave;re page dudit contrat.</font><br />\r\n  <font size="4"><u><strong>Article II : Conditions de location</strong></u></font><br />\r\n  <font size="3">2.1 Le locataire est tenu de pr&eacute;senter au loueur une carte d''identit&eacute; ou un passeport en cours de validit&eacute;.<br />\r\n  2.2 La location, qui est personnelle et non transmissible, est conclue pour une dur&eacute;e d&eacute;termin&eacute;e qui sera pr&eacute;cis&eacute;e sur le contrat.<br />\r\n  2.3 Le locataire est responsable envers le loueur de l''ex&eacute;cution int&eacute;grale des pr&eacute;sentes conditions.<br />\r\n  2.4 D&egrave;s la remise du mat&eacute;riel ou du logiciel, le locataire en deviennent enti&egrave;rement responsables selon les termes fix&eacute;s &agrave; l''article 1384 du Code Civil.<br />\r\n  2.5 Le loueur se r&eacute;serve le droit de mettre fin imm&eacute;diatement et de plein droit &agrave; la location sans &ecirc;tre tenu a justification ni indemnit&eacute; dans l''hypoth&egrave;se o&ugrave; le locataire n''aurait pas respect&eacute; l''une des obligations essentielles du contrat de location, notamment les conditions d''utilisation du mat&eacute;riel ou du logiciel,&nbsp; le paiement des loyers, et les conditions de restitution.</font><br />\r\n  <font size="4"><u><strong>Article III : Utilisation du mat&eacute;riel/logiciel</strong></u></font><br />\r\n  <font size="3">Le locataire s''engage :</font>\r\n<ol>\r\n    <li><font size="3">A ne laisser utiliser le mat&eacute;riel que par les utilisateurs autoris&eacute;s que dans le respect des lois en vigueur et dans des conditions d''utilisation l&eacute;gale</font></li>\r\n    <li><font size="3">A ne pas utiliser le mat&eacute;riel ou le logiciel &agrave; titre on&eacute;reux, dans le respect des limites d''utilisation dudit mat&eacute;riel ou logiciel2.</font></li>\r\n    <li><font size="3">A ne pas l''utiliser &agrave; des fins illicites ou immorales ou non pr&eacute;vues par le constructeur et n''y apporter aucune modification.</font></li>\r\n    <li><font size="3">A utiliser le mat&eacute;riel/logiciel lou&eacute; conform&eacute;ment aux r&egrave;glements de douane, au Code P&eacute;nal, et plus g&eacute;n&eacute;ralement conform&eacute;ment aux dispositions l&eacute;gales et r&eacute;glementaires.</font></li>\r\n    <li><font size="3">A utiliser et entretenir le mat&eacute;riel/logiciel en bon p&egrave;re de famille.</font></li>\r\n    <li><font size="3">Le locataire s''engage &agrave; ne pas utiliser le mat&eacute;riel/logiciel sur un autre lieu et sur un autre ordinateur que celui initialement pr&eacute;vu sauf l''accord express et &eacute;crit du prestataire</font></li>\r\n</ol>\r\n<p><font size="4"><u><strong>Article IV : Etat du mat&eacute;riel/logiciel</strong></u></font><br />\r\n    <font size="3">Le mat&eacute;riel/logiciel est livr&eacute; en bon &eacute;tat apparent de marche, sous r&eacute;serve des &eacute;ventuels vices cach&eacute;s et de carrosserie, avec accessoires.<br />\r\n    En signant le contrat, le locataire agr&eacute;e le mat&eacute;riel/logiciel dans l''&eacute;tat o&ugrave; il se trouve et s''oblige &agrave; le restituer dans le m&ecirc;me &eacute;tat de marche et de carrosserie, avec les accessoires en bon &eacute;tat.<br />\r\n    Le locataire s''interdit de r&eacute;clamer des dommages et int&eacute;r&ecirc;ts pour interruption de service, incident ou accident attribu&eacute; &agrave; l''&eacute;tat du mat&eacute;riel/logiciel.<br />\r\n    </font>      <strong><font size="4"><u>Article V : Entretien - R&eacute;parations</u></font></strong><br />\r\n    <font size="3"><strong>5.1. Entretien</strong></font></p>\r\n<blockquote><font size="3">Au moment o&ugrave; le locataire prend possession du mat&eacute;riel/logiciel, il recevra explication d''entretien, d&eacute;taillant les conditions d''entretien et d''utilisation du mat&eacute;riel/logiciel.<br />\r\nEn cas de location prolong&eacute;e au-del&agrave; des limites normales d''entretien et de r&eacute;vision, le locataire doit en avertir le prestataire et faire v&eacute;rifier le fonctionnement du mat&eacute;riel/logiciel aupr&egrave;s du prestataire.<br />\r\nLe locataire s''engage &agrave; acqu&eacute;rir, et ce, d''une mani&egrave;re exclusive, les pi&egrave;ces d&eacute;tach&eacute;es n&eacute;cessaires aux r&eacute;parations aupr&egrave;s du prestataire afin de conserver au mat&eacute;riel toute son homog&eacute;n&eacute;it&eacute;.</font></blockquote><br />\r\n<font size="3"><strong>5.2. - R&eacute;parations</strong></font>\r\n<blockquote><font size="3">Le locataire s''engage &agrave; ce que les r&eacute;parations n&eacute;cessaires soient r&eacute;alis&eacute;es sans d&eacute;lai.<br />\r\nLes r&eacute;parations, &eacute;changes de pi&egrave;ces ou de consommables r&eacute;sultant de l''usure normale ainsi que les visites d''entretien sont &agrave; la charge du prestataire et seront effectu&eacute;s par ses soins. Les r&eacute;parations, &eacute;changes de pi&egrave;ces ou fournitures r&eacute;sultant d''usure anormale, de la n&eacute;gligence, de cause accidentelle ou ind&eacute;termin&eacute;e, demeurent &agrave; la charge du locataire, &agrave; moins que ce dernier ne rapporte la preuve qu''il n''a pas commis de faute.<br />\r\nDans les cas susvis&eacute;s, le locataire s''engage, &agrave; ses frais (frais d''enl&egrave;vement, de transport, de remorquage...), &agrave; ramener le mat&eacute;riel/logiciel, dans les conditions fix&eacute;es ci-dessus.<br />\r\nLa location continuera &agrave; poursuivre ses effets et toutes les obligations subs&eacute;quentes du locataire demeurant en vigueur d&egrave;s lors que le loueur aura &eacute;t&eacute; en mesure de proc&eacute;der au remplacement du mat&eacute;riel/logiciel immobilis&eacute;.</font></blockquote><br />\r\n<font size="4"><u><strong>Article VI : Tarifs</strong></u></font><br />\r\n<font size="3">Les frais de consommables ou carburant sont &agrave; la charge du locataire.<br />\r\nSi le locataire ne restitue pas le mat&eacute;riel avec au moins le niveau d''origine, %cge_nom% assurera la remise &agrave; niveau du mat&eacute;riel et facturera au client les frais dus &agrave; cette op&eacute;ration.<br />\r\nLa journ&eacute;e de location s''entend d''heure &agrave; heure par p&eacute;riode de 12 ou 24 heures selon le tarif appliqu&eacute;.<br />\r\nLa dur&eacute;e de location factur&eacute;e se calcule par tranche de 12 ou 24 heures non fractionnable avec une tol&eacute;rance de 29 minutes.<br />\r\nAu-del&agrave; de celle-ci, selon le tarif appliqu&eacute;, une p&eacute;nalit&eacute; sera appliqu&eacute;e et factur&eacute;e.<br />\r\nLe locataire doit verser au loueur un loyer provisionnel correspondant &agrave; la dur&eacute;e de la location &eacute;tant pr&eacute;cis&eacute; que la fixation du loyer d&eacute;finitif fera l''objet d''une modification fonction du montant du loyer provisionnel vers&eacute;.</font><br />\r\n<font size="4"><u><strong>Article VII : Obligations du locataire</strong></u></font><br />\r\n<font size="3">7.1. Le client s''engage &agrave; respecter les conditions normales d''utilisation du mat&eacute;riel et &agrave; appliquer strictement toutes les instructions donn&eacute;es par le prestataire.<br />\r\n7.2. Le mat&eacute;riel, les &eacute;quipements et leur installation devront &ecirc;tre conformes aux normes fournies par le prestataire, ainsi que le local, les installations &eacute;lectriques et les supports d''information. <br />\r\n7.3. Le mat&eacute;riel et son param&eacute;trage ne pourront &ecirc;tre modifi&eacute;s, d&eacute;plac&eacute;s, r&eacute;par&eacute;s par des tiers sans l''autorisation pr&eacute;alable &eacute;crite du prestataire.<br />\r\n7.4. Les fournitures utilis&eacute;es avec le mat&eacute;riel (papier, bandes, disquettes...) devront correspondre strictement aux fournitures agr&eacute;&eacute;es par le prestataire et restent &agrave; la charge du locataire.<br />\r\n7.5 Le locataire prendra toutes les dispositions pour que les conditions de s&eacute;curit&eacute; &eacute;dict&eacute;es par la l&eacute;gislation soient respect&eacute;es afin d''&eacute;viter tout accident au personnel se servant de ce mat&eacute;riel. Le locataire pr&eacute;voira au d&eacute;part de l''utilisation un disjoncteur diff&eacute;rentiel avec avertissement sonore et d&eacute;clenchement automatique afin de respecter les dispositions des d&eacute;crets sur la protection des travailleurs contre les courants &eacute;lectriques,<br />\r\n7.6 Le locataire est tenu d''assurer le mat&eacute;riel contre tous les risques &agrave; une compagnie d''assurance et, si le prestataire le d&eacute;sire, de le justifier</font><br />\r\n<font size="3">En cas de non-respect de l''une des dispositions du contrat ou des obligations pr&eacute;cis&eacute;es, le prestataire pourra mettre fin au pr&eacute;sent contrat en respectant un pr&eacute;avis d''un mois.</font><br />\r\n<font size="4"><u><strong>Article VIII : Limitation de responsabilit&eacute;</strong></u></font><br />\r\n<font size="3">8.1. Le prestataire sera d&eacute;gag&eacute; de toute responsabilit&eacute; en cas d''inobservation par le client d''une des clauses du pr&eacute;sent contrat, ou en cas de survenance de l''un des faits pr&eacute;vus dans le chapitre 5.<br />\r\n8.2. Le prestataire ne pourra en aucun cas &ecirc;tre consid&eacute;r&eacute; comme responsable des dommages directs ou indirects r&eacute;sultant de l''utilisation du mat&eacute;riel et des logiciels, y compris en cas de pertes de donn&eacute;es ou d''information. Le client s''engage &agrave; se pr&eacute;munir contre ces risques en effectuant au minimum une sauvegarde quotidienne de l''ensemble des informations.<br />\r\n8.3. Le prestataire ne pourra &ecirc;tre rendu responsable des pannes ou anomalies de fonctionnement du mat&eacute;riel, quelle que puisse &ecirc;tre la dur&eacute;e de la panne ou de l''immobilisation avant la remise en marche normale.<br />\r\n8.4. Enfin, la responsabilit&eacute; du prestataire ne pourra &ecirc;tre recherch&eacute;e en cas de force majeure, ou pour d''autres motifs ind&eacute;pendants de sa volont&eacute; tels que gr&egrave;ves, interruptions du travail, retard des prestataires, sinistres ou accidents, interruptions de communication internet ou t&eacute;l&eacute;phonique, conflits, piratage de r&eacute;seau ou d''informations.<br />\r\n8.5. En toute hypoth&egrave;se, si la responsabilit&eacute; du prestataire est engag&eacute;e, l''indemnisation qui pourrait lui &ecirc;tre r&eacute;clam&eacute;e est limit&eacute;e au montant de la redevance per&ccedil;ue par le prestataire au titre de la p&eacute;riode de douze mois en cours.</font><strong><br />\r\n<font size="4"><u>Article IX : Dur&eacute;e du contrat</u></font></strong><br />\r\n<font size="3">9.1. Le pr&eacute;sent contrat est conclu &agrave; compter du %coloc_datedeb%, jusqu''au %coloc_datefin%.</font><br />\r\n<font size="4"><u><strong>Article X : Prix</strong></u></font><br />\r\n<font size="3">10.1. Le montant HT de la location est telle que pr&eacute;vue dans le bar&ecirc;me appliqu&eacute; pour cette location<br />\r\nEn cas de modification ou d''adjonction de mat&eacute;riel, le prix serait modifi&eacute; en cons&eacute;quence.<br />\r\n10.2. Le prix initialement demand&eacute; pourra &ecirc;tre augment&eacute; d''une caution ou d''une p&eacute;nalit&eacute;.<br />\r\n</font><font size="4"><u><strong>Article XI : Conditions de paiement</strong></u></font><br />\r\n<font size="3">11.1. Le co&ucirc;t de la location est factur&eacute; d''avance &agrave; la remise du mat&eacute;riel<br />\r\n11.2. Les frais suppl&eacute;mentaires et p&eacute;nalit&eacute;s sont factur&eacute;s et r&eacute;glables d&egrave;s qu''ils ont &eacute;t&eacute; expos&eacute;s.<br />\r\n11.3. Les factures sont payables &agrave; r&eacute;ception, net, comptant, sans escompte.<br />\r\n11.4 La caution demand&eacute;e &agrave; la remise du mat&eacute;riel sera rendue uniquement si le mat&eacute;riel/logiciel est en bon &eacute;tat de fonctionnement et si toutes les clauses des chap&icirc;tres&nbsp; 2 &agrave; 9 ont &eacute;t&eacute; respect&eacute;es.</font><br />\r\n<font size="4"><u><strong>Article XII : Attribution de juridiction</strong></u></font><br />\r\n<font size="3">Les pr&eacute;c&eacute;dentes conditions ainsi que les actes qui en seront la cons&eacute;quence sont soumis au droit fran&ccedil;ais. Pour tout litige susceptible de survenir, l''attribution expresse de juridiction est faite aux tribunaux de %age_tcom%.<br />\r\n<br />\r\nFait en autant d''exemplaires que de parties aux pr&eacute;sentes, &agrave; %ville_age% le %coloc_datecrea%<br />\r\n<br />\r\n</font><strong>Pour le prestataire :</strong><br />\r\n<em>Nom, pr&eacute;nom (Lettres capitales), qualit&eacute;, signature, et tampon</em>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<strong>Pour le client :</strong><br />\r\n<em>Nom, pr&eacute;nom (Lettres capitales), qualit&eacute;, signature, et tampon</em>\r\n', 0);


#
# Table structure for table `smi_me`
#

DROP TABLE IF EXISTS `smi_me`;
CREATE TABLE IF NOT EXISTS `smi_me` (
  `me_id` tinyint(10) unsigned NOT NULL auto_increment,
  `me_code` varchar(10) NOT NULL,
  `me_nom` varchar(50) NOT NULL,
  `me_delai` int(2) NOT NULL,
  `me_lien` varchar(200) default NULL,
  `me_del` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`me_id`),
  KEY `me_code` (`me_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;


#
# Table structure for table `smi_cons`
#

ALTER TABLE `smi_cons` ADD `cons_rretp` VARCHAR( 10 ) NOT NULL DEFAULT 'PR07';
ALTER TABLE `smi_cons` ADD `cons_nretp` INT( 10 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_rrete` VARCHAR( 10 ) NOT NULL DEFAULT 'ER07';
ALTER TABLE `smi_cons` ADD `cons_nrete` INT( 10 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cons` ADD `cons_rloc` VARCHAR( 10 ) NOT NULL DEFAULT 'LO07';
ALTER TABLE `smi_cons` ADD `cons_nloc` INT( 10 ) NOT NULL DEFAULT '0';

#
# Table structure for table `smi_md`
#


DROP TABLE IF EXISTS `smi_md`;
CREATE TABLE IF NOT EXISTS `smi_md` (
  `md_id` tinyint(10) unsigned NOT NULL auto_increment,
  `md_code` varchar(10) NOT NULL,
  `md_nom` varchar(50) NOT NULL,
  `md_del` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`md_id`),
  KEY `md_code` (`md_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_md`
#

INSERT INTO `smi_md` VALUES (1, 'WEB', 'SITE WEB', 0);
INSERT INTO `smi_md` VALUES (2, 'EMAIL', 'EMAIL', 0);
INSERT INTO `smi_md` VALUES (3, 'FAX', 'TELECOPIE', 0);
INSERT INTO `smi_md` VALUES (4, 'COURRIER', 'COURRIER', 0);


#
# Table structure for table `smi_retd`
#

DROP TABLE IF EXISTS `smi_retd`;
CREATE TABLE IF NOT EXISTS `smi_retd` (
  `retd_id` int(10) unsigned NOT NULL auto_increment,
  `retd_coderetp` varchar(20) NOT NULL,
  `retd_datedde` date NOT NULL default '0000-00-00',
  `retd_codemque` varchar(20) NOT NULL,
  `retd_codepdtm` varchar(20) NOT NULL,
  `retd_blf` tinyint(1) NOT NULL default '0',
  `retd_nblf` varchar(20) NOT NULL,
  `retd_dblf` date NOT NULL default '0000-00-00',
  `retd_gar` tinyint(4) NOT NULL default '0',
  `retd_codemd` varchar(10) NOT NULL,
  `retd_dossier` varchar(20) default NULL,
  `retd_nivurg` tinyint(1) NOT NULL default '0',
  `retd_daterep` date NOT NULL default '0000-00-00',
  `retd_rma` varchar(40) default NULL,
  PRIMARY KEY  (`retd_id`),
  KEY `retd_coderetp` (`retd_coderetp`),
  KEY `retd_rma` (`retd_rma`),
  KEY `retd_codemd` (`retd_codemd`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0;


#
# Dumping data for table `smi_retd`
#


#
# Table structure for table `smi_rete`
#

DROP TABLE IF EXISTS `smi_rete`;
CREATE TABLE IF NOT EXISTS `smi_rete` (
  `rete_id` int(10) unsigned NOT NULL auto_increment,
  `rete_code` varchar(20) NOT NULL,
  `rete_datecrea` date NOT NULL default '0000-00-00',
  `rete_dateenv` date NOT NULL default '0000-00-00',
  `rete_codemque` varchar(20) NOT NULL,
  `rete_codeme` varchar(10) NOT NULL,
  `rete_bord` varchar(20) default NULL,
  `rete_nbcol` tinyint(3) NOT NULL default '1',
  `rete_codeage` varchar(20) NOT NULL,
  `rete_clos` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`rete_id`),
  KEY `rete_codeme` (`rete_codeme`),
  KEY `rete_codeage` (`rete_codeage`),
  KEY `rete_codemque` (`rete_codemque`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_rete`
#

#
# Table structure for table `smi_retep`
#

DROP TABLE IF EXISTS `smi_retep`;
CREATE TABLE IF NOT EXISTS `smi_retep` (
  `retep_id` int(10) NOT NULL auto_increment,
  `retep_codeenv` varchar(20) NOT NULL,
  `retep_coderetp` varchar(20) NOT NULL,
  PRIMARY KEY  (`retep_id`),
  KEY `retep_codeenv` (`retep_codeenv`),
  KEY `retep_coderetp` (`retep_coderetp`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0;


#
# Dumping data for table `smi_retep`
#

#
# Table structure for table `smi_retp`
#

DROP TABLE IF EXISTS `smi_retp`;
CREATE TABLE IF NOT EXISTS `smi_retp` (
  `retp_id` int(10) unsigned NOT NULL auto_increment,
  `retp_datecrea` date NOT NULL default '0000-00-00',
  `retp_codecrea` varchar(20) NOT NULL,
  `retp_datemod` date NOT NULL default '0000-00-00',
  `retp_codemod` varchar(20) NOT NULL,
  `retp_code` varchar(20) NOT NULL,
  `retp_codeage` varchar(20) NOT NULL,
  `retp_des` varchar(50) NOT NULL,
  `retp_nint` varchar(50) default NULL,
  `retp_blf` tinyint(1) NOT NULL default '0',
  `retp_nblf` varchar(20) NOT NULL,
  `retp_dblf` date NOT NULL default '0000-00-00',
  `retp_gar` tinyint(1) NOT NULL default '0',
  `retp_ns` varchar(40) NOT NULL,
  `retp_pbm` text,
  `retp_codeint` varchar(20) default NULL,
  `retp_datedde` date NOT NULL default '0000-00-00',
  `retp_daterep` date NOT NULL default '0000-00-00',
  `retp_codeenv` varchar(20) default NULL,
  `retp_dateenv` date NOT NULL default '0000-00-00',
  `retp_dateret` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`retp_id`),
  KEY `retp_codecrea` (`retp_codecrea`),
  KEY `retp_code` (`retp_code`),
  KEY `retp_codeage` (`retp_codeage`),
  KEY `retp_codeint` (`retp_codeint`),
  KEY `retp_codeenv` (`retp_codeenv`),
  KEY `retp_ns` (`retp_ns`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_retp`
#

#
# Table structure for table `smi_retr`
#

DROP TABLE IF EXISTS `smi_retr`;
CREATE TABLE IF NOT EXISTS `smi_retr` (
  `retr_id` int(10) unsigned NOT NULL auto_increment,
  `retr_coderetp` varchar(20) NOT NULL,
  `retr_dateret` date NOT NULL default '0000-00-00',
  `retr_typeope` tinyint(1) NOT NULL default '0',
  `retr_ns` varchar(20) default NULL,
  `retr_avoir` varchar(20) default NULL,
  `retr_raison` text,
  `retr_fait` text,
  `retr_codeme` varchar(10) NOT NULL,
  `retr_bord` varchar(20) NOT NULL,
  `retr_clos` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`retr_id`),
  KEY `retr_coderetp` (`retr_coderetp`),
  KEY `retr_codeme` (`retr_codeme`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_retr`
#

#
# Table structure for table `smi_pw`
#

ALTER TABLE `smi_pw` ADD `pw_lng` CHAR( 3 ) NOT NULL DEFAULT 'fr';

#
# Table structure for table `smi_age`
#

ALTER TABLE `smi_age` ADD `age_loc` TINYINT( 1 ) NOT NULL DEFAULT '1' AFTER `age_fact` ;
ALTER TABLE `smi_age` ADD INDEX ( `age_dep` ) ;
ALTER TABLE `smi_age` ADD INDEX ( `age_codepays` ) ;

#
# Table structure for table `smi_cge`
#

ALTER TABLE `smi_cge` ADD INDEX ( `cge_dep` )  ;
ALTER TABLE `smi_cge` ADD INDEX ( `cge_codepays` )  ;

#
# Table structure for table `smi_ope`
#

ALTER TABLE `smi_ope` ADD INDEX ( `ope_dep` ) ;
ALTER TABLE `smi_ope` ADD INDEX ( `ope_codepays` ) ;

#
# Table structure for table `smi_st`
#

ALTER TABLE `smi_st` ADD INDEX ( `st_dep` ) ;
ALTER TABLE `smi_st` ADD INDEX ( `st_codepays` ) ;

#
# Table structure for table `smi_cli`
#

ALTER TABLE `smi_cli` ADD INDEX ( `cli_dep` ) ;
ALTER TABLE `smi_cli` ADD INDEX ( `cli_codepays` ) ;

#
# Table structure for table `smi_dde`
#

ALTER TABLE `smi_dde` ADD INDEX ( `dde_dep` ) ;
ALTER TABLE `smi_dde` CHANGE `dde_pays` `dde_codepays` VARCHAR( 3 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL ;
ALTER TABLE `smi_dde` DROP INDEX `dde_pays` ;
ALTER TABLE `smi_dde` ADD INDEX ( `dde_codepays` ) ;

#
# Table structure for table `smi_do`
#

ALTER TABLE `smi_do` ADD INDEX ( `do_dep` ) ;
ALTER TABLE `smi_do` ADD INDEX ( `do_codepays` ) ;


#
# Table structure for table `smi_mque`
#

ALTER TABLE `smi_mque` ADD INDEX ( `mque_dep` ) ;
ALTER TABLE `smi_mque` ADD INDEX ( `mque_codepays` ) ;

#
# Table structure for table `smi_scli`
#

ALTER TABLE `smi_scli` ADD INDEX ( `scli_dep` ) ;
ALTER TABLE `smi_scli` ADD INDEX ( `scli_codepays` ) ;

#
# Table structure for table `smi_tec`
#

ALTER TABLE `smi_tec` ADD INDEX ( `tec_dep` ) ;
ALTER TABLE `smi_tec` ADD INDEX ( `tec_codepays` ) ;

#
# Table structure for table `smi_villes`
#

ALTER TABLE `smi_villes` ADD INDEX ( `villes_dep` ) ;
ALTER TABLE `smi_villes` ADD `villes_lng` CHAR( 3 ) NOT NULL DEFAULT 'FR';
ALTER TABLE `smi_villes` ADD INDEX ( `villes_lng` ) ;

#
# Table structure for table `smi_dep`
#

ALTER TABLE `smi_dep` ADD `dep_lng` CHAR( 3 ) NOT NULL DEFAULT 'FR';
ALTER TABLE `smi_dep` ADD INDEX ( `dep_lng` ) ;


#
# Table structure for table `smi_pays`
#

ALTER TABLE `smi_pays` ADD `pays_lng` CHAR( 3 ) NOT NULL DEFAULT 'FR';
ALTER TABLE `smi_pays` ADD INDEX ( `pays_lng` ) ;

#
# Table structure for table `smi_barloc`
#

DROP TABLE IF EXISTS `smi_barloc`;
CREATE TABLE IF NOT EXISTS `smi_barloc` (
  `barloc_id` int(10) unsigned NOT NULL auto_increment,
  `barloc_codepdtloc` varchar(20) NOT NULL,
  `barloc_codeperloc` varchar(10) NOT NULL,
  `barloc_des` varchar(50) NOT NULL,
  `barloc_dateval1` date NOT NULL default '0000-00-00',
  `barloc_dateval2` date NOT NULL default '0000-00-00',
  `barloc_pvht` float(10,2) NOT NULL,
  `barloc_codetva` varchar(10) NOT NULL,
  `barloc_mtass` float(10,2) NOT NULL default '0.00',
  `barloc_codetvaass` varchar(10) NOT NULL,
  `barloc_assobl` tinyint(1) NOT NULL default '0',
  `barloc_mult` tinyint(1) NOT NULL default '0',
  `barloc_actif` tinyint(1) NOT NULL default '1',
  `barloc_codepen` varchar(10) NOT NULL default '-1',
  `barloc_qconsi1` int(10) unsigned NOT NULL default '0',
  `barloc_puconsi1` float(10,2) NOT NULL default '0.00',
  `barloc_tvacons1` varchar(10) NOT NULL,
  `barloc_qconsi2` int(10) unsigned NOT NULL default '0',
  `barloc_puconsi2` float(10,2) NOT NULL default '0.00',
  `barloc_tvacons2` varchar(10) NOT NULL,
  PRIMARY KEY  (`barloc_id`),
  KEY `barloc_codepdtloc` (`barloc_codepdtloc`),
  KEY `barloc_codeperloc` (`barloc_codeperloc`),
  KEY `barloc_codetva` (`barloc_codetva`),
  KEY `barloc_des` (`barloc_des`),
  KEY `barloc_codetvaass` (`barloc_codetvaass`),
  KEY `barloc_tvacons1` (`barloc_tvacons1`),
  KEY `barloc_tvacons2` (`barloc_tvacons2`),
  KEY `barloc_codepen` (`barloc_codepen`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_barloc`
#

#
# Table structure for table `smi_barloctc`
#

DROP TABLE IF EXISTS `smi_barloctc`;
CREATE TABLE IF NOT EXISTS `smi_barloctc` (
  `barloctc_id` int(10) unsigned NOT NULL auto_increment,
  `barloctc_idbarloc` int(10) unsigned NOT NULL,
  `barloctc_ncons` tinyint(1) NOT NULL default '1',
  `barloctc_min` int(10) unsigned NOT NULL,
  `barloctc_max` int(10) unsigned NOT NULL,
  `barloctc_pvht` float(10,2) NOT NULL,
  PRIMARY KEY  (`barloctc_id`),
  KEY `barloctc_idbarloc` (`barloctc_idbarloc`),
  KEY `barloctc_min` (`barloctc_min`),
  KEY `barloc_ncons` (`barloctc_ncons`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Tarifs consommables sur bar�mes';


#
# Dumping data for table `smi_barloctc`
#

#
# Table structure for table `smi_coloc`
#

DROP TABLE IF EXISTS `smi_coloc`;
CREATE TABLE IF NOT EXISTS `smi_coloc` (
  `coloc_id` int(10) unsigned NOT NULL auto_increment,
  `coloc_datecrea` date NOT NULL default '0000-00-00',
  `coloc_codecrea` varchar(20) NOT NULL,
  `coloc_code` varchar(20) NOT NULL,
  `coloc_codeage` varchar(10) NOT NULL,
  `coloc_codecli` varchar(20) NOT NULL,
  `coloc_idsite` int(10) unsigned NOT NULL default '0',
  `coloc_ddeur` varchar(10) character set latin1 collate latin1_general_ci NOT NULL default '-1',
  `coloc_datedeb` date NOT NULL default '0000-00-00',
  `coloc_datefin` date NOT NULL default '0000-00-00',
  `coloc_dateclos` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`coloc_id`),
  KEY `coloc_code` (`coloc_code`),
  KEY `coloc_codecrea` (`coloc_codecrea`),
  KEY `coloc_codeage` (`coloc_codeage`),
  KEY `coloc_codecli` (`coloc_codecli`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Contrats de location';

#
# Dumping data for table `smi_coloc`
#

#
# Table structure for table `smi_dloc`
#

DROP TABLE IF EXISTS `smi_dloc`;
CREATE TABLE IF NOT EXISTS `smi_dloc` (
  `dloc_id` smallint(5) unsigned NOT NULL auto_increment,
  `dloc_datecrea` date NOT NULL default '0000-00-00',
  `dloc_codeage` varchar(10) default NULL,
  `dloc_nom` varchar(50) NOT NULL,
  `dloc_adr1` varchar(50) NOT NULL,
  `dloc_adr2` varchar(50) default NULL,
  `dloc_dep` varchar(30) NOT NULL,
  `dloc_ville` int(10) NOT NULL,
  `dloc_codepays` char(3) NOT NULL,
  `dloc_telf` varchar(20) NOT NULL,
  `dloc_fax` varchar(20) default NULL,
  `dloc_resp_civilite` varchar(5) NOT NULL,
  `dloc_resp_prenom` varchar(50) NOT NULL,
  `dloc_resp_nom` varchar(50) NOT NULL,
  `dloc_resp_telf` varchar(20) NOT NULL,
  `dloc_email` varchar(50) NOT NULL,
  `dloc_emaild` varchar(50) NOT NULL,
  `dloc_emails` varchar(50) default NULL,
  `dloc_ouvert` tinyint(1) NOT NULL default '1',
  `dloc_datec` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`dloc_id`),
  KEY `dloc_codeage` (`dloc_codeage`),
  KEY `dloc_nom` (`dloc_nom`),
  KEY `dloc_resp_civilite` (`dloc_resp_civilite`),
  KEY `dloc_dep` (`dloc_dep`),
  KEY `dloc_codepays` (`dloc_codepays`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Dep�ts locations';

#
# Dumping data for table `smi_dloc`
#

#
# Table structure for table `smi_pdtl`
#

DROP TABLE IF EXISTS `smi_pdtl`;
CREATE TABLE IF NOT EXISTS `smi_pdtl` (
  `pdtl_id` int(10) unsigned NOT NULL auto_increment,
  `pdtl_codecoloc` varchar(20) NOT NULL,
  `pdtl_codepdtloc` varchar(20) NOT NULL,
  `pdtl_datedeb` date NOT NULL default '0000-00-00',
  `pdtl_heuredeb` time NOT NULL default '00:00:00',
  `pdtl_datefin` date NOT NULL default '0000-00-00',
  `pdtl_heurefin` time NOT NULL default '00:00:00',
  `pdtl_coderegc` varchar(10) default NULL,
  `pdtl_datedep` date NOT NULL default '0000-00-00',
  `pdtl_heuredep` time NOT NULL default '00:00:00',
  `pdtl_didx1` int(10) NOT NULL default '0',
  `pdtl_didx2` int(10) NOT NULL default '0',
  `pdtl_prispar` varchar(70) default NULL,
  `pdtl_noted` text,
  `pdtl_dateret` date NOT NULL default '0000-00-00',
  `pdtl_heureret` time NOT NULL default '00:00:00',
  `pdtl_ridx1` int(10) NOT NULL default '0',
  `pdtl_ridx2` int(10) NOT NULL default '0',
  `pdtl_retpar` varchar(70) default NULL,
  `pdtl_rcaut` tinyint(1) unsigned NOT NULL default '1',
  `pdtl_noter` text,
  `pdtl_reloc` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`pdtl_id`),
  KEY `pdtl_codecoloc` (`pdtl_codecoloc`),
  KEY `pdtl_codepdtloc` (`pdtl_codepdtloc`),
  KEY `pdtl_codereg` (`pdtl_coderegc`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Produits lou�s sur contrats de location';

ALTER TABLE `smi_pdtl` ADD `pdtl_codecrea` VARCHAR( 20 ) NULL AFTER `pdtl_id` ;
ALTER TABLE `smi_pdtl` ADD `pdtl_codemod` VARCHAR( 20 ) NULL AFTER `pdtl_codecrea` ;
ALTER TABLE `smi_pdtl` ADD INDEX ( `pdtl_codecrea` ) ;
ALTER TABLE `smi_pdtl` ADD INDEX ( `pdtl_codemod` ) ;
ALTER TABLE `smi_pdtl` ADD `pdtl_codedep` VARCHAR( 20 ) NULL AFTER `pdtl_noted` ;
ALTER TABLE `smi_pdtl` ADD INDEX ( `pdtl_codedep` ) ;
ALTER TABLE `smi_pdtl` ADD `pdtl_coderet` VARCHAR( 20 ) NULL AFTER `pdtl_noter` ;
ALTER TABLE `smi_pdtl` ADD INDEX ( `pdtl_coderet` ) ;


#
# Dumping data for table `smi_pdtl`
#

#
# Table structure for table `smi_pdtlbl`
#

DROP TABLE IF EXISTS `smi_pdtlbl`;
CREATE TABLE IF NOT EXISTS `smi_pdtlbl` (
  `pdtlbl_id` int(10) unsigned NOT NULL auto_increment,
  `pdtlbl_idpdtl` int(10) unsigned NOT NULL,
  `pdtlbl_idbarloc` int(10) unsigned NOT NULL,
  `pdtlbl_qte` int(10) NOT NULL default '0',
  `pdtlbl_pvht` float(10,2) NOT NULL default '0.00',
  `pdtlbl_codetva` varchar(10) NOT NULL default 'TVA196',
  `pdtlbl_caution` float(10,2) NOT NULL default '0.00',
  `pdtlbl_tvacaut` varchar(10) NOT NULL default 'TVA196',
  `pdtlbl_avecass` tinyint(1) NOT NULL default '1',
  `pdtlbl_mtass` float(10,2) NOT NULL default '0.00',
  `pdtlbl_codetvaass` varchar(10) NOT NULL default 'TVA196',
  `pdtlbl_qconsi1` int(10) NOT NULL default '0',
  `pdtlbl_pdtuconsi1` varchar(5) NOT NULL,
  `pdtlbl_puconsi1` float(10,2) NOT NULL default '0.00',
  `pdtlbl_qconsi2` int(10) NOT NULL default '0',
  `pdtlbl_pdtuconsi2` varchar(5) NOT NULL,
  `pdtlbl_puconsi2` float(10,2) NOT NULL default '0.00',
  PRIMARY KEY  (`pdtlbl_id`),
  KEY `pdtlbl_codebarloc` (`pdtlbl_idbarloc`),
  KEY `pdtlbl_idpdtl` (`pdtlbl_idpdtl`),
  KEY `pdtlbl_codetva` (`pdtlbl_codetva`),
  KEY `pdtlbl_tvacaut` (`pdtlbl_tvacaut`),
  KEY `pdtlbl_codetvaass` (`pdtlbl_codetvaass`),
  KEY `pdtlbl_pdtucons1` (`pdtlbl_pdtuconsi1`),
  KEY `pdtlbl_pdtuconsi2` (`pdtlbl_pdtuconsi2`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Bar�mes locations par produit par contrat location';

#
# Dumping data for table `smi_pdtlbl`
#

#
# Table structure for table `smi_pdtlcl`
#

DROP TABLE IF EXISTS `smi_pdtlcl`;
CREATE TABLE IF NOT EXISTS `smi_pdtlcl` (
  `pdtlcl_id` int(10) unsigned NOT NULL auto_increment,
  `pdtlcl_idpdtl` int(10) unsigned NOT NULL,
  `pdtlcl_valeur` float(10,2) NOT NULL default '0.00',
  `pdtlcl_codetva` varchar(10) NOT NULL default 'TVA196',
  PRIMARY KEY  (`pdtlcl_id`),
  KEY `pdtlcl_idpdtl` (`pdtlcl_idpdtl`),
  KEY `pdtlcl_codetva` (`pdtlcl_codetva`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Consommables location par produits par contrat location';

#
# Dumping data for table `smi_pdtlcl`
#

#
# Table structure for table `smi_pdtlpl`
#

DROP TABLE IF EXISTS `smi_pdtlpl`;
CREATE TABLE IF NOT EXISTS `smi_pdtlpl` (
  `pdtlpl_id` int(10) unsigned NOT NULL auto_increment,
  `pdtlpl_idpdtl` int(10) unsigned NOT NULL,
  `pdtlpl_codepen` varchar(10) NOT NULL default '-1',
  `pdtlpl_valeur` float(10,2) NOT NULL default '0.00',
  `pdtlpl_codetva` varchar(10) NOT NULL default 'TVA196',
  PRIMARY KEY  (`pdtlpl_id`),
  KEY `pdtlpl_idpdtl` (`pdtlpl_idpdtl`),
  KEY `pdtlpl_codepb` (`pdtlpl_codepen`),
  KEY `pdtlpl_codetva` (`pdtlpl_codetva`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Pénalités location par produits par contrat location';

#
# Dumping data for table `smi_pdtlpl`
#

#
# Table structure for table `smi_pdtloc`
#

DROP TABLE IF EXISTS `smi_pdtloc`;
CREATE TABLE IF NOT EXISTS `smi_pdtloc` (
  `pdtloc_id` int(10) unsigned NOT NULL auto_increment,
  `pdtloc_code` varchar(20) NOT NULL,
  `pdtloc_des` varchar(50) NOT NULL,
  `pdtloc_ns` varchar(100) NOT NULL,
  `pdtloc_datecrea` date NOT NULL default '0000-00-00',
  `pdtloc_fam` varchar(10) NOT NULL,
  `pdtloc_iddloc` int(10) unsigned NOT NULL,
  `pdtloc_valneuf` float(10,2) NOT NULL,
  `pdtloc_valnet` float(10,2) NOT NULL,
  `pdtloc_caution` float(10,2) NOT NULL,
  `pdtloc_tvacaut` varchar(10) NOT NULL,
  `pdtloc_note` text,
  `pdtloc_louable` tinyint(1) NOT NULL default '1',
  `pdtloc_loue` tinyint(1) NOT NULL default '0',
  `pdtloc_pdtucons1` varchar(5) default NULL,
  `pdtloc_idxcons1` int(10) NOT NULL default '0',
  `pdtloc_tvacons1` varchar(10) default NULL,
  `pdtloc_pdtucons2` varchar(5) default NULL,
  `pdtloc_idxcons2` int(10) NOT NULL default '0',
  `pdtloc_tvacons2` varchar(10) default NULL,
  PRIMARY KEY  (`pdtloc_id`),
  KEY `pdtloc_ns` (`pdtloc_ns`),
  KEY `pdtloc_code` (`pdtloc_code`),
  KEY `pdtloc_iddloc` (`pdtloc_iddloc`),
  KEY `pdtloc_fam` (`pdtloc_fam`),
  KEY `pdtloc_tvacaut` (`pdtloc_tvacaut`),
  KEY `pdtloc_codeptu` (`pdtloc_pdtucons1`),
  KEY `pdtloc_tvacons` (`pdtloc_tvacons1`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Produits louables';

#
# Dumping data for table `smi_pdtloc`
#

#
# Table structure for table `smi_pen`
#

DROP TABLE IF EXISTS `smi_pen`;
CREATE TABLE IF NOT EXISTS `smi_pen` (
  `pen_id` int(10) unsigned NOT NULL auto_increment,
  `pen_code` varchar(10) NOT NULL,
  `pen_desc` varchar(40) NOT NULL,
  `pen_tbar` tinyint(1) unsigned NOT NULL default '0',
  `pen_pour` tinyint(1) unsigned NOT NULL default '0',
  `pen_valeur` float(10,2) NOT NULL default '0.00',
  `pen_udec` int(10) NOT NULL default '60',
  `pen_prop` tinyint(1) unsigned NOT NULL default '1',
  `pen_actif` tinyint(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`pen_id`),
  KEY `pen_code` (`pen_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Table des pénalités';

#
# Dumping data for table `smi_pen`
#


#
# Table structure for table `smi_penbar`
#

DROP TABLE IF EXISTS `smi_penbar`;
CREATE TABLE IF NOT EXISTS `smi_penbar` (
  `penbar_id` int(10) unsigned NOT NULL auto_increment,
  `penbar_codepen` varchar(10) NOT NULL,
  `penbar_min` int(10) unsigned NOT NULL,
  `penbar_max` int(10) unsigned NOT NULL,
  `penbar_valeur` float(10,2) NOT NULL,
  PRIMARY KEY  (`penbar_id`),
  KEY `penbar_min` (`penbar_min`),
  KEY `penbar_max` (`penbar_max`),
  KEY `penbar_codepen` (`penbar_codepen`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COMMENT='Bar�mes des pénalités';

#
# Dumping data for table `smi_penbar`
#

#
# Table structure for table `smi_perloc`
#

DROP TABLE IF EXISTS `smi_perloc`;
CREATE TABLE IF NOT EXISTS `smi_perloc` (
  `perloc_id` int(10) unsigned NOT NULL auto_increment,
  `perloc_code` varchar(10) NOT NULL,
  `perloc_desc` varchar(50) NOT NULL,
  `perloc_jourd1` tinyint(1) NOT NULL default '-1',
  `perloc_jourd2` tinyint(1) NOT NULL default '-1',
  `perloc_nduree` tinyint(3) NOT NULL default '1',
  `perloc_tduree` int(10) NOT NULL,
  `perloc_valide` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`perloc_id`),
  KEY `perloc_code` (`perloc_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;

#
# Dumping data for table `smi_perloc`
#

