#
# MySQL database dump
# Created by MySQL_Backup class, ver. 1.0.0
#
# Host: localhost
# Generated: Oct 16, 2006 at 10:42
# MySQL version: 4.1.13
# PHP version: 4.4.0
#
# Database: `smi`
#


#
# Table structure for table `smi_acat`
#

DROP TABLE IF EXISTS `smi_acat`;
CREATE TABLE `smi_acat` (
  `acat_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `acat_code` VARCHAR(5) NOT NULL DEFAULT '',
  `acat_desc` VARCHAR(50) NOT NULL DEFAULT '',
  PRIMARY KEY  (`acat_id`),
  KEY `cat_code` (`acat_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_acat`
#

INSERT INTO smi_acat VALUES ('1', 'AR', 'AGENCE DU RESEAU');
INSERT INTO smi_acat VALUES ('2', 'AF', 'AGENCE FRANCHISEE');


#
# Table structure for table `smi_age`
#

DROP TABLE IF EXISTS `smi_age`;
CREATE TABLE `smi_age` (
  `age_id` SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
  `age_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `age_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `age_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `age_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `age_cat` VARCHAR(5) NOT NULL DEFAULT '',
  `age_code` VARCHAR(10) NOT NULL DEFAULT '',
  `age_pass` VARCHAR(40) NOT NULL DEFAULT '',
  `age_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `age_rcs` VARCHAR(50) NOT NULL DEFAULT '',
  `age_tcom` VARCHAR(70) NOT NULL DEFAULT '',
  `age_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `age_adr2` VARCHAR(50) DEFAULT NULL,
  `age_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `age_ville` INT(10) NOT NULL,
  `age_codepays` CHAR(3) NOT NULL DEFAULT '',
  `age_zone` TEXT DEFAULT NULL DEFAULT NULL,
  `age_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `age_txttelf` VARCHAR(100) DEFAULT NULL,
  `age_fax` VARCHAR(20) DEFAULT NULL,
  `age_txtfax` VARCHAR(100) DEFAULT NULL,
  `age_txtent` TEXT,
  `age_resp_civilite` VARCHAR(5) NOT NULL DEFAULT '',
  `age_resp_prenom` VARCHAR(50) NOT NULL DEFAULT '',
  `age_resp_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `age_resp_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `age_email` VARCHAR(50) NOT NULL DEFAULT '',
  `age_emaild` VARCHAR(50) NOT NULL DEFAULT '',
  `age_emailc` VARCHAR(50) NOT NULL DEFAULT '',
  `age_emailt` VARCHAR(50) NOT NULL DEFAULT '',
  `age_heures` VARCHAR(200) DEFAULT NULL,
  `age_web` VARCHAR(200) DEFAULT NULL,
  `age_nota` TEXT,
  `age_fact` TINYINT(1) NOT NULL DEFAULT '0',
  `age_ouvert` TINYINT(1) NOT NULL DEFAULT '1',
  `age_datec` DATE DEFAULT NULL,
  PRIMARY KEY  (`age_id`),
  KEY `age_code` (`age_code`),
  KEY `age_resp_civilite` (`age_resp_civilite`),
  KEY `age_cat` (`age_cat`),
  KEY `age_nom` (`age_nom`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_age`
#




#
# Table structure for table `smi_ccat`
#

DROP TABLE IF EXISTS `smi_ccat`;
CREATE TABLE `smi_ccat` (
  `cat_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cat_code` VARCHAR(5) NOT NULL DEFAULT '',
  `cat_desc` VARCHAR(50) NOT NULL DEFAULT '',
  PRIMARY KEY  (`cat_id`),
  KEY `cat_code` (`cat_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_ccat`
#

INSERT INTO smi_ccat VALUES ('1', 'PRO', 'PROFESSIONNEL');
INSERT INTO smi_ccat VALUES ('2', 'PAR', 'PARTICULIER');


#
# Table structure for table `smi_ccli`
#

DROP TABLE IF EXISTS `smi_ccli`;
CREATE TABLE `smi_ccli` (
  `ccli_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ccli_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `ccli_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `ccli_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `ccli_codefonc` VARCHAR(5) NOT NULL DEFAULT '',
  `ccli_civilite` VARCHAR(5) NOT NULL DEFAULT '',
  `ccli_prenom` VARCHAR(50) NOT NULL DEFAULT '',
  `ccli_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `ccli_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `ccli_fax` VARCHAR(20) NOT NULL DEFAULT '',
  `ccli_telp` VARCHAR(20) NOT NULL DEFAULT '',
  `ccli_email` VARCHAR(50) DEFAULT NULL,
  `ccli_mess` VARCHAR(50) DEFAULT NULL,
  `ccli_nota` TEXT,
  `ccli_maild` TINYINT(1) NOT NULL DEFAULT '0',
  `ccli_mailc` TINYINT(1) NOT NULL DEFAULT '0',
  `ccli_mailt` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`ccli_id`),
  KEY `ccli_codecli` (`ccli_codecli`),
  KEY `ccli_civilite` (`ccli_civilite`),
  KEY `ccli_codefonc` (`ccli_codefonc`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Contacts clients';

#
# Dumping data for table `smi_ccli`
#


#
# Table structure for table `smi_cmque`
#

DROP TABLE IF EXISTS `smi_cmque`;
CREATE TABLE `smi_cmque` (
  `cmque_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cmque_codemque` VARCHAR(20) NOT NULL,
  `cmque_codefonc` VARCHAR(5) DEFAULT NULL,
  `cmque_civilite` VARCHAR(5) NOT NULL,
  `cmque_prenom` VARCHAR(50) NOT NULL,
  `cmque_nom` VARCHAR(50) NOT NULL,
  `cmque_telf` VARCHAR(20) NOT NULL,
  `cmque_fax` VARCHAR(20) NOT NULL,
  `cmque_telp` VARCHAR(20) NOT NULL,
  `cmque_email` VARCHAR(50) DEFAULT NULL,
  `cmque_mess` VARCHAR(50) DEFAULT NULL,
  `cmque_notaa` TEXT,
  `cmque_notat` TEXT,
  `cmque_prop` VARCHAR(20) NOT NULL DEFAULT '*',
  PRIMARY KEY  (`cmque_id`),
  KEY `cmque_codemque` (`cmque_codemque`),
  KEY `cmque_civilite` (`cmque_civilite`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Contacts marques' ;

#
# Dumping data for table `smi_cmque`
#

#
# Table structure for table `smi_cmquen`
#

DROP TABLE IF EXISTS `smi_cmquen`;
CREATE TABLE `smi_cmquen` (
  `cmquen_id` INT(10) NOT NULL AUTO_INCREMENT,
  `cmquen_idcmque` INT(10) NOT NULL,
  `cmquen_codeu` VARCHAR(20) COLLATE latin1_general_ci NOT NULL,
  `cmquen_nota` TEXT COLLATE latin1_general_ci,
  PRIMARY KEY  (`cmquen_id`),
  KEY `mquen_codeu` (`cmquen_codeu`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ;

#
# Dumping data for table `smi_cmquen`
#

#
# Table structure for table `smi_cge`
#

DROP TABLE IF EXISTS `smi_cge`;
CREATE TABLE `smi_cge` (
  `cge_id` TINYINT(1) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cge_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `cge_code` VARCHAR(10) NOT NULL DEFAULT '',
  `cge_pass` VARCHAR(40) NOT NULL DEFAULT '',
  `cge_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_rcs` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_tcom` VARCHAR(70) NOT NULL DEFAULT '',
  `cge_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_adr2` VARCHAR(50) DEFAULT NULL,
  `cge_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `cge_ville` INT(10) NOT NULL,
  `cge_codepays` CHAR(3) NOT NULL DEFAULT '',
  `cge_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `cge_txttelf` VARCHAR(50) DEFAULT NULL,
  `cge_fax` VARCHAR(20) DEFAULT NULL,
  `cge_txtfax` VARCHAR(50) DEFAULT NULL,
  `cge_email` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_emaild` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_emailc` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_emailt` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_emailf` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_emaili` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_emailrh` VARCHAR(50) NOT NULL DEFAULT '',
  `cge_heures` VARCHAR(200) DEFAULT NULL,
  `cge_web` VARCHAR(200) NOT NULL DEFAULT '',
  `cge_nota` TEXT,
  PRIMARY KEY  (`cge_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_cge`
#



#
# Table structure for table `smi_civ`
#

DROP TABLE IF EXISTS `smi_civ`;
CREATE TABLE `smi_civ` (
  `civ_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `civ_code` VARCHAR(5) NOT NULL DEFAULT '',
  `civ_desc` VARCHAR(50) NOT NULL DEFAULT '',
  `civ_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`civ_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_civ`
#

INSERT INTO smi_civ VALUES ('1', 'M.', 'MONSIEUR', '0');
INSERT INTO smi_civ VALUES ('2', 'MME', 'MADAME', '0');
INSERT INTO smi_civ VALUES ('3', 'MELLE', 'MADEMOISELLE', '0');


#
# Table structure for table `smi_cli`
#

DROP TABLE IF EXISTS `smi_cli`;
CREATE TABLE `smi_cli` (
  `cli_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cli_cat` VARCHAR(5) NOT NULL DEFAULT '',
  `cli_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `cli_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `cli_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `cli_prop` VARCHAR(20) DEFAULT NULL,
  `cli_codedo` VARCHAR(10) DEFAULT NULL,
  `cli_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `cli_code` VARCHAR(20) NOT NULL DEFAULT '',
  `cli_pass` VARCHAR(40) NOT NULL DEFAULT '',
  `cli_type` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  `cli_ste` VARCHAR(50) DEFAULT NULL,
  `cli_rcs` VARCHAR(50) DEFAULT NULL,
  `cli_civilite` VARCHAR(5) NOT NULL DEFAULT '',
  `cli_prenom` VARCHAR(50) NOT NULL DEFAULT '',
  `cli_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `cli_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `cli_adr2` VARCHAR(50) DEFAULT NULL,
  `cli_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `cli_ville` INT(10) NOT NULL,
  `cli_codepays` CHAR(3) NOT NULL DEFAULT '',
  `cli_telf` VARCHAR(20) DEFAULT NULL,
  `cli_fax` VARCHAR(20) DEFAULT NULL,
  `cli_telp` VARCHAR(20) DEFAULT NULL,
  `cli_email` VARCHAR(50) NOT NULL DEFAULT '',
  `cli_mess` VARCHAR(50) DEFAULT NULL,
  `cli_notaa` TEXT,
  `cli_notat` TEXT,
  `cli_cpta` TINYINT(1) NOT NULL DEFAULT '0',
  `cli_prev` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`cli_id`),
  KEY `cli_code` (`cli_code`),
  KEY `cli_nom` (`cli_nom`),
  KEY `cli_telf` (`cli_telf`),
  KEY `cli_civilite` (`cli_civilite`),
  KEY `cli_cat` (`cli_cat`),
  KEY `cli_telp` (`cli_telp`),
  KEY `cli_prop` (`cli_prop`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_cli`
#


#
# Table structure for table `smi_cnx`
#

CREATE TABLE `smi_cnx` (
  `cnx_id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
  `cnx_codecrea` VARCHAR( 20 ) NOT NULL ,
  `cnx_datecrea` DATE NOT NULL ,
  `cnx_p1` VARCHAR( 20 ) NOT NULL ,
  `cnx_p2` VARCHAR( 20 ) NOT NULL ,
  `cnx_type` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`cnx_id`),
  KEY `cnx_p1` (`cnx_p1`),
  KEY `cnx_p2` (`cnx_p2`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Table structure for table `smi_co`
#

DROP TABLE IF EXISTS `smi_co`;
CREATE TABLE `smi_co` (
  `co_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `co_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `co_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `co_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `co_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `co_code` VARCHAR(10) NOT NULL DEFAULT '',
  `co_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `co_desc` TEXT NOT NULL,
  `co_cgv` TEXT NOT NULL,
  `co_actif` TINYINT(1) NOT NULL DEFAULT '1',
  `co_specif` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`co_id`),
  KEY `co_nom` (`co_nom`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_co`
#



#
# Table structure for table `smi_cocl`
#

DROP TABLE IF EXISTS `smi_cocl`;
CREATE TABLE `smi_cocl` (
  `cocl_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cocl_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `cocl_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `cocl_dateenv` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_datesig` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_daterec` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_code` VARCHAR(20) NOT NULL DEFAULT '',
  `cocl_codeco` VARCHAR(10) NOT NULL DEFAULT '',
  `cocl_codeper` VARCHAR(10) NOT NULL DEFAULT '',
  `cocl_codeage` VARCHAR(10) NOT NULL DEFAULT '',
  `cocl_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `cocl_delai` INT(2) NOT NULL DEFAULT '0',
  `cocl_nbs` INT(6) NOT NULL DEFAULT '0',
  `cocl_typh` TINYINT(1) NOT NULL DEFAULT '0',
  `cocl_dated` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_datef` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_preavis` TINYINT(3) UNSIGNED NOT NULL DEFAULT '60',
  `cocl_daterel` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_nivrel` TINYINT(1) NOT NULL DEFAULT '0',
  `cocl_renouv` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  `cocl_rnum` VARCHAR(20) NOT NULL DEFAULT '',
  `cocl_datefin` DATE NOT NULL DEFAULT '0000-00-00',
  `cocl_signe` VARCHAR(70) DEFAULT NULL,
  `cocl_soldes` INT(10) NOT NULL DEFAULT '0',
  `cocl_matos` TEXT NOT NULL,
  `cocl_pvht` FLOAT(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `cocl_pvttc` FLOAT(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `cocl_coderlp` TEXT,
  `cocl_sitep` TINYINT(1) UNSIGNED NOT NULL DEFAULT '1',
  PRIMARY KEY  (`cocl_id`),
  KEY `cocl_code` (`cocl_code`),
  KEY `cocl_codecli` (`cocl_codecli`),
  KEY `cocl_codeco` (`cocl_codeco`),
  KEY `cocl_codeper` (`cocl_codeper`),
  KEY `cocl_fini` (`cocl_datefin`),
  KEY `cocl_renouv` (`cocl_renouv`),
  KEY `cocl_rnum` (`cocl_rnum`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_cocl`
#



#
# Table structure for table `smi_coclh`
#

DROP TABLE IF EXISTS `smi_coclh`;
CREATE TABLE `smi_coclh` (
  `coclh_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `coclh_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `coclh_codecocl` VARCHAR(20) DEFAULT NULL,
  `coclh_codeint` VARCHAR(20) NOT NULL DEFAULT '',
  PRIMARY KEY  (`coclh_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_coclh`
#



#
# Table structure for table `smi_cons`
#

DROP TABLE IF EXISTS `smi_cons`;
CREATE TABLE `smi_cons` (
  `cons_id` TINYINT(1) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cons_codever` TINYINT(3) NOT NULL DEFAULT '97',
  `cons_relmin` TINYINT(3) NOT NULL DEFAULT '90',
  `cons_relmax` TINYINT(3) NOT NULL DEFAULT '30',
  `cons_rope` VARCHAR(10) NOT NULL DEFAULT 'O05',
  `cons_nope` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `cons_rtec` VARCHAR(10) NOT NULL DEFAULT 'T05',
  `cons_ntec` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `cons_rcli` VARCHAR(10) NOT NULL DEFAULT 'C05',
  `cons_ncli` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `cons_rint` VARCHAR(10) NOT NULL DEFAULT 'I05',
  `cons_nint` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `cons_rcon` VARCHAR(10) NOT NULL DEFAULT 'CO05',
  `cons_ncon` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `cons_rcer` VARCHAR(10) NOT NULL DEFAULT 'CD05',
  `cons_ncer` INT(10) NOT NULL DEFAULT '0',
  `cons_rdde` VARCHAR(10) NOT NULL DEFAULT '',
  `cons_ndde` INT(10) NOT NULL DEFAULT '0',
  `cons_rrel` VARCHAR(10) NOT NULL DEFAULT '',
  `cons_nrel` INT(10) NOT NULL DEFAULT '0',
  `cons_rrlic` VARCHAR(10) NOT NULL DEFAULT '',
  `cons_nrlic` INT(10) NOT NULL DEFAULT '0',
  `cons_rrpdt` VARCHAR(10) NOT NULL DEFAULT '',
  `cons_nrpdt` INT(10) NOT NULL DEFAULT '0',
  `cons_rord` VARCHAR(10) NOT NULL DEFAULT '',
  `cons_nord` INT(10) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`cons_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_cons`
#

INSERT INTO smi_cons VALUES ('1', '97' , '90', '30', 'O06', '0', 'T06', '0', 'C06', '0', 'I06', '0', 'CO06', '0', 'CD06', '0', 'D06', '0', 'R06', '0', 'RL06', '0', 'RM06', '0', 'OT06', '0');


#
# Table structure for table `smi_do`
#

DROP TABLE IF EXISTS `smi_do`;
CREATE TABLE `smi_do` (
  `do_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `do_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `do_codecrea` VARCHAR(20) NOT NULL,
  `do_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `do_codemod` VARCHAR(20) NOT NULL,
  `do_code` VARCHAR(10) NOT NULL,
  `do_pass` VARCHAR(40) NOT NULL,
  `do_nom` VARCHAR(50) NOT NULL,
  `do_rcs` VARCHAR(50) NOT NULL,
  `do_tcom` VARCHAR(70) NOT NULL,
  `do_adr1` VARCHAR(50) NOT NULL,
  `do_adr2` VARCHAR(50) DEFAULT NULL,
  `do_dep` VARCHAR(30) NOT NULL,
  `do_ville` INT(10) NOT NULL,
  `do_codepays` CHAR(3) NOT NULL,
  `do_telf` VARCHAR(20) NOT NULL,
  `do_txttelf` VARCHAR(100) DEFAULT NULL,
  `do_fax` VARCHAR(20) DEFAULT NULL,
  `do_txtfax` VARCHAR(100) DEFAULT NULL,
  `do_txtent` TEXT,
  `do_resp_civilite` VARCHAR(5) NOT NULL,
  `do_resp_prenom` VARCHAR(50) NOT NULL,
  `do_resp_nom` VARCHAR(50) NOT NULL,
  `do_resp_telf` VARCHAR(20) NOT NULL,
  `do_email` VARCHAR(50) NOT NULL,
  `do_emaild` VARCHAR(50) NOT NULL,
  `do_emailc` VARCHAR(50) NOT NULL,
  `do_emailt` VARCHAR(50) NOT NULL,
  `do_heures` VARCHAR(200) DEFAULT NULL,
  `do_web` VARCHAR(200) DEFAULT NULL,
  `do_nota` TEXT,
  `do_fact` TINYINT(1) NOT NULL DEFAULT '0',
  `do_ouvert` TINYINT(1) NOT NULL DEFAULT '1',
  `do_datec` DATE DEFAULT NULL,
  PRIMARY KEY  (`do_id`),
  KEY `do_code` (`do_code`),
  KEY `do_resp_civilite` (`do_resp_civilite`),
  KEY `do_nom` (`do_nom`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Dumping data for table `smi_do`
#

#
# Table structure for table `smi_per`
#

DROP TABLE IF EXISTS `smi_per`;
CREATE TABLE `smi_per` (
  `per_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `per_code` VARCHAR(10) NOT NULL DEFAULT '',
  `per_desc` VARCHAR(20) NOT NULL DEFAULT '',
  `per_nbj` SMALLINT(3) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`per_id`),
  KEY `per_code` (`per_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_per`
#

INSERT INTO smi_per VALUES ('1', 'PONCT', 'PONCTUEL', '0');
INSERT INTO smi_per VALUES ('2', 'HEBDO', 'HEBDOMADAIRE', '7');
INSERT INTO smi_per VALUES ('3', 'BIHEBDO', 'BI-HEBDOMADAIRE', '14');
INSERT INTO smi_per VALUES ('4', 'TRIHEBDO', 'TRI-HEBDOMADAIRE', '21');
INSERT INTO smi_per VALUES ('5', 'MENS', 'MENSUEL', '30');
INSERT INTO smi_per VALUES ('6', 'BIMENS', 'BI-MENSUEL', '60');
INSERT INTO smi_per VALUES ('7', 'TRI', 'TRIMESTRIEL', '90');
INSERT INTO smi_per VALUES ('8', 'SEM', 'SEMESTRIEL', '180');
INSERT INTO smi_per VALUES ('9', 'AN', 'ANNUEL', '365');


#
# Table structure for table `smi_dde`
#

DROP TABLE IF EXISTS `smi_dde`;
CREATE TABLE `smi_dde` (
  `dde_id` INT(10) NOT NULL AUTO_INCREMENT,
  `dde_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `dde_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `dde_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `dde_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `dde_code` VARCHAR(20) NOT NULL DEFAULT '',
  `dde_orig` TINYINT(1) NOT NULL DEFAULT '0',
  `dde_codeddet` VARCHAR(10) NOT NULL DEFAULT '0',
  `dde_codeddec` VARCHAR(10) NOT NULL DEFAULT '0',
  `dde_codedded` VARCHAR(10) NOT NULL DEFAULT '',
  `dde_ste` VARCHAR(50) DEFAULT NULL,
  `dde_civilite` VARCHAR(5) NOT NULL DEFAULT '',
  `dde_prenom` VARCHAR(50) NOT NULL DEFAULT '',
  `dde_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `dde_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `dde_adr2` VARCHAR(50) DEFAULT NULL,
  `dde_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `dde_ville` INT(10) NOT NULL,
  `dde_pays` VARCHAR(3) NOT NULL DEFAULT '',
  `dde_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `dde_fax` VARCHAR(20) DEFAULT NULL,
  `dde_telp` VARCHAR(20) NOT NULL DEFAULT '',
  `dde_email` VARCHAR(50) NOT NULL DEFAULT '',
  `dde_txtdde` TEXT NOT NULL,
  `dde_codett` VARCHAR(20) DEFAULT NULL,
  `dde_rep` TEXT,
  `dde_clot` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`dde_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_dde`
#



#
# Table structure for table `smi_ddec`
#

DROP TABLE IF EXISTS `smi_ddec`;
CREATE TABLE `smi_ddec` (
  `ddec_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ddec_code` VARCHAR(10) NOT NULL DEFAULT '',
  `ddec_desc` VARCHAR(40) NOT NULL DEFAULT '',
  `ddec_delok` TINYINT(1) NOT NULL DEFAULT '0',
  `ddec_pub` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`ddec_id`),
  KEY `cat_code` (`ddec_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_ddec`
#

INSERT INTO smi_ddec VALUES ('1', 'AGE', 'AGENCE', '0', '0');
INSERT INTO smi_ddec VALUES ('2', 'CLI', 'CLIENT', '0', '0');
INSERT INTO smi_ddec VALUES ('3', 'OPE', 'OPERATEUR', '0', '0');
INSERT INTO smi_ddec VALUES ('4', 'TEC', 'TECHNICIEN', '0', '0');
INSERT INTO smi_ddec VALUES ('5', 'CGE', 'CENTRE DE GESTION', '0', '0');
INSERT INTO smi_ddec VALUES ('6', 'DOT', 'TECHNICIEN DONNEUR D''ORDRES', '0', '0');
INSERT INTO smi_ddec VALUES ('7', 'DO', 'DONNEUR D''ORDRES', '0', '0');
INSERT INTO smi_ddec VALUES ('8', 'STT', 'TECHNICIEN SOUS-TRAITANT', '0', '0');
INSERT INTO smi_ddec VALUES ('9', 'ST', 'SOUS-TRAITANT', '0', '0');


#
# Table structure for table `smi_dded`
#

DROP TABLE IF EXISTS `smi_dded`;
CREATE TABLE `smi_dded` (
  `dded_id` INT(10) NOT NULL AUTO_INCREMENT,
  `dded_code` VARCHAR(10) NOT NULL DEFAULT '',
  `dded_desc` VARCHAR(40) NOT NULL DEFAULT '',
  `dded_pub` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_cli` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_age` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_tec` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_ope` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_cge` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_stt` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_st` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_dot` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_do` TINYINT(1) NOT NULL DEFAULT '0',
  `dded_email` VARCHAR(50) NOT NULL DEFAULT '',
  `dded_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`dded_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_dded`
#

INSERT INTO `smi_dded` VALUES (1, 'ADM', 'ADMINISTRATEUR SITE WEB', 0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 'galawa@free.fr', 0);
INSERT INTO `smi_dded` VALUES (2, 'VA', 'VOTRE AGENCE', 0, 1, 0, 0, 0, 0, 0, 0, 0, 0, 'agence@site.com', 0);


#
# Table structure for table `smi_ddet`
#

DROP TABLE IF EXISTS `smi_ddet`;
CREATE TABLE `smi_ddet` (
  `ddet_id` INT(10) NOT NULL AUTO_INCREMENT,
  `ddet_code` VARCHAR(10) NOT NULL DEFAULT '',
  `ddet_desc` VARCHAR(40) NOT NULL DEFAULT '',
  `ddet_pub` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_cli` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_age` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_tec` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_ope` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_cge` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_stt` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_st` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_dot` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_do` TINYINT(1) NOT NULL DEFAULT '0',
  `ddet_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`ddet_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_ddet`
#

INSERT INTO `smi_ddet` VALUES (2, 'PBMLOGI', 'PROBLEME LOGICIEL INTRANET', 0, 0, 1, 1, 1, 1, 1, 1, 1, 1, 1);
INSERT INTO `smi_ddet` VALUES (3, 'PBMTEC', 'PROBLEME TECHNIQUE', 0, 1, 1, 1, 0, 1, 1, 1, 1, 1, 1);
INSERT INTO `smi_ddet` VALUES (4, 'DDEINT', 'DEMANDE D''INTERVENTION', 1, 1, 0, 0, 0, 0, 1, 1, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (5, 'DDEPAR', 'DEMANDE DE PARTENARIAT', 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (6, 'DDEAUD', 'DEMANDE D''AUDIT', 1, 1, 0, 0, 0, 0, 0, 0, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (7, 'DDEDEVIS', 'DEMANDE DE DEVIS', 1, 1, 1, 1, 0, 0, 0, 0, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (8, 'PBMFAC', 'PROBLEME DE FACTURE', 0, 1, 1, 0, 0, 0, 1, 1, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (9, 'DDEMPLOI', 'DEMANDE D''EMPLOI', 1, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (10, 'DDEACH', 'DEMANDE D''ACHAT', 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (11, 'DDEPRX', 'DEMANDE DE PRIX', 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (12, 'PBMDCLI', 'PROBLEME DOSSIER CLIENT', 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (13, 'PBMCIAL', 'PROBLEME COMMERCIAL', 0, 0, 1, 1, 0, 1, 1, 1, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (14, 'DEM', 'DEMENAGEMENT', 0, 1, 1, 1, 1, 0, 1, 1, 1, 1, 0);
INSERT INTO `smi_ddet` VALUES (15, 'OUVCPTE', 'OUVERTURE DE COMPTE', 1, 1, 0, 0, 0, 0, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (16, 'CREMQUE', 'CREATION DE MARQUE', 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (17, 'CRETL', 'CREATION TYPE DE LICENCE', 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (18, 'CRECATM', 'CREATION CATEGORIE DE MATERIEL', 0, 0, 1, 1, 0, 1, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (19, 'MODFRLIC', 'MODIFICATION FICHE RELEVE LICENCE', 0, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (20, 'MODFRMAT', 'MODIFICATION FICHE RELEVE MATERIEL', 0, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0);
INSERT INTO `smi_ddet` VALUES (21, 'MODDRELP', 'MODIFICATION DOSSIER RELEVE PARC', 0, 1, 1, 1, 0, 1, 0, 0, 0, 0, 0);


#
# Table structure for table `smi_dep`
#

DROP TABLE IF EXISTS `smi_dep`;
CREATE TABLE `smi_dep` (
  `dep_id` TINYINT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `dep_code` VARCHAR(30) NOT NULL DEFAULT '',
  `dep_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `dep_codepays` CHAR(3) NOT NULL DEFAULT 'FR',
  PRIMARY KEY  (`dep_id`) ,
  KEY `dep_code` (`dep_code`) ,
  KEY `dep_codepays` (`dep_codepays`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_dep`
#

INSERT INTO smi_dep VALUES ('1', '01', 'AIN', 'FR');
INSERT INTO smi_dep VALUES ('2', '02', 'AISNE', 'FR');
INSERT INTO smi_dep VALUES ('3', '03', 'ALLIER', 'FR');
INSERT INTO smi_dep VALUES ('4', '04', 'ALPES-DE-HAUTE-PROVENCE', 'FR');
INSERT INTO smi_dep VALUES ('5', '05', 'HAUTES-ALPES', 'FR');
INSERT INTO smi_dep VALUES ('6', '06', 'ALPES-MARITIMES', 'FR');
INSERT INTO smi_dep VALUES ('7', '07', 'ARDECHE', 'FR');
INSERT INTO smi_dep VALUES ('8', '08', 'ARDENNES', 'FR');
INSERT INTO smi_dep VALUES ('9', '09', 'ARIEGE', 'FR');
INSERT INTO smi_dep VALUES ('10', '10', 'AUBE', 'FR');
INSERT INTO smi_dep VALUES ('11', '11', 'AUDE', 'FR');
INSERT INTO smi_dep VALUES ('12', '12', 'AVEYRON', 'FR');
INSERT INTO smi_dep VALUES ('13', '13', 'BOUCHES-DU-RHONE', 'FR');
INSERT INTO smi_dep VALUES ('14', '14', 'CALVADOS', 'FR');
INSERT INTO smi_dep VALUES ('15', '15', 'CANTAL', 'FR');
INSERT INTO smi_dep VALUES ('16', '16', 'CHARENTE', 'FR');
INSERT INTO smi_dep VALUES ('17', '17', 'CHARENTE-MARITIME', 'FR');
INSERT INTO smi_dep VALUES ('18', '18', 'CHER', 'FR');
INSERT INTO smi_dep VALUES ('19', '19', 'CORREZE', 'FR');
INSERT INTO smi_dep VALUES ('20', '2A', 'CORSE-DU-SUD', 'FR');
INSERT INTO smi_dep VALUES ('21', '2B', 'HAUTE-CORSE', 'FR');
INSERT INTO smi_dep VALUES ('22', '21', 'COTE-D\'OR', 'FR');
INSERT INTO smi_dep VALUES ('23', '22', 'COTES-D\'ARMOR', 'FR');
INSERT INTO smi_dep VALUES ('24', '23', 'CREUSE', 'FR');
INSERT INTO smi_dep VALUES ('25', '24', 'DORDOGNE', 'FR');
INSERT INTO smi_dep VALUES ('26', '25', 'DOUBS', 'FR');
INSERT INTO smi_dep VALUES ('27', '26', 'DROME', 'FR');
INSERT INTO smi_dep VALUES ('28', '27', 'EURE', 'FR');
INSERT INTO smi_dep VALUES ('29', '28', 'EURE-ET-LOIR', 'FR');
INSERT INTO smi_dep VALUES ('30', '29', 'FINISTERE', 'FR');
INSERT INTO smi_dep VALUES ('31', '30', 'GARD', 'FR');
INSERT INTO smi_dep VALUES ('32', '31', 'HAUTE-GARONNE', 'FR');
INSERT INTO smi_dep VALUES ('33', '32', 'GERS', 'FR');
INSERT INTO smi_dep VALUES ('34', '33', 'GIRONDE', 'FR');
INSERT INTO smi_dep VALUES ('35', '34', 'HERAULT', 'FR');
INSERT INTO smi_dep VALUES ('36', '35', 'ILLE-ET-VILAINE', 'FR');
INSERT INTO smi_dep VALUES ('37', '36', 'INDRE', 'FR');
INSERT INTO smi_dep VALUES ('38', '37', 'INDRE-ET-LOIRE', 'FR');
INSERT INTO smi_dep VALUES ('39', '38', 'ISERE', 'FR');
INSERT INTO smi_dep VALUES ('40', '39', 'JURA', 'FR');
INSERT INTO smi_dep VALUES ('41', '40', 'LANDES', 'FR');
INSERT INTO smi_dep VALUES ('42', '41', 'LOIR-ET-CHER', 'FR');
INSERT INTO smi_dep VALUES ('43', '42', 'LOIRE', 'FR');
INSERT INTO smi_dep VALUES ('44', '43', 'HAUTE-LOIRE', 'FR');
INSERT INTO smi_dep VALUES ('45', '44', 'LOIRE-ATLANTIQUE', 'FR');
INSERT INTO smi_dep VALUES ('46', '45', 'LOIRET', 'FR');
INSERT INTO smi_dep VALUES ('47', '46', 'LOT', 'FR');
INSERT INTO smi_dep VALUES ('48', '47', 'LOT-ET-GARONNE', 'FR');
INSERT INTO smi_dep VALUES ('49', '48', 'LOZERE', 'FR');
INSERT INTO smi_dep VALUES ('50', '49', 'MAINE-ET-LOIRE', 'FR');
INSERT INTO smi_dep VALUES ('51', '50', 'MANCHE', 'FR');
INSERT INTO smi_dep VALUES ('52', '51', 'MARNE', 'FR');
INSERT INTO smi_dep VALUES ('53', '52', 'HAUTE-MARNE', 'FR');
INSERT INTO smi_dep VALUES ('54', '53', 'MAYENNE', 'FR');
INSERT INTO smi_dep VALUES ('55', '54', 'MEURTHE-ET-MOSELLE', 'FR');
INSERT INTO smi_dep VALUES ('56', '55', 'MEUSE', 'FR');
INSERT INTO smi_dep VALUES ('57', '56', 'MORBIHAN', 'FR');
INSERT INTO smi_dep VALUES ('58', '57', 'MOSELLE', 'FR');
INSERT INTO smi_dep VALUES ('59', '58', 'NIEVRE', 'FR');
INSERT INTO smi_dep VALUES ('60', '59', 'NORD', 'FR');
INSERT INTO smi_dep VALUES ('61', '60', 'OISE', 'FR');
INSERT INTO smi_dep VALUES ('62', '61', 'ORNE', 'FR');
INSERT INTO smi_dep VALUES ('63', '62', 'PAS-DE-CALAIS', 'FR');
INSERT INTO smi_dep VALUES ('64', '63', 'PUY-DE-DOME', 'FR');
INSERT INTO smi_dep VALUES ('65', '64', 'PYRENEES-ATLANTIQUES', 'FR');
INSERT INTO smi_dep VALUES ('66', '65', 'HAUTES-PYRENEES', 'FR');
INSERT INTO smi_dep VALUES ('67', '66', 'PYRENEES-ORIENTALES', 'FR');
INSERT INTO smi_dep VALUES ('68', '67', 'BAS-RHIN', 'FR');
INSERT INTO smi_dep VALUES ('69', '68', 'HAUT-RHIN', 'FR');
INSERT INTO smi_dep VALUES ('70', '69', 'RHONE', 'FR');
INSERT INTO smi_dep VALUES ('71', '70', 'HAUTE-SAONE', 'FR');
INSERT INTO smi_dep VALUES ('72', '71', 'SAONE-ET-LOIRE', 'FR');
INSERT INTO smi_dep VALUES ('73', '72', 'SARTHE', 'FR');
INSERT INTO smi_dep VALUES ('74', '73', 'SAVOIE', 'FR');
INSERT INTO smi_dep VALUES ('75', '74', 'HAUTE-SAVOIE', 'FR');
INSERT INTO smi_dep VALUES ('76', '75', 'PARIS', 'FR');
INSERT INTO smi_dep VALUES ('77', '76', 'SEINE-MARITIME', 'FR');
INSERT INTO smi_dep VALUES ('78', '77', 'SEINE-ET-MARNE', 'FR');
INSERT INTO smi_dep VALUES ('79', '78', 'YVELINES', 'FR');
INSERT INTO smi_dep VALUES ('80', '79', 'DEUX-SEVRES', 'FR');
INSERT INTO smi_dep VALUES ('81', '80', 'SOMME', 'FR');
INSERT INTO smi_dep VALUES ('82', '81', 'TARN', 'FR');
INSERT INTO smi_dep VALUES ('83', '82', 'TARN-ET-GARONNE', 'FR');
INSERT INTO smi_dep VALUES ('84', '83', 'VAR', 'FR');
INSERT INTO smi_dep VALUES ('85', '84', 'VAUCLUSE', 'FR');
INSERT INTO smi_dep VALUES ('86', '85', 'VENDEE', 'FR');
INSERT INTO smi_dep VALUES ('87', '86', 'VIENNE', 'FR');
INSERT INTO smi_dep VALUES ('88', '87', 'HAUTE-VIENNE', 'FR');
INSERT INTO smi_dep VALUES ('89', '88', 'VOSGES', 'FR');
INSERT INTO smi_dep VALUES ('90', '89', 'YONNE', 'FR');
INSERT INTO smi_dep VALUES ('91', '90', 'TERRITOIRE DE BELFORT', 'FR');
INSERT INTO smi_dep VALUES ('92', '91', 'ESSONNE', 'FR');
INSERT INTO smi_dep VALUES ('93', '92', 'HAUTS-DE-SEINE', 'FR');
INSERT INTO smi_dep VALUES ('94', '93', 'SEINE-SAINT-DENIS', 'FR');
INSERT INTO smi_dep VALUES ('95', '94', 'VAL-DE-MARNE', 'FR');
INSERT INTO smi_dep VALUES ('96', '95', 'VAL-D\'OISE', 'FR');
INSERT INTO smi_dep VALUES ('97', '971', 'GUADELOUPE', 'GP');
INSERT INTO smi_dep VALUES ('98', '972', 'MARTINIQUE', 'MQ');
INSERT INTO smi_dep VALUES ('99', '973', 'GUYANE', 'GF');
INSERT INTO smi_dep VALUES ('100', '974', 'LA REUNION', 'RE');
INSERT INTO smi_dep VALUES ('101', '975', 'ST PIERRE ET MIQUELON', 'PM');
INSERT INTO smi_dep VALUES ('102', '984', 'TERRES AUSTRALES ET ANTARTIQUES FR.', 'TF');
INSERT INTO smi_dep VALUES ('103', '985', 'MAYOTTE', 'YT');
INSERT INTO smi_dep VALUES ('104', '986', 'WALLIS ET FUTUNA', 'WF');
INSERT INTO smi_dep VALUES ('105', '987', 'POLYNESIE FRANCAISE', 'PF');
INSERT INTO smi_dep VALUES ('106', '988', 'NOUVELLE CALEDONIE', 'NC');


#
# Table structure for table `smi_fam`
#

DROP TABLE IF EXISTS `smi_fam`;
CREATE TABLE `smi_fam` (
  `fam_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `fam_code` VARCHAR(5) NOT NULL DEFAULT '',
  `fam_desc` VARCHAR(50) NOT NULL DEFAULT '',
  PRIMARY KEY  (`fam_id`),
  KEY `cat_code` (`fam_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_fam`
#


#
# Table structure for table `smi_fic`
#

DROP TABLE IF EXISTS `smi_fic`;
CREATE TABLE `smi_fic` (
  `fic_id` INT(10) NOT NULL AUTO_INCREMENT,
  `fic_nom` VARCHAR(255) NOT NULL DEFAULT '',
  `fic_type` TINYINT(1) NOT NULL DEFAULT '1',
  `fic_desc` VARCHAR(100) NOT NULL DEFAULT '',
  `fic_detail` TEXT NULL,
  `fic_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `fic_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `fic_nbtel` INT(10) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`fic_id`),
  KEY `fic_nom` (`fic_nom`),
  KEY `fic_codecrea` (`fic_codecrea`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_fic`
#


#
# Table structure for table `smi_ficlog`
#

DROP TABLE IF EXISTS `smi_ficlog`;
CREATE TABLE `smi_ficlog` (
  `ficlog_id` INT( 10 ) NOT NULL AUTO_INCREMENT,
  `ficlog_date` DATE NOT NULL DEFAULT '0000-00-00',
  `ficlog_heure` TIME NOT NULL DEFAULT '00:00:00',
  `ficlog_ip` VARCHAR( 15 ) NOT NULL ,
  `ficlog_ref` VARCHAR( 255 ) NOT NULL ,
  `ficlog_fic` VARCHAR( 255 ) NOT NULL ,
  `ficlog_type` TINYINT( 1 ) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`ficlog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_ficlog`
#


#
# Table structure for table `smi_fonc`
#

DROP TABLE IF EXISTS `smi_fonc`;
CREATE TABLE IF NOT EXISTS `smi_fonc` (
  `fonc_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `fonc_code` VARCHAR(5) NOT NULL,
  `fonc_desc` VARCHAR(50) NOT NULL,
  `fonc_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`fonc_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 AUTO_INCREMENT=19 ;

#
# Dumping data for table `smi_fonc`
#


INSERT INTO `smi_fonc` VALUES (1, 'GER', 'GERANT', 0);
INSERT INTO `smi_fonc` VALUES (2, 'PDG', 'P.D.G.', 0);
INSERT INTO `smi_fonc` VALUES (3, 'RACH', 'RESPONSABLE ACHATS', 1);
INSERT INTO `smi_fonc` VALUES (4, 'RTEC', 'RESPONSABLE TECHNIQUE', 1);
INSERT INTO `smi_fonc` VALUES (5, 'RCLI', 'RESPONSABLE CLIENTS', 1);
INSERT INTO `smi_fonc` VALUES (6, 'RFOU', 'RESPONSABLE FOURNISSEURS', 1);
INSERT INTO `smi_fonc` VALUES (7, 'CIAL', 'COMMERCIAL', 1);
INSERT INTO `smi_fonc` VALUES (8, 'TEC', 'TECHNICIEN', 1);
INSERT INTO `smi_fonc` VALUES (9, 'DIR', 'DIRECTEUR', 1);
INSERT INTO `smi_fonc` VALUES (10, 'RSITE', 'RESPONSABLE DE SITE', 1);
INSERT INTO `smi_fonc` VALUES (11, 'CPTA', 'COMPTABLE', 1);
INSERT INTO `smi_fonc` VALUES (12, 'RCCLI', 'RESPONSABLE COMPTABILITE CLIENTS', 1);
INSERT INTO `smi_fonc` VALUES (13, 'RCFOU', 'RESPONSABLE COMPTABILITE FOURNISSEURS', 1);
INSERT INTO `smi_fonc` VALUES (14, 'RCIAL', 'RESPONSABLE COMMERCIAL', 1);
INSERT INTO `smi_fonc` VALUES (15, 'DG', 'DIRECTEUR GENERAL', 1);
INSERT INTO `smi_fonc` VALUES (16, 'DF', 'DIRECTEUR FINANCIER', 1);
INSERT INTO `smi_fonc` VALUES (17, 'DRH', 'DIRECTEUR RESSOURCES HUMAINES', 1);
INSERT INTO `smi_fonc` VALUES (18, 'DA', 'DIRECTEUR ACHATS', 1);

#
# Table structure for table `smi_int`
#

DROP TABLE IF EXISTS `smi_int`;
CREATE TABLE `smi_int` (
  `int_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `int_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `int_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `int_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `int_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `int_datedde` DATE NOT NULL DEFAULT '0000-00-00',
  `int_code` VARCHAR(20) NOT NULL DEFAULT '',
  `int_codeage` VARCHAR(10) NOT NULL DEFAULT '',
  `int_codedo` VARCHAR(10) NOT NULL DEFAULT '',
  `int_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `int_codecocl` VARCHAR(20) NOT NULL DEFAULT '',
  `int_codeorig` VARCHAR(5) NOT NULL DEFAULT '',
  `int_codestatut` VARCHAR(5) NOT NULL DEFAULT '',
  `int_codelieu` VARCHAR(5) NOT NULL DEFAULT '',
  `int_urg` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  `int_daterdv` DATE NOT NULL DEFAULT '0000-00-00',
  `int_hrdv` TIME NOT NULL DEFAULT '00:00:00',
  `int_mat` TEXT NOT NULL,
  `int_login` VARCHAR(20) DEFAULT NULL,
  `int_mdpsys` VARCHAR(20) DEFAULT NULL,
  `int_mdpbios` VARCHAR(20) DEFAULT NULL,
  `int_pbm` TEXT NOT NULL,
  `int_gar` TINYINT(1) NOT NULL DEFAULT '0',
  `int_fgar` VARCHAR(30) NOT NULL DEFAULT '',
  `int_acpte` FLOAT(10,2) DEFAULT NULL,
  `int_codetec` VARCHAR(20) NOT NULL DEFAULT '',
  `int_durees` INT(10) NOT NULL DEFAULT '0',
  `int_fait` TEXT,
  `int_dateprev` DATE NOT NULL DEFAULT '0000-00-00',
  `int_codereg` VARCHAR(10) NOT NULL DEFAULT 'EC',
  `int_datefin` DATE NOT NULL DEFAULT '0000-00-00',
  `int_pces` TINYINT(1) NOT NULL DEFAULT '0',
  `int_datecert` DATE NOT NULL DEFAULT '0000-00-00',
  `int_idsite` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY  (`int_id`),
  KEY `int_code` (`int_code`),
  KEY `int_codecli` (`int_codecli`),
  KEY `int_codeorig` (`int_codeorig`),
  KEY `int_codestatut` (`int_codestatut`),
  KEY `int_codelieu` (`int_codelieu`),
  KEY `int_codeage` (`int_codeage`),
  KEY `int_codereg` (`int_codereg`),
  KEY `int_codetec` (`int_codetec`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_int`
#


#
# Table structure for table `smi_inth`
#

DROP TABLE IF EXISTS `smi_inth`;
CREATE TABLE `smi_inth` (
  `inth_id` INT(10) NOT NULL AUTO_INCREMENT,
  `inth_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `inth_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `inth_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `inth_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `inth_codeint` VARCHAR(20) NOT NULL DEFAULT '',
  `inth_date` DATE NOT NULL DEFAULT '0000-00-00',
  `inth_codetec` VARCHAR(20) NOT NULL DEFAULT '',
  `inth_codelieu` VARCHAR(5) NOT NULL DEFAULT '',
  `inth_heurea` TIME NOT NULL DEFAULT '00:00:00',
  `inth_heured` TIME NOT NULL DEFAULT '00:00:00',
  `inth_offert` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`inth_id`),
  KEY `inth_codecrea` (`inth_codecrea`),
  KEY `inth_codeint` (`inth_codeint`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_inth`
#



#
# Table structure for table `smi_lieu`
#

DROP TABLE IF EXISTS `smi_lieu`;
CREATE TABLE `smi_lieu` (
  `lieu_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `lieu_code` VARCHAR(5) NOT NULL DEFAULT '',
  `lieu_desc` VARCHAR(50) NOT NULL DEFAULT '',
  `lieu_img` VARCHAR(200) NOT NULL DEFAULT '',
  `lieu_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`lieu_id`),
  KEY `lieu_code` (`lieu_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_lieu`
#

INSERT INTO smi_lieu VALUES ('1', 'SITE', 'SUR SITE', '../img/site.gif', '0');
INSERT INTO smi_lieu VALUES ('2', 'ATE', 'EN ATELIER', '../img/atelier.png', '0');
INSERT INTO smi_lieu VALUES ('3', 'TEL', 'TELEMAINTENANCE', '../img/telm.png', '0');


#
# Table structure for table `smi_log`
#

DROP TABLE IF EXISTS `smi_log`;
CREATE TABLE `smi_log` (
  `log_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `log_code` VARCHAR(20) NOT NULL DEFAULT '',
  `log_date` DATE NOT NULL DEFAULT '0000-00-00',
  `log_heure` TIME NOT NULL DEFAULT '00:00:00',
  `log_urlprec` TEXT NOT NULL,
  `log_url` TEXT NOT NULL,
  `log_ip` VARCHAR(15) NOT NULL DEFAULT '',
  PRIMARY KEY  (`log_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_log`
#


#
# Table structure for table `smi_mque`
#

DROP TABLE IF EXISTS `smi_mque`;
CREATE TABLE `smi_mque` (
  `mque_id` INT(10) NOT NULL AUTO_INCREMENT,
  `mque_code` VARCHAR(20) NOT NULL,
  `mque_ste` VARCHAR(50) NOT NULL,
  `mque_type` TINYINT(1) NOT NULL DEFAULT '0',
  `mque_adr1` VARCHAR(50) NOT NULL,
  `mque_adr2` VARCHAR(50) DEFAULT NULL,
  `mque_dep` CHAR(3) NOT NULL,
  `mque_ville` INT(10) NOT NULL DEFAULT '0',
  `mque_codepays` CHAR(3) NOT NULL,
  `mque_telf` VARCHAR(20) NOT NULL,
  `mque_fax` VARCHAR(20) DEFAULT NULL,
  `mque_notaa` TEXT,
  `mque_notat` TEXT,
  PRIMARY KEY  (`mque_id`),
  KEY `mque_code` (`mque_code`),
  KEY `mque_ste` (`mque_ste`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;

#
# Dumping data for table `smi_mque`
#

INSERT INTO `smi_mque` (`mque_id`, `mque_code`, `mque_ste`, `mque_type`, `mque_adr1`, `mque_adr2`, `mque_dep`, `mque_ville`, `mque_codepays`, `mque_telf`, `mque_fax`, `mque_notaa`, `mque_notat`) VALUES (NULL, '*', 'Tous les �diteurs', '0', '*', NULL, '*', '0', '*', '*', NULL, NULL, NULL);

#
# Table structure for table `smi_mquen`
#

DROP TABLE IF EXISTS `smi_mquen`;
CREATE TABLE `smi_mquen` (
  `mquen_id` INT(10) NOT NULL AUTO_INCREMENT,
  `mquen_codemque` VARCHAR(20) COLLATE latin1_general_ci NOT NULL,
  `mquen_codeu` VARCHAR(20) COLLATE latin1_general_ci NOT NULL,
  `mquen_nota` TEXT COLLATE latin1_general_ci,
  PRIMARY KEY  (`mquen_id`),
  KEY `mquen_codeu` (`mquen_codeu`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ;

#
# Dumping data for table `smi_mquen`
#

#
# Table structure for table `smi_ope`
#

DROP TABLE IF EXISTS `smi_ope`;
CREATE TABLE `smi_ope` (
  `ope_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ope_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `ope_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `ope_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `ope_congd` DATE DEFAULT NULL,
  `ope_congf` DATE DEFAULT NULL,
  `ope_code` VARCHAR(20) NOT NULL DEFAULT '',
  `ope_pass` VARCHAR(40) NOT NULL DEFAULT '',
  `ope_civilite` VARCHAR(5) NOT NULL DEFAULT '',
  `ope_prenom` VARCHAR(50) NOT NULL DEFAULT '',
  `ope_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `ope_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `ope_adr2` VARCHAR(50) DEFAULT NULL,
  `ope_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `ope_ville` INT(10) NOT NULL,
  `ope_codepays` CHAR(3) NOT NULL DEFAULT '',
  `ope_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `ope_telp` VARCHAR(20) NOT NULL DEFAULT '',
  `ope_email` VARCHAR(50) NOT NULL DEFAULT '',
  `ope_nota` TEXT,
  `ope_out` TINYINT(1) DEFAULT '0',
  `ope_dateout` DATE DEFAULT NULL,
  PRIMARY KEY  (`ope_id`),
  KEY `ope_civilite` (`ope_civilite`),
  KEY `ope_nom` (`ope_nom`),
  KEY `ope_code` (`ope_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_ope`
#



#
# Table structure for table `smi_orig`
#

DROP TABLE IF EXISTS `smi_orig`;
CREATE TABLE `smi_orig` (
  `orig_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `orig_code` VARCHAR(5) NOT NULL DEFAULT '',
  `orig_desc` VARCHAR(50) NOT NULL DEFAULT '',
  `orig_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`orig_id`),
  KEY `orig_code` (`orig_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_orig`
#

INSERT INTO smi_orig VALUES ('1', 'TEL', 'TELEPHONE', '0');
INSERT INTO smi_orig VALUES ('2', 'FAX', 'TELECOPIE', '0');
INSERT INTO smi_orig VALUES ('3', 'EMA', 'EMAIL', '0');
INSERT INTO smi_orig VALUES ('4', 'COU', 'COURRIER', '0');
INSERT INTO smi_orig VALUES ('5', 'ATE', 'ATELIER', '0');


#
# Table structure for table `smi_ot`
#

DROP TABLE IF EXISTS `smi_ot`;
CREATE TABLE `smi_ot` (
  `ot_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `ot_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `ot_codecrea` VARCHAR(20) NOT NULL,
  `ot_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `ot_codemod` VARCHAR(20) NOT NULL,
  `ot_datedde` DATE NOT NULL DEFAULT '0000-00-00',
  `ot_code` VARCHAR(20) NOT NULL,
  `ot_codeint` VARCHAR(20) NOT NULL,
  `ot_codest` VARCHAR(10) NOT NULL,
  `ot_codestatut` VARCHAR(5) NOT NULL,
  `ot_codelieu` VARCHAR(5) NOT NULL,
  `ot_urg` TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
  `ot_daterdv` DATE NOT NULL DEFAULT '0000-00-00',
  `ot_hrdv` TIME NOT NULL DEFAULT '00:00:00',
  `ot_mat` TEXT NOT NULL,
  `ot_pbm` TEXT NOT NULL,
  `ot_gar` TINYINT(1) NOT NULL DEFAULT '0',
  `ot_fgar` VARCHAR(30) NOT NULL,
  `ot_codetec` VARCHAR(20) NOT NULL,
  `ot_durees` INT(10) NOT NULL DEFAULT '0',
  `ot_fait` TEXT,
  `ot_dateprev` DATE NOT NULL DEFAULT '0000-00-00',
  `ot_datefin` DATE NOT NULL DEFAULT '0000-00-00',
  PRIMARY KEY  (`ot_id`),
  KEY `int_code` (`ot_code`),
  KEY `int_codestatut` (`ot_codestatut`),
  KEY `int_codelieu` (`ot_codelieu`),
  KEY `int_codetec` (`ot_codetec`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Dumping data for table `smi_ot`
#


#
# Table structure for table `smi_oth`
#

DROP TABLE IF EXISTS `smi_oth`;
CREATE TABLE `smi_oth` (
  `oth_id` INT(10) NOT NULL AUTO_INCREMENT,
  `oth_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `oth_codecrea` VARCHAR(20) NOT NULL,
  `oth_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `oth_codemod` VARCHAR(20) NOT NULL,
  `oth_codeot` VARCHAR(20) NOT NULL,
  `oth_date` DATE NOT NULL DEFAULT '0000-00-00',
  `oth_codetec` VARCHAR(20) NOT NULL,
  `oth_codelieu` VARCHAR(5) NOT NULL,
  `oth_heurea` TIME NOT NULL DEFAULT '00:00:00',
  `oth_heured` TIME NOT NULL DEFAULT '00:00:00',
  `oth_offert` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`oth_id`),
  KEY `oth_codecrea` (`oth_codecrea`),
  KEY `oth_codeot` (`oth_codeot`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;

#
# Dumping data for table `smi_oth`
#


#
# Table structure for table `smi_pays`
#

DROP TABLE IF EXISTS `smi_pays`;
CREATE TABLE `smi_pays` (
  `pays_id` SMALLINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pays_code` CHAR(3) NOT NULL DEFAULT '',
  `pays_nom` VARCHAR(50) NOT NULL DEFAULT '',
  PRIMARY KEY  (`pays_id`),
  KEY `pays_code` (`pays_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_pays`
#

INSERT INTO smi_pays VALUES ('2', 'AF', 'AFGHANISTAN');
INSERT INTO smi_pays VALUES ('3', 'ZA', 'AFRIQUE DU SUD');
INSERT INTO smi_pays VALUES ('5', 'AL', 'ALBANIE');
INSERT INTO smi_pays VALUES ('6', 'DZ', 'ALGERIE');
INSERT INTO smi_pays VALUES ('7', 'DE', 'ALLEMAGNE');
INSERT INTO smi_pays VALUES ('8', 'AD', 'ANDORRE');
INSERT INTO smi_pays VALUES ('9', 'AO', 'ANGOLA');
INSERT INTO smi_pays VALUES ('10', 'AI', 'ANGUILLA');
INSERT INTO smi_pays VALUES ('11', 'AG', 'ANTIGUA-ET-BARBUDA');
INSERT INTO smi_pays VALUES ('12', 'AN', 'ANTILLES NEERLANDAISES');
INSERT INTO smi_pays VALUES ('13', 'SA', 'ARABIE SAOUDITE');
INSERT INTO smi_pays VALUES ('14', 'AR', 'ARGENTINE');
INSERT INTO smi_pays VALUES ('15', 'AM', 'ARMENIE');
INSERT INTO smi_pays VALUES ('16', 'AW', 'ARUBA');
INSERT INTO smi_pays VALUES ('17', 'AU', 'AUSTRALIE');
INSERT INTO smi_pays VALUES ('18', 'AT', 'AUTRICHE');
INSERT INTO smi_pays VALUES ('19', 'AZ', 'AZERBAIDJAN');
INSERT INTO smi_pays VALUES ('20', 'BS', 'BAHAMAS');
INSERT INTO smi_pays VALUES ('21', 'BH', 'BAHREIN');
INSERT INTO smi_pays VALUES ('22', 'BD', 'BANGLADESH');
INSERT INTO smi_pays VALUES ('23', 'BB', 'BARBADE');
INSERT INTO smi_pays VALUES ('24', 'BE', 'BELGIQUE');
INSERT INTO smi_pays VALUES ('25', 'BZ', 'BELIZE');
INSERT INTO smi_pays VALUES ('26', 'BJ', 'BENIN');
INSERT INTO smi_pays VALUES ('27', 'BM', 'BERMUDES');
INSERT INTO smi_pays VALUES ('28', 'BT', 'BHOUTAN');
INSERT INTO smi_pays VALUES ('29', 'BY', 'BELARUS');
INSERT INTO smi_pays VALUES ('30', 'MM', 'MYANMAR');
INSERT INTO smi_pays VALUES ('31', 'BO', 'BOLIVIE');
INSERT INTO smi_pays VALUES ('32', 'BA', 'BOSNIE-HERZEGOVINE');
INSERT INTO smi_pays VALUES ('33', 'BW', 'BOTSWANA');
INSERT INTO smi_pays VALUES ('34', 'BV', 'BOUVET (ILE)');
INSERT INTO smi_pays VALUES ('35', 'BR', 'BRESIL');
INSERT INTO smi_pays VALUES ('36', 'BN', 'BRUNEI DARUSSALAM');
INSERT INTO smi_pays VALUES ('37', 'BG', 'BULGARIE');
INSERT INTO smi_pays VALUES ('38', 'BF', 'BURKINA FASO');
INSERT INTO smi_pays VALUES ('39', 'BI', 'BURUNDI');
INSERT INTO smi_pays VALUES ('40', 'KY', 'CAIMANES (ILES)');
INSERT INTO smi_pays VALUES ('41', 'KH', 'CAMBODGE');
INSERT INTO smi_pays VALUES ('42', 'CM', 'CAMEROUN');
INSERT INTO smi_pays VALUES ('44', 'CA', 'CANADA');
INSERT INTO smi_pays VALUES ('46', 'CV', 'CAP-VERT');
INSERT INTO smi_pays VALUES ('47', 'CF', 'CENTRAFRICAINE (REPUBLIQUE)');
INSERT INTO smi_pays VALUES ('48', 'CL', 'CHILI');
INSERT INTO smi_pays VALUES ('49', 'CN', 'CHINE');
INSERT INTO smi_pays VALUES ('50', 'CX', 'CHRISTMAS (ILE)');
INSERT INTO smi_pays VALUES ('51', 'CY', 'CHYPRE');
INSERT INTO smi_pays VALUES ('52', 'CC', 'COCOS ou KEELING (ILES)');
INSERT INTO smi_pays VALUES ('53', 'CO', 'COLOMBIE');
INSERT INTO smi_pays VALUES ('54', 'KM', 'COMORES');
INSERT INTO smi_pays VALUES ('55', 'CG', 'CONGO');
INSERT INTO smi_pays VALUES ('56', 'CD', 'CONGO (REPUBLIQUE DEMOCRATIQUE)');
INSERT INTO smi_pays VALUES ('57', 'CK', 'COOK (ILES)');
INSERT INTO smi_pays VALUES ('59', 'KR', 'COREE (REPUBLIQUE DE)');
INSERT INTO smi_pays VALUES ('60', 'KP', 'COREE (REPUBLIQUE POPULAIRE DEMOCRATIQUE DE)');
INSERT INTO smi_pays VALUES ('61', 'CR', 'COSTA RICA');
INSERT INTO smi_pays VALUES ('62', 'CI', 'COTE D\'IVOIRE');
INSERT INTO smi_pays VALUES ('63', 'HR', 'CROATIE');
INSERT INTO smi_pays VALUES ('64', 'CU', 'CUBA');
INSERT INTO smi_pays VALUES ('65', 'DK', 'DANEMARK');
INSERT INTO smi_pays VALUES ('66', 'DJ', 'DJIBOUTI');
INSERT INTO smi_pays VALUES ('67', 'DO', 'DOMINICAINE (REPUBLIQUE)');
INSERT INTO smi_pays VALUES ('68', 'DM', 'DOMINIQUE');
INSERT INTO smi_pays VALUES ('69', 'EG', 'EGYPTE');
INSERT INTO smi_pays VALUES ('70', 'SV', 'EL SALVADOR');
INSERT INTO smi_pays VALUES ('71', 'AE', 'EMIRATS ARABES UNIS');
INSERT INTO smi_pays VALUES ('72', 'EC', 'EQUATEUR');
INSERT INTO smi_pays VALUES ('73', 'ER', 'ERYTHREE');
INSERT INTO smi_pays VALUES ('74', 'ES', 'ESPAGNE');
INSERT INTO smi_pays VALUES ('75', 'EE', 'ESTONIE');
INSERT INTO smi_pays VALUES ('77', 'US', 'ETATS-UNIS');
INSERT INTO smi_pays VALUES ('78', 'ET', 'ETHIOPIE');
INSERT INTO smi_pays VALUES ('80', 'FO', 'FEROE (ILES)');
INSERT INTO smi_pays VALUES ('81', 'FJ', 'FIDJI');
INSERT INTO smi_pays VALUES ('82', 'FI', 'FINLANDE');
INSERT INTO smi_pays VALUES ('83', 'FR', 'FRANCE');
INSERT INTO smi_pays VALUES ('84', 'GA', 'GABON');
INSERT INTO smi_pays VALUES ('85', 'GM', 'GAMBIE');
INSERT INTO smi_pays VALUES ('86', 'GE', 'GEORGIE');
INSERT INTO smi_pays VALUES ('87', 'GS', 'GEORGIE DU SUD ET LES ILES SANDWICH DU SUD');
INSERT INTO smi_pays VALUES ('88', 'GH', 'GHANA');
INSERT INTO smi_pays VALUES ('89', 'GI', 'GIBRALTAR');
INSERT INTO smi_pays VALUES ('91', 'GR', 'GRECE');
INSERT INTO smi_pays VALUES ('92', 'GD', 'GRENADE');
INSERT INTO smi_pays VALUES ('93', 'GL', 'GROENLAND');
INSERT INTO smi_pays VALUES ('94', 'GP', 'GUADELOUPE');
INSERT INTO smi_pays VALUES ('95', 'GU', 'GUAM');
INSERT INTO smi_pays VALUES ('96', 'GT', 'GUATEMALA');
INSERT INTO smi_pays VALUES ('97', 'GN', 'GUINEE');
INSERT INTO smi_pays VALUES ('98', 'GQ', 'GUINEE EQUATORIALE');
INSERT INTO smi_pays VALUES ('99', 'GW', 'GUINEE-BISSAU');
INSERT INTO smi_pays VALUES ('100', 'GY', 'GUYANA');
INSERT INTO smi_pays VALUES ('101', 'GF', 'GUYANE');
INSERT INTO smi_pays VALUES ('102', 'HT', 'HAITI');
INSERT INTO smi_pays VALUES ('104', 'HM', 'HEARD ET MACDONALD (ILES)');
INSERT INTO smi_pays VALUES ('105', 'HN', 'HONDURAS');
INSERT INTO smi_pays VALUES ('106', 'HK', 'HONG-KONG');
INSERT INTO smi_pays VALUES ('107', 'HU', 'HONGRIE');
INSERT INTO smi_pays VALUES ('109', 'IN', 'INDE');
INSERT INTO smi_pays VALUES ('110', 'ID', 'INDONESIE');
INSERT INTO smi_pays VALUES ('111', 'IR', 'IRAN');
INSERT INTO smi_pays VALUES ('112', 'IQ', 'IRAQ');
INSERT INTO smi_pays VALUES ('113', 'IE', 'IRLANDE, ou EIRE');
INSERT INTO smi_pays VALUES ('114', 'IS', 'ISLANDE');
INSERT INTO smi_pays VALUES ('115', 'IL', 'ISRAEL');
INSERT INTO smi_pays VALUES ('116', 'IT', 'ITALIE');
INSERT INTO smi_pays VALUES ('117', 'JM', 'JAMAIQUE');
INSERT INTO smi_pays VALUES ('118', 'JP', 'JAPON');
INSERT INTO smi_pays VALUES ('119', 'JO', 'JORDANIE');
INSERT INTO smi_pays VALUES ('121', 'KZ', 'KAZAKHSTAN');
INSERT INTO smi_pays VALUES ('122', 'KE', 'KENYA');
INSERT INTO smi_pays VALUES ('123', 'KG', 'KIRGHIZISTAN');
INSERT INTO smi_pays VALUES ('124', 'KI', 'KIRIBATI');
INSERT INTO smi_pays VALUES ('125', 'KW', 'KOWEIT');
INSERT INTO smi_pays VALUES ('126', 'RE', 'LA REUNION');
INSERT INTO smi_pays VALUES ('128', 'LA', 'LAOS');
INSERT INTO smi_pays VALUES ('129', 'LS', 'LESOTHO');
INSERT INTO smi_pays VALUES ('130', 'LV', 'LETTONIE');
INSERT INTO smi_pays VALUES ('131', 'LB', 'LIBAN');
INSERT INTO smi_pays VALUES ('132', 'LR', 'LIBERIA');
INSERT INTO smi_pays VALUES ('133', 'LY', 'LIBYE');
INSERT INTO smi_pays VALUES ('134', 'LI', 'LIECHTENSTEIN');
INSERT INTO smi_pays VALUES ('135', 'LT', 'LITUANIE');
INSERT INTO smi_pays VALUES ('136', 'LU', 'LUXEMBOURG');
INSERT INTO smi_pays VALUES ('137', 'MO', 'MACAO');
INSERT INTO smi_pays VALUES ('138', 'MG', 'MADAGASCAR');
INSERT INTO smi_pays VALUES ('139', 'MY', 'MALAISIE');
INSERT INTO smi_pays VALUES ('140', 'MW', 'MALAWI');
INSERT INTO smi_pays VALUES ('141', 'MV', 'MALDIVES');
INSERT INTO smi_pays VALUES ('142', 'ML', 'MALI');
INSERT INTO smi_pays VALUES ('144', 'MT', 'MALTE');
INSERT INTO smi_pays VALUES ('146', 'MP', 'MARIANNES DU NORD (ILES)');
INSERT INTO smi_pays VALUES ('147', 'MA', 'MAROC');
INSERT INTO smi_pays VALUES ('148', 'MH', 'MARSHALL (ILES)');
INSERT INTO smi_pays VALUES ('149', 'MQ', 'MARTINIQUE');
INSERT INTO smi_pays VALUES ('150', 'MU', 'MAURICE');
INSERT INTO smi_pays VALUES ('151', 'MR', 'MAURITANIE');
INSERT INTO smi_pays VALUES ('152', 'YT', 'MAYOTTE');
INSERT INTO smi_pays VALUES ('153', 'MX', 'MEXIQUE');
INSERT INTO smi_pays VALUES ('154', 'FM', 'MICRONESIE (ETATS FEDERES DE)');
INSERT INTO smi_pays VALUES ('155', 'MD', 'MOLDAVIE');
INSERT INTO smi_pays VALUES ('156', 'MC', 'MONACO');
INSERT INTO smi_pays VALUES ('157', 'MN', 'MONGOLIE');
INSERT INTO smi_pays VALUES ('158', 'ME', 'MONTENEGRO');
INSERT INTO smi_pays VALUES ('159', 'MS', 'MONTSERRAT');
INSERT INTO smi_pays VALUES ('160', 'MZ', 'MOZAMBIQUE');
INSERT INTO smi_pays VALUES ('161', 'NA', 'NAMIBIE');
INSERT INTO smi_pays VALUES ('162', 'NR', 'NAURU');
INSERT INTO smi_pays VALUES ('163', 'NP', 'NEPAL');
INSERT INTO smi_pays VALUES ('164', 'NI', 'NICARAGUA');
INSERT INTO smi_pays VALUES ('165', 'NE', 'NIGER');
INSERT INTO smi_pays VALUES ('166', 'NG', 'NIGERIA');
INSERT INTO smi_pays VALUES ('167', 'NU', 'NIUE');
INSERT INTO smi_pays VALUES ('168', 'NF', 'NORFOLK (ILE)');
INSERT INTO smi_pays VALUES ('169', 'NO', 'NORVEGE');
INSERT INTO smi_pays VALUES ('170', 'NC', 'NOUVELLE-CALEDONIE');
INSERT INTO smi_pays VALUES ('171', 'NZ', 'NOUVELLE-ZELANDE');
INSERT INTO smi_pays VALUES ('172', 'IO', 'OCEAN INDIEN (TERRITOIRE BRITANNIQUE DE L\')');
INSERT INTO smi_pays VALUES ('173', 'OM', 'OMAN');
INSERT INTO smi_pays VALUES ('174', 'UG', 'OUGANDA');
INSERT INTO smi_pays VALUES ('175', 'UZ', 'OUZBEKISTAN');
INSERT INTO smi_pays VALUES ('176', 'PK', 'PAKISTAN');
INSERT INTO smi_pays VALUES ('177', 'PW', 'PALAOS (ILES)');
INSERT INTO smi_pays VALUES ('178', 'PS', 'PALESTINE');
INSERT INTO smi_pays VALUES ('179', 'PA', 'PANAMA');
INSERT INTO smi_pays VALUES ('180', 'PG', 'PAPOUASIE-NOUVELLE-GUINEE');
INSERT INTO smi_pays VALUES ('181', 'PY', 'PARAGUAY');
INSERT INTO smi_pays VALUES ('182', 'NL', 'PAYS-BAS');
INSERT INTO smi_pays VALUES ('183', 'PE', 'PEROU');
INSERT INTO smi_pays VALUES ('184', 'PH', 'PHILIPPINES');
INSERT INTO smi_pays VALUES ('185', 'PN', 'PITCAIRN (ILE)');
INSERT INTO smi_pays VALUES ('186', 'PL', 'POLOGNE');
INSERT INTO smi_pays VALUES ('187', 'PF', 'POLYNESIE FRANCAISE');
INSERT INTO smi_pays VALUES ('188', 'PR', 'PORTO RICO');
INSERT INTO smi_pays VALUES ('189', 'PT', 'PORTUGAL');
INSERT INTO smi_pays VALUES ('193', 'QA', 'QATAR');
INSERT INTO smi_pays VALUES ('196', 'RO', 'ROUMANIE');
INSERT INTO smi_pays VALUES ('197', 'GB', 'ROYAUME-UNI');
INSERT INTO smi_pays VALUES ('198', 'RU', 'RUSSIE');
INSERT INTO smi_pays VALUES ('199', 'RW', 'RWANDA');
INSERT INTO smi_pays VALUES ('200', 'EH', 'SAHARA OCCIDENTAL');
INSERT INTO smi_pays VALUES ('201', 'KN', 'SAINT-KITTS-ET-NEVIS');
INSERT INTO smi_pays VALUES ('202', 'SH', 'SAINTE-HELENE');
INSERT INTO smi_pays VALUES ('203', 'LC', 'SAINTE-LUCIE');
INSERT INTO smi_pays VALUES ('204', 'SM', 'SAINT-MARIN');
INSERT INTO smi_pays VALUES ('205', 'PM', 'SAINT-PIERRE-ET-MIQUELON');
INSERT INTO smi_pays VALUES ('206', 'VC', 'SAINT-VINCENT-ET-LES GRENADINES');
INSERT INTO smi_pays VALUES ('207', 'SB', 'SALOMON (ILES)');
INSERT INTO smi_pays VALUES ('208', 'AS', 'SAMOA AMERICAINES');
INSERT INTO smi_pays VALUES ('209', 'WS', 'SAMOA OCCIDENTALES');
INSERT INTO smi_pays VALUES ('210', 'ST', 'SAO TOME-ET-PRINCIPE');
INSERT INTO smi_pays VALUES ('211', 'SN', 'SENEGAL');
INSERT INTO smi_pays VALUES ('212', 'CS', 'SERBIE-ET-MONTENEGRO');
INSERT INTO smi_pays VALUES ('213', 'SC', 'SEYCHELLES');
INSERT INTO smi_pays VALUES ('215', 'SL', 'SIERRA LEONE');
INSERT INTO smi_pays VALUES ('216', 'SG', 'SINGAPOUR');
INSERT INTO smi_pays VALUES ('217', 'SK', 'SLOVAQUIE');
INSERT INTO smi_pays VALUES ('218', 'SI', 'SLOVENIE');
INSERT INTO smi_pays VALUES ('219', 'SO', 'SOMALIE');
INSERT INTO smi_pays VALUES ('220', 'SD', 'SOUDAN');
INSERT INTO smi_pays VALUES ('222', 'LK', 'SRI LANKA');
INSERT INTO smi_pays VALUES ('223', 'SE', 'SUEDE');
INSERT INTO smi_pays VALUES ('224', 'CH', 'SUISSE');
INSERT INTO smi_pays VALUES ('225', 'SR', 'SURINAME');
INSERT INTO smi_pays VALUES ('226', 'SJ', 'SVALBARD et ILE JAN MAYEN');
INSERT INTO smi_pays VALUES ('227', 'SZ', 'SWAZILAND');
INSERT INTO smi_pays VALUES ('228', 'SY', 'SYRIE');
INSERT INTO smi_pays VALUES ('229', 'TJ', 'TADJIKISTAN');
INSERT INTO smi_pays VALUES ('230', 'TW', 'TAIWAN');
INSERT INTO smi_pays VALUES ('232', 'TZ', 'TANZANIE');
INSERT INTO smi_pays VALUES ('233', 'TD', 'TCHAD');
INSERT INTO smi_pays VALUES ('235', 'CZ', 'TCHEQUE (REPUBLIQUE)');
INSERT INTO smi_pays VALUES ('240', 'TF', 'TERRES AUSTRALES FRANCAISES');
INSERT INTO smi_pays VALUES ('243', 'TH', 'THAILANDE');
INSERT INTO smi_pays VALUES ('244', 'TL', 'TIMOR-LESTE');
INSERT INTO smi_pays VALUES ('245', 'TG', 'TOGO');
INSERT INTO smi_pays VALUES ('246', 'TK', 'TOKELAU');
INSERT INTO smi_pays VALUES ('247', 'TO', 'TONGA');
INSERT INTO smi_pays VALUES ('248', 'TT', 'TRINITE-ET-TOBAGO');
INSERT INTO smi_pays VALUES ('249', 'TN', 'TUNISIE');
INSERT INTO smi_pays VALUES ('251', 'TM', 'TURKMENISTAN');
INSERT INTO smi_pays VALUES ('252', 'TC', 'TURKS ET CAIQUES (ILES)');
INSERT INTO smi_pays VALUES ('253', 'TR', 'TURQUIE');
INSERT INTO smi_pays VALUES ('255', 'TV', 'TUVALU');
INSERT INTO smi_pays VALUES ('256', 'UA', 'UKRAINE');
INSERT INTO smi_pays VALUES ('257', 'UY', 'URUGUAY');
INSERT INTO smi_pays VALUES ('258', 'VU', 'VANUATU');
INSERT INTO smi_pays VALUES ('259', 'VA', 'VATICAN, ou SAINT-SIEGE');
INSERT INTO smi_pays VALUES ('260', 'VE', 'VENEZUELA');
INSERT INTO smi_pays VALUES ('261', 'VG', 'ILES VIERGES BRITANNIQUES');
INSERT INTO smi_pays VALUES ('262', 'VI', 'ILES VIERGES DES ETATS-UNIS');
INSERT INTO smi_pays VALUES ('263', 'VN', 'VIET NAM');
INSERT INTO smi_pays VALUES ('266', 'WF', 'WALLIS-ET-FUTUNA');
INSERT INTO smi_pays VALUES ('267', 'YE', 'YEMEN');
INSERT INTO smi_pays VALUES ('268', 'YE', 'YEMEN (REPUBLIQUE ARABE DU)');
INSERT INTO smi_pays VALUES ('270', 'ZM', 'ZAMBIE');
INSERT INTO smi_pays VALUES ('272', 'ZW', 'ZIMBABWE');
INSERT INTO smi_pays VALUES ('273', 'AX', 'ALAND (ILES)');
INSERT INTO smi_pays VALUES ('274', 'FK', 'FALKLAND, �LES (MALVINAS)');
INSERT INTO smi_pays VALUES ('275', 'GG', 'GUERNESEY');
INSERT INTO smi_pays VALUES ('276', 'IM', 'ILE DE MAN');
INSERT INTO smi_pays VALUES ('277', 'UM', 'ILES MINEURES �LOIGN�ES DES �TATS-UNIS');
INSERT INTO smi_pays VALUES ('278', 'JE', 'JERSEY');
INSERT INTO smi_pays VALUES ('279', 'MK', 'MAC�DOINE (EX-R�PUBLIQUE YOUGOSLAVE DE)');


#
# Table structure for table `smi_pdt`
#

DROP TABLE IF EXISTS `smi_pdt`;
CREATE TABLE `smi_pdt` (
  `pdt_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pdt_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `pdt_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `pdt_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `pdt_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `pdt_code` VARCHAR(20) NOT NULL DEFAULT '',
  `pdt_fam` VARCHAR(10) NOT NULL DEFAULT '',
  `pdt_des` VARCHAR(50) NOT NULL DEFAULT '',
  `pdt_detail` VARCHAR(70) DEFAULT NULL,
  `pdt_puttc` FLOAT(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `pdt_vendu` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`pdt_id`),
  KEY `pdt_fam` (`pdt_fam`),
  KEY `pdt_code` (`pdt_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_pdt`
#


#
# Table structure for table `smi_pdti`
#

DROP TABLE IF EXISTS `smi_pdti`;
CREATE TABLE `smi_pdti` (
  `pdti_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pdti_codeint` VARCHAR(20) NOT NULL DEFAULT '',
  `pdti_codepdt` VARCHAR(20) NOT NULL DEFAULT '',
  `pdti_puttc` FLOAT(10,2) UNSIGNED NOT NULL DEFAULT '0.00',
  `pdti_qte` FLOAT(10,2) NOT NULL DEFAULT '0.00',
  `pdti_ns` VARCHAR(100) NOT NULL DEFAULT '',
  `pdti_texte` TEXT NOT NULL,
  PRIMARY KEY  (`pdti_id`),
  KEY `pdti_codeint` (`pdti_codeint`),
  KEY `pdti_codepdt` (`pdti_codepdt`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_pdti`
#



#
# Table structure for table `smi_pdtu`
#

DROP TABLE IF EXISTS `smi_pdtu`;
CREATE TABLE IF NOT EXISTS `smi_pdtu` (
  `pdtu_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pdtu_code` VARCHAR(5) NOT NULL,
  `pdtu_desc` VARCHAR(50) NOT NULL,
  `pdtu_abr` VARCHAR(3) NOT NULL,
  `pdtu_del` TINYINT(1) NOT NULL DEFAULT '1',
  PRIMARY KEY  (`pdtu_id`),
  KEY `pdtu_code` (`pdtu_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_pdtu`
#

INSERT INTO `smi_pdtu` VALUES ( NULL , 'TEMPS', 'TEMPS PASSE', 'h', '0');
INSERT INTO `smi_pdtu` VALUES (  NULL , 'UNITE', 'UNITE', 'u.', '0');

#
# Table structure for table `smi_pw`
#

DROP TABLE IF EXISTS `smi_pw`;
CREATE TABLE `smi_pw` (
  `pw_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `pw_code` VARCHAR(20) NOT NULL DEFAULT '',
  `pw_pass` VARCHAR(40) NOT NULL DEFAULT '',
  `pw_level` TINYINT(2) NOT NULL DEFAULT '0',
  `pw_lastsuccess` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
  `pw_lastip` VARCHAR(15) NOT NULL DEFAULT '',
  `pw_actif` TINYINT(1) NOT NULL DEFAULT '1',
  PRIMARY KEY  (`pw_id`),
  KEY `pw_code` (`pw_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_pw`
#



#
# Table structure for table `smi_reg`
#

DROP TABLE IF EXISTS `smi_reg`;
CREATE TABLE `smi_reg` (
  `reg_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `reg_code` VARCHAR(10) NOT NULL DEFAULT '',
  `reg_desc` VARCHAR(50) NOT NULL DEFAULT '',
  `reg_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`reg_id`),
  KEY `cat_code` (`reg_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_reg`
#

INSERT INTO smi_reg VALUES ('1', 'EC', 'EN COURS...', '0');
INSERT INTO smi_reg VALUES ('2', 'CB', 'CARTE BLEUE', '0');
INSERT INTO smi_reg VALUES ('3', 'R', 'A RECEPTION DE FACTURE', '0');
INSERT INTO smi_reg VALUES ('4', 'ESP', 'ESPECES', '0');
INSERT INTO smi_reg VALUES ('5', 'CHQ', 'CHEQUE', '0');


#
# Table structure for table `smi_rel`
#

DROP TABLE IF EXISTS `smi_rel`;
CREATE TABLE `smi_rel` (
  `rel_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rel_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `rel_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `rel_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `rel_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `rel_code` VARCHAR(20) NOT NULL DEFAULT '',
  `rel_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `rel_codeage` VARCHAR(10) NOT NULL DEFAULT '',
  `rel_rnum` VARCHAR(10) NOT NULL DEFAULT '',
  `rel_num` INT(4) NOT NULL DEFAULT '0',
  `rel_nota` TEXT,
  PRIMARY KEY  (`rel_id`),
  KEY `rel_code` (`rel_code`),
  KEY `rel_codecli` (`rel_codecli`),
  KEY `rel_codeage` (`rel_codeage`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_rel`
#


#
# Table structure for table `smi_rlic`
#

DROP TABLE IF EXISTS `smi_rlic`;
CREATE TABLE `smi_rlic` (
  `rlic_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rlic_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `rlic_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `rlic_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_coderel` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_code` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_daterel` DATE NOT NULL DEFAULT '0000-00-00',
  `rlic_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_codeage` VARCHAR(10) NOT NULL DEFAULT '',
  `rlic_codetec` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_codema` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_modele` VARCHAR(40) NOT NULL DEFAULT '',
  `rlic_version` VARCHAR(10) NOT NULL DEFAULT '',
  `rlic_codetl` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_maxcli` TINYINT(4) NOT NULL DEFAULT '1',
  `rlic_codemed` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_numlic` VARCHAR(40) NOT NULL DEFAULT '',
  `rlic_cleflic` VARCHAR(40) NOT NULL DEFAULT '',
  `rlic_ajour` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_legal` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_dateval` DATE DEFAULT '0000-00-00',
  `rlic_dateout` DATE NOT NULL DEFAULT '0000-00-00',
  `rlic_nota` TEXT,
  `rlic_signataire` VARCHAR(50) NOT NULL DEFAULT '',
  `rlic_idsite` TINYINT(1) NOT NULL DEFAULT '-1',
  `rlic_codeta` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_tma` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_codel` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_tser` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_tlien` VARCHAR(40) DEFAULT NULL,
  `rlic_tlogin` VARCHAR(40) DEFAULT NULL,
  `rlic_tmdp` VARCHAR(40) DEFAULT NULL,
  `rlic_tae` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_tred` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_codem` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_mmode` TINYINT(1) NOT NULL DEFAULT '1',
  `rlic_mper` VARCHAR(20) NOT NULL DEFAULT '',
  `rlic_mlogin` VARCHAR(40) DEFAULT NULL,
  `rlic_mmdp` VARCHAR(40) DEFAULT NULL,
  `rlic_mdval` DATE DEFAULT NULL,
  `rlic_mdlmaj` DATE DEFAULT NULL,
  `rlic_mae` TINYINT(1) NOT NULL DEFAULT '0',
  `rlic_mred` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`rlic_id`),
  KEY `rlic_codecli` (`rlic_codecli`),
  KEY `rlic_codetec` (`rlic_codetec`),
  KEY `rlic_codema` (`rlic_codema`),
  KEY `rlic_codetl` (`rlic_codetl`),
  KEY `rlic_codeage` (`rlic_codeage`),
  KEY `rlic_coderel` (`rlic_coderel`),
  KEY `rlic_codemed` (`rlic_codemed`),
  KEY `rlic_codeta` (`rlic_codeta`),
  KEY `rlic_codel` (`rlic_codel`),
  KEY `rlic_mper` (`rlic_mper`),
  KEY `rlic_codem` (`rlic_codem`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_rlic`
#


#
# Table structure for table `smi_rlmed`
#

DROP TABLE IF EXISTS `smi_rlmed`;
CREATE TABLE `smi_rlmed` (
  `rlmed_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rlmed_code` VARCHAR(10) NOT NULL DEFAULT '',
  `rlmed_desc` VARCHAR(40) NOT NULL DEFAULT '',
  PRIMARY KEY  (`rlmed_id`),
  KEY `rptl_code` (`rlmed_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_rlmed`
#


#
# Table structure for table `smi_rlptmta`
#

CREATE TABLE `smi_rlptmta` (
  `rlptmta_id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `rlptmta_code` VARCHAR( 20 ) NOT NULL ,
  `rlptmta_desc` VARCHAR( 40 ) NOT NULL ,
  KEY `rlptmta_code` (`rlptmta_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Table structure for table `smi_rlptml`
#

CREATE TABLE `smi_rlptml` (
  `rlptml_id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `rlptml_code` VARCHAR( 20 ) NOT NULL ,
  `rlptml_desc` VARCHAR( 40 ) NOT NULL ,
  KEY `rlptml_code` (`rlptml_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


#
# Table structure for table `smi_rlpmm`
#

CREATE TABLE `smi_rlpmm` (
  `rlpmm_id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `rlpmm_code` VARCHAR( 20 ) NOT NULL ,
  `rlpmm_desc` VARCHAR( 40 ) NOT NULL ,
  KEY `rlptmm_code` (`rlpmm_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Table structure for table `smi_rltl`
#

DROP TABLE IF EXISTS `smi_rltl`;
CREATE TABLE `smi_rltl` (
  `rltl_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rltl_code` VARCHAR(10) NOT NULL DEFAULT '',
  `rltl_desc` VARCHAR(40) NOT NULL DEFAULT '',
  `rltl_codema` VARCHAR(20) NOT NULL DEFAULT '*',
  PRIMARY KEY  (`rltl_id`),
  KEY `rltl_code` (`rltl_code`),
  KEY `rltl_codema` (`rltl_codema`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_rltl`
#


#
# Table structure for table `smi_rpbm`
#

DROP TABLE IF EXISTS `smi_rpbm`;
CREATE TABLE `smi_rpbm` (
  `rpbm_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rpbm_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `rpbm_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `rpbm_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `rpbm_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `rpbm_coderlp` VARCHAR(20) NOT NULL DEFAULT '',
  `rpbm_typrel` TINYINT(1) NOT NULL DEFAULT '1',
  `rpbm_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `rpbm_signale` VARCHAR(50) NOT NULL DEFAULT '',
  `rpbm_pbm` TEXT NOT NULL,
  `rpbm_datett` DATE DEFAULT '0000-00-00',
  `rpbm_fait` TEXT,
  `rpbm_codeint` VARCHAR(20) DEFAULT NULL,
  `rpbm_idsite` TINYINT(1) NOT NULL DEFAULT '-1',
  PRIMARY KEY  (`rpbm_id`),
  KEY `rpbm_codecli` (`rpbm_codecli`),
  KEY `rpbm_codeint` (`rpbm_codeint`),
  KEY `rpbm_coderlp` (`rpbm_coderlp`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_rpbm`
#



#
# Table structure for table `smi_rpcat`
#

DROP TABLE IF EXISTS `smi_rpcat`;
CREATE TABLE `smi_rpcat` (
  `rpcat_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rpcat_code` VARCHAR(10) NOT NULL DEFAULT '',
  `rpcat_desc` VARCHAR(40) NOT NULL DEFAULT '',
  PRIMARY KEY  (`rpcat_id`),
  KEY `rpcat_code` (`rpcat_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_rpcat`
#


#
# Table structure for table `smi_rpdt`
#

DROP TABLE IF EXISTS `smi_rpdt`;
CREATE TABLE `smi_rpdt` (
  `rpdt_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rpdt_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `rpdt_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `rpdt_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_coderel` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_code` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_daterel` DATE NOT NULL DEFAULT '0000-00-00',
  `rpdt_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_codeage` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_codetec` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_codecat` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_codema` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_modele` VARCHAR(40) NOT NULL DEFAULT '',
  `rpdt_ns` VARCHAR(40) NOT NULL DEFAULT '',
  `rpdt_codeet` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_coderlic` TEXT,
  `rpdt_empl` VARCHAR(40) NOT NULL DEFAULT '',
  `rpdt_codep` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_util` VARCHAR(40) DEFAULT NULL,
  `rpdt_nomp` VARCHAR(20) DEFAULT NULL,
  `rpdt_gt` VARCHAR(40) DEFAULT NULL,
  `rpdt_dom` VARCHAR(40) DEFAULT NULL,
  `rpdt_login` VARCHAR(40) DEFAULT NULL,
  `rpdt_mdp` VARCHAR(40) DEFAULT NULL,
  `rpdt_mac` VARCHAR(17) NOT NULL DEFAULT '00:00:00:00:00:00',
  `rpdt_modeip` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_sdhcp` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_ip1` VARCHAR(15) DEFAULT NULL,
  `rpdt_ip2` VARCHAR(15) DEFAULT NULL,
  `rpdt_mdhcp` VARCHAR(15) DEFAULT NULL,
  `rpdt_ip` VARCHAR(15) DEFAULT NULL,
  `rpdt_masq` VARCHAR(15) DEFAULT NULL,
  `rpdt_pass` VARCHAR(15) DEFAULT NULL,
  `rpdt_npm` VARCHAR(10) DEFAULT NULL,
  `rpdt_npb` VARCHAR(10) DEFAULT NULL,
  `rpdt_npc` VARCHAR(10) DEFAULT NULL,
  `rpdt_snmp` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_wol` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_sid` VARCHAR(80) DEFAULT NULL,
  `rpdt_wep` VARCHAR(80) NOT NULL DEFAULT '',
  `rpdt_codeta` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_tma` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_codel` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_tser` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_tlien` VARCHAR(40) DEFAULT NULL,
  `rpdt_tlogin` VARCHAR(40) DEFAULT NULL,
  `rpdt_tmdp` VARCHAR(40) DEFAULT NULL,
  `rpdt_tae` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_tred` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_codem` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_mmode` TINYINT(1) NOT NULL DEFAULT '1',
  `rpdt_mper` VARCHAR(20) NOT NULL DEFAULT '',
  `rpdt_mlogin` VARCHAR(40) DEFAULT NULL,
  `rpdt_mmdp` VARCHAR(40) DEFAULT NULL,
  `rpdt_mdval` DATE DEFAULT NULL,
  `rpdt_mdlmaj` DATE DEFAULT NULL,
  `rpdt_mae` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_mred` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_dateach` DATE DEFAULT NULL,
  `rpdt_fingar` DATE DEFAULT NULL,
  `rpdt_gars` TINYINT(1) NOT NULL DEFAULT '0',
  `rpdt_prop` TINYINT(1) NOT NULL DEFAULT '1',
  `rpdt_dateout` DATE NOT NULL DEFAULT '0000-00-00',
  `rpdt_nota` TEXT,
  `rpdt_signataire` VARCHAR(50) NOT NULL DEFAULT '',
  `rpdt_idsite` INT(10) NOT NULL DEFAULT '-1',
  PRIMARY KEY  (`rpdt_id`),
  KEY `rpdt_coderel` (`rpdt_coderel`),
  KEY `rpdt_codecli` (`rpdt_codecli`),
  KEY `rpdt_codeage` (`rpdt_codeage`),
  KEY `rpdt_codetec` (`rpdt_codetec`),
  KEY `rpdt_codecat` (`rpdt_codecat`),
  KEY `rpdt_codeet` (`rpdt_codeet`),
  KEY `rpdt_codema` (`rpdt_codema`),
  KEY `rpdt_codeta` (`rpdt_codeta`),
  KEY `rpdt_mper` (`rpdt_mper`),
  KEY `rpdt_codel` (`rpdt_codel`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_rpdt`
#



#
# Table structure for table `smi_rpet`
#

DROP TABLE IF EXISTS `smi_rpet`;
CREATE TABLE `smi_rpet` (
  `rpet_id` INT(10) NOT NULL AUTO_INCREMENT,
  `rpet_code` VARCHAR(10) NOT NULL DEFAULT '',
  `rpet_desc` VARCHAR(40) NOT NULL DEFAULT '',
  PRIMARY KEY  (`rpet_id`),
  KEY `rpet_code` (`rpet_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_rpet`
#

INSERT INTO smi_rpet VALUES ('1', 'PV', 'PAS VU');
INSERT INTO smi_rpet VALUES ('2', 'BE', 'BON ETAT');
INSERT INTO smi_rpet VALUES ('3', 'ME', 'MAUVAIS ETAT');
INSERT INTO smi_rpet VALUES ('4', 'HS', 'HORS SERVICE');
INSERT INTO smi_rpet VALUES ('5', 'EE', 'EXCELLENT ETAT');
INSERT INTO smi_rpet VALUES ('6', 'EN', 'ETAT NEUF');
INSERT INTO smi_rpet VALUES ('7', 'EM', 'ETAT MOYEN');
INSERT INTO smi_rpet VALUES ('8', 'HC', 'HORS CONTRAT');


#
# Table structure for table `smi_scli`
#

DROP TABLE IF EXISTS `smi_scli`;
CREATE TABLE `smi_scli` (
  `scli_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `scli_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `scli_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `scli_codecli` VARCHAR(20) NOT NULL DEFAULT '',
  `scli_ste` VARCHAR(50) NOT NULL DEFAULT '',
  `scli_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `scli_adr2` VARCHAR(50) DEFAULT NULL,
  `scli_dep` CHAR(30) NOT NULL DEFAULT '',
  `scli_ville` INT(10) NOT NULL,
  `scli_codepays` CHAR(3) NOT NULL DEFAULT '',
  `scli_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `scli_fax` VARCHAR(20) DEFAULT NULL,
  `scli_email` VARCHAR(50) NOT NULL DEFAULT '',
  `scli_rcivil` VARCHAR(5) NOT NULL DEFAULT '',
  `scli_rprenom` VARCHAR(50) NOT NULL DEFAULT '',
  `scli_rnom` VARCHAR(50) NOT NULL DEFAULT '',
  `scli_rtelf` VARCHAR(20) NOT NULL DEFAULT '',
  `scli_rfax` VARCHAR(20) DEFAULT NULL,
  `scli_rtelp` VARCHAR(20) DEFAULT NULL,
  `scli_remail` VARCHAR(50) NOT NULL DEFAULT '',
  `scli_rcodefonc` VARCHAR(5) NOT NULL,
  `scli_nota` TEXT,
  `scli_actif` TINYINT(1) NOT NULL DEFAULT '1',
  PRIMARY KEY  (`scli_id`),
  KEY `scli_codecli` (`scli_codecli`),
  KEY `scli_ste` (`scli_ste`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Sites clients';

#
# Dumping data for table `smi_scli`
#



#
# Table structure for table `smi_sclic`
#

DROP TABLE IF EXISTS `smi_sclic`;
CREATE TABLE `smi_sclic` (
  `sclic_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `sclic_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `sclic_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `sclic_idscli` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `sclic_codecocl` VARCHAR(20) NOT NULL DEFAULT '',
  PRIMARY KEY  (`sclic_id`),
  KEY `sclic_idscli` (`sclic_idscli`),
  KEY `sclic_codecocl` (`sclic_codecocl`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Sites clients sur contrats';

#
# Dumping data for table `smi_sclic`
#


#
# Table structure for table `smi_sclii`
#

DROP TABLE IF EXISTS `smi_sclii`;
CREATE TABLE `smi_sclii` (
  `sclii_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `sclii_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `sclii_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `sclii_idscli` INT(10) UNSIGNED NOT NULL DEFAULT '0',
  `sclii_codeint` VARCHAR(20) NOT NULL DEFAULT '',
  PRIMARY KEY  (`sclii_id`),
  KEY `sclii_idscli` (`sclii_idscli`),
  KEY `sclii_codeint` (`sclii_codeint`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Sites clients sur interventions';

#
# Dumping data for table `smi_sclii`
#

#
# Table structure for table `smi_sp`
#

CREATE TABLE `smi_sp` (
  `sp_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `sp_code` VARCHAR(5) NOT NULL,
  `sp_desc` VARCHAR(50) NOT NULL,
  `sp_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`sp_id`),
  KEY `sp_desc` (`sp_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0  ;

#
# Dumping data for table `smi_sp`
#


#
# Table structure for table `smi_st`
#

DROP TABLE IF EXISTS `smi_st`;
CREATE TABLE `smi_st` (
  `st_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `st_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `st_codecrea` VARCHAR(20) NOT NULL,
  `st_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `st_codemod` VARCHAR(20) NOT NULL,
  `st_code` VARCHAR(10) NOT NULL,
  `st_pass` VARCHAR(40) NOT NULL,
  `st_nom` VARCHAR(50) NOT NULL,
  `st_rcs` VARCHAR(50) NOT NULL,
  `st_tcom` VARCHAR(70) NOT NULL,
  `st_adr1` VARCHAR(50) NOT NULL,
  `st_adr2` VARCHAR(50) DEFAULT NULL,
  `st_dep` VARCHAR(30) NOT NULL,
  `st_ville` INT(10) NOT NULL,
  `st_codepays` CHAR(3) NOT NULL,
  `st_zone` TEXT DEFAULT NULL DEFAULT NULL,
  `st_telf` VARCHAR(20) NOT NULL,
  `st_txttelf` VARCHAR(100) DEFAULT NULL,
  `st_fax` VARCHAR(20) DEFAULT NULL,
  `st_txtfax` VARCHAR(100) DEFAULT NULL,
  `st_txtent` TEXT,
  `st_resp_civilite` VARCHAR(5) NOT NULL,
  `st_resp_prenom` VARCHAR(50) NOT NULL,
  `st_resp_nom` VARCHAR(50) NOT NULL,
  `st_resp_telf` VARCHAR(20) NOT NULL,
  `st_email` VARCHAR(50) NOT NULL,
  `st_emaild` VARCHAR(50) NOT NULL,
  `st_emailc` VARCHAR(50) NOT NULL,
  `st_emailt` VARCHAR(50) NOT NULL,
  `st_heures` VARCHAR(200) DEFAULT NULL,
  `st_web` VARCHAR(200) DEFAULT NULL,
  `st_nota` TEXT,
  `st_fact` TINYINT(1) NOT NULL DEFAULT '0',
  `st_ouvert` TINYINT(1) NOT NULL DEFAULT '1',
  `st_datec` DATE DEFAULT NULL,
  `st_spe` TEXT DEFAULT NULL DEFAULT NULL,
  PRIMARY KEY  (`st_id`),
  KEY `st_code` (`st_code`),
  KEY `st_resp_civilite` (`st_resp_civilite`),
  KEY `st_nom` (`st_nom`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Dumping data for table `smi_st`
#

#
# Table structure for table `smi_statut`
#

DROP TABLE IF EXISTS `smi_statut`;
CREATE TABLE `smi_statut` (
  `statut_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `statut_code` VARCHAR(5) NOT NULL DEFAULT '',
  `statut_desc` VARCHAR(50) NOT NULL DEFAULT '',
  `statut_img` VARCHAR(200) NOT NULL DEFAULT '',
  `statut_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`statut_id`),
  KEY `statut_code` (`statut_code`),
  KEY `statut_img` (`statut_img`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_statut`
#

INSERT INTO smi_statut VALUES ('1', 'IAF', 'INTERVENTION A EFFECTUER', '../icones/icones-22/configurer_22.gif', '1');
INSERT INTO smi_statut VALUES ('2', 'EC', 'EN COURS', '../icones/glaze/folder_open.png', '0');
INSERT INTO smi_statut VALUES ('3', 'DAS', 'DEVIS : A SAISIR', '../icones/glaze/spreadsheet.png', '1');
INSERT INTO smi_statut VALUES ('4', 'CLOT', 'TERMINE', '../icones/glaze/lock.png', '0');
INSERT INTO smi_statut VALUES ('5', 'AR', 'A RAPPELER', '../icones/EmotiKons/mobile_phone2.png', '1');
INSERT INTO smi_statut VALUES ('6', 'AP', 'ATTENTE PAIEMENT', '../icones/EmotiKons/money.png', '1');
INSERT INTO smi_statut VALUES ('7', 'ALLC', 'ATTENTE LOGICIEL(S)/LICENCE(S) CLIENTS', '../icones/nuvola/3floppy_unmount.png', '1');
INSERT INTO smi_statut VALUES ('8', 'RVAP', 'RENDEZ-VOUS A PRENDRE', '../icones/nuvola/edu_languages.png', '1');
INSERT INTO smi_statut VALUES ('9', 'ALF', 'ATTENTE LIVRAISON FOURNISSEUR', '../icones/glaze/5floppy_mount.png', '1');
INSERT INTO smi_statut VALUES ('10', 'DARC', 'DEVIS : ATTENTE REPONSE CLIENT', '../icones/nuvola/compfile.png', '1');
INSERT INTO smi_statut VALUES ('11', 'ACC', 'ATTENTE COMMANDE CLIENT (SITE)', '../icones/glaze/folder_important.png', '0');


#
# Table structure for table `smi_tec`
#

DROP TABLE IF EXISTS `smi_tec`;
CREATE TABLE `smi_tec` (
  `tec_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `tec_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `tec_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `tec_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `tec_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `tec_congd` DATE DEFAULT NULL,
  `tec_congf` DATE DEFAULT NULL,
  `tec_codeage` VARCHAR(10) NOT NULL DEFAULT '',
  `tec_codedo` VARCHAR(10) NOT NULL DEFAULT '',
  `tec_codest` VARCHAR(10) NOT NULL DEFAULT '',
  `tec_code` VARCHAR(20) NOT NULL DEFAULT '',
  `tec_pass` VARCHAR(40) NOT NULL DEFAULT '',
  `tec_civilite` VARCHAR(5) NOT NULL DEFAULT '',
  `tec_prenom` VARCHAR(50) NOT NULL DEFAULT '',
  `tec_nom` VARCHAR(50) NOT NULL DEFAULT '',
  `tec_adr1` VARCHAR(50) NOT NULL DEFAULT '',
  `tec_adr2` VARCHAR(50) DEFAULT NULL,
  `tec_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `tec_ville` INT(10) NOT NULL,
  `tec_codepays` CHAR(3) NOT NULL DEFAULT '',
  `tec_telf` VARCHAR(20) NOT NULL DEFAULT '',
  `tec_fax` VARCHAR(20) NOT NULL DEFAULT '',
  `tec_telp` VARCHAR(20) NOT NULL DEFAULT '',
  `tec_email` VARCHAR(50) NOT NULL DEFAULT '',
  `tec_mess` VARCHAR(50) DEFAULT NULL,
  `tec_nota` TEXT,
  `tec_out` TINYINT(1) DEFAULT '0',
  `tec_dateout` DATE DEFAULT NULL,
  PRIMARY KEY  (`tec_id`),
  KEY `tec_code` (`tec_code`),
  KEY `tec_nom` (`tec_nom`),
  KEY `tec_codeage` (`tec_codeage`),
  KEY `tec_civilite` (`tec_civilite`),
  KEY `tec_telp` (`tec_telp`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_tec`
#



#
# Table structure for table `smi_txt`
#

DROP TABLE IF EXISTS `smi_txt`;
CREATE TABLE `smi_txt` (
  `txt_id` TINYINT(3) UNSIGNED NOT NULL AUTO_INCREMENT,
  `txt_datecrea` DATE NOT NULL DEFAULT '0000-00-00',
  `txt_codecrea` VARCHAR(20) NOT NULL DEFAULT '',
  `txt_datemod` DATE NOT NULL DEFAULT '0000-00-00',
  `txt_codemod` VARCHAR(20) NOT NULL DEFAULT '',
  `txt_code` VARCHAR(20) NOT NULL DEFAULT '',
  `txt_entete` VARCHAR(50) DEFAULT NULL,
  `txt_desc` VARCHAR(100) NOT NULL DEFAULT '',
  `txt_texte` TEXT NOT NULL,
  `txt_delok` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`txt_id`),
  KEY `textes_code` (`txt_code`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1;

#
# Dumping data for table `smi_txt`
#


INSERT INTO `smi_txt` VALUES (1, '0000-00-00', '', '2007-04-05', 'Administrateur', 'INT_CRE_XXX_AGE', '', 'INTERVENTION : Email envoy� vers une agence suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la saisie d''une nouvelle demande d''intervention (N&deg;<strong> %int_code%</strong>, client %cli_code%).<br />\r\n<br />\r\nMerci de prendre rapidement contact avec le client demandeur pour la mise en place de l''intervention.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (2, '0000-00-00', '', '2007-04-05', 'Administrateur', 'INT_CLOT_XXX_CLI', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre dossier d''intervention (N&deg; <strong>%int_code%</strong>) est clot.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (3, '0000-00-00', '', '2006-07-12', 'Administrateur', 'INT_FAITF_XXX_CDG', '', 'INTERVENTION : Email envoy� vers le CDG (pour facturation) si intervention trait�e', 'Bonjour,<br /><br />L''intervention N&deg; <strong>%int_code%</strong> a &eacute;t&eacute; trait&eacute;e par l''agence <strong>%int_codeage%</strong>.<br /><br />Merci d''&eacute;tablir la facture et l''exp&eacute;dier au client.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (4, '0000-00-00', '', '2006-07-12', 'Administrateur', 'MAIL_PIED', '', 'Pied de chaque email', '---<font size="1"><em><br /></em><em>Cet email est transmis &agrave; titre priv&eacute;. Si vous n''&ecirc;tes pas le destinataire de ce message, merci de le retourner &agrave; l''exp&eacute;diteur et de le d&eacute;truire. </em></font>', 0);
INSERT INTO `smi_txt` VALUES (7, '0000-00-00', '', '2006-07-12', 'Administrateur', 'INT_CRE_XXX_CDG', '', 'INTERVENTION : Email envoy� vers le CDG suite � demande saisie par une agence', 'Bonjour,<br /><br />Nous vous signalons la saisie d''''une nouvelle demande d''intervention (N&deg;<strong> %int_code%</strong>) par l''agence <strong>%int_codeage%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (10, '0000-00-00', '', '2007-04-05', 'Administrateur', 'CLI_CRE_XXX_CLI', '', 'CLIENT : Email envoy� vers le client suite � création de son compte', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%cli_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong>  </blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers d''interventions et contrats sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nNous vous remercions encore de votre confiance.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (12, '0000-00-00', '', '2007-04-02', 'Administrateur', 'TEC_CRE_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers le technicien suite � création de son compte', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_tec%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%tec_code%</strong><br />\r\n<br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (13, '0000-00-00', '', '2007-04-02', 'Administrateur', 'TEC_CRE_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � création par une agence', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de l''agence <strong>%tec_codeage%</strong>.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (16, '0000-00-00', '', '2007-04-05', 'Administrateur', 'AGE_CRE_XXX_AGE', '', 'AGENCE : Email envoy� vers l''agence suite � création de son compte', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%age_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (19, '0000-00-00', '', '2006-07-12', 'Administrateur', 'TEC_LIC_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien par une agence', 'Bonjour,<br /><br />Nous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de l''agence <strong>%tec_codeage%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (21, '0000-00-00', '', '2007-04-05', 'Administrateur', 'OPE_CRE_XXX_OPE', '', 'OPERATEUR : Email envoy� vers l''op�rateur suite � création de son compte', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%ope_civilite% %ope_prenom% %ope_nom%</strong><br />\r\n%ope_adr1%<br />\r\n%ope_adr2%<br />\r\n%cp_ope% %ville_ope%<br />\r\nTel : %ope_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote> %civilite1M_ope%,</p>\r\n<p>C''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.<br />\r\n<br />\r\nVoici vos codes et mot de passe :  </p>\r\n<blockquote>Code de connexion : <strong>%ope_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (22, '2005-10-16', 'Administrateur', '2006-07-12', 'Administrateur', 'INT_FAITI_XXX_CDG', '', 'INTERVENTION : Email envoy� vers le CDG (pour info) si intervention trait�e', 'Bonjour,<br /><br />L''intervention N&deg; <strong>%int_code%</strong> a &eacute;t&eacute; trait&eacute;e par l''agence <strong>%int_codeage%</strong>.  <br /><br />La facture sera &eacute;tablie par l''agence.  <br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (24, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'AGE_MDP_XXX_AGE', '', 'AGENCE : Email envoy� vers l''agence suite � changement de MDP', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise &agrave;  jour de votre compte.  Voici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%age_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (25, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CDG_MDP_XXX_CDG', '', 'CENTRE DE GESTION : Email envoy� vers le CDG suite � changement de MDP par le CDG', '<p>Bonjour,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise &agrave; jour de votre compte.<br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :  </p>\r\n<blockquote>Code de connexion : <strong>%cge_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques et commerciaux sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (26, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'TEC_MDP_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers un technicien suite � changement de MDP', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote> %civilite1M_tec%,</p>\r\n<p>C''est avec plaisir que nous vous confirmons la mise &agrave; jour de votre compte.<br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :  </p>\r\n<blockquote>Code de connexion : <strong>%tec_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong>  </blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (29, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CLI_MDP_XXX_CLI', '', 'CLIENT : Email envoy� vers le client suite � changement de MDP', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise &agrave; jour de votre compte.<br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%cli_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers d''interventions et contrats sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nNous vous remercions encore de votre confiance.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (31, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'OPE_MDP_XXX_OPE', '', 'OPERATEUR : Email envoy� vers l''op�rateur suite � changement de MDP par le centre de gestion', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%ope_civilite% %ope_prenom% %ope_nom%</strong><br />\r\n%ope_adr1%<br />\r\n%ope_adr2%<br />\r\n%cp_ope% %ville_ope%<br />\r\nTel : %ope_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_tec%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise &agrave; jour de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :  </p>\r\n<blockquote>Code de connexion : <strong>%ope_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (35, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_CRE_XXX_CLI', '', 'CONTRAT : Email envoy� vers un client suite � création', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nBonjour,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous annon&ccedil;ons la mise en place de votre contrat (N&deg; <strong>%cocl_code%</strong>).  <br />\r\n<br />\r\nMerci de le t&eacute;l&eacute;charger, d''en contr&ocirc;ler l''exactitude (si ce n''&eacute;tait pas le cas, merci de nous le signaler), puis de l''imprimer, depuis votre espace client, sur notre site :  <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;) .<br />\r\n<br />\r\nEnsuite, merci de nous le retourner, en deux exemplaires originaux, paraph&eacute;s, tamponn&eacute;s, et sign&eacute;s, &agrave; l''adresse suivante :</p>\r\n<p>&nbsp;</p>\r\n<blockquote><strong>%cge_nom% Service Contrats Clients</strong> <br />\r\n%cge_adr1% <br />\r\n%cge_adr2% <br />\r\n%cp_cge% %ville_cge% .</blockquote>\r\n<p><br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (38, '2005-10-16', 'Administrateur', '2006-07-12', 'Administrateur', 'CLI_CRE_XXX_CDG', '', 'CLIENT : Email envoy� vers le CDG suite � création', 'Bonjour,<br /><br />Nous vous signalons la cr&eacute;ation d''un nouveau compte client (N&deg; <strong>%cli_code%</strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (39, '2005-10-16', 'Administrateur', '2006-07-12', 'Administrateur', 'CON_CRE_XXX_CDG', '', 'CONTRAT : Email envoy� vers le CDG suite � contrat saisi par l''administrateur', 'Bonjour,<br /><br />Nous vous signalons la saisie d''un nouveau contrat (N&deg; <strong>%cocl_code%</strong>).  <br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (40, '2005-10-16', 'Administrateur', '2006-07-12', 'Administrateur', 'AGE_CRE_XXX_CDG', '', 'AGENCE : Email envoy� vers le CDG suite � création', 'Bonjour,<br /><br />Nous vous signalons la cr&eacute;ation d''une nouvelle agence (N&deg;<strong> %age_code% </strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (41, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_CRE_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence suite � un nouveau contrat', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la saisie d''un nouveau contrat (N&deg; <strong>%cocl_code%</strong>, client %cli_code%).<br />\r\n<br />\r\nS''il s''agit d''un contrat &agrave; interventions programm&eacute;es, vous voudrez bien prendre contact avec le client afin de poser des dates de rendez-vous.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion.</p>', 0);
INSERT INTO `smi_txt` VALUES (45, '2005-10-19', 'Administrateur', '2006-08-21', 'Administrateur', 'CGV_MASTER', 'CONDITIONS GENERALES DE VENTE %cge_nom%', 'Texte master des conditions g�n�rales de vente globales', 'Les pr&eacute;sentes conditions g&eacute;n&eacute;rales de vente sont port&eacute;es &agrave; la connaissance du client par lien hypertexte sur la page d&rsquo;accueil du site %cge_nom%, en compl&eacute;ment des bons d&rsquo;intervention ou de commandes fournis au client par %cge_nom%, et dans les agences %cge_nom%.  <br /><br />En cons&eacute;quence, le fait de passer commande implique l&rsquo;adh&eacute;sion enti&egrave;re et sans r&eacute;serve du client &agrave; ces conditions g&eacute;n&eacute;rales de vente.<br /><br /><font size="5"><u><strong>I - Objet</strong></u></font><br /><br />%cge_nom% est une soci&eacute;t&eacute; de conseil, revente de mat&eacute;riel, maintenance, assistance, d&eacute;pannage et prestations de services informatiques.<br /><br />%cge_nom% commercialise &eacute;galement les pi&egrave;ces d&eacute;tach&eacute;es et mat&eacute;riels n&eacute;cessaires &agrave; l''ex&eacute;cution de sa mission.   <strong><br /><br /><font size="5"><u>II - Caract&eacute;ristiques des biens et services propos&eacute;s</u></font></strong><u><br /><br /><em>Nature et &eacute;tendue</em></u><em>  </em><br />%cge_nom% intervient sur demande expresse du client.  <br />La prestation de services de %cge_nom% est destin&eacute;e au maintien et/ou &agrave; la remise en &eacute;tat de fonctionnement de mat&eacute;riels informatiques, notamment suite &agrave; des types d''''incidents li&eacute;s &agrave; la manipulation de l''''ordinateur, &agrave; l''initialisation, &agrave; la mise en route, ou plus g&eacute;n&eacute;ralement au fonctionnement de l''ordinateur.  <br />Le client fournira les outils logiciels licenci&eacute;s ainsi que tous les documents du constructeur n&eacute;cessaires &agrave; l''''intervention.  <u><br /><br /><em>Limites</em></u><br />La prestation est d&ucirc;e par le client, inclus si la panne est due &agrave; un environnement physique non conforme aux sp&eacute;cifications du constructeur ou aux r&egrave;gles de s&eacute;curit&eacute;, &agrave; une utilisation anormale (volontaire ou non), &agrave; un &eacute;v&eacute;nement accidentel (incendie, inondation, foudre...), &agrave; un cas de force majeur (gr&egrave;ve, &eacute;meute) et/ou &agrave; une cause exon&eacute;ratoire (impossibilit&eacute; d''''acc&egrave;s &agrave; un local, conditions d&eacute;fectueuses d''''alimentation &eacute;lectrique...).<br />De m&ecirc;me la prestation est d&ucirc;e par le client si elle porte sur un mat&eacute;riel modifi&eacute;, sans que %cge_nom% en ait &eacute;t&eacute; pr&eacute;alablement avis&eacute;, sur un logiciel, si elle est engendr&eacute;e par une nouvelle version de logiciel ou si elle r&eacute;sulte du non respect des obligations du contrat (conditions d''''acc&egrave;s, sauvegarde des donn&eacute;es, paiement...).<br />Les d&eacute;lais d''''intervention sont donn&eacute;s &agrave; titre indicatif. Ils sont bas&eacute;s sur un d&eacute;lai moyen pr&eacute;visionnel. Le d&eacute;passement de ces d&eacute;lais ne peut donner lieu &agrave; aucunes retenues, indemnit&eacute;s ou p&eacute;nalit&eacute;s au b&eacute;n&eacute;fice du client.  Les d&eacute;lais indiqu&eacute;s sont en outre de plein droit suspendus par tout &eacute;v&eacute;nement ind&eacute;pendant de la volont&eacute; de la soci&eacute;t&eacute; et ayant pour cons&eacute;quence de retarder l''intervention.<br />En toute hypoth&egrave;se, l''intervention dans les d&eacute;lais ne peut intervenir que si le client est imp&eacute;rativement &agrave; jour de toutes ses obligations &agrave; l''&eacute;gard de %cge_nom%.   <u><br /><br /><em>Commandes de mat&eacute;riel</em></u><br />Du fait des lois et r&eacute;glementations, d''''erreur manifeste, de l''&eacute;volution rapide des produits informatiques ou des ruptures de stock, %cge_nom% peut apporter des modifications &agrave; une commande, sous r&eacute;serve que les produits de remplacement soient, si possible, de technologie et de prix sensiblement &eacute;quivalents, et en ayant pr&eacute;alablement pr&eacute;venu le client.<br />Toute commande accept&eacute;e ne peut &ecirc;tre r&eacute;solue que par accord express des deux parties, par d&eacute;cision de justice, par %cge_nom% seule dans le cas de factures rest&eacute;es impay&eacute;es malgr&eacute; une mise en demeure, ou dans le cas de reprise de mat&eacute;riel au titre de la r&eacute;serve de propri&eacute;t&eacute;.<br />Dans l''''hypoth&egrave;se o&ugrave; %cge_nom% accepterait une annulation de commande, acceptation qui devra se faire par &eacute;crit de %cge_nom%, le client paiera une indemnit&eacute; de 15% du montant de la commande annul&eacute;e.<br /><br /><em><u>Livraison de mat&eacute;riel</u></em><br />Le mat&eacute;riel, m&ecirc;me exp&eacute;di&eacute; franco, voyage aux risques et p&eacute;rils du client auquel il appartient de v&eacute;rifier l&rsquo;&eacute;tat des colis et de la marchandise &agrave; l&rsquo;arriv&eacute;e et d&rsquo;exercer, s&rsquo;il y a lieu, tous recours contre le transporteur. <br />Les marchandises ne sont assur&eacute;es que sur demande expresse du client.  Les r&eacute;clamations sur le vice apparent ou sur la non-conformit&eacute; du produit livr&eacute; au produit command&eacute; doivent &ecirc;tre formul&eacute;es par &eacute;crit dans les sept jours de la r&eacute;ception des produits.  Il appartient au client de fournir toutes justifications quant &agrave; la r&eacute;alit&eacute; des vices ou anomalies constat&eacute;s. <br />Il devra laisser &agrave; %cge_nom% toute facilit&eacute; pour proc&eacute;der &agrave; la constatation de ce vice et pour y porter rem&egrave;de.  Il s''abstiendra d''intervenir lui-m&ecirc;me ou de faire intervenir un tiers &agrave; cette fin.   <strong><br /><br /><font size="5"><u>III - Garantie</u></font></strong><br /><br />La seule garantie accord&eacute;e par %cge_nom% est celle attribu&eacute;e par chaque constructeur sur ses produits.  <br />Les produits devront &ecirc;tre retourn&eacute;s en port pay&eacute; par le client chez %cge_nom% ou bien au Service Apr&egrave;s Vente des soci&eacute;t&eacute;s assurant directement la garantie des produits concern&eacute;s.<br />L''utilisation des articles fournis se fait sous la responsabilit&eacute; exclusive du client &agrave; qui il appartient d''''assumer la direction et la surveillance des articles.  <br />Sont exclus de la garantie tous dommages r&eacute;sultant notamment d''''une mauvaise utilisation, d''une utilisation abusive des articles ou n&eacute;gligence du client, de la foudre, du non-respect des instructions d''installation ou d''exploitation, d''une intervention effectu&eacute;e sur les articles par un tiers non agr&eacute;&eacute; express&eacute;ment par le constructeur ou %cge_nom%, ainsi que tous dommages r&eacute;sultant de l''emploi de fournitures non agr&eacute;&eacute;es, de la force majeure ou du fait de tiers.<br />Toute r&eacute;clamation selon laquelle les articles seraient d&eacute;fectueux quant &agrave; leur mati&egrave;re ou &agrave; leur fabrication devra &ecirc;tre faite par &eacute;crit sans d&eacute;lai &agrave; %cge_nom% par le client et inclure toutes explications n&eacute;cessaires.  <br />Le client d&eacute;gage %cge_nom% de toute responsabilit&eacute; en cas de perte ou dommage r&eacute;sultant de l''emploi des donn&eacute;es, r&eacute;sultats, programmes ou de documents mis &agrave; sa disposition.  <br />A l''''&eacute;gard des tiers, le client fera son affaire personnelle de toute r&eacute;clamation.  Les accessoires et consommables ne sont pas couverts par une garantie, sauf d&eacute;faut manifeste de fabrication.   <strong><br /><br /><font size="5"><u>IV - R&eacute;serve de propri&eacute;t&eacute;</u></font></strong><u><br /><em><br />Mat&eacute;riel</em></u><em>  </em><br />Aux termes de la loi du 3 juillet 1985, %cge_nom% reste propri&eacute;taire des mat&eacute;riels d&eacute;sign&eacute;s par la facture jusqu''au complet paiement du prix de vente par le client, et ce pour toutes les ventes pr&eacute;sentes et futures.  A d&eacute;faut de paiement total ou partiel, %cge_nom% est en droit, sans formalit&eacute;s pr&eacute;alables et ind&eacute;pendamment de toute action judiciaire, d''exiger du client sans que celui-ci puisse s''y opposer, et &agrave; ses frais, la restitution du mat&eacute;riel. <br /><br /><em><u>Logiciel</u></em><br />Le client reconna&icirc;t sur les logiciels conc&eacute;d&eacute;s l''enti&egrave;re propri&eacute;t&eacute; des &eacute;diteurs, et se devra de respecter la l&eacute;gislation en vigueur et les conditions de licence des &eacute;diteurs.  Il lui est formellement interdit d''''en faire une quelconque copie, sauf &agrave; titre exclusif de sauvegarde.  Le client respectera et s''engage &agrave; faire respecter les droits d''auteur reconnus par le Code de la Propri&eacute;t&eacute; Intellectuelle.     <strong><br /><br /><font size="5"><u>V - Obligations</u></font></strong><font size="5"><u>  </u></font><br /><br />%cge_nom% s''engage &agrave; fournir la main d''&oelig;uvre et les pi&egrave;ces d&eacute;tach&eacute;es n&eacute;cessaires &agrave; l''accomplissement des prestations d&eacute;finies dans l''objet.  %cge_nom% a la facult&eacute; de sous-traiter tout ou partie de l''''ex&eacute;cution des travaux de maintenance ou commandes pass&eacute;es par le client.<br /><br /><font size="5"><u><strong>VI - Obligations du client</strong></u></font><br /><br />Le client s''engage &agrave; &eacute;tablir et entretenir un environnement physique du mat&eacute;riel conforme aux sp&eacute;cifications du constructeur et aux normes de s&eacute;curit&eacute;, &agrave; respecter les proc&eacute;dures d''''utilisation des mat&eacute;riels (accessoires, consommables...) et en particulier ne proc&eacute;der &agrave; aucune modification technique ou g&eacute;ographique, &agrave; fournir les consommables et accessoires n&eacute;cessaires aux intervenants de maintenance, &agrave; &ecirc;tre pr&eacute;sent lors de l''intervention pendant toute sa dur&eacute;e et constater la fin de celle-ci, sauvegarder les informations contenues dans le mat&eacute;riel (donn&eacute;es, programme, fichier...) pr&eacute;alablement &agrave; toute intervention, &agrave; tenir &agrave; disposition la documentation technique remise par le constructeur et, en cas de panne, tenter de reconstituer l''historique de l''apparition et du constat de celle-ci.  <br /><strong><br /><font size="5"><u>VII - Exon&eacute;ration de responsabilit&eacute;s</u></font></strong><br /><br />Le client est inform&eacute; que l''intervention de %cge_nom%, comme sa propre intervention entra&icirc;ne la perte garantie constructeur &agrave; laquelle ne se substitue pas une garantie de %cge_nom%.<br />Le client reconna&icirc;t express&eacute;ment et sans contestation possible l''exon&eacute;ration totale de %cge_nom% de ce fait.<br />De convention expresse entre les parties, %cge_nom% n''''est soumise, au titre des pr&eacute;sentes, qu''&agrave; une obligation de moyens, et non pas de r&eacute;sultat.  En aucun cas, %cge_nom%, ne peut &ecirc;tre tenu pour responsable des dommages directs et indirects et/ou mat&eacute;riel et immat&eacute;riels de dommages li&eacute;s &agrave; un retard de livraison, de dommages li&eacute;s &agrave; une non-conformit&eacute; aux besoins du client ou de dommages dus &agrave; une cause ind&eacute;pendante de l''intervention de %cge_nom%.<br />%cge_nom% a souscrit une police d''''assurance de responsabilit&eacute; civile couvrant les cons&eacute;quences p&eacute;cuniaires pouvant lui incomber en raison des dommages corporels et mat&eacute;riels caus&eacute;s au client, ou &agrave; des tiers, par son personnel au cours de l''''ex&eacute;cution de son intervention.  La responsabilit&eacute; de %cge_nom% ne porte que sur le non respect de ses obligations.<br />En aucun cas %cge_nom% ne  pourra &ecirc;tre tenu responsable d''un pr&eacute;judice financier ou commercial, ou m&ecirc;me d''une autre  nature caus&eacute; directement ou indirectement par l''''utilisation ou le fonctionnement du mat&eacute;riel.<strong><br /><br /><font size="5"><u>VIII - Conditions financi&egrave;res</u></font></strong><br /><br />Les tarifs des interventions sont stipul&eacute;es en H.T. pour les soci&eacute;t&eacute;s et en T.T.C. pour les particuliers, sans aucun escompte. Ils sont ceux en vigueur au moment de la prise de commande.  Une &eacute;ventuelle remise peut toujours &ecirc;tre modifi&eacute;e ou annul&eacute;e pour toute nouvelle commande, et uniquement par &eacute;crit de %cge_nom%.  <br /><br /><em><u>Modalit&eacute;s de facturation et de r&egrave;glement</u></em><br />Les d&eacute;lais et modalit&eacute;s de paiement sont fix&eacute;s unilat&eacute;ralement par %cge_nom% comme suit pour les particuliers et professions lib&eacute;rales, le jour m&ecirc;me &agrave; l''issue de la mission et directement &agrave; l''intervenant par ch&egrave;que.  <br />Un acompte peut &ecirc;tre demand&eacute; au client lors du d&eacute;p&ocirc;t ou de l''enl&egrave;vement de son mat&eacute;riel.  <br />Tout retard de paiement entra&icirc;ne des frais financiers au taux de base bancaire +5%, l''application d''une clause p&eacute;nale &eacute;gale &agrave; 10% du montant hors taxe de la facture, et l''exigibilit&eacute; imm&eacute;diate de toutes les factures non encore &eacute;chues.  <br />De plus tout incident bancaire entra&icirc;ne le paiement par le client des frais bancaires support&eacute;s par %cge_nom% plus 2% du montant de l''impay&eacute; correspondant aux frais de gestion.  <br />Toute inex&eacute;cution totale ou partielle de l''une de ces obligations entra&icirc;ne l''exigibilit&eacute; imm&eacute;diate de toutes les sommes encore dues &agrave; quelque titre que ce soit, l''annulation des &eacute;ventuelles remises accord&eacute;es ainsi que la suspension de toute livraison.  <br />Le r&egrave;glement est fait en globalit&eacute;, d&egrave;s ach&egrave;vement de l''intervention, sauf accord pr&eacute;alable par &eacute;crit de %cge_nom%, par ch&egrave;que ou esp&egrave;ces directement aux techniciens sur place, ou tout moyen de paiement l&eacute;gal si en agence %cge_nom%.  <br />Une facture est ensuite envoy&eacute;e par courrier au client.  <br />Toute intervention donne lieu &agrave; une facturation minimale d''une heure.  Tout rendez-vous non annul&eacute; par &eacute;crit 48 heures avant l''intervention donne lieu &agrave; la facturation minimale.   <br /><br /><font size="5"><u><strong>X - Propri&eacute;t&eacute; intellectuelle</strong></u></font><br /><br />Tous les &eacute;l&eacute;ments de %cge_nom% sont et restent la propri&eacute;t&eacute; intellectuelle et exclusive de %cge_nom%.  Personne n''est autoris&eacute; &agrave; reproduire, exploiter, rediffuser, ou utiliser &agrave; quelque titre que ce soit, m&ecirc;me partiellement, des &eacute;l&eacute;ments du site qu''ils soient logiciels, visuels ou sonores.<br />Tout lien simple ou par hypertexte est strictement interdit sans un accord &eacute;crit de %cge_nom%.  <br /><br /><font size="5"><u><strong>XI - Attribution de comp&eacute;tence</strong></u></font><br /><br />Les pr&eacute;sentes conditions sont r&eacute;gies par le droit fran&ccedil;ais. En cas d''&eacute;chec d''une proc&eacute;dure de conciliation amiable, tout litige d&eacute;coulant des pr&eacute;sentes conditions est de la comp&eacute;tence exclusive du Tribunal de Commerce de %cge_tcom%, nonobstant la pluralit&eacute; de d&eacute;fenseurs ou appel en garantie.  <br /><br /><font size="5"><u><strong>XII- Loi informatique et libert&eacute;</strong></u></font><br /><br />Conform&eacute;ment &agrave; la loi informatique et libert&eacute; du 6 janvier 1978, le client dispose d''''un droit d''acc&egrave;s et de rectification aux donn&eacute;es le concernant.  Ces donn&eacute;es ont pu &ecirc;tre communiqu&eacute;es &agrave; des entreprises tiers et le client peut donc &ecirc;tre amen&eacute; &agrave; recevoir de ces soci&eacute;t&eacute;s des propositions commerciales.  <br />S''il ne le souhaite pas, il lui suffit d''&eacute;crire &agrave; %cge_nom% en indiquant ses nom, pr&eacute;noms, adresse, adresse e-mail afin que %cge_nom% puisse faire le n&eacute;cessaire dans les meilleurs d&eacute;lais ou de s''''inscrire sur la liste &quot;Robison Stop-publicit&eacute;&quot; en &eacute;crivant &agrave; l''''UFMD, 60 rue de la Bo&eacute;tie, 75008 Paris.', 0);
INSERT INTO `smi_txt` VALUES (46, '2005-10-21', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_AR_XXX_CLI', '', 'CONTRAT : Email envoy� vers un client pour accuser r�ception', '%logo_cge%<strong><br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%</strong><br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,<br />\r\n<br />\r\nC''est avec plaisir que nous accusons r&eacute;ception de votre contrat sign&eacute; (N&deg; <strong>%cocl_code%</strong>).<br />\r\n<br />\r\nIl est activ&eacute; d&egrave;s aujourd''hui.  <br />\r\n<br />\r\nVous pouvez le suivre en temps r&eacute;el sur notre site :  <a href="http://%cge_web%">%cge_web%</a>   .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er,&nbsp; %civilite1M_cli%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>\r\n<p>&nbsp;</p>', 0);
INSERT INTO `smi_txt` VALUES (47, '2005-10-21', 'Administrateur', '2006-07-12', 'Administrateur', 'CON_AR_XXX_CDG', '', 'CONTRAT : Email envoy� vers le CDG pour accus� de r�ception', 'Bonjour,<br /><br />Nous vous signalons la r&eacute;ception d''un contrat sign&eacute; (N&deg; <strong>%cocl_code%</strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (48, '2005-10-21', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_AR_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence suite � accus� de r�ception', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la r&eacute;ception d''un contrat sign&eacute; (N&deg; <strong>%cocl_code%</strong>).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (49, '2005-10-19', 'Administrateur', '2007-04-02', 'Administrateur', 'CON_CGV_MASTER', '', 'CONTRATS : Texte master des conditions g�n�rales de vente', '<p>Les soussign&eacute;es :</p>\r\n<blockquote><strong>%age_nom%</strong><br />\r\n%age_adr1%   <br />\r\n%age_adr2%   <br />\r\n%cp_age% %ville_age%<br />\r\n%age_rcs%    </blockquote>\r\n<p><br />\r\nappel&eacute;e le &quot;PRESTATAIRE&quot;, d''une part,  et</p>\r\n<blockquote><strong>%cli_ste%</strong><br />\r\n%cli_adr1%   <br />\r\n%cli_adr2%   <br />\r\n%cp_cli% %ville_cli%<br />\r\n%cli_rcs%    </blockquote>\r\n<p><br />\r\nappel&eacute;e le &quot;CLIENT&quot;, d''autre part,  ont convenus de ce qui suit :<br />\r\n<br />\r\n<font size="5"><u><strong>Article I : Objet du contrat</strong></u></font><br />\r\n<br />\r\n1.1. Le pr&eacute;sent contrat a pour objet de d&eacute;finir l''ensemble des conditions qui s''appliqueront &agrave; toute prestation d''assistance technique dont le client est susceptible de commander l''ex&eacute;cution au prestataire pendant la dur&eacute;e d&eacute;finie au pr&eacute;sent contrat. <br />\r\n1.2. Le pr&eacute;sent contrat a pour objet la t&eacute;l&eacute;maintenance des logiciels et syst&egrave;mes des mat&eacute;riels d&eacute;crits dans l''annexe A. <br />\r\n1.3. Ce document d&eacute;finit les modalit&eacute;s du contrat de maintenance des &eacute;quipements et des ordinateurs install&eacute;s &agrave; l''adresse du client. <br />\r\n1.4. Il est pr&eacute;cis&eacute; que cette assistance ne comprend pas la maintenance ou le remplacement des supports magn&eacute;tiques et consommables tels que disques, cartouches, disquettes, cartouches d''encre, toners, ni les interventions sur site ou en atelier du prestataire. <br />\r\n1.5.Le forfait comprend une maintenance pr&eacute;ventive, curative et &eacute;volutive</p>\r\n<blockquote><em><u>Maintenance pr&eacute;ventive</u></em><br />\r\nElle consiste en un contr&ocirc;le des applications et syst&egrave;mes, et leur bonne utilisation. L''entretien logiciel lors de cette intervention consistera &agrave; &eacute;liminer des fichiers temporaires et inutiles (avec le personnel), &agrave; nettoyer les disques contre les virus informatiques (si v&eacute;rification), la validit&eacute; des antivirus, et &agrave; r&eacute;organiser et optimiser les syst&egrave;mes et logiciels. <br />\r\n<br />\r\n<em><u>Maintenance curative</u></em><br />\r\nElle sera appliqu&eacute;e dans la mesure o&ugrave; le syst&egrave;me pr&eacute;sente des anomalies de fonctionnement ou lorsque la panne est de la responsabilit&eacute; du client (probl&egrave;mes d''alimentation &eacute;lectrique, panne d''onduleur, erreur d''exploitation...).<br />\r\nElle comprend :<br />\r\n<blockquote>L''assistance t&eacute;l&eacute;phonique o&ugrave; le client suit les indications donn&eacute;es par t&eacute;l&eacute;phone;<br />\r\nLa connexion par t&eacute;l&eacute;maintenance (uniquement si possible) pour le diagnostic et la r&eacute;paration de tous les probl&egrave;mes logiciels et syst&egrave;mes. </blockquote>  <br />\r\n<em><u>Maintenance &eacute;volutive</u></em><br />\r\nElle comprend :  <br />\r\n<blockquote>Les am&eacute;liorations li&eacute;es aux &eacute;volutions de l''environnement technique ou de la normalisation ;<br />\r\nL''installation de nouvelles fonctionnalit&eacute;s, mises &agrave; jours logicielles.</blockquote>  </blockquote>\r\n<p><br />\r\n<u><font size="5"><strong>Article II : Entretien</strong></font></u><br />\r\n<br />\r\n2.1. Le prestataire assurera un contr&ocirc;le afin de v&eacute;rifier la bonne marche des logiciels et syst&egrave;mes et effectuera &agrave; cette occasion les op&eacute;rations d''entretien courant &eacute;ventuellement n&eacute;cessaires. Le technicien charg&eacute; de l''entretien proc&eacute;dera aux v&eacute;rifications, r&eacute;glages, optimisations des logiciels et syst&egrave;mes.<br />\r\n2.2. La p&eacute;riodicit&eacute; de ces connexions de contr&ocirc;le sera fix&eacute;e par le prestataire en fonction des n&eacute;cessit&eacute;s techniques.<br />\r\n<br />\r\n<u><font size="5"><strong>Article III : D&eacute;pannage</strong></font></u><br />\r\n<br />\r\n3.1. Sur appel motiv&eacute; du client signalant une anomalie de fonctionnement ou une panne, ou sur p&eacute;riode pr&eacute;alablement &eacute;tablie, le prestataire se connectera pour d&eacute;panner les logiciels et syst&egrave;mes dans les d&eacute;lais les plus brefs. <br />\r\n3.2. Les interventions auront lieu dans les %cocl_delai% heures suivant l''appel du client. <br />\r\n3.3. Une assistance &agrave; distance est propos&eacute;e pour les probl&egrave;mes de mat&eacute;riel. <br />\r\nCette assistance est propos&eacute;e pendant les horaires d''ouverture de l''agence %age_nom%, soit : %age_heures%. <br />\r\n<br />\r\n<u><font size="5"><strong>Article IV : Exclusions</strong></font></u><br />\r\n<br />\r\nSont exclues du pr&eacute;sent contrat et donneront lieu &agrave; une facturation s&eacute;par&eacute;e les interventions dues aux faits suivants :</p>\r\n<ul>\r\n    <li>Non-respect des normes d''entretien par le client,</li>\r\n    <li>Utilisation anormale ayant entra&icirc;n&eacute; des d&eacute;g&acirc;ts ou accidents, n&eacute;gligence ou faute du personnel du client,</li>\r\n    <li>Adjonctions ou connexions de mat&eacute;riel ou d''unit&eacute; d''une autre marque,</li>\r\n    <li>Modifications des sp&eacute;cifications de la machine,</li>\r\n    <li>Utilisation de fournitures autres que celles pr&eacute;conis&eacute;es par le prestataire,</li>\r\n    <li>Variations ou d&eacute;faillances du courant &eacute;lectrique ou pannes t&eacute;l&eacute;phoniques,</li>\r\n    <li>Modifications du logiciel provoquant un mauvais fonctionnement, programmation incorrecte,</li>\r\n    <li>D&eacute;faillance de la climatisation ou du contr&ocirc;le hygrom&eacute;trique,</li>\r\n    <li>R&eacute;parations ou entretien effectu&eacute;s par des personnes &eacute;trang&egrave;res au prestataire,</li>\r\n    <li>D&eacute;placement ou transport du mat&eacute;riel,</li>\r\n    <li>Usage anormalement intensif du mat&eacute;riel.</li>\r\n</ul>\r\n<p><br />\r\n<strong><u><font size="5">Article V : Registre des anomalies</font></u><br />\r\n</strong>Le client devra tenir un registre sur lequel il devra consigner toutes les anomalies, incidents ou pannes concernant le mat&eacute;riel; il devra, en outre, indiquer dans ce registre tous les faits ayant entra&icirc;n&eacute; ou susceptibles d''entra&icirc;ner une anomalie dans le bon fonctionnement. <br />\r\n<br />\r\n<font size="5"><u><strong>Article VI : Acc&egrave;s au mat&eacute;riel</strong></u></font><br />\r\n<br />\r\n6.1. Le client s''engage &agrave; laisser au personnel employ&eacute; par le prestataire le libre acc&egrave;s par t&eacute;l&eacute;maintenance au mat&eacute;riel couvert par le pr&eacute;sent contrat; il lui laissera un acc&egrave;s complet, lui assurera l''assistance n&eacute;cessaire, et devra notamment mettre &agrave; sa disposition les op&eacute;rateurs et le mat&eacute;riel n&eacute;cessaires &agrave; l''ex&eacute;cution des travaux de r&eacute;paration.<br />\r\n6.2. Les interventions seront effectu&eacute;es par les techniciens d&eacute;l&eacute;gu&eacute;s par le prestataire, pendant les heures normales de travail ouvrables (%age_heures).<br />\r\nSi les interventions sont effectu&eacute;es en dehors des heures normales de travail, ou les samedis, dimanches ou jours f&eacute;ri&eacute;s, les d&eacute;placements et interventions seront factur&eacute;s en sus, suivant les tarifs en vigueur. <br />\r\n6.3. Au cas o&ugrave; le technicien du prestataire ne pourrait avoir acc&egrave;s par t&eacute;l&eacute;maintenance au mat&eacute;riel du fait du client, le temps pass&eacute; par le technicien serait alors factur&eacute; en suppl&eacute;ment.<br />\r\n<br />\r\n<font size="5"><u><strong>Article VII : Obligations du client</strong></u></font><br />\r\n<br />\r\n7.1. Le client s''engage &agrave; respecter les conditions normales d''utilisation du mat&eacute;riel et &agrave; appliquer strictement toutes les instructions donn&eacute;es par le prestataire.<br />\r\n7.2. Le mat&eacute;riel, les &eacute;quipements et leur installation devront &ecirc;tre conformes aux normes fournies par le prestataire, ainsi que le local, les installations &eacute;lectriques et les supports d''information. <br />\r\n7.3. Le mat&eacute;riel et son param&eacute;trage ne pourront &ecirc;tre modifi&eacute;s, d&eacute;plac&eacute;s, r&eacute;par&eacute;s par des tiers sans l''autorisation pr&eacute;alable &eacute;crite du prestataire.<br />\r\n7.4. Les fournitures utilis&eacute;es avec le mat&eacute;riel (papier, bandes, disquettes...) devront correspondre strictement aux fournitures agr&eacute;&eacute;es par le prestataire.<br />\r\nEn cas de non-respect de l''une des dispositions du contrat ou des obligations pr&eacute;cis&eacute;es, le prestataire pourra mettre fin au pr&eacute;sent contrat en respectant un pr&eacute;avis d''un mois.<br />\r\n<br />\r\n<u><font size="5"><strong>Article VIII : Limitation de responsabilit&eacute;</strong></font></u><br />\r\n<br />\r\n8.1. Le prestataire sera d&eacute;gag&eacute; de toute responsabilit&eacute; en cas d''inobservation par le client d''une des clauses du pr&eacute;sent contrat, ou en cas de survenance de l''un des faits pr&eacute;vus dans le chapitre &quot; exclusions &quot;.<br />\r\n8.2. Le prestataire ne pourra en aucun cas &ecirc;tre consid&eacute;r&eacute; comme responsable des dommages directs ou indirects r&eacute;sultant de l''utilisation du mat&eacute;riel et des logiciels, y compris en cas de pertes de donn&eacute;es ou d''information. Le client s''engage &agrave; se pr&eacute;munir contre ces risques en effectuant au minimum une sauvegarde quotidienne de l''ensemble des informations.<br />\r\n8.3. Le prestataire ne pourra &ecirc;tre rendu responsable des pannes ou anomalies de fonctionnement du mat&eacute;riel, quelle que puisse &ecirc;tre la dur&eacute;e de la panne ou de l''immobilisation avant la remise en marche normale.<br />\r\n8.4. Enfin, la responsabilit&eacute; du prestataire ne pourra &ecirc;tre recherch&eacute;e en cas de force majeure, ou pour d''autres motifs ind&eacute;pendants de sa volont&eacute; tels que gr&egrave;ves, interruptions du travail, retard des prestataires, sinistres ou accidents, interruptions de communication internet ou t&eacute;l&eacute;phonique, conflits, piratage de r&eacute;seau ou d''informations.<br />\r\n8.5. En toute hypoth&egrave;se, si la responsabilit&eacute; du prestataire est engag&eacute;e, l''indemnisation qui pourrait lui &ecirc;tre r&eacute;clam&eacute;e est limit&eacute;e au montant de la redevance per&ccedil;ue par le prestataire au titre de la p&eacute;riode de douze mois en cours.<strong><br />\r\n<br />\r\n<font size="5"><u>Article IX : Dur&eacute;e du contrat</u></font></strong><br />\r\n<br />\r\n9.1. Le pr&eacute;sent contrat est conclu &agrave; compter du %cocl_dated%, jusqu''au %cocl_datef%.<br />\r\n9.2. Il se poursuivra ensuite par tacite reconduction par p&eacute;riodes d''un an, sauf d&eacute;nonciation par l''une ou l''autre des parties, en respectant un pr&eacute;avis de %cocl_preavis% jours au moins avant la fin de la p&eacute;riode en cours, notifi&eacute;e par lettre recommand&eacute;e AR.<strong><br />\r\n<br />\r\n<font size="5"><u>Article X : Prix</u></font></strong><br />\r\n<br />\r\n10.1. Le montant HT, de la maintenance telle que pr&eacute;vue dans le pr&eacute;sent contrat est fix&eacute; dans l''annexe B.<br />\r\nCe prix ne concerne que le mat&eacute;riel figurant en annexe A.<br />\r\nEn cas de modification ou d''adjonction de mat&eacute;riel, le prix serait modifi&eacute; en cons&eacute;quence.<br />\r\n10.2. Le prix est pr&eacute;vu pour un mat&eacute;riel utilis&eacute; par une seule &eacute;quipe de personnel.<br />\r\n10.3. Ce tarif pourra &ecirc;tre r&eacute;vis&eacute; ou modifi&eacute; par le prestataire dans le cadre des lois et r&egrave;glements en vigueur en respectant un pr&eacute;avis d''un mois. <br />\r\nPendant le mois qui suivra la notification du nouveau prix, le client aura la possibilit&eacute; de r&eacute;silier le pr&eacute;sent contrat; faute par lui de le faire, la notification de prix s''appliquera &agrave; la date pr&eacute;vue.<br />\r\n<br />\r\n<u><font size="5"><strong>Article XI : Conditions de paiement</strong></font></u><br />\r\n<br />\r\n11.1. Le co&ucirc;t de la maintenance est factur&eacute; d''avance chaque ann&eacute;e.<br />\r\n11.2. Les frais suppl&eacute;mentaires sont factur&eacute;s d&egrave;s qu''ils ont &eacute;t&eacute; expos&eacute;s.<br />\r\n11.3. Les factures sont payables &agrave; r&eacute;ception, net, comptant, sans escompte.<br />\r\n<br />\r\n<font size="5"><u><strong>Article XII : Attribution de juridiction</strong></u></font><br />\r\n<br />\r\nLes pr&eacute;c&eacute;dentes conditions ainsi que les actes qui en seront la cons&eacute;quence sont soumis au droit fran&ccedil;ais. Pour tout litige susceptible de survenir, l''attribution expresse de juridiction est faite aux tribunaux de %age_tcom%.<br />\r\n<br />\r\nFait en autant d''exemplaires que de parties aux pr&eacute;sentes, &agrave; %age_tcom% le %cocl_datesig%<br />\r\n<br />\r\n<strong>Pour le prestataire :</strong> <br />\r\n<em>Nom, pr&eacute;nom (Lettres capitales), qualit&eacute;, signature, et tampon</em><br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n<strong>Pour le client :</strong> <br />\r\n<em>Nom, pr&eacute;nom (Lettres capitales), qualit&eacute;, signature, et tampon</em><br />\r\n<br />\r\n<br />\r\n<br />\r\n<br />\r\n</p>\r\n<p>\r\n<div style="page-break-after: always;"><span style="display: none;">&nbsp;</span></div>\r\n</p>\r\n<div align="center"><strong><font size="5"><u>ANNEXE A</u></font></strong></div>\r\n<p>%cocl_matos%</p>\r\n<br />\r\n<em>Les appareils objet du contrat doivent &ecirc;tre en bon &eacute;tat de fonctionnement &agrave; la date du d&eacute;part du contrat.</em>\r\n<p>&nbsp;</p>\r\n<div style="page-break-after: always;"><span style="display: none;">&nbsp;</span></div>\r\n<div align="center"><strong><font size="5"><u>ANNEXE B</u></font></strong><br /></div>\r\n<p>Montant hors taxes du contrat : %cocl_pvht%&euro;</p>', 0);
INSERT INTO `smi_txt` VALUES (50, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_REL_XXX_CLI', '', 'CONTRAT : Email renvoy� vers un client si contrat pas retourn�', '%logo_age%<strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%</strong><br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,<br />\r\n<br />\r\nNous n''avons pas accus&eacute; r&eacute;ception du contrat N&deg;<strong>%cocl_code%</strong> qui vous a &eacute;t&eacute; envoy&eacute; le %cocl_dateenv%.<br />\r\n<br />\r\nPouvez-vous faire le n&eacute;cessaire pour nous le retourner tamponn&eacute;, paraph&eacute;, et sign&eacute; en deux exemplaires originaux, sous les meilleurs d&eacute;lais ? <br />\r\n<br />\r\nSi vous le souhaitez, vous pouvez le charger directement sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .</p>\r\n<p>Si toutefois ce contrat avait d&eacute;j&agrave; &eacute;t&eacute; retourn&eacute;, nous vous demandons de nous contacter au %age_telf%.</p>\r\n<p>Nous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (51, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_MOD_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence suite � modification', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la mise &agrave; jour du contrat N&deg; <strong>%cocl_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (52, '2005-10-16', 'Administrateur', '2006-07-12', 'Administrateur', 'CON_MOD_XXX_CDG', '', 'CONTRAT : Email envoy� vers le CDG suite � modification', 'Bonjour,<br /><br />Nous vous signalons la mise &agrave; jour du contrat N&deg; <strong>%cocl_code%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (53, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_MOD_XXX_CLI', '', 'CONTRAT : Email envoy� vers un client suite � MAJ', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous annon&ccedil;ons la modification de votre contrat (N&deg; <strong>%cocl_code%</strong>).<br />\r\n<br />\r\nVous pouvez le suivre en temps r&eacute;el sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (54, '2005-12-05', 'Administrateur', '2006-07-12', 'Administrateur', 'AGE_MOD_XXX_CDG', '', 'AGENCE : Email envoy� vers le CDG suite � modification', 'Bonjour,<br /><br />Nous vous signalons la modification de l''agence N&deg;<strong> %age_code% </strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (55, '2005-12-05', 'Administrateur', '2006-07-12', 'Administrateur', 'TEC_MOD_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � modification par une agence', 'Bonjour,<br /><br />Nous vous signalons la modification d''un compte technicien (N&deg; <strong>%tec_code%</strong>) au sein de l''agence <strong>%tec_codeage%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (56, '2005-12-05', 'Administrateur', '2006-07-12', 'Administrateur', 'CLI_MOD_XXX_CDG', '', 'CLIENT : Email envoy� vers le CDG suite � modification', 'Bonjour,<br /><br />Nous vous signalons la modification d''un client (compte N&deg; <strong>%cli_code%</strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (57, '2005-12-06', 'Administrateur', '2007-04-05', 'Administrateur', 'CDG_CRE_XXX_CDG', '', 'CENTRE DE GESTION : Email envoy� vers le CDG suite � création par l''admin', '<p>Bonjour,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.<br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%cge_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.<br />\r\n<br />\r\nL''administrateur du site <a href="http://%cge_web%">%cge_web%</a></p>', 0);
INSERT INTO `smi_txt` VALUES (58, '2005-12-06', 'Administrateur', '2007-04-02', 'Administrateur', 'TEC_DEL_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � suppression par une agence', '<p>Bonjour,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de l''agence <strong>%tec_codeage%</strong>.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (59, '2005-12-15', 'Administrateur', '2007-04-05', 'Administrateur', 'INT_CRE_XXX_CLI', '', 'CLIENT : Email envoy� vers le client suite � création d''une intervention', '<p>%logo_age%<br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%cli_ste%<br />\r\n%cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli%<br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise en place de votre intervention <em><strong>%int_code%</strong></em>.  <br />\r\n<br />\r\nVous pouvez d''ores et d&eacute;j&agrave; vous connecter sur notre site <a href="http://%cge_web%">%cge_web%</a>  (menu &quot;Espace priv&eacute;&quot;) pour suivre ce dossier.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre technique</p>', 0);
INSERT INTO `smi_txt` VALUES (60, '2005-12-22', 'Administrateur', '2006-02-10', 'Administrateur', 'CGV_SAV', '', 'Texte des conditions g�n�rales de vente SAV', 'Le client certifie que le mat�riel ci-dessus indiqu� n''a pas �t� ouvert ou modifi� par du personnel non qualifi�, et que ce mat�riel n''a subit aucun dommage pouvant annuler une garantie constructeur. Au cas o� le mat�riel serait sous garantie, g�rable par <B>%age_nom%</B>, le client s''engage � fournir une copie de sa facture d''achat et accepte, s''il ne peut pas la fournir, que ce mat�riel ne soit pas trait� sous garantie. Le client s''engage � fournir tout logiciel original, documentation, connectique, et accessoires, codes et mots de passes permettant � la soci�t� <B>%age_nom%</B> de remettre son mat�riel en �tat de fonctionnement. La soci�t� <B>%age_nom%</B> ne saurait �tre tenue pour responsable de retard en cas de manque ou d''erreur dans les �l�ments sus-cit�s ou, dans le cas d''un changement de pi�ce, d''un retard de livraison ou d''une rupture de stock d''un de ses fournisseurs. <B>%age_nom%</B> ne saurait �tre tenue pour responsable des �ventuelles pertes de donn�es durant la r�paration. En cas de r�paration atelier, d�s que le client a �t� pr�venu, il s''engage � r�cup�rer ou a demander la remise en place de son mat�riel dans les 6 jours ouvr�s suivant la date o� il aura �t� pr�venu. Pass� ce d�lai, <B>%age_nom%</B> se r�serve le droit de facturer des frais de garde et d''assurance. En cas de r�paration sur site sous contrat, le client s''engage � fournir au pr�alable copie de son contrat de maintenance, faute de quoi il reconnait devoir les frais de d�placement et d''intervention. Les frais de livraison ou de retour du mat�riel restent � la charge du client. Toutes les prestations seront effectu�es aux tarifs en vigueur, dont le client reconnait avoir pris connaissance. Toute intervention n''ayant pu s''effectuer du fait du client ou dont l''annulation n''a pas �t� signal�e au moins 3 jours ouvr�s � l''avance se verra factur�e au forfait minimum en vigueur sur la zone de d�placement du client. Si, suite � un devis de r�paration refus�, le client ne souhaite pas r�cup�rer son mat�riel, ou s''il ne souhaite pas, en cas de r�paration effectu�e, conserver ses anciennes pi�ces, <B>%age_nom%</B> se r�serve le droit de facturer des frais de recherche et/ou des frais de destruction du mat�riel ou des pi�ces. Le client accepte ces conditions sans r�serve.', 0);
INSERT INTO `smi_txt` VALUES (61, '0000-00-00', '', '2007-04-05', 'Administrateur', 'INT_FAIT_XXX_CLI', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre dossier d''intervention (<strong>N&deg; %int_code%</strong>) est r&eacute;solu.  <br />\r\n<br />\r\nLe montant de votre r&eacute;paration est de <em><strong>%total%&euro;</strong></em>.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nSi vous ne l''avez pas d&eacute;j&agrave; fait, vous pouvez prendre contact avec notre agence <strong>%age_nom%</strong> (<em>horaires : %age_heures%</em>), au <strong>%age_telf%</strong>, pour la livraison de votre mat&eacute;riel, ou simplement passer le r&eacute;cup&eacute;rer.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (63, '2005-10-16', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_REN_XXX_CLI', '', 'CONTRAT : Email renvoy� vers un client si contrat � �ch�ance', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nVotre contrat N&deg;<strong>%cocl_code%</strong> arrive &agrave; &eacute;ch&eacute;ance le %cocl_datef%.<br />\r\n<br />\r\nConform&eacute;ment aux dispositions de l''article IX, nous vous proposons de le renouveller &agrave; des tarifs pr&eacute;f&eacute;rentiels.  <br />\r\n<br />\r\nN''h&eacute;sitez pas &agrave; contacter votre agence %age_nom% au %age_telf% afin de profiter de cette offre exceptionnelle.  <br />\r\n<br />\r\nDans l''attente de votre appel et vous remerciant encore de votre confiance,  <br />\r\n<br />\r\nNous vous prions d''agr&eacute;er, %civilite1M_cli%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (65, '2006-01-17', 'Administrateur', '2006-07-12', 'Administrateur', 'DDE_CRE_PRI_XXX', '', 'DEMANDE : Email envoy� vers le destinataire suite � demande PRIVEE', 'Bonjour,<br /><br />Un nouveau message depuis l''espace <strong>priv&eacute;</strong> vous a &eacute;t&eacute; exp&eacute;di&eacute; le %dde_datecrea%.  <br /><br />En voici le d&eacute;tail :<br />&nbsp;====================================  <br /><strong>OBJET :</strong> <br />%ddet_desc%  <strong><br />Exp&eacute;diteur :</strong> <br />%dde_ste% <br />%dde_civilite% %dde_prenom% %dde_nom% <br />%dde_adr1% <br />%dde_adr2% <br />%cp_dde% %ville_dde% <br />Tel. : %dde_telf% <br />Fax : %dde_fax% <br />Por : %dde_telp%  <strong><br />Email :</strong> <a href="mailto:%dde_email%">%dde_email%</a>    <br /><strong>Message :</strong> %dde_txtdde%  <br />====================================  <br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (66, '2006-01-17', 'Administrateur', '2006-07-12', 'Administrateur', 'DDE_CRE_PUB_XXX', '', 'DEMANDE : Email envoy� vers le destinataire suite � demande PUBLIQUE', 'Bonjour,<br /><br />Un nouveau message depuis l''espace <strong>publique</strong> vous a &eacute;t&eacute; exp&eacute;di&eacute; le %dde_datecrea%.  <br /><br />En voici le d&eacute;tail :<br />&nbsp;====================================  <br /><strong>OBJET :</strong> <br />%ddet_desc%  <strong><br />Exp&eacute;diteur :</strong> <br />%dde_ste%<br />%dde_civilite% %dde_prenom% %dde_nom%<br />%dde_adr1%<br />%dde_adr2%<br />%cp_dde% %ville_dde%<br />Tel. : %dde_telf%<br />Fax : %dde_fax%<br />Por : %dde_telp%  <strong><br />Email :</strong> <a href="mailto:%dde_email%">%dde_email%</a>   <strong><br />Message :</strong> %dde_txtdde%  <br />====================================<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (68, '2006-02-06', 'Administrateur', '2006-02-06', 'Administrateur', 'CON_PUBCPR', '', 'CONTRATS : Texte affich� sous les descriptifs contrats type pour les clients (espace priv�)', 'Tous ces contrats sont modulaires et enti�rement param�trables selon votre volont� et vos besoins.Nous pouvons ainsi les proposer :<ul><li>Pour une intervention ponctuelle</li><li>Sur des interventions en cas de pannes ou d''anomalies</li><li>Sur des interventions r�manentes programm�es</li><li>Sur la base de quotas horaires que vous pouvez utiliser en fonction de vos besoins</li><li>Dans le cadre de la d�l�gation de techniciens en vos locaux</li><li>Etc...</li></ul>A vos propres rythmes et sous des d�lais d''intervention qui peuvent �galement �tre modul�s selon vos d�siratas ou pour des urgences ponctuelles.Il peuvent enfin �tre combin�s (contrats serveurs + contrats stations, contrats mat�riels seuls + contrats t�l�maintenances, etc...) pour une optimisation maximale de votre maintenance et une p�rennisation de votre mat�riel.Le tout sur des p�riodes que <B>vous</B> choisissez.Vous avez donc � votre disposition un tr�s grand choix et une tr�s grande souplesse de d�cision, tout en respectant vos imp�ratifs budg�taires et techniques.<p align="right">N''h�sitez plus et <a href="dde_maj.php?ori=pr">contactez-nous</a>.</p>', 0);
INSERT INTO `smi_txt` VALUES (69, '2006-02-10', 'Administrateur', '2007-04-05', 'Administrateur', 'CLI_DEM_XXX_CLI', '', 'CLIENT : Email envoy� vers le CLI suite � modification pour d�m�nagement', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nNous vous confirmons la mise &agrave; jour de vos coordonn&eacute;es suite &agrave; votre d&eacute;m&eacute;nagement.<br />\r\n<br />\r\nVotre code client est toujours le <strong>%cli_code%</strong> et vos codes de connexion restent inchang&eacute;s.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e.</p>\r\n<p>&nbsp;</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (70, '2006-02-10', 'Administrateur', '2006-07-12', 'Administrateur', 'CLI_DEM_XXX_CDG', '', 'CLIENT : Email envoy� vers le CDG suite � modification (d�m�nagement)', 'Bonjour,<br /><br />Nous vous signalons le d&eacute;m&eacute;nagement et la modification d''un client (compte N&deg; <strong>%cli_code%</strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (71, '2006-02-27', 'Administrateur', '2007-04-05', 'Administrateur', 'OPE_DEM_XXX_CDG', '', 'OPERATEUR : Email envoy� vers le CDG suite � modification (d�m�nagement)', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le d&eacute;m&eacute;nagement et la modification d''un op&eacute;rateur t&eacute;l&eacute;phonique (N&deg; <strong>%ope_code%</strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>&nbsp;</p>', 0);
INSERT INTO `smi_txt` VALUES (72, '2006-02-27', 'Administrateur', '2007-04-05', 'Administrateur', 'OPE_DEM_XXX_OPE', '', 'OPERATEUR : Email envoy� vers l''OPE suite � modification pour d�m�nagement', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%ope_civilite% %ope_prenom% %ope_nom%</strong><br />\r\n%ope_adr1%<br />\r\n%ope_adr2%<br />\r\n%cp_ope% %ville_ope%<br />\r\nTel : %ope_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote> %civilite1M_tec%,</p>\r\n<p>Nous vous confirmons la mise &agrave; jour de vos coordonn&eacute;es suite &agrave; votre d&eacute;m&eacute;nagement.  <br />\r\n<br />\r\nVotre code op&eacute;rateur est toujours le <strong>%ope_code%</strong> et vos codes de connexion restent inchang&eacute;s.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (73, '2006-02-27', 'Administrateur', '2006-07-12', 'Administrateur', 'TEC_DEM_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � modification (d�m�nagement)', 'Bonjour,<br /><br />Nous vous signalons le d&eacute;m&eacute;nagement et la modification d''un technicien (N&deg; <strong>%tec_code%</strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (74, '2006-02-27', 'Administrateur', '2007-04-05', 'Administrateur', 'TEC_DEM_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers le TEC suite � modification pour d�m�nagement', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote> %civilite1M_tec%,</p>\r\n<p>Nous vous confirmons la mise &agrave; jour de vos coordonn&eacute;es suite &agrave; votre d&eacute;m&eacute;nagement.<br />\r\n<br />\r\nVotre code technicien est toujours le <strong>%tec_code%</strong> et vos codes de connexion restent inchang&eacute;s.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (75, '2006-02-04', 'Administrateur', '2006-02-13', 'Administrateur', 'CON_PUBCPU', '', 'CONTRATS : Texte affich� sous les descriptifs contrats type pour les clients (espace publique)', 'Tous ces contrats sont modulaires et enti�rement param�trables selon votre volont� et vos besoins.Nous pouvons ainsi les proposer :<ul><li>Pour une intervention ponctuelle</li><li>Sur des interventions en cas de pannes ou d''anomalies</li><li>Sur des interventions r�manentes programm�es</li><li>Sur la base de quotas horaires que vous pouvez utiliser en fonction de vos besoins</li><li>Dans le cadre de la d�l�gation de techniciens en vos locaux</li><li>Etc...</li></ul>A vos propres rythmes et sous des d�lais d''intervention qui peuvent �galement �tre modul�s selon vos d�siratas ou pour des urgences ponctuelles.Il peuvent enfin �tre combin�s (contrats serveurs + contrats stations, contrats mat�riels seuls + contrats t�l�maintenances, etc...) pour une optimisation maximale de votre maintenance et une p�rennisation de votre mat�riel.Le tout sur des p�riodes que <B>vous</B> choisissez.Vous avez donc � votre disposition un tr�s grand choix et une tr�s grande souplesse de d�cision, tout en respectant vos imp�ratifs budg�taires et techniques.<p align="right">N''h�sitez plus et <a href="ddemail.php?ori=pu">contactez-nous</a>.</p>', 0);
INSERT INTO `smi_txt` VALUES (76, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'REL_CRE_XXX_CLI', '', 'RELEVE : Email envoy� vers un client suite � création', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons l''ouverture de votre dossier de relev&eacute; de parc (N&deg; <strong>%rel_code%</strong>).<br />\r\n<br />\r\nVous pouvez le contr&ocirc;ler et le mettre &agrave; jour, depuis votre espace client, sur notre site :  <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;) .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (77, '2006-03-12', 'Administrateur', '2006-07-12', 'Administrateur', 'REL_CRE_XXX_CDG', '', 'RELEVE : Email envoy� vers le CDG suite � demande saisie par l''administrateur', 'Bonjour,<br /><br />Nous vous signalons l''ouverture d''un nouveau dossier de relev&eacute; (N&deg; <strong>%rel_code%</strong>).<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (78, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'REL_CRE_XXX_AGE', '', 'RELEVE : Email envoy� vers l''agence suite � une nouveau relev�', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons l''ouverture d''un nouveau dossier de relev&eacute; (N&deg; <strong>%rel_code%</strong>, client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (79, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'REL_MOD_XXX_CLI', '', 'RELEVE : Email envoy� vers un client suite � MAJ dossier', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons la mise &agrave; jour de votre dossier de relev&eacute; de parc N&deg; <strong>%rel_code%</strong>.<br />\r\n<br />\r\nVous pouvez le suivre en temps r&eacute;el sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (80, '2006-03-12', 'Administrateur', '2006-07-12', 'Administrateur', 'REL_MOD_XXX_CDG', '', 'RELEVE : Email envoy� vers le CDG suite � modification dossier', 'Bonjour,<br /><br />Nous vous signalons la mise &agrave; jour du dossier de relev&eacute; N&deg; <strong>%rel_code%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (81, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'REL_MOD_XXX_AGE', '', 'RELEVE : Email envoy� vers l''agence suite � modification de dossier', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la mise &agrave; jour du dossier de relev&eacute; N&deg; <strong>%rel_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (82, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RLIC_CRE_XXX_CLI', '', 'REL. LIC. : Email envoy� vers un client suite � création', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons l''ajout d''une nouvelle fiche de relev&eacute; de licence (N&deg; <strong>%rlic_code%</strong>) dans votre dossier N&deg; <strong>%rlic_coderel%</strong>.  <br />\r\n<br />\r\nVous pouvez la contr&ocirc;ler et la mettre &agrave; jour, depuis votre espace client, sur notre site :  <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;) .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (83, '2006-03-12', 'Administrateur', '2006-07-12', 'Administrateur', 'RLIC_CRE_XXX_CDG', '', 'REL. LIC. : Email envoy� vers le CDG suite � création', 'Bonjour,<br /><br />Nous vous signalons la cr&eacute;ation de la fiche relev&eacute; de licence N&deg; <strong>%rlic_code%</strong> dans le dossier de relev&eacute; N&deg; <strong>%rlic_coderel%</strong>.  <br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (84, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RLIC_CRE_XXX_AGE', '', 'REL. LIC. : Email envoy� vers l''agence suite � création', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d ''une fiche relev&eacute; de licence (N&deg; <strong>%rlic_code%</strong>) dans le dossier de relev&eacute; N&deg; <strong>%rlic_coderel%</strong> (client %cli_code).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (85, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RLIC_MOD_XXX_CLI', '', 'REL. LIC. : Email envoy� vers un client suite � MAJ fiche relev�', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons la mise &agrave; jour de la fiche de relev&eacute; licence N&deg; <strong>%rlic_code%</strong> au sein de votre dossier de relev&eacute; de parc N&deg; %rlic_coderel%.<br />\r\n<br />\r\nVous pouvez la suivre en temps r&eacute;el sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (86, '2006-03-12', 'Administrateur', '2006-07-12', 'Administrateur', 'RLIC_MOD_XXX_CDG', '', 'REL. LIC. : Email envoy� vers le CDG suite � modification fiche relev�', 'Bonjour,<br /><br />Nous vous signalons la mise &agrave; jour de la fiche relev&eacute; de licence N&deg; <strong>%rlic_code%</strong> dans le dossier de relev&eacute; N&deg; <strong>%rlic_coderel%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (87, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RLIC_MOD_XXX_AGE', '', 'REL. LIC. : Email envoy� vers l''agence suite � modification de fiche relev�', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la mise &agrave; jour de la fiche de relev&eacute; licence N&deg; <strong>%rlic_code%</strong> dans le dossier de relev&eacute; N&deg; <strong>%rlic_coderel%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (88, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPDT_CRE_XXX_AGE', '', 'REL. MAT. : Email envoy� vers l''agence suite � création', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d ''une fiche relev&eacute; de mat&eacute;riel (N&deg; <strong>%rpdt_code%</strong>) dans le dossier de relev&eacute; N&deg; <strong>%rpdt_coderel%</strong> (client %cli_code).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (89, '2006-03-12', 'Administrateur', '2006-07-13', 'Administrateur', 'RPDT_CRE_XXX_CDG', '', 'REL. MAT. : Email envoy� vers le CDG suite � création', 'Bonjour,<br /><br />Nous vous signalons la cr&eacute;ation de la fiche relev&eacute; de mat&eacute;riel N&deg; <strong>%rpdt_code%</strong> dans le dossier de relev&eacute; N&deg; <strong>%rpdt_coderel%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (90, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPDT_CRE_XXX_CLI', '', 'REL. MAT. : Email envoy� vers un client suite � création', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons l''ajout d''une nouvelle fiche de relev&eacute; de mat&eacute;riel (N&deg; <strong>%rpdt_code%</strong>) dans votre dossier N&deg; <strong>%rpdt_coderel%</strong>.<br />\r\n<br />\r\nVous pouvez la contr&ocirc;ler et la mettre &agrave; jour, depuis votre espace client, sur notre site :  <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.<br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (91, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPDT_MOD_XXX_AGE', '', 'REL. MAT. : Email envoy� vers l''agence suite � modification de fiche relev�', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la mise &agrave; jour de la fiche de relev&eacute; mat&eacute;riel N&deg; <strong>%rpdt_code%</strong> dans le dossier de relev&eacute; N&deg; <strong>%rpdt_coderel%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (92, '2006-03-12', 'Administrateur', '2006-07-13', 'Administrateur', 'RPDT_MOD_XXX_CDG', '', 'REL. MAT. : Email envoy� vers le CDG suite � modification fiche relev�', 'Bonjour,<br /><br />Nous vous signalons la mise &agrave; jour de la fiche relev&eacute; de mat&eacute;riel N&deg; <strong>%rpdt_code%</strong> dans le dossier de relev&eacute; N&deg; <strong>%rpdt_coderel%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (93, '2006-03-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPDT_MOD_XXX_CLI', '', 'REL. MAT. : Email envoy� vers un client suite � MAJ fiche relev�', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons la mise &agrave; jour de la fiche de relev&eacute; mat&eacute;riel N&deg; <strong>%rpdt_code%</strong> au sein de votre dossier de relev&eacute; de parc N&deg; <strong>%rpdt_coderel%</strong>.<br />\r\n<br />\r\nVous pouvez la suivre en temps r&eacute;el sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service&nbsp; technique</p>', 0);
INSERT INTO `smi_txt` VALUES (94, '2006-03-13', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_REN_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence suite � une proposition de renouvellement', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la proposition de renouvellement du contrat N&deg; <strong>%cocl_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (95, '2006-03-13', 'Administrateur', '2006-07-12', 'Administrateur', 'CON_REN_XXX_CDG', '', 'CONTRAT : Email envoy� vers le CDG suite � une proposition de renouvellement', 'Bonjour,<br /><br />Nous vous signalons la proposition de renouvellement du contrat N&deg; <strong>%cocl_code%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (96, '2006-04-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPBM_CRE_XXX_AGE', '', 'REL. PBM : Email envoy� vers l''agence suite � création', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la d&eacute;claration d''un nouveau probl&egrave;me sur le relev&eacute; n&deg; <strong>%rpbm_coderlp%</strong> (client %cli_code%).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (97, '2006-04-12', 'Administrateur', '2006-07-13', 'Administrateur', 'RPBM_CRE_XXX_CDG', '', 'REL. PBM : Email envoy� vers le CDG suite � création', 'Bonjour,<br /><br />Nous vous signalons la d&eacute;claration d''un nouveau probl&egrave;me sur le relev&eacute; n&deg; <strong>%rpbm_coderlp%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (98, '2006-04-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPBM_CRE_XXX_CLI', '', 'REL. PBM : Email envoy� vers un client suite � création', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,  </p>\r\n<p>Nous accusons r&eacute;ception de votre d&eacute;claration de probl&egrave;me au sein du relev&eacute; n&deg;N&deg; <strong>%rpbm_coderlp%</strong>.  <br />\r\n<br />\r\nNous ne manquerons pas de le traiter dans les meilleurs d&eacute;lais.  <br />\r\n<br />\r\nVous pouvez en suivre l''historique ou le mettre &agrave; jour, depuis votre espace client, sur notre site :  <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;) .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique.</p>', 0);
INSERT INTO `smi_txt` VALUES (99, '2006-04-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPBM_MOD_XXX_CLI', '', 'REL. PBM : Email envoy� vers un client suite � modification', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>  <br />\r\n%civilite1M_cli%,</p>\r\n<p>Nous accusons r&eacute;ception de la mise &agrave; jour de votre d&eacute;claration de probl&egrave;me au sein du relev&eacute; n&deg;N&deg; <strong>%rpbm_coderlp%</strong>.<br />\r\n<br />\r\nNous ne manquerons pas de le traiter dans les meilleurs d&eacute;lais.<br />\r\n<br />\r\nVous pouvez en suivre l''historique ou le mettre &agrave; jour, depuis votre espace client, sur notre site :  <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service&nbsp; technique.</p>', 0);
INSERT INTO `smi_txt` VALUES (100, '2006-04-12', 'Administrateur', '2007-04-05', 'Administrateur', 'RPBM_MOD_XXX_AGE', '', 'REL. PBM : Email envoy� vers l''agence suite � modification de fiche relev�', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la modification d''un nouveau probl&egrave;me d&eacute;j&agrave; d&eacute;clar&eacute; sur le relev&eacute; n&deg; <strong>%rpbm_coderlp%</strong> (client %cli_code).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (101, '2006-04-12', 'Administrateur', '2006-07-13', 'Administrateur', 'RPBM_MOD_XXX_CDG', '', 'REL. PBM : Email envoy� vers le CDG suite � modification fiche relev�', 'Bonjour,<br /><br />Nous vous signalons la modification d''un nouveau probl&egrave;me d&eacute;j&agrave; d&eacute;clar&eacute; sur le relev&eacute; n&deg; <strong>%rpbm_coderlp%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (102, '2006-05-17', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_CLO_XXX_AGE', '', 'CONTRAT : Email envoy� vers l''agence suite � cl�ture de contrat', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%&nbsp;</p>\r\n<p>&nbsp;</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la cl&ocirc;ture du contrat N&deg; <strong>%cocl_code%</strong> (client %cli_code).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (103, '2006-05-17', 'Administrateur', '2006-07-12', 'Administrateur', 'CON_CLO_XXX_CDG', '', 'CONTRAT : Email envoy� vers le CDG suite � cl�ture de contrat', 'Bonjour,<br /><br />Nous vous signalons la cl&ocirc;ture du contrat N&deg; <strong>%cocl_code%</strong>.<br /><br />Bonne fin de journ&eacute;e.', 0);
INSERT INTO `smi_txt` VALUES (104, '2006-05-17', 'Administrateur', '2007-04-05', 'Administrateur', 'CON_CLO_XXX_CLI', '', 'CONTRAT : Email envoy� vers un client suite � cl�ture de contrat', '%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong><br /><br />\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nNous vous annon&ccedil;ons la cl&ocirc;ture de votre contrat (N&deg; <strong>%cocl_code%</strong>).<br />\r\n<br />\r\nVous pouvez retrouver son historique sur notre site :  <a href="http://%cge_web%">%cge_web%</a></p>\r\n<p>&nbsp;</p>\r\n<p>Si vous souhaitez le renouveller, nous vous engageons &agrave; contacter.</p>\r\n<p>Vous souhaitant une excellente fin de journ&eacute;e et vous remerciant encore de votre confiance,</p>\r\n<p>Nous vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion.</p>', 0);
INSERT INTO `smi_txt` VALUES (105, '2006-05-27', 'Administrateur', '2007-04-02', 'Administrateur', 'FIC_CRE_XXX_WM', '', 'Message envoy� au Webmaster en cas de création de fichier', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_nom%</strong></em>, dont le descriptif est <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>.<br />\r\n<br />\r\nMerci</p>', 0);
INSERT INTO `smi_txt` VALUES (106, '2006-05-27', 'Administrateur', '2007-04-02', 'Administrateur', 'DIR_CRE_XXX_WM', '', 'Message envoy� au Webmaster en cas de création de répertoire', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation, le <em><strong>%fic_datecrea%</strong></em>,  du r&eacute;pertoire <em><strong>%fic_nom%</strong></em>, dont le descriptif est <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (107, '2006-05-27', 'Administrateur', '2007-04-02', 'Administrateur', 'DIR_DEL_XXX_WM', '', 'Message envoy� au Webmaster en cas de suppression de répertoire', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la suppression, le <em><strong>%fic_datecrea%</strong></em>,  du r&eacute;pertoire <em><strong>%fic_nom%</strong></em>, dont le descriptif est <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (108, '2006-05-27', 'Administrateur', '2006-07-12', 'Administrateur', 'FIC_DEL_XXX_WM', '', 'Message envoy� au Webmaster en cas de suppression de fichier', 'Bonjour,<br /><br />Nous vous signalons la suppression, le <strong>%fic_datecrea%</strong>,  du fichier <strong>%fic_nom%</strong>, dont le descriptif est <strong>%fic_desc%</strong>, par l''utilisateur <strong>%fic_codecrea%</strong>.<br /><br />Merci', 0);
INSERT INTO `smi_txt` VALUES (109, '2006-06-28', 'Administrateur', '2007-04-23', 'Administrateur', 'DDE_AR_XXX_XXX', '', 'DEMANDE : Email envoy� vers l''exp�diteur pour accuser r�ception', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%dde_ste%</strong><br />\r\n<strong> %dde_civilite% %dde_prenom% %dde_nom%</strong><br />\r\n<strong> %dde_adr1%</strong><br />\r\n<strong> %dde_adr2%</strong><br />\r\n<strong> %cp_dde% %ville_dde% </strong><br />\r\n<strong> Tel : %dde_telf%</strong><br />\r\n<strong> Fax : %dde_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><br />\r\n</p>\r\n<p>%civilite1M_dde%,<br />\r\n<br />\r\nVotre demande de ce jour &agrave; bien &eacute;t&eacute; prise en compte.  <br />\r\n<br />\r\nNous mettons tout en oeuvre pour y r&eacute;pondre dans les meilleurs d&eacute;lais.  <br />\r\n<br />\r\nDans cette attente, nosu vous prions d''agr&eacute;er, %civilite1M_dde%, l''expression de nos sentiments les plus d&eacute;vou&eacute;s.</p>\r\n<p>&nbsp;Le centre de gestion.</p>', 0);
INSERT INTO `smi_txt` VALUES (110, '2006-11-14', 'Administrateur', '2007-04-05', 'Administrateur', 'INT_ACC_CLI', '', 'Interventions : Texte pour attente confirmation client', '<p>%logo_age%<br />\r\n<strong>%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</strong></p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote> <br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nVous voudrez bien trouver ci-dessus notre proposition d''intervention &agrave; l''adresse indiqu&eacute;e ci-dessus.<br />\r\n<br />\r\nCette proposition s''entend uniquement pour le mat&eacute;riel d&eacute;crit ci-dessus et implique l''acceptation totale de votre part de nos conditions commerciales et tarifaires, ainsi que nos conditions g&eacute;n&eacute;rales de vente.<br />\r\n<br />\r\nEn cas d''accord, nous vous demandons de bien vouloir nous la retourner, paraph&eacute;e, tamponn&eacute;e et sign&eacute;e, avec la mention &quot;bon pour intervention&quot;.<br />\r\n<br />\r\nVous remerciant encore de la confiance que vous nous accordez, et restant &agrave; votre enti&egrave;re disposition pour tout renseignement compl&eacute;mentaire,<br />\r\n<br />\r\nNous vous prions d''agr&eacute;er, %civilite1M_cli%, &agrave; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.</p>\r\n<p>Le service technique<br />\r\n<br />\r\n<font size="3"><em>P.S. : L''heure not&eacute;e est indicative et peut varier en fonction des conditions de circulation.</em></font></p>', 0);
INSERT INTO `smi_txt` VALUES (112, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'FIC_CRE1_XXX_AGE', '', 'Message envoy� � l''agence en cas de création de fichier', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p><br />\r\n<br />\r\nNous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>, dans votre r&eacute;pertoire priv&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (113, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'FIC_CRE2_XXX_AGE', '', 'Message envoy� � l''agence en cas de création de fichier', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p>Nous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>, dans votre r&eacute;pertoire priv&eacute;, sous r&eacute;pertoire, <em><strong>%sr_fic%</strong></em>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le Webmaster</p>', 0);
INSERT INTO `smi_txt` VALUES (114, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'FIC_CRE2_XXX_CLI', '', 'Message envoy� au client en cas de création de fichier', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,<br />\r\n<br />\r\nNous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>, dans votre r&eacute;pertoire priv&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>&nbsp;</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (115, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'FIC_CRE1_XXX_CLI', '', 'Message envoy� au client en cas de création de fichier', '%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,</p>\r\n<p><br />\r\n<br />\r\nNous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>, dans votre r&eacute;pertoire priv&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (116, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'FIC_CRE4_XXX_AGE', '', 'Message envoy� � l''agence en cas de création de fichier d''un de ses clients', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br />\r\n</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p><br />\r\n<br />\r\nNous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>, dans le r&eacute;pertoire priv&eacute; du client <em><strong>%codecli_fic%</strong></em>, sous r&eacute;pertoire, <em><strong>%sr_fic%</strong></em>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (117, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'FIC_CRE3_XXX_AGE', '', 'Message envoy� � l''agence en cas de création de fichier d''un de ses clients', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br />\r\n</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p>Nous vous signalons le t&eacute;l&eacute;chargement, le <em><strong>%fic_datecrea%</strong></em>,  du fichier <em><strong>%fic_desc%</strong></em>, par l''utilisateur <em><strong>%fic_codecrea%</strong></em>, dans le r&eacute;pertoire priv&eacute; du client <em><strong>%codecli_fic%</strong></em>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (118, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'TEC_CRE_XXX_AGE', '', 'TECHNICIEN : Email envoy� vers l''agence suite � création par autre qu''une agence', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p><br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre agence.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (119, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'TEC_LIC_XXX_AGE', '', 'TECHNICIEN : Email envoy� vers une agence suite � licenciement d''un technicien par une agence', '%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br /><br />\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p><br />\r\nNous vous signalons le licenciement du technicien (N&deg;<em> <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong></em>) au sein de votre agence.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (120, '2007-04-02', 'Administrateur', '2007-04-05', 'Administrateur', 'TEC_DEL_XXX_AGE', '', 'TECHNICIEN : Email envoy� vers une agencesuite � suppression par autre qu''une agence', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre agence.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (121, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_CRE_XXX_DO', '', 'DONNEUR ORDRES : Email envoy� vers le donneur d''ordres suite � création de son compte', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%do_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (122, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_CRE_XXX_CDG', '', 'DONNEURS ORDRES : Email envoy� vers le CDG suite � création donneur d''ordres', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau donneur d''ordres (N&deg;<strong> %do_code% </strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (123, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_MDP_XXX_DO', '', 'DONNEUR ORDRES : Email envoy� vers le donneur suite � changement de MDP', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise &agrave;  jour de votre compte.  Voici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%do_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (124, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_MOD_XXX_CDG', '', 'DONNEUR ORDRES : Email envoy� vers le CDG suite � modification', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la modification du compte du donneur d''ordres N&deg;<strong> %do_code% </strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (125, '2007-04-17', 'Administrateur', '2007-04-18', 'Administrateur', 'INT_CRE_XXX_DO', '', 'INTERVENTION : Email envoy� vers donneur d''ordre suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,<br />\r\n<br />\r\nNous vous confirmons la mise en place&nbsp; d''une nouvelle intervention N&deg;<strong> %int_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nNous prendrons rapidement contact avec le client demandeur pour l''ex&eacute;cution de celle-ci.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (126, '2007-04-17', 'Administrateur', '2007-04-17', 'Administrateur', 'INT_CLOT_XXX_DO', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do% <br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A L''ATTENTION DE %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que le dossier d''intervention N&deg; <strong>%int_code%</strong> est clot.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civiliter1M_do%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (127, '2007-04-17', 'Administrateur', '2007-04-17', 'Administrateur', 'INT_CLOT2_XXX_CLI', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_do%<br />\r\n<strong>%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre dossier d''intervention N&deg; <strong>%int_code%</strong> est clot.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (128, '2007-04-17', 'Administrateur', '2007-04-17', 'Administrateur', 'INT_FAIT2_XXX_CLI', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_do%<br />\r\n<strong>%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre dossier d''intervention N&deg; <strong>%int_code%</strong> est r&eacute;solu.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nSi vous ne l''avez pas d&eacute;j&agrave; fait, vous pouvez prendre contact avec nous, pour la livraison de votre mat&eacute;riel, ou simplement passer le r&eacute;cup&eacute;rer.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (129, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE2_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers le technicien suite � création de son compte', '<p>%logo_do%<br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_tec%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%tec_code%</strong><br />\r\n<br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur le site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (130, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE_XXX_DO', '', 'TECHNICIEN : Email envoy� vers le donneur d''ordres suite � création par autre qu''une agence', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p><br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;. <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (131, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC_XXX_DO', '', 'TECHNICIEN : Email envoy� vers un donneur d''ordres suite � licenciement d''un technicien', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br />\r\n</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p><br />\r\nNous vous signalons le licenciement du technicien (N&deg;<em> <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong></em>) au sein de votre soci&eacute;t&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (132, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL_XXX_DO', '', 'TECHNICIEN : Email envoy� vers un donneur d''ordre suite � suppression', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (133, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � création', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres&nbsp; <strong>%tec_codedo%</strong>.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (134, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres <strong>%tec_codedo%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (135, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � suppression', '<p>Bonjour,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres <strong>%tec_codedo%</strong>.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (136, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres <strong>%tec_codedo%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (137, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'ST_CRE_XXX_ST', '', 'SS TRAITANT : Email envoy� vers le ss-traitant suite � création de son compte', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%st_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (138, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'ST_CRE_XXX_CDG', '', 'SS TRAITANT : Email envoy� vers le CDG suite � création', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau sous-traitant (N&deg;<strong> %st_code% </strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (139, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'ST_MOD_XXX_CDG', '', 'SS TRAITANT : Email envoy� vers le CDG suite � modification', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la modification du compte du sous-traitant N&deg;<strong> %st_code% </strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (140, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE3_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � création', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; sous-traitante <strong>%tec_codest%</strong>.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (141, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE3_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers le technicien suite � création de son compte', '<p>%logo_st%<br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_tec%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%tec_code%</strong><br />\r\n<br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur le site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (142, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE_XXX_ST', '', 'TECHNICIEN : Email envoy� vers le donneur d''ordres suite � création par autre qu''une agence', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,</p>\r\n<p><br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;. <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (143, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC_XXX_ST', '', 'TECHNICIEN : Email envoy� vers un sous-traitant suite � licenciement d''un technicien', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,</p>\r\n<p><br />\r\nNous vous signalons le licenciement du technicien (N&deg;<em> <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong></em>) au sein de votre soci&eacute;t&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (144, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC3_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de la soci&eacute;t&eacute; sous-traitante <strong>%tec_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (145, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL_XXX_ST', '', 'TECHNICIEN : Email envoy� vers un sous-traitant suite � suppression', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (146, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL3_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � suppression', '<p>Bonjour,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; sous-traitante&nbsp; <strong>%tec_codest%</strong>.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (147, '2007-04-18', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_DEL_XXX_ST', '', 'ORDRE SS TRAINT : Email envoy� vers sous-traitant suite � annulation  intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%St_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,<br />\r\n<br />\r\nNous vous signalons que le bon de travail N&deg;<strong> %ot_code%</strong> (client %cli_code%) a &eacute;t&eacute; annul&eacute;.</p>\r\n<p>Nous restons&nbsp; &agrave; votre disposition pour tout renseignement compl&eacute;mentaire.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (148, '2007-04-18', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_CRE_XXX_ST', '', 'ORDRE TRAVAIL : Email envoy� vers sous-traitant suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,<br />\r\n<br />\r\nNous vous signalons la mise en place&nbsp; d''un nouvel ordre de travail (N&deg;<strong> %ot_code%</strong>).<br />\r\n<br />\r\nMerci de prendre rapidement contact avec l''agence :</p>\r\n<blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote>\r\n<p>Pour les modalit&eacute;s d''ex&eacute;cution.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (155, '2007-04-20', 'Administrateur', '2007-04-20', 'Administrateur', 'INT_DEL_XXX_AGE', '', 'INTERVENTION : Email envoy� vers une agence suite � suppression', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons l''annulation de l''intervention N&deg;<strong> %int_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (149, '2007-04-19', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_CRE_XXX_CDG', '', 'ORDRE SS TRAITANT : Email envoy� vers le CDG suite � demande', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la saisie d''''un nouvel ordre de sous-traitance N&deg;<strong> %ot_code%</strong> vers le sous-traitant <strong>%ot_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (150, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_CRE_XXX_AGE', '', 'ORDRE SS TRAITANCE : Email envoy� vers une agence suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la saisie d''un nouvel ordre de sous-traitance (N&deg;<strong> %ot_code%</strong>, sous-traitan <strong>%ot_codest%</strong>), pour client <strong>%cli_code%</strong>.<br />\r\n<br />\r\nVous pouvez prendre contact avec le sous-traitant pour les modalit&eacute;s d''ex&eacute;cution.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (151, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_FAIT_XXX_AGE', '', 'ORDRE TRAVAIL : Email envoy� vers une agence si ordre termin�', '<p>%logo_st%<br />\r\n<strong>%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age% <br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>A l''attention de <strong>%age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre ordre de travail <strong>N&deg; %ot_code%</strong> a &eacute;t&eacute; effectu&eacute;.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur le site <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nSi vous ne l''avez pas d&eacute;j&agrave; fait, vous pouvez prendre contact avec le sous-traitant <strong>%st_nom%</strong> (<em>horaires : %st_heures%</em>), au <strong>%st_telf%</strong>. <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civiliter1M_age%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe sous-traitant.</p>', 0);
INSERT INTO `smi_txt` VALUES (152, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_FAIT_XXX_CDG', '', 'ORDRE TRAVAIL : Email envoy� vers le CDG si ordre ex�cut�', '<p>Bonjour,<br />\r\n<br />\r\nL''ordre de travail N&deg; <strong>%ot_code%</strong> a &eacute;t&eacute; ex&eacute;cut&eacute; par le sous-traitant <strong>%ot_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (153, '2007-04-19', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_CLOT_XXX_AGE', '', 'ORDRE TRAVAIL : Email envoy� vers une agence si ordre cl�t', '<p>%logo_st%<br />\r\n<strong>%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age% <br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>A l''attention de <strong>%age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong><br />\r\n<br />\r\n%civiliter1M_age%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que l''ordre de travail (N&deg; <strong>%ot_code%</strong> est cl&ocirc;t.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civiliter1M_age%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe sous-traitant</p>', 0);
INSERT INTO `smi_txt` VALUES (154, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_CLOT_XXX_CDG', '', 'ORDRE TRAVAIL : Email envoy� vers le CDG si ordre cl�t', '<p>Bonjour,<br />\r\n<br />\r\nL''ordre de travail N&deg; <strong>%ot_code%</strong> a &eacute;t&eacute; cl&ocirc;t par le sous-traitant <strong>%ot_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (156, '2007-04-20', 'Administrateur', '2007-04-20', 'Administrateur', 'INT_DEL_XXX_CDG', '', 'INTERVENTION : Email envoy� vers le CDG suite � suppression', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons l''annulation de l''intervention N&deg;<strong> %int_code%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (157, '2007-04-20', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_DEL_XXX_CDG', '', 'ORDRE SS TRAITANT : Email envoy� vers le CDG suite � annulation', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons l''annualtion de l''ordre de sous-traitance N&deg;<strong> %ot_code%</strong> (sous-traitant <strong>%ot_codest%</strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (159, '2007-04-27', 'Administrateur', '2007-04-27', 'Administrateur', 'CLI_CRE_XXX_DO', '', 'CLIENT : Email envoy� vers le donneur d''ordres suite � création du compte client', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br />\r\n</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%do_nom%</strong><br />\r\n<strong>%do_adr1%</strong><br />\r\n<strong> %do_adr2%</strong><br />\r\n<strong> %cp_do% %ville_do% </strong><br />\r\n<strong> Tel : %do_telf%</strong><br />\r\n<strong> Fax : %do_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de </strong> <strong> %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,  <br />\r\n<br />\r\nNous vous confirmons la cr&eacute;ation du compte pour le client :</p>\r\n<blockquote><strong>%cli_ste%</strong><br />\r\n%cli_nom%<br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli%</blockquote>\r\n<p>Ses codes de connexions &agrave; notre intranet lui ont &eacute;t&eacute; transmis.<br />\r\n<br />\r\nNous vous remercions encore de votre confiance.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (158, '2007-04-27', 'Administrateur', '2007-04-27', 'Administrateur', 'CLI_CRE2_XXX_CLI', '', 'CLIENT : Email envoy� vers le client suite � création de son compte', '<p>%logo_do%<br />\r\n<strong>%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</strong></p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%cli_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong>  </blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers d''interventions sur le site de notre partenaire <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nNous vous remercions encore de votre confiance.  <br />\r\n<br />\r\nLe service technique</p>', 0);

#
# Table structure for table `smi_villes`
#

DROP TABLE IF EXISTS `smi_villes`;
CREATE TABLE `smi_villes` (
  `villes_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `villes_cp` VARCHAR(10) NOT NULL DEFAULT '',
  `villes_nom` VARCHAR(40) NOT NULL DEFAULT '',
  `villes_dep` VARCHAR(30) NOT NULL DEFAULT '',
  `villes_codepays` CHAR(3) NOT NULL DEFAULT 'FR',
  PRIMARY KEY  (`villes_id`),
  KEY `villes_nom` (`villes_nom`),
  KEY `villes_cp` (`villes_cp`),
  KEY `villes_codepays` (`villes_codepays`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;


#
# Dumping data for table `smi_villes`
#

INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(1, '01400', 'L''Abergement Cl�menciat', '01', 'FR'),
(2, '01640', 'L''Abergement de Varey', '01', 'FR'),
(3, '01090', 'Amareins', '01', 'FR'),
(4, '01500', 'Amb�rieu en Bugey', '01', 'FR'),
(5, '01330', 'Amb�rieux en Dombes', '01', 'FR'),
(6, '01300', 'Ambl�on', '01', 'FR'),
(7, '01500', 'Ambronay', '01', 'FR'),
(8, '01500', 'Ambutrix', '01', 'FR'),
(9, '01300', 'Andert et Condon', '01', 'FR'),
(10, '01350', 'Anglefort', '01', 'FR'),
(11, '01100', 'Apremont', '01', 'FR'),
(12, '01110', 'Aranc', '01', 'FR'),
(13, '01230', 'Arandas', '01', 'FR'),
(14, '01100', 'Arbent', '01', 'FR'),
(15, '01300', 'Arbignieu', '01', 'FR'),
(16, '01190', 'Arbigny', '01', 'FR'),
(17, '01230', 'Argis', '01', 'FR'),
(18, '01510', 'Armix', '01', 'FR'),
(19, '01480', 'Ars sur Formans', '01', 'FR'),
(20, '01510', 'Artemare', '01', 'FR'),
(21, '01570', 'Asni�res sur Sa�ne', '01', 'FR'),
(22, '01340', 'Attignat', '01', 'FR'),
(23, '01380', 'B�g� la Ville', '01', 'FR'),
(24, '01380', 'B�g� le Ch�tel', '01', 'FR'),
(25, '01360', 'Balan', '01', 'FR'),
(26, '01990', 'Baneins', '01', 'FR'),
(27, '01270', 'Beaupont', '01', 'FR'),
(28, '01480', 'Beauregard', '01', 'FR'),
(29, '01810', 'Bellignat', '01', 'FR'),
(30, '01360', 'B�ligneux', '01', 'FR'),
(31, '01200', 'Bellegarde sur Valserine', '01', 'FR'),
(32, '01300', 'Belley', '01', 'FR'),
(33, '01130', 'Belleydoux', '01', 'FR'),
(34, '01260', 'Belmont Luth�zieu', '01', 'FR'),
(35, '01470', 'B�nonces', '01', 'FR'),
(36, '01370', 'B�ny', '01', 'FR'),
(37, '01350', 'B�on', '01', 'FR'),
(38, '01340', 'B�r�ziat', '01', 'FR'),
(39, '01500', 'Bettant', '01', 'FR'),
(40, '01290', 'Bey', '01', 'FR'),
(41, '01700', 'Beynost', '01', 'FR'),
(42, '01200', 'Billiat', '01', 'FR'),
(43, '01330', 'Birieux', '01', 'FR'),
(44, '01290', 'Biziat', '01', 'FR'),
(45, '01150', 'Blyes', '01', 'FR'),
(46, '01250', 'Bohas', '01', 'FR'),
(47, '01120', 'La Boisse', '01', 'FR'),
(48, '01190', 'Boissey', '01', 'FR'),
(49, '01380', 'Boissey', '01', 'FR'),
(50, '01450', 'Bolozon', '01', 'FR'),
(51, '01330', 'Bouligneux', '01', 'FR'),
(52, '01000', 'Bourg en Bresse', '01', 'FR'),
(53, '01800', 'Bourg Saint Christophe', '01', 'FR'),
(54, '01100', 'Bouvent', '01', 'FR'),
(55, '01640', 'Boyeux Saint J�r�me', '01', 'FR'),
(56, '01190', 'Boz', '01', 'FR'),
(57, '01300', 'Br�gnier Cordon', '01', 'FR'),
(58, '01260', 'Br�naz', '01', 'FR'),
(59, '01110', 'Br�nod', '01', 'FR'),
(60, '01300', 'Brens', '01', 'FR'),
(61, '01360', 'Bressolles', '01', 'FR'),
(62, '01460', 'Brion', '01', 'FR'),
(63, '01470', 'Briord', '01', 'FR'),
(64, '01310', 'Buellas', '01', 'FR'),
(65, '01510', 'La Burbanche', '01', 'FR'),
(66, '01430', 'Ceignes', '01', 'FR'),
(67, '01450', 'Cerdon', '01', 'FR'),
(68, '01240', 'Certines', '01', 'FR'),
(69, '01090', 'Cesseins', '01', 'FR'),
(70, '01170', 'Cessy', '01', 'FR'),
(71, '01250', 'Ceyz�riat', '01', 'FR'),
(72, '01350', 'Ceyz�rieu', '01', 'FR'),
(73, '01320', 'Chalamont', '01', 'FR'),
(74, '01480', 'Chaleins', '01', 'FR'),
(75, '01230', 'Chaley', '01', 'FR'),
(76, '01450', 'Challes', '01', 'FR'),
(77, '01630', 'Challex', '01', 'FR'),
(78, '01260', 'Champagne en Valromey', '01', 'FR'),
(79, '01110', 'Champdor', '01', 'FR'),
(80, '01410', 'Champfromier', '01', 'FR'),
(81, '01420', 'Chanay', '01', 'FR'),
(82, '01990', 'Chaneins', '01', 'FR'),
(83, '01400', 'Chanoz Ch�tenay', '01', 'FR'),
(84, '01240', 'La Chapelle du Ch�telard', '01', 'FR'),
(85, '01260', 'Charancin', '01', 'FR'),
(86, '01130', 'Charix', '01', 'FR'),
(87, '01800', 'Charnoz sur Ain', '01', 'FR'),
(88, '01500', 'Ch�teau Gaillard', '01', 'FR'),
(89, '01320', 'Ch�tenay', '01', 'FR'),
(90, '01200', 'Ch�tillon en Michaille', '01', 'FR'),
(91, '01320', 'Ch�tillon la Palud', '01', 'FR'),
(92, '01400', 'Ch�tillon sur Chalaronne', '01', 'FR'),
(93, '01190', 'Chavannes sur Reyssouze', '01', 'FR'),
(94, '01250', 'Chavannes sur Suran', '01', 'FR'),
(95, '01660', 'Chaveyriat', '01', 'FR'),
(96, '01510', 'Chavornay', '01', 'FR'),
(97, '01300', 'Chazey Bons', '01', 'FR'),
(98, '01150', 'Chazey sur Ain', '01', 'FR'),
(99, '01510', 'Cheignieu La Balme', '01', 'FR'),
(100, '01430', 'Chevillard', '01', 'FR'),
(101, '01190', 'Chevroux', '01', 'FR'),
(102, '01170', 'Chevry', '01', 'FR'),
(103, '01200', 'Ch�zery Forens', '01', 'FR'),
(104, '01410', 'Ch�zery Forens', '01', 'FR'),
(105, '01390', 'Civrieux', '01', 'FR'),
(106, '01250', 'Cize', '01', 'FR'),
(107, '01230', 'Cleyzieu', '01', 'FR'),
(108, '01270', 'Coligny', '01', 'FR'),
(109, '01550', 'Collonges', '01', 'FR'),
(110, '01300', 'Colomieu', '01', 'FR'),
(111, '01230', 'Conand', '01', 'FR'),
(112, '01430', 'Condamine', '01', 'FR'),
(113, '01400', 'Condeissiat', '01', 'FR'),
(114, '01200', 'Confort', '01', 'FR'),
(115, '01310', 'Confran�on', '01', 'FR'),
(116, '01300', 'Contrevoz', '01', 'FR'),
(117, '01300', 'Conzieu', '01', 'FR'),
(118, '01420', 'Corbonod', '01', 'FR'),
(119, '01110', 'Corcelles', '01', 'FR'),
(120, '01120', 'Cordieux', '01', 'FR'),
(121, '01110', 'Corlier', '01', 'FR'),
(122, '01110', 'Cormaranche en Bugey', '01', 'FR'),
(123, '01290', 'Cormoranche sur Sa�ne', '01', 'FR'),
(124, '01560', 'Cormoz', '01', 'FR'),
(125, '01250', 'Corveissiat', '01', 'FR'),
(126, '01370', 'Courmangoux', '01', 'FR'),
(127, '01560', 'Courtes', '01', 'FR'),
(128, '01320', 'Crans', '01', 'FR'),
(129, '01340', 'Cras sur Reyssouze', '01', 'FR'),
(130, '01200', 'Craz en Michaille', '01', 'FR'),
(131, '01350', 'Cressin Rochefort', '01', 'FR'),
(132, '01620', 'Crottet', '01', 'FR'),
(133, '01290', 'Crottet', '01', 'FR'),
(134, '01170', 'Crozet', '01', 'FR'),
(135, '01290', 'Cruzilles l�s M�pillat', '01', 'FR'),
(136, '01370', 'Cuisiat', '01', 'FR'),
(137, '01350', 'Culoz', '01', 'FR'),
(138, '01560', 'Curciat Dongalon', '01', 'FR'),
(139, '01310', 'Curtafond', '01', 'FR'),
(140, '01300', 'Cuzieu', '01', 'FR'),
(141, '01120', 'Dagneux', '01', 'FR'),
(142, '01220', 'Divonne les Bains', '01', 'FR'),
(143, '01380', 'Dommartin', '01', 'FR'),
(144, '01240', 'Dompierre sur Veyle', '01', 'FR'),
(145, '01400', 'Dompierre sur Chalaronne', '01', 'FR'),
(146, '01270', 'Domsure', '01', 'FR'),
(147, '01590', 'Dortan', '01', 'FR'),
(148, '01500', 'Douvres', '01', 'FR'),
(149, '01250', 'Drom', '01', 'FR'),
(150, '01160', 'Druillat', '01', 'FR'),
(151, '01130', 'Echallon', '01', 'FR'),
(152, '01170', '�chenevex', '01', 'FR'),
(153, '01340', '�trez', '01', 'FR'),
(154, '01230', '�vosges', '01', 'FR'),
(155, '01800', 'Faramans', '01', 'FR'),
(156, '01480', 'Fareins', '01', 'FR'),
(157, '01550', 'Farges', '01', 'FR'),
(158, '01570', 'Feillens', '01', 'FR'),
(159, '01210', 'Ferney Voltaire', '01', 'FR'),
(160, '01260', 'Fitignieu', '01', 'FR'),
(161, '01350', 'Flaxieu', '01', 'FR'),
(162, '01340', 'Foissiat', '01', 'FR'),
(163, '01090', 'Amareins Francheleins Ces', '01', 'FR'),
(164, '01480', 'Frans', '01', 'FR'),
(165, '01140', 'Garnerans', '01', 'FR'),
(166, '01090', 'Genouilleux', '01', 'FR'),
(167, '01460', 'G�ovreissiat', '01', 'FR'),
(168, '01100', 'G�ovreisset', '01', 'FR'),
(169, '01250', 'Germagnat', '01', 'FR'),
(170, '01170', 'Gex', '01', 'FR'),
(171, '01130', 'Giron', '01', 'FR'),
(172, '01190', 'Gorrevod', '01', 'FR'),
(173, '01260', 'Le Grand Abergement', '01', 'FR'),
(174, '01250', 'Grand Corent', '01', 'FR'),
(175, '01580', 'Granges', '01', 'FR'),
(176, '01290', 'Gri�ges', '01', 'FR'),
(177, '01220', 'Grilly', '01', 'FR'),
(178, '01810', 'Groissiat', '01', 'FR'),
(179, '01680', 'Grosl�e', '01', 'FR'),
(180, '01090', 'Gu�reins', '01', 'FR'),
(181, '01250', 'Hautecourt Roman�che', '01', 'FR'),
(182, '01110', 'Hauteville Lompnes', '01', 'FR'),
(183, '01110', 'Hostias', '01', 'FR'),
(184, '01260', 'Hotonnes', '01', 'FR'),
(185, '01140', 'Illiat', '01', 'FR'),
(186, '01200', 'Injoux G�nissiat', '01', 'FR'),
(187, '01680', 'Innimond', '01', 'FR'),
(188, '01430', 'Izenave', '01', 'FR'),
(189, '01580', 'Izernore', '01', 'FR'),
(190, '01300', 'Izieu', '01', 'FR'),
(191, '01480', 'Jassans Riottier', '01', 'FR'),
(192, '01250', 'Jasseron', '01', 'FR'),
(193, '01340', 'Jayat', '01', 'FR'),
(194, '01250', 'Journans', '01', 'FR'),
(195, '01800', 'Joyeux', '01', 'FR'),
(196, '01640', 'Jujurieux', '01', 'FR'),
(197, '01450', 'Labalme', '01', 'FR'),
(198, '01150', 'Lagnieu', '01', 'FR'),
(199, '01290', 'Laiz', '01', 'FR'),
(200, '01130', 'Lalleyriat', '01', 'FR'),
(201, '01200', 'Lancrans', '01', 'FR'),
(202, '01430', 'Lantenay', '01', 'FR'),
(203, '01330', 'Lapeyrouse', '01', 'FR'),
(204, '01350', 'Lavours', '01', 'FR'),
(205, '01200', 'L�az', '01', 'FR'),
(206, '01410', 'L�lex', '01', 'FR'),
(207, '01240', 'Lent', '01', 'FR'),
(208, '01560', 'Lescheroux', '01', 'FR'),
(209, '01150', 'Leyment', '01', 'FR'),
(210, '01450', 'Leyssard', '01', 'FR'),
(211, '01420', 'Lh�pital', '01', 'FR'),
(212, '01680', 'Lhuis', '01', 'FR'),
(213, '01260', 'Lilignod', '01', 'FR'),
(214, '01260', 'Lochieu', '01', 'FR'),
(215, '01680', 'Lompnas', '01', 'FR'),
(216, '01260', 'Lompnieu', '01', 'FR'),
(217, '01800', 'Loyes', '01', 'FR'),
(218, '01360', 'Loyettes', '01', 'FR'),
(219, '01090', 'Lurcy', '01', 'FR'),
(220, '01260', 'Luth�zieu', '01', 'FR'),
(221, '01300', 'Magnieu', '01', 'FR'),
(222, '01430', 'Maillat', '01', 'FR'),
(223, '01340', 'Malafretaz', '01', 'FR'),
(224, '01560', 'Mantenay Montlin', '01', 'FR'),
(225, '01570', 'Manziat', '01', 'FR'),
(226, '01851', 'Marboz', '01', 'FR'),
(227, '01680', 'Marchamp', '01', 'FR'),
(228, '01300', 'Marignieu', '01', 'FR'),
(229, '01240', 'Marlieux', '01', 'FR'),
(230, '01340', 'Marsonnas', '01', 'FR'),
(231, '01810', 'Martignat', '01', 'FR'),
(232, '01600', 'Massieux', '01', 'FR'),
(233, '01300', 'Massignieu de Rives', '01', 'FR'),
(234, '01580', 'Matafelon Granges', '01', 'FR'),
(235, '01370', 'Meillonnas', '01', 'FR'),
(236, '01450', 'M�rignat', '01', 'FR'),
(237, '01480', 'Messimy sur Sa�ne', '01', 'FR'),
(238, '01800', 'Meximieux', '01', 'FR'),
(239, '01250', 'Bohas Meyriat Rignat', '01', 'FR'),
(240, '01660', 'M�z�riat', '01', 'FR'),
(241, '01170', 'Mijoux', '01', 'FR'),
(242, '01410', 'Mijoux', '01', 'FR'),
(243, '01390', 'Mionnay', '01', 'FR'),
(244, '01700', 'Miribel', '01', 'FR'),
(245, '01600', 'Mis�rieux', '01', 'FR'),
(246, '01280', 'Mo�ns', '01', 'FR'),
(247, '01140', 'Mogneneins', '01', 'FR'),
(248, '01800', 'Mollon', '01', 'FR'),
(249, '01250', 'Montagnat', '01', 'FR'),
(250, '01470', 'Montagnieu', '01', 'FR'),
(251, '01200', 'Montanges', '01', 'FR'),
(252, '01090', 'Montceaux', '01', 'FR'),
(253, '01310', 'Montcet', '01', 'FR'),
(254, '01800', 'Le Montellier', '01', 'FR'),
(255, '01390', 'Monthieux', '01', 'FR'),
(256, '01120', 'Montluel', '01', 'FR'),
(257, '01090', 'Montmerle sur Sa�ne', '01', 'FR'),
(258, '01310', 'Montracol', '01', 'FR'),
(259, '01460', 'Montr�al la Cluse', '01', 'FR'),
(260, '01340', 'Montrevel en Bresse', '01', 'FR'),
(261, '01460', 'Nurieux Volognat', '01', 'FR'),
(262, '01300', 'Murs et G�lignieux', '01', 'FR'),
(263, '01460', 'Nantua', '01', 'FR'),
(264, '01130', 'Nantua', '01', 'FR'),
(265, '01580', 'Napt', '01', 'FR'),
(266, '01300', 'Nattages', '01', 'FR'),
(267, '01400', 'Neuville les Dames', '01', 'FR'),
(268, '01160', 'Neuville sur Ain', '01', 'FR'),
(269, '01130', 'Les Neyrolles', '01', 'FR'),
(270, '01700', 'Neyron', '01', 'FR'),
(271, '01120', 'Ni�vroz', '01', 'FR'),
(272, '01230', 'Nivollet Montgriffon', '01', 'FR'),
(273, '01200', 'Ochiaz', '01', 'FR'),
(274, '01230', 'Oncieu', '01', 'FR'),
(275, '01510', 'Ordonnaz', '01', 'FR'),
(276, '01210', 'Ornex', '01', 'FR'),
(277, '01430', 'Outriaz', '01', 'FR'),
(278, '01100', 'Oyonnax', '01', 'FR'),
(279, '01190', 'Ozan', '01', 'FR'),
(280, '01600', 'Parcieux', '01', 'FR'),
(281, '01300', 'Parves', '01', 'FR'),
(282, '01260', 'Passin', '01', 'FR'),
(283, '01630', 'P�ron', '01', 'FR'),
(284, '01960', 'P�ronnas', '01', 'FR'),
(285, '01800', 'P�rouges', '01', 'FR'),
(286, '01540', 'Perrex', '01', 'FR'),
(287, '01260', 'Le Petit Abergement', '01', 'FR'),
(288, '01430', 'Peyriat', '01', 'FR'),
(289, '01300', 'Peyrieu', '01', 'FR'),
(290, '01140', 'Peyzieux sur Sa�ne', '01', 'FR'),
(291, '01270', 'Pirajoux', '01', 'FR'),
(292, '01120', 'Pizay', '01', 'FR'),
(293, '01130', 'Plagne', '01', 'FR'),
(294, '01330', 'Le Plantay', '01', 'FR'),
(295, '01130', 'Le Poizat', '01', 'FR'),
(296, '01310', 'Polliat', '01', 'FR'),
(297, '01350', 'Pollieu', '01', 'FR'),
(298, '01450', 'Poncin', '01', 'FR'),
(299, '01160', 'Pont d''Ain', '01', 'FR'),
(300, '01190', 'Pont de Vaux', '01', 'FR'),
(301, '01290', 'Pont de Veyle', '01', 'FR'),
(302, '01460', 'Port', '01', 'FR'),
(303, '01550', 'Pougny', '01', 'FR'),
(304, '01250', 'Pouillat', '01', 'FR'),
(305, '01300', 'Pr�meyzel', '01', 'FR'),
(306, '01110', 'Pr�millieu', '01', 'FR'),
(307, '01510', 'Pr�millieu', '01', 'FR'),
(308, '01370', 'Pressiat', '01', 'FR'),
(309, '01280', 'Pr�vessin Moens', '01', 'FR'),
(310, '01160', 'Priay', '01', 'FR'),
(311, '01510', 'Pugieu', '01', 'FR'),
(312, '01250', 'Ramasse', '01', 'FR'),
(313, '01390', 'Ranc�', '01', 'FR'),
(314, '01990', 'Relevant', '01', 'FR'),
(315, '01620', 'Replonges', '01', 'FR'),
(316, '01250', 'Revonnas', '01', 'FR'),
(317, '01600', 'Reyrieux', '01', 'FR'),
(318, '01190', 'Reyssouze', '01', 'FR'),
(319, '01250', 'Rignat', '01', 'FR'),
(320, '01800', 'Rignieux le Franc', '01', 'FR'),
(321, '01250', 'Roman�che', '01', 'FR'),
(322, '01400', 'Romans', '01', 'FR'),
(323, '01510', 'Rossillon', '01', 'FR'),
(324, '01260', 'Ruffieu', '01', 'FR'),
(325, '01450', 'Saint Alban', '01', 'FR'),
(326, '01380', 'Saint Andr� de B�g�', '01', 'FR'),
(327, '01390', 'Saint Andr� de Corcy', '01', 'FR'),
(328, '01290', 'Saint Andr� d''Huiriat', '01', 'FR'),
(329, '01240', 'Saint Andr� le Bouchoux', '01', 'FR'),
(330, '01240', 'Saint Andr� sur Vieux Jonc', '01', 'FR'),
(331, '01190', 'Saint B�nigne', '01', 'FR'),
(332, '01300', 'Saint Beno�t', '01', 'FR'),
(333, '01600', 'St Bernard', '01', 'FR'),
(334, '01300', 'Saint Bois', '01', 'FR'),
(335, '01300', 'Saint Champ Chatonod', '01', 'FR'),
(336, '01120', 'Ste Croix', '01', 'FR'),
(337, '01380', 'Saint Cyr sur Menthon', '01', 'FR'),
(338, '01000', 'Saint Denis l�s Bourg', '01', 'FR'),
(339, '01500', 'Saint Denis en Bugey', '01', 'FR'),
(340, '01340', 'Saint Didier d''Aussiat', '01', 'FR'),
(341, '01600', 'Saint Didier de Formans', '01', 'FR'),
(342, '01140', 'Saint Didier sur Chalaronne', '01', 'FR'),
(343, '01800', 'Saint �loi', '01', 'FR'),
(344, '01370', 'Saint �tienne du Bois', '01', 'FR'),
(345, '01140', 'Saint �tienne sur Chalaronne', '01', 'FR'),
(346, '01190', 'Saint �tienne sur Reyssouze', '01', 'FR'),
(347, '01600', 'Sainte Euph�mie', '01', 'FR'),
(348, '01630', 'Saint Genis Pouilly', '01', 'FR'),
(349, '01380', 'Saint Genis sur Menthon', '01', 'FR'),
(350, '01400', 'Saint Georges sur Renon', '01', 'FR'),
(351, '01130', 'Saint Germain de Joux', '01', 'FR'),
(352, '01300', 'Saint Germain les Paroisses', '01', 'FR'),
(353, '01240', 'Saint Germain sur Renon', '01', 'FR'),
(354, '01630', 'Saint Jean de Gonville', '01', 'FR'),
(355, '01800', 'Saint Jean de Niost', '01', 'FR'),
(356, '01390', 'Saint Jean de Thurigneux', '01', 'FR'),
(357, '01640', 'St Jean le Vieux', '01', 'FR'),
(358, '01560', 'Saint Jean sur Reyssouze', '01', 'FR'),
(359, '01290', 'Saint Jean sur Veyle', '01', 'FR'),
(360, '01150', 'Sainte Julie', '01', 'FR'),
(361, '01560', 'Saint Julien sur Reyssouze', '01', 'FR'),
(362, '01540', 'Saint Julien sur Veyle', '01', 'FR'),
(363, '01250', 'St Just', '01', 'FR'),
(364, '01620', 'Saint Laurent sur Sa�ne', '01', 'FR'),
(365, '01390', 'St Marcel', '01', 'FR'),
(366, '01510', 'Saint Martin de Bavel', '01', 'FR'),
(367, '01430', 'Saint Martin du Fr�ne', '01', 'FR'),
(368, '01160', 'Saint Martin du Mont', '01', 'FR'),
(369, '01310', 'Saint Martin le Ch�tel', '01', 'FR'),
(370, '01700', 'Saint Maurice de Beynost', '01', 'FR'),
(371, '01800', 'Saint Maurice de Gourdans', '01', 'FR'),
(372, '01500', 'Saint Maurice de R�mens', '01', 'FR'),
(373, '01560', 'Saint Nizier le Bouchoux', '01', 'FR'),
(374, '01320', 'Saint Nizier le D�sert', '01', 'FR'),
(375, '01330', 'Sainte Olive', '01', 'FR'),
(376, '01240', 'Saint Paul de Varax', '01', 'FR'),
(377, '01230', 'Saint Rambert en Bugey', '01', 'FR'),
(378, '01310', 'Saint R�my', '01', 'FR'),
(379, '01150', 'Saint Sorlin en Bugey', '01', 'FR'),
(380, '01340', 'St Sulpice', '01', 'FR'),
(381, '01560', 'Saint Trivier de Courtes', '01', 'FR'),
(382, '01990', 'Saint Trivier sur Moignans', '01', 'FR'),
(383, '01150', 'Saint Vulbas', '01', 'FR'),
(384, '01270', 'Salavre', '01', 'FR'),
(385, '01580', 'Samognat', '01', 'FR'),
(386, '01400', 'Sandrans', '01', 'FR'),
(387, '01150', 'Sault Br�naz', '01', 'FR'),
(388, '01220', 'Sauverny', '01', 'FR'),
(389, '01480', 'avigneux', '01', 'FR'),
(390, '01170', 'S�gny', '01', 'FR'),
(391, '01470', 'Seillonnaz', '01', 'FR'),
(392, '01630', 'Sergy', '01', 'FR'),
(393, '01190', 'Sermoyer', '01', 'FR'),
(394, '01470', 'Serri�res de Briord', '01', 'FR'),
(395, '01450', 'Serri�res sur Ain', '01', 'FR'),
(396, '01240', 'Servas', '01', 'FR'),
(397, '01560', 'Servignat', '01', 'FR'),
(398, '01420', 'Seyssel', '01', 'FR'),
(399, '01250', 'Simandre sur Suran', '01', 'FR'),
(400, '01260', 'Songieu', '01', 'FR'),
(401, '01580', 'Sonthonnax la Montagne', '01', 'FR'),
(402, '01150', 'Souclin', '01', 'FR'),
(403, '01400', 'Sulignat', '01', 'FR'),
(404, '01420', 'Surjoux', '01', 'FR'),
(405, '01260', 'Sutrieu', '01', 'FR'),
(406, '01510', 'Talissieu', '01', 'FR'),
(407, '01230', 'Tenay', '01', 'FR'),
(408, '01110', 'Th�zillieu', '01', 'FR'),
(409, '01120', 'Thil', '01', 'FR'),
(410, '01710', 'Thoiry', '01', 'FR'),
(411, '01140', 'Thoissey', '01', 'FR'),
(412, '01230', 'Torcieu', '01', 'FR'),
(413, '01250', 'Tossiat', '01', 'FR'),
(414, '01600', 'Toussieux', '01', 'FR'),
(415, '01390', 'Tramoyes', '01', 'FR'),
(416, '01160', 'La Trancli�re', '01', 'FR'),
(417, '01370', 'Treffort Cuisiat', '01', 'FR'),
(418, '01600', 'Tr�voux', '01', 'FR'),
(419, '01140', 'Valeins', '01', 'FR'),
(420, '01660', 'Vandeins', '01', 'FR'),
(421, '01160', 'Varambon', '01', 'FR'),
(422, '01150', 'Vaux en Bugey', '01', 'FR'),
(423, '01270', 'Verjon', '01', 'FR'),
(424, '01560', 'Vernoux', '01', 'FR'),
(425, '01330', 'Versailleux', '01', 'FR'),
(426, '01210', 'Versonnex', '01', 'FR'),
(427, '01170', 'Vesancy', '01', 'FR'),
(428, '01560', 'Vescours', '01', 'FR'),
(429, '01570', 'V�sines', '01', 'FR'),
(430, '01100', 'Veyziat', '01', 'FR'),
(431, '01430', 'Vieu d''Izenave', '01', 'FR'),
(432, '01260', 'Vieu', '01', 'FR'),
(433, '01330', 'Villars les Dombes', '01', 'FR'),
(434, '01150', 'Villebois', '01', 'FR'),
(435, '01270', 'Villemotier', '01', 'FR'),
(436, '01480', 'Villeneuve', '01', 'FR'),
(437, '01250', 'Villereversure', '01', 'FR'),
(438, '01200', 'Villes', '01', 'FR'),
(439, '01320', 'Villette sur Ain', '01', 'FR'),
(440, '01800', 'Villieu Loyes Mollon', '01', 'FR'),
(441, '01440', 'Viriat', '01', 'FR'),
(442, '01510', 'Virieu le Grand', '01', 'FR'),
(443, '01260', 'Virieu le Petit', '01', 'FR'),
(444, '01300', 'Virignin', '01', 'FR'),
(445, '01460', 'Volognat', '01', 'FR'),
(446, '01350', 'Vongnes', '01', 'FR'),
(447, '01540', 'Vonnas', '01', 'FR'),
(448, '01200', 'Vouvray', '01', 'FR'),
(449, '01360', 'La Valbonne', '01', 'FR'),
(450, '01120', 'Ch�nes', '01', 'FR'),
(451, '01800', 'Marfoz', '01', 'FR'),
(452, '01700', 'Le Mas Rillier', '01', 'FR'),
(453, '02300', 'Abb�court', '02', 'FR'),
(454, '02800', 'Achery', '02', 'FR'),
(455, '02200', 'Acy', '02', 'FR'),
(456, '02340', 'Agnicourt et S�chelles', '02', 'FR'),
(457, '02190', 'Aguilcourt', '02', 'FR'),
(458, '02110', 'Aisonville et Bernoville', '02', 'FR'),
(459, '02820', 'Aizelles', '02', 'FR'),
(460, '02370', 'Aizy Jouy', '02', 'FR'),
(461, '02240', 'Alaincourt', '02', 'FR'),
(462, '02320', 'Allemant', '02', 'FR'),
(463, '02290', 'Ambleny', '02', 'FR'),
(464, '02200', 'Ambrief', '02', 'FR'),
(465, '02190', 'Amifontaine', '02', 'FR'),
(466, '02700', 'Amigny Rouy', '02', 'FR'),
(467, '02600', 'Ancienville', '02', 'FR'),
(468, '02800', 'Andelain', '02', 'FR'),
(469, '02800', 'Anguilcourt le Sart', '02', 'FR'),
(470, '02320', 'Anizy le Ch�teau', '02', 'FR'),
(471, '02480', 'Annois', '02', 'FR'),
(472, '02500', 'Any Martin Rieux', '02', 'FR'),
(473, '02360', 'Archon', '02', 'FR'),
(474, '02130', 'Arcy Sainte Restitue', '02', 'FR'),
(475, '02210', 'Armenti�res sur Ourcq', '02', 'FR'),
(476, '02860', 'Arrancy', '02', 'FR'),
(477, '02480', 'Artemps', '02', 'FR'),
(478, '02330', 'Artonges', '02', 'FR'),
(479, '02270', 'Assis sur Serre', '02', 'FR'),
(480, '02840', 'Athies sous Laon', '02', 'FR'),
(481, '02490', 'Attilly', '02', 'FR'),
(482, '02420', 'Aubencheul aux Bois', '02', 'FR'),
(483, '02500', 'Aubenton', '02', 'FR'),
(484, '02590', 'Aubigny aux Kaisnes', '02', 'FR'),
(485, '02820', 'Aubigny en Laonnois', '02', 'FR'),
(486, '02300', 'Audignicourt', '02', 'FR'),
(487, '02120', 'Audigny', '02', 'FR'),
(488, '02220', 'Augy', '02', 'FR'),
(489, '02000', 'Aulnois sous Laon', '02', 'FR'),
(490, '02360', 'Les Autels', '02', 'FR'),
(491, '02250', 'Autremencourt', '02', 'FR'),
(492, '02580', 'Autreppes', '02', 'FR'),
(493, '02300', 'Autreville', '02', 'FR'),
(494, '02400', 'Azy sur Marne', '02', 'FR'),
(495, '02290', 'Bagneux', '02', 'FR'),
(496, '02140', 'Bancigny', '02', 'FR'),
(497, '02160', 'Barbonval', '02', 'FR'),
(498, '02000', 'Barenton Bugny', '02', 'FR'),
(499, '02000', 'Barenton Cel', '02', 'FR'),
(500, '02270', 'Barenton sur Serre', '02', 'FR'),
(501, '02700', 'Barisis', '02', 'FR'),
(502, '02170', 'Barzy en Thi�rache', '02', 'FR'),
(503, '02850', 'Barzy sur Marne', '02', 'FR'),
(504, '02380', 'Bassoles Aulers', '02', 'FR'),
(505, '02330', 'Baulne en Brie', '02', 'FR'),
(506, '02220', 'Bazoches sur Vesles', '02', 'FR'),
(507, '02500', 'Beaum�', '02', 'FR'),
(508, '02300', 'Beaumont en Beine', '02', 'FR'),
(509, '02110', 'Beaurevoir', '02', 'FR'),
(510, '02160', 'Beaurieux', '02', 'FR'),
(511, '02800', 'Beautor', '02', 'FR'),
(512, '02590', 'Beauvois en Vermandois', '02', 'FR'),
(513, '02110', 'Becquigny', '02', 'FR'),
(514, '02400', 'Belleau', '02', 'FR'),
(515, '02420', 'Bellenglise', '02', 'FR'),
(516, '02200', 'Belleu', '02', 'FR'),
(517, '02420', 'Bellicourt', '02', 'FR'),
(518, '02440', 'Benay', '02', 'FR'),
(519, '02450', 'Bergues sur Sambre', '02', 'FR'),
(520, '02250', 'Berlancourt', '02', 'FR'),
(521, '02340', 'Berlise', '02', 'FR'),
(522, '02120', 'Bernot', '02', 'FR'),
(523, '02290', 'Berny Rivi�re', '02', 'FR'),
(524, '02820', 'Berrieux', '02', 'FR'),
(525, '02190', 'Berry au Bac', '02', 'FR'),
(526, '02800', 'Bertaucourt �pourdon', '02', 'FR'),
(527, '02240', 'Berthenicourt', '02', 'FR'),
(528, '02190', 'Bertricourt', '02', 'FR'),
(529, '02200', 'Berzy le Sec', '02', 'FR'),
(530, '02300', 'Besm�', '02', 'FR'),
(531, '02500', 'Besmont', '02', 'FR'),
(532, '02870', 'Besny et Loizy', '02', 'FR'),
(533, '02300', 'B�thancourt en Vaux', '02', 'FR'),
(534, '02210', 'Beugneux', '02', 'FR'),
(535, '02130', 'Beuvardes', '02', 'FR'),
(536, '02310', 'B�zu le Gu�ry', '02', 'FR'),
(537, '02400', 'B�zu Saint Germain', '02', 'FR'),
(538, '02300', 'Bichancourt', '02', 'FR'),
(539, '02290', 'Bieuxy', '02', 'FR'),
(540, '02860', 'Bi�vres', '02', 'FR'),
(541, '02200', 'Billy sur Aisne', '02', 'FR'),
(542, '02210', 'Billy sur Ourcq', '02', 'FR'),
(543, '02160', 'Blanzy l�s Fismes', '02', 'FR'),
(544, '02300', 'Bl�rancourt', '02', 'FR'),
(545, '02400', 'Blesmes', '02', 'FR'),
(546, '02110', 'Bohain en Vermandois', '02', 'FR'),
(547, '02270', 'Bois l�s Pargny', '02', 'FR'),
(548, '02350', 'Boncourt', '02', 'FR'),
(549, '02400', 'Bonneil', '02', 'FR'),
(550, '02400', 'Bonnesvalyn', '02', 'FR'),
(551, '02420', 'Bony', '02', 'FR'),
(552, '02250', 'Bosmont sur Serre', '02', 'FR'),
(553, '02860', 'Bouconville Vauclair', '02', 'FR'),
(554, '02450', 'Bou�', '02', 'FR'),
(555, '02160', 'Bouffignereux', '02', 'FR'),
(556, '02400', 'Bouresches', '02', 'FR'),
(557, '02160', 'Bourg et Comin', '02', 'FR'),
(558, '02300', 'Bourguignon sous Coucy', '02', 'FR'),
(559, '02000', 'Bourguignon sous Montbavin', '02', 'FR'),
(560, '02140', 'La Bouteille', '02', 'FR'),
(561, '02220', 'Braine', '02', 'FR'),
(562, '02320', 'Brancourt en Laonnois', '02', 'FR'),
(563, '02110', 'Brancourt le Grand', '02', 'FR'),
(564, '02130', 'Branges', '02', 'FR'),
(565, '02400', 'Brasles', '02', 'FR'),
(566, '02000', 'Braye en Laonnois', '02', 'FR'),
(567, '02140', 'Braye en Thi�rache', '02', 'FR'),
(568, '02480', 'Bray Saint Christophe', '02', 'FR'),
(569, '02880', 'Braye', '02', 'FR'),
(570, '02210', 'Br�cy', '02', 'FR'),
(571, '02220', 'Brenelle', '02', 'FR'),
(572, '02210', 'Br�ny', '02', 'FR'),
(573, '02870', 'Brie', '02', 'FR'),
(574, '02240', 'Brissay Choigny', '02', 'FR'),
(575, '02240', 'Brissy Ham�gicourt', '02', 'FR'),
(576, '02810', 'Brumetz', '02', 'FR'),
(577, '02360', 'Brunehamel', '02', 'FR'),
(578, '02130', 'Bruy�res sur F�re', '02', 'FR'),
(579, '02860', 'Bruy�res et Montb�rault', '02', 'FR'),
(580, '02220', 'Bruys', '02', 'FR'),
(581, '02500', 'Bucilly', '02', 'FR'),
(582, '02880', 'Bucy le Long', '02', 'FR'),
(583, '02870', 'Bucy l�s Cerny', '02', 'FR'),
(584, '02350', 'Bucy l�s Pierrepont', '02', 'FR'),
(585, '02500', 'Buire', '02', 'FR'),
(586, '02620', 'Buironfosse', '02', 'FR'),
(587, '02140', 'Burelles', '02', 'FR'),
(588, '02810', 'Bussiares', '02', 'FR'),
(589, '02200', 'Buzancy', '02', 'FR'),
(590, '02300', 'Caillou�l Cr�pigny', '02', 'FR'),
(591, '02300', 'Camelin', '02', 'FR'),
(592, '02260', 'Capelle', '02', 'FR'),
(593, '02680', 'Castres', '02', 'FR'),
(594, '02420', 'Le Catelet', '02', 'FR'),
(595, '02490', 'Caulaincourt', '02', 'FR'),
(596, '02300', 'Caumont', '02', 'FR'),
(597, '02330', 'Celles l�s Cond�', '02', 'FR'),
(598, '02540', 'Celle sous Montmirail', '02', 'FR'),
(599, '02370', 'Celles sur Aisne', '02', 'FR'),
(600, '02240', 'Cerizy', '02', 'FR'),
(601, '02860', 'Cerny en Laonnois', '02', 'FR'),
(602, '02870', 'Cerny l�s Bucy', '02', 'FR'),
(603, '02220', 'Cerseuil', '02', 'FR'),
(604, '02320', 'Cessi�res', '02', 'FR'),
(605, '02200', 'Chacrise', '02', 'FR'),
(606, '02000', 'Chaillevois', '02', 'FR'),
(607, '02270', 'Chalandry', '02', 'FR'),
(608, '02000', 'Chambry', '02', 'FR'),
(609, '02860', 'Chamouille', '02', 'FR'),
(610, '02670', 'Champs', '02', 'FR'),
(611, '02340', 'Chaourse', '02', 'FR'),
(612, '02330', 'La Chapelle Monthodon', '02', 'FR'),
(613, '02570', 'La Chapelle sur Ch�zy', '02', 'FR'),
(614, '02310', 'Charly', '02', 'FR'),
(615, '02850', 'Le Charmel', '02', 'FR'),
(616, '02800', 'Charmes', '02', 'FR'),
(617, '02400', 'Chart�ves', '02', 'FR'),
(618, '02370', 'Chassemy', '02', 'FR'),
(619, '02400', 'Ch�teau Thierry', '02', 'FR'),
(620, '02270', 'Ch�tillon l�s Sons', '02', 'FR'),
(621, '02240', 'Ch�tillon sur Oise', '02', 'FR'),
(622, '02160', 'Chaudardes', '02', 'FR'),
(623, '02200', 'Chaudun', '02', 'FR'),
(624, '02300', 'Chauny', '02', 'FR'),
(625, '02000', 'Chavignon', '02', 'FR'),
(626, '02880', 'Chavigny', '02', 'FR'),
(627, '02370', 'Chavonne', '02', 'FR'),
(628, '02860', 'Ch�ret', '02', 'FR'),
(629, '02860', 'Chermizy Ailles', '02', 'FR'),
(630, '02220', 'Ch�ry Chartreuve', '02', 'FR'),
(631, '02000', 'Ch�ry l�s Pouilly', '02', 'FR'),
(632, '02360', 'Ch�ry l�s Rozoy', '02', 'FR'),
(633, '02250', 'Chevennes', '02', 'FR'),
(634, '02000', 'Chevregny', '02', 'FR'),
(635, '02270', 'Chevresis Monceau', '02', 'FR'),
(636, '02810', 'Ch�zy en Orxois', '02', 'FR'),
(637, '02570', 'Ch�zy sur Marne', '02', 'FR'),
(638, '02400', 'Chierry', '02', 'FR'),
(639, '02120', 'Chigny', '02', 'FR'),
(640, '02350', 'Chivres en Laonnois', '02', 'FR'),
(641, '02880', 'Chivres Val', '02', 'FR'),
(642, '02000', 'Chivy l�s �touvelles', '02', 'FR'),
(643, '02210', 'Chouy', '02', 'FR'),
(644, '02130', 'Cierges', '02', 'FR'),
(645, '02250', 'Cilly', '02', 'FR'),
(646, '02220', 'Ciry Salsogne', '02', 'FR'),
(647, '02000', 'Clacy et Thierret', '02', 'FR'),
(648, '02260', 'Clairfontaine', '02', 'FR'),
(649, '02880', 'Clamecy', '02', 'FR'),
(650, '02440', 'Clastres', '02', 'FR'),
(651, '02340', 'Clermont les Fermes', '02', 'FR'),
(652, '02600', 'Coeuvres et Valsery', '02', 'FR'),
(653, '02130', 'Cohan', '02', 'FR'),
(654, '02210', 'Coincy', '02', 'FR'),
(655, '02360', 'Coingt', '02', 'FR'),
(656, '02860', 'Colligis Crandelain', '02', 'FR'),
(657, '02120', 'Colonfay', '02', 'FR'),
(658, '02300', 'Commenchon', '02', 'FR'),
(659, '02160', 'Concevreux', '02', 'FR'),
(660, '02330', 'Cond� en Brie', '02', 'FR'),
(661, '02370', 'Cond� sur Aisne', '02', 'FR'),
(662, '02190', 'Cond� sur Suippe', '02', 'FR'),
(663, '02700', 'Condren', '02', 'FR'),
(664, '02330', 'Connigis', '02', 'FR'),
(665, '02680', 'Contescourt', '02', 'FR'),
(666, '02820', 'Corbeny', '02', 'FR'),
(667, '02600', 'Corcy', '02', 'FR'),
(668, '02380', 'Coucy le Ch�teau Auffrique', '02', 'FR'),
(669, '02840', 'Coucy l�s Eppes', '02', 'FR'),
(670, '02380', 'Coucy la Ville', '02', 'FR'),
(671, '02130', 'Coulonges Cohan', '02', 'FR'),
(672, '02310', 'Coupru', '02', 'FR'),
(673, '02800', 'Courbes', '02', 'FR'),
(674, '02330', 'Courboin', '02', 'FR'),
(675, '02220', 'Courcelles sur Vesles', '02', 'FR'),
(676, '02810', 'Courchamps', '02', 'FR'),
(677, '02200', 'Courmelles', '02', 'FR'),
(678, '02130', 'Courmont', '02', 'FR'),
(679, '02850', 'Courtemont Varennes', '02', 'FR'),
(680, '02820', 'Courtrizy et Fussigny', '02', 'FR'),
(681, '02220', 'Couvrelles', '02', 'FR'),
(682, '02270', 'Couvron et Aumencourt', '02', 'FR'),
(683, '02600', 'Coyolles', '02', 'FR'),
(684, '02130', 'Cramaille', '02', 'FR'),
(685, '02160', 'Craonne', '02', 'FR'),
(686, '02160', 'Craonnelle', '02', 'FR'),
(687, '02380', 'Cr�cy au Mont', '02', 'FR'),
(688, '02270', 'Cr�cy sur Serre', '02', 'FR'),
(689, '02870', 'Cr�py', '02', 'FR'),
(690, '02650', 'Cr�zancy', '02', 'FR'),
(691, '02110', 'Croix Fonsommes', '02', 'FR'),
(692, '02210', 'La Croix sur Ourcq', '02', 'FR'),
(693, '02310', 'Crouttes sur Marne', '02', 'FR'),
(694, '02880', 'Crouy', '02', 'FR'),
(695, '02120', 'Crupilly', '02', 'FR'),
(696, '02880', 'Cuffies', '02', 'FR'),
(697, '02480', 'Cugny', '02', 'FR'),
(698, '02210', 'Cugny l�s Crouttes', '02', 'FR'),
(699, '02350', 'Cuirieux', '02', 'FR'),
(700, '02220', 'Cuiry Housse', '02', 'FR'),
(701, '02160', 'Cuiry l�s Chaudardes', '02', 'FR'),
(702, '02360', 'Cuiry l�s Iviers', '02', 'FR'),
(703, '02160', 'Cuissy et Geny', '02', 'FR'),
(704, '02200', 'Cuisy en Almont', '02', 'FR'),
(705, '02600', 'Cutry', '02', 'FR'),
(706, '02220', 'Cys la Commune', '02', 'FR'),
(707, '02140', 'Dagny Lambercy', '02', 'FR'),
(708, '02680', 'Dallon', '02', 'FR'),
(709, '02470', 'Dammard', '02', 'FR'),
(710, '02600', 'Dampleux', '02', 'FR'),
(711, '02800', 'Danizy', '02', 'FR'),
(712, '02270', 'Dercy', '02', 'FR'),
(713, '02700', 'Deuillet', '02', 'FR'),
(714, '02220', 'Dhuizel', '02', 'FR'),
(715, '02340', 'Dizy le Gros', '02', 'FR'),
(716, '02360', 'Dohis', '02', 'FR'),
(717, '02360', 'Dolignon', '02', 'FR'),
(718, '02600', 'Dommiers', '02', 'FR'),
(719, '02310', 'Domptin', '02', 'FR'),
(720, '02450', 'Dorengt', '02', 'FR'),
(721, '02590', 'Douchy', '02', 'FR'),
(722, '02130', 'Dravegny', '02', 'FR'),
(723, '02210', 'Droizy', '02', 'FR'),
(724, '02480', 'Dury', '02', 'FR'),
(725, '02350', '�bouleau', '02', 'FR'),
(726, '02500', 'Effry', '02', 'FR'),
(727, '02260', 'Englancourt', '02', 'FR'),
(728, '02290', '�pagny', '02', 'FR'),
(729, '02500', '�parcy', '02', 'FR'),
(730, '02400', '�paux B�zu', '02', 'FR'),
(731, '02400', '�pieds', '02', 'FR'),
(732, '02540', 'L''�pine aux Bois', '02', 'FR'),
(733, '02840', 'Eppes', '02', 'FR'),
(734, '02250', 'Erlon', '02', 'FR'),
(735, '02260', 'Erloy', '02', 'FR'),
(736, '59360', 'Escaufourt', '59', 'FR'),
(737, '02170', 'Esqu�h�ries', '02', 'FR'),
(738, '02690', 'Essigny le Grand', '02', 'FR'),
(739, '02100', 'Essigny le Petit', '02', 'FR'),
(740, '02570', 'Essises', '02', 'FR'),
(741, '02400', 'Ess�mes sur Marne', '02', 'FR'),
(742, '02420', 'Estr�es', '02', 'FR'),
(743, '02400', '�tampes sur Marne', '02', 'FR'),
(744, '02110', '�taves et Bocquiaux', '02', 'FR'),
(745, '02000', '�touvelles', '02', 'FR'),
(746, '02580', '�tr�aupont', '02', 'FR'),
(747, '02590', '�treillers', '02', 'FR'),
(748, '02400', '�tr�pilly', '02', 'FR'),
(749, '02510', 'Etreux', '02', 'FR'),
(750, '02190', '�vergnicourt', '02', 'FR'),
(751, '02700', 'Fargniers', '02', 'FR'),
(752, '02320', 'Faucoucourt', '02', 'FR'),
(753, '02600', 'Faverolles', '02', 'FR'),
(754, '02100', 'Fayet', '02', 'FR'),
(755, '02800', 'La F�re', '02', 'FR'),
(756, '02130', 'F�re en Tardenois', '02', 'FR'),
(757, '02270', 'La Fert� Chevresis', '02', 'FR'),
(758, '02460', 'La Fert� Milon', '02', 'FR'),
(759, '02450', 'Fesmy le Sart', '02', 'FR'),
(760, '02840', 'Festieux', '02', 'FR'),
(761, '02110', 'Fieulaine', '02', 'FR'),
(762, '02000', 'Filain', '02', 'FR'),
(763, '02260', 'La Flamengrie', '02', 'FR'),
(764, '02120', 'Flavigny le Grand et Beaurain', '02', 'FR'),
(765, '02520', 'Flavy le Martel', '02', 'FR'),
(766, '02600', 'Fleury', '02', 'FR'),
(767, '02590', 'Fluqui�res', '02', 'FR'),
(768, '02670', 'Folembray', '02', 'FR'),
(769, '02110', 'Fonsommes', '02', 'FR'),
(770, '02680', 'Fontaine l�s Clercs', '02', 'FR'),
(771, '02140', 'Fontaine l�s Vervins', '02', 'FR'),
(772, '02110', 'Fontaine Notre Dame', '02', 'FR'),
(773, '02110', 'Fontaine Uterte', '02', 'FR'),
(774, '02170', 'Fontenelle', '02', 'FR'),
(775, '02540', 'Fontenelle en Brie', '02', 'FR'),
(776, '02290', 'Fontenoy', '02', 'FR'),
(777, '02590', 'Foreste', '02', 'FR'),
(778, '02650', 'Fossoy', '02', 'FR'),
(779, '02870', 'Fourdrain', '02', 'FR'),
(780, '02760', 'Francilly Selency', '02', 'FR'),
(781, '02140', 'Franqueville', '02', 'FR'),
(782, '02130', 'Fresnes en Tardenois', '02', 'FR'),
(783, '02380', 'Fresnes', '02', 'FR'),
(784, '02230', 'Fresnoy le Grand', '02', 'FR'),
(785, '02800', 'Fressancourt', '02', 'FR'),
(786, '02700', 'Fri�res Faillou�l', '02', 'FR'),
(787, '02260', 'Froidestr�es', '02', 'FR'),
(788, '02270', 'Froidmont Cohartille', '02', 'FR'),
(789, '02810', 'Gandelu', '02', 'FR'),
(790, '02430', 'Gauchy', '02', 'FR'),
(791, '02140', 'Gercy', '02', 'FR'),
(792, '02260', 'Gergny', '02', 'FR'),
(793, '02590', 'Germaine', '02', 'FR'),
(794, '02160', 'Gernicourt', '02', 'FR'),
(795, '02440', 'Gibercourt', '02', 'FR'),
(796, '02350', 'Gizy', '02', 'FR'),
(797, '02400', 'Gland', '02', 'FR'),
(798, '02160', 'Glennes', '02', 'FR'),
(799, '02820', 'Goudelancourt l�s Berrieux', '02', 'FR'),
(800, '02350', 'Goudelancourt l�s Pierrepont', '02', 'FR'),
(801, '02130', 'Goussancourt', '02', 'FR'),
(802, '02420', 'Gouy', '02', 'FR'),
(803, '02350', 'Grandlup et Fay', '02', 'FR'),
(804, '02360', 'Grandrieux', '02', 'FR'),
(805, '02100', 'Gricourt', '02', 'FR'),
(806, '02210', 'Grisolles', '02', 'FR'),
(807, '02140', 'Gronard', '02', 'FR'),
(808, '02110', 'Grougis', '02', 'FR'),
(809, '02680', 'Grugies', '02', 'FR'),
(810, '02190', 'Guignicourt', '02', 'FR'),
(811, '02120', 'Guise', '02', 'FR'),
(812, '02300', 'Guivry', '02', 'FR'),
(813, '02300', 'Guny', '02', 'FR'),
(814, '02160', 'Guyencourt', '02', 'FR'),
(815, '02510', 'Hannapes', '02', 'FR'),
(816, '02480', 'Happencourt', '02', 'FR'),
(817, '02600', 'Haramont', '02', 'FR'),
(818, '02140', 'Harcigny', '02', 'FR'),
(819, '02420', 'Hargicourt', '02', 'FR'),
(820, '02100', 'Harly', '02', 'FR'),
(821, '02210', 'Hartennes et Taux', '02', 'FR'),
(822, '02140', 'Hary', '02', 'FR'),
(823, '02420', 'Le Haucourt', '02', 'FR'),
(824, '02810', 'Hautevesnes', '02', 'FR'),
(825, '02120', 'Hauteville', '02', 'FR'),
(826, '02140', 'Haution', '02', 'FR'),
(827, '02500', 'La H�rie', '02', 'FR'),
(828, '02120', 'Le H�rie la Vi�ville', '02', 'FR'),
(829, '02440', 'Hinacourt', '02', 'FR'),
(830, '02500', 'Hirson', '02', 'FR'),
(831, '02760', 'Holnon', '02', 'FR'),
(832, '02720', 'Hombli�res', '02', 'FR'),
(833, '02140', 'Houry', '02', 'FR'),
(834, '02250', 'Housset', '02', 'FR'),
(835, '02510', 'Iron', '02', 'FR'),
(836, '02240', 'Itancourt', '02', 'FR'),
(837, '02360', 'Iviers', '02', 'FR'),
(838, '02850', 'Jaulgonne', '02', 'FR'),
(839, '02490', 'Jeancourt', '02', 'FR'),
(840, '02140', 'Jeantes', '02', 'FR'),
(841, '02420', 'Joncourt', '02', 'FR'),
(842, '02220', 'Jouaignes', '02', 'FR'),
(843, '02370', 'Jouy', '02', 'FR'),
(844, '02380', 'Jumencourt', '02', 'FR'),
(845, '02160', 'Jumigny', '02', 'FR'),
(846, '02480', 'Jussy', '02', 'FR'),
(847, '02880', 'Juvigny', '02', 'FR'),
(848, '02190', 'Juvincourt et Damary', '02', 'FR'),
(849, '02880', 'Laffaux', '02', 'FR'),
(850, '02140', 'Laigny', '02', 'FR'),
(851, '02590', 'Lanchy', '02', 'FR'),
(852, '02120', 'Landifay et Bertaignemont', '02', 'FR'),
(853, '02140', 'Landouzy la Cour', '02', 'FR'),
(854, '02140', 'Landouzy la Ville', '02', 'FR'),
(855, '02380', 'Landricourt', '02', 'FR'),
(856, '02000', 'Laniscourt', '02', 'FR'),
(857, '02000', 'Laon', '02', 'FR'),
(858, '02150', 'Lappion', '02', 'FR'),
(859, '02600', 'Largny sur Automne', '02', 'FR'),
(860, '02210', 'Latilly', '02', 'FR'),
(861, '02210', 'Launoy', '02', 'FR'),
(862, '02860', 'Laval en Laonnois', '02', 'FR'),
(863, '02450', 'Lavaqueresse', '02', 'FR'),
(864, '02600', 'Laversine', '02', 'FR'),
(865, '02140', 'Lem�', '02', 'FR'),
(866, '02420', 'Lempire', '02', 'FR'),
(867, '02260', 'Lerzy', '02', 'FR'),
(868, '02170', 'Leschelles', '02', 'FR'),
(869, '02100', 'Lesdins', '02', 'FR'),
(870, '02220', 'Lesges', '02', 'FR'),
(871, '02120', 'Lesquielles Saint Germain', '02', 'FR'),
(872, '02380', 'Leuilly sous Coucy', '02', 'FR'),
(873, '02880', 'Leury', '02', 'FR'),
(874, '02500', 'Leuze', '02', 'FR'),
(875, '02420', 'Levergies', '02', 'FR'),
(876, '02220', 'Lhuys', '02', 'FR'),
(877, '02810', 'Licy Clignon', '02', 'FR'),
(878, '02860', 'Lierval', '02', 'FR'),
(879, '02350', 'Liesse Notre Dame', '02', 'FR'),
(880, '02700', 'Liez', '02', 'FR'),
(881, '02220', 'Lim�', '02', 'FR'),
(882, '02340', 'Lislet', '02', 'FR'),
(883, '02320', 'Lizy', '02', 'FR'),
(884, '02500', 'Logny l�s Aubenton', '02', 'FR'),
(885, '02300', 'Lombray', '02', 'FR'),
(886, '02120', 'Longchamps', '02', 'FR'),
(887, '02600', 'Longpont', '02', 'FR'),
(888, '02160', 'Longueval Barbonval', '02', 'FR'),
(889, '02190', 'Lor', '02', 'FR'),
(890, '02600', 'Lou�tre', '02', 'FR'),
(891, '02130', 'Loupeigne', '02', 'FR'),
(892, '02400', 'Lucy le Bocage', '02', 'FR'),
(893, '02140', 'Lugny', '02', 'FR'),
(894, '02500', 'Luzoir', '02', 'FR'),
(895, '02440', 'Ly Fontaine', '02', 'FR'),
(896, '02220', 'Maast et Violaine', '02', 'FR'),
(897, '02350', 'M�checourt', '02', 'FR'),
(898, '02470', 'Macogny', '02', 'FR'),
(899, '02120', 'Macquigny', '02', 'FR'),
(900, '02420', 'Magny la Fosse', '02', 'FR'),
(901, '02490', 'Maissemy', '02', 'FR'),
(902, '02160', 'Maizy', '02', 'FR'),
(903, '02190', 'La Malmaison', '02', 'FR'),
(904, '02120', 'Malzy', '02', 'FR'),
(905, '02300', 'Manicamp', '02', 'FR'),
(906, '02350', 'Marchais', '02', 'FR'),
(907, '02540', 'Marchais en Brie', '02', 'FR'),
(908, '02720', 'Marcy', '02', 'FR'),
(909, '02250', 'Marcy sous Marle', '02', 'FR'),
(910, '02300', 'Marest Dampcourt', '02', 'FR'),
(911, '02130', 'Mareuil en D�le', '02', 'FR'),
(912, '02140', 'Marfontaine', '02', 'FR'),
(913, '02880', 'Margival', '02', 'FR'),
(914, '02810', 'Marigny en Orxois', '02', 'FR'),
(915, '02470', 'Marizy Sainte Genevi�ve', '02', 'FR'),
(916, '02470', 'Marizy Saint Mard', '02', 'FR'),
(917, '02250', 'Marle', '02', 'FR'),
(918, '02120', 'Marly Gomont', '02', 'FR'),
(919, '02500', 'Martigny', '02', 'FR'),
(920, '02860', 'Martigny Courpierre', '02', 'FR'),
(921, '02820', 'Mauregny en Haye', '02', 'FR'),
(922, '02800', 'Mayot', '02', 'FR'),
(923, '02700', 'Mennessis', '02', 'FR'),
(924, '02190', 'Menneville', '02', 'FR'),
(925, '02630', 'Mennevret', '02', 'FR'),
(926, '02200', 'Mercin et Vaux', '02', 'FR'),
(927, '02000', 'Merlieux et Fouquerolles', '02', 'FR'),
(928, '02160', 'Merval', '02', 'FR'),
(929, '02270', 'Mesbrecourt Richecourt', '02', 'FR'),
(930, '02720', 'Mesnil Saint Laurent', '02', 'FR'),
(931, '02160', 'Meurival', '02', 'FR'),
(932, '02240', 'M�zi�res sur Oise', '02', 'FR'),
(933, '02650', 'M�zy Moulins', '02', 'FR'),
(934, '02200', 'Missy aux Bois', '02', 'FR'),
(935, '02350', 'Missy l�s Pierrepont', '02', 'FR'),
(936, '02880', 'Missy sur Aisne', '02', 'FR'),
(937, '02110', 'Molain', '02', 'FR'),
(938, '02000', 'Molinchart', '02', 'FR'),
(939, '02000', 'Monampteuil', '02', 'FR'),
(940, '02270', 'Monceau le Neuf et Faucouzy', '02', 'FR'),
(941, '02270', 'Monceau l�s Leups', '02', 'FR'),
(942, '02840', 'Monceau le Waast', '02', 'FR'),
(943, '02120', 'Monceau sur Oise', '02', 'FR'),
(944, '02500', 'Mondrepuis', '02', 'FR'),
(945, '02470', 'Monnes', '02', 'FR'),
(946, '02000', 'Mons en Laonnois', '02', 'FR'),
(947, '02820', 'Montaigu', '02', 'FR'),
(948, '02000', 'Montbavin', '02', 'FR'),
(949, '02110', 'Montbrehain', '02', 'FR'),
(950, '02860', 'Montch�lons', '02', 'FR'),
(951, '02340', 'Montcornet', '02', 'FR'),
(952, '02390', 'Mont d''Origny', '02', 'FR'),
(953, '02440', 'Montescourt Lizerolles', '02', 'FR'),
(954, '02540', 'Montfaucon', '02', 'FR'),
(955, '02600', 'Montgobert', '02', 'FR'),
(956, '02210', 'Montgru Saint Hilaire', '02', 'FR'),
(957, '02860', 'Monthenault', '02', 'FR'),
(958, '02400', 'Monthiers', '02', 'FR'),
(959, '02330', 'Monthurel', '02', 'FR'),
(960, '02110', 'Montigny en Arrouaise', '02', 'FR'),
(961, '02810', 'Montigny l''Allier', '02', 'FR'),
(962, '02250', 'Montigny le Franc', '02', 'FR'),
(963, '02290', 'Montigny Lengrain', '02', 'FR'),
(964, '02330', 'Montigny l�s Cond�', '02', 'FR'),
(965, '02250', 'Montigny sous Marle', '02', 'FR'),
(966, '02270', 'Montigny sur Cr�cy', '02', 'FR'),
(967, '02330', 'Montlevon', '02', 'FR'),
(968, '02340', 'Montlou�', '02', 'FR'),
(969, '02220', 'Mont Notre Dame', '02', 'FR'),
(970, '02310', 'Montreuil aux Lions', '02', 'FR'),
(971, '02360', 'Mont Saint Jean', '02', 'FR'),
(972, '02220', 'Mont Saint Martin', '02', 'FR'),
(973, '02400', 'Mont Saint P�re', '02', 'FR'),
(974, '02100', 'orcourt', '02', 'FR'),
(975, '02360', 'Morgny en Thi�rache', '02', 'FR'),
(976, '02290', 'Morsain', '02', 'FR'),
(977, '02600', 'Mortefontaine', '02', 'FR'),
(978, '02270', 'Mortiers', '02', 'FR'),
(979, '02160', 'Moulins', '02', 'FR'),
(980, '02160', 'Moussy Verneuil', '02', 'FR'),
(981, '02610', 'Moy de l''Aisne', '02', 'FR'),
(982, '02210', 'Muret et Crouttes', '02', 'FR'),
(983, '02160', 'Muscourt', '02', 'FR'),
(984, '02140', 'Nampcelles la Cour', '02', 'FR'),
(985, '02200', 'Nampteuil sous Muret', '02', 'FR'),
(986, '02880', 'Nanteuil la Fosse', '02', 'FR'),
(987, '02210', 'Nanteuil Notre Dame', '02', 'FR'),
(988, '02420', 'Nauroy', '02', 'FR'),
(989, '02400', 'Nesles la Montagne', '02', 'FR'),
(990, '02190', 'Neufch�tel sur Aisne', '02', 'FR'),
(991, '02300', 'Neuflieux', '02', 'FR'),
(992, '02470', 'Neuilly Saint Front', '02', 'FR'),
(993, '02500', 'Neuve Maison', '02', 'FR'),
(994, '02250', 'La Neuville Bosmont', '02', 'FR'),
(995, '02300', 'La Neuville en Beine', '02', 'FR'),
(996, '02250', 'La Neuville Housset', '02', 'FR'),
(997, '02450', 'La Neuville l�s Dorengt', '02', 'FR'),
(998, '02100', 'Neuville Saint Amand', '02', 'FR'),
(999, '02860', 'Neuville sur Ailette', '02', 'FR'),
(1000, '02880', 'Neuville sur Margival', '02', 'FR'),
(1001, '02390', 'Neuvillette', '02', 'FR'),
(1002, '02150', 'Nizy le Comte', '02', 'FR'),
(1003, '02400', 'Nogentel', '02', 'FR'),
(1004, '02310', 'Nogent l''Artaud', '02', 'FR'),
(1005, '02340', 'Noircourt', '02', 'FR'),
(1006, '02600', 'Noroy sur Ourcq', '02', 'FR'),
(1007, '02170', 'Le Nouvion en Thi�rache', '02', 'FR'),
(1008, '02270', 'Nouvion et Catillon', '02', 'FR'),
(1009, '02800', 'Nouvion le Comte', '02', 'FR'),
(1010, '02860', 'Nouvion le Vineux', '02', 'FR'),
(1011, '02290', 'Nouvron Vingr�', '02', 'FR'),
(1012, '02120', 'Noyales', '02', 'FR'),
(1013, '02200', 'Noyant et Aconin', '02', 'FR'),
(1014, '02160', 'Oeuilly', '02', 'FR'),
(1015, '02300', 'Ognes', '02', 'FR'),
(1016, '02500', 'Ohis', '02', 'FR'),
(1017, '02600', 'Oigny en Valois', '02', 'FR'),
(1018, '02450', 'Oisy', '02', 'FR'),
(1019, '02480', 'Ollezy', '02', 'FR'),
(1020, '02100', 'Omissy', '02', 'FR'),
(1021, '02190', 'Orainville', '02', 'FR'),
(1022, '02860', 'Orgeval', '02', 'FR'),
(1023, '02550', 'Origny en Thi�rache', '02', 'FR'),
(1024, '02390', 'Origny Sainte Beno�te', '02', 'FR'),
(1025, '02290', 'Osly Courtil', '02', 'FR'),
(1026, '02370', 'Ostel', '02', 'FR'),
(1027, '02160', 'Oulches la Vall�e Foulon', '02', 'FR'),
(1028, '02210', 'Oulchy la Ville', '02', 'FR'),
(1029, '02210', 'Oulchy le Ch�teau', '02', 'FR'),
(1030, '02220', 'Paars', '02', 'FR'),
(1031, '02160', 'Paissy', '02', 'FR'),
(1032, '02860', 'Pancy Courtecon', '02', 'FR'),
(1033, '02260', 'Papleux', '02', 'FR'),
(1034, '02210', 'Parcy et Tigny', '02', 'FR'),
(1035, '02360', 'Parfondeval', '02', 'FR'),
(1036, '02840', 'Parfondru', '02', 'FR'),
(1037, '02160', 'Pargnan', '02', 'FR'),
(1038, '02000', 'Pargny Filain', '02', 'FR'),
(1039, '02330', 'Pargny la Dhuys', '02', 'FR'),
(1040, '02270', 'Pargny l�s Bois', '02', 'FR'),
(1041, '02240', 'Parpeville', '02', 'FR'),
(1042, '02200', 'Pasly', '02', 'FR'),
(1043, '02470', 'Passy en Valois', '02', 'FR'),
(1044, '02850', 'Passy sur Marne', '02', 'FR'),
(1045, '02310', 'Pavant', '02', 'FR'),
(1046, '02160', 'Perles', '02', 'FR'),
(1047, '02200', 'Pernant', '02', 'FR'),
(1048, '02300', 'Pierremande', '02', 'FR'),
(1049, '02350', 'Pierrepont', '02', 'FR'),
(1050, '02190', 'Pignicourt', '02', 'FR'),
(1051, '02320', 'Pinon', '02', 'FR'),
(1052, '02600', 'Pisseleux', '02', 'FR'),
(1053, '02480', 'Pithon', '02', 'FR'),
(1054, '02240', 'Pleine Selve', '02', 'FR'),
(1055, '02210', 'Le Plessier Huleu', '02', 'FR'),
(1056, '02200', 'Ploisy', '02', 'FR'),
(1057, '02140', 'Plomion', '02', 'FR'),
(1058, '02860', 'Ployart et Vaurseine', '02', 'FR'),
(1059, '02200', 'Pommiers', '02', 'FR'),
(1060, '02270', 'Pont �  Bucy', '02', 'FR'),
(1061, '02160', 'Pont Arcy', '02', 'FR'),
(1062, '02160', 'Pontavert', '02', 'FR'),
(1063, '02490', 'Pontru', '02', 'FR'),
(1064, '02490', 'Pontruet', '02', 'FR'),
(1065, '02380', 'Pont Saint Mard', '02', 'FR'),
(1066, '02270', 'Pouilly sur Serre', '02', 'FR'),
(1067, '02110', 'Pr�mont', '02', 'FR'),
(1068, '02320', 'Pr�montr�', '02', 'FR'),
(1069, '02370', 'Presles et Boves', '02', 'FR'),
(1070, '02860', 'Presles et Thierny', '02', 'FR'),
(1071, '02470', 'Priez', '02', 'FR'),
(1072, '02140', 'Prisces', '02', 'FR'),
(1073, '02120', 'Proisy', '02', 'FR'),
(1074, '02120', 'Proix', '02', 'FR'),
(1075, '02190', 'Prouvais', '02', 'FR'),
(1076, '02190', 'Proviseux et Plesnoy', '02', 'FR'),
(1077, '02600', 'Puiseux en Retz', '02', 'FR'),
(1078, '02120', 'Puisieux et Clanlieu', '02', 'FR'),
(1079, '02700', 'Quessy', '02', 'FR'),
(1080, '02300', 'Quierzy', '02', 'FR'),
(1081, '02380', 'Quincy Basse', '02', 'FR'),
(1082, '02220', 'Quincy sous le Mont', '02', 'FR'),
(1083, '02360', 'Raillimont', '02', 'FR'),
(1084, '02110', 'Ramicourt', '02', 'FR'),
(1085, '02240', 'Regny', '02', 'FR'),
(1086, '02100', 'Remaucourt', '02', 'FR'),
(1087, '02270', 'Remies', '02', 'FR'),
(1088, '02440', 'Remigny', '02', 'FR'),
(1089, '02240', 'Renansart', '02', 'FR'),
(1090, '02340', 'Renneval', '02', 'FR'),
(1091, '02360', 'R�signy', '02', 'FR'),
(1092, '02290', 'Ressons le Long', '02', 'FR'),
(1093, '02600', 'Retheuil', '02', 'FR'),
(1094, '02850', 'Reuilly Sauvigny', '02', 'FR'),
(1095, '02160', 'R�villon', '02', 'FR'),
(1096, '02110', 'Ribeauville', '02', 'FR'),
(1097, '02240', 'Ribemont', '02', 'FR'),
(1098, '02210', 'Rocourt Saint Martin', '02', 'FR'),
(1099, '02260', 'Rocquigny', '02', 'FR'),
(1100, '02800', 'Rog�court', '02', 'FR'),
(1101, '02140', 'Rogny', '02', 'FR'),
(1102, '02310', 'Romeny sur Marne', '02', 'FR'),
(1103, '02120', 'Romery', '02', 'FR'),
(1104, '02130', 'Ronch�res', '02', 'FR'),
(1105, '02160', 'Roucy', '02', 'FR'),
(1106, '02140', 'Rougeries', '02', 'FR'),
(1107, '02590', 'Roupy', '02', 'FR'),
(1108, '02100', 'Rouvroy', '02', 'FR'),
(1109, '02360', 'Rouvroy sur Serre', '02', 'FR'),
(1110, '02000', 'Royaucourt et Chailvet', '02', 'FR'),
(1111, '02210', 'Rozet Saint Albin', '02', 'FR'),
(1112, '02200', 'Rozi�res sur Crise', '02', 'FR'),
(1113, '02540', 'Rozoy Bellevalle', '02', 'FR'),
(1114, '02210', 'Grand Rozoy', '02', 'FR'),
(1115, '02360', 'Rozoy sur Serre', '02', 'FR'),
(1116, '02200', 'Saconin et Breuil', '02', 'FR'),
(1117, '02120', 'Sains Richaumont', '02', 'FR'),
(1118, '02330', 'Saint Agnan', '02', 'FR'),
(1119, '02260', 'Saint Algis', '02', 'FR'),
(1120, '02300', 'Saint Aubin', '02', 'FR'),
(1121, '02290', 'Saint Bandry', '02', 'FR'),
(1122, '02290', 'Saint Christophe �  Berry', '02', 'FR'),
(1123, '02360', 'Saint Cl�ment', '02', 'FR'),
(1124, '02820', 'Sainte Croix', '02', 'FR'),
(1125, '02820', 'Saint Erme Outre et Ramecourt', '02', 'FR'),
(1126, '02330', 'Saint Eug�ne', '02', 'FR'),
(1127, '02340', 'Ste Genevi�ve', '02', 'FR'),
(1128, '02810', 'Saint Gengoulph', '02', 'FR'),
(1129, '02410', 'Saint Gobain', '02', 'FR'),
(1130, '02140', 'Saint Gobert', '02', 'FR'),
(1131, '02220', 'St Mard', '02', 'FR'),
(1132, '02110', 'Saint Martin Rivi�re', '02', 'FR'),
(1133, '02830', 'Saint Michel', '02', 'FR'),
(1134, '02410', 'Saint Nicolas aux bois', '02', 'FR'),
(1135, '02300', 'Saint Paul aux Bois', '02', 'FR'),
(1136, '02600', 'Saint Pierre Aigle', '02', 'FR'),
(1137, '02140', 'St Pierre l�s Franqueville', '02', 'FR'),
(1138, '02250', 'Saint Pierremont', '02', 'FR'),
(1139, '02350', 'Sainte Preuve', '02', 'FR'),
(1140, '02100', 'Saint Quentin', '02', 'FR'),
(1141, '02210', 'Saint R�my Blanzy', '02', 'FR'),
(1142, '02640', 'Saint Simon', '02', 'FR'),
(1143, '02220', 'Saint Thibaut', '02', 'FR'),
(1144, '02820', 'Saint Thomas', '02', 'FR'),
(1145, '02840', 'Samoussy', '02', 'FR'),
(1146, '02880', 'Sancy les Cheminots', '02', 'FR'),
(1147, '02130', 'Saponay', '02', 'FR'),
(1148, '02450', 'Le Sart', '02', 'FR'),
(1149, '02310', 'Saulchery', '02', 'FR'),
(1150, '02590', 'Savy', '02', 'FR'),
(1151, '02110', 'Seboncourt', '02', 'FR'),
(1152, '02300', 'Selens', '02', 'FR'),
(1153, '02150', 'La Selve', '02', 'FR'),
(1154, '02200', 'Septmonts', '02', 'FR'),
(1155, '02410', 'Septvaux', '02', 'FR'),
(1156, '02420', 'Sequehart', '02', 'FR'),
(1157, '02110', 'Serain', '02', 'FR'),
(1158, '02790', 'S�raucourt le Grand', '02', 'FR'),
(1159, '02220', 'Serches', '02', 'FR'),
(1160, '02130', 'Sergy', '02', 'FR'),
(1161, '02130', 'Seringes et Nesles', '02', 'FR'),
(1162, '02220', 'Sermoise', '02', 'FR'),
(1163, '02160', 'Serval', '02', 'FR'),
(1164, '02700', 'Servais', '02', 'FR'),
(1165, '02240', 'S�ry l�s M�zi�res', '02', 'FR'),
(1166, '02460', 'Silly la Poterie', '02', 'FR'),
(1167, '02300', 'Sinceny', '02', 'FR'),
(1168, '02150', 'Sissonne', '02', 'FR'),
(1169, '02240', 'Sissy', '02', 'FR'),
(1170, '02200', 'Soissons', '02', 'FR'),
(1171, '02340', 'Soize', '02', 'FR'),
(1172, '02470', 'Sommelans', '02', 'FR'),
(1173, '02260', 'Sommeron', '02', 'FR'),
(1174, '02480', 'Sommette Eaucourt', '02', 'FR'),
(1175, '02270', 'Sons et Ronch�res', '02', 'FR'),
(1176, '02580', 'Sorbais', '02', 'FR'),
(1177, '02600', 'Soucy', '02', 'FR'),
(1178, '02160', 'Soupir', '02', 'FR'),
(1179, '02140', 'Le Sourd', '02', 'FR'),
(1180, '02240', 'Surfontaine', '02', 'FR'),
(1181, '02320', 'Suzy', '02', 'FR'),
(1182, '02600', 'Taillefontaine', '02', 'FR'),
(1183, '02220', 'Tanni�res', '02', 'FR'),
(1184, '02290', 'Tartiers', '02', 'FR'),
(1185, '02250', 'Tavaux et Ponts�ricourt', '02', 'FR'),
(1186, '02700', 'Tergnier', '02', 'FR'),
(1187, '02880', 'Terny Sorny', '02', 'FR'),
(1188, '02140', 'Thenailles', '02', 'FR'),
(1189, '02390', 'Thenelles', '02', 'FR'),
(1190, '02250', 'Thiernu', '02', 'FR'),
(1191, '02340', 'Thuel', '02', 'FR'),
(1192, '02810', 'Torcy en Valois', '02', 'FR'),
(1193, '02250', 'Toulis et Attencourt', '02', 'FR'),
(1194, '02800', 'Travecy', '02', 'FR'),
(1195, '02490', 'Trefcon', '02', 'FR'),
(1196, '02850', 'Tr�lou sur Marne', '02', 'FR'),
(1197, '02460', 'Tro�snes', '02', 'FR'),
(1198, '02300', 'Trosly Loire', '02', 'FR'),
(1199, '02860', 'Trucy', '02', 'FR'),
(1200, '02640', 'Tugny et Pont', '02', 'FR'),
(1201, '02120', 'Tupigny', '02', 'FR'),
(1202, '02300', 'Ugny le Gay', '02', 'FR'),
(1203, '02000', 'Urcel', '02', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(1204, '02690', 'Urvillers', '02', 'FR'),
(1205, '02120', 'Vadencourt', '02', 'FR'),
(1206, '02370', 'Vailly sur Aisne', '02', 'FR'),
(1207, '02140', 'La Vall�e au Bl�', '02', 'FR'),
(1208, '02110', 'La Vall�e Mul�tre', '02', 'FR'),
(1209, '02190', 'Variscourt', '02', 'FR'),
(1210, '02290', 'Vassens', '02', 'FR'),
(1211, '02220', 'Vasseny', '02', 'FR'),
(1212, '02160', 'Vassogne', '02', 'FR'),
(1213, '02000', 'Vaucelles et Beffecourt', '02', 'FR'),
(1214, '02320', 'Vaudesson', '02', 'FR'),
(1215, '02200', 'Vauxreziz', '02', 'FR'),
(1216, '02320', 'Vauxaillon', '02', 'FR'),
(1217, '02110', 'Vaux Andigny', '02', 'FR'),
(1218, '02200', 'Vauxbuin', '02', 'FR'),
(1219, '02160', 'Vauxc�r�', '02', 'FR'),
(1220, '02590', 'Vaux en Vermandois', '02', 'FR'),
(1221, '02220', 'Vauxtin', '02', 'FR'),
(1222, '02490', 'Vendelles', '02', 'FR'),
(1223, '02800', 'Vendeuil', '02', 'FR'),
(1224, '02420', 'Vendhuile', '02', 'FR'),
(1225, '02540', 'Vendi�res', '02', 'FR'),
(1226, '02160', 'Vendresse Beaulne', '02', 'FR'),
(1227, '02510', 'V�n�rolles', '02', 'FR'),
(1228, '02200', 'Venizel', '02', 'FR'),
(1229, '02400', 'Verdilly', '02', 'FR'),
(1230, '02490', 'Le Verguier', '02', 'FR'),
(1231, '02120', 'Grand Verly', '02', 'FR'),
(1232, '02630', 'Petit Verly', '02', 'FR'),
(1233, '02490', 'Vermand', '02', 'FR'),
(1234, '02380', 'Verneuil sous Coucy', '02', 'FR'),
(1235, '02000', 'Verneuil sur Serre', '02', 'FR'),
(1236, '02800', 'Versigny', '02', 'FR'),
(1237, '02140', 'Vervins', '02', 'FR'),
(1238, '02350', 'Vesles et Caumont', '02', 'FR'),
(1239, '02840', 'Veslud', '02', 'FR'),
(1240, '02810', 'Veuilly la Poterie', '02', 'FR'),
(1241, '02290', 'V�zaponin', '02', 'FR'),
(1242, '02130', 'V�zilly', '02', 'FR'),
(1243, '02290', 'Vic sur Aisne', '02', 'FR'),
(1244, '02210', 'Vichel Nanteuil', '02', 'FR'),
(1245, '02160', 'Viel Arcy', '02', 'FR'),
(1246, '02540', 'Viels Maisons', '02', 'FR'),
(1247, '02210', 'Vierzy', '02', 'FR'),
(1248, '02540', 'Viffort', '02', 'FR'),
(1249, '02340', 'Vigneux Hocquet', '02', 'FR'),
(1250, '02340', 'Ville aux Bois l�s Dizy', '02', 'FR'),
(1251, '02160', 'Ville aux Bois l�s Pontavert', '02', 'FR'),
(1252, '02210', 'Villemontoire', '02', 'FR'),
(1253, '02200', 'Villeneuve Saint Germain', '02', 'FR'),
(1254, '02130', 'Villeneuve sur F�re', '02', 'FR'),
(1255, '02300', 'Villequier Aumont', '02', 'FR'),
(1256, '02420', 'Villeret', '02', 'FR'),
(1257, '02130', 'Villers Agron Aiguizy', '02', 'FR'),
(1258, '02600', 'Villers Cotter�ts', '02', 'FR'),
(1259, '02160', 'Villers en Pray�res', '02', 'FR'),
(1260, '02600', 'Villers H�lon', '02', 'FR'),
(1261, '02240', 'Villers le Sec', '02', 'FR'),
(1262, '02120', 'Villers l�s Guise', '02', 'FR'),
(1263, '02590', 'Villers Saint Christophe', '02', 'FR'),
(1264, '02130', 'Villers sur F�re', '02', 'FR'),
(1265, '02220', 'Ville Savoye', '02', 'FR'),
(1266, '02310', 'Villiers St Denis', '02', 'FR'),
(1267, '02340', 'Vincy Reuil et Magny', '02', 'FR'),
(1268, '02300', 'Viry Noureuil', '02', 'FR'),
(1269, '02870', 'Vivaise', '02', 'FR'),
(1270, '02600', 'Vivi�res', '02', 'FR'),
(1271, '02140', 'Voharies', '02', 'FR'),
(1272, '02860', 'Vorges', '02', 'FR'),
(1273, '02700', 'Vou�l', '02', 'FR'),
(1274, '02140', 'Voulpaix', '02', 'FR'),
(1275, '02250', 'Voyenne', '02', 'FR'),
(1276, '02880', 'Vregny', '02', 'FR'),
(1277, '02880', 'Vuillery', '02', 'FR'),
(1278, '02630', 'Wassigny', '02', 'FR'),
(1279, '02830', 'Watigny', '02', 'FR'),
(1280, '02120', 'Wi�ge Faty', '02', 'FR'),
(1281, '02500', 'Wimy', '02', 'FR'),
(1282, '02320', 'Wissignicourt', '02', 'FR'),
(1283, '03200', 'Abrest', '03', 'FR'),
(1284, '03210', 'Agonges', '03', 'FR'),
(1285, '03360', 'Ainay le Ch�teau', '03', 'FR'),
(1286, '03120', 'Andelaroche', '03', 'FR'),
(1287, '03380', 'Archignat', '03', 'FR'),
(1288, '03640', 'Arfeuilles', '03', 'FR'),
(1289, '03420', 'Arpheuilles Saint Priest', '03', 'FR'),
(1290, '03250', 'Arronnes', '03', 'FR'),
(1291, '03460', 'Aubigny', '03', 'FR'),
(1292, '03190', 'Audes', '03', 'FR'),
(1293, '03460', 'Aurouer', '03', 'FR'),
(1294, '03210', 'Autry Issards', '03', 'FR'),
(1295, '03000', 'Avermes', '03', 'FR'),
(1296, '03130', 'Avrilly', '03', 'FR'),
(1297, '03460', 'Bagneux', '03', 'FR'),
(1298, '03140', 'Barberier', '03', 'FR'),
(1299, '03120', 'Barrais Bussolles', '03', 'FR'),
(1300, '03500', 'Bayet', '03', 'FR'),
(1301, '03230', 'Beaulon', '03', 'FR'),
(1302, '03390', 'Beaune d''Allier', '03', 'FR'),
(1303, '03800', 'B�gues', '03', 'FR'),
(1304, '03330', 'Bellenaves', '03', 'FR'),
(1305, '03700', 'Bellerive sur Allier', '03', 'FR'),
(1306, '03130', 'Bert', '03', 'FR'),
(1307, '03340', 'Bessay sur Allier', '03', 'FR'),
(1308, '03210', 'Besson', '03', 'FR'),
(1309, '03170', 'B�zenet', '03', 'FR'),
(1310, '03120', 'Billezois', '03', 'FR'),
(1311, '03260', 'Billy', '03', 'FR'),
(1312, '03800', 'Biozat', '03', 'FR'),
(1313, '03170', 'Bizeneuille', '03', 'FR'),
(1314, '03390', 'Blomard', '03', 'FR'),
(1315, '03300', 'Bost', '03', 'FR'),
(1316, '03150', 'Bouc�', '03', 'FR'),
(1317, '03130', 'Le Bouchaud', '03', 'FR'),
(1318, '03160', 'Bourbon l''Archambault', '03', 'FR'),
(1319, '03360', 'Braize', '03', 'FR'),
(1320, '03500', 'Bransat', '03', 'FR'),
(1321, '03210', 'Bresnay', '03', 'FR'),
(1322, '03000', 'Bressolles', '03', 'FR'),
(1323, '03350', 'Le Brethon', '03', 'FR'),
(1324, '03120', 'Le Breuil', '03', 'FR'),
(1325, '03110', 'Bro�t Vernet', '03', 'FR'),
(1326, '03700', 'Brugheas', '03', 'FR'),
(1327, '03270', 'Busset', '03', 'FR'),
(1328, '03440', 'Buxi�res les Mines', '03', 'FR'),
(1329, '03600', 'Celle', '03', 'FR'),
(1330, '03350', 'C�rilly', '03', 'FR'),
(1331, '03500', 'Cesset', '03', 'FR'),
(1332, '03250', 'Chabanne', '03', 'FR'),
(1333, '03370', 'Chamb�rat', '03', 'FR'),
(1334, '03170', 'Chamblet', '03', 'FR'),
(1335, '03140', 'Chantelle', '03', 'FR'),
(1336, '03340', 'Chapeau', '03', 'FR'),
(1337, '03380', 'La Chapelaude', '03', 'FR'),
(1338, '03300', 'La Chapelle', '03', 'FR'),
(1339, '03230', 'La Chapelle aux Chasses', '03', 'FR'),
(1340, '03390', 'Chappes', '03', 'FR'),
(1341, '03140', 'Chareil Cintrat', '03', 'FR'),
(1342, '03110', 'Charmeil', '03', 'FR'),
(1343, '03800', 'Charmes', '03', 'FR'),
(1344, '03140', 'Charroux', '03', 'FR'),
(1345, '03510', 'Chassenard', '03', 'FR'),
(1346, '03320', 'Ch�teau sur Allier', '03', 'FR'),
(1347, '03500', 'Ch�tel de Neuvre', '03', 'FR'),
(1348, '03250', 'Ch�tel Montagne', '03', 'FR'),
(1349, '03220', 'Ch�telperron', '03', 'FR'),
(1350, '03640', 'Ch�telus', '03', 'FR'),
(1351, '03210', 'Ch�tillon', '03', 'FR'),
(1352, '03440', 'Chavenon', '03', 'FR'),
(1353, '03220', 'Chavroches', '03', 'FR'),
(1354, '03370', 'Chazemais', '03', 'FR'),
(1355, '03210', 'Chemilly', '03', 'FR'),
(1356, '03230', 'Chevagnes', '03', 'FR'),
(1357, '03140', 'Chezelle', '03', 'FR'),
(1358, '03230', 'Ch�zy', '03', 'FR'),
(1359, '03330', 'Chirat l''�glise', '03', 'FR'),
(1360, '03450', 'Chouvigny', '03', 'FR'),
(1361, '03220', 'Cindr�', '03', 'FR'),
(1362, '03110', 'Cognat Lyonne', '03', 'FR'),
(1363, '03600', 'Colombier', '03', 'FR'),
(1364, '03600', 'Commentry', '03', 'FR'),
(1365, '03500', 'Contigny', '03', 'FR'),
(1366, '03430', 'Cosne d''Allier', '03', 'FR'),
(1367, '03000', 'Coulandon', '03', 'FR'),
(1368, '03470', 'Coulanges', '03', 'FR'),
(1369, '03320', 'Couleuvre', '03', 'FR'),
(1370, '03370', 'Cour�ais', '03', 'FR'),
(1371, '03330', 'Coutansouze', '03', 'FR'),
(1372, '03160', 'Couzon', '03', 'FR'),
(1373, '03150', 'Cr�chy', '03', 'FR'),
(1374, '03240', 'Cressanges', '03', 'FR'),
(1375, '03300', 'Creuzier le Neuf', '03', 'FR'),
(1376, '03300', 'Creuzier le Vieux', '03', 'FR'),
(1377, '03300', 'Cusset', '03', 'FR'),
(1378, '03140', 'Deneuille l�s Chantelle', '03', 'FR'),
(1379, '03170', 'Deneuille les Mines', '03', 'FR'),
(1380, '03630', 'D�sertines', '03', 'FR'),
(1381, '03240', 'Deux Chaises', '03', 'FR'),
(1382, '03290', 'Diou', '03', 'FR'),
(1383, '03490', 'Diou', '03', 'FR'),
(1384, '03410', 'Dom�rat', '03', 'FR'),
(1385, '03290', 'Dompierre sur Besbre', '03', 'FR'),
(1386, '03130', 'Le Donjon', '03', 'FR'),
(1387, '03170', 'Doyet', '03', 'FR'),
(1388, '03120', 'Droiturier', '03', 'FR'),
(1389, '03310', 'Durdat Larequille', '03', 'FR'),
(1390, '03450', '�breuil', '03', 'FR'),
(1391, '03330', '�chassi�res', '03', 'FR'),
(1392, '03110', 'Escurolles', '03', 'FR'),
(1393, '03110', 'Espinasse Vozelle', '03', 'FR'),
(1394, '03190', 'Estivareilles', '03', 'FR'),
(1395, '03140', '�troussat', '03', 'FR'),
(1396, '03250', 'Ferri�res sur Sichon', '03', 'FR'),
(1397, '03340', 'La Fert� Hauterive', '03', 'FR'),
(1398, '03140', 'Fleuriel', '03', 'FR'),
(1399, '03140', 'Fourilles', '03', 'FR'),
(1400, '03160', 'Franchesse', '03', 'FR'),
(1401, '03800', 'Gannat', '03', 'FR'),
(1402, '03230', 'Gannay sur Loire', '03', 'FR'),
(1403, '03230', 'Garnat sur Engi�vre', '03', 'FR'),
(1404, '03400', 'Gennetines', '03', 'FR'),
(1405, '03210', 'Gipcy', '03', 'FR'),
(1406, '03190', 'Givarlais', '03', 'FR'),
(1407, '03340', 'Gouise', '03', 'FR'),
(1408, '03250', 'La Guillermie', '03', 'FR'),
(1409, '03270', 'Hauterive', '03', 'FR'),
(1410, '03190', 'H�risson', '03', 'FR'),
(1411, '03380', 'Huriel', '03', 'FR'),
(1412, '03600', 'Hyds', '03', 'FR'),
(1413, '03360', 'Isle et Bardais', '03', 'FR'),
(1414, '03120', 'Isserpent', '03', 'FR'),
(1415, '03220', 'Jaligny sur Besbre', '03', 'FR'),
(1416, '03800', 'Jenzat', '03', 'FR'),
(1417, '03500', 'Lafeline', '03', 'FR'),
(1418, '03450', 'Lalizolle', '03', 'FR'),
(1419, '03380', 'Lamaids', '03', 'FR'),
(1420, '03150', 'Langy', '03', 'FR'),
(1421, '03120', 'Lapalisse', '03', 'FR'),
(1422, '03250', 'Laprugne', '03', 'FR'),
(1423, '03310', 'Lavault Sainte Anne', '03', 'FR'),
(1424, '03250', 'Lavoine', '03', 'FR'),
(1425, '03130', 'Lenax', '03', 'FR'),
(1426, '03360', 'L�telon', '03', 'FR'),
(1427, '03130', 'Liernolles', '03', 'FR'),
(1428, '03410', 'Lignerolles', '03', 'FR'),
(1429, '03320', 'Limoise', '03', 'FR'),
(1430, '03130', 'Loddes', '03', 'FR'),
(1431, '03500', 'Loriges', '03', 'FR'),
(1432, '03500', 'Louchy Montfand', '03', 'FR'),
(1433, '03350', 'Louroux Bourbonnais', '03', 'FR'),
(1434, '03600', 'Louroux de Beaune', '03', 'FR'),
(1435, '03330', 'Louroux de Bouble', '03', 'FR'),
(1436, '03190', 'Louroux Hodement', '03', 'FR'),
(1437, '03130', 'Luneau', '03', 'FR'),
(1438, '03320', 'Lurcy L�vis', '03', 'FR'),
(1439, '03230', 'Lusigny', '03', 'FR'),
(1440, '03260', 'Magnet', '03', 'FR'),
(1441, '03190', 'Maillet', '03', 'FR'),
(1442, '03600', 'Malicorne', '03', 'FR'),
(1443, '03260', 'Marcenat', '03', 'FR'),
(1444, '03420', 'Marcillat en Combraille', '03', 'FR'),
(1445, '03210', 'Marigny', '03', 'FR'),
(1446, '03270', 'Mariol', '03', 'FR'),
(1447, '03800', 'Le Mayet d''�cole', '03', 'FR'),
(1448, '03250', 'Le Mayet de Montagne', '03', 'FR'),
(1449, '03800', 'Mazerier', '03', 'FR'),
(1450, '03420', 'Mazirat', '03', 'FR'),
(1451, '03360', 'Meaulne', '03', 'FR'),
(1452, '03500', 'Meillard', '03', 'FR'),
(1453, '03210', 'Meillers', '03', 'FR'),
(1454, '03340', 'Mercy', '03', 'FR'),
(1455, '03370', 'Mesples', '03', 'FR'),
(1456, '03510', 'Molinet', '03', 'FR'),
(1457, '03300', 'Molles', '03', 'FR'),
(1458, '03140', 'Monestier', '03', 'FR'),
(1459, '03500', 'Mon�tay sur Allier', '03', 'FR'),
(1460, '03470', 'Mon�tay sur Loire', '03', 'FR'),
(1461, '03130', 'Montaigüet en Forez', '03', 'FR'),
(1462, '03150', 'Montaigu le Blin', '03', 'FR'),
(1463, '03340', 'Montbeugny', '03', 'FR'),
(1464, '03130', 'Montcombroux les Mines', '03', 'FR'),
(1465, '03800', 'Monteignet sur l''Andelot', '03', 'FR'),
(1466, '03240', 'Le Montet', '03', 'FR'),
(1467, '03000', 'Montilly', '03', 'FR'),
(1468, '03100', 'Montlu�on', '03', 'FR'),
(1469, '03390', 'Montmarault', '03', 'FR'),
(1470, '03150', 'Montoldre', '03', 'FR'),
(1471, '03500', 'Montord', '03', 'FR'),
(1472, '03170', 'Montvicq', '03', 'FR'),
(1473, '03000', 'Moulins', '03', 'FR'),
(1474, '03390', 'Murat', '03', 'FR'),
(1475, '03450', 'Nades', '03', 'FR'),
(1476, '03190', 'Nassigny', '03', 'FR'),
(1477, '03330', 'Naves', '03', 'FR'),
(1478, '03310', 'N�ris les Bains', '03', 'FR'),
(1479, '03130', 'Neuilly en Donjon', '03', 'FR'),
(1480, '03340', 'Neuilly le R�al', '03', 'FR'),
(1481, '03320', 'Neure', '03', 'FR'),
(1482, '03000', 'Neuvy', '03', 'FR'),
(1483, '03250', 'Nizerolles', '03', 'FR'),
(1484, '03210', 'Noyant d''Allier', '03', 'FR'),
(1485, '03230', 'Paray le Fr�sil', '03', 'FR'),
(1486, '03500', 'Paray sous Briailles', '03', 'FR'),
(1487, '03120', 'P�rigny', '03', 'FR'),
(1488, '03420', 'La Petite Marche', '03', 'FR'),
(1489, '03470', 'Pierrefitte sur Loire', '03', 'FR'),
(1490, '03130', 'Pin', '03', 'FR'),
(1491, '03800', 'Po�zat', '03', 'FR'),
(1492, '03320', 'Pouzy M�sangy', '03', 'FR'),
(1493, '03410', 'Pr�milhat', '03', 'FR'),
(1494, '03380', 'Quinssaines', '03', 'FR'),
(1495, '03190', 'Reugny', '03', 'FR'),
(1496, '03240', 'Rocles', '03', 'FR'),
(1497, '03150', 'Rong�res', '03', 'FR'),
(1498, '03420', 'Ronnet', '03', 'FR'),
(1499, '03170', 'St Angel', '03', 'FR'),
(1500, '03160', 'Saint Aubin le Monial', '03', 'FR'),
(1501, '03390', 'Saint Bonnet de Four', '03', 'FR'),
(1502, '03800', 'Saint Bonnet de Rochefort', '03', 'FR'),
(1503, '03360', 'St Bonnet Tron�ais', '03', 'FR'),
(1504, '03190', 'Saint Caprais', '03', 'FR'),
(1505, '03120', 'St Christophe', '03', 'FR'),
(1506, '03250', 'St Cl�ment', '03', 'FR'),
(1507, '03370', 'Saint D�sir�', '03', 'FR'),
(1508, '03130', 'Saint Didier en Donjon', '03', 'FR'),
(1509, '03110', 'St Didier la For�t', '03', 'FR'),
(1510, '03370', 'Saint �loy d''Allier', '03', 'FR'),
(1511, '03400', 'Saint Ennemond', '03', 'FR'),
(1512, '03300', 'Saint �tienne de Vicq', '03', 'FR'),
(1513, '03420', 'Saint Fargeol', '03', 'FR'),
(1514, '03260', 'Saint F�lix', '03', 'FR'),
(1515, '03310', 'Saint Genest', '03', 'FR'),
(1516, '03340', 'Saint G�rand de Vaux', '03', 'FR'),
(1517, '03150', 'Saint G�rand le Puy', '03', 'FR'),
(1518, '03260', 'Saint Germain des Foss�s', '03', 'FR'),
(1519, '03140', 'Saint Germain de Salles', '03', 'FR'),
(1520, '03440', 'St Hilaire', '03', 'FR'),
(1521, '03130', 'Saint L�ger sur Vouzance', '03', 'FR'),
(1522, '03220', 'Saint L�on', '03', 'FR'),
(1523, '03160', 'Saint L�opardin d''Augy', '03', 'FR'),
(1524, '03150', 'Saint Loup', '03', 'FR'),
(1525, '03390', 'Saint Marcel en Murat', '03', 'FR'),
(1526, '03420', 'Saint Marcel en Marcillat', '03', 'FR'),
(1527, '03230', 'Saint Martin des Lais', '03', 'FR'),
(1528, '03380', 'Saint Martinien', '03', 'FR'),
(1529, '03210', 'Saint Menoux', '03', 'FR'),
(1530, '03250', 'Saint Nicolas des Biefs', '03', 'FR'),
(1531, '03370', 'Saint Palais', '03', 'FR'),
(1532, '42620', 'Saint Pierre Laval', '42', 'FR'),
(1533, '03160', 'Saint Plaisir', '03', 'FR'),
(1534, '03110', 'Saint Pont', '03', 'FR'),
(1535, '03290', 'Saint Pour�ain sur Besbre', '03', 'FR'),
(1536, '03500', 'Saint Pour�ain sur Sioule', '03', 'FR'),
(1537, '03800', 'Saint Priest d''Andelot', '03', 'FR'),
(1538, '03390', 'Saint Priest en Murat', '03', 'FR'),
(1539, '03120', 'Saint Prix', '03', 'FR'),
(1540, '03110', 'Saint R�my en Rollat', '03', 'FR'),
(1541, '03370', 'Saint Sauvier', '03', 'FR'),
(1542, '03240', 'Saint Sornin', '03', 'FR'),
(1543, '03420', 'Sainte Th�rence', '03', 'FR'),
(1544, '03410', 'St Victor', '03', 'FR'),
(1545, '03220', 'Saint Voir', '03', 'FR'),
(1546, '03270', 'Saint Yorre', '03', 'FR'),
(1547, '03470', 'Saligny sur Roudon', '03', 'FR'),
(1548, '03150', 'Sanssat', '03', 'FR'),
(1549, '03500', 'Saulcet', '03', 'FR'),
(1550, '03800', 'Saulzet', '03', 'FR'),
(1551, '03430', 'Sauvagny', '03', 'FR'),
(1552, '03390', 'Sazeret', '03', 'FR'),
(1553, '03110', 'Serbannes', '03', 'FR'),
(1554, '03120', 'Servilly', '03', 'FR'),
(1555, '03260', 'Seuillet', '03', 'FR'),
(1556, '03220', 'Sorbier', '03', 'FR'),
(1557, '03210', 'Souvigny', '03', 'FR'),
(1558, '03450', 'Sussat', '03', 'FR'),
(1559, '03140', 'Target', '03', 'FR'),
(1560, '03140', 'Taxat Senat', '03', 'FR'),
(1561, '03410', 'Teillet Argenty', '03', 'FR'),
(1562, '03420', 'Terjat', '03', 'FR'),
(1563, '03240', 'Le Theil', '03', 'FR'),
(1564, '03350', 'Theneuille', '03', 'FR'),
(1565, '03230', 'Thiel sur Acolin', '03', 'FR'),
(1566, '03220', 'Thionne', '03', 'FR'),
(1567, '03430', 'Tortezais', '03', 'FR'),
(1568, '03400', 'Toulon sur Allier', '03', 'FR'),
(1569, '03240', 'Tr�ban', '03', 'FR'),
(1570, '03380', 'Treignat', '03', 'FR'),
(1571, '03220', 'Tr�teau', '03', 'FR'),
(1572, '03460', 'Tr�vol', '03', 'FR'),
(1573, '03220', 'Tr�zelles', '03', 'FR'),
(1574, '03240', 'Tronget', '03', 'FR'),
(1575, '03360', 'Ur�ay', '03', 'FR'),
(1576, '03140', 'Ussel d''Allier', '03', 'FR'),
(1577, '03330', 'Valignat', '03', 'FR'),
(1578, '03360', 'Valigny', '03', 'FR'),
(1579, '03190', 'Vallon en Sully', '03', 'FR'),
(1580, '03150', 'Varennes sur Allier', '03', 'FR'),
(1581, '03220', 'Varennes sur T�che', '03', 'FR'),
(1582, '03220', 'Vaumas', '03', 'FR'),
(1583, '03190', 'Vaux', '03', 'FR'),
(1584, '03450', 'Veauce', '03', 'FR'),
(1585, '03190', 'Venas', '03', 'FR'),
(1586, '03110', 'Vendat', '03', 'FR'),
(1587, '03190', 'Verneix', '03', 'FR'),
(1588, '03200', 'Vernet', '03', 'FR'),
(1589, '03500', 'Verneuil en Bourbonnais', '03', 'FR'),
(1590, '03390', 'Vernusse', '03', 'FR'),
(1591, '03320', 'Le Veurdre', '03', 'FR'),
(1592, '03200', 'Vichy', '03', 'FR'),
(1593, '03450', 'Vicq', '03', 'FR'),
(1594, '03430', 'Vieure', '03', 'FR'),
(1595, '03350', 'Le Vilhain', '03', 'FR'),
(1596, '03310', 'Villebret', '03', 'FR'),
(1597, '03430', 'Villefranche d''Allier', '03', 'FR'),
(1598, '03460', 'Villeneuve sur Allier', '03', 'FR'),
(1599, '03370', 'Viplaix', '03', 'FR'),
(1600, '03360', 'Vitray', '03', 'FR'),
(1601, '03140', 'Voussac', '03', 'FR'),
(1602, '03160', 'Ygrande', '03', 'FR'),
(1603, '03400', 'Yzeure', '03', 'FR'),
(1604, '04510', 'Aiglun', '04', 'FR'),
(1605, '04000', 'Ainac', '04', 'FR'),
(1606, '04550', 'Albiosc', '04', 'FR'),
(1607, '04550', 'Allemagne en Provence', '04', 'FR'),
(1608, '04170', 'Allons', '04', 'FR'),
(1609, '04260', 'Allos', '04', 'FR'),
(1610, '04170', 'Angles', '04', 'FR'),
(1611, '04240', 'Annot', '04', 'FR'),
(1612, '04420', 'Archail', '04', 'FR'),
(1613, '04170', 'Argens', '04', 'FR'),
(1614, '04250', 'Astoin', '04', 'FR'),
(1615, '04110', 'Aubenas les Alpes', '04', 'FR'),
(1616, '04200', 'Aubignosc', '04', 'FR'),
(1617, '04310', 'Aug�s', '04', 'FR'),
(1618, '04380', 'Auribeau', '04', 'FR'),
(1619, '04200', 'Authon', '04', 'FR'),
(1620, '04140', 'Auzet', '04', 'FR'),
(1621, '04150', 'Banon', '04', 'FR'),
(1622, '04400', 'Barcelonnette', '04', 'FR'),
(1623, '04140', 'Barles', '04', 'FR'),
(1624, '04380', 'Barras', '04', 'FR'),
(1625, '04330', 'Barr�me', '04', 'FR'),
(1626, '04250', 'Bayons', '04', 'FR'),
(1627, '04420', 'Beaujeu', '04', 'FR'),
(1628, '04370', 'Beauvezer', '04', 'FR'),
(1629, '04250', 'Bellaffaire', '04', 'FR'),
(1630, '04200', 'Bevons', '04', 'FR'),
(1631, '04270', 'Beynes', '04', 'FR'),
(1632, '04420', 'Bl�giers', '04', 'FR'),
(1633, '04330', 'Blieux', '04', 'FR'),
(1634, '04270', 'Bras d''Asse', '04', 'FR'),
(1635, '04240', 'Braux', '04', 'FR'),
(1636, '04340', 'La Br�ole', '04', 'FR'),
(1637, '04700', 'La Brillanne', '04', 'FR'),
(1638, '04210', 'Brunet', '04', 'FR'),
(1639, '04420', 'Le Brusquet', '04', 'FR'),
(1640, '04250', 'Le Caire', '04', 'FR'),
(1641, '04150', 'Carniol', '04', 'FR'),
(1642, '04120', 'Castellane', '04', 'FR'),
(1643, '04380', 'Le Castellard Melan', '04', 'FR'),
(1644, '04700', 'Le Castellet', '04', 'FR'),
(1645, '04320', 'Castellet l�s Sausses', '04', 'FR'),
(1646, '04320', 'Val de Chalvagne', '04', 'FR'),
(1647, '04280', 'C�reste', '04', 'FR'),
(1648, '04510', 'Chaffaut St Jurson', '04', 'FR'),
(1649, '04660', 'Champtercier', '04', 'FR'),
(1650, '04120', 'Chasteuil', '04', 'FR'),
(1651, '04160', 'Ch�teau Arnoux St Auban', '04', 'FR'),
(1652, '04250', 'Ch�teaufort', '04', 'FR'),
(1653, '04200', 'Ch�teauneuf Miravail', '04', 'FR'),
(1654, '04120', 'Ch�teauneuf les Moustiers', '04', 'FR'),
(1655, '04200', 'Ch�teauneuf Val Saint Donat', '04', 'FR'),
(1656, '04270', 'Ch�teauredon', '04', 'FR'),
(1657, '04330', 'Chaudon Norante', '04', 'FR'),
(1658, '04250', 'Clamensane', '04', 'FR'),
(1659, '05110', 'Claret', '05', 'FR'),
(1660, '04330', 'Clumanc', '04', 'FR'),
(1661, '04370', 'Colmars', '04', 'FR'),
(1662, '04530', 'Condamine Ch�telard', '04', 'FR'),
(1663, '04220', 'Corbi�res', '04', 'FR'),
(1664, '04230', 'Cruis', '04', 'FR'),
(1665, '05110', 'Curbans', '05', 'FR'),
(1666, '04200', 'Curel', '04', 'FR'),
(1667, '04300', 'Dauphin', '04', 'FR'),
(1668, '04120', 'Demandolx', '04', 'FR'),
(1669, '04000', 'Digne les Bains', '04', 'FR'),
(1670, '04000', 'Les Dourbes', '04', 'FR'),
(1671, '04420', 'Draix', '04', 'FR'),
(1672, '04400', 'Enchastrayes', '04', 'FR'),
(1673, '04000', 'Entrages', '04', 'FR'),
(1674, '04200', 'Entrepierres', '04', 'FR'),
(1675, '04320', 'Entrevaux', '04', 'FR'),
(1676, '04700', 'Entrevennes', '04', 'FR'),
(1677, '04120', 'Eoulx', '04', 'FR'),
(1678, '04160', 'L''Escale', '04', 'FR'),
(1679, '04000', 'Esclangon', '04', 'FR'),
(1680, '04550', 'Esparron de Verdon', '04', 'FR'),
(1681, '04250', 'Esparron la B�tie', '04', 'FR'),
(1682, '04510', 'Espinouse', '04', 'FR'),
(1683, '04270', 'Estoublon', '04', 'FR'),
(1684, '04250', 'Faucon du Caire', '04', 'FR'),
(1685, '04400', 'Faucon de Barcelonnette', '04', 'FR'),
(1686, '04230', 'Fontienne', '04', 'FR'),
(1687, '04300', 'Forcalquier', '04', 'FR'),
(1688, '04240', 'Le Fugeret', '04', 'FR'),
(1689, '04310', 'Ganagobie', '04', 'FR'),
(1690, '04120', 'a Garde', '04', 'FR'),
(1691, '04250', 'Gigors', '04', 'FR'),
(1692, '04800', 'Gr�oux les Bains', '04', 'FR'),
(1693, '04150', 'L''Hospitalet', '04', 'FR'),
(1694, '04850', 'Jausiers', '04', 'FR'),
(1695, '04420', 'La Javie', '04', 'FR'),
(1696, '04000', 'Lambert', '04', 'FR'),
(1697, '04170', 'Lambruisse', '04', 'FR'),
(1698, '04540', 'Larche', '04', 'FR'),
(1699, '04230', 'Lardiers', '04', 'FR'),
(1700, '04340', 'Le Lauzet Ubaye', '04', 'FR'),
(1701, '04300', 'Limans', '04', 'FR'),
(1702, '04870', 'Lincel', '04', 'FR'),
(1703, '04700', 'Lurs', '04', 'FR'),
(1704, '04270', 'Majastres', '04', 'FR'),
(1705, '04350', 'Malijai', '04', 'FR'),
(1706, '04230', 'Mallefougasse Aug�s', '04', 'FR'),
(1707, '04510', 'Mallemoisson', '04', 'FR'),
(1708, '04300', 'Mane', '04', 'FR'),
(1709, '04100', 'Manosque', '04', 'FR'),
(1710, '04420', 'Marcoux', '04', 'FR'),
(1711, '04420', 'Mariaud', '04', 'FR'),
(1712, '04240', 'M�ailles', '04', 'FR'),
(1713, '04190', 'Les M�es', '04', 'FR'),
(1714, '04380', 'M�lan', '04', 'FR'),
(1715, '04250', 'Melve', '04', 'FR'),
(1716, '04340', 'M�olans', '04', 'FR'),
(1717, '04540', 'Meyronnes', '04', 'FR'),
(1718, '04270', 'M�zel', '04', 'FR'),
(1719, '04510', 'Mirabeau', '04', 'FR'),
(1720, '04200', 'Mison', '04', 'FR'),
(1721, '04500', 'Montagnac Montpezat', '04', 'FR'),
(1722, '04140', 'Montclar', '04', 'FR'),
(1723, '04600', 'Montfort', '04', 'FR'),
(1724, '04110', 'Montfuron', '04', 'FR'),
(1725, '04110', 'Montjustin', '04', 'FR'),
(1726, '04230', 'Montlaux', '04', 'FR'),
(1727, '04500', 'Montpezat', '04', 'FR'),
(1728, '04150', 'Montsalier', '04', 'FR'),
(1729, '04170', 'Moriez', '04', 'FR'),
(1730, '04250', 'La Motte du Caire', '04', 'FR'),
(1731, '04360', 'Moustiers Sainte Marie', '04', 'FR'),
(1732, '04170', 'Mure Argens', '04', 'FR'),
(1733, '04250', 'Nibles', '04', 'FR'),
(1734, '04300', 'Niozelles', '04', 'FR'),
(1735, '04200', 'Noyers sur Jabron', '04', 'FR'),
(1736, '04200', 'Les Omergues', '04', 'FR'),
(1737, '04230', 'Ongles', '04', 'FR'),
(1738, '04110', 'Oppedette', '04', 'FR'),
(1739, '04700', 'Oraison', '04', 'FR'),
(1740, '04120', 'Palud sur Verdon', '04', 'FR'),
(1741, '04200', 'Peipin', '04', 'FR'),
(1742, '04120', 'Peyroules', '04', 'FR'),
(1743, '04310', 'Peyruis', '04', 'FR'),
(1744, '05130', 'Pi�gut', '05', 'FR'),
(1745, '04300', 'Pierrerue', '04', 'FR'),
(1746, '04860', 'Pierrevert', '04', 'FR'),
(1747, '04270', 'Le Poil', '04', 'FR'),
(1748, '05160', 'Pontis', '05', 'FR'),
(1749, '04420', 'Prads Haute Bl�one', '04', 'FR'),
(1750, '04700', 'Puimichel', '04', 'FR'),
(1751, '04410', 'Puimoisson', '04', 'FR'),
(1752, '04500', 'Quinson', '04', 'FR'),
(1753, '04150', 'Redortiers', '04', 'FR'),
(1754, '04110', 'Reillanne', '04', 'FR'),
(1755, '04340', 'M�olans Revel', '04', 'FR'),
(1756, '04150', 'Revest des Brousses', '04', 'FR'),
(1757, '04150', 'Revest du Bion', '04', 'FR'),
(1758, '04230', 'Revest Saint Martin', '04', 'FR'),
(1759, '04250', 'Reynier', '04', 'FR'),
(1760, '04500', 'Riez', '04', 'FR'),
(1761, '04000', 'Robine sur Galabre', '04', 'FR'),
(1762, '04150', 'La Rochegiron', '04', 'FR'),
(1763, '06260', 'Rochette', '06', 'FR'),
(1764, '04120', 'Rougon', '04', 'FR'),
(1765, '04500', 'Roumoules', '04', 'FR'),
(1766, '04170', 'Saint Andr� les Alpes', '04', 'FR'),
(1767, '04240', 'Saint Beno�t', '04', 'FR'),
(1768, '04110', 'Sainte Croix �  Lauze', '04', 'FR'),
(1769, '04500', 'Ste Croix de Verdon', '04', 'FR'),
(1770, '04230', 'Saint �tienne les Orgues', '04', 'FR'),
(1771, '04200', 'Saint Geniez', '04', 'FR'),
(1772, '04330', 'Saint Jacques', '04', 'FR'),
(1773, '04270', 'Saint Jeannet', '04', 'FR'),
(1774, '04270', 'Saint Julien d''Asse', '04', 'FR'),
(1775, '04170', 'Saint Julien du Verdon', '04', 'FR'),
(1776, '04410', 'Saint Jurs', '04', 'FR'),
(1777, '04500', 'Saint Laurent du Verdon', '04', 'FR'),
(1778, '04330', 'Saint Lions', '04', 'FR'),
(1779, '04300', 'Saint Maime', '04', 'FR'),
(1780, '04800', 'Saint Martin de Br�mes', '04', 'FR'),
(1781, '04870', 'Saint Martin les Eaux', '04', 'FR'),
(1782, '04460', 'St Martin l�s Seyne', '04', 'FR'),
(1783, '04870', 'Saint Michel l''Observatoire', '04', 'FR'),
(1784, '06260', 'St Pierre', '06', 'FR'),
(1785, '04400', 'St Pons', '04', 'FR'),
(1786, '04200', 'Saint Symphorien', '04', 'FR'),
(1787, '04220', 'Sainte Tulle', '04', 'FR'),
(1788, '04340', 'Saint Vincent les Forts', '04', 'FR'),
(1789, '04200', 'Saint Vincent sur Jabron', '04', 'FR'),
(1790, '04290', 'Salignac', '04', 'FR'),
(1791, '04150', 'Saumane', '04', 'FR'),
(1792, '04320', 'Sausses', '04', 'FR'),
(1793, '04460', 'Selonnet', '04', 'FR'),
(1794, '04330', 'S�nez', '04', 'FR'),
(1795, '04140', 'Seyne', '04', 'FR'),
(1796, '04300', 'Sigonce', '04', 'FR'),
(1797, '04200', 'Sigoyer', '04', 'FR'),
(1798, '04150', 'Simiane la Rotonde', '04', 'FR'),
(1799, '04200', 'Sisteron', '04', 'FR'),
(1800, '04120', 'Soleilhas', '04', 'FR'),
(1801, '04290', 'Sourribes', '04', 'FR'),
(1802, '04120', 'Taloire', '04', 'FR'),
(1803, '04000', 'Tanaron', '04', 'FR'),
(1804, '04330', 'Tartonne', '04', 'FR'),
(1805, '04120', 'Taulanne', '04', 'FR'),
(1806, '04200', 'Th�ze', '04', 'FR'),
(1807, '04380', 'Thoard', '04', 'FR'),
(1808, '04170', 'Thorame Basse', '04', 'FR'),
(1809, '04170', 'Thorame Haute', '04', 'FR'),
(1810, '04400', 'Les Thuiles', '04', 'FR'),
(1811, '04270', 'Tr�vans', '04', 'FR'),
(1812, '04250', 'Turriers', '04', 'FR'),
(1813, '04240', 'Ubraye', '04', 'FR'),
(1814, '04400', 'Uvernet Fours', '04', 'FR'),
(1815, '04110', 'Vach�res', '04', 'FR'),
(1816, '04250', 'Valavoire', '04', 'FR'),
(1817, '04200', 'Valbelle', '04', 'FR'),
(1818, '04210', 'Valensole', '04', 'FR'),
(1819, '04200', 'Valernes', '04', 'FR'),
(1820, '04200', 'Vaumeilh', '04', 'FR'),
(1821, '05130', 'Venterol', '05', 'FR'),
(1822, '04140', 'Verdaches', '04', 'FR'),
(1823, '04170', 'Vergons', '04', 'FR'),
(1824, '04140', 'Le Vernet', '04', 'FR'),
(1825, '04200', 'Vilhosc', '04', 'FR'),
(1826, '04640', 'Villars Colmars', '04', 'FR'),
(1827, '04110', 'Villemus', '04', 'FR'),
(1828, '04180', 'Villeneuve', '04', 'FR'),
(1829, '04320', 'Villevieille', '04', 'FR'),
(1830, '04290', 'Volonne', '04', 'FR'),
(1831, '04130', 'Volx', '04', 'FR'),
(1832, '04340', 'Revel', '04', 'FR'),
(1833, '04600', 'Saint Auban', '04', 'FR'),
(1834, '04400', 'Pra Loup', '04', 'FR'),
(1835, '04270', 'Chabri�res', '04', 'FR'),
(1836, '05460', 'Abri�s', '05', 'FR'),
(1837, '05250', 'Agni�res en D�voluy', '05', 'FR'),
(1838, '05470', 'Aiguilles', '05', 'FR'),
(1839, '05260', 'Ancelle', '05', 'FR'),
(1840, '05300', 'Antonaves', '05', 'FR'),
(1841, '05120', 'L''Argenti�re la Bess�e', '05', 'FR'),
(1842, '05350', 'Arvieux', '05', 'FR'),
(1843, '05140', 'Aspremont', '05', 'FR'),
(1844, '05800', 'Aspres l�s Corps', '05', 'FR'),
(1845, '05140', 'Aspres sur Bu�ch', '05', 'FR'),
(1846, '05230', 'Avan�on', '05', 'FR'),
(1847, '05200', 'Baratier', '05', 'FR'),
(1848, '05110', 'Barcillonnette', '05', 'FR'),
(1849, '05300', 'Barret le Bas', '05', 'FR'),
(1850, '05700', 'La B�tie Montsal�on', '05', 'FR'),
(1851, '05230', 'La B�tie Neuve', '05', 'FR'),
(1852, '05000', 'La B�tie Vieille', '05', 'FR'),
(1853, '05140', 'La Beaume', '05', 'FR'),
(1854, '05500', 'B�n�vent et Charbillac', '05', 'FR'),
(1855, '05700', 'Le Bersac', '05', 'FR'),
(1856, '05190', 'Br�ziers', '05', 'FR'),
(1857, '05100', 'Brian�on', '05', 'FR'),
(1858, '05150', 'Bruis', '05', 'FR'),
(1859, '05500', 'Buissard', '05', 'FR'),
(1860, '05600', 'Ceillac', '05', 'FR'),
(1861, '05100', 'Cervi�res', '05', 'FR'),
(1862, '05400', 'Chabestan', '05', 'FR'),
(1863, '05260', 'Chabottes', '05', 'FR'),
(1864, '05310', 'Champcella', '05', 'FR'),
(1865, '05260', 'Champol�on', '05', 'FR'),
(1866, '05700', 'Chanousse', '05', 'FR'),
(1867, '05300', 'Ch�teauneuf de Ch�bre', '05', 'FR'),
(1868, '05400', 'Ch�teauneuf d''Oze', '05', 'FR'),
(1869, '05380', 'Ch�teauroux', '05', 'FR'),
(1870, '05000', 'Ch�teauvieux', '05', 'FR'),
(1871, '05470', 'Ch�teau Ville Vieille', '05', 'FR'),
(1872, '05350', 'Ch�teau Ville Vieille', '05', 'FR'),
(1873, '05460', 'Ch�teau Ville Vieille', '05', 'FR'),
(1874, '05800', 'Chauffayer', '05', 'FR'),
(1875, '05230', 'Chorges', '05', 'FR'),
(1876, '05250', 'La Cluse', '05', 'FR'),
(1877, '05500', 'Les Costes', '05', 'FR'),
(1878, '05200', 'Cr�voux', '05', 'FR'),
(1879, '05200', 'Crots', '05', 'FR'),
(1880, '05200', 'Embrun', '05', 'FR'),
(1881, '26560', '�ourres', '26', 'FR'),
(1882, '05700', 'L''�pine', '05', 'FR'),
(1883, '05110', 'Esparron', '05', 'FR'),
(1884, '05190', 'Espinasses', '05', 'FR'),
(1885, '05700', 'Etoile St Cyrice', '05', 'FR'),
(1886, '05600', 'Eygliers', '05', 'FR'),
(1887, '05300', 'Eyguians', '05', 'FR'),
(1888, '05500', 'La Fare en Champsaur', '05', 'FR'),
(1889, '05140', 'La Faurie', '05', 'FR'),
(1890, '05260', 'Forest Saint Julien', '05', 'FR'),
(1891, '05130', 'Fouillouse', '05', 'FR'),
(1892, '05310', 'Freissini�res', '05', 'FR'),
(1893, '05000', 'La Freissinouse', '05', 'FR'),
(1894, '05400', 'Furmeyer', '05', 'FR'),
(1895, '05000', 'Gap', '05', 'FR'),
(1896, '05800', 'Le Glaizil', '05', 'FR'),
(1897, '05320', 'Grave', '05', 'FR'),
(1898, '05800', 'Chapelle en Valgaud�mar', '05', 'FR'),
(1899, '05600', 'Guillestre', '05', 'FR'),
(1900, '05140', 'Haute Beaume', '05', 'FR'),
(1901, '05500', 'Les Infournas', '05', 'FR'),
(1902, '05130', 'Jarjayes', '05', 'FR'),
(1903, '05300', 'Lagrand', '05', 'FR'),
(1904, '05300', 'Laragne Mont�glin', '05', 'FR'),
(1905, '05110', 'Lardier et Valen�a', '05', 'FR'),
(1906, '05500', 'Laye', '05', 'FR'),
(1907, '05300', 'Lazer', '05', 'FR'),
(1908, '05130', 'Lettret', '05', 'FR'),
(1909, '05400', 'Manteyer', '05', 'FR'),
(1910, '05700', 'M�reuil', '05', 'FR'),
(1911, '05350', 'Molines en Queyras', '05', 'FR'),
(1912, '05110', 'Mon�tier Allemont', '05', 'FR'),
(1913, '05220', 'Le Mon�tier les Bains', '05', 'FR'),
(1914, '05140', 'Montbrand', '05', 'FR'),
(1915, '05700', 'Montclus', '05', 'FR'),
(1916, '05600', 'Mont Dauphin', '05', 'FR'),
(1917, '05230', 'Montgardin', '05', 'FR'),
(1918, '05100', 'Montgen�vre', '05', 'FR'),
(1919, '05150', 'Montjay', '05', 'FR'),
(1920, '05400', 'Montmaur', '05', 'FR'),
(1921, '05150', 'Montmorin', '05', 'FR'),
(1922, '05700', 'Montrond', '05', 'FR'),
(1923, '05500', 'La Motte en Champsaur', '05', 'FR'),
(1924, '05150', 'Moydans', '05', 'FR'),
(1925, '05000', 'Neffes', '05', 'FR'),
(1926, '05100', 'N�vache', '05', 'FR'),
(1927, '05700', 'Nossage et B�n�vent', '05', 'FR'),
(1928, '05500', 'Le Noyer', '05', 'FR'),
(1929, '05170', 'Orci�res', '05', 'FR'),
(1930, '05700', 'Orpierre', '05', 'FR'),
(1931, '05200', 'Les Orres', '05', 'FR'),
(1932, '05400', 'Oze', '05', 'FR'),
(1933, '05000', 'Pelleautier', '05', 'FR'),
(1934, '05340', 'Pelvoux', '05', 'FR'),
(1935, '05700', 'La Piarre', '05', 'FR'),
(1936, '05300', 'Le Po�t', '05', 'FR'),
(1937, '05500', 'Poligny', '05', 'FR'),
(1938, '05230', 'Pruni�res', '05', 'FR'),
(1939, '05100', 'Puy Saint Andr�', '05', 'FR'),
(1940, '05200', 'Puy Saint Eus�be', '05', 'FR'),
(1941, '05100', 'Puy Saint Pierre', '05', 'FR'),
(1942, '05290', 'Puy Saint Vincent', '05', 'FR'),
(1943, '05200', 'Puy Sani�res', '05', 'FR'),
(1944, '05400', 'Rabou', '05', 'FR'),
(1945, '05000', 'Rambaud', '05', 'FR'),
(1946, '05160', 'R�allon', '05', 'FR'),
(1947, '05190', 'Remollon', '05', 'FR'),
(1948, '05600', 'R�otier', '05', 'FR'),
(1949, '05150', 'Ribeyret', '05', 'FR'),
(1950, '05300', 'Ribiers', '05', 'FR'),
(1951, '05600', 'Risoul', '05', 'FR'),
(1952, '05460', 'Ristolas', '05', 'FR'),
(1953, '05190', 'Rochebrune', '05', 'FR'),
(1954, '05310', 'La Roche de Rame', '05', 'FR'),
(1955, '05400', 'La Roche des Arnauds', '05', 'FR'),
(1956, '05000', 'La Rochette', '05', 'FR'),
(1957, '05000', 'Romette', '05', 'FR'),
(1958, '05150', 'Rosans', '05', 'FR'),
(1959, '05190', 'Rousset', '05', 'FR'),
(1960, '05200', 'Saint Andr� d''Embrun', '05', 'FR'),
(1961, '05150', 'Saint Andr� de Rosans', '05', 'FR'),
(1962, '05160', 'Saint Apollinaire', '05', 'FR'),
(1963, '05400', 'Saint Auban d''Oze', '05', 'FR'),
(1964, '05500', 'St Bonnet en Champsaur', '05', 'FR'),
(1965, '05330', 'Saint Chaffrey', '05', 'FR'),
(1966, '05600', 'St Cl�ment sur Durance', '05', 'FR'),
(1967, '05700', 'Ste Colombe', '05', 'FR'),
(1968, '05600', 'Saint Cr�pin', '05', 'FR'),
(1969, '05250', 'St Disdier', '05', 'FR'),
(1970, '05250', 'Saint �tienne en D�voluy', '05', 'FR'),
(1971, '05130', 'Saint �tienne le Laus', '05', 'FR'),
(1972, '05500', 'Saint Eus�be en Champsaur', '05', 'FR'),
(1973, '05800', 'St Firmin', '05', 'FR'),
(1974, '05300', 'Saint Genis', '05', 'FR'),
(1975, '05800', 'Saint Jacques en Valgodemard', '05', 'FR'),
(1976, '05260', 'Saint Jean Saint Nicolas', '05', 'FR'),
(1977, '05140', 'Saint Julien en Beauch�ne', '05', 'FR'),
(1978, '05500', 'Saint Julien en Champsaur', '05', 'FR'),
(1979, '05500', 'Saint Laurent du Cros', '05', 'FR'),
(1980, '05260', 'Saint L�ger les M�l�zes', '05', 'FR'),
(1981, '05150', 'Sainte Marie', '05', 'FR'),
(1982, '05120', 'St Martin de Queyri�res', '05', 'FR'),
(1983, '05800', 'Saint Maurice en Valgodemard', '05', 'FR'),
(1984, '05260', 'Saint Michel de Chaillol', '05', 'FR'),
(1985, '05140', 'Saint Pierre d''Argen�on', '05', 'FR'),
(1986, '05300', 'Saint Pierre Avez', '05', 'FR'),
(1987, '05200', 'Saint Sauveur', '05', 'FR'),
(1988, '05350', 'Saint V�ran', '05', 'FR'),
(1989, '05400', 'Le Saix', '05', 'FR'),
(1990, '05300', 'Sal�on', '05', 'FR'),
(1991, '05300', 'Sal�rans', '05', 'FR'),
(1992, '05240', 'Salle les Alpes', '05', 'FR'),
(1993, '05110', 'La Saulce', '05', 'FR'),
(1994, '05160', 'Sauze du Lac', '05', 'FR'),
(1995, '05160', 'Savines le Lac', '05', 'FR'),
(1996, '05700', 'Savournon', '05', 'FR'),
(1997, '05700', 'Serres', '05', 'FR'),
(1998, '05700', 'Sigottier', '05', 'FR'),
(1999, '05130', 'Sigoyer', '05', 'FR'),
(2000, '05150', 'Sorbiers', '05', 'FR'),
(2001, '05130', 'Tallard', '05', 'FR'),
(2002, '05190', 'Th�us', '05', 'FR'),
(2003, '05700', 'Trescl�oux', '05', 'FR'),
(2004, '05300', 'Upaix', '05', 'FR'),
(2005, '05100', 'Val des Pr�s', '05', 'FR'),
(2006, '05290', 'Vallouise', '05', 'FR'),
(2007, '05130', 'Valserres', '05', 'FR'),
(2008, '05560', 'Vars', '05', 'FR'),
(2009, '05300', 'Ventavon', '05', 'FR'),
(2010, '05400', 'Veynes', '05', 'FR'),
(2011, '05120', 'Les Vigneaux', '05', 'FR'),
(2012, '05480', 'Villar d''Ar�ne', '05', 'FR'),
(2013, '05800', 'Villar Loubi�re', '05', 'FR'),
(2014, '05100', 'Villar Saint Pancrace', '05', 'FR'),
(2015, '05110', 'Vitrolles', '05', 'FR'),
(2016, '05340', 'Ailefroide', '05', 'FR'),
(2017, '05350', 'Ch�teau Queyras', '05', 'FR'),
(2018, '06910', 'Aiglun', '06', 'FR'),
(2019, '06910', 'Amirat', '06', 'FR'),
(2020, '06750', 'Andon', '06', 'FR'),
(2021, '06160', 'Antibes', '06', 'FR'),
(2022, '06600', 'Antibes', '06', 'FR'),
(2023, '06260', 'Ascros', '06', 'FR'),
(2024, '06790', 'Aspremont', '06', 'FR'),
(2025, '06810', 'Auribeau sur Siagne', '06', 'FR'),
(2026, '06260', 'Auvare', '06', 'FR'),
(2027, '06420', 'Bairols', '06', 'FR'),
(2028, '06620', 'Bar sur Loup', '06', 'FR'),
(2029, '06310', 'Beaulieu sur Mer', '06', 'FR'),
(2030, '06240', 'Beausoleil', '06', 'FR'),
(2031, '06450', 'Belv�d�re', '06', 'FR'),
(2032, '06390', 'Bend�jun', '06', 'FR'),
(2033, '06390', 'Berre des Alpes', '06', 'FR'),
(2034, '06470', 'Beuil', '06', 'FR'),
(2035, '06510', 'B�zaudun les Alpes', '06', 'FR'),
(2036, '06410', 'Biot', '06', 'FR'),
(2037, '06440', 'Blausasc', '06', 'FR'),
(2038, '06450', 'La Boll�ne V�subie', '06', 'FR'),
(2039, '06830', 'Bonson', '06', 'FR'),
(2040, '06510', 'Bouyon', '06', 'FR'),
(2041, '06540', 'Breil sur Roya', '06', 'FR'),
(2042, '06850', 'Brian�onnet', '06', 'FR'),
(2043, '06510', 'Le Broc', '06', 'FR'),
(2044, '06530', 'Cabris', '06', 'FR'),
(2045, '06800', 'Cagnes sur Mer', '06', 'FR'),
(2046, '06750', 'Caille', '06', 'FR'),
(2047, '06400', 'Cannes', '06', 'FR'),
(2048, '06150', 'Cannes', '06', 'FR'),
(2049, '06110', 'Le Cannet', '06', 'FR'),
(2050, '06340', 'Cantaron', '06', 'FR'),
(2051, '06320', 'Cap d''Ail', '06', 'FR'),
(2052, '06510', 'Carros', '06', 'FR'),
(2053, '06670', 'Castagniers', '06', 'FR'),
(2054, '06500', 'Castellar', '06', 'FR'),
(2055, '06500', 'Castillon', '06', 'FR'),
(2056, '06460', 'Caussols', '06', 'FR'),
(2057, '06740', 'Ch�teauneuf Grasse', '06', 'FR'),
(2058, '06390', 'Ch�teauneuf Villevieille', '06', 'FR'),
(2059, '06470', 'Ch�teauneuf d''Entraunes', '06', 'FR'),
(2060, '06620', 'Cipi�res', '06', 'FR'),
(2061, '06420', 'Clans', '06', 'FR'),
(2062, '06390', 'Coaraze', '06', 'FR'),
(2063, '06480', 'La Colle sur Loup', '06', 'FR'),
(2064, '06910', 'Collongues', '06', 'FR'),
(2065, '06670', 'Colomars', '06', 'FR'),
(2066, '06510', 'Cons�gudes', '06', 'FR'),
(2067, '06390', 'Contes', '06', 'FR'),
(2068, '06620', 'Courmes', '06', 'FR'),
(2069, '06140', 'Coursegoules', '06', 'FR'),
(2070, '06260', 'La Croix sur Roudoule', '06', 'FR'),
(2071, '06910', 'Cu�bris', '06', 'FR'),
(2072, '06470', 'Daluis', '06', 'FR'),
(2073, '06340', 'Drap', '06', 'FR'),
(2074, '06670', 'Duranus', '06', 'FR'),
(2075, '06470', 'Entraunes', '06', 'FR'),
(2076, '06440', 'L''Escar�ne', '06', 'FR'),
(2077, '06460', 'Escragnolles', '06', 'FR'),
(2078, '06360', '�ze', '06', 'FR'),
(2079, '06950', 'Falicon', '06', 'FR'),
(2080, '06510', 'Les Ferres', '06', 'FR'),
(2081, '06540', 'Fontan', '06', 'FR'),
(2082, '06850', 'Gars', '06', 'FR'),
(2083, '06510', 'Gatti�res', '06', 'FR'),
(2084, '06610', 'La Gaude', '06', 'FR'),
(2085, '06830', 'Gilette', '06', 'FR'),
(2086, '06500', 'Gorbio', '06', 'FR'),
(2087, '06620', 'Gourdon', '06', 'FR'),
(2088, '06130', 'Grasse', '06', 'FR'),
(2089, '06520', 'Grasse', '06', 'FR'),
(2090, '06620', 'Gr�oli�res', '06', 'FR'),
(2091, '06470', 'Guillaumes', '06', 'FR'),
(2092, '06420', 'Ilonse', '06', 'FR'),
(2093, '06420', 'Isola', '06', 'FR'),
(2094, '06450', 'Lantosque', '06', 'FR'),
(2095, '06670', 'Levens', '06', 'FR'),
(2096, '06260', 'Lieuche', '06', 'FR'),
(2097, '06440', 'Luc�ram', '06', 'FR'),
(2098, '06710', 'Malauss�ne', '06', 'FR'),
(2099, '06210', 'Mandelieu la Napoule', '06', 'FR'),
(2100, '06420', 'Marie', '06', 'FR'),
(2101, '06910', 'Le Mas', '06', 'FR'),
(2102, '06710', 'Massoins', '06', 'FR'),
(2103, '06500', 'Menton', '06', 'FR'),
(2104, '06370', 'Mouans Sartoux', '06', 'FR'),
(2105, '06250', 'Mougins', '06', 'FR'),
(2106, '06380', 'Moulinet', '06', 'FR'),
(2107, '06910', 'Les Mujouls', '06', 'FR'),
(2108, '06100', 'Nice', '06', 'FR'),
(2109, '06300', 'Nice', '06', 'FR'),
(2110, '06200', 'Nice', '06', 'FR'),
(2111, '06000', 'Nice', '06', 'FR'),
(2112, '06650', 'Opio', '06', 'FR'),
(2113, '06580', 'P�gomas', '06', 'FR'),
(2114, '06440', 'Peille', '06', 'FR'),
(2115, '06440', 'Peillon', '06', 'FR'),
(2116, '06260', 'La Penne', '06', 'FR'),
(2117, '06470', 'P�one', '06', 'FR'),
(2118, '06530', 'Peymeinade', '06', 'FR'),
(2119, '06260', 'Pierlas', '06', 'FR'),
(2120, '06910', 'Pierrefeu', '06', 'FR'),
(2121, '06260', 'Puget Rostang', '06', 'FR'),
(2122, '06260', 'Puget Th�niers', '06', 'FR'),
(2123, '06830', 'Revest les Roches', '06', 'FR'),
(2124, '06260', 'Rigaud', '06', 'FR'),
(2125, '06420', 'Rimplas', '06', 'FR'),
(2126, '06450', 'Roquebilli�re', '06', 'FR'),
(2127, '06190', 'Roquebrune Cap Martin', '06', 'FR'),
(2128, '06330', 'Roquefort les Pins', '06', 'FR'),
(2129, '06910', 'Roquest�ron', '06', 'FR'),
(2130, '06910', 'Roquest�ron Grasse', '06', 'FR'),
(2131, '06550', 'La Roquette sur Siagne', '06', 'FR'),
(2132, '06670', 'La Roquette sur Var', '06', 'FR'),
(2133, '06420', 'Roubion', '06', 'FR'),
(2134, '06420', 'Roure', '06', 'FR'),
(2135, '06650', 'Le Rouret', '06', 'FR'),
(2136, '06500', 'Sainte Agn�s', '06', 'FR'),
(2137, '06730', 'Saint Andr�', '06', 'FR'),
(2138, '06260', 'Saint Antonin', '06', 'FR'),
(2139, '06850', 'St Auban', '06', 'FR'),
(2140, '06670', 'Saint Blaise', '06', 'FR'),
(2141, '06780', 'Saint C�zaire sur Siagne', '06', 'FR'),
(2142, '06660', 'Saint Dalmas le Selvage', '06', 'FR'),
(2143, '06660', 'Saint �tienne de Tin�e', '06', 'FR'),
(2144, '06230', 'Saint Jean Cap Ferrat', '06', 'FR'),
(2145, '06640', 'Saint Jeannet', '06', 'FR'),
(2146, '06700', 'Saint Laurent du Var', '06', 'FR'),
(2147, '06260', 'Saint L�ger', '06', 'FR'),
(2148, '06470', 'Saint Martin d''Entraunes', '06', 'FR'),
(2149, '06670', 'Saint Martin du Var', '06', 'FR'),
(2150, '06450', 'Saint Martin V�subie', '06', 'FR'),
(2151, '06570', 'Saint Paul', '06', 'FR'),
(2152, '06420', 'Saint Sauveur sur Tin�e', '06', 'FR'),
(2153, '06460', 'Saint Vallier de Thiey', '06', 'FR'),
(2154, '06910', 'Sallagriffon', '06', 'FR'),
(2155, '06540', 'Saorge', '06', 'FR'),
(2156, '06470', 'Sauze', '06', 'FR'),
(2157, '06750', 'S�ranon', '06', 'FR'),
(2158, '06910', 'Sigale', '06', 'FR'),
(2159, '06380', 'Sospel', '06', 'FR'),
(2160, '06530', 'Sp�rac�des', '06', 'FR'),
(2161, '06590', 'Th�oule sur Mer', '06', 'FR'),
(2162, '06710', 'Thi�ry', '06', 'FR'),
(2163, '06530', 'Le Tignet', '06', 'FR'),
(2164, '06830', 'Toudon', '06', 'FR'),
(2165, '06440', 'Tou�t de l''Escar�ne', '06', 'FR'),
(2166, '06710', 'Tou�t sur Var', '06', 'FR'),
(2167, '06710', 'La Tour', '06', 'FR'),
(2168, '06830', 'Tourette du Ch�teau', '06', 'FR'),
(2169, '06710', 'Tournefort', '06', 'FR'),
(2170, '06690', 'Tourrette Levens', '06', 'FR'),
(2171, '06140', 'Tourette sur Loup', '06', 'FR'),
(2172, '06340', 'La Trinit�', '06', 'FR'),
(2173, '06320', 'La Turbie', '06', 'FR'),
(2174, '06450', 'Utelle', '06', 'FR'),
(2175, '06560', 'Valbonne', '06', 'FR'),
(2176, '06420', 'Valdeblore', '06', 'FR'),
(2177, '06750', 'Valderoure', '06', 'FR'),
(2178, '06220', 'Vallauris', '06', 'FR'),
(2179, '06450', 'Venanson', '06', 'FR'),
(2180, '06140', 'Vence', '06', 'FR'),
(2181, '06710', 'Villars sur Var', '06', 'FR'),
(2182, '06230', 'Villefranche sur Mer', '06', 'FR'),
(2183, '06470', 'Villeneuve d''Entraunes', '06', 'FR'),
(2184, '06270', 'Villeneuve Loubet', '06', 'FR'),
(2185, '06430', 'La Brigue', '06', 'FR'),
(2186, '06430', 'Tende', '06', 'FR'),
(2187, '06660', 'Auron', '06', 'FR'),
(2188, '06210', 'La Napoule', '06', 'FR'),
(2189, '06440', 'Pe�ra Cava', '06', 'FR'),
(2190, '06430', 'Saint Dalmas de Tende', '06', 'FR'),
(2191, '06470', 'Valberg', '06', 'FR'),
(2192, '06130', 'Le Plan de Grasse', '06', 'FR'),
(2193, '06470', 'Est�ng', '06', 'FR'),
(2194, '06750', 'Thorenc', '06', 'FR'),
(2195, '06800', 'Cros de Cagnes', '06', 'FR'),
(2196, '06160', 'Juan les Pins', '06', 'FR'),
(2197, '06520', 'Magagnosc', '06', 'FR'),
(2198, '06450', 'Saint Jean la Rivi�re', '06', 'FR'),
(2199, '06130', 'Plascassier', '06', 'FR'),
(2200, '07160', 'Accons', '07', 'FR'),
(2201, '07200', 'Ailhon', '07', 'FR'),
(2202, '07530', 'Aizac', '07', 'FR'),
(2203, '07000', 'Ajoux', '07', 'FR'),
(2204, '07400', 'Alba la Romaine', '07', 'FR'),
(2205, '07190', 'Albon', '07', 'FR'),
(2206, '07440', 'Alboussi�re', '07', 'FR'),
(2207, '07210', 'Alissas', '07', 'FR'),
(2208, '07340', 'Andance', '07', 'FR'),
(2209, '07100', 'Annonay', '07', 'FR'),
(2210, '07530', 'Antraigues sur Volane', '07', 'FR'),
(2211, '07310', 'Arcens', '07', 'FR'),
(2212, '07290', 'Ardoix', '07', 'FR'),
(2213, '07410', 'Arlebosc', '07', 'FR'),
(2214, '07370', 'Arras sur Rh�ne', '07', 'FR'),
(2215, '07600', 'Asperjoc', '07', 'FR'),
(2216, '07140', 'Les Assions', '07', 'FR'),
(2217, '07330', 'Astet', '07', 'FR'),
(2218, '07200', 'Aubenas', '07', 'FR'),
(2219, '07400', 'Aubignas', '07', 'FR'),
(2220, '07120', 'Auriolles', '07', 'FR'),
(2221, '07210', 'Baix', '07', 'FR'),
(2222, '07120', 'Balazuc', '07', 'FR'),
(2223, '07460', 'Banne', '07', 'FR'),
(2224, '07330', 'Barnas', '07', 'FR'),
(2225, '07630', 'Le B�age', '07', 'FR'),
(2226, '07800', 'Beauchastel', '07', 'FR'),
(2227, '07460', 'Beaulieu', '07', 'FR'),
(2228, '07110', 'Beaumont', '07', 'FR'),
(2229, '07190', 'Beauv�ne', '07', 'FR'),
(2230, '07460', 'Berrias et Casteljau', '07', 'FR'),
(2231, '07580', 'Berz�me', '07', 'FR'),
(2232, '07150', 'Bessas', '07', 'FR'),
(2233, '07700', 'Bidon', '07', 'FR'),
(2234, '07440', 'Boffres', '07', 'FR'),
(2235, '07340', 'Bogy', '07', 'FR'),
(2236, '07310', 'Bor�e', '07', 'FR'),
(2237, '07590', 'Borne', '07', 'FR'),
(2238, '07410', 'Bozas', '07', 'FR'),
(2239, '07270', 'Boucieu le Roi', '07', 'FR'),
(2240, '07100', 'Boulieu l�s Annonay', '07', 'FR'),
(2241, '07700', 'Bourg Saint And�ol', '07', 'FR'),
(2242, '07140', 'Brahic', '07', 'FR'),
(2243, '07340', 'Brossainc', '07', 'FR'),
(2244, '07450', 'Burzet', '07', 'FR'),
(2245, '07460', 'Casteljau', '07', 'FR'),
(2246, '07590', 'Cellier du Luc', '07', 'FR'),
(2247, '07240', 'Chalencon', '07', 'FR'),
(2248, '07160', 'Chambon', '07', 'FR'),
(2249, '07140', 'Chambonas', '07', 'FR'),
(2250, '07340', 'Champagne', '07', 'FR'),
(2251, '07440', 'Champis', '07', 'FR'),
(2252, '07230', 'Chandolas', '07', 'FR'),
(2253, '07310', 'Chan�ac', '07', 'FR'),
(2254, '07800', 'Charmes sur Rh�ne', '07', 'FR'),
(2255, '07340', 'Charnas', '07', 'FR'),
(2256, '07140', 'Chassagnes', '07', 'FR'),
(2257, '07110', 'Chassiers', '07', 'FR'),
(2258, '07130', 'Ch�teaubourg', '07', 'FR'),
(2259, '07240', 'Ch�teauneuf de Vernoux', '07', 'FR'),
(2260, '07120', 'Chauzon', '07', 'FR'),
(2261, '07110', 'Chazeaux', '07', 'FR'),
(2262, '07300', 'Cheminas', '07', 'FR'),
(2263, '07160', 'Le Cheylard', '07', 'FR'),
(2264, '07380', 'Chirols', '07', 'FR'),
(2265, '07210', 'Chom�rac', '07', 'FR'),
(2266, '07430', 'Colombier le Cardinal', '07', 'FR'),
(2267, '07270', 'Colombier le Jeune', '07', 'FR'),
(2268, '07410', 'Colombier le Vieux', '07', 'FR'),
(2269, '07130', 'Cornas', '07', 'FR'),
(2270, '07470', 'Coucouron', '07', 'FR'),
(2271, '07000', 'Coux', '07', 'FR'),
(2272, '07270', 'Le Crestet', '07', 'FR'),
(2273, '07000', 'Creysseilles', '07', 'FR'),
(2274, '07630', 'Cros de G�orand', '07', 'FR'),
(2275, '07510', 'Cros de G�orand', '07', 'FR'),
(2276, '07350', 'Cruas', '07', 'FR'),
(2277, '07170', 'Darbres', '07', 'FR'),
(2278, '07430', 'Dav�zieux', '07', 'FR'),
(2279, '07570', 'D�saignes', '07', 'FR'),
(2280, '07320', 'Devesset', '07', 'FR'),
(2281, '07260', 'Dompnac', '07', 'FR'),
(2282, '07160', 'Dornas', '07', 'FR'),
(2283, '07360', 'Duni�res sur Eyrieux', '07', 'FR'),
(2284, '07370', '�classan', '07', 'FR'),
(2285, '07270', 'Empurany', '07', 'FR'),
(2286, '07300', '�tables', '07', 'FR'),
(2287, '07380', 'Fabras', '07', 'FR'),
(2288, '07230', 'Faug�res', '07', 'FR'),
(2289, '07340', 'F�lines', '07', 'FR'),
(2290, '07000', 'Flaviac', '07', 'FR'),
(2291, '07200', 'Fons', '07', 'FR'),
(2292, '07000', 'Freyssenet', '07', 'FR'),
(2293, '07530', 'Genestelle', '07', 'FR'),
(2294, '07800', 'Gilhac et Bruzac', '07', 'FR'),
(2295, '07270', 'Gilhoc sur Orm�ze', '07', 'FR'),
(2296, '07190', 'Gluiras', '07', 'FR'),
(2297, '07300', 'Glun', '07', 'FR'),
(2298, '07000', 'Gourdon', '07', 'FR'),
(2299, '07700', 'Gras', '07', 'FR'),
(2300, '07140', 'Gravi�res', '07', 'FR'),
(2301, '07120', 'Grospierres', '07', 'FR'),
(2302, '07500', 'Guilherand Granges', '07', 'FR'),
(2303, '07320', 'Intres', '07', 'FR'),
(2304, '07310', 'Intres', '07', 'FR'),
(2305, '07190', 'Issamoulenc', '07', 'FR'),
(2306, '07510', 'Issanlas', '07', 'FR'),
(2307, '07660', 'Issanlas', '07', 'FR'),
(2308, '07470', 'Issarl�s', '07', 'FR'),
(2309, '07380', 'Jaujac', '07', 'FR'),
(2310, '07160', 'Jaunac', '07', 'FR'),
(2311, '07110', 'Joannas', '07', 'FR'),
(2312, '07260', 'Joyeuse', '07', 'FR'),
(2313, '07600', 'Juvinas', '07', 'FR'),
(2314, '07600', 'Labastide sur B�sorgues', '07', 'FR'),
(2315, '07150', 'Labastide de Virac', '07', 'FR'),
(2316, '07570', 'Labatie d''Andaure', '07', 'FR'),
(2317, '07120', 'Labeaume', '07', 'FR'),
(2318, '07200', 'Lab�gude', '07', 'FR'),
(2319, '07230', 'Lablach�re', '07', 'FR'),
(2320, '07110', 'Laboule', '07', 'FR'),
(2321, '07470', 'Lac d''Issarl�s', '07', 'FR'),
(2322, '07530', 'Lachamp Rapha�l', '07', 'FR'),
(2323, '07470', 'Lachapelle Graillouse', '07', 'FR'),
(2324, '07200', 'Lachapelle sous Aubenas', '07', 'FR'),
(2325, '07310', 'Lachapelle sous Chaneac', '07', 'FR'),
(2326, '07520', 'Lafarre', '07', 'FR'),
(2327, '07140', 'Lafig�re', '07', 'FR'),
(2328, '07150', 'Lagorce', '07', 'FR'),
(2329, '07380', 'Lalevade d''Ard�che', '07', 'FR'),
(2330, '07520', 'Lalouvesc', '07', 'FR'),
(2331, '07270', 'Lamastre', '07', 'FR'),
(2332, '07660', 'Lanarce', '07', 'FR'),
(2333, '07200', 'Lanas', '07', 'FR'),
(2334, '07110', 'Largenti�re', '07', 'FR'),
(2335, '07220', 'Larnas', '07', 'FR'),
(2336, '07110', 'Laurac en Vivarais', '07', 'FR'),
(2337, '07590', 'Laval d''Aurelle', '07', 'FR'),
(2338, '48250', 'Laveyrune', '48', 'FR'),
(2339, '07660', 'Lavillatte', '07', 'FR'),
(2340, '07170', 'Lavilledieu', '07', 'FR'),
(2341, '07530', 'Laviolle', '07', 'FR'),
(2342, '07610', 'Lemps', '07', 'FR'),
(2343, '07300', 'Lemps', '07', 'FR'),
(2344, '07200', 'Lentill�res', '07', 'FR'),
(2345, '07660', 'Lesp�ron', '07', 'FR'),
(2346, '07340', 'Limony', '07', 'FR'),
(2347, '07110', 'Loubaresse', '07', 'FR'),
(2348, '07170', 'Lussas', '07', 'FR'),
(2349, '07000', 'Lyas', '07', 'FR'),
(2350, '07140', 'Malarce sur la Thines', '07', 'FR'),
(2351, '07140', 'Malbosc', '07', 'FR'),
(2352, '07190', 'Marcols les Eaux', '07', 'FR'),
(2353, '07160', 'Mariac', '07', 'FR'),
(2354, '07320', 'Mars', '07', 'FR'),
(2355, '07300', 'Mauves', '07', 'FR'),
(2356, '07330', 'Mayres', '07', 'FR'),
(2357, '07510', 'Mazan l''Abbaye', '07', 'FR'),
(2358, '07200', 'Mercuer', '07', 'FR'),
(2359, '07380', 'Meyras', '07', 'FR'),
(2360, '07400', 'Meysse', '07', 'FR'),
(2361, '07530', 'M�zilhac', '07', 'FR'),
(2362, '07170', 'Mirabel', '07', 'FR'),
(2363, '07690', 'Monestier', '07', 'FR'),
(2364, '07560', 'Montpezat sous Bauzon', '07', 'FR'),
(2365, '07110', 'Montr�al', '07', 'FR'),
(2366, '07140', 'Montselgues', '07', 'FR'),
(2367, '07140', 'naves', '07', 'FR'),
(2368, '07160', 'Noni�res', '07', 'FR'),
(2369, '07270', 'Nozi�res', '07', 'FR'),
(2370, '07360', 'Les Olli�res sur Eyrieux', '07', 'FR'),
(2371, '07150', 'Orgnac l''Aven', '07', 'FR'),
(2372, '07370', 'Ozon', '07', 'FR'),
(2373, '07410', 'Pailhar�s', '07', 'FR'),
(2374, '07230', 'Payzac', '07', 'FR'),
(2375, '07340', 'Peaugres', '07', 'FR'),
(2376, '07450', 'P�reyres', '07', 'FR'),
(2377, '07340', 'Peyraud', '07', 'FR'),
(2378, '07590', 'Le Plagnal', '07', 'FR'),
(2379, '07230', 'Planzolles', '07', 'FR'),
(2380, '07300', 'Plats', '07', 'FR'),
(2381, '07380', 'Pont de Labeaume', '07', 'FR'),
(2382, '07000', 'Pourch�res', '07', 'FR'),
(2383, '07320', 'Le Pouzat', '07', 'FR'),
(2384, '07250', 'Le Pouzin', '07', 'FR'),
(2385, '07380', 'Prades', '07', 'FR'),
(2386, '07120', 'Pradons', '07', 'FR'),
(2387, '07000', 'Pranles', '07', 'FR'),
(2388, '07290', 'Pr�aux', '07', 'FR'),
(2389, '07000', 'Privas', '07', 'FR'),
(2390, '07110', 'Prunet', '07', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(2391, '07290', 'Quintenas', '07', 'FR'),
(2392, '07260', 'Ribes', '07', 'FR'),
(2393, '07200', 'Rochecolombe', '07', 'FR'),
(2394, '07400', 'Rochemaure', '07', 'FR'),
(2395, '07320', 'Rochepaule', '07', 'FR'),
(2396, '07110', 'Rocher', '07', 'FR'),
(2397, '07210', 'Rochessauve', '07', 'FR'),
(2398, '07310', 'Rochette', '07', 'FR'),
(2399, '07110', 'Rocles', '07', 'FR'),
(2400, '07100', 'Roiffieux', '07', 'FR'),
(2401, '07250', 'Rompon', '07', 'FR'),
(2402, '07800', 'Rompon', '07', 'FR'),
(2403, '07260', 'Rosi�res', '07', 'FR'),
(2404, '07560', 'Le Roux', '07', 'FR'),
(2405, '07120', 'Ruoms', '07', 'FR'),
(2406, '07260', 'Sabli�res', '07', 'FR'),
(2407, '07450', 'Sagnes et Goudoulet', '07', 'FR'),
(2408, '07320', 'Saint Agr�ve', '07', 'FR'),
(2409, '07790', 'Saint Alban d''Ay', '07', 'FR'),
(2410, '07590', 'Saint Alban en Montagne', '07', 'FR'),
(2411, '07120', 'St Alban Auriolles', '07', 'FR'),
(2412, '07170', 'Saint And�ol de Berg', '07', 'FR'),
(2413, '07160', 'Saint And�ol de Fourchades', '07', 'FR'),
(2414, '07600', 'Saint And�ol de Vals', '07', 'FR'),
(2415, '07460', 'Saint Andr� de Cruzi�res', '07', 'FR'),
(2416, '07690', 'Saint Andr� en Vivarais', '07', 'FR'),
(2417, '07230', 'Saint Andr� Lachamp', '07', 'FR'),
(2418, '07240', 'St Apollinaire de Rias', '07', 'FR'),
(2419, '07160', 'Saint Barth�lemy le Meil', '07', 'FR'),
(2420, '07270', 'St Barth�lemy Grozon', '07', 'FR'),
(2421, '07300', 'Saint Barth�lemy le Plain', '07', 'FR'),
(2422, '07270', 'Saint Basile', '07', 'FR'),
(2423, '07210', 'Saint Bauzile', '07', 'FR'),
(2424, '07160', 'Saint Christol', '07', 'FR'),
(2425, '07800', 'Saint Cierge la Serre', '07', 'FR'),
(2426, '07160', 'Saint Cierge sous le Cheylard', '07', 'FR'),
(2427, '07380', 'St Cirgues de Prades', '07', 'FR'),
(2428, '07510', 'Saint Cirgues en Montagne', '07', 'FR'),
(2429, '07430', 'Saint Clair', '07', 'FR'),
(2430, '07310', 'Saint Cl�ment', '07', 'FR'),
(2431, '07430', 'Saint Cyr', '07', 'FR'),
(2432, '07340', 'Saint D�sirat', '07', 'FR'),
(2433, '07200', 'Saint Didier sous Aubenas', '07', 'FR'),
(2434, '07200', 'Saint �tienne de Boulogne', '07', 'FR'),
(2435, '07200', 'Saint �tienne de Fontbellon', '07', 'FR'),
(2436, '07590', 'Saint �tienne de Lugdar�s', '07', 'FR'),
(2437, '07190', 'St Etienne de Serre', '07', 'FR'),
(2438, '07340', 'Saint �tienne de Valoux', '07', 'FR'),
(2439, '07510', 'Sainte Eulalie', '07', 'FR'),
(2440, '07410', 'Saint F�licien', '07', 'FR'),
(2441, '07360', 'Saint Fortunat sur Eyrieux', '07', 'FR'),
(2442, '07230', 'St Genest de Beauzon', '07', 'FR'),
(2443, '07160', 'Saint Genest Lachamp', '07', 'FR'),
(2444, '07190', 'Saint Genest Lachamp', '07', 'FR'),
(2445, '07800', 'Saint Georges les Bains', '07', 'FR'),
(2446, '07170', 'Saint Germain', '07', 'FR'),
(2447, '07580', 'St Gineis en Coiron', '07', 'FR'),
(2448, '07340', 'Saint Jacques d''Atticieux', '07', 'FR'),
(2449, '07240', 'Saint Jean Chambre', '07', 'FR'),
(2450, '07300', 'Saint Jean de Muzols', '07', 'FR'),
(2451, '07140', 'Saint Jean de Pourcharesse', '07', 'FR'),
(2452, '07580', 'Saint Jean le Centenier', '07', 'FR'),
(2453, '07160', 'Saint Jean Roure', '07', 'FR'),
(2454, '07320', 'Saint Jeure d''Andaure', '07', 'FR'),
(2455, '07290', 'Saint Jeure d''Ay', '07', 'FR'),
(2456, '07530', 'Saint Joseph des Bancs', '07', 'FR'),
(2457, '07310', 'Saint Julien Bouti�res', '07', 'FR'),
(2458, '07190', 'Saint Julien du Gua', '07', 'FR'),
(2459, '07200', 'Saint Julien du Serre', '07', 'FR'),
(2460, '07000', 'Saint Julien en Saint Alban', '07', 'FR'),
(2461, '07160', 'Saint Julien Labrousse', '07', 'FR'),
(2462, '07240', 'Saint Julien le Roux', '07', 'FR'),
(2463, '07690', 'Saint Julien Vocance', '07', 'FR'),
(2464, '07700', 'St Just', '07', 'FR'),
(2465, '07210', 'Saint Lager Bressac', '07', 'FR'),
(2466, '07800', 'Saint Laurent du Pape', '07', 'FR'),
(2467, '07590', 'Saint Laurent les Bains', '07', 'FR'),
(2468, '07170', 'Saint Laurent sous Coiron', '07', 'FR'),
(2469, '07700', 'Saint Marcel d''Ard�che', '07', 'FR'),
(2470, '07100', 'Saint Marcel l�s Annonay', '07', 'FR'),
(2471, '07140', 'Sainte Marguerite Lafig�re', '07', 'FR'),
(2472, '07310', 'Saint Martial', '07', 'FR'),
(2473, '07700', 'Saint Martin d''Ard�che', '07', 'FR'),
(2474, '07310', 'Saint Martin de Valamas', '07', 'FR'),
(2475, '07400', 'St Martin sur Lavezon', '07', 'FR'),
(2476, '07200', 'Saint Maurice d''Ard�che', '07', 'FR'),
(2477, '07170', 'Saint Maurice d''Ibie', '07', 'FR'),
(2478, '07190', 'St Maurice en Chalencon', '07', 'FR'),
(2479, '07260', 'Saint M�lany', '07', 'FR'),
(2480, '07160', 'Saint Michel d''Aurance', '07', 'FR'),
(2481, '07200', 'Saint Michel de Boulogne', '07', 'FR'),
(2482, '07360', 'St Michel de Chabrillanoux', '07', 'FR'),
(2483, '07220', 'Saint Montant', '07', 'FR'),
(2484, '07460', 'Saint Paul le Jeune', '07', 'FR'),
(2485, '07130', 'Saint P�ray', '07', 'FR'),
(2486, '07450', 'Saint Pierre de Colombier', '07', 'FR'),
(2487, '07400', 'Saint Pierre la Roche', '07', 'FR'),
(2488, '07140', 'St Pierre St Jean', '07', 'FR'),
(2489, '07520', 'Saint Pierre sur Doux', '07', 'FR'),
(2490, '07190', 'Saint Pierreville', '07', 'FR'),
(2491, '07580', 'Saint Pons', '07', 'FR'),
(2492, '07000', 'St Priest', '07', 'FR'),
(2493, '07200', 'Saint Privat', '07', 'FR'),
(2494, '07270', 'Saint Prix', '07', 'FR'),
(2495, '07700', 'Saint Rem�ze', '07', 'FR'),
(2496, '07290', 'Saint Romain d''Ay', '07', 'FR'),
(2497, '07130', 'Saint Romain de Lerps', '07', 'FR'),
(2498, '07460', 'Saint Sauveur de Cruzi�res', '07', 'FR'),
(2499, '07190', 'Saint Sauveur de Montagut', '07', 'FR'),
(2500, '07200', 'Saint Sernin', '07', 'FR'),
(2501, '07440', 'St Sylvestre', '07', 'FR'),
(2502, '07210', 'Saint Symphorien sous Chom�rac', '07', 'FR'),
(2503, '07290', 'Saint Symphorien de Mahun', '07', 'FR'),
(2504, '07220', 'Saint Thom�', '07', 'FR'),
(2505, '07410', 'Saint Victor', '07', 'FR'),
(2506, '07210', 'Saint Vincent de Barr�s', '07', 'FR'),
(2507, '07360', 'Saint Vincent de Durfort', '07', 'FR'),
(2508, '07150', 'Salavas', '07', 'FR'),
(2509, '07140', 'Les Salelles', '07', 'FR'),
(2510, '07120', 'Sampzon', '07', 'FR'),
(2511, '07110', 'Sanilhac', '07', 'FR'),
(2512, '07370', 'Sarras', '07', 'FR'),
(2513, '07290', 'Satillieu', '07', 'FR'),
(2514, '07430', 'Savas', '07', 'FR'),
(2515, '07400', 'Sceautres', '07', 'FR'),
(2516, '07610', 'S�cheras', '07', 'FR'),
(2517, '07340', 'Serri�res', '07', 'FR'),
(2518, '07240', 'Silhac', '07', 'FR'),
(2519, '07380', 'Souche', '07', 'FR'),
(2520, '07130', 'Soyons', '07', 'FR'),
(2521, '07340', 'Talencieux', '07', 'FR'),
(2522, '07110', 'Tauriers', '07', 'FR'),
(2523, '07400', 'Le Teil', '07', 'FR'),
(2524, '07140', 'Thines', '07', 'FR'),
(2525, '07340', 'Thorrenc', '07', 'FR'),
(2526, '07330', 'Thueyts', '07', 'FR'),
(2527, '07130', 'Toulaud', '07', 'FR'),
(2528, '07300', 'Tournon sur Rh�ne', '07', 'FR'),
(2529, '07200', 'Ucel', '07', 'FR'),
(2530, '07510', 'Usclades et Rieutord', '07', 'FR'),
(2531, '07110', 'Uzer', '07', 'FR'),
(2532, '07150', 'Vagnas', '07', 'FR'),
(2533, '07110', 'Valgorge', '07', 'FR'),
(2534, '07150', 'Vallon Pont d''Arc', '07', 'FR'),
(2535, '07600', 'Vals les Bains', '07', 'FR'),
(2536, '07400', 'Valvign�res', '07', 'FR'),
(2537, '07690', 'Vanosc', '07', 'FR'),
(2538, '07140', 'Les Vans', '07', 'FR'),
(2539, '07410', 'Vaudevant', '07', 'FR'),
(2540, '07260', 'Vernon', '07', 'FR'),
(2541, '07430', 'Vernosc l�s Annonay', '07', 'FR'),
(2542, '07240', 'Vernoux en Vivarais', '07', 'FR'),
(2543, '07200', 'Vesseaux', '07', 'FR'),
(2544, '07000', 'Veyras', '07', 'FR'),
(2545, '07170', 'Villeneuve de Berg', '07', 'FR'),
(2546, '07690', 'Villevocance', '07', 'FR'),
(2547, '07110', 'Vinezac', '07', 'FR'),
(2548, '07340', 'Vinzieux', '07', 'FR'),
(2549, '07610', 'Vion', '07', 'FR'),
(2550, '07220', 'Viviers', '07', 'FR'),
(2551, '07690', 'Vocance', '07', 'FR'),
(2552, '07200', 'Vogü�', '07', 'FR'),
(2553, '07800', 'La Voulte sur Rh�ne', '07', 'FR'),
(2554, '08300', 'Acy Romance', '08', 'FR'),
(2555, '08090', 'Aiglemont', '08', 'FR'),
(2556, '08190', 'Aire', '08', 'FR'),
(2557, '08310', 'Alincourt', '08', 'FR'),
(2558, '08130', 'Alland''huy et Sausseuil', '08', 'FR'),
(2559, '08400', 'Les Alleux', '08', 'FR'),
(2560, '08300', 'Amagne', '08', 'FR'),
(2561, '08210', 'Amblimont', '08', 'FR'),
(2562, '08130', 'Ambly Fleury', '08', 'FR'),
(2563, '08500', 'Anchamps', '08', 'FR'),
(2564, '08240', 'Andevanne', '08', 'FR'),
(2565, '08450', 'Angecourt', '08', 'FR'),
(2566, '08310', 'Annelles', '08', 'FR'),
(2567, '08260', 'Antheny', '08', 'FR'),
(2568, '08290', 'Aouste', '08', 'FR'),
(2569, '08250', 'Apremont', '08', 'FR'),
(2570, '08400', 'Ardeuil et Montfauxelles', '08', 'FR'),
(2571, '08390', 'Les Grandes Armoises', '08', 'FR'),
(2572, '08390', 'Les Petites Armoises', '08', 'FR'),
(2573, '08300', 'Arnicourt', '08', 'FR'),
(2574, '08090', 'Arreux', '08', 'FR'),
(2575, '08390', 'Artaise le Vivier', '08', 'FR'),
(2576, '08190', 'Asfeld', '08', 'FR'),
(2577, '08130', 'Attigny', '08', 'FR'),
(2578, '08150', 'Aubigny les Poth�es', '08', 'FR'),
(2579, '08270', 'Auboncourt Vauzelles', '08', 'FR'),
(2580, '08320', 'Aubrives', '08', 'FR'),
(2581, '08370', 'Auflance', '08', 'FR'),
(2582, '08380', 'Auge', '08', 'FR'),
(2583, '08400', 'Aure', '08', 'FR'),
(2584, '08310', 'Aussonce', '08', 'FR'),
(2585, '08240', 'Authe', '08', 'FR'),
(2586, '08210', 'Autrecourt et Pourron', '08', 'FR'),
(2587, '08240', 'Autruche', '08', 'FR'),
(2588, '08250', 'Autry', '08', 'FR'),
(2589, '08260', 'Auvillers les Forges', '08', 'FR'),
(2590, '08300', 'Avan�on', '08', 'FR'),
(2591, '08190', 'Avaux', '08', 'FR'),
(2592, '08000', 'Les Ayvelles', '08', 'FR'),
(2593, '08430', 'Ba�lons', '08', 'FR'),
(2594, '08160', 'Balaives et Butz', '08', 'FR'),
(2595, '08200', 'Balan', '08', 'FR'),
(2596, '08190', 'Balham', '08', 'FR'),
(2597, '08400', 'Ballay', '08', 'FR'),
(2598, '08220', 'Banogne Recouvrance', '08', 'FR'),
(2599, '08430', 'Barbaise', '08', 'FR'),
(2600, '08300', 'Barby', '08', 'FR'),
(2601, '08240', 'Bar l�s Buzancy', '08', 'FR'),
(2602, '08240', 'Barricourt', '08', 'FR'),
(2603, '08290', 'Bay', '08', 'FR'),
(2604, '08240', 'Bayonville', '08', 'FR'),
(2605, '08140', 'Bazeilles', '08', 'FR'),
(2606, '08210', 'Beaumont en Argonne', '08', 'FR'),
(2607, '08250', 'Beffu et le Morthomme', '08', 'FR'),
(2608, '08240', 'Belleville et Ch�tillon sur Bar', '08', 'FR'),
(2609, '08090', 'Belval', '08', 'FR'),
(2610, '08240', 'Belval Bois des Dames', '08', 'FR'),
(2611, '08300', 'Bergnicourt', '08', 'FR'),
(2612, '08240', 'La Berli�re', '08', 'FR'),
(2613, '08300', 'Bertoncourt', '08', 'FR'),
(2614, '08450', 'La Besace', '08', 'FR'),
(2615, '08300', 'Biermes', '08', 'FR'),
(2616, '08370', 'Bi�vres', '08', 'FR'),
(2617, '08310', 'Bignicourt', '08', 'FR'),
(2618, '08110', 'Blagny', '08', 'FR'),
(2619, '08400', 'Blaise', '08', 'FR'),
(2620, '08290', 'Blanchefosse et Bay', '08', 'FR'),
(2621, '08190', 'Blanzy la Salonnaise', '08', 'FR'),
(2622, '08260', 'Blombay', '08', 'FR'),
(2623, '08350', 'Boss�val et Briancourt', '08', 'FR'),
(2624, '08290', 'Bossus l�s Rumigny', '08', 'FR'),
(2625, '08250', 'Bouconville', '08', 'FR'),
(2626, '08240', 'Boult aux Bois', '08', 'FR'),
(2627, '08410', 'Boulzicourt', '08', 'FR'),
(2628, '08400', 'Bourcq', '08', 'FR'),
(2629, '08230', 'Bourg Fid�le', '08', 'FR'),
(2630, '08160', 'Boutancourt', '08', 'FR'),
(2631, '08430', 'Bouvellemont', '08', 'FR'),
(2632, '08120', 'Bogny sur Meuse', '08', 'FR'),
(2633, '08400', 'Br�cy Bri�res', '08', 'FR'),
(2634, '08140', 'Br�villy', '08', 'FR'),
(2635, '08190', 'Brienne sur Aisne', '08', 'FR'),
(2636, '08240', 'Brieulles sur Bar', '08', 'FR'),
(2637, '08240', 'Briquenay', '08', 'FR'),
(2638, '08380', 'Brognon', '08', 'FR'),
(2639, '08450', 'Bulson', '08', 'FR'),
(2640, '08240', 'Buzancy', '08', 'FR'),
(2641, '08110', 'Carignan', '08', 'FR'),
(2642, '08160', 'La Cassine', '08', 'FR'),
(2643, '08310', 'Cauroy', '08', 'FR'),
(2644, '08290', 'La Cerleau', '08', 'FR'),
(2645, '08260', 'Cernion', '08', 'FR'),
(2646, '08430', 'Chagny', '08', 'FR'),
(2647, '08160', 'Chalandry �laire', '08', 'FR'),
(2648, '08400', 'Challerange', '08', 'FR'),
(2649, '08250', 'Champigneulle', '08', 'FR'),
(2650, '08430', 'Champigneul sur Vence', '08', 'FR'),
(2651, '08260', 'Champlin', '08', 'FR'),
(2652, '08200', 'La Chapelle', '08', 'FR'),
(2653, '08220', 'Chappes', '08', 'FR'),
(2654, '08130', 'Charbogne', '08', 'FR'),
(2655, '08400', 'Chardeny', '08', 'FR'),
(2656, '08090', 'Charleville M�zi�res', '08', 'FR'),
(2657, '08000', 'Charleville M�zi�res', '08', 'FR'),
(2658, '08600', 'Charnois', '08', 'FR'),
(2659, '08360', 'Ch�teau Porcien', '08', 'FR'),
(2660, '08250', 'Ch�tel Ch�h�ry', '08', 'FR'),
(2661, '08150', 'Le Ch�telet sur Sormonne', '08', 'FR'),
(2662, '08300', 'Le Ch�telet sur Retourne', '08', 'FR'),
(2663, '08240', 'Ch�tillon sur Bar', '08', 'FR'),
(2664, '08220', 'Chaumont Porcien', '08', 'FR'),
(2665, '08350', 'Ch�h�ry', '08', 'FR'),
(2666, '08450', 'Ch�mery sur Bar', '08', 'FR'),
(2667, '08390', 'Le Chesne', '08', 'FR'),
(2668, '08270', 'Chesnois Auboncourt', '08', 'FR'),
(2669, '08350', 'Cheveuges', '08', 'FR'),
(2670, '08250', 'Chevi�res', '08', 'FR'),
(2671, '08260', 'Chilly', '08', 'FR'),
(2672, '08600', 'Chooz', '08', 'FR'),
(2673, '08130', 'Chuffilly Roche', '08', 'FR'),
(2674, '08560', 'Clavy Warby', '08', 'FR'),
(2675, '08090', 'Cliron', '08', 'FR'),
(2676, '08360', 'Cond� l�s Herpy', '08', 'FR'),
(2677, '08250', 'Cond� l�s Autry', '08', 'FR'),
(2678, '08450', 'Connage', '08', 'FR'),
(2679, '08400', 'Contreuve', '08', 'FR'),
(2680, '08250', 'Cornay', '08', 'FR'),
(2681, '08270', 'Corny Mach�rom�nil', '08', 'FR'),
(2682, '08300', 'Coucy', '08', 'FR'),
(2683, '08130', 'Coulommes et Marqueny', '08', 'FR'),
(2684, '08400', 'La Croix aux Bois', '08', 'FR'),
(2685, '08140', 'Daigny', '08', 'FR'),
(2686, '08090', 'Damouzy', '08', 'FR'),
(2687, '08110', 'Deux Villes', '08', 'FR'),
(2688, '08800', 'Deville', '08', 'FR'),
(2689, '08160', 'Dom le Mesnil', '08', 'FR'),
(2690, '08460', 'Dommery', '08', 'FR'),
(2691, '08350', 'Donchery', '08', 'FR'),
(2692, '08220', 'Doumely B�gny', '08', 'FR'),
(2693, '08300', 'Doux', '08', 'FR'),
(2694, '08140', 'Douzy', '08', 'FR'),
(2695, '08220', 'Draize', '08', 'FR'),
(2696, '08310', 'Dricourt', '08', 'FR'),
(2697, '08300', 'L''�caille', '08', 'FR'),
(2698, '08150', 'L''�chelle', '08', 'FR'),
(2699, '08300', '�cly', '08', 'FR'),
(2700, '08130', '�cordal', '08', 'FR'),
(2701, '08160', '�lan', '08', 'FR'),
(2702, '08110', 'Escombres et le Chesnois', '08', 'FR'),
(2703, '08260', 'Estrebay', '08', 'FR'),
(2704, '08260', '�talle', '08', 'FR'),
(2705, '08260', '�teigni�res', '08', 'FR'),
(2706, '08160', '�tr�pigny', '08', 'FR'),
(2707, '08210', 'Euilly et Lombut', '08', 'FR'),
(2708, '08090', '�vigny', '08', 'FR'),
(2709, '08250', 'Exermont', '08', 'FR'),
(2710, '08090', 'Fagnon', '08', 'FR'),
(2711, '08270', 'Faissault', '08', 'FR'),
(2712, '08400', 'Falaise', '08', 'FR'),
(2713, '08270', 'Faux', '08', 'FR'),
(2714, '08170', 'F�pin', '08', 'FR'),
(2715, '08290', 'La F�r�e', '08', 'FR'),
(2716, '08370', 'La Fert� sur Chiers', '08', 'FR'),
(2717, '08260', 'Flaignes Havys', '08', 'FR'),
(2718, '08200', 'Fleigneux', '08', 'FR'),
(2719, '08250', 'Fl�ville', '08', 'FR'),
(2720, '08380', 'Fligny', '08', 'FR'),
(2721, '08160', 'Flize', '08', 'FR'),
(2722, '08200', 'Floing', '08', 'FR'),
(2723, '08600', 'Foisches', '08', 'FR'),
(2724, '08240', 'Foss�', '08', 'FR'),
(2725, '08260', 'Foulzy', '08', 'FR'),
(2726, '08220', 'Fraillicourt', '08', 'FR'),
(2727, '08140', 'Francheval', '08', 'FR'),
(2728, '08000', 'La Francheville', '08', 'FR'),
(2729, '08290', 'Le Fr�ty', '08', 'FR'),
(2730, '08600', 'Fromelennes', '08', 'FR'),
(2731, '08370', 'Fromy', '08', 'FR'),
(2732, '08170', 'Fumay', '08', 'FR'),
(2733, '08240', 'Germont', '08', 'FR'),
(2734, '08440', 'Gernelle', '08', 'FR'),
(2735, '08700', 'Gespunsart', '08', 'FR'),
(2736, '08260', 'Girondelle', '08', 'FR'),
(2737, '08600', 'Givet', '08', 'FR'),
(2738, '08200', 'Givonne', '08', 'FR'),
(2739, '08220', 'Givron', '08', 'FR'),
(2740, '08130', 'Givry', '08', 'FR'),
(2741, '08200', 'Glaire', '08', 'FR'),
(2742, '08190', 'Gomont', '08', 'FR'),
(2743, '08270', 'Grandchamp', '08', 'FR'),
(2744, '08250', 'Grandham', '08', 'FR'),
(2745, '08250', 'Grandpr�', '08', 'FR'),
(2746, '08700', 'La Grandville', '08', 'FR'),
(2747, '08400', 'Grivy Loisy', '08', 'FR'),
(2748, '08430', 'Gruy�res', '08', 'FR'),
(2749, '08230', 'Gu� d''Hossus', '08', 'FR'),
(2750, '08430', 'Guignicourt sur Vence', '08', 'FR'),
(2751, '08130', 'Guincourt', '08', 'FR'),
(2752, '08430', 'Hagnicourt', '08', 'FR'),
(2753, '08090', 'Ham les Moines', '08', 'FR'),
(2754, '08600', 'Ham sur Meuse', '08', 'FR'),
(2755, '08290', 'Hannappes', '08', 'FR'),
(2756, '08160', 'Hannogne Saint Martin', '08', 'FR'),
(2757, '08220', 'Hannogne Saint R�my', '08', 'FR'),
(2758, '08450', 'Haraucourt', '08', 'FR'),
(2759, '08150', 'Harcy', '08', 'FR'),
(2760, '08220', 'La Hardoye', '08', 'FR'),
(2761, '08170', 'Hargnies', '08', 'FR'),
(2762, '08240', 'Harricourt', '08', 'FR'),
(2763, '08090', 'Haudrecy', '08', 'FR'),
(2764, '08800', 'Haulm�', '08', 'FR'),
(2765, '08800', 'Les Hautes Rivi�res', '08', 'FR'),
(2766, '08300', 'Hauteville', '08', 'FR'),
(2767, '08310', 'Hauvin�', '08', 'FR'),
(2768, '08260', 'Havys', '08', 'FR'),
(2769, '08170', 'Haybes', '08', 'FR'),
(2770, '08370', 'Herbeuval', '08', 'FR'),
(2771, '08360', 'Herpy l''Arl�sienne', '08', 'FR'),
(2772, '08320', 'Hierges', '08', 'FR'),
(2773, '08430', 'La Horgne', '08', 'FR'),
(2774, '08190', 'Houdilcourt', '08', 'FR'),
(2775, '08090', 'Houldizy', '08', 'FR'),
(2776, '08200', 'Illy', '08', 'FR'),
(2777, '08240', 'Im�court', '08', 'FR'),
(2778, '08300', 'Inaumont', '08', 'FR'),
(2779, '08440', 'Issancourt et Rumel', '08', 'FR'),
(2780, '08430', 'Jandun', '08', 'FR'),
(2781, '08700', 'Joigny sur Meuse', '08', 'FR'),
(2782, '08130', 'Jonval', '08', 'FR'),
(2783, '08310', 'Juniville', '08', 'FR'),
(2784, '08270', 'Justine Herbigny', '08', 'FR'),
(2785, '08800', 'Laifour', '08', 'FR'),
(2786, '08460', 'Lalobbe', '08', 'FR'),
(2787, '08130', 'Lametz', '08', 'FR'),
(2788, '08250', 'Lan�on', '08', 'FR'),
(2789, '08240', 'Landres et Saint Georges', '08', 'FR'),
(2790, '08600', 'Landrichamps', '08', 'FR'),
(2791, '08430', 'Launois sur Vence', '08', 'FR'),
(2792, '08150', 'Laval Morency', '08', 'FR'),
(2793, '08310', 'Leffincourt', '08', 'FR'),
(2794, '08150', 'L�pron les Vall�es', '08', 'FR'),
(2795, '08210', 'L�tanne', '08', 'FR'),
(2796, '08290', 'Liart', '08', 'FR'),
(2797, '08110', 'Linay', '08', 'FR'),
(2798, '08400', 'Liry', '08', 'FR'),
(2799, '08150', 'Logny Bogny', '08', 'FR'),
(2800, '08220', 'Logny l�s Chaumont', '08', 'FR'),
(2801, '08400', 'Longw�', '08', 'FR'),
(2802, '08150', 'Lonny', '08', 'FR'),
(2803, '08390', 'Louvergny', '08', 'FR'),
(2804, '08300', 'Lucquy', '08', 'FR'),
(2805, '08440', 'Lumes', '08', 'FR'),
(2806, '08310', 'Machault', '08', 'FR'),
(2807, '08220', 'Mainbresson', '08', 'FR'),
(2808, '08220', 'Mainbressy', '08', 'FR'),
(2809, '08140', 'Mairy', '08', 'FR'),
(2810, '08450', 'Maisoncelle et Villers', '08', 'FR'),
(2811, '08370', 'Malandry', '08', 'FR'),
(2812, '08400', 'Manre', '08', 'FR'),
(2813, '08460', 'Maranwez', '08', 'FR'),
(2814, '08260', 'Marby', '08', 'FR'),
(2815, '08250', 'Marcq', '08', 'FR'),
(2816, '08370', 'Margny', '08', 'FR'),
(2817, '08370', 'Margut', '08', 'FR'),
(2818, '08290', 'Marlemont', '08', 'FR'),
(2819, '08390', 'Marquigny', '08', 'FR'),
(2820, '08400', 'Mars sous Bourcq', '08', 'FR'),
(2821, '08400', 'Marvaux Vieux', '08', 'FR'),
(2822, '08110', 'Matton et Cl�mency', '08', 'FR'),
(2823, '08260', 'Maubert Fontaine', '08', 'FR'),
(2824, '08430', 'Mazerny', '08', 'FR'),
(2825, '08500', 'Les Mazures', '08', 'FR'),
(2826, '08700', 'Meillier Fontaine', '08', 'FR'),
(2827, '08310', 'M�nil Annelles', '08', 'FR'),
(2828, '08310', 'M�nil L�pinois', '08', 'FR'),
(2829, '08270', 'Mesmont', '08', 'FR'),
(2830, '08110', 'Messincourt', '08', 'FR'),
(2831, '08110', 'Mogues', '08', 'FR'),
(2832, '08370', 'Moiry', '08', 'FR'),
(2833, '08140', 'La Moncelle', '08', 'FR'),
(2834, '08430', 'Mondigny', '08', 'FR'),
(2835, '08250', 'Montcheutin', '08', 'FR'),
(2836, '08090', 'Montcornet', '08', 'FR'),
(2837, '08090', 'Montcy Notre Dame', '08', 'FR'),
(2838, '08390', 'Mont Dieu', '08', 'FR'),
(2839, '08390', 'Montgon', '08', 'FR'),
(2840, '08800', 'Montherm�', '08', 'FR'),
(2841, '08400', 'Monthois', '08', 'FR'),
(2842, '08170', 'Montigny sur Meuse', '08', 'FR'),
(2843, '08430', 'Montigny sur Vence', '08', 'FR'),
(2844, '08130', 'Mont Laurent', '08', 'FR'),
(2845, '08220', 'Montmeillant', '08', 'FR'),
(2846, '08400', 'Mont Saint Martin', '08', 'FR'),
(2847, '08310', 'Mont Saint R�my', '08', 'FR'),
(2848, '08250', 'Mouron', '08', 'FR'),
(2849, '08210', 'Mouzon', '08', 'FR'),
(2850, '08150', 'Murtin et Bogny', '08', 'FR'),
(2851, '08300', 'Nanteuil sur Aisne', '08', 'FR'),
(2852, '08300', 'Neuflize', '08', 'FR'),
(2853, '08560', 'Neufmaison', '08', 'FR'),
(2854, '08700', 'Neufmanil', '08', 'FR'),
(2855, '08450', 'La Neuville �  Maire', '08', 'FR'),
(2856, '08380', 'La Neuville aux Jo�tes', '08', 'FR'),
(2857, '08380', 'Neuville lez Beaulieu', '08', 'FR'),
(2858, '08310', 'La Neuville en Tourne �  Fuy', '08', 'FR'),
(2859, '08130', 'Neuville Day', '08', 'FR'),
(2860, '08090', 'Neuville l�s This', '08', 'FR'),
(2861, '08270', 'La Neuville l�s Wasigny', '08', 'FR'),
(2862, '08430', 'Neuvizy', '08', 'FR'),
(2863, '08400', 'Noirval', '08', 'FR'),
(2864, '08240', 'Nouart', '08', 'FR'),
(2865, '08160', 'Nouvion sur Meuse', '08', 'FR'),
(2866, '08700', 'Nouzonville', '08', 'FR'),
(2867, '08270', 'Novion Porcien', '08', 'FR'),
(2868, '08300', 'Novy Chevri�res', '08', 'FR'),
(2869, '08350', 'Noyers Pont Maugis', '08', 'FR'),
(2870, '08240', 'Oches', '08', 'FR'),
(2871, '08250', 'Olizy Primat', '08', 'FR'),
(2872, '08450', 'Omicourt', '08', 'FR'),
(2873, '08430', 'Omont', '08', 'FR'),
(2874, '08110', 'Osnes', '08', 'FR'),
(2875, '08300', 'Pargny Resson', '08', 'FR'),
(2876, '08310', 'Pauvres', '08', 'FR'),
(2877, '08300', 'Perthes', '08', 'FR'),
(2878, '08190', 'Poilcourt Sydney', '08', 'FR'),
(2879, '08430', 'Poix Terron', '08', 'FR'),
(2880, '08140', 'Pouru aux Bois', '08', 'FR'),
(2881, '08140', 'Pouru Saint R�my', '08', 'FR'),
(2882, '08290', 'Prez', '08', 'FR'),
(2883, '08250', 'Primat', '08', 'FR'),
(2884, '08000', 'Prix l�s M�zi�res', '08', 'FR'),
(2885, '08370', 'Puilly et Charbeaux', '08', 'FR'),
(2886, '08270', 'Puiseux', '08', 'FR'),
(2887, '08110', 'Pure', '08', 'FR'),
(2888, '08400', 'Quatre Champs', '08', 'FR'),
(2889, '08400', 'Quilly', '08', 'FR'),
(2890, '08430', 'Raillicourt', '08', 'FR'),
(2891, '08600', 'Rancennes', '08', 'FR'),
(2892, '08450', 'Raucourt et Flaba', '08', 'FR'),
(2893, '08230', 'Regniowez', '08', 'FR'),
(2894, '08220', 'Remaucourt', '08', 'FR'),
(2895, '08450', 'Remilly Aillicourt', '08', 'FR'),
(2896, '08150', 'Remilly les Poth�es', '08', 'FR'),
(2897, '08240', 'R�monville', '08', 'FR'),
(2898, '08220', 'Renneville', '08', 'FR'),
(2899, '08150', 'Renwez', '08', 'FR'),
(2900, '08300', 'Rethel', '08', 'FR'),
(2901, '08500', 'Revin', '08', 'FR'),
(2902, '08130', 'Rilly sur Aisne', '08', 'FR'),
(2903, '08150', 'Rimogne', '08', 'FR'),
(2904, '08220', 'Rocquigny', '08', 'FR'),
(2905, '08230', 'Rocroi', '08', 'FR'),
(2906, '08190', 'Roizy', '08', 'FR'),
(2907, '08220', 'La Romagne', '08', 'FR'),
(2908, '08150', 'Rouvroy sur Audry', '08', 'FR'),
(2909, '08140', 'Rub�court et Lam�court', '08', 'FR'),
(2910, '08220', 'Rubigny', '08', 'FR'),
(2911, '08290', 'Rumigny', '08', 'FR'),
(2912, '08130', 'La Sabotterie', '08', 'FR'),
(2913, '08110', 'Sachy', '08', 'FR'),
(2914, '08110', 'Sailly', '08', 'FR'),
(2915, '08350', 'Saint Aignan', '08', 'FR'),
(2916, '08310', 'Saint Cl�ment �  Arnes', '08', 'FR'),
(2917, '08310', 'Saint �tienne �  Arnes', '08', 'FR'),
(2918, '08360', 'Saint Fergeux', '08', 'FR'),
(2919, '08190', 'Saint Germainmont', '08', 'FR'),
(2920, '08220', 'Saint Jean aux Bois', '08', 'FR'),
(2921, '08250', 'Saint Juvin', '08', 'FR'),
(2922, '08130', 'Saint Lambert et Mont de Jeux', '08', 'FR'),
(2923, '08090', 'Saint Laurent', '08', 'FR'),
(2924, '08300', 'Saint Loup Champagne', '08', 'FR'),
(2925, '08130', 'Saint Loup Terrier', '08', 'FR'),
(2926, '08160', 'Saint Marceau', '08', 'FR'),
(2927, '08560', 'Saint Marcel', '08', 'FR'),
(2928, '08400', 'Sainte Marie', '08', 'FR'),
(2929, '08200', 'Saint Menges', '08', 'FR'),
(2930, '08400', 'Saint Morel', '08', 'FR'),
(2931, '08310', 'Saint Pierre �  Arnes', '08', 'FR'),
(2932, '08240', 'Saint Pierremont', '08', 'FR'),
(2933, '08430', 'Saint Pierre sur Vence', '08', 'FR'),
(2934, '08220', 'Saint Quentin le Petit', '08', 'FR'),
(2935, '08300', 'Saint R�my le Petit', '08', 'FR'),
(2936, '08130', 'Sainte Vaubourg', '08', 'FR'),
(2937, '08370', 'Sapogne sur Marche', '08', 'FR'),
(2938, '08160', 'Sapogne et Feuch�res', '08', 'FR'),
(2939, '08130', 'Saulces Champenoises', '08', 'FR'),
(2940, '08270', 'Saulces Monclin', '08', 'FR'),
(2941, '08300', 'Sault l�s Rethel', '08', 'FR'),
(2942, '08190', 'Sault Saint R�my', '08', 'FR'),
(2943, '08390', 'Sauville', '08', 'FR'),
(2944, '08400', 'Savigny sur Aisne', '08', 'FR'),
(2945, '08250', 'S�chault', '08', 'FR'),
(2946, '08150', 'S�cheval', '08', 'FR'),
(2947, '08200', 'Sedan', '08', 'FR'),
(2948, '08400', 'Semide', '08', 'FR'),
(2949, '08130', 'Semuy', '08', 'FR'),
(2950, '08250', 'Senuc', '08', 'FR'),
(2951, '08220', 'Seraincourt', '08', 'FR'),
(2952, '08150', 'Servion', '08', 'FR'),
(2953, '08270', 'S�ry', '08', 'FR'),
(2954, '08300', 'Seuil', '08', 'FR'),
(2955, '08230', 'S�vigny la For�t', '08', 'FR'),
(2956, '08220', 'S�vigny Waleppe', '08', 'FR'),
(2957, '08460', 'Signy l''Abbaye', '08', 'FR'),
(2958, '08380', 'Signy le Petit', '08', 'FR'),
(2959, '08370', 'Signy Montlibert', '08', 'FR'),
(2960, '08430', 'Singly', '08', 'FR'),
(2961, '08240', 'Sivry l�s Buzancy', '08', 'FR'),
(2962, '08240', 'Sommauthe', '08', 'FR'),
(2963, '08250', 'Sommerance', '08', 'FR'),
(2964, '08300', 'Son', '08', 'FR'),
(2965, '08300', 'Sorbon', '08', 'FR'),
(2966, '08270', 'Sorcy Bauth�mont', '08', 'FR'),
(2967, '08150', 'Sormonne', '08', 'FR'),
(2968, '08390', 'Stonne', '08', 'FR'),
(2969, '08400', 'Sugny', '08', 'FR'),
(2970, '08090', 'Sury', '08', 'FR'),
(2971, '08130', 'Suzanne', '08', 'FR'),
(2972, '08390', 'Sy', '08', 'FR'),
(2973, '08300', 'Tagnon', '08', 'FR'),
(2974, '08230', 'Taillette', '08', 'FR'),
(2975, '08240', 'Tailly', '08', 'FR'),
(2976, '08360', 'Taizy', '08', 'FR'),
(2977, '08390', 'Tannay', '08', 'FR'),
(2978, '08380', 'Tarzy', '08', 'FR'),
(2979, '08250', 'Termes', '08', 'FR'),
(2980, '08400', 'Terron sur Aisne', '08', 'FR'),
(2981, '08110', 'T�taigne', '08', 'FR'),
(2982, '08350', 'Th�lonne', '08', 'FR'),
(2983, '08240', 'Th�norgues', '08', 'FR'),
(2984, '08800', 'Thilay', '08', 'FR'),
(2985, '08460', 'Thin le Moutier', '08', 'FR'),
(2986, '08090', 'This', '08', 'FR'),
(2987, '08190', 'Le Thour', '08', 'FR'),
(2988, '08300', 'Thugny Trugny', '08', 'FR'),
(2989, '08400', 'Toges', '08', 'FR'),
(2990, '08430', 'Touligny', '08', 'FR'),
(2991, '08400', 'Tourcelles Chaumont', '08', 'FR'),
(2992, '08800', 'Tournavaux', '08', 'FR'),
(2993, '08090', 'Tournes', '08', 'FR'),
(2994, '08130', 'Tourteron', '08', 'FR'),
(2995, '08110', 'Tremblois l�s Carignan', '08', 'FR'),
(2996, '08150', 'Tremblois l�s Rocroi', '08', 'FR'),
(2997, '08400', 'Vandy', '08', 'FR'),
(2998, '08130', 'Vaux Champagne', '08', 'FR'),
(2999, '08240', 'Vaux en Dieulet', '08', 'FR'),
(3000, '08250', 'Vaux l�s Mouron', '08', 'FR'),
(3001, '08220', 'Vaux l�s Rubigny', '08', 'FR'),
(3002, '08210', 'Vaux l�s Mouzon', '08', 'FR'),
(3003, '08270', 'Vaux Montreuil', '08', 'FR'),
(3004, '08150', 'Vaux Villaine', '08', 'FR'),
(3005, '08160', 'Vendresse', '08', 'FR'),
(3006, '08240', 'Verpel', '08', 'FR'),
(3007, '08390', 'Verri�res', '08', 'FR'),
(3008, '08270', 'Viel Saint R�my', '08', 'FR'),
(3009, '08190', 'Vieux l�s Asfeld', '08', 'FR'),
(3010, '08140', 'Villers Cernay', '08', 'FR'),
(3011, '08190', 'Villers devant le Thour', '08', 'FR'),
(3012, '08210', 'Villers devant Mouzon', '08', 'FR'),
(3013, '08430', 'Villers le Tilleul', '08', 'FR'),
(3014, '08430', 'Villers le Tourneur', '08', 'FR'),
(3015, '08000', 'Villers Semeuse', '08', 'FR'),
(3016, '08350', 'Villers sur Bar', '08', 'FR'),
(3017, '08430', 'Villers sur le Mont', '08', 'FR'),
(3018, '08440', 'Ville sur Lumes', '08', 'FR'),
(3019, '08310', 'Ville sur Retourne', '08', 'FR'),
(3020, '08370', 'Villy', '08', 'FR'),
(3021, '08320', 'Vireux Molhain', '08', 'FR'),
(3022, '08320', 'Vireux Wallerand', '08', 'FR'),
(3023, '08440', 'Vivier au Court', '08', 'FR'),
(3024, '08400', 'Voncq', '08', 'FR'),
(3025, '08400', 'Vouziers', '08', 'FR'),
(3026, '08330', 'Vrigne aux Bois', '08', 'FR'),
(3027, '08350', 'Vrigne Meuse', '08', 'FR'),
(3028, '08400', 'Vrizy', '08', 'FR'),
(3029, '08200', 'Wadelincourt', '08', 'FR'),
(3030, '08220', 'Wadimont', '08', 'FR'),
(3031, '08270', 'Wagnon', '08', 'FR'),
(3032, '08000', 'Warcq', '08', 'FR'),
(3033, '08090', 'Warn�court', '08', 'FR'),
(3034, '08270', 'Wasigny', '08', 'FR'),
(3035, '08270', 'Wignicourt', '08', 'FR'),
(3036, '08110', 'Williers', '08', 'FR'),
(3037, '08210', 'Yoncq', '08', 'FR'),
(3038, '08430', 'Yvernaumont', '08', 'FR'),
(3039, '08800', 'Les Hauts Butt�s', '08', 'FR'),
(3040, '08800', 'Linchamps', '08', 'FR'),
(3041, '08160', 'Pont �  Bar', '08', 'FR'),
(3042, '09240', 'Aigues Juntes', '09', 'FR'),
(3043, '09600', 'Aigues Vives', '09', 'FR'),
(3044, '09300', 'L''Aiguillon', '09', 'FR'),
(3045, '09310', 'Albi�s', '09', 'FR'),
(3046, '09320', 'Aleu', '09', 'FR'),
(3047, '09400', 'Alliat', '09', 'FR'),
(3048, '09240', 'Alli�res', '09', 'FR'),
(3049, '09200', 'Alos', '09', 'FR'),
(3050, '09240', 'Alzen', '09', 'FR'),
(3051, '09400', 'Amplaing', '09', 'FR'),
(3052, '09800', 'Antras', '09', 'FR'),
(3053, '09250', 'Appy', '09', 'FR'),
(3054, '09000', 'Arabaux', '09', 'FR'),
(3055, '09800', 'Argein', '09', 'FR'),
(3056, '09400', 'Arignac', '09', 'FR'),
(3057, '09400', 'Arnave', '09', 'FR'),
(3058, '09800', 'Arrien en Bethmale', '09', 'FR'),
(3059, '09800', 'Arrout', '09', 'FR'),
(3060, '09130', 'Artigat', '09', 'FR'),
(3061, '09460', 'Artigues', '09', 'FR'),
(3062, '09120', 'Artix', '09', 'FR'),
(3063, '09100', 'Arvigna', '09', 'FR'),
(3064, '09110', 'Ascou', '09', 'FR'),
(3065, '09310', 'Aston', '09', 'FR'),
(3066, '09800', 'Aucazein', '09', 'FR'),
(3067, '09800', 'Audressein', '09', 'FR'),
(3068, '09800', 'Augirein', '09', 'FR'),
(3069, '09310', 'Aulos', '09', 'FR'),
(3070, '09140', 'Aulus les Bains', '09', 'FR'),
(3071, '09220', 'Auzat', '09', 'FR'),
(3072, '09250', 'Axiat', '09', 'FR'),
(3073, '09110', 'Ax les Thermes', '09', 'FR'),
(3074, '09160', 'Bagert', '09', 'FR'),
(3075, '09800', 'Balacet', '09', 'FR'),
(3076, '09800', 'Balagu�res', '09', 'FR'),
(3077, '09400', 'Banat', '09', 'FR'),
(3078, '09190', 'Barjac', '09', 'FR'),
(3079, '09350', 'La Bastide de Besplas', '09', 'FR'),
(3080, '09500', 'La Bastide de Bousignac', '09', 'FR'),
(3081, '09700', 'Bastide de Lordat', '09', 'FR'),
(3082, '09160', 'La Bastide du Salat', '09', 'FR'),
(3083, '09240', 'La Bastide de S�rou', '09', 'FR'),
(3084, '09600', 'La Bastide sur l''Hers', '09', 'FR'),
(3085, '09000', 'Baulou', '09', 'FR'),
(3086, '09400', 'B�deilhac et Aynat', '09', 'FR'),
(3087, '09230', 'B�deille', '09', 'FR'),
(3088, '09300', 'B�lesta', '09', 'FR'),
(3089, '09600', 'Belloc', '09', 'FR'),
(3090, '09000', 'B�nac', '09', 'FR'),
(3091, '09100', 'B�nagues', '09', 'FR'),
(3092, '09300', 'B�naix', '09', 'FR'),
(3093, '09500', 'Besset', '09', 'FR'),
(3094, '09250', 'Bestiac', '09', 'FR'),
(3095, '09160', 'Betchat', '09', 'FR'),
(3096, '09800', 'Bethmale', '09', 'FR'),
(3097, '09100', 'B�zac', '09', 'FR'),
(3098, '09320', 'Biert', '09', 'FR'),
(3099, '09400', 'Bompas', '09', 'FR'),
(3100, '09800', 'Bonac Irazein', '09', 'FR'),
(3101, '09100', 'Bonnac', '09', 'FR'),
(3102, '09350', 'Les Bordes sur Arize', '09', 'FR'),
(3103, '09800', 'Les Bordes sur Lez', '09', 'FR'),
(3104, '09000', 'Le Bosc', '09', 'FR'),
(3105, '09310', 'Bouan', '09', 'FR'),
(3106, '09320', 'Boussenac', '09', 'FR'),
(3107, '09000', 'Brassac', '09', 'FR'),
(3108, '09700', 'Brie', '09', 'FR'),
(3109, '09000', 'Burret', '09', 'FR'),
(3110, '09800', 'Buzan', '09', 'FR'),
(3111, '09310', 'Cabannes', '09', 'FR'),
(3112, '09240', 'Cadarcet', '09', 'FR'),
(3113, '09120', 'Calzan', '09', 'FR'),
(3114, '09290', 'Camarade', '09', 'FR'),
(3115, '09500', 'Camon', '09', 'FR'),
(3116, '09350', 'Campagne sur Arize', '09', 'FR'),
(3117, '09700', 'Cant�', '09', 'FR'),
(3118, '09400', 'Capoulet et Junac', '09', 'FR'),
(3119, '09460', 'Carcani�res', '09', 'FR'),
(3120, '09130', 'Carla Bayle', '09', 'FR'),
(3121, '09300', 'Carla de Roquefort', '09', 'FR'),
(3122, '09100', 'Le Carlaret', '09', 'FR'),
(3123, '09420', 'Castelnau Durban', '09', 'FR'),
(3124, '09130', 'Cast�ras', '09', 'FR'),
(3125, '09350', 'Castex', '09', 'FR'),
(3126, '09800', 'Castillon en Couserans', '09', 'FR'),
(3127, '09160', 'Caumont', '09', 'FR'),
(3128, '09250', 'Caussou', '09', 'FR'),
(3129, '09250', 'Caychax', '09', 'FR'),
(3130, '09500', 'Cazals des Bayl�s', '09', 'FR'),
(3131, '09120', 'Cazaux', '09', 'FR'),
(3132, '09160', 'Cazavet', '09', 'FR'),
(3133, '09400', 'Cazenave Serres et Allens', '09', 'FR'),
(3134, '09000', 'Celles', '09', 'FR'),
(3135, '09230', 'C�rizols', '09', 'FR'),
(3136, '09800', 'Cescau', '09', 'FR'),
(3137, '09310', 'Ch�teau Verdun', '09', 'FR'),
(3138, '09420', 'Clermont', '09', 'FR'),
(3139, '09230', 'Contrazy', '09', 'FR'),
(3140, '09000', 'Cos', '09', 'FR'),
(3141, '09140', 'Couflens', '09', 'FR'),
(3142, '09120', 'Coussa', '09', 'FR'),
(3143, '09500', 'Coutens', '09', 'FR'),
(3144, '09120', 'Crampagna', '09', 'FR'),
(3145, '09120', 'Dalou', '09', 'FR'),
(3146, '09350', 'Daumazan sur Arize', '09', 'FR'),
(3147, '09300', 'Dreuilhe', '09', 'FR'),
(3148, '09600', 'Dun', '09', 'FR'),
(3149, '09240', 'Durban sur Arize', '09', 'FR'),
(3150, '09130', 'Durfort', '09', 'FR'),
(3151, '09200', 'Encourtiech', '09', 'FR'),
(3152, '09800', 'Engomer', '09', 'FR'),
(3153, '09600', 'Engravi�s', '09', 'FR'),
(3154, '09140', 'Erc�', '09', 'FR'),
(3155, '09200', 'Erp', '09', 'FR'),
(3156, '09600', 'Esclagne', '09', 'FR'),
(3157, '09100', 'Escosse', '09', 'FR'),
(3158, '09700', 'Esplas', '09', 'FR'),
(3159, '09420', 'Esplas de S�rou', '09', 'FR'),
(3160, '09200', 'Eycheil', '09', 'FR'),
(3161, '09230', 'Fabas', '09', 'FR'),
(3162, '09000', 'Ferri�res sur Ari�ge', '09', 'FR'),
(3163, '09000', 'Foix', '09', 'FR'),
(3164, '09350', 'Fornex', '09', 'FR'),
(3165, '09130', 'Le Fossat', '09', 'FR'),
(3166, '09300', 'Fougax et Barrineuf', '09', 'FR'),
(3167, '09300', 'Freychenet', '09', 'FR'),
(3168, '09290', 'Gabre', '09', 'FR'),
(3169, '09190', 'Gajan', '09', 'FR'),
(3170, '09800', 'Galey', '09', 'FR'),
(3171, '09000', 'Ganac', '09', 'FR'),
(3172, '09250', 'Garanou', '09', 'FR'),
(3173, '09700', 'Gaudi�s', '09', 'FR'),
(3174, '09400', 'G�nat', '09', 'FR'),
(3175, '09220', 'Gesti�s', '09', 'FR'),
(3176, '09220', 'Goulier', '09', 'FR'),
(3177, '09400', 'Gourbit', '09', 'FR'),
(3178, '09120', 'Gudas', '09', 'FR'),
(3179, '09000', 'L''Herm', '09', 'FR'),
(3180, '09390', 'Hospitalet pr�s l''Andorre', '09', 'FR'),
(3181, '09110', 'Ignaux', '09', 'FR'),
(3182, '09800', 'Illartein', '09', 'FR'),
(3183, '09300', 'Ilhat', '09', 'FR'),
(3184, '09220', 'Illier et Laramade', '09', 'FR'),
(3185, '09100', 'Les Issards', '09', 'FR'),
(3186, '09700', 'Justiniac', '09', 'FR'),
(3187, '09700', 'Labatut', '09', 'FR'),
(3188, '09160', 'Lacave', '09', 'FR'),
(3189, '09200', 'Lacourt', '09', 'FR'),
(3190, '09500', 'Lagarde', '09', 'FR'),
(3191, '09130', 'Lanoux', '09', 'FR'),
(3192, '09400', 'Lap�ge', '09', 'FR'),
(3193, '09500', 'Lapenne', '09', 'FR'),
(3194, '09240', 'Larbont', '09', 'FR'),
(3195, '09310', 'Larcat', '09', 'FR'),
(3196, '09310', 'Larnat', '09', 'FR'),
(3197, '09600', 'Laroque d''Olmes', '09', 'FR'),
(3198, '09230', 'Lasserre', '09', 'FR'),
(3199, '09310', 'Lassur', '09', 'FR'),
(3200, '09300', 'Lavelanet', '09', 'FR'),
(3201, '09600', 'L�ran', '09', 'FR'),
(3202, '09220', 'Lercoul', '09', 'FR'),
(3203, '09100', 'Lescousse', '09', 'FR'),
(3204, '09420', 'Lescure', '09', 'FR'),
(3205, '09300', 'Lesparrou', '09', 'FR'),
(3206, '09300', 'Leychert', '09', 'FR'),
(3207, '09210', 'L�zat sur L�ze', '09', 'FR'),
(3208, '09300', 'Lieurac', '09', 'FR'),
(3209, '09600', 'Limbrassac', '09', 'FR'),
(3210, '09700', 'Lissac', '09', 'FR'),
(3211, '09250', 'Lordat', '09', 'FR'),
(3212, '09350', 'Loubaut', '09', 'FR'),
(3213, '09120', 'Loubens', '09', 'FR'),
(3214, '09000', 'Loubi�res', '09', 'FR'),
(3215, '09100', 'Ludi�s', '09', 'FR'),
(3216, '09250', 'Luzenac', '09', 'FR'),
(3217, '09100', 'Madi�re', '09', 'FR'),
(3218, '09500', 'Malegoude', '09', 'FR'),
(3219, '09120', 'Mall�on', '09', 'FR'),
(3220, '09500', 'Manses', '09', 'FR'),
(3221, '09290', 'Le Mas d''Azil', '09', 'FR'),
(3222, '09320', 'Massat', '09', 'FR'),
(3223, '09160', 'Mauvezin de Prat', '09', 'FR'),
(3224, '09230', 'Mauvezin de Sainte Croix', '09', 'FR'),
(3225, '09270', 'Maz�res', '09', 'FR'),
(3226, '09350', 'M�ras', '09', 'FR'),
(3227, '09160', 'Mercenac', '09', 'FR'),
(3228, '09400', 'Mercus Garrabet', '09', 'FR'),
(3229, '09110', 'M�rens l�s Vals', '09', 'FR'),
(3230, '09230', 'M�rigon', '09', 'FR'),
(3231, '09400', 'Miglos', '09', 'FR'),
(3232, '09460', 'Mijan�s', '09', 'FR'),
(3233, '09500', 'irepoix', '09', 'FR'),
(3234, '09130', 'Monesple', '09', 'FR'),
(3235, '09240', 'Montagagne', '09', 'FR'),
(3236, '09110', 'Montaillou', '09', 'FR'),
(3237, '09230', 'Montardit', '09', 'FR'),
(3238, '09700', 'Montaut', '09', 'FR'),
(3239, '09600', 'Montbel', '09', 'FR'),
(3240, '09200', 'Mont�gut en Couserans', '09', 'FR'),
(3241, '09120', 'Mont�gut Plantaurel', '09', 'FR'),
(3242, '09240', 'Montels', '09', 'FR'),
(3243, '09200', 'Montesquieu Avant�s', '09', 'FR'),
(3244, '09350', 'Montfa', '09', 'FR'),
(3245, '09300', 'Montferrier', '09', 'FR'),
(3246, '09330', 'Montgaillard', '09', 'FR'),
(3247, '09160', 'Montgauch', '09', 'FR'),
(3248, '09200', 'Montjoie en Couserans', '09', 'FR'),
(3249, '09000', 'Montoulieu', '09', 'FR'),
(3250, '09300', 'Monts�gur', '09', 'FR'),
(3251, '09240', 'Montseron', '09', 'FR'),
(3252, '09500', 'Moulin Neuf', '09', 'FR'),
(3253, '09200', 'Moulis', '09', 'FR'),
(3254, '09300', 'Nalzen', '09', 'FR'),
(3255, '09240', 'Nescus', '09', 'FR'),
(3256, '09400', 'Niaux', '09', 'FR'),
(3257, '09110', 'Orgeix', '09', 'FR'),
(3258, '09800', 'Orgibet', '09', 'FR'),
(3259, '09110', 'Orlu', '09', 'FR'),
(3260, '09400', 'Ornolac Ussat les Bains', '09', 'FR'),
(3261, '09220', 'Orus', '09', 'FR'),
(3262, '09140', 'Oust', '09', 'FR'),
(3263, '09130', 'Pailh�s', '09', 'FR'),
(3264, '09100', 'Pamiers', '09', 'FR'),
(3265, '09310', 'Pech', '09', 'FR'),
(3266, '09300', 'P�reille', '09', 'FR'),
(3267, '09110', 'Perles et Castelet', '09', 'FR'),
(3268, '09600', 'Le Peyrat', '09', 'FR'),
(3269, '09460', 'Le Pla', '09', 'FR'),
(3270, '09320', 'Le Port', '09', 'FR'),
(3271, '09110', 'Prades', '09', 'FR'),
(3272, '09600', 'Pradettes', '09', 'FR'),
(3273, '09000', 'Pradi�res', '09', 'FR'),
(3274, '09160', 'Prat Bonrepaux', '09', 'FR'),
(3275, '09000', 'Prayols', '09', 'FR'),
(3276, '09460', 'Le Puch', '09', 'FR'),
(3277, '09100', 'Les Pujols', '09', 'FR'),
(3278, '09460', 'Qu�rigut', '09', 'FR'),
(3279, '09400', 'Qui�', '09', 'FR'),
(3280, '09400', 'Rabat les Trois Seigneurs', '09', 'FR'),
(3281, '09300', 'Raissac', '09', 'FR'),
(3282, '09600', 'R�gat', '09', 'FR'),
(3283, '09500', 'Rieucros', '09', 'FR'),
(3284, '09120', 'Rieux de Pelleport', '09', 'FR'),
(3285, '09420', 'Rimont', '09', 'FR'),
(3286, '09200', 'Riv�renert', '09', 'FR'),
(3287, '09140', 'Rogalle', '09', 'FR'),
(3288, '09300', 'Roquefixade', '09', 'FR'),
(3289, '09300', 'Roquefort les Cascades', '09', 'FR'),
(3290, '09500', 'Roumengoux', '09', 'FR'),
(3291, '09460', 'Rouze', '09', 'FR'),
(3292, '09350', 'Sabarat', '09', 'FR'),
(3293, '09100', 'Saint Amadou', '09', 'FR'),
(3294, '09100', 'Saint Amans', '09', 'FR'),
(3295, '09120', 'Saint Bauzeil', '09', 'FR'),
(3296, '09230', 'Ste Croix Volvestre', '09', 'FR'),
(3297, '09120', 'St F�lix de Rieutord', '09', 'FR'),
(3298, '09500', 'Saint F�lix de Tournegat', '09', 'FR'),
(3299, '09500', 'Sainte Foi', '09', 'FR'),
(3300, '09200', 'Saint Girons', '09', 'FR'),
(3301, '09300', 'Saint Jean d''Aigues Vives', '09', 'FR'),
(3302, '09800', 'Saint Jean du Castillonnais', '09', 'FR'),
(3303, '09000', 'Saint Jean de Verges', '09', 'FR'),
(3304, '09100', 'Saint Jean du Falga', '09', 'FR'),
(3305, '09500', 'Saint Julien de Gras Capou', '09', 'FR'),
(3306, '09800', 'St Lary', '09', 'FR'),
(3307, '09190', 'Saint Lizier', '09', 'FR'),
(3308, '09000', 'Saint Martin de Caralp', '09', 'FR'),
(3309, '09100', 'Saint Martin d''Oydes', '09', 'FR'),
(3310, '09100', 'St Michel', '09', 'FR'),
(3311, '09000', 'Saint Paul de Jarrat', '09', 'FR'),
(3312, '09000', 'Saint Pierre de Rivi�re', '09', 'FR'),
(3313, '09500', 'Saint Quentin la Tour', '09', 'FR'),
(3314, '09700', 'Saint Quirc', '09', 'FR'),
(3315, '09100', 'Saint Victor Rouzaud', '09', 'FR'),
(3316, '09210', 'Saint Ybars', '09', 'FR'),
(3317, '09800', 'Salsein', '09', 'FR'),
(3318, '09400', 'Saurat', '09', 'FR'),
(3319, '09300', 'Sautel', '09', 'FR'),
(3320, '09700', 'Saverdun', '09', 'FR'),
(3321, '09110', 'Savignac les Ormeaux', '09', 'FR'),
(3322, '09120', 'S�gura', '09', 'FR'),
(3323, '09140', 'Seix', '09', 'FR'),
(3324, '09220', 'Sem', '09', 'FR'),
(3325, '09250', 'Senconac', '09', 'FR'),
(3326, '09600', 'S�nesse de Senabugue', '09', 'FR'),
(3327, '09190', 'Lorp Sentaraille', '09', 'FR'),
(3328, '09800', 'Sentein', '09', 'FR'),
(3329, '09140', 'Sentenac d''Oust', '09', 'FR'),
(3330, '09240', 'Sentenac de S�rou', '09', 'FR'),
(3331, '09000', 'Serres sur Arget', '09', 'FR'),
(3332, '09130', 'Sieuras', '09', 'FR'),
(3333, '09220', 'Siguer', '09', 'FR'),
(3334, '09310', 'Sinsat', '09', 'FR'),
(3335, '09800', 'Sor', '09', 'FR'),
(3336, '09110', 'Sorgeat', '09', 'FR'),
(3337, '09140', 'Soueix Rogalle', '09', 'FR'),
(3338, '09000', 'Soula', '09', 'FR'),
(3339, '09320', 'Soulan', '09', 'FR'),
(3340, '09220', 'Suc et Sentenac', '09', 'FR'),
(3341, '09400', 'Surba', '09', 'FR'),
(3342, '09240', 'Suzan', '09', 'FR'),
(3343, '09600', 'Tabre', '09', 'FR'),
(3344, '09400', 'Tarascon sur Ari�ge', '09', 'FR'),
(3345, '09160', 'Taurignan Castet', '09', 'FR'),
(3346, '09190', 'Taurignan Vieux', '09', 'FR'),
(3347, '09500', 'Teilhet', '09', 'FR'),
(3348, '09350', 'Thouars sur Arize', '09', 'FR'),
(3349, '09110', 'Tignac', '09', 'FR'),
(3350, '09100', 'La Tour du Crieu', '09', 'FR'),
(3351, '09230', 'Tourtouse', '09', 'FR'),
(3352, '09500', 'Tourtrol', '09', 'FR'),
(3353, '09700', 'Tr�moulet', '09', 'FR'),
(3354, '09500', 'Troye d''Ari�ge', '09', 'FR'),
(3355, '09800', 'Uchentein', '09', 'FR'),
(3356, '09250', 'Unac', '09', 'FR'),
(3357, '09100', 'Unzent', '09', 'FR'),
(3358, '09310', 'Urs', '09', 'FR'),
(3359, '09400', 'Ussat', '09', 'FR'),
(3360, '09140', 'Ustou', '09', 'FR'),
(3361, '09500', 'Vals', '09', 'FR'),
(3362, '09120', 'Varilhes', '09', 'FR'),
(3363, '09110', 'Vaychis', '09', 'FR'),
(3364, '09310', 'V�bre', '09', 'FR'),
(3365, '09120', 'Ventenac', '09', 'FR'),
(3366, '09310', 'Verdun', '09', 'FR'),
(3367, '09000', 'Vernajoul', '09', 'FR'),
(3368, '09250', 'Vernaux', '09', 'FR'),
(3369, '09700', 'Le Vernet', '09', 'FR'),
(3370, '09340', 'Verniolle', '09', 'FR'),
(3371, '09220', 'Vicdessos', '09', 'FR'),
(3372, '09800', 'Villeneuve', '09', 'FR'),
(3373, '09300', 'Villeneuve d''Olmes', '09', 'FR'),
(3374, '09000', 'Villeneuve du Bosc', '09', 'FR'),
(3375, '09130', 'Villeneuve du Latou', '09', 'FR'),
(3376, '09100', 'Villeneuve du Par�age', '09', 'FR'),
(3377, '09120', 'Vira', '09', 'FR'),
(3378, '09500', 'Vivi�s', '09', 'FR'),
(3379, '09130', 'Sainte Suzanne', '09', 'FR'),
(3380, '09140', 'Salau', '09', 'FR'),
(3381, '10200', 'Ailleville', '10', 'FR'),
(3382, '10160', 'Aix en Othe', '10', 'FR'),
(3383, '10700', 'Allibaudi�res', '10', 'FR'),
(3384, '10140', 'Amance', '10', 'FR'),
(3385, '10700', 'Arcis sur Aube', '10', 'FR'),
(3386, '10200', 'Arconville', '10', 'FR'),
(3387, '10140', 'Argan�on', '10', 'FR'),
(3388, '10340', 'Arrelles', '10', 'FR'),
(3389, '10330', 'Arremb�court', '10', 'FR'),
(3390, '10200', 'Arrenti�res', '10', 'FR'),
(3391, '10200', 'Arsonval', '10', 'FR'),
(3392, '10320', 'Assenay', '10', 'FR'),
(3393, '10220', 'Assenci�res', '10', 'FR'),
(3394, '10150', 'Aubeterre', '10', 'FR'),
(3395, '10240', 'Aulnay', '10', 'FR'),
(3396, '10130', 'Auxon', '10', 'FR'),
(3397, '10220', 'Val d''Auzon', '10', 'FR'),
(3398, '10400', 'Avant l�s Marcilly', '10', 'FR'),
(3399, '10240', 'Avant l�s Ramerupt', '10', 'FR'),
(3400, '10340', 'Avirey Lingey', '10', 'FR'),
(3401, '10290', 'Avon la P�ze', '10', 'FR'),
(3402, '10130', 'Avreuil', '10', 'FR'),
(3403, '10340', 'Bagneux la Fosse', '10', 'FR'),
(3404, '10330', 'Bailly le Franc', '10', 'FR'),
(3405, '10330', 'Balignicourt', '10', 'FR'),
(3406, '10210', 'Balnot la Grange', '10', 'FR'),
(3407, '10110', 'Balnot sur Laignes', '10', 'FR'),
(3408, '10600', 'Barberey Saint Sulpice', '10', 'FR'),
(3409, '10400', 'Barbuise', '10', 'FR'),
(3410, '10200', 'Baroville', '10', 'FR'),
(3411, '10200', 'Bar sur Aube', '10', 'FR'),
(3412, '10110', 'Bar sur Seine', '10', 'FR'),
(3413, '10310', 'Bayel', '10', 'FR'),
(3414, '10340', 'Beauvoir sur Sarce', '10', 'FR'),
(3415, '10190', 'Bercenay en Othe', '10', 'FR'),
(3416, '10290', 'Bercenay le Hayer', '10', 'FR'),
(3417, '10200', 'Berg�res', '10', 'FR'),
(3418, '10130', 'Bernon', '10', 'FR'),
(3419, '10110', 'Bertignolles', '10', 'FR'),
(3420, '10160', 'B�rulle', '10', 'FR'),
(3421, '10170', 'Bessy', '10', 'FR'),
(3422, '10500', 'B�tignicourt', '10', 'FR'),
(3423, '10140', 'Beurey', '10', 'FR'),
(3424, '10500', 'Blaincourt sur Aube', '10', 'FR'),
(3425, '10500', 'Blignicourt', '10', 'FR'),
(3426, '10200', 'Bligny', '10', 'FR'),
(3427, '10800', 'Les Bordes Aumont', '10', 'FR'),
(3428, '10140', 'Bossancourt', '10', 'FR'),
(3429, '10320', 'Bouilly', '10', 'FR'),
(3430, '10380', 'Boulages', '10', 'FR'),
(3431, '10270', 'Bouranton', '10', 'FR'),
(3432, '10290', 'Val d''Orvin', '10', 'FR'),
(3433, '10110', 'Bourguignons', '10', 'FR'),
(3434, '10220', 'Bouy Luxembourg', '10', 'FR'),
(3435, '10400', 'Bouy sur Orvin', '10', 'FR'),
(3436, '10340', 'Bragelogne Beauvoir', '10', 'FR'),
(3437, '10500', 'Braux', '10', 'FR'),
(3438, '10800', 'Br�viandes', '10', 'FR'),
(3439, '10220', 'Br�vonnes', '10', 'FR'),
(3440, '10140', 'Briel sur Barse', '10', 'FR'),
(3441, '10500', 'Brienne la Vieille', '10', 'FR'),
(3442, '10500', 'Brienne le Ch�teau', '10', 'FR'),
(3443, '10240', 'Brillecourt', '10', 'FR'),
(3444, '10190', 'Bucey en Othe', '10', 'FR'),
(3445, '10800', 'Buch�res', '10', 'FR'),
(3446, '10110', 'Buxeuil', '10', 'FR'),
(3447, '10110', 'Buxi�res sur Arce', '10', 'FR'),
(3448, '10110', 'Celles sur Ource', '10', 'FR'),
(3449, '10110', 'Chacenay', '10', 'FR'),
(3450, '10500', 'La Chaise', '10', 'FR'),
(3451, '10500', 'Chalette sur Voire', '10', 'FR'),
(3452, '10130', 'Chamoy', '10', 'FR'),
(3453, '10700', 'Champfleury', '10', 'FR'),
(3454, '10200', 'Champignol lez Mondeville', '10', 'FR'),
(3455, '10700', 'Champigny sur Aube', '10', 'FR'),
(3456, '10140', 'Champ sur Barse', '10', 'FR'),
(3457, '10340', 'Channes', '10', 'FR'),
(3458, '10210', 'Chaource', '10', 'FR'),
(3459, '10600', 'La Chapelle Saint Luc', '10', 'FR'),
(3460, '10700', 'Chapelle Vallon', '10', 'FR'),
(3461, '10260', 'Chappes', '10', 'FR'),
(3462, '10150', 'Charmont sous Barbuise', '10', 'FR'),
(3463, '10290', 'Charmoy', '10', 'FR'),
(3464, '10380', 'Charny le Bachot', '10', 'FR'),
(3465, '10210', 'Chaserey', '10', 'FR'),
(3466, '10510', 'Ch�tres', '10', 'FR'),
(3467, '10170', 'Chauchigny', '10', 'FR'),
(3468, '10240', 'Chaudrey', '10', 'FR'),
(3469, '10110', 'Chauffour l�s Bailly', '10', 'FR'),
(3470, '10500', 'Chaumesnil', '10', 'FR'),
(3471, '10330', 'Chavanges', '10', 'FR'),
(3472, '10700', 'Le Ch�ne', '10', 'FR'),
(3473, '10190', 'Chennegy', '10', 'FR'),
(3474, '10110', 'Chervey', '10', 'FR'),
(3475, '10210', 'Chesley', '10', 'FR'),
(3476, '10130', 'Chessy les Pr�s', '10', 'FR'),
(3477, '10390', 'Cl�rey', '10', 'FR'),
(3478, '10240', 'Coclois', '10', 'FR'),
(3479, '10200', 'Colomb� la Fosse', '10', 'FR'),
(3480, '10200', 'Colomb� le Sec', '10', 'FR'),
(3481, '10800', 'Cormost', '10', 'FR'),
(3482, '10500', 'Courcelles sur Voire', '10', 'FR'),
(3483, '10400', 'Courceroy', '10', 'FR'),
(3484, '10130', 'Coursan en Othe', '10', 'FR'),
(3485, '10130', 'Courtaoult', '10', 'FR'),
(3486, '10260', 'Courtenot', '10', 'FR'),
(3487, '10270', 'Courteranges', '10', 'FR'),
(3488, '10250', 'Courteron', '10', 'FR'),
(3489, '10210', 'Coussegrey', '10', 'FR'),
(3490, '10200', 'Couvignon', '10', 'FR'),
(3491, '10100', 'Crancey', '10', 'FR'),
(3492, '10150', 'Cr�ney pr�s Troyes', '10', 'FR'),
(3493, '10320', 'Cr�santignes', '10', 'FR'),
(3494, '10500', 'Crespy le Neuf', '10', 'FR'),
(3495, '10130', 'Les Croutes', '10', 'FR'),
(3496, '10360', 'Cunfin', '10', 'FR'),
(3497, '10210', 'Cussangy', '10', 'FR'),
(3498, '10240', 'Dampierre', '10', 'FR'),
(3499, '10130', 'Davrey', '10', 'FR'),
(3500, '10500', 'Dienville', '10', 'FR'),
(3501, '10190', 'Dierrey Saint Julien', '10', 'FR'),
(3502, '10190', 'Dierrey Saint Pierre', '10', 'FR'),
(3503, '10200', 'Dolancourt', '10', 'FR'),
(3504, '10240', 'Dommartin le Coq', '10', 'FR'),
(3505, '10330', 'Donnement', '10', 'FR'),
(3506, '10220', 'Dosches', '10', 'FR'),
(3507, '10700', 'Dosnon', '10', 'FR'),
(3508, '10170', 'Droupt Saint Basle', '10', 'FR'),
(3509, '10170', 'Droupt Sainte Marie', '10', 'FR'),
(3510, '10130', 'Eaux Puiseaux', '10', 'FR'),
(3511, '10350', '�chemines', '10', 'FR'),
(3512, '10200', '�clance', '10', 'FR'),
(3513, '10110', '�guilly sous Bois', '10', 'FR'),
(3514, '10200', 'Engente', '10', 'FR'),
(3515, '10500', '�pagne', '10', 'FR'),
(3516, '10500', '�poth�mont', '10', 'FR'),
(3517, '10130', 'Ervy le Ch�tel', '10', 'FR'),
(3518, '10360', 'Essoyes', '10', 'FR'),
(3519, '10190', 'Estissac', '10', 'FR'),
(3520, '10210', '�tourvy', '10', 'FR'),
(3521, '10170', '�trelles sur Aube', '10', 'FR'),
(3522, '10290', 'Faux Villecerf', '10', 'FR'),
(3523, '10290', 'Fay l�s Marcilly', '10', 'FR'),
(3524, '10320', 'Fays la Chapelle', '10', 'FR'),
(3525, '10400', 'Ferreux Quincey', '10', 'FR'),
(3526, '10150', 'Feuges', '10', 'FR'),
(3527, '10200', 'Fontaine', '10', 'FR'),
(3528, '10280', 'Fontaine l�s Gr�s', '10', 'FR'),
(3529, '10150', 'Fontaine Luy�res', '10', 'FR'),
(3530, '10400', 'Fontaine M�con', '10', 'FR'),
(3531, '10400', 'Fontenay de Bossery', '10', 'FR'),
(3532, '10360', 'Fontette', '10', 'FR'),
(3533, '10190', 'Fontvannes', '10', 'FR'),
(3534, '10100', 'La Fosse Corduan', '10', 'FR'),
(3535, '10260', 'Fouch�res', '10', 'FR'),
(3536, '10110', 'Fralignes', '10', 'FR'),
(3537, '10200', 'Fravaux', '10', 'FR'),
(3538, '10200', 'Fresnay', '10', 'FR'),
(3539, '10270', 'Fresnoy le Ch�teau', '10', 'FR'),
(3540, '10200', 'Fuligny', '10', 'FR'),
(3541, '10100', 'G�lannes', '10', 'FR'),
(3542, '10220', 'G�raudot', '10', 'FR'),
(3543, '10170', 'Les Grandes Chapelles', '10', 'FR'),
(3544, '10700', 'Grandville', '10', 'FR'),
(3545, '10210', 'Granges', '10', 'FR'),
(3546, '10400', 'Gumery', '10', 'FR'),
(3547, '10250', 'Gy� sur Seine', '10', 'FR'),
(3548, '10500', 'Hampigny', '10', 'FR'),
(3549, '10700', 'Herbisse', '10', 'FR'),
(3550, '10800', 'Isle Aumont', '10', 'FR'),
(3551, '10240', 'Isle Aubigny', '10', 'FR'),
(3552, '10330', 'Jasseines', '10', 'FR'),
(3553, '10200', 'Jaucourt', '10', 'FR'),
(3554, '10320', 'Javernant', '10', 'FR'),
(3555, '10140', 'Jessains', '10', 'FR'),
(3556, '10320', 'Jeugny', '10', 'FR'),
(3557, '10330', 'Joncreuil', '10', 'FR'),
(3558, '10260', 'Jully sur Sarce', '10', 'FR'),
(3559, '10310', 'Juvancourt', '10', 'FR'),
(3560, '10140', 'Juvanz�', '10', 'FR'),
(3561, '10500', 'Juzanvigny', '10', 'FR'),
(3562, '10210', 'Lagesse', '10', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(3563, '10120', 'Laines aux Bois', '10', 'FR'),
(3564, '10110', 'Landreville', '10', 'FR'),
(3565, '10210', 'Lantages', '10', 'FR'),
(3566, '10500', 'Lassicourt', '10', 'FR'),
(3567, '10270', 'Laubressel', '10', 'FR'),
(3568, '10150', 'Lavau', '10', 'FR'),
(3569, '10330', 'Lentilles', '10', 'FR'),
(3570, '10500', 'Lesmont', '10', 'FR'),
(3571, '10200', 'L�vigny', '10', 'FR'),
(3572, '10700', 'Lhu�tre', '10', 'FR'),
(3573, '10130', 'Ligni�res', '10', 'FR'),
(3574, '10200', 'Lignol le Ch�teau', '10', 'FR'),
(3575, '10320', 'Lirey', '10', 'FR'),
(3576, '10110', 'Loches sur Ource', '10', 'FR'),
(3577, '10140', 'La Loge aux Ch�vres', '10', 'FR'),
(3578, '10210', 'La Loge Pomblin', '10', 'FR'),
(3579, '10210', 'Les Loges Margueron', '10', 'FR'),
(3580, '10310', 'Longchamp sur Aujon', '10', 'FR'),
(3581, '10320', 'Longeville sur Mogne', '10', 'FR'),
(3582, '10140', 'Longpr� le Sec', '10', 'FR'),
(3583, '10240', 'Longsols', '10', 'FR'),
(3584, '10170', 'Longueville sur Aube', '10', 'FR'),
(3585, '10400', 'La Loupti�re Th�nard', '10', 'FR'),
(3586, '10270', 'Lusigny sur Barse', '10', 'FR'),
(3587, '10150', 'Luy�res', '10', 'FR'),
(3588, '10300', 'Macey', '10', 'FR'),
(3589, '10320', 'Machy', '10', 'FR'),
(3590, '10110', 'Magnant', '10', 'FR'),
(3591, '10240', 'Magnicourt', '10', 'FR'),
(3592, '10140', 'Magny Fouchard', '10', 'FR'),
(3593, '10230', 'Mailly le Camp', '10', 'FR'),
(3594, '10140', 'Maison des Champs', '10', 'FR'),
(3595, '10210', 'Maisons l�s Chaource', '10', 'FR'),
(3596, '10200', 'Maisons l�s Soulaines', '10', 'FR'),
(3597, '10510', 'Maizi�res la Grande Paroisse', '10', 'FR'),
(3598, '10500', 'Maizi�res l�s Brienne', '10', 'FR'),
(3599, '10160', 'Maraye en Othe', '10', 'FR'),
(3600, '10290', 'Marcilly le Hayer', '10', 'FR'),
(3601, '10350', 'Marigny le Ch�tel', '10', 'FR'),
(3602, '10400', 'Marnay sur Seine', '10', 'FR'),
(3603, '10110', 'Marolles l�s Bailly', '10', 'FR'),
(3604, '10130', 'Marolles sous Ligni�res', '10', 'FR'),
(3605, '10500', 'Mathaux', '10', 'FR'),
(3606, '10320', 'Maupas', '10', 'FR'),
(3607, '10600', 'Mergey', '10', 'FR'),
(3608, '10400', 'Le M�riot', '10', 'FR'),
(3609, '10110', 'Merrey sur Arce', '10', 'FR'),
(3610, '10170', 'M�ry sur Seine', '10', 'FR'),
(3611, '10170', 'Mesgrigny', '10', 'FR'),
(3612, '10700', 'Mesnil la Comtesse', '10', 'FR'),
(3613, '10240', 'Mesnil Lettre', '10', 'FR'),
(3614, '10190', 'Mesnil Saint Loup', '10', 'FR'),
(3615, '10140', 'Mesnil Saint P�re', '10', 'FR'),
(3616, '10220', 'Mesnil Selli�res', '10', 'FR'),
(3617, '10190', 'Messon', '10', 'FR'),
(3618, '10210', 'Metz Robert', '10', 'FR'),
(3619, '10200', 'Meurville', '10', 'FR'),
(3620, '10500', 'Molins sur Aube', '10', 'FR'),
(3621, '10220', 'Montangon', '10', 'FR'),
(3622, '10270', 'Montaulin', '10', 'FR'),
(3623, '10260', 'Montceaux l�s Vaudes', '10', 'FR'),
(3624, '10130', 'Montfey', '10', 'FR'),
(3625, '10300', 'Montgueux', '10', 'FR'),
(3626, '10270', 'Monti�ramey', '10', 'FR'),
(3627, '10200', 'Montier en l''Isle', '10', 'FR'),
(3628, '10130', 'Montigny les Monts', '10', 'FR'),
(3629, '10140', 'Montmartin le Haut', '10', 'FR'),
(3630, '10330', 'Montmorency Beaufort', '10', 'FR'),
(3631, '10400', 'Montpothier', '10', 'FR'),
(3632, '10270', 'Montreuil sur Barse', '10', 'FR'),
(3633, '10150', 'Montsuzain', '10', 'FR'),
(3634, '10240', 'Morembert', '10', 'FR'),
(3635, '10500', 'Morvilliers', '10', 'FR'),
(3636, '10400', 'La Motte Tilly', '10', 'FR'),
(3637, '10800', 'Moussey', '10', 'FR'),
(3638, '10250', 'Mussy sur Seine', '10', 'FR'),
(3639, '10250', 'Neuville sur Seine', '10', 'FR'),
(3640, '10190', 'Neuville sur Vannes', '10', 'FR'),
(3641, '10360', 'No� les Mallets', '10', 'FR'),
(3642, '10420', 'Les No�s pr�s Troyes', '10', 'FR'),
(3643, '10160', 'Nogent en Othe', '10', 'FR'),
(3644, '10240', 'Nogent sur Aube', '10', 'FR'),
(3645, '10400', 'Nogent sur Seine', '10', 'FR'),
(3646, '10700', 'Nozay', '10', 'FR'),
(3647, '10220', 'Onjon', '10', 'FR'),
(3648, '10510', 'Origny le Sec', '10', 'FR'),
(3649, '10700', 'Ormes', '10', 'FR'),
(3650, '10700', 'Ortillon', '10', 'FR'),
(3651, '10170', 'Orvilliers Saint Julien', '10', 'FR'),
(3652, '10100', 'Ossey les Trois Maisons', '10', 'FR'),
(3653, '10160', 'Paisy Cosdon', '10', 'FR'),
(3654, '10190', 'P�lis', '10', 'FR'),
(3655, '10210', 'Pargues', '10', 'FR'),
(3656, '10330', 'Pars l�s Chavanges', '10', 'FR'),
(3657, '10100', 'Pars l�s Romilly', '10', 'FR'),
(3658, '10350', 'Le Pavillon Sainte Julie', '10', 'FR'),
(3659, '10600', 'Payns', '10', 'FR'),
(3660, '10500', 'Pel et Der', '10', 'FR'),
(3661, '10400', 'P�rigny la Rose', '10', 'FR'),
(3662, '10500', 'Perthes l�s Brienne', '10', 'FR'),
(3663, '10500', 'Petit Mesnil', '10', 'FR'),
(3664, '10220', 'Piney', '10', 'FR'),
(3665, '10250', 'Plaines Saint Lange', '10', 'FR'),
(3666, '10380', 'Plancy l''Abbaye', '10', 'FR'),
(3667, '10160', 'Planty', '10', 'FR'),
(3668, '10400', 'Plessis Barbuise', '10', 'FR'),
(3669, '10700', 'Poivres', '10', 'FR'),
(3670, '10110', 'Poligny', '10', 'FR'),
(3671, '10110', 'Polisot', '10', 'FR'),
(3672, '10110', 'Polisy', '10', 'FR'),
(3673, '10150', 'Pont Sainte Marie', '10', 'FR'),
(3674, '10400', 'Pont sur Seine', '10', 'FR'),
(3675, '10700', 'Pouan les Vall�es', '10', 'FR'),
(3676, '10240', 'Pougy', '10', 'FR'),
(3677, '10290', 'Pouy sur Vannes', '10', 'FR'),
(3678, '10210', 'Praslin', '10', 'FR'),
(3679, '10500', 'Pr�cy Notre Dame', '10', 'FR'),
(3680, '10500', 'Pr�cy Saint Martin', '10', 'FR'),
(3681, '10170', 'Pr�mierfait', '10', 'FR'),
(3682, '10200', 'Proverville', '10', 'FR'),
(3683, '10190', 'Prugny', '10', 'FR'),
(3684, '10350', 'Prunay Belleville', '10', 'FR'),
(3685, '10210', 'Prusy', '10', 'FR'),
(3686, '10140', 'Puits et Nuisement', '10', 'FR'),
(3687, '10400', 'Quincey', '10', 'FR'),
(3688, '10130', 'Racines', '10', 'FR'),
(3689, '10500', 'Radonvilliers', '10', 'FR'),
(3690, '10240', 'Ramerupt', '10', 'FR'),
(3691, '10500', 'Rances', '10', 'FR'),
(3692, '10170', 'Rh�ges', '10', 'FR'),
(3693, '10340', 'Les Riceys', '10', 'FR'),
(3694, '10290', 'Rigny la Nonneuse', '10', 'FR'),
(3695, '10160', 'Rigny le Ferron', '10', 'FR'),
(3696, '10280', 'Rilly Sainte Syre', '10', 'FR'),
(3697, '10440', 'La Rivi�re de Corps', '10', 'FR'),
(3698, '10240', 'Romaines', '10', 'FR'),
(3699, '10100', 'Romilly sur Seine', '10', 'FR'),
(3700, '10320', 'Roncenay', '10', 'FR'),
(3701, '10430', 'Rosi�res pr�s Troyes', '10', 'FR'),
(3702, '10500', 'Rosnay l''H�pital', '10', 'FR'),
(3703, '10500', 'La Rothi�re', '10', 'FR'),
(3704, '10220', 'Rouilly Sacey', '10', 'FR'),
(3705, '10800', 'Rouilly Saint Loup', '10', 'FR'),
(3706, '10200', 'Rouvres les Vignes', '10', 'FR'),
(3707, '10260', 'Rumilly l�s Vaudes', '10', 'FR'),
(3708, '10410', 'Ruvigny', '10', 'FR'),
(3709, '10120', 'Saint Andr� les Vergers', '10', 'FR'),
(3710, '10400', 'Saint Aubin', '10', 'FR'),
(3711, '10160', 'Saint Benoist sur Vanne', '10', 'FR'),
(3712, '10600', 'Saint Beno�t sur Seine', '10', 'FR'),
(3713, '10500', 'Saint Christophe Dodinicourt', '10', 'FR'),
(3714, '10700', 'Saint �tienne sous Barbuise', '10', 'FR'),
(3715, '10350', 'Saint Flavy', '10', 'FR'),
(3716, '10120', 'Saint Germain', '10', 'FR'),
(3717, '10100', 'Saint Hilaire sous Romilly', '10', 'FR'),
(3718, '10320', 'Saint Jean de Bonneval', '10', 'FR'),
(3719, '10800', 'Saint Julien les Villas', '10', 'FR'),
(3720, '10800', 'Saint L�ger pr�s Troyes', '10', 'FR'),
(3721, '10500', 'Saint L�ger sous Brienne', '10', 'FR'),
(3722, '10330', 'Saint L�ger sous Margerie', '10', 'FR'),
(3723, '10100', 'Saint Loup de Buffigny', '10', 'FR'),
(3724, '10350', 'Saint Lupien', '10', 'FR'),
(3725, '10600', 'Saint Ly�', '10', 'FR'),
(3726, '10160', 'Saint Mards en Othe', '10', 'FR'),
(3727, '10100', 'Saint Martin de Bossenay', '10', 'FR'),
(3728, '10150', 'Sainte Maure', '10', 'FR'),
(3729, '10280', 'Saint Mesmin', '10', 'FR'),
(3730, '10700', 'Saint Nabord sur Aube', '10', 'FR'),
(3731, '10400', 'Saint Nicolas la Chapelle', '10', 'FR'),
(3732, '10170', 'Saint Oulph', '10', 'FR'),
(3733, '10410', 'Saint Parres aux Tertres', '10', 'FR'),
(3734, '10260', 'Saint Parres l�s Vaudes', '10', 'FR'),
(3735, '10130', 'Saint Phal', '10', 'FR'),
(3736, '10120', 'Saint Pouange', '10', 'FR'),
(3737, '10700', 'Saint R�my sous Barbuise', '10', 'FR'),
(3738, '10300', 'Sainte Savine', '10', 'FR'),
(3739, '10800', 'Saint Thibault', '10', 'FR'),
(3740, '10360', 'Saint Usage', '10', 'FR'),
(3741, '10700', 'Salon', '10', 'FR'),
(3742, '10200', 'Saulcy', '10', 'FR'),
(3743, '10400', 'La Saulsotte', '10', 'FR'),
(3744, '10600', 'Savi�res', '10', 'FR'),
(3745, '10700', 'Semoine', '10', 'FR'),
(3746, '10400', 'Soligny les �tangs', '10', 'FR'),
(3747, '10320', 'Sommeval', '10', 'FR'),
(3748, '10200', 'Soulaines Dhuys', '10', 'FR'),
(3749, '10320', 'Souligny', '10', 'FR'),
(3750, '10200', 'Spoy', '10', 'FR'),
(3751, '10410', 'Thenneli�res', '10', 'FR'),
(3752, '10140', 'Thieffrain', '10', 'FR'),
(3753, '10200', 'Thil', '10', 'FR'),
(3754, '10200', 'Thors', '10', 'FR'),
(3755, '10700', 'Torcy le Grand', '10', 'FR'),
(3756, '10700', 'Torcy le Petit', '10', 'FR'),
(3757, '10440', 'Torvilliers', '10', 'FR'),
(3758, '10400', 'Trainel', '10', 'FR'),
(3759, '10290', 'Trancault', '10', 'FR'),
(3760, '10140', 'Trannes', '10', 'FR'),
(3761, '10700', 'Trouan le Grand', '10', 'FR'),
(3762, '10700', 'Trouans', '10', 'FR'),
(3763, '10000', 'Troyes', '10', 'FR'),
(3764, '10210', 'Turgy', '10', 'FR'),
(3765, '10140', 'Unienville', '10', 'FR'),
(3766, '10200', 'Urville', '10', 'FR'),
(3767, '10150', 'Vailly', '10', 'FR'),
(3768, '10170', 'Vallant Saint Georges', '10', 'FR'),
(3769, '10500', 'Vallentigny', '10', 'FR'),
(3770, '10210', 'Valli�res', '10', 'FR'),
(3771, '10210', 'Vanlay', '10', 'FR'),
(3772, '10190', 'Vauchassis', '10', 'FR'),
(3773, '10140', 'Vauchonvilliers', '10', 'FR'),
(3774, '10240', 'Vaucogne', '10', 'FR'),
(3775, '10260', 'Vaudes', '10', 'FR'),
(3776, '10700', 'Vaupoisson', '10', 'FR'),
(3777, '10140', 'Vendeuvre sur Barse', '10', 'FR'),
(3778, '10800', 'La Vendue Mignot', '10', 'FR'),
(3779, '10200', 'Vernonvilliers', '10', 'FR'),
(3780, '10360', 'Verpilli�res sur Ource', '10', 'FR'),
(3781, '10240', 'Verricourt', '10', 'FR'),
(3782, '10390', 'Verri�res', '10', 'FR'),
(3783, '10380', 'Vi�pres le Grand', '10', 'FR'),
(3784, '10380', 'Vi�pres le Petit', '10', 'FR'),
(3785, '10600', 'Villacerf', '10', 'FR'),
(3786, '10290', 'Villadin', '10', 'FR'),
(3787, '10500', 'La Ville aux Bois', '10', 'FR'),
(3788, '10410', 'Villech�tif', '10', 'FR'),
(3789, '10220', 'Villehardouin', '10', 'FR'),
(3790, '10350', 'Villeloup', '10', 'FR'),
(3791, '10190', 'Villemaur sur Vanne', '10', 'FR'),
(3792, '10800', 'Villemereuil', '10', 'FR'),
(3793, '10160', 'Villemoiron en Othe', '10', 'FR'),
(3794, '10110', 'Villemorien', '10', 'FR'),
(3795, '10260', 'Villemoyenne', '10', 'FR'),
(3796, '10370', 'Villenauxe la Grande', '10', 'FR'),
(3797, '10400', 'Villeneuve au Ch�telot', '10', 'FR'),
(3798, '10130', 'Villeneuve au Chemin', '10', 'FR'),
(3799, '10140', 'La Villeneuve au Ch�ne', '10', 'FR'),
(3800, '10330', 'Villeret', '10', 'FR'),
(3801, '10320', 'Villery', '10', 'FR'),
(3802, '10310', 'Ville sous la Fert�', '10', 'FR'),
(3803, '10110', 'Ville sur Arce', '10', 'FR'),
(3804, '10200', 'Ville sur Terre', '10', 'FR'),
(3805, '10700', 'Villette sur Aube', '10', 'FR'),
(3806, '10700', 'Villiers Herbisse', '10', 'FR'),
(3807, '10210', 'Villiers le Bois', '10', 'FR'),
(3808, '10210', 'Villiers sous Praslin', '10', 'FR'),
(3809, '10140', 'Villy en Trodes', '10', 'FR'),
(3810, '10800', 'Villy le Bois', '10', 'FR'),
(3811, '10800', 'Villy le Mar�chal', '10', 'FR'),
(3812, '10700', 'Vinets', '10', 'FR'),
(3813, '10260', 'Virey sous Bar', '10', 'FR'),
(3814, '10110', 'Vitry le Crois�', '10', 'FR'),
(3815, '10110', 'Viviers sur Artaut', '10', 'FR'),
(3816, '10200', 'Voigny', '10', 'FR'),
(3817, '10130', 'Vosnon', '10', 'FR'),
(3818, '10150', 'Vou�', '10', 'FR'),
(3819, '10210', 'Vougrey', '10', 'FR'),
(3820, '10160', 'Vulaines', '10', 'FR'),
(3821, '10500', 'Y�vres le Petit', '10', 'FR'),
(3822, '10300', 'Grange l''�v�que', '10', 'FR'),
(3823, '10600', 'Barberey aux Moines', '10', 'FR'),
(3824, '10410', 'Belley', '10', 'FR'),
(3825, '10800', 'Courgerennes', '10', 'FR'),
(3826, '10400', 'Courtavant', '10', 'FR'),
(3827, '10150', 'Culoison', '10', 'FR'),
(3828, '10270', 'Daudes', '10', 'FR'),
(3829, '10370', 'Dival', '10', 'FR'),
(3830, '10120', 'L�pine', '10', 'FR'),
(3831, '10100', 'Les Granges', '10', 'FR'),
(3832, '10800', 'Rouillerot', '10', 'FR'),
(3833, '10430', 'Vi�laines', '10', 'FR'),
(3834, '10800', 'Villepart', '10', 'FR'),
(3835, '11800', 'Aigues Vives', '11', 'FR'),
(3836, '11320', 'Airoux', '11', 'FR'),
(3837, '11300', 'Ajac', '11', 'FR'),
(3838, '11240', 'Alaigne', '11', 'FR'),
(3839, '11290', 'Alairac', '11', 'FR'),
(3840, '11360', 'Albas', '11', 'FR'),
(3841, '11330', 'Albi�res', '11', 'FR'),
(3842, '11580', 'Alet les Bains', '11', 'FR'),
(3843, '11170', 'Alzonne', '11', 'FR'),
(3844, '11190', 'Antugnac', '11', 'FR'),
(3845, '11600', 'Aragon', '11', 'FR'),
(3846, '11120', 'Argeliers', '11', 'FR'),
(3847, '11200', 'Argens Minervois', '11', 'FR'),
(3848, '11110', 'Armissan', '11', 'FR'),
(3849, '11190', 'Arques', '11', 'FR'),
(3850, '11220', 'Arquettes en Val', '11', 'FR'),
(3851, '11140', 'Artigues', '11', 'FR'),
(3852, '11290', 'Arzens', '11', 'FR'),
(3853, '11140', 'Aunat', '11', 'FR'),
(3854, '11330', 'Auriac', '11', 'FR'),
(3855, '11140', 'Axat', '11', 'FR'),
(3856, '11700', 'Azille', '11', 'FR'),
(3857, '11800', 'Badens', '11', 'FR'),
(3858, '11100', 'Bages', '11', 'FR'),
(3859, '11600', 'Bagnoles', '11', 'FR'),
(3860, '11410', 'Baraigne', '11', 'FR'),
(3861, '11800', 'Barbaira', '11', 'FR'),
(3862, '11340', 'Belcaire', '11', 'FR'),
(3863, '11580', 'Belcastel et Buc', '11', 'FR'),
(3864, '11410', 'Belflou', '11', 'FR'),
(3865, '11140', 'Belfort sur R�benty', '11', 'FR'),
(3866, '11240', 'Bellegarde du Raz�s', '11', 'FR'),
(3867, '11420', 'Belpech', '11', 'FR'),
(3868, '11240', 'Belv�ze du Raz�s', '11', 'FR'),
(3869, '11500', 'Belvianes et Cavirac', '11', 'FR'),
(3870, '11340', 'Belvis', '11', 'FR'),
(3871, '11090', 'Berriac', '11', 'FR'),
(3872, '11140', 'Bess�de de Sault', '11', 'FR'),
(3873, '11300', 'La Bezole', '11', 'FR'),
(3874, '11200', 'Bizanet', '11', 'FR'),
(3875, '11120', 'Bize Minervois', '11', 'FR'),
(3876, '11700', 'Blomac', '11', 'FR'),
(3877, '11800', 'Bouilhonnac', '11', 'FR'),
(3878, '11190', 'Bouisse', '11', 'FR'),
(3879, '11300', 'Bouri�ge', '11', 'FR'),
(3880, '11300', 'Bourigeole', '11', 'FR'),
(3881, '11140', 'Le Bousquet', '11', 'FR'),
(3882, '11200', 'Boutenac', '11', 'FR'),
(3883, '11150', 'Bram', '11', 'FR'),
(3884, '11500', 'Brenac', '11', 'FR'),
(3885, '11270', 'Br�zilhac', '11', 'FR'),
(3886, '11390', 'Brousses et Villaret', '11', 'FR'),
(3887, '11300', 'Brugairolles', '11', 'FR'),
(3888, '11400', 'Les Brunels', '11', 'FR'),
(3889, '11190', 'Bugarach', '11', 'FR'),
(3890, '11160', 'Cabrespine', '11', 'FR'),
(3891, '11420', 'Cahuzac', '11', 'FR'),
(3892, '11240', 'Cailhau', '11', 'FR'),
(3893, '11240', 'Cailhavel', '11', 'FR'),
(3894, '11140', 'Cailla', '11', 'FR'),
(3895, '11240', 'Cambieure', '11', 'FR'),
(3896, '11140', 'Campagna de Sault', '11', 'FR'),
(3897, '11260', 'Campagne sur Aude', '11', 'FR'),
(3898, '11200', 'Camplong d''Aude', '11', 'FR'),
(3899, '11190', 'Camps sur l''Agly', '11', 'FR'),
(3900, '11340', 'Camurac', '11', 'FR'),
(3901, '11200', 'Canet', '11', 'FR'),
(3902, '11700', 'Capendu', '11', 'FR'),
(3903, '11000', 'Carcassonne', '11', 'FR'),
(3904, '11090', 'Carcassonne', '11', 'FR'),
(3905, '11170', 'Carlipa', '11', 'FR'),
(3906, '11360', 'Cascastel des Corbi�res', '11', 'FR'),
(3907, '11270', 'La Cassaigne', '11', 'FR'),
(3908, '11190', 'Cassaignes', '11', 'FR'),
(3909, '11320', 'Les Cass�s', '11', 'FR'),
(3910, '11160', 'Castans', '11', 'FR'),
(3911, '11400', 'Castelnaudary', '11', 'FR'),
(3912, '11700', 'Castelnau d''Aude', '11', 'FR'),
(3913, '11300', 'Castelreng', '11', 'FR'),
(3914, '11390', 'Caudebronde', '11', 'FR'),
(3915, '11230', 'Caudeval', '11', 'FR'),
(3916, '11160', 'Caunes Minervois', '11', 'FR'),
(3917, '11250', 'Caunette sur Lauquet', '11', 'FR'),
(3918, '11220', 'Caunettes en Val', '11', 'FR'),
(3919, '11170', 'Caux et Sauzens', '11', 'FR'),
(3920, '11570', 'Cavanac', '11', 'FR'),
(3921, '11510', 'Caves', '11', 'FR'),
(3922, '11270', 'Cazalrenoux', '11', 'FR'),
(3923, '11570', 'Cazilhac', '11', 'FR'),
(3924, '11170', 'Cenne Monesti�s', '11', 'FR'),
(3925, '11300', 'C�pie', '11', 'FR'),
(3926, '11230', 'Chalabre', '11', 'FR'),
(3927, '11160', 'Citou', '11', 'FR'),
(3928, '11140', 'Le Clat', '11', 'FR'),
(3929, '11250', 'Clermont sur Lauquet', '11', 'FR'),
(3930, '11700', 'Comigne', '11', 'FR'),
(3931, '11340', 'Comus', '11', 'FR'),
(3932, '11190', 'Conilhac de la Montagne', '11', 'FR'),
(3933, '11200', 'Conilhac Corbi�res', '11', 'FR'),
(3934, '11600', 'Conques sur Orbiel', '11', 'FR'),
(3935, '11230', 'Corbi�res', '11', 'FR'),
(3936, '11500', 'Coudons', '11', 'FR'),
(3937, '11250', 'Couffoulens', '11', 'FR'),
(3938, '11190', 'Couiza', '11', 'FR'),
(3939, '11140', 'Counozouls', '11', 'FR'),
(3940, '11300', 'Cournanel', '11', 'FR'),
(3941, '11110', 'Coursan', '11', 'FR'),
(3942, '11230', 'Courtauly', '11', 'FR'),
(3943, '11240', 'La Court�te', '11', 'FR'),
(3944, '11190', 'Coustaussa', '11', 'FR'),
(3945, '11220', 'Coustouge', '11', 'FR'),
(3946, '11200', 'Cruscades', '11', 'FR'),
(3947, '11190', 'Cubi�res sur Cinoble', '11', 'FR'),
(3948, '11350', 'Cucugnan', '11', 'FR'),
(3949, '11410', 'Cumi�s', '11', 'FR'),
(3950, '11390', 'Cuxac Cabard�s', '11', 'FR'),
(3951, '11590', 'Cuxac d''Aude', '11', 'FR'),
(3952, '11330', 'Davejean', '11', 'FR'),
(3953, '11330', 'Dernacueillette', '11', 'FR'),
(3954, '11300', 'La Digne d''Amont', '11', 'FR'),
(3955, '11300', 'La Digne d''Aval', '11', 'FR'),
(3956, '11240', 'Donazac', '11', 'FR'),
(3957, '11700', 'Douzens', '11', 'FR'),
(3958, '11350', 'Duilhac sous Peyrepertuse', '11', 'FR'),
(3959, '11360', 'Durban Corbi�res', '11', 'FR'),
(3960, '11360', 'Embres et Castelmaure', '11', 'FR'),
(3961, '11200', 'Escales', '11', 'FR'),
(3962, '11140', 'Escouloubre', '11', 'FR'),
(3963, '11240', 'Escueillens', '11', 'FR'),
(3964, '11260', 'Esp�raza', '11', 'FR'),
(3965, '11340', 'Espezel', '11', 'FR'),
(3966, '11260', 'Fa', '11', 'FR'),
(3967, '11200', 'Fabrezan', '11', 'FR'),
(3968, '11220', 'Fajac en Val', '11', 'FR'),
(3969, '11410', 'Fajac la Relenque', '11', 'FR'),
(3970, '11140', 'La Fajolle', '11', 'FR'),
(3971, '11270', 'Fanjeaux', '11', 'FR'),
(3972, '11330', 'F�lines Termen�s', '11', 'FR'),
(3973, '11400', 'Fendeille', '11', 'FR'),
(3974, '11240', 'Fenouillet du Raz�s', '11', 'FR'),
(3975, '11200', 'Ferrals l�s Corbi�res', '11', 'FR'),
(3976, '11240', 'Ferran', '11', 'FR'),
(3977, '11300', 'Festes et Saint Andr�', '11', 'FR'),
(3978, '11510', 'Feuilla', '11', 'FR'),
(3979, '11510', 'Fitou', '11', 'FR'),
(3980, '11560', 'Fleury d''Aude', '11', 'FR'),
(3981, '11800', 'Floure', '11', 'FR'),
(3982, '11140', 'Fontan�s de Sault', '11', 'FR'),
(3983, '11700', 'Fontcouverte', '11', 'FR'),
(3984, '11400', 'Fonters du Raz�s', '11', 'FR'),
(3985, '11310', 'Fontiers Cabard�s', '11', 'FR'),
(3986, '11800', 'Fonti�s d''Aude', '11', 'FR'),
(3987, '11360', 'Fontjoncouse', '11', 'FR'),
(3988, '11270', 'La Force', '11', 'FR'),
(3989, '11600', 'Fournes Cabard�s', '11', 'FR'),
(3990, '11190', 'Fourtou', '11', 'FR'),
(3991, '11600', 'Fraisse Cabard�s', '11', 'FR'),
(3992, '11360', 'Fraiss� des Corbi�res', '11', 'FR'),
(3993, '11300', 'Gaja et Villedieu', '11', 'FR'),
(3994, '11270', 'Gaja la Selve', '11', 'FR'),
(3995, '11140', 'Galinagues', '11', 'FR'),
(3996, '11250', 'Gardie', '11', 'FR'),
(3997, '11270', 'Generville', '11', 'FR'),
(3998, '11140', 'Gincla', '11', 'FR'),
(3999, '11120', 'Ginestas', '11', 'FR'),
(4000, '11500', 'Ginoles', '11', 'FR'),
(4001, '11410', 'Gourvieille', '11', 'FR'),
(4002, '11240', 'Gramazie', '11', 'FR'),
(4003, '11500', 'Gran�s', '11', 'FR'),
(4004, '11250', 'Greffeil', '11', 'FR'),
(4005, '11430', 'Gruissan', '11', 'FR'),
(4006, '11230', 'Gueytes et Labastide', '11', 'FR'),
(4007, '11200', 'Homps', '11', 'FR'),
(4008, '11240', 'Hounoux', '11', 'FR'),
(4009, '11380', 'Les Ilhes', '11', 'FR'),
(4010, '11400', 'Issel', '11', 'FR'),
(4011, '11220', 'Jonqui�res', '11', 'FR'),
(4012, '11140', 'Joucou', '11', 'FR'),
(4013, '11320', 'Labastide d''Anjou', '11', 'FR'),
(4014, '11220', 'Labastide en Val', '11', 'FR'),
(4015, '11380', 'Labastide Esparbairenque', '11', 'FR'),
(4016, '11400', 'Lab�c�de Lauragais', '11', 'FR'),
(4017, '11310', 'Lacombe', '11', 'FR'),
(4018, '11250', 'Ladern sur Lauquet', '11', 'FR'),
(4019, '11420', 'Lafage', '11', 'FR'),
(4020, '11220', 'Lagrasse', '11', 'FR'),
(4021, '11330', 'Lairi�re', '11', 'FR'),
(4022, '11330', 'Lanet', '11', 'FR'),
(4023, '11480', 'Palme', '11', 'FR'),
(4024, '11390', 'Laprade', '11', 'FR'),
(4025, '11700', 'Redorte', '11', 'FR'),
(4026, '11330', 'Laroque de Fa', '11', 'FR'),
(4027, '11400', 'Lasbordes', '11', 'FR'),
(4028, '11270', 'Lasserre de Prouille', '11', 'FR'),
(4029, '11600', 'Lastours', '11', 'FR'),
(4030, '11400', 'Laurabuc', '11', 'FR'),
(4031, '11270', 'Laurac', '11', 'FR'),
(4032, '11300', 'Lauraguel', '11', 'FR'),
(4033, '11800', 'Laure Minervois', '11', 'FR'),
(4034, '11290', 'Lavalette', '11', 'FR'),
(4035, '11160', 'Lespinassi�re', '11', 'FR'),
(4036, '11250', 'Leuc', '11', 'FR'),
(4037, '11370', 'Leucate', '11', 'FR'),
(4038, '11200', 'L�zignan Corbi�res', '11', 'FR'),
(4039, '11240', 'Lignairolles', '11', 'FR'),
(4040, '11600', 'Limousis', '11', 'FR'),
(4041, '11300', 'Limoux', '11', 'FR'),
(4042, '11300', 'Loupia', '11', 'FR'),
(4043, '11410', 'La Louvi�re Lauragais', '11', 'FR'),
(4044, '11190', 'Luc sur Aude', '11', 'FR'),
(4045, '11200', 'Luc sur Orbieu', '11', 'FR'),
(4046, '11300', 'Magrie', '11', 'FR'),
(4047, '11120', 'Mailhac', '11', 'FR'),
(4048, '11330', 'Maisons', '11', 'FR'),
(4049, '11300', 'Malras', '11', 'FR'),
(4050, '11600', 'Malves en Minervois', '11', 'FR'),
(4051, '11300', 'Malvi�s', '11', 'FR'),
(4052, '11120', 'Marcorignan', '11', 'FR'),
(4053, '11410', 'Marquein', '11', 'FR'),
(4054, '11140', 'Marsa', '11', 'FR'),
(4055, '11800', 'Marseillette', '11', 'FR'),
(4056, '11390', 'Les Martys', '11', 'FR'),
(4057, '11380', 'Mas Cabard�s', '11', 'FR'),
(4058, '11570', 'Mas des Cours', '11', 'FR'),
(4059, '11330', 'Massac', '11', 'FR'),
(4060, '11400', 'Mas Saintes Puelles', '11', 'FR'),
(4061, '11420', 'Mayreville', '11', 'FR'),
(4062, '11220', 'Mayronnes', '11', 'FR'),
(4063, '11240', 'Mazerolles du Raz�s', '11', 'FR'),
(4064, '11140', 'Mazuby', '11', 'FR'),
(4065, '11140', 'M�rial', '11', 'FR'),
(4066, '11410', 'M�zerville', '11', 'FR'),
(4067, '11380', 'Miraval Cabard�s', '11', 'FR'),
(4068, '11120', 'Mirepeisset', '11', 'FR'),
(4069, '11400', 'Mireval Lauragais', '11', 'FR'),
(4070, '11580', 'Miss�gre', '11', 'FR'),
(4071, '11420', 'Molandier', '11', 'FR'),
(4072, '11410', 'Molleville', '11', 'FR'),
(4073, '11410', 'Montauriol', '11', 'FR'),
(4074, '11190', 'Montazels', '11', 'FR'),
(4075, '11700', 'Montbrun des Corbi�res', '11', 'FR'),
(4076, '11250', 'Montclar', '11', 'FR'),
(4077, '11320', 'Montferrand', '11', 'FR'),
(4078, '11140', 'Montfort sur Boulzane', '11', 'FR'),
(4079, '11330', 'Montgaillard', '11', 'FR'),
(4080, '11240', 'Montgradail', '11', 'FR'),
(4081, '11240', 'Monthaut', '11', 'FR'),
(4082, '11800', 'Montirat', '11', 'FR'),
(4083, '11230', 'Montjardin', '11', 'FR'),
(4084, '11330', 'Montjoi', '11', 'FR'),
(4085, '11220', 'Montlaur', '11', 'FR'),
(4086, '11320', 'Montmaur', '11', 'FR'),
(4087, '11170', 'Montolieu', '11', 'FR'),
(4088, '11290', 'Montr�al', '11', 'FR'),
(4089, '11100', 'Montredon des Corbi�res', '11', 'FR'),
(4090, '11200', 'Monts�ret', '11', 'FR'),
(4091, '11800', 'Monze', '11', 'FR'),
(4092, '11120', 'Moussan', '11', 'FR'),
(4093, '11170', 'Moussoulens', '11', 'FR'),
(4094, '11330', 'Mouthoumet', '11', 'FR'),
(4095, '11700', 'Moux', '11', 'FR'),
(4096, '11100', 'Narbonne', '11', 'FR'),
(4097, '11500', 'N�bias', '11', 'FR'),
(4098, '11200', 'N�vian', '11', 'FR'),
(4099, '11140', 'Niort de Sault', '11', 'FR'),
(4100, '11210', 'Port la Nouvelle', '11', 'FR'),
(4101, '11200', 'Ornaisons', '11', 'FR'),
(4102, '11270', 'Orsans', '11', 'FR'),
(4103, '11590', 'Ouveillan', '11', 'FR'),
(4104, '11350', 'Padern', '11', 'FR'),
(4105, '11330', 'Palairac', '11', 'FR'),
(4106, '11570', 'Palaja', '11', 'FR'),
(4107, '11200', 'Paraza', '11', 'FR'),
(4108, '11300', 'Pauligne', '11', 'FR'),
(4109, '11410', 'Payra sur l''Hers', '11', 'FR'),
(4110, '11350', 'Paziols', '11', 'FR'),
(4111, '11420', 'P�charic et le Py', '11', 'FR'),
(4112, '11420', 'Pech Luna', '11', 'FR'),
(4113, '11610', 'Pennautier', '11', 'FR'),
(4114, '11700', 'P�pieux', '11', 'FR'),
(4115, '11150', 'Pexiora', '11', 'FR'),
(4116, '11230', 'Peyrefitte du Raz�s', '11', 'FR'),
(4117, '11410', 'Peyrefitte sur l''Hers', '11', 'FR'),
(4118, '11400', 'Peyrens', '11', 'FR'),
(4119, '11440', 'Peyriac de Mer', '11', 'FR'),
(4120, '11160', 'Peyriac Minervois', '11', 'FR'),
(4121, '11190', 'Peyrolles', '11', 'FR'),
(4122, '11170', 'Pezens', '11', 'FR'),
(4123, '11300', 'Pieusse', '11', 'FR'),
(4124, '11420', 'Plaigne', '11', 'FR'),
(4125, '11270', 'Plavilla', '11', 'FR'),
(4126, '11400', 'La Pomar�de', '11', 'FR'),
(4127, '11250', 'Pomas', '11', 'FR'),
(4128, '11300', 'Pomy', '11', 'FR'),
(4129, '11490', 'Portel des Corbi�res', '11', 'FR'),
(4130, '11120', 'Pouzols Minervois', '11', 'FR'),
(4131, '11380', 'Pradelles Cabard�s', '11', 'FR'),
(4132, '11220', 'Pradelles en Val', '11', 'FR'),
(4133, '11250', 'Preixan', '11', 'FR'),
(4134, '11400', 'Puginier', '11', 'FR'),
(4135, '11700', 'Puicheric', '11', 'FR'),
(4136, '11140', 'Puilaurens', '11', 'FR'),
(4137, '11230', 'Puivert', '11', 'FR'),
(4138, '11500', 'Quillan', '11', 'FR'),
(4139, '11360', 'Quintillan', '11', 'FR'),
(4140, '11500', 'Quirbajou', '11', 'FR'),
(4141, '11200', 'Raissac d''Aude', '11', 'FR'),
(4142, '11170', 'Raissac sur Lampy', '11', 'FR'),
(4143, '11190', 'Rennes le Ch�teau', '11', 'FR'),
(4144, '11190', 'Rennes les Bains', '11', 'FR'),
(4145, '11220', 'Ribaute', '11', 'FR'),
(4146, '11270', 'Ribouisse', '11', 'FR'),
(4147, '11400', 'Ricaud', '11', 'FR'),
(4148, '11220', 'Rieux en Val', '11', 'FR'),
(4149, '11160', 'Rieux Minervois', '11', 'FR'),
(4150, '11230', 'Rivel', '11', 'FR'),
(4151, '11140', 'Rodome', '11', 'FR'),
(4152, '11700', 'Roquecourbe Minervois', '11', 'FR'),
(4153, '11380', 'Roquef�re', '11', 'FR'),
(4154, '11340', 'Roquefeuil', '11', 'FR'),
(4155, '11140', 'Roquefort de Sault', '11', 'FR'),
(4156, '11540', 'Roquefort des Corbi�res', '11', 'FR'),
(4157, '11300', 'Roquetaillade', '11', 'FR'),
(4158, '11200', 'Roubia', '11', 'FR'),
(4159, '11250', 'Rouffiac d''Aude', '11', 'FR'),
(4160, '11350', 'Rouffiac des Corbi�res', '11', 'FR'),
(4161, '11290', 'Roullens', '11', 'FR'),
(4162, '11240', 'Routier', '11', 'FR'),
(4163, '11260', 'Rouvenac', '11', 'FR'),
(4164, '11800', 'Rustiques', '11', 'FR'),
(4165, '11270', 'St Amans', '11', 'FR'),
(4166, '11200', 'Saint Andr� de Roquelongue', '11', 'FR'),
(4167, '11230', 'Saint Beno�t', '11', 'FR'),
(4168, '11410', 'Sainte Camelle', '11', 'FR'),
(4169, '11140', 'Sainte Colombe sur Guette', '11', 'FR'),
(4170, '11230', 'Sainte Colombe sur l''Hers', '11', 'FR'),
(4171, '11700', 'Saint Couat d''Aude', '11', 'FR'),
(4172, '11300', 'Saint Couat du Raz�s', '11', 'FR'),
(4173, '11310', 'Saint Denis', '11', 'FR'),
(4174, '11170', 'Sainte Eulalie', '11', 'FR'),
(4175, '11500', 'Saint Ferriol', '11', 'FR'),
(4176, '11800', 'Saint Frichoux', '11', 'FR'),
(4177, '11270', 'Saint Gaud�ric', '11', 'FR'),
(4178, '11250', 'Saint Hilaire', '11', 'FR'),
(4179, '11360', 'Saint Jean de Barrou', '11', 'FR'),
(4180, '11260', 'Saint Jean de Paracol', '11', 'FR'),
(4181, '11500', 'Saint Julia de Bec', '11', 'FR'),
(4182, '11270', 'Saint Julien de Briola', '11', 'FR'),
(4183, '11240', 'Saint Just de B�lengard', '11', 'FR'),
(4184, '11500', 'Saint Just et le B�zu', '11', 'FR'),
(4185, '11220', 'St Laurent de la Cabrerisse', '11', 'FR'),
(4186, '11500', 'Saint Louis et Parahou', '11', 'FR'),
(4187, '11120', 'St Marcel sur Aude', '11', 'FR'),
(4188, '11220', 'Saint Martin des Puits', '11', 'FR'),
(4189, '11300', 'Saint Martin de Villereglan', '11', 'FR'),
(4190, '11400', 'Saint Martin Lalande', '11', 'FR'),
(4191, '11170', 'Saint Martin le Vieil', '11', 'FR'),
(4192, '11500', 'Saint Martin Lys', '11', 'FR'),
(4193, '11410', 'Saint Michel de Lan�s', '11', 'FR'),
(4194, '11120', 'Saint Nazaire d''Aude', '11', 'FR'),
(4195, '11400', 'Saint Papoul', '11', 'FR'),
(4196, '11320', 'Saint Paulet', '11', 'FR'),
(4197, '11220', 'Saint Pierre des Champs', '11', 'FR'),
(4198, '11300', 'Saint Polycarpe', '11', 'FR'),
(4199, '11420', 'Saint Sernin', '11', 'FR'),
(4200, '11120', 'Sainte Vali�re', '11', 'FR'),
(4201, '11310', 'Saissac', '11', 'FR'),
(4202, '11600', 'Sall�les Cabard�s', '11', 'FR'),
(4203, '11590', 'Sall�les d''Aude', '11', 'FR'),
(4204, '11110', 'Salles d''Aude', '11', 'FR'),
(4205, '11410', 'Salles sur l''Hers', '11', 'FR'),
(4206, '11600', 'Salsigne', '11', 'FR'),
(4207, '11140', 'Salvezines', '11', 'FR'),
(4208, '11330', 'Salza', '11', 'FR'),
(4209, '11240', 'Seignalens', '11', 'FR'),
(4210, '11190', 'La Serpent', '11', 'FR'),
(4211, '11190', 'Serres', '11', 'FR'),
(4212, '11220', 'Servi�s en Val', '11', 'FR'),
(4213, '11130', 'Sigean', '11', 'FR'),
(4214, '11230', 'Sonnac sur l''Hers', '11', 'FR'),
(4215, '11190', 'Sougraigne', '11', 'FR'),
(4216, '11400', 'Souilhanels', '11', 'FR'),
(4217, '11400', 'Souilhe', '11', 'FR'),
(4218, '11350', 'Soulatg�', '11', 'FR'),
(4219, '11320', 'Soupex', '11', 'FR'),
(4220, '11220', 'Talairan', '11', 'FR'),
(4221, '11220', 'Taurize', '11', 'FR'),
(4222, '11330', 'Termes', '11', 'FR'),
(4223, '11580', 'Terroles', '11', 'FR'),
(4224, '11200', 'Th�zan des Corbi�res', '11', 'FR'),
(4225, '11380', 'La Tourette Cabard�s', '11', 'FR'),
(4226, '11220', 'Tournissan', '11', 'FR'),
(4227, '11200', 'Tourouzelle', '11', 'FR'),
(4228, '11300', 'Tourreilles', '11', 'FR'),
(4229, '11160', 'Trassanel', '11', 'FR'),
(4230, '11160', 'Trausse', '11', 'FR'),
(4231, '11800', 'Tr�bes', '11', 'FR'),
(4232, '11510', 'Treilles', '11', 'FR'),
(4233, '11400', 'Tr�ville', '11', 'FR'),
(4234, '11230', 'Tr�ziers', '11', 'FR'),
(4235, '11350', 'Tuchan', '11', 'FR'),
(4236, '11580', 'Valmig�re', '11', 'FR'),
(4237, '11610', 'Ventenac Cabard�s', '11', 'FR'),
(4238, '11120', 'Ventenac en Minervois', '11', 'FR'),
(4239, '11580', 'V�raza', '11', 'FR'),
(4240, '11400', 'Verdun en Lauragais', '11', 'FR'),
(4241, '11250', 'Verzeille', '11', 'FR'),
(4242, '11330', 'Vignevieille', '11', 'FR'),
(4243, '11600', 'Villalier', '11', 'FR'),
(4244, '11600', 'Villani�re', '11', 'FR'),
(4245, '11580', 'Villardebelle', '11', 'FR'),
(4246, '11600', 'Villardonnel', '11', 'FR'),
(4247, '11220', 'Villar en Val', '11', 'FR'),
(4248, '11250', 'Villar Saint Anselme', '11', 'FR'),
(4249, '11600', 'Villarzel Cabard�s', '11', 'FR'),
(4250, '11300', 'Villarzel du Raz�s', '11', 'FR'),
(4251, '11150', 'Villasavary', '11', 'FR'),
(4252, '11420', 'Villautou', '11', 'FR'),
(4253, '11250', 'Villebazy', '11', 'FR'),
(4254, '11200', 'Villedaigne', '11', 'FR'),
(4255, '11800', 'Villedubert', '11', 'FR'),
(4256, '11570', 'Villefloure', '11', 'FR'),
(4257, '11230', 'Villefort', '11', 'FR'),
(4258, '11600', 'Villegailhenc', '11', 'FR'),
(4259, '11600', 'Villegly', '11', 'FR'),
(4260, '11300', 'Villelongue d''Aude', '11', 'FR'),
(4261, '11310', 'Villemagne', '11', 'FR'),
(4262, '11620', 'Villemoustaussou', '11', 'FR'),
(4263, '11400', 'Villeneuve la Comptal', '11', 'FR'),
(4264, '11360', 'Villeneuve les Corbi�res', '11', 'FR'),
(4265, '11290', 'Villeneuve l�s Montr�al', '11', 'FR'),
(4266, '11160', 'Villeneuve Minervois', '11', 'FR'),
(4267, '11150', 'Villepinte', '11', 'FR'),
(4268, '11330', 'Villerouge Termen�s', '11', 'FR'),
(4269, '11360', 'Villes�que des Corbi�res', '11', 'FR'),
(4270, '11170', 'Villesequelande', '11', 'FR'),
(4271, '11150', 'Villesiscle', '11', 'FR'),
(4272, '11170', 'Villespy', '11', 'FR'),
(4273, '11220', 'Villetritouls', '11', 'FR'),
(4274, '11110', 'Vinassan', '11', 'FR'),
(4275, '11100', 'Narbonne Plage', '11', 'FR'),
(4276, '12630', 'Agen d''Aveyron', '12', 'FR'),
(4277, '12520', 'Aguessac', '12', 'FR'),
(4278, '12220', 'Les Albres', '12', 'FR'),
(4279, '12300', 'Almont les Junies', '12', 'FR'),
(4280, '12210', 'Alpuech', '12', 'FR'),
(4281, '12430', 'Alrance', '12', 'FR'),
(4282, '12260', 'Ambeyrac', '12', 'FR'),
(4283, '12390', 'Anglars Saint F�lix', '12', 'FR'),
(4284, '12360', 'Arnac sur Dourdou', '12', 'FR'),
(4285, '12290', 'Arques', '12', 'FR'),
(4286, '12120', 'Arvieu', '12', 'FR'),
(4287, '12700', 'Aspri�res', '12', 'FR'),
(4288, '12110', 'Aubin', '12', 'FR'),
(4289, '12130', 'Aurelle Verlac', '12', 'FR'),
(4290, '12120', 'Auriac Lagast', '12', 'FR'),
(4291, '12390', 'Auzits', '12', 'FR'),
(4292, '12430', 'Ayss�nes', '12', 'FR'),
(4293, '12260', 'Balaguier d''Olt', '12', 'FR'),
(4294, '12380', 'Balaguier sur Rance', '12', 'FR'),
(4295, '12510', 'Balsac', '12', 'FR'),
(4296, '12200', 'La Bastide l''�v�que', '12', 'FR'),
(4297, '12490', 'La Bastide Pradines', '12', 'FR'),
(4298, '12550', 'La Bastide Solages', '12', 'FR'),
(4299, '12390', 'Belcastel', '12', 'FR'),
(4300, '12370', 'Belmont sur Rance', '12', 'FR'),
(4301, '12310', 'Berthol�ne', '12', 'FR'),
(4302, '12500', 'Bessu�jouls', '12', 'FR'),
(4303, '12300', 'Boisse Penchot', '12', 'FR'),
(4304, '12270', 'Bor et Bar', '12', 'FR'),
(4305, '12300', 'Bouillac', '12', 'FR'),
(4306, '12390', 'Bournazel', '12', 'FR'),
(4307, '12160', 'Boussac', '12', 'FR'),
(4308, '12340', 'Bozouls', '12', 'FR'),
(4309, '12350', 'Brandonnet', '12', 'FR'),
(4310, '12550', 'Brasc', '12', 'FR'),
(4311, '12600', 'Brommat', '12', 'FR'),
(4312, '12480', 'Broqui�s', '12', 'FR'),
(4313, '12480', 'Brousse le Ch�teau', '12', 'FR'),
(4314, '12360', 'Brusque', '12', 'FR'),
(4315, '12150', 'Buzeins', '12', 'FR'),
(4316, '12800', 'Caban�s', '12', 'FR'),
(4317, '12400', 'Calmels et le Viala', '12', 'FR'),
(4318, '12450', 'Calmont', '12', 'FR'),
(4319, '12360', 'Camar�s', '12', 'FR'),
(4320, '12160', 'Camboulazet', '12', 'FR'),
(4321, '12800', 'Camjac', '12', 'FR'),
(4322, '12560', 'Campagnac', '12', 'FR'),
(4323, '12140', 'Campouriez', '12', 'FR'),
(4324, '12460', 'Campouriez', '12', 'FR'),
(4325, '12580', 'Campuac', '12', 'FR'),
(4326, '12290', 'Canet de Salars', '12', 'FR'),
(4327, '12420', 'Cantoin', '12', 'FR'),
(4328, '12700', 'Capdenac Gare', '12', 'FR'),
(4329, '12260', 'La Capelle Balaguier', '12', 'FR'),
(4330, '12240', 'La Capelle Bleys', '12', 'FR'),
(4331, '12130', 'La Capelle Bonance', '12', 'FR'),
(4332, '12160', 'Baraqueville', '12', 'FR'),
(4333, '12120', 'Cassagnes B�gonh�s', '12', 'FR'),
(4334, '12210', 'Cassu�jouls', '12', 'FR'),
(4335, '12240', 'Castanet', '12', 'FR'),
(4336, '12800', 'Castelmary', '12', 'FR'),
(4337, '12500', 'Castelnau de Mandailles', '12', 'FR'),
(4338, '12620', 'Castelnau P�gayrols', '12', 'FR'),
(4339, '12230', 'La Cavalerie', '12', 'FR'),
(4340, '12500', 'Le Cayrol', '12', 'FR'),
(4341, '12120', 'Centr�s', '12', 'FR'),
(4342, '12330', 'Clairvaux d''Aveyron', '12', 'FR'),
(4343, '12540', 'Le Clapier', '12', 'FR'),
(4344, '12240', 'Colombi�s', '12', 'FR'),
(4345, '12370', 'Combret', '12', 'FR'),
(4346, '12520', 'Compeyre', '12', 'FR'),
(4347, '12350', 'Compolibat', '12', 'FR'),
(4348, '12100', 'Compr�gnac', '12', 'FR'),
(4349, '12120', 'Comps la Grand Ville', '12', 'FR'),
(4350, '12470', 'Condom d''Aubrac', '12', 'FR'),
(4351, '12170', 'Connac', '12', 'FR'),
(4352, '12320', 'Conques', '12', 'FR'),
(4353, '12540', 'Cornus', '12', 'FR'),
(4354, '12400', 'Les Costes Gozon', '12', 'FR'),
(4355, '12190', 'Coubisou', '12', 'FR'),
(4356, '12550', 'Coupiac', '12', 'FR'),
(4357, '12310', 'Coussergues', '12', 'FR'),
(4358, '12230', 'La Couvertoirade', '12', 'FR'),
(4359, '12110', 'Cransac', '12', 'FR'),
(4360, '12100', 'Creissels', '12', 'FR'),
(4361, '12800', 'Crespin', '12', 'FR'),
(4362, '12640', 'La Cresse', '12', 'FR'),
(4363, '12340', 'Cru�jouls', '12', 'FR'),
(4364, '12210', 'Curi�res', '12', 'FR'),
(4365, '12300', 'Decazeville', '12', 'FR'),
(4366, '12510', 'Druelle', '12', 'FR'),
(4367, '12350', 'Drulhe', '12', 'FR'),
(4368, '12170', 'Durenque', '12', 'FR'),
(4369, '12140', 'Enguial�s', '12', 'FR'),
(4370, '12140', 'Entraygues sur Truy�re', '12', 'FR'),
(4371, '12390', 'Escandoli�res', '12', 'FR'),
(4372, '12500', 'Espalion', '12', 'FR'),
(4373, '12140', 'Espeyrac', '12', 'FR'),
(4374, '12190', 'Estaing', '12', 'FR'),
(4375, '12360', 'Fayet', '12', 'FR'),
(4376, '12300', 'Firmi', '12', 'FR'),
(4377, '12300', 'Flagnac', '12', 'FR'),
(4378, '12450', 'Flavin', '12', 'FR'),
(4379, '12140', 'Florentin la Capelle', '12', 'FR'),
(4380, '12260', 'Foissac', '12', 'FR'),
(4381, '12270', 'La Fouillade', '12', 'FR'),
(4382, '12340', 'Gabriac', '12', 'FR'),
(4383, '12310', 'Gaillac d''Aveyron', '12', 'FR'),
(4384, '12220', 'Galgan', '12', 'FR'),
(4385, '12360', 'Gissac', '12', 'FR'),
(4386, '12140', 'Golinhac', '12', 'FR'),
(4387, '12390', 'Goutrens', '12', 'FR'),
(4388, '12420', 'Graissac', '12', 'FR'),
(4389, '12160', 'Gramond', '12', 'FR'),
(4390, '12320', 'Grand Vabre', '12', 'FR'),
(4391, '12230', 'L''Hospitalet du Larzac', '12', 'FR'),
(4392, '12460', 'Huparlac', '12', 'FR'),
(4393, '12210', 'Lacalm', '12', 'FR'),
(4394, '12600', 'Lacroix Barrez', '12', 'FR'),
(4395, '12210', 'Laguiole', '12', 'FR'),
(4396, '12310', 'Laissac', '12', 'FR'),
(4397, '12350', 'Lanu�jouls', '12', 'FR'),
(4398, '12230', 'Lapanouse de Cernon', '12', 'FR'),
(4399, '12150', 'Lapanouse', '12', 'FR'),
(4400, '12500', 'Lassouts', '12', 'FR'),
(4401, '12380', 'Laval Roquec�zi�re', '12', 'FR'),
(4402, '12150', 'Lavernhe', '12', 'FR'),
(4403, '12170', 'L�dergues', '12', 'FR'),
(4404, '12440', 'Lescure Jaoul', '12', 'FR'),
(4405, '12430', 'Lestrade et Thouels', '12', 'FR'),
(4406, '12300', 'Livinhac le Haut', '12', 'FR'),
(4407, '12740', 'La Loubi�re', '12', 'FR'),
(4408, '12450', 'Luc', '12', 'FR'),
(4409, '12220', 'Lugan', '12', 'FR'),
(4410, '12270', 'Lunac', '12', 'FR'),
(4411, '12350', 'Maleville', '12', 'FR'),
(4412, '12160', 'Manhac', '12', 'FR'),
(4413, '12330', 'Marcillac Vallon', '12', 'FR'),
(4414, '12540', 'Marnhagues et Latour', '12', 'FR'),
(4415, '12200', 'Martiel', '12', 'FR'),
(4416, '12550', 'Martrin', '12', 'FR'),
(4417, '12390', 'Mayran', '12', 'FR'),
(4418, '12360', 'M�lagues', '12', 'FR'),
(4419, '12120', 'Meljac', '12', 'FR'),
(4420, '12100', 'Millau', '12', 'FR'),
(4421, '12000', 'Le Monast�re', '12', 'FR'),
(4422, '12360', 'Montagnol', '12', 'FR'),
(4423, '12220', 'Montbazens', '12', 'FR'),
(4424, '12550', 'Montclar', '12', 'FR'),
(4425, '12200', 'Monteils', '12', 'FR'),
(4426, '12460', 'Mont�zic', '12', 'FR'),
(4427, '12380', 'Montfranc', '12', 'FR'),
(4428, '12490', 'Montjaux', '12', 'FR'),
(4429, '12400', 'Montlaur', '12', 'FR'),
(4430, '12540', 'Fondamente', '12', 'FR'),
(4431, '12210', 'Montpeyroux', '12', 'FR'),
(4432, '12630', 'Montrozier', '12', 'FR'),
(4433, '12260', 'Montsal�s', '12', 'FR'),
(4434, '12200', 'Morlhon le Haut', '12', 'FR'),
(4435, '12720', 'Mostu�jouls', '12', 'FR'),
(4436, '12330', 'Mouret', '12', 'FR'),
(4437, '12160', 'Moyraz�s', '12', 'FR'),
(4438, '12370', 'Murasson', '12', 'FR'),
(4439, '12600', 'Mur de Barrez', '12', 'FR'),
(4440, '12330', 'Muret le Ch�teau', '12', 'FR'),
(4441, '12600', 'Murols', '12', 'FR'),
(4442, '12270', 'Najac', '12', 'FR'),
(4443, '12230', 'Nant', '12', 'FR'),
(4444, '12800', 'Naucelle', '12', 'FR'),
(4445, '12700', 'Naussac', '12', 'FR'),
(4446, '12330', 'Nauviale', '12', 'FR'),
(4447, '12190', 'Le Nayrac', '12', 'FR'),
(4448, '12320', 'Noailhac', '12', 'FR'),
(4449, '12510', 'Olemps', '12', 'FR'),
(4450, '12260', 'Ols et Rinhodes', '12', 'FR'),
(4451, '12850', 'Onet le Ch�teau', '12', 'FR'),
(4452, '12310', 'Palmas', '12', 'FR'),
(4453, '12520', 'Paulhe', '12', 'FR'),
(4454, '12360', 'Peux et Couffouleux', '12', 'FR'),
(4455, '12720', 'Peyreleau', '12', 'FR'),
(4456, '12220', 'Peyrusse le Roc', '12', 'FR'),
(4457, '12130', 'Pierrefiche', '12', 'FR'),
(4458, '12550', 'Plaisance', '12', 'FR'),
(4459, '12130', 'Pomayrols', '12', 'FR'),
(4460, '12290', 'Pont de Salars', '12', 'FR'),
(4461, '12380', 'Pousthomy', '12', 'FR'),
(4462, '12470', 'Prades d''Aubrac', '12', 'FR'),
(4463, '12290', 'Prades Salars', '12', 'FR'),
(4464, '12240', 'Pradinas', '12', 'FR'),
(4465, '12350', 'Pr�vinqui�res', '12', 'FR'),
(4466, '12350', 'Privezac', '12', 'FR'),
(4467, '12370', 'Mounes Prohencoux', '12', 'FR'),
(4468, '12320', 'Pruines', '12', 'FR'),
(4469, '12800', 'Quins', '12', 'FR'),
(4470, '12400', 'Rebourguil', '12', 'FR'),
(4471, '12150', 'Recoules Pr�vinqui�res', '12', 'FR'),
(4472, '12170', 'R�quista', '12', 'FR'),
(4473, '12240', 'Rieupeyroux', '12', 'FR'),
(4474, '12390', 'Rignac', '12', 'FR'),
(4475, '12640', 'Rivi�re sur Tarn', '12', 'FR'),
(4476, '12340', 'Rodelle', '12', 'FR'),
(4477, '12000', 'Rodez', '12', 'FR'),
(4478, '12250', 'Roquefort sur Soulzon', '12', 'FR'),
(4479, '12100', 'La Roque Sainte Marguerite', '12', 'FR'),
(4480, '12200', 'La Rouquette', '12', 'FR'),
(4481, '12220', 'Roussennac', '12', 'FR'),
(4482, '12120', 'Rullac Saint Cirq', '12', 'FR'),
(4483, '12400', 'St Affrique', '12', 'FR'),
(4484, '12460', 'Saint Amans des Cots', '12', 'FR'),
(4485, '12270', 'Saint Andr� de Najac', '12', 'FR'),
(4486, '12720', 'Saint Andr� de V�zines', '12', 'FR'),
(4487, '12540', 'Saint Beaulize', '12', 'FR'),
(4488, '12620', 'Saint Beauz�ly', '12', 'FR'),
(4489, '12470', 'Saint Ch�ly d''Aubrac', '12', 'FR'),
(4490, '12330', 'Saint Christophe Vallon', '12', 'FR'),
(4491, '12500', 'Saint C�me d''Olt', '12', 'FR'),
(4492, '12260', 'Ste Croix', '12', 'FR'),
(4493, '12320', 'Saint Cyprien sur Dourdou', '12', 'FR'),
(4494, '12130', 'Sainte Eulalie d''Olt', '12', 'FR'),
(4495, '12230', 'Sainte Eulalie de Cernon', '12', 'FR'),
(4496, '12320', 'Saint F�lix de Lunel', '12', 'FR'),
(4497, '12400', 'Saint F�lix de Sorgues', '12', 'FR'),
(4498, '12420', 'Sainte Genevi�ve sur Argence', '12', 'FR'),
(4499, '12130', 'Saint Geniez d''Olt', '12', 'FR'),
(4500, '12100', 'Saint Georges de Luzen�on', '12', 'FR'),
(4501, '12140', 'Saint Hippolyte', '12', 'FR'),
(4502, '12260', 'Saint Igest', '12', 'FR'),
(4503, '12480', 'Saint Izaire', '12', 'FR'),
(4504, '12250', 'Saint Jean d''Alcapi�s', '12', 'FR'),
(4505, '12170', 'Saint Jean Delnous', '12', 'FR'),
(4506, '12230', 'Saint Jean du Bruel', '12', 'FR'),
(4507, '12250', 'Saint Jean et Saint Paul', '12', 'FR'),
(4508, '12550', 'St Ju�ry', '12', 'FR'),
(4509, '12120', 'Sainte Juliette sur Viaur', '12', 'FR'),
(4510, '12800', 'Saint Just sur Viaur', '12', 'FR'),
(4511, '12170', 'Saint Just sur Viaur', '12', 'FR'),
(4512, '12620', 'Saint Laurent de L�v�zou', '12', 'FR'),
(4513, '12560', 'Saint Laurent d''Olt', '12', 'FR'),
(4514, '12780', 'Saint L�ons', '12', 'FR'),
(4515, '12130', 'Saint Martin de Lenne', '12', 'FR'),
(4516, '12300', 'Saint Parthem', '12', 'FR'),
(4517, '12850', 'Sainte Radegonde', '12', 'FR'),
(4518, '12200', 'Saint R�my', '12', 'FR'),
(4519, '12490', 'Saint Rome de Cernon', '12', 'FR'),
(4520, '12490', 'Saint Rome de Tarn', '12', 'FR'),
(4521, '12200', 'Saint Salvadou', '12', 'FR'),
(4522, '12300', 'St Santin', '12', 'FR'),
(4523, '12560', 'Saint Saturnin de Lenne', '12', 'FR'),
(4524, '12380', 'Saint Sernin sur Rance', '12', 'FR'),
(4525, '12370', 'Saint Sever du Moustier', '12', 'FR'),
(4526, '12460', 'St Symphorien de Th�ni�res', '12', 'FR'),
(4527, '12400', 'Saint Victor et Melvieu', '12', 'FR'),
(4528, '12260', 'Salles Courbati�s', '12', 'FR'),
(4529, '12410', 'Salles Curan', '12', 'FR'),
(4530, '12330', 'Salles la Source', '12', 'FR'),
(4531, '12120', 'Salmiech', '12', 'FR'),
(4532, '12260', 'Salvagnac Cajarc', '12', 'FR'),
(4533, '12700', 'Causse et Di�ge', '12', 'FR'),
(4534, '12440', 'La Salvetat Peyral�s', '12', 'FR'),
(4535, '12200', 'Sanvensa', '12', 'FR'),
(4536, '12230', 'Saucli�res', '12', 'FR'),
(4537, '12260', 'Saujac', '12', 'FR'),
(4538, '12800', 'Sauveterre de Rouergue', '12', 'FR'),
(4539, '12200', 'Savignac', '12', 'FR'),
(4540, '12740', 'S�bazac Concour�s', '12', 'FR'),
(4541, '12190', 'S�brazac', '12', 'FR'),
(4542, '12290', 'S�gur', '12', 'FR'),
(4543, '12170', 'La Selve', '12', 'FR'),
(4544, '12320', 'S�nergues', '12', 'FR'),
(4545, '12380', 'Serre', '12', 'FR'),
(4546, '12150', 'S�v�rac le Ch�teau', '12', 'FR'),
(4547, '12310', 'S�v�rac l''�glise', '12', 'FR'),
(4548, '12700', 'Sonnac', '12', 'FR'),
(4549, '12210', 'Soulages Bonneval', '12', 'FR'),
(4550, '12360', 'Sylvan�s', '12', 'FR'),
(4551, '12360', 'Tauriac de Camar�s', '12', 'FR'),
(4552, '12800', 'Tauriac de Naucelle', '12', 'FR'),
(4553, '12600', 'Taussac', '12', 'FR'),
(4554, '12440', 'Tayrac', '12', 'FR'),
(4555, '12210', 'La Terrisse', '12', 'FR'),
(4556, '12600', 'Th�rondels', '12', 'FR'),
(4557, '12200', 'Toulonjac', '12', 'FR'),
(4558, '12250', 'Tournemire', '12', 'FR'),
(4559, '12290', 'Tr�mouilles', '12', 'FR'),
(4560, '12430', 'Le Truel', '12', 'FR'),
(4561, '12240', 'Vabre Tizac', '12', 'FR'),
(4562, '12400', 'Vabres l''Abbaye', '12', 'FR'),
(4563, '12200', 'Vailhourles', '12', 'FR'),
(4564, '12330', 'Valady', '12', 'FR'),
(4565, '12220', 'Valzergues', '12', 'FR'),
(4566, '12220', 'Vaureilles', '12', 'FR'),
(4567, '12520', 'Verri�res', '12', 'FR'),
(4568, '12400', 'Versols et Lapeyre', '12', 'FR'),
(4569, '12720', 'Veyreau', '12', 'FR'),
(4570, '12780', 'V�zins de L�v�zou', '12', 'FR'),
(4571, '12250', 'Viala du Pas de Jaux', '12', 'FR'),
(4572, '12490', 'Viala du Tarn', '12', 'FR'),
(4573, '12290', 'Le Vibal', '12', 'FR'),
(4574, '12580', 'Villecomtal', '12', 'FR'),
(4575, '12430', 'Villefranche de Panat', '12', 'FR'),
(4576, '12200', 'Villefranche de Rouergue', '12', 'FR'),
(4577, '12260', 'Villeneuve', '12', 'FR'),
(4578, '12310', 'Vimenet', '12', 'FR'),
(4579, '12420', 'Vitrac en Viad�ne', '12', 'FR'),
(4580, '12110', 'Viviez', '12', 'FR'),
(4581, '12160', 'Vors', '12', 'FR'),
(4582, '12410', 'Curan', '12', 'FR'),
(4583, '12470', 'Aubrac', '12', 'FR'),
(4584, '12360', 'Cenomes', '12', 'FR'),
(4585, '12700', 'Gelle', '12', 'FR'),
(4586, '12800', 'La Mothe', '12', 'FR'),
(4587, '12400', 'Melvieu', '12', 'FR'),
(4588, '12110', 'Combes', '12', 'FR'),
(4589, '12640', 'Boyne', '12', 'FR'),
(4590, '12140', 'Pons', '12', 'FR'),
(4591, '12110', 'Le Gua', '12', 'FR'),
(4592, '13100', 'Aix en Provence', '13', 'FR'),
(4593, '13090', 'Aix en Provence', '13', 'FR'),
(4594, '13190', 'Allauch', '13', 'FR'),
(4595, '13980', 'Alleins', '13', 'FR'),
(4596, '13200', 'Arles', '13', 'FR'),
(4597, '13400', 'Aubagne', '13', 'FR'),
(4598, '13930', 'Aureille', '13', 'FR'),
(4599, '13390', 'Auriol', '13', 'FR'),
(4600, '13121', 'Aurons', '13', 'FR'),
(4601, '13330', 'La Barben', '13', 'FR'),
(4602, '13570', 'Barbentane', '13', 'FR'),
(4603, '13520', 'Les Baux de Provence', '13', 'FR'),
(4604, '13100', 'Beaurecueil', '13', 'FR'),
(4605, '13720', 'Belcod�ne', '13', 'FR'),
(4606, '13130', 'Berre l''�tang', '13', 'FR'),
(4607, '13320', 'Bouc Bel Air', '13', 'FR'),
(4608, '13720', 'La Bouilladisse', '13', 'FR'),
(4609, '13150', 'Boulbon', '13', 'FR'),
(4610, '13440', 'Cabannes', '13', 'FR'),
(4611, '13480', 'Cabri�s', '13', 'FR'),
(4612, '13950', 'Cadolive', '13', 'FR'),
(4613, '13620', 'Carry le Rouet', '13', 'FR'),
(4614, '13260', 'Cassis', '13', 'FR'),
(4615, '13600', 'Ceyreste', '13', 'FR'),
(4616, '13350', 'Charleval', '13', 'FR'),
(4617, '13790', 'Ch�teauneuf le Rouge', '13', 'FR'),
(4618, '13220', 'Ch�teauneuf l�s Martigues', '13', 'FR'),
(4619, '13160', 'Ch�teaurenard', '13', 'FR'),
(4620, '13600', 'La Ciotat', '13', 'FR'),
(4621, '13250', 'Cornillon Confoux', '13', 'FR'),
(4622, '13780', 'Cuges les Pins', '13', 'FR'),
(4623, '13112', 'La Destrousse', '13', 'FR'),
(4624, '13510', '�guilles', '13', 'FR'),
(4625, '13820', 'Ensu�s la Redonne', '13', 'FR'),
(4626, '13810', 'Eygali�res', '13', 'FR'),
(4627, '13430', 'Eygui�res', '13', 'FR'),
(4628, '13630', 'Eyragues', '13', 'FR'),
(4629, '13580', 'La Fare les Oliviers', '13', 'FR'),
(4630, '13990', 'Fontvieille', '13', 'FR'),
(4631, '13270', 'Fos sur Mer', '13', 'FR'),
(4632, '13710', 'Fuveau', '13', 'FR'),
(4633, '13120', 'Gardanne', '13', 'FR'),
(4634, '13420', 'G�menos', '13', 'FR'),
(4635, '13180', 'Gignac la Nerthe', '13', 'FR'),
(4636, '13450', 'Grans', '13', 'FR'),
(4637, '13690', 'Graveson', '13', 'FR'),
(4638, '13850', 'Gr�asque', '13', 'FR'),
(4639, '13800', 'Istres', '13', 'FR'),
(4640, '13490', 'Jouques', '13', 'FR'),
(4641, '13113', 'Lamanon', '13', 'FR'),
(4642, '13410', 'Lambesc', '13', 'FR'),
(4643, '13680', 'Lan�on Provence', '13', 'FR'),
(4644, '13910', 'Maillane', '13', 'FR'),
(4645, '13370', 'Mallemort', '13', 'FR'),
(4646, '13700', 'Marignane', '13', 'FR'),
(4648, '13500', 'Martigues', '13', 'FR'),
(4649, '13103', 'Mas Blanc des Alpilles', '13', 'FR'),
(4650, '13520', 'Maussane les Alpilles', '13', 'FR'),
(4651, '13650', 'Meyrargues', '13', 'FR'),
(4652, '13590', 'Meyreuil', '13', 'FR'),
(4653, '13150', 'St Pierre de M�zoargues', '13', 'FR'),
(4654, '13105', 'Mimet', '13', 'FR'),
(4655, '13140', 'Miramas', '13', 'FR'),
(4656, '13940', 'Moll�g�s', '13', 'FR'),
(4657, '13890', 'Mouri�s', '13', 'FR'),
(4658, '13550', 'Noves', '13', 'FR'),
(4659, '13660', 'Orgon', '13', 'FR'),
(4660, '13520', 'Paradou', '13', 'FR'),
(4661, '13330', 'P�lissanne', '13', 'FR'),
(4662, '13821', 'La Penne sur Huveaune', '13', 'FR'),
(4663, '13170', 'Les Pennes Mirabeau', '13', 'FR'),
(4664, '13790', 'Peynier', '13', 'FR'),
(4665, '13124', 'Peypin', '13', 'FR'),
(4666, '13860', 'Peyrolles en Provence', '13', 'FR'),
(4667, '13380', 'Plan de Cuques', '13', 'FR'),
(4668, '13750', 'Plan d''Orgon', '13', 'FR'),
(4669, '13110', 'Port de Bouc', '13', 'FR'),
(4670, '13230', 'Port Saint Louis du Rh�ne', '13', 'FR'),
(4671, '13114', 'Puyloubier', '13', 'FR'),
(4672, '13610', 'Le Puy Sainte R�parade', '13', 'FR'),
(4673, '13340', 'Rognac', '13', 'FR'),
(4674, '13840', 'Rognes', '13', 'FR'),
(4675, '13870', 'Rognonas', '13', 'FR'),
(4676, '13640', 'La Roque d''Anth�ron', '13', 'FR'),
(4677, '13830', 'Roquefort la B�doule', '13', 'FR'),
(4678, '13360', 'Roquevaire', '13', 'FR'),
(4679, '13790', 'Rousset', '13', 'FR'),
(4680, '13740', 'Le Rove', '13', 'FR'),
(4681, '13670', 'Saint Andiol', '13', 'FR'),
(4682, '13100', 'Saint Antonin sur Bayon', '13', 'FR'),
(4683, '13760', 'Saint Cannat', '13', 'FR'),
(4684, '13250', 'Saint Chamas', '13', 'FR'),
(4685, '13610', 'Saint Est�ve Janson', '13', 'FR'),
(4686, '13103', 'Saint �tienne du Gr�s', '13', 'FR'),
(4687, '13100', 'Saint Marc Jaumegarde', '13', 'FR'),
(4688, '13460', 'Saintes Maries de la Mer', '13', 'FR'),
(4689, '13310', 'Saint Martin de Crau', '13', 'FR'),
(4690, '13920', 'Saint Mitre les Remparts', '13', 'FR'),
(4691, '13115', 'Saint Paul lez Durance', '13', 'FR'),
(4692, '13210', 'Saint R�my de Provence', '13', 'FR'),
(4693, '13119', 'Saint Savournin', '13', 'FR'),
(4694, '13730', 'Saint Victoret', '13', 'FR'),
(4695, '13300', 'Salon de Provence', '13', 'FR'),
(4696, '13960', 'Sausset les Pins', '13', 'FR'),
(4697, '13560', 'S�nas', '13', 'FR'),
(4698, '13240', 'Sept�mes les Vallons', '13', 'FR'),
(4699, '13109', 'Simiane Collongue', '13', 'FR'),
(4700, '13150', 'Tarascon', '13', 'FR'),
(4701, '13100', 'Le Tholonet', '13', 'FR'),
(4702, '13530', 'Trets', '13', 'FR'),
(4703, '13126', 'Vauvenargues', '13', 'FR'),
(4704, '13880', 'Velaux', '13', 'FR'),
(4705, '13770', 'Venelles', '13', 'FR'),
(4706, '13122', 'Ventabren', '13', 'FR'),
(4707, '13116', 'Vern�gues', '13', 'FR'),
(4708, '13670', 'Verqui�res', '13', 'FR'),
(4709, '13127', 'Vitrolles', '13', 'FR'),
(4710, '13111', 'Coudoux', '13', 'FR'),
(4711, '13470', 'Carnoux en Provence', '13', 'FR'),
(4712, '13001', 'marseille 1er arrondissem', '13', 'FR'),
(4713, '13002', 'marseille 2eme arrondisse', '13', 'FR'),
(4714, '13003', 'marseille 3eme arrondisse', '13', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(4715, '13004', 'marseille 4eme arrondisse', '13', 'FR'),
(4716, '13005', 'marseille 5eme arrondisse', '13', 'FR'),
(4717, '13006', 'marseille 6eme arrondisse', '13', 'FR'),
(4718, '13007', 'marseille 7eme arrondisse', '13', 'FR'),
(4719, '13008', 'marseille 8eme arrondisse', '13', 'FR'),
(4720, '13009', 'marseille 9eme arrondisse', '13', 'FR'),
(4721, '13010', 'marseille 10eme arrondiss', '13', 'FR'),
(4722, '13011', 'marseille 11eme arrondiss', '13', 'FR'),
(4723, '13012', 'marseille 12eme arrondiss', '13', 'FR'),
(4724, '13013', 'marseille 13eme arrondiss', '13', 'FR'),
(4725, '13014', 'marseille 14eme arrondiss', '13', 'FR'),
(4726, '13015', 'marseille 15eme arrondiss', '13', 'FR'),
(4727, '13016', 'marseille 16eme arrondiss', '13', 'FR'),
(4728, '13500', 'Carro', '13', 'FR'),
(4729, '13480', 'Calas', '13', 'FR'),
(4730, '13500', 'Le Verger', '13', 'FR'),
(4731, '13200', 'Le Sambuc', '13', 'FR'),
(4732, '13114', 'Les Cayols', '13', 'FR'),
(4733, '13120', 'Les Fr�res', '13', 'FR'),
(4734, '13290', 'Les Milles', '13', 'FR'),
(4735, '13540', 'Puyricard', '13', 'FR'),
(4736, '13118', 'Entressen', '13', 'FR'),
(4737, '13790', 'Les Michels', '13', 'FR'),
(4738, '13180', 'Laure', '13', 'FR'),
(4739, '13620', 'Le Rouet', '13', 'FR'),
(4740, '13820', 'La Redonne', '13', 'FR'),
(4741, '13740', 'Le Douard', '13', 'FR'),
(4742, '13170', 'Les Cadeneaux', '13', 'FR'),
(4743, '13370', 'Notre Dame', '13', 'FR'),
(4744, '13016', 'L''Estaque', '13', 'FR'),
(4745, '13190', 'Le Logis Neuf', '13', 'FR'),
(4746, '13720', 'La Pomme', '13', 'FR'),
(4747, '13720', 'Les Gorguettes', '13', 'FR'),
(4748, '13720', 'Le Pigeonnier', '13', 'FR'),
(4749, '13170', 'La Gavotte', '13', 'FR'),
(4750, '13013', 'Ch�teau Gombert', '13', 'FR'),
(4751, '13117', 'Lav�ra', '13', 'FR'),
(4752, '13013', 'Les Olives', '13', 'FR'),
(4753, '13008', 'La Panouse', '13', 'FR'),
(4754, '13009', 'Vaufr�ge', '13', 'FR'),
(4755, '13280', 'Moul�s', '13', 'FR'),
(4756, '13008', 'Les Goudes', '13', 'FR'),
(4757, '13009', 'Les Baumettes', '13', 'FR'),
(4758, '14600', 'Ablon', '14', 'FR'),
(4759, '14220', 'Acqueville', '14', 'FR'),
(4760, '14400', 'Agy', '14', 'FR'),
(4761, '14710', 'Aignerville', '14', 'FR'),
(4762, '14370', 'Airan', '14', 'FR'),
(4763, '14210', 'Amay� sur Orne', '14', 'FR'),
(4764, '14310', 'Amay� sur Seulles', '14', 'FR'),
(4765, '14480', 'Amblie', '14', 'FR'),
(4766, '14860', 'Amfr�ville', '14', 'FR'),
(4767, '14170', 'Ammeville', '14', 'FR'),
(4768, '14240', 'Anctoville', '14', 'FR'),
(4769, '14430', 'Angerville', '14', 'FR'),
(4770, '14220', 'Angoville', '14', 'FR'),
(4771, '14610', 'Anguerny', '14', 'FR'),
(4772, '14610', 'Anisy', '14', 'FR'),
(4773, '14430', 'Annebault', '14', 'FR'),
(4774, '14380', 'Annebecq', '14', 'FR'),
(4775, '14400', 'Arganchy', '14', 'FR'),
(4776, '14370', 'Argences', '14', 'FR'),
(4777, '14117', 'Arromanches les Bains', '14', 'FR'),
(4778, '14960', 'Asnelles', '14', 'FR'),
(4779, '14710', 'Asni�res en Bessin', '14', 'FR'),
(4780, '14640', 'Auberville', '14', 'FR'),
(4781, '14700', 'Aubigny', '14', 'FR'),
(4782, '14250', 'Audrieu', '14', 'FR'),
(4783, '14260', 'Aunay sur Odon', '14', 'FR'),
(4784, '14140', 'Auquainville', '14', 'FR'),
(4785, '14140', 'Les Autels Saint Bazile', '14', 'FR'),
(4786, '14280', 'Authie', '14', 'FR'),
(4787, '14140', 'Les Authieux Papion', '14', 'FR'),
(4788, '14130', 'Les Authieux sur Calonne', '14', 'FR'),
(4789, '14340', 'Auvillars', '14', 'FR'),
(4790, '14210', 'Avenay', '14', 'FR'),
(4791, '14490', 'Balleroy', '14', 'FR'),
(4792, '14940', 'Banneville la Campagne', '14', 'FR'),
(4793, '14260', 'Banneville sur Ajon', '14', 'FR'),
(4794, '14480', 'Banville', '14', 'FR'),
(4795, '14220', 'Barbery', '14', 'FR'),
(4796, '14400', 'Barbeville', '14', 'FR'),
(4797, '14600', 'Barneville la Bertran', '14', 'FR'),
(4798, '14210', 'Baron sur Odon', '14', 'FR'),
(4799, '14620', 'Barou en Auge', '14', 'FR'),
(4800, '14610', 'Basly', '14', 'FR'),
(4801, '14670', 'Basseneville', '14', 'FR'),
(4802, '14860', 'Bavent', '14', 'FR'),
(4803, '14400', 'Bayeux', '14', 'FR'),
(4804, '14480', 'Bazenville', '14', 'FR'),
(4805, '14490', 'Bazoque', '14', 'FR'),
(4806, '14340', 'Beaufour', '14', 'FR'),
(4807, '14350', 'Beaulieu', '14', 'FR'),
(4808, '14620', 'Beaumais', '14', 'FR'),
(4809, '14380', 'Beaumesnil', '14', 'FR'),
(4810, '14950', 'Beaumont en Auge', '14', 'FR'),
(4811, '14260', 'Bauquay', '14', 'FR'),
(4812, '14370', 'Bellengreville', '14', 'FR'),
(4813, '14140', 'Bellou', '14', 'FR'),
(4814, '14910', 'B�nerville sur Mer', '14', 'FR'),
(4815, '14970', 'B�nouville', '14', 'FR'),
(4816, '14350', 'Le B�ny Bocage', '14', 'FR'),
(4817, '14440', 'B�ny sur Mer', '14', 'FR'),
(4818, '14710', 'Bernesq', '14', 'FR'),
(4819, '14170', 'Berni�res d''Ailly', '14', 'FR'),
(4820, '14410', 'Berni�res le Patry', '14', 'FR'),
(4821, '14990', 'Berni�res sur Mer', '14', 'FR'),
(4822, '14170', 'Berville', '14', 'FR'),
(4823, '14112', 'Bi�ville Beuville', '14', 'FR'),
(4824, '14100', 'Beuvillers', '14', 'FR'),
(4825, '14430', 'Beuvron en Auge', '14', 'FR'),
(4826, '14270', 'Bi�ville en Auge', '14', 'FR'),
(4827, '14112', 'Bi�ville sur Orne', '14', 'FR'),
(4828, '14260', 'La Bigne', '14', 'FR'),
(4829, '14370', 'Billy', '14', 'FR'),
(4830, '14370', 'Bissi�res', '14', 'FR'),
(4831, '14550', 'Blainville sur Orne', '14', 'FR'),
(4832, '14130', 'Blangy le Ch�teau', '14', 'FR'),
(4833, '14400', 'Blay', '14', 'FR'),
(4834, '14910', 'Blonville sur Mer', '14', 'FR'),
(4835, '14690', 'Le B�', '14', 'FR'),
(4836, '14170', 'Boissey', '14', 'FR'),
(4837, '14340', 'La Boissi�re', '14', 'FR'),
(4838, '14340', 'Bonnebosq', '14', 'FR'),
(4839, '14260', 'Bonnemaison', '14', 'FR'),
(4840, '14130', 'Bonneville la Louvet', '14', 'FR'),
(4841, '14800', 'Bonneville sur Touques', '14', 'FR'),
(4842, '14700', 'Bonnoeil', '14', 'FR'),
(4843, '14420', 'Bons Tassilly', '14', 'FR'),
(4844, '14210', 'Bougy', '14', 'FR'),
(4845, '14220', 'Boulon', '14', 'FR'),
(4846, '14430', 'Bourgeauville', '14', 'FR'),
(4847, '14540', 'Bourgu�bus', '14', 'FR'),
(4848, '14430', 'Branville', '14', 'FR'),
(4849, '14190', 'Bray la Campagne', '14', 'FR'),
(4850, '14260', 'Br�moy', '14', 'FR'),
(4851, '14190', 'Bretteville le Rabet', '14', 'FR'),
(4852, '14740', 'Bretteville l''Orgueilleuse', '14', 'FR'),
(4853, '14170', 'Bretteville sur Dives', '14', 'FR'),
(4854, '14680', 'Bretteville sur Laize', '14', 'FR'),
(4855, '14760', 'Bretteville sur Odon', '14', 'FR'),
(4856, '14130', 'Le Breuil en Auge', '14', 'FR'),
(4857, '14330', 'Le Breuil en Bessin', '14', 'FR'),
(4858, '14130', 'Le Br�vedent', '14', 'FR'),
(4859, '14140', 'La Br�vi�re', '14', 'FR'),
(4860, '14860', 'Br�ville', '14', 'FR'),
(4861, '14710', 'Bricqueville', '14', 'FR'),
(4862, '14430', 'Brocottes', '14', 'FR'),
(4863, '14250', 'Brouay', '14', 'FR'),
(4864, '14160', 'Brucourt', '14', 'FR'),
(4865, '14250', 'Buc�els', '14', 'FR'),
(4866, '14320', 'Bully', '14', 'FR'),
(4867, '14410', 'Burcy', '14', 'FR'),
(4868, '14670', 'Bures sur Dives', '14', 'FR'),
(4869, '14350', 'Bures les Monts', '14', 'FR'),
(4870, '14190', 'Le B� sur Rouvres', '14', 'FR'),
(4871, '14390', 'Cabourg', '14', 'FR'),
(4872, '14000', 'Caen', '14', 'FR'),
(4873, '14630', 'Cagny', '14', 'FR'),
(4874, '14240', 'Cahagnes', '14', 'FR'),
(4875, '14490', 'Cahagnolles', '14', 'FR'),
(4876, '14210', 'La Caine', '14', 'FR'),
(4877, '14610', 'Cairon', '14', 'FR'),
(4878, '14230', 'La Cambe', '14', 'FR'),
(4879, '14610', 'Cambes en Plaine', '14', 'FR'),
(4880, '14340', 'Cambremer', '14', 'FR'),
(4881, '14500', 'Campagnolles', '14', 'FR'),
(4882, '14260', 'Campandr� Valcongrain', '14', 'FR'),
(4883, '14350', 'Campeaux', '14', 'FR'),
(4884, '14490', 'Campigny', '14', 'FR'),
(4885, '14800', 'Canapville', '14', 'FR'),
(4886, '14230', 'Canchy', '14', 'FR'),
(4887, '14270', 'Canon', '14', 'FR'),
(4888, '14370', 'Canteloup', '14', 'FR'),
(4889, '14740', 'Carcagny', '14', 'FR'),
(4890, '14230', 'Cardonville', '14', 'FR'),
(4891, '14650', 'Carpiquet', '14', 'FR'),
(4892, '14330', 'Cartigny l''�pinay', '14', 'FR'),
(4893, '14350', 'Carville', '14', 'FR'),
(4894, '14490', 'Castillon', '14', 'FR'),
(4895, '14140', 'Castillon en Auge', '14', 'FR'),
(4896, '14330', 'Castilly', '14', 'FR'),
(4897, '14240', 'Caumont l''�vent�', '14', 'FR'),
(4898, '14220', 'Caumont sur Orne', '14', 'FR'),
(4899, '14190', 'Cauvicourt', '14', 'FR'),
(4900, '14770', 'Cauville', '14', 'FR'),
(4901, '14290', 'Cernay', '14', 'FR'),
(4902, '14290', 'Cerqueux', '14', 'FR'),
(4903, '14270', 'Cesny aux Vignes Ou�zy', '14', 'FR'),
(4904, '14220', 'Cesny Bois Halbout', '14', 'FR'),
(4905, '14380', 'Champ du Boult', '14', 'FR'),
(4906, '14770', 'La Chapelle Engerbold', '14', 'FR'),
(4907, '14140', 'La Chapelle Haute Grue', '14', 'FR'),
(4908, '14290', 'La Chapelle Yvon', '14', 'FR'),
(4909, '14140', 'Cheffreville Tonnencourt', '14', 'FR'),
(4910, '14410', 'Ch�nedoll�', '14', 'FR'),
(4911, '14210', 'Cheux', '14', 'FR'),
(4912, '14370', 'Chicheboville', '14', 'FR'),
(4913, '14250', 'Chouain', '14', 'FR'),
(4914, '14680', 'Cintheaux', '14', 'FR'),
(4915, '14130', 'Clarbec', '14', 'FR'),
(4916, '14570', 'Cl�cy', '14', 'FR'),
(4917, '14370', 'Cl�ville', '14', 'FR'),
(4918, '14320', 'Clinchamps sur Orne', '14', 'FR'),
(4919, '14710', 'Colleville sur Mer', '14', 'FR'),
(4920, '14880', 'Colleville Montgomery', '14', 'FR'),
(4921, '14460', 'Colombelles', '14', 'FR'),
(4922, '14710', 'Colombi�res', '14', 'FR'),
(4923, '14480', 'Colombiers sur Seulles', '14', 'FR'),
(4924, '14610', 'Colomby sur Thaon', '14', 'FR'),
(4925, '14220', 'Combray', '14', 'FR'),
(4926, '14520', 'Commes', '14', 'FR'),
(4927, '14270', 'Conde sur Ifs', '14', 'FR'),
(4928, '61790', 'Cond� sur Noireau', '61', 'FR'),
(4929, '14110', 'Cond� sur Noireau', '14', 'FR'),
(4930, '14400', 'Cond� sur Seulles', '14', 'FR'),
(4931, '14540', 'Conteville', '14', 'FR'),
(4932, '14130', 'Coquainvilliers', '14', 'FR'),
(4933, '14340', 'Corbon', '14', 'FR'),
(4934, '14100', 'Cordebugle', '14', 'FR'),
(4935, '14700', 'Cordey', '14', 'FR'),
(4936, '14240', 'Cormolain', '14', 'FR'),
(4937, '14690', 'Cossesseville', '14', 'FR'),
(4938, '14400', 'Cottun', '14', 'FR'),
(4939, '14130', 'Coudray Rabut', '14', 'FR'),
(4940, '14480', 'Coulombs', '14', 'FR'),
(4941, '14310', 'Coulvain', '14', 'FR'),
(4942, '14140', 'Coupesarte', '14', 'FR'),
(4943, '14170', 'Courcy', '14', 'FR'),
(4944, '14470', 'Courseulles sur Mer', '14', 'FR'),
(4945, '14380', 'Courson', '14', 'FR'),
(4946, '14100', 'Courtonne la Meurdrac', '14', 'FR'),
(4947, '14480', 'Cr�pon', '14', 'FR'),
(4948, '14440', 'Cresserons', '14', 'FR'),
(4949, '14430', 'Cresseveuille', '14', 'FR'),
(4950, '14290', 'La Cressonni�re', '14', 'FR'),
(4951, '14480', 'Creully', '14', 'FR'),
(4952, '14340', 'Cr�vecoeur en Auge', '14', 'FR'),
(4953, '14113', 'Cricqueboeuf', '14', 'FR'),
(4954, '14430', 'Cricqueville en Auge', '14', 'FR'),
(4955, '14450', 'Cricqueville en Bessin', '14', 'FR'),
(4956, '14250', 'Cristot', '14', 'FR'),
(4957, '14620', 'Crocy', '14', 'FR'),
(4958, '14220', 'Croisilles', '14', 'FR'),
(4959, '14370', 'Croissanville', '14', 'FR'),
(4960, '14400', 'Crouay', '14', 'FR'),
(4961, '14140', 'La Croupte', '14', 'FR'),
(4962, '14220', 'Culey le Patry', '14', 'FR'),
(4963, '14480', 'Cully', '14', 'FR'),
(4964, '14220', 'Curcy sur Orne', '14', 'FR'),
(4965, '14400', 'Cussy', '14', 'FR'),
(4966, '14840', 'Cuverville', '14', 'FR'),
(4967, '14620', 'Damblainville', '14', 'FR'),
(4968, '14350', 'Dampierre', '14', 'FR'),
(4969, '14430', 'Danestal', '14', 'FR'),
(4970, '14840', 'D�mouville', '14', 'FR'),
(4971, '14350', 'Le D�sert', '14', 'FR'),
(4972, '14690', 'Le D�troit', '14', 'FR'),
(4973, '14230', 'Deux Jumeaux', '14', 'FR'),
(4974, '14160', 'Dives sur Mer', '14', 'FR'),
(4975, '14220', 'Donnay', '14', 'FR'),
(4976, '14430', 'Douville en Auge', '14', 'FR'),
(4977, '14440', 'Douvres la D�livrande', '14', 'FR'),
(4978, '14430', 'Dozul�', '14', 'FR'),
(4979, '14130', 'Drubec', '14', 'FR'),
(4980, '14250', 'Ducy Sainte Marguerite', '14', 'FR'),
(4981, '14270', '�cajeul', '14', 'FR'),
(4982, '14170', '�cots', '14', 'FR'),
(4983, '14710', '�crammeville', '14', 'FR'),
(4984, '14250', 'Ellon', '14', 'FR'),
(4985, '14630', '�mi�ville', '14', 'FR'),
(4986, '14800', 'Englesqueville en Auge', '14', 'FR'),
(4987, '14710', 'Englesqueville la Perc�e', '14', 'FR'),
(4988, '14170', '�paney', '14', 'FR'),
(4989, '14310', '�pinay sur Odon', '14', 'FR'),
(4990, '14610', '�pron', '14', 'FR'),
(4991, '14600', '�quemauville', '14', 'FR'),
(4992, '14700', '�raines', '14', 'FR'),
(4993, '14270', 'Ernes', '14', 'FR'),
(4994, '14850', 'Escoville', '14', 'FR'),
(4995, '14170', 'Escures sur Favi�res', '14', 'FR'),
(4996, '14220', 'Espins', '14', 'FR'),
(4997, '14210', 'Esquay Notre Dame', '14', 'FR'),
(4998, '14400', 'Esquay sur Seulles', '14', 'FR'),
(4999, '14220', 'Esson', '14', 'FR'),
(5000, '14190', 'Estr�es la Campagne', '14', 'FR'),
(5001, '14410', 'Estry', '14', 'FR'),
(5002, '14930', '�terville', '14', 'FR'),
(5003, '14350', '�touvy', '14', 'FR'),
(5004, '14400', '�treham', '14', 'FR'),
(5005, '14210', '�vrecy', '14', 'FR'),
(5006, '14700', 'Falaise', '14', 'FR'),
(5007, '14290', 'Familly', '14', 'FR'),
(5008, '14100', 'Fauguernon', '14', 'FR'),
(5009, '14130', 'Le Faulq', '14', 'FR'),
(5010, '14770', 'La Ferri�re Duval', '14', 'FR'),
(5011, '14350', 'La Ferri�re Harang', '14', 'FR'),
(5012, '14140', 'Fervaques', '14', 'FR'),
(5013, '14240', 'Feuguerolles sur Seulles', '14', 'FR'),
(5014, '14130', 'Fierville les Parcs', '14', 'FR'),
(5015, '14100', 'Firfol', '14', 'FR'),
(5016, '14123', 'Fleury sur Orne', '14', 'FR'),
(5017, '14290', 'La Folleti�re Abenon', '14', 'FR'),
(5018, '14790', 'Fontaine �toupefour', '14', 'FR'),
(5019, '14610', 'Fontaine Henry', '14', 'FR'),
(5020, '14190', 'Fontaine le Pin', '14', 'FR'),
(5021, '14320', 'Fontenay le Marmion', '14', 'FR'),
(5022, '14250', 'Fontenay le Pesnel', '14', 'FR'),
(5023, '14380', 'Fontenermont', '14', 'FR'),
(5024, '14340', 'Formentin', '14', 'FR'),
(5025, '14710', 'Formigny', '14', 'FR'),
(5026, '14240', 'Foulognes', '14', 'FR'),
(5027, '14620', 'Fourches', '14', 'FR'),
(5028, '14700', 'Fourneaux le Val', '14', 'FR'),
(5029, '14340', 'Le Fournet', '14', 'FR'),
(5030, '14600', 'Fourneville', '14', 'FR'),
(5031, '14480', 'Le Fresne Camilly', '14', 'FR'),
(5032, '14700', 'Fresn� la M�re', '14', 'FR'),
(5033, '14680', 'Fresney le Puceux', '14', 'FR'),
(5034, '14220', 'Fresney le Vieux', '14', 'FR'),
(5035, '14290', 'Friardel', '14', 'FR'),
(5036, '14590', 'Fumichon', '14', 'FR'),
(5037, '14540', 'Garcelles Secqueville', '14', 'FR'),
(5038, '14170', 'Garnetot', '14', 'FR'),
(5039, '14380', 'Le Gast', '14', 'FR'),
(5040, '14210', 'Gavrus', '14', 'FR'),
(5041, '14230', 'G�fosse Fontenay', '14', 'FR'),
(5042, '14600', 'Genneville', '14', 'FR'),
(5043, '14430', 'Gerrots', '14', 'FR'),
(5044, '14730', 'Giberville', '14', 'FR'),
(5045, '14950', 'Glanville', '14', 'FR'),
(5046, '14600', 'Gonneville sur Honfleur', '14', 'FR'),
(5047, '14510', 'Gonneville sur Mer', '14', 'FR'),
(5048, '14810', 'Gonneville en Auge', '14', 'FR'),
(5049, '14210', 'Goupilli�res', '14', 'FR'),
(5050, '14430', 'Goustranville', '14', 'FR'),
(5051, '14680', 'Gouvix', '14', 'FR'),
(5052, '14190', 'Grainville Langannerie', '14', 'FR'),
(5053, '14210', 'Grainville sur Odon', '14', 'FR'),
(5054, '14140', 'Grandchamp Le Ch�teau', '14', 'FR'),
(5055, '14170', 'Grandmesnil', '14', 'FR'),
(5056, '14340', 'Grandouet', '14', 'FR'),
(5057, '14160', 'Grangues', '14', 'FR'),
(5058, '14350', 'La Graverie', '14', 'FR'),
(5059, '14470', 'Graye sur Mer', '14', 'FR'),
(5060, '14540', 'Grentheville', '14', 'FR'),
(5061, '14220', 'Grimbosq', '14', 'FR'),
(5062, '14170', 'Grisy', '14', 'FR'),
(5063, '14400', 'Gu�ron', '14', 'FR'),
(5064, '14430', 'Le Ham', '14', 'FR'),
(5065, '14220', 'Hamars', '14', 'FR'),
(5066, '14880', 'Hermanville sur Mer', '14', 'FR'),
(5067, '14100', 'Hermival les Vaux', '14', 'FR'),
(5068, '14200', 'H�rouville Saint Clair', '14', 'FR'),
(5069, '14850', 'H�rouvillette', '14', 'FR'),
(5070, '14430', 'Heuland', '14', 'FR'),
(5071, '14140', 'Heurtevent', '14', 'FR'),
(5072, '14170', 'Hi�ville', '14', 'FR'),
(5073, '14700', 'La Hoguette', '14', 'FR'),
(5074, '14600', 'Honfleur', '14', 'FR'),
(5075, '14100', 'L''H�tellerie', '14', 'FR'),
(5076, '14430', 'Hotot en Auge', '14', 'FR'),
(5077, '14250', 'Hottot les Bagues', '14', 'FR'),
(5078, '14340', 'La Houblonni�re', '14', 'FR'),
(5079, '14510', 'Houlgate', '14', 'FR'),
(5080, '14540', 'Hubert Folie', '14', 'FR'),
(5081, '14520', 'Huppain', '14', 'FR'),
(5082, '14123', 'Ifs', '14', 'FR'),
(5083, '14230', 'Isigny sur Mer', '14', 'FR'),
(5084, '14690', 'Les Isles Bardel', '14', 'FR'),
(5085, '14670', 'Janville', '14', 'FR'),
(5086, '14170', 'Jort', '14', 'FR'),
(5087, '14250', 'Juaye Mondaye', '14', 'FR'),
(5088, '14260', 'Jurques', '14', 'FR'),
(5089, '14250', 'Juvigny sur Seulles', '14', 'FR'),
(5090, '14320', 'Laize la Ville', '14', 'FR'),
(5091, '14240', 'La Lande sur Dr�me', '14', 'FR'),
(5092, '14500', 'La Lande Vaumont', '14', 'FR'),
(5093, '14380', 'Landelles et Coupigny', '14', 'FR'),
(5094, '14310', 'Landes sur Ajon', '14', 'FR'),
(5095, '14830', 'Langrune sur Mer', '14', 'FR'),
(5096, '14480', 'Lantheuil', '14', 'FR'),
(5097, '14740', 'Lasson', '14', 'FR'),
(5098, '14770', 'Lassy', '14', 'FR'),
(5099, '14340', 'L�aupartie', '14', 'FR'),
(5100, '14140', 'L�caude', '14', 'FR'),
(5101, '14700', 'Leffard', '14', 'FR'),
(5102, '14770', 'L�nault', '14', 'FR'),
(5103, '14140', 'Lessard et le Ch�ne', '14', 'FR'),
(5104, '14170', 'Lieury', '14', 'FR'),
(5105, '14250', 'Ling�vres', '14', 'FR'),
(5106, '14780', 'Lion sur Mer', '14', 'FR'),
(5107, '14100', 'Lisieux', '14', 'FR'),
(5108, '14330', 'Lison', '14', 'FR'),
(5109, '14140', 'Lisores', '14', 'FR'),
(5110, '14490', 'Litteau', '14', 'FR'),
(5111, '14330', 'Le Molay Littry', '14', 'FR'),
(5112, '14140', 'Livarot', '14', 'FR'),
(5113, '14240', 'Livry', '14', 'FR'),
(5114, '14210', 'Le Locheur', '14', 'FR'),
(5115, '14700', 'Les Loges Saulces', '14', 'FR'),
(5116, '14250', 'Longraye', '14', 'FR'),
(5117, '14400', 'Longues sur Mer', '14', 'FR'),
(5118, '14310', 'Longvillers', '14', 'FR'),
(5119, '14250', 'Loucelles', '14', 'FR'),
(5120, '14170', 'Louvagny', '14', 'FR'),
(5121, '14710', 'Louvi�res', '14', 'FR'),
(5122, '14111', 'Louvigny', '14', 'FR'),
(5123, '14530', 'Luc sur Mer', '14', 'FR'),
(5124, '14400', 'Magny en Bessin', '14', 'FR'),
(5125, '14270', 'Magny la Campagne', '14', 'FR'),
(5126, '14270', 'Magny le Freule', '14', 'FR'),
(5127, '14500', 'Maisoncelles la Jourdan', '14', 'FR'),
(5128, '14310', 'Maisoncelles Pelvey', '14', 'FR'),
(5129, '14210', 'Maisoncelles sur Ajon', '14', 'FR'),
(5130, '14400', 'Maisons', '14', 'FR'),
(5131, '14450', 'Maisy', '14', 'FR'),
(5132, '14210', 'Maizet', '14', 'FR'),
(5133, '14190', 'Maizi�res', '14', 'FR'),
(5134, '14350', 'Mallou�', '14', 'FR'),
(5135, '14930', 'Maltot', '14', 'FR'),
(5136, '14710', 'Mandeville en Bessin', '14', 'FR'),
(5137, '14340', 'Manerbe', '14', 'FR'),
(5138, '14130', 'Manneville la Pipard', '14', 'FR'),
(5139, '14400', 'Le Manoir', '14', 'FR'),
(5140, '14117', 'Manvieux', '14', 'FR'),
(5141, '14620', 'Le Marais la Chapelle', '14', 'FR'),
(5142, '14100', 'Marolles', '14', 'FR'),
(5143, '14220', 'Martainville', '14', 'FR'),
(5144, '14700', 'Martigny sur l''Ante', '14', 'FR'),
(5145, '14740', 'Martragny', '14', 'FR'),
(5146, '14920', 'Mathieu', '14', 'FR'),
(5147, '14320', 'May sur Orne', '14', 'FR'),
(5148, '14370', 'M�ry Corbon', '14', 'FR'),
(5149, '14220', 'Meslay', '14', 'FR'),
(5150, '14260', 'Le Mesnil au Grain', '14', 'FR'),
(5151, '14260', 'Le Mesnil Auzouf', '14', 'FR'),
(5152, '14140', 'Le Mesnil Bacley', '14', 'FR'),
(5153, '14380', 'Le Mesnil Benoist', '14', 'FR'),
(5154, '14380', 'Le Mesnil Caussois', '14', 'FR'),
(5155, '14380', 'Mesnil Clinchamps', '14', 'FR'),
(5156, '14140', 'Le Mesnil Durand', '14', 'FR'),
(5157, '14100', 'Le Mesnil Eudes', '14', 'FR'),
(5158, '14140', 'Le Mesnil Germain', '14', 'FR'),
(5159, '14100', 'Le Mesnil Guillaume', '14', 'FR'),
(5160, '14270', 'Le Mesnil Mauger', '14', 'FR'),
(5161, '14740', 'Le Mesnil Patry', '14', 'FR'),
(5162, '14380', 'Le Mesnil Robert', '14', 'FR'),
(5163, '14140', 'Le Mesnil Simon', '14', 'FR'),
(5164, '14130', 'Le Mesnil sur Blangy', '14', 'FR'),
(5165, '14690', 'Le Mesnil Villement', '14', 'FR'),
(5166, '14290', 'Meulles', '14', 'FR'),
(5167, '14960', 'Meuvaines', '14', 'FR'),
(5168, '14210', 'Missy', '14', 'FR'),
(5169, '14170', 'Mittois', '14', 'FR'),
(5170, '14100', 'Les Monceaux', '14', 'FR'),
(5171, '14400', 'Monceaux en Bessin', '14', 'FR'),
(5172, '14120', 'Mondeville', '14', 'FR'),
(5173, '14210', 'Mondrainville', '14', 'FR'),
(5174, '14230', 'Monfr�ville', '14', 'FR'),
(5175, '14260', 'Montamy', '14', 'FR'),
(5176, '14350', 'Mont Bertrand', '14', 'FR'),
(5177, '14350', 'Montchamp', '14', 'FR'),
(5178, '14350', 'Montchauvet', '14', 'FR'),
(5179, '14270', 'Monteille', '14', 'FR'),
(5180, '14490', 'Montfiquet', '14', 'FR'),
(5181, '14170', 'Montpin�on', '14', 'FR'),
(5182, '14340', 'Montreuil en Auge', '14', 'FR'),
(5183, '14310', 'Monts en Bessin', '14', 'FR'),
(5184, '14140', 'Montviette', '14', 'FR'),
(5185, '14620', 'Morteaux Couliboeuf', '14', 'FR'),
(5186, '14400', 'Mosles', '14', 'FR'),
(5187, '14790', 'Mouen', '14', 'FR'),
(5188, '14370', 'Moult', '14', 'FR'),
(5189, '14620', 'Les Moutiers en Auge', '14', 'FR'),
(5190, '14140', 'Les Moutiers Hubert', '14', 'FR'),
(5191, '14590', 'Moyaux', '14', 'FR'),
(5192, '14220', 'Mutr�cy', '14', 'FR'),
(5193, '14230', 'Neuilly la For�t', '14', 'FR'),
(5194, '14210', 'Neuilly le Malherbe', '14', 'FR'),
(5195, '14400', 'Nonant', '14', 'FR'),
(5196, '14100', 'Norolles', '14', 'FR'),
(5197, '14700', 'Noron l''Abbaye', '14', 'FR'),
(5198, '14490', 'Noron la Poterie', '14', 'FR'),
(5199, '14620', 'Norrey en Auge', '14', 'FR'),
(5200, '14740', 'Norrey en Bessin', '14', 'FR'),
(5201, '14140', 'Notre Dame de Courson', '14', 'FR'),
(5202, '14170', 'Notre Dame de Fresnay', '14', 'FR'),
(5203, '14340', 'Notre Dame de Livaye', '14', 'FR'),
(5204, '14340', 'Notre Dame d''Estr�es', '14', 'FR'),
(5205, '14210', 'Noyers Bocage', '14', 'FR'),
(5206, '14170', 'Olendon', '14', 'FR'),
(5207, '14260', 'Ondefontaine', '14', 'FR'),
(5208, '14240', 'Orbois', '14', 'FR'),
(5209, '14230', 'Osmanville', '14', 'FR'),
(5210, '14230', 'Les Oubeaux', '14', 'FR'),
(5211, '14270', 'Ou�zy', '14', 'FR'),
(5212, '14220', 'Ouffi�res', '14', 'FR'),
(5213, '14590', 'Ouilly du Houley', '14', 'FR'),
(5214, '14190', 'Ouilly le Tesson', '14', 'FR'),
(5215, '14100', 'Ouilly le Vicomte', '14', 'FR'),
(5216, '14150', 'Ouistreham', '14', 'FR'),
(5217, '14170', 'Ouville la Bien Tourn�e', '14', 'FR'),
(5218, '14240', 'Parfouru l''�clin', '14', 'FR'),
(5219, '14310', 'Parfouru sur Odon', '14', 'FR'),
(5220, '14600', 'Pennedepie', '14', 'FR'),
(5221, '14270', 'Percy en Auge', '14', 'FR'),
(5222, '14160', 'P�riers en Auge', '14', 'FR'),
(5223, '14112', 'P�riers sur le Dan', '14', 'FR'),
(5224, '14770', 'P�rigny', '14', 'FR'),
(5225, '14170', 'Perri�res', '14', 'FR'),
(5226, '14700', 'Pertheville Ners', '14', 'FR'),
(5227, '14390', 'Petiville', '14', 'FR'),
(5228, '14690', 'Pierrefitte en Cinglais', '14', 'FR'),
(5229, '14410', 'Pierres', '14', 'FR'),
(5230, '14590', 'Le Pin', '14', 'FR'),
(5231, '14220', 'Placy', '14', 'FR'),
(5232, '14490', 'Planquery', '14', 'FR'),
(5233, '14380', 'Pleines Oeuvres', '14', 'FR'),
(5234, '14770', 'Le Plessis Grimoult', '14', 'FR'),
(5235, '14440', 'Plumetot', '14', 'FR'),
(5236, '14690', 'La Pommeraye', '14', 'FR'),
(5237, '14380', 'Pont Bellanger', '14', 'FR'),
(5238, '14110', 'Pont�coulant', '14', 'FR'),
(5239, '14130', 'Pont l''�v�que', '14', 'FR'),
(5240, '14520', 'Port en Bessin Huppain', '14', 'FR'),
(5241, '14420', 'Potigny', '14', 'FR'),
(5242, '14540', 'Poussy la Campagne', '14', 'FR'),
(5243, '14210', 'Pr�aux Bocage', '14', 'FR'),
(5244, '14340', 'Le Pr� d''Auge', '14', 'FR'),
(5245, '14410', 'Presles', '14', 'FR'),
(5246, '14140', 'Pr�treville', '14', 'FR'),
(5247, '14110', 'Proussy', '14', 'FR'),
(5248, '14430', 'Putot en Auge', '14', 'FR'),
(5249, '14740', 'Putot en Bessin', '14', 'FR'),
(5250, '14130', 'Quetteville', '14', 'FR'),
(5251, '14400', 'Ranchy', '14', 'FR'),
(5252, '14860', 'Ranville', '14', 'FR'),
(5253, '14690', 'Rapilly', '14', 'FR'),
(5254, '14350', 'Le Reculey', '14', 'FR'),
(5255, '14340', 'Repentigny', '14', 'FR'),
(5256, '14130', 'Reux', '14', 'FR'),
(5257, '14470', 'Reviers', '14', 'FR'),
(5258, '14600', 'La Rivi�re Saint Sauveur', '14', 'FR'),
(5259, '14860', 'Robehomme', '14', 'FR'),
(5260, '14540', 'Rocquancourt', '14', 'FR'),
(5261, '14410', 'La Rocque', '14', 'FR'),
(5262, '14100', 'Rocques', '14', 'FR'),
(5263, '14340', 'La Roque Baignard', '14', 'FR'),
(5264, '14740', 'Rosel', '14', 'FR'),
(5265, '14980', 'Rots', '14', 'FR'),
(5266, '14260', 'Roucamps', '14', 'FR'),
(5267, '14500', 'Roullours', '14', 'FR'),
(5268, '14190', 'Rouvres', '14', 'FR'),
(5269, '14710', 'Rubercy', '14', 'FR'),
(5270, '14480', 'Rucqueville', '14', 'FR'),
(5271, '14410', 'Rully', '14', 'FR'),
(5272, '14340', 'Rumesnil', '14', 'FR'),
(5273, '14710', 'Russy', '14', 'FR'),
(5274, '14400', 'Ryes', '14', 'FR'),
(5275, '14260', 'Saint Agnan le Malherbe', '14', 'FR'),
(5276, '14540', 'Saint Aignan de Cramesnil', '14', 'FR'),
(5277, '14130', 'Saint Andr� d''H�bertot', '14', 'FR'),
(5278, '14320', 'Saint Andr� sur Orne', '14', 'FR'),
(5279, '14800', 'Saint Arnoult', '14', 'FR'),
(5280, '14970', 'Saint Aubin d''Arquenay', '14', 'FR'),
(5281, '14380', 'Saint Aubin des Bois', '14', 'FR'),
(5282, '14340', 'Saint Aubin L�bizay', '14', 'FR'),
(5283, '14340', 'Saint Aubin sur Algot', '14', 'FR'),
(5284, '14750', 'Saint Aubin sur Mer', '14', 'FR'),
(5285, '14350', 'Saint Charles de Percy', '14', 'FR'),
(5286, '14960', 'Saint C�me de Fresn�', '14', 'FR'),
(5287, '14280', 'Saint Contest', '14', 'FR'),
(5288, '14270', 'Saint Crespin', '14', 'FR'),
(5289, '14740', 'Sainte Croix Grand Tonne', '14', 'FR'),
(5290, '14480', 'Sainte Croix sur Mer', '14', 'FR'),
(5291, '14290', 'Saint Cyr du Ronceray', '14', 'FR'),
(5292, '14100', 'Saint Denis de Mailloc', '14', 'FR'),
(5293, '14110', 'Saint Denis de M�r�', '14', 'FR'),
(5294, '14350', 'Saint Denis Maisoncelles', '14', 'FR'),
(5295, '14100', 'Saint D�sir', '14', 'FR'),
(5296, '14950', 'Saint �tienne la Thillaye', '14', 'FR'),
(5297, '14140', 'Sainte Foy de Montgommery', '14', 'FR'),
(5298, '14130', 'Saint G�tien des Bois', '14', 'FR'),
(5299, '14260', 'Saint Georges d''Aunay', '14', 'FR'),
(5300, '14140', 'Saint Georges en Auge', '14', 'FR'),
(5301, '14240', 'Saint Germain d''Ectot', '14', 'FR'),
(5302, '14100', 'Saint Germain de Livet', '14', 'FR'),
(5303, '14140', 'St Germain de Montgommery', '14', 'FR'),
(5304, '14110', 'Saint Germain du Crioult', '14', 'FR'),
(5305, '14230', 'Saint Germain du Pert', '14', 'FR'),
(5306, '14280', 'Saint Germain la Blanche Herbe', '14', 'FR'),
(5307, '14700', 'Saint Germain Langot', '14', 'FR'),
(5308, '14190', 'Saint Germain le Vasson', '14', 'FR'),
(5309, '14240', 'Sainte Honorine de Ducy', '14', 'FR'),
(5310, '14520', 'Sainte Honorine des Pertes', '14', 'FR'),
(5311, '14210', 'Sainte Honorine du Fay', '14', 'FR'),
(5312, '14130', 'Saint Hymer', '14', 'FR'),
(5313, '14100', 'Saint Jean de Livet', '14', 'FR'),
(5314, '14350', 'Saint Jean des Essartiers', '14', 'FR'),
(5315, '14770', 'Saint Jean le Blanc', '14', 'FR'),
(5316, '14430', 'Saint Jouin', '14', 'FR'),
(5317, '14290', 'Saint Julien de Mailloc', '14', 'FR'),
(5318, '14140', 'Saint Julien le Faucon', '14', 'FR'),
(5319, '14130', 'Saint Julien sur Calonne', '14', 'FR'),
(5320, '14570', 'Saint Lambert', '14', 'FR'),
(5321, '14220', 'Saint Laurent de Condel', '14', 'FR'),
(5322, '14340', 'Saint Laurent du Mont', '14', 'FR'),
(5323, '14710', 'Saint Laurent sur Mer', '14', 'FR'),
(5324, '14430', 'Saint L�ger Dubosq', '14', 'FR'),
(5325, '14310', 'Saint Louet sur Seulles', '14', 'FR'),
(5326, '14340', 'Saint Loup de Fribois', '14', 'FR'),
(5327, '14400', 'Saint Loup Hors', '14', 'FR'),
(5328, '14380', 'Saint Manvieu Bocage', '14', 'FR'),
(5329, '14330', 'Sainte Marguerite d''Elle', '14', 'FR'),
(5330, '14140', 'Sainte Marguerite des Loges', '14', 'FR'),
(5331, '14140', 'Sainte Marguerite de Viette', '14', 'FR'),
(5332, '14270', 'Sainte Marie aux Anglais', '14', 'FR'),
(5333, '14350', 'Sainte Marie Laumont', '14', 'FR'),
(5334, '14380', 'Sainte Marie Outre l''Eau', '14', 'FR'),
(5335, '14130', 'Saint Martin aux Chartrains', '14', 'FR'),
(5336, '14710', 'Saint Martin de Blagny', '14', 'FR'),
(5337, '14320', 'Saint Martin de Fontenay', '14', 'FR'),
(5338, '14170', 'Saint Martin de Fresnay', '14', 'FR'),
(5339, '14100', 'Saint Martin de la Lieue', '14', 'FR'),
(5340, '14100', 'Saint Martin de Mailloc', '14', 'FR'),
(5341, '14700', 'Saint Martin de Mieux', '14', 'FR'),
(5342, '14220', 'Saint Martin de Sallen', '14', 'FR'),
(5343, '14350', 'Saint Martin des Besaces', '14', 'FR'),
(5344, '14400', 'Saint Martin des Entr�es', '14', 'FR'),
(5345, '14500', 'Saint Martin de Tallevende', '14', 'FR'),
(5346, '14350', 'Saint Martin Don', '14', 'FR'),
(5347, '14140', 'Saint Martin du Mesnil Oury', '14', 'FR'),
(5348, '14140', 'Saint Michel de Livet', '14', 'FR'),
(5349, '14220', 'Saint Omer', '14', 'FR'),
(5350, '14350', 'Saint Ouen des Besaces', '14', 'FR'),
(5351, '14670', 'Saint Ouen du Mesnil Oger', '14', 'FR'),
(5352, '14140', 'Saint Ouen le Houx', '14', 'FR'),
(5353, '14340', 'Saint Ouen le Pin', '14', 'FR'),
(5354, '14670', 'Saint Pair', '14', 'FR'),
(5355, '14340', 'Saint Pair du Mont', '14', 'FR'),
(5356, '14290', 'Saint Paul de Courtonne', '14', 'FR'),
(5357, '14490', 'Saint Paul du Vernay', '14', 'FR'),
(5358, '14130', 'St Philbert des Champs', '14', 'FR'),
(5359, '14950', 'Saint Pierre Azif', '14', 'FR'),
(5360, '14700', 'Saint Pierre Canivet', '14', 'FR'),
(5361, '14290', 'Saint Pierre de Mailloc', '14', 'FR'),
(5362, '14100', 'Saint Pierre des ifs', '14', 'FR'),
(5363, '14700', 'Saint Pierre du B�', '14', 'FR'),
(5364, '14260', 'Saint Pierre du Fresne', '14', 'FR'),
(5365, '14670', 'Saint Pierre du Jonquet', '14', 'FR'),
(5366, '14450', 'Saint Pierre du Mont', '14', 'FR'),
(5367, '14770', 'Saint Pierre la Vieille', '14', 'FR'),
(5368, '14170', 'Saint Pierre sur Dives', '14', 'FR'),
(5369, '14350', 'Saint Pierre Tarentaine', '14', 'FR'),
(5370, '14570', 'Saint R�my', '14', 'FR'),
(5371, '14670', 'Saint Samson', '14', 'FR'),
(5372, '14380', 'Saint Sever Calvados', '14', 'FR'),
(5373, '14190', 'Saint Sylvain', '14', 'FR'),
(5374, '14640', 'Saint Vaast en Auge', '14', 'FR'),
(5375, '14250', 'Saint Vaast sur Seulles', '14', 'FR'),
(5376, '14770', 'Saint Vigor des M�zerets', '14', 'FR'),
(5377, '14400', 'Saint Vigor le Grand', '14', 'FR'),
(5378, '14240', 'Sallen', '14', 'FR'),
(5379, '14121', 'Sallenelles', '14', 'FR'),
(5380, '14940', 'Sannerville', '14', 'FR'),
(5381, '14330', 'Saon', '14', 'FR'),
(5382, '14330', 'Saonnet', '14', 'FR'),
(5383, '14170', 'Sassy', '14', 'FR'),
(5384, '14740', 'Secqueville en Bessin', '14', 'FR'),
(5385, '14380', 'Sept Fr�res', '14', 'FR'),
(5386, '14240', 'Sept vents', '14', 'FR'),
(5387, '14240', 'Sermentot', '14', 'FR'),
(5388, '14190', 'Soignolles', '14', 'FR'),
(5389, '14540', 'Soliers', '14', 'FR'),
(5390, '14400', 'Sommervieu', '14', 'FR'),
(5391, '14700', 'Soulangy', '14', 'FR'),
(5392, '14420', 'Soumont Saint Quentin', '14', 'FR'),
(5393, '14400', 'Subles', '14', 'FR'),
(5394, '14400', 'Sully', '14', 'FR'),
(5395, '14710', 'Surrain', '14', 'FR'),
(5396, '14130', 'urville', '14', 'FR'),
(5397, '14440', 'Tailleville', '14', 'FR'),
(5398, '14250', 'Tessel', '14', 'FR'),
(5399, '14610', 'Thaon', '14', 'FR'),
(5400, '14130', 'Le Theil en Auge', '14', 'FR'),
(5401, '14170', 'Thi�ville', '14', 'FR'),
(5402, '14220', 'Thury Harcourt', '14', 'FR'),
(5403, '14480', 'Tierceville', '14', 'FR'),
(5404, '14540', 'Tilly la Campagne', '14', 'FR'),
(5405, '14250', 'Tilly sur Seulles', '14', 'FR'),
(5406, '14290', 'Tordouet', '14', 'FR'),
(5407, '14130', 'Le Torquesne', '14', 'FR'),
(5408, '14140', 'Tortisambert', '14', 'FR'),
(5409, '14940', 'Touffr�ville', '14', 'FR'),
(5410, '14800', 'Touques', '14', 'FR'),
(5411, '14400', 'Tour en Bessin', '14', 'FR'),
(5412, '14800', 'Tourgeville', '14', 'FR'),
(5413, '14310', 'Tournay sur Odon', '14', 'FR'),
(5414, '14220', 'Tournebu', '14', 'FR'),
(5415, '14350', 'Le Tourneur', '14', 'FR'),
(5416, '14330', 'Tourni�res', '14', 'FR'),
(5417, '14130', 'Tourville en Auge', '14', 'FR'),
(5418, '14210', 'Tourville sur Odon', '14', 'FR'),
(5419, '14310', 'Tracy Bocage', '14', 'FR'),
(5420, '14117', 'Tracy sur Mer', '14', 'FR'),
(5421, '14690', 'Tr�prel', '14', 'FR'),
(5422, '14710', 'Tr�vi�res', '14', 'FR'),
(5423, '14670', 'Troarn', '14', 'FR'),
(5424, '14210', 'Trois Monts', '14', 'FR'),
(5425, '14490', 'Le Tronquay', '14', 'FR'),
(5426, '14360', 'Trouville sur Mer', '14', 'FR'),
(5427, '14490', 'Trungy', '14', 'FR'),
(5428, '14500', 'Truttemer le Grand', '14', 'FR'),
(5429, '14500', 'Truttemer le Petit', '14', 'FR'),
(5430, '14190', 'Urville', '14', 'FR'),
(5431, '14420', 'Ussy', '14', 'FR'),
(5432, '14240', 'La Vacquerie', '14', 'FR'),
(5433, '14340', 'Valsem�', '14', 'FR'),
(5434, '14390', 'Varaville', '14', 'FR'),
(5435, '14600', 'Vasouy', '14', 'FR'),
(5436, '14410', 'Vassy', '14', 'FR'),
(5437, '14490', 'Vaubadon', '14', 'FR'),
(5438, '14400', 'Vaucelles', '14', 'FR'),
(5439, '14170', 'Vaudeloges', '14', 'FR'),
(5440, '14500', 'Vaudry', '14', 'FR'),
(5441, '14400', 'Vaux sur Aure', '14', 'FR'),
(5442, '14400', 'Vaux sur Seulles', '14', 'FR'),
(5443, '14250', 'Vendes', '14', 'FR'),
(5444, '14170', 'Vendeuvre', '14', 'FR'),
(5445, '14700', 'Versainville', '14', 'FR'),
(5446, '14790', 'Verson', '14', 'FR'),
(5447, '14114', 'Ver sur Mer', '14', 'FR'),
(5448, '14290', 'La Vespi�re', '14', 'FR'),
(5449, '14570', 'Le Vey', '14', 'FR'),
(5450, '14170', 'Vicques', '14', 'FR'),
(5451, '14430', 'Victot Pontfol', '14', 'FR'),
(5452, '14400', 'Vienne en Bessin', '14', 'FR'),
(5453, '14710', 'Vierville sur Mer', '14', 'FR'),
(5454, '14410', 'Viessoix', '14', 'FR'),
(5455, '14930', 'Vieux', '14', 'FR'),
(5456, '14130', 'Vieux Bourg', '14', 'FR'),
(5457, '14270', 'Vieux Fum�', '14', 'FR'),
(5458, '14700', 'Vignats', '14', 'FR'),
(5459, '14310', 'Villers Bocage', '14', 'FR'),
(5460, '14420', 'Villers Canivet', '14', 'FR'),
(5461, '14640', 'Villers sur Mer', '14', 'FR'),
(5462, '14113', 'Villerville', '14', 'FR'),
(5463, '14570', 'La Villette', '14', 'FR'),
(5464, '14480', 'Villiers le Sec', '14', 'FR'),
(5465, '14610', 'Villons les Buissons', '14', 'FR'),
(5466, '14310', 'Villy Bocage', '14', 'FR'),
(5467, '14370', 'Vimont', '14', 'FR'),
(5468, '14500', 'Vire', '14', 'FR'),
(5469, '14230', 'Vouilly', '14', 'FR'),
(5470, '14270', 'Qu�ti�ville', '14', 'FR'),
(5471, '15160', 'Allanche', '15', 'FR'),
(5472, '15100', 'Alleuze', '15', 'FR'),
(5473, '15700', 'Ally', '15', 'FR'),
(5474, '15100', 'Andelat', '15', 'FR'),
(5475, '15100', 'Anglards de Saint Flour', '15', 'FR'),
(5476, '15380', 'Anglards de Salers', '15', 'FR'),
(5477, '15110', 'Anterrieux', '15', 'FR'),
(5478, '15240', 'Antignac', '15', 'FR'),
(5479, '15400', 'Apchon', '15', 'FR'),
(5480, '15200', 'Arches', '15', 'FR'),
(5481, '15150', 'Arnac', '15', 'FR'),
(5482, '15130', 'Arpajon sur C�re', '15', 'FR'),
(5483, '15500', 'Auriac l''�glise', '15', 'FR'),
(5484, '15000', 'Aurillac', '15', 'FR'),
(5485, '15240', 'Auzers', '15', 'FR'),
(5486, '15250', 'Ayrens', '15', 'FR'),
(5487, '15800', 'Badailhac', '15', 'FR'),
(5488, '15700', 'Barriac les Bosquets', '15', 'FR'),
(5489, '15240', 'Bassignac', '15', 'FR'),
(5490, '15500', 'Bonnac', '15', 'FR'),
(5491, '15390', 'Bournoncles', '15', 'FR'),
(5492, '15700', 'Brageac', '15', 'FR'),
(5493, '15300', 'Albepierre Bredons', '15', 'FR'),
(5494, '15230', 'Brezons', '15', 'FR'),
(5495, '15340', 'Calvinet', '15', 'FR'),
(5496, '15130', 'Carlat', '15', 'FR'),
(5497, '15340', 'Cassaniouze', '15', 'FR'),
(5498, '15290', 'Cayrols', '15', 'FR'),
(5499, '15170', 'Celles', '15', 'FR'),
(5500, '15500', 'Celoux', '15', 'FR'),
(5501, '15230', 'C�zens', '15', 'FR'),
(5502, '15320', 'Chaliers', '15', 'FR'),
(5503, '15170', 'Chalinargues', '15', 'FR'),
(5504, '15200', 'Chalvignac', '15', 'FR'),
(5505, '15350', 'Champagnac', '15', 'FR'),
(5506, '15190', 'Chanterelle', '15', 'FR'),
(5507, '15300', 'La Chapelle d''Alagnon', '15', 'FR'),
(5508, '15500', 'Charmensac', '15', 'FR'),
(5509, '15300', 'Chastel sur Murat', '15', 'FR'),
(5510, '15110', 'Chaudes Aigues', '15', 'FR'),
(5511, '15700', 'Chaussenac', '15', 'FR'),
(5512, '15400', 'Cheylade', '15', 'FR'),
(5513, '15400', 'Le Claux', '15', 'FR'),
(5514, '15320', 'Clavi�res', '15', 'FR'),
(5515, '15400', 'Collandres', '15', 'FR'),
(5516, '15170', 'Coltines', '15', 'FR'),
(5517, '15100', 'Coren', '15', 'FR'),
(5518, '15150', 'Cros de Montvert', '15', 'FR'),
(5519, '15130', 'Cros de Ronesque', '15', 'FR'),
(5520, '15430', 'Cussac', '15', 'FR'),
(5521, '15110', 'Deux Verges', '15', 'FR'),
(5522, '15300', 'Dienne', '15', 'FR'),
(5523, '15700', 'Drignac', '15', 'FR'),
(5524, '15140', 'Drugeac', '15', 'FR'),
(5525, '15700', 'Escorailles', '15', 'FR'),
(5526, '15380', 'Le Falgoux', '15', 'FR'),
(5527, '15140', 'Le Fau', '15', 'FR'),
(5528, '15390', 'Faverolles', '15', 'FR'),
(5529, '15170', 'Ferri�res Saint Mary', '15', 'FR'),
(5530, '15140', 'Fontanges', '15', 'FR'),
(5531, '15600', 'Fournoul�s', '15', 'FR'),
(5532, '15130', 'Giou de Mamou', '15', 'FR'),
(5533, '15310', 'Girgols', '15', 'FR'),
(5534, '15150', 'Gl�nat', '15', 'FR'),
(5535, '15230', 'Gourdi�ges', '15', 'FR'),
(5536, '15110', 'Jabrun', '15', 'FR'),
(5537, '15200', 'Jaleyrac', '15', 'FR'),
(5538, '15800', 'Jou sous Monjou', '15', 'FR'),
(5539, '15120', 'Junhac', '15', 'FR'),
(5540, '15250', 'Jussac', '15', 'FR'),
(5541, '15120', 'Labesserette', '15', 'FR'),
(5542, '15130', 'Labrousse', '15', 'FR'),
(5543, '15230', 'Lacapelle Barr�s', '15', 'FR'),
(5544, '15150', 'Lacapelle Viescamp', '15', 'FR'),
(5545, '15120', 'Ladinhac', '15', 'FR'),
(5546, '15130', 'Lafeuillade en V�zie', '15', 'FR'),
(5547, '15160', 'Landeyrat', '15', 'FR'),
(5548, '15270', 'Lanobre', '15', 'FR'),
(5549, '15120', 'Lapeyrugue', '15', 'FR'),
(5550, '15150', 'Laroquebrou', '15', 'FR'),
(5551, '15590', 'Lascelle', '15', 'FR'),
(5552, '15500', 'Laurie', '15', 'FR'),
(5553, '15260', 'Lavastrie', '15', 'FR'),
(5554, '15300', 'Laveissenet', '15', 'FR'),
(5555, '15300', 'Laveissi�re', '15', 'FR'),
(5556, '15300', 'Lavigerie', '15', 'FR'),
(5557, '15120', 'Leucamp', '15', 'FR'),
(5558, '15600', 'Leynhac', '15', 'FR'),
(5559, '43450', 'Leyvaux', '43', 'FR'),
(5560, '15110', 'Lieutad�s', '15', 'FR'),
(5561, '15320', 'Lorci�res', '15', 'FR'),
(5562, '15390', 'Loubaresse', '15', 'FR'),
(5563, '15700', 'Loupiac', '15', 'FR'),
(5564, '15190', 'Lugarde', '15', 'FR'),
(5565, '15210', 'Madic', '15', 'FR'),
(5566, '15230', 'Malbo', '15', 'FR'),
(5567, '15190', 'Marcenat', '15', 'FR'),
(5568, '15270', 'Marchal', '15', 'FR'),
(5569, '15400', 'Marchastel', '15', 'FR'),
(5570, '15220', 'Marcol�s', '15', 'FR'),
(5571, '15250', 'Marmanhac', '15', 'FR'),
(5572, '15500', 'Massiac', '15', 'FR'),
(5573, '15200', 'Mauriac', '15', 'FR'),
(5574, '15110', 'Maurines', '15', 'FR'),
(5575, '15600', 'Maurs', '15', 'FR'),
(5576, '15200', 'M�allet', '15', 'FR'),
(5577, '15400', 'Menet', '15', 'FR'),
(5578, '15100', 'Menti�res', '15', 'FR'),
(5579, '15500', 'Mol�des', '15', 'FR'),
(5580, '15500', 'Molompize', '15', 'FR'),
(5581, '15240', 'La Monselie', '15', 'FR'),
(5582, '15190', 'Montboudif', '15', 'FR'),
(5583, '15100', 'Montchamp', '15', 'FR'),
(5584, '15190', 'Montgreleix', '15', 'FR'),
(5585, '15600', 'Montmurat', '15', 'FR'),
(5586, '15120', 'Montsalvy', '15', 'FR'),
(5587, '15150', 'Montvert', '15', 'FR'),
(5588, '15340', 'Mourjou', '15', 'FR'),
(5589, '15380', 'Moussages', '15', 'FR'),
(5590, '15300', 'Murat', '15', 'FR'),
(5591, '15230', 'Narnhac', '15', 'FR'),
(5592, '15000', 'Naucelles', '15', 'FR'),
(5593, '15250', 'Naucelles', '15', 'FR'),
(5594, '15170', 'Neussargues Moissac', '15', 'FR'),
(5595, '15260', 'Neuv�glise', '15', 'FR'),
(5596, '15150', 'Nieudan', '15', 'FR'),
(5597, '15290', 'Omps', '15', 'FR'),
(5598, '15260', 'Oradour', '15', 'FR'),
(5599, '15800', 'Pailherols', '15', 'FR'),
(5600, '15290', 'Parlan', '15', 'FR'),
(5601, '15230', 'Paulhenc', '15', 'FR'),
(5602, '15290', 'Pers', '15', 'FR'),
(5603, '15170', 'Peyrusse', '15', 'FR'),
(5604, '15230', 'Pierrefort', '15', 'FR'),
(5605, '15700', 'Pl�aux', '15', 'FR'),
(5606, '15800', 'Polminhac', '15', 'FR'),
(5607, '15160', 'Pradiers', '15', 'FR'),
(5608, '15130', 'Prunet', '15', 'FR'),
(5609, '15600', 'Qu�zac', '15', 'FR'),
(5610, '15500', 'Rageade', '15', 'FR'),
(5611, '15800', 'Raulhac', '15', 'FR'),
(5612, '15250', 'Reilhac', '15', 'FR'),
(5613, '15170', 'R�zenti�res', '15', 'FR'),
(5614, '15400', 'Riom �s Montagne', '15', 'FR'),
(5615, '15220', 'Roannes Saint Mary', '15', 'FR'),
(5616, '15100', 'Roffiac', '15', 'FR'),
(5617, '15150', 'Rouffiac', '15', 'FR'),
(5618, '15290', 'Roum�goux', '15', 'FR'),
(5619, '15600', 'Rouziers', '15', 'FR'),
(5620, '15240', 'Saignes', '15', 'FR'),
(5621, '15190', 'Saint Amandin', '15', 'FR'),
(5622, '15170', 'Sainte Anastasie', '15', 'FR'),
(5623, '15220', 'Saint Antoine', '15', 'FR'),
(5624, '15190', 'Saint Bonnet de Condat', '15', 'FR'),
(5625, '15140', 'Saint Bonnet de Salers', '15', 'FR'),
(5626, '15310', 'Saint Cernin', '15', 'FR'),
(5627, '15140', 'Saint Chamant', '15', 'FR'),
(5628, '15700', 'Saint Christophe les Gorges', '15', 'FR'),
(5629, '15590', 'Saint Cirgues de Jordanne', '15', 'FR'),
(5630, '15140', 'Saint Cirgues de Malbert', '15', 'FR'),
(5631, '15800', 'Saint Cl�ment', '15', 'FR'),
(5632, '15600', 'Saint Constant', '15', 'FR'),
(5633, '15150', 'Saint �tienne Cantal�s', '15', 'FR'),
(5634, '15130', 'Saint �tienne de Carlat', '15', 'FR'),
(5635, '15600', 'Saint �tienne de Maurs', '15', 'FR'),
(5636, '15400', 'Saint �tienne de Chomeil', '15', 'FR'),
(5637, '15140', 'Sainte Eulalie', '15', 'FR'),
(5638, '15100', 'Saint Georges', '15', 'FR'),
(5639, '15150', 'Saint G�rons', '15', 'FR'),
(5640, '15310', 'Saint Illide', '15', 'FR'),
(5641, '15580', 'Saint Jacques des Blats', '15', 'FR'),
(5642, '15590', 'Saint Julien de Jordanne', '15', 'FR'),
(5643, '15600', 'Saint Julien de Toursac', '15', 'FR'),
(5644, '15220', 'Saint Mamet la Salvetat', '15', 'FR'),
(5645, '15390', 'Saint Marc', '15', 'FR'),
(5646, '15230', 'Sainte Marie', '15', 'FR'),
(5647, '15110', 'Saint Martial', '15', 'FR'),
(5648, '15140', 'Saint Martin Cantal�s', '15', 'FR'),
(5649, '15230', 'Saint Martin sous Vigouroux', '15', 'FR'),
(5650, '15140', 'Saint Martin Valmeroux', '15', 'FR'),
(5651, '15500', 'Saint Mary le Plain', '15', 'FR'),
(5652, '15250', 'Saint Paul des Landes', '15', 'FR'),
(5653, '15140', 'Saint Paul de Salers', '15', 'FR'),
(5654, '15350', 'Saint Pierre', '15', 'FR'),
(5655, '15500', 'Saint Poncy', '15', 'FR'),
(5656, '15140', 'Saint Projet de Salers', '15', 'FR'),
(5657, '15110', 'Saint R�my de Chaudes Aigues', '15', 'FR'),
(5658, '15140', 'Saint R�my de Salers', '15', 'FR'),
(5659, '15150', 'Saint Santin Cantal�s', '15', 'FR'),
(5660, '15600', 'Saint Santin de Maurs', '15', 'FR'),
(5661, '15190', 'Saint Saturnin', '15', 'FR'),
(5662, '15290', 'Saint Saury', '15', 'FR'),
(5663, '15130', 'Saint Simon', '15', 'FR'),
(5664, '15110', 'Saint Urcize', '15', 'FR'),
(5665, '15140', 'Salers', '15', 'FR'),
(5666, '15200', 'Salins', '15', 'FR'),
(5667, '15130', 'Sansac de Marmiesse', '15', 'FR'),
(5668, '15120', 'Sansac Veinaz�s', '15', 'FR'),
(5669, '15240', 'Sauvat', '15', 'FR'),
(5670, '15290', 'La S�galassi�re', '15', 'FR'),
(5671, '15300', 'S�gur les Villas', '15', 'FR'),
(5672, '15340', 'S�nezergues', '15', 'FR'),
(5673, '15100', 'S�riers', '15', 'FR'),
(5674, '15150', 'Siran', '15', 'FR'),
(5675, '15100', 'Soulages', '15', 'FR'),
(5676, '15200', 'Sourniac', '15', 'FR'),
(5677, '15170', 'Talizat', '15', 'FR'),
(5678, '15100', 'Tanavelle', '15', 'FR'),
(5679, '15250', 'Teissi�res de Cornet', '15', 'FR'),
(5680, '15450', 'Thi�zac', '15', 'FR'),
(5681, '15100', 'Tiviers', '15', 'FR'),
(5682, '15310', 'Tournemire', '15', 'FR'),
(5683, '15700', 'Tourniac', '15', 'FR'),
(5684, '15270', 'Tr�mouille', '15', 'FR'),
(5685, '15110', 'La Trinitat', '15', 'FR'),
(5686, '15600', 'Le Trioulou', '15', 'FR'),
(5687, '15400', 'Trizac', '15', 'FR'),
(5688, '15300', 'Ussel', '15', 'FR'),
(5689, '15400', 'Valette', '15', 'FR'),
(5690, '15170', 'Valjouze', '15', 'FR'),
(5691, '15300', 'Valu�jols', '15', 'FR'),
(5692, '15380', 'Le Vaulmier', '15', 'FR'),
(5693, '15100', 'V�drines Saint Loup', '15', 'FR'),
(5694, '15590', 'Velzic', '15', 'FR'),
(5695, '15160', 'Vernols', '15', 'FR'),
(5696, '15350', 'Veyri�res', '15', 'FR'),
(5697, '15160', 'V�ze', '15', 'FR'),
(5698, '15130', 'Vezels Roussy', '15', 'FR'),
(5699, '15800', 'Vic sur C�re', '15', 'FR'),
(5700, '15500', 'Vieillespesse', '15', 'FR'),
(5701, '15120', 'Vieillevie', '15', 'FR'),
(5702, '15200', 'Le Vigean', '15', 'FR'),
(5703, '15100', 'Villedieu', '15', 'FR'),
(5704, '15300', 'Virargues', '15', 'FR'),
(5705, '15210', 'Ydes', '15', 'FR'),
(5706, '15130', 'Yolet', '15', 'FR'),
(5707, '15130', 'Ytrac', '15', 'FR'),
(5708, '15000', 'Ytrac', '15', 'FR'),
(5709, '15290', 'Le Rouget', '15', 'FR'),
(5710, '15140', 'Besse', '15', 'FR'),
(5711, '16500', 'Abzac', '16', 'FR'),
(5712, '16110', 'Agris', '16', 'FR'),
(5713, '16190', 'Aignes et Puyp�roux', '16', 'FR'),
(5714, '16140', 'Aigre', '16', 'FR'),
(5715, '16700', 'Aizecq', '16', 'FR'),
(5716, '16490', 'Allou�', '16', 'FR'),
(5717, '16140', 'Amb�rac', '16', 'FR'),
(5718, '16490', 'Ambernac', '16', 'FR'),
(5719, '16300', 'Ambleville', '16', 'FR'),
(5720, '16130', 'Angeac Champagne', '16', 'FR'),
(5721, '16120', 'Angeac Charente', '16', 'FR'),
(5722, '16300', 'Angeduc', '16', 'FR'),
(5723, '16000', 'Angoul�me', '16', 'FR'),
(5724, '16500', 'Ansac sur Vienne', '16', 'FR'),
(5725, '16170', 'Anville', '16', 'FR'),
(5726, '16130', 'Ars', '16', 'FR'),
(5727, '16290', 'Asni�res sur Nou�re', '16', 'FR'),
(5728, '16390', 'Aubeterre sur Dronne', '16', 'FR'),
(5729, '16250', 'Aubeville', '16', 'FR'),
(5730, '16170', 'Auge', '16', 'FR'),
(5731, '16460', 'Aunac', '16', 'FR'),
(5732, '16360', 'Baignes Sainte Radegonde', '16', 'FR'),
(5733, '16430', 'Balzac', '16', 'FR'),
(5734, '16140', 'Barbezi�res', '16', 'FR'),
(5735, '16210', 'Bardenac', '16', 'FR'),
(5736, '16300', 'Barret', '16', 'FR'),
(5737, '16700', 'Barro', '16', 'FR'),
(5738, '16120', 'Bassac', '16', 'FR'),
(5739, '16460', 'Bayers', '16', 'FR'),
(5740, '16210', 'Bazac', '16', 'FR'),
(5741, '16450', 'Beaulieu sur Sonnette', '16', 'FR'),
(5742, '16250', 'B�cheresse', '16', 'FR'),
(5743, '16210', 'Bellon', '16', 'FR'),
(5744, '16350', 'Benest', '16', 'FR'),
(5745, '16700', 'Bernac', '16', 'FR'),
(5746, '16250', 'Bessac', '16', 'FR'),
(5747, '16140', 'Bess�', '16', 'FR'),
(5748, '16170', 'Bignac', '16', 'FR'),
(5749, '16700', 'Bioussac', '16', 'FR'),
(5750, '16120', 'Birac', '16', 'FR'),
(5751, '16480', 'Boisbreteau', '16', 'FR'),
(5752, '16120', 'Bonneuil', '16', 'FR'),
(5753, '16170', 'Bonneville', '16', 'FR'),
(5754, '16350', 'Le Bouchage', '16', 'FR'),
(5755, '16410', 'Bou�x', '16', 'FR'),
(5756, '16200', 'Bourg Charente', '16', 'FR'),
(5757, '16120', 'Bouteville', '16', 'FR'),
(5758, '16100', 'Boutiers Saint Trojan', '16', 'FR'),
(5759, '16240', 'Brettes', '16', 'FR'),
(5760, '16370', 'Br�ville', '16', 'FR'),
(5761, '16300', 'Brie sous Barbezieux', '16', 'FR'),
(5762, '16210', 'Brie sous Chalais', '16', 'FR'),
(5763, '16420', 'Brigueuil', '16', 'FR'),
(5764, '16500', 'Brillac', '16', 'FR'),
(5765, '16480', 'Brossac', '16', 'FR'),
(5766, '16110', 'Bunzac', '16', 'FR'),
(5767, '16260', 'Cellefrouin', '16', 'FR'),
(5768, '16230', 'Cellettes', '16', 'FR'),
(5769, '16150', 'Chabanais', '16', 'FR'),
(5770, '16150', 'Chabrac', '16', 'FR'),
(5771, '16250', 'Chadurie', '16', 'FR'),
(5772, '16210', 'Chalais', '16', 'FR'),
(5773, '16300', 'Challignac', '16', 'FR'),
(5774, '16250', 'Champagne Vigny', '16', 'FR'),
(5775, '16350', 'Champagne Mouton', '16', 'FR'),
(5776, '16290', 'Champmillon', '16', 'FR'),
(5777, '16430', 'Champniers', '16', 'FR'),
(5778, '16360', 'Chantillac', '16', 'FR'),
(5779, '16140', 'La Chapelle', '16', 'FR'),
(5780, '16320', 'Charmant', '16', 'FR'),
(5781, '16140', 'Charm�', '16', 'FR'),
(5782, '16380', 'Charras', '16', 'FR'),
(5783, '16260', 'Chasseneuil sur Bonnieure', '16', 'FR'),
(5784, '16150', 'Chassenon', '16', 'FR'),
(5785, '16350', 'Chassiecq', '16', 'FR'),
(5786, '16200', 'Chassors', '16', 'FR'),
(5787, '16100', 'Ch�teaubernard', '16', 'FR'),
(5788, '16120', 'Ch�teauneuf sur Charente', '16', 'FR'),
(5789, '16480', 'Ch�tignac', '16', 'FR'),
(5790, '16320', 'Chavenat', '16', 'FR'),
(5791, '16380', 'Chazelles', '16', 'FR'),
(5792, '16460', 'Chenommet', '16', 'FR'),
(5793, '16460', 'Chenon', '16', 'FR'),
(5794, '16310', 'Cherves Ch�telars', '16', 'FR'),
(5795, '16370', 'Cherves Richemont', '16', 'FR'),
(5796, '16240', 'La Ch�vrerie', '16', 'FR'),
(5797, '16480', 'Chillac', '16', 'FR'),
(5798, '16150', 'Chirac', '16', 'FR'),
(5799, '16440', 'Claix', '16', 'FR'),
(5800, '16100', 'Cognac', '16', 'FR'),
(5801, '16320', 'Combiers', '16', 'FR'),
(5802, '16700', 'Condac', '16', 'FR'),
(5803, '16360', 'Cond�on', '16', 'FR'),
(5804, '16500', 'Confolens', '16', 'FR'),
(5805, '16560', 'Coulgens', '16', 'FR'),
(5806, '16330', 'Coulonges', '16', 'FR'),
(5807, '16200', 'Courbillac', '16', 'FR'),
(5808, '16240', 'Courc�me', '16', 'FR'),
(5809, '16190', 'Courgeac', '16', 'FR'),
(5810, '16210', 'Courlac', '16', 'FR'),
(5811, '16400', 'La Couronne', '16', 'FR'),
(5812, '16460', 'Couture', '16', 'FR'),
(5813, '16250', 'Cressac St Genis', '16', 'FR'),
(5814, '16300', 'Criteuil la Magdeleine', '16', 'FR'),
(5815, '16210', 'Curac', '16', 'FR'),
(5816, '16190', 'Deviat', '16', 'FR'),
(5817, '16410', 'Dignac', '16', 'FR'),
(5818, '16410', 'Dirac', '16', 'FR'),
(5819, '16290', 'Douzat', '16', 'FR'),
(5820, '16140', '�br�on', '16', 'FR'),
(5821, '16170', '�challat', '16', 'FR'),
(5822, '16220', '�curas', '16', 'FR'),
(5823, '16320', '�don', '16', 'FR'),
(5824, '16240', 'Embourie', '16', 'FR'),
(5825, '16240', 'Empur�', '16', 'FR'),
(5826, '16490', '�pen�de', '16', 'FR'),
(5827, '16120', '�raville', '16', 'FR'),
(5828, '16210', 'Essards', '16', 'FR'),
(5829, '16500', 'Esse', '16', 'FR'),
(5830, '16150', '�tagnac', '16', 'FR'),
(5831, '16250', '�triac', '16', 'FR'),
(5832, '16150', 'Exideuil', '16', 'FR'),
(5833, '16220', 'Eymouthiers', '16', 'FR'),
(5834, '16700', 'La Faye', '16', 'FR'),
(5835, '16380', 'Feuillade', '16', 'FR'),
(5836, '16730', 'Fl�ac', '16', 'FR'),
(5837, '16200', 'Fleurac', '16', 'FR'),
(5838, '16230', 'Fontclaireau', '16', 'FR'),
(5839, '16230', 'Fontenille', '16', 'FR'),
(5840, '16240', 'La For�t de Tess�', '16', 'FR'),
(5841, '16410', 'Fouquebrune', '16', 'FR'),
(5842, '16140', 'Fouqueure', '16', 'FR'),
(5843, '16200', 'Foussignac', '16', 'FR'),
(5844, '16410', 'Garat', '16', 'FR'),
(5845, '16320', 'Gardes le Pontaroux', '16', 'FR'),
(5846, '16170', 'Genac', '16', 'FR'),
(5847, '16270', 'Genouillac', '16', 'FR'),
(5848, '16130', 'Gensac la Pallue', '16', 'FR'),
(5849, '16130', 'Gent�', '16', 'FR'),
(5850, '16130', 'Gimeux', '16', 'FR'),
(5851, '16200', 'Gondeville', '16', 'FR'),
(5852, '16160', 'Gond Pontouvre', '16', 'FR'),
(5853, '16140', 'Les Gours', '16', 'FR'),
(5854, '16170', 'Gourville', '16', 'FR'),
(5855, '16450', 'Le Grand Madieu', '16', 'FR'),
(5856, '16380', 'Grassac', '16', 'FR'),
(5857, '16120', 'Graves', '16', 'FR'),
(5858, '16300', 'Guimps', '16', 'FR'),
(5859, '16480', 'Guizengeard', '16', 'FR'),
(5860, '16320', 'Gurat', '16', 'FR'),
(5861, '16290', 'Hiersac', '16', 'FR'),
(5862, '16490', 'Hiesse', '16', 'FR'),
(5863, '16200', 'Houlette', '16', 'FR'),
(5864, '16340', 'L''Isle d''Espagnac', '16', 'FR'),
(5865, '16200', 'Jarnac', '16', 'FR'),
(5866, '16560', 'Jauldes', '16', 'FR'),
(5867, '16100', 'Javrezac', '16', 'FR'),
(5868, '16190', 'Juignac', '16', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(5869, '16130', 'Juillac le Coq', '16', 'FR'),
(5870, '16320', 'Juillaguet', '16', 'FR'),
(5871, '16230', 'Juill�', '16', 'FR'),
(5872, '16200', 'Julienne', '16', 'FR'),
(5873, '16250', 'Jurignac', '16', 'FR'),
(5874, '16300', 'Lachaise', '16', 'FR'),
(5875, '16120', 'Ladiville', '16', 'FR'),
(5876, '16300', 'Lagarde sur le N�', '16', 'FR'),
(5877, '16300', 'Lam�rac', '16', 'FR'),
(5878, '16390', 'Laprade', '16', 'FR'),
(5879, '16500', 'Lessac', '16', 'FR'),
(5880, '16420', 'Lesterps', '16', 'FR'),
(5881, '16310', 'L�zignac Durand', '16', 'FR'),
(5882, '16460', 'Lich�res', '16', 'FR'),
(5883, '16140', 'Lign�', '16', 'FR'),
(5884, '16130', 'Ligni�res Sonneville', '16', 'FR'),
(5885, '16730', 'Linars', '16', 'FR'),
(5886, '16310', 'Le Lindois', '16', 'FR'),
(5887, '16700', 'Londigny', '16', 'FR'),
(5888, '16240', 'Longr�', '16', 'FR'),
(5889, '16230', 'Lonnes', '16', 'FR'),
(5890, '16270', 'Roumazi�res Loubert', '16', 'FR'),
(5891, '16100', 'Louzac St Andr�', '16', 'FR'),
(5892, '16140', 'Lupsault', '16', 'FR'),
(5893, '16450', 'Lussac', '16', 'FR'),
(5894, '16230', 'Lux�', '16', 'FR'),
(5895, '16240', 'La Magdeleine', '16', 'FR'),
(5896, '16320', 'Magnac Lavalette Villars', '16', 'FR'),
(5897, '16600', 'Magnac sur Touvre', '16', 'FR'),
(5898, '16230', 'Maine de Boixe', '16', 'FR'),
(5899, '16250', 'Mainfonds', '16', 'FR'),
(5900, '16200', 'Mainxe', '16', 'FR'),
(5901, '16380', 'Mainzac', '16', 'FR'),
(5902, '16120', 'Mallaville', '16', 'FR'),
(5903, '16500', 'Manot', '16', 'FR'),
(5904, '16230', 'Mansle', '16', 'FR'),
(5905, '16140', 'Marcillac Lanville', '16', 'FR'),
(5906, '16170', 'Mareuil', '16', 'FR'),
(5907, '16110', 'Marillac le Franc', '16', 'FR'),
(5908, '16570', 'Marsac', '16', 'FR'),
(5909, '16380', 'Marthon', '16', 'FR'),
(5910, '16310', 'Massignac', '16', 'FR'),
(5911, '16310', 'Mazerolles', '16', 'FR'),
(5912, '16270', 'Mazi�res', '16', 'FR'),
(5913, '16210', 'M�dillac', '16', 'FR'),
(5914, '16200', 'M�rignac', '16', 'FR'),
(5915, '16100', 'Merpins', '16', 'FR'),
(5916, '16370', 'Mesnac', '16', 'FR'),
(5917, '16700', 'Messeux', '16', 'FR'),
(5918, '16200', 'Les M�tairies', '16', 'FR'),
(5919, '16140', 'Mons', '16', 'FR'),
(5920, '16620', 'Montboyer', '16', 'FR'),
(5921, '16220', 'Montbron', '16', 'FR'),
(5922, '16300', 'Montchaude', '16', 'FR'),
(5923, '16310', 'Montemboeuf', '16', 'FR'),
(5924, '16330', 'Montignac Charente', '16', 'FR'),
(5925, '16390', 'Montignac le Coq', '16', 'FR'),
(5926, '16170', 'Montign�', '16', 'FR'),
(5927, '16240', 'Montjean', '16', 'FR'),
(5928, '16190', 'Montmoreau St Cybard', '16', 'FR'),
(5929, '16420', 'Montrollet', '16', 'FR'),
(5930, '16600', 'Mornac', '16', 'FR'),
(5931, '16120', 'Mosnac', '16', 'FR'),
(5932, '16290', 'Moulidars', '16', 'FR'),
(5933, '16700', 'Moutardon', '16', 'FR'),
(5934, '16440', 'Mouthiers sur Bo�me', '16', 'FR'),
(5935, '16460', 'Mouton', '16', 'FR'),
(5936, '16460', 'Moutonneau', '16', 'FR'),
(5937, '16310', 'Mouzon', '16', 'FR'),
(5938, '16390', 'Nabinaud', '16', 'FR'),
(5939, '16230', 'Nanclars', '16', 'FR'),
(5940, '16700', 'Nanteuil en Vall�e', '16', 'FR'),
(5941, '16200', 'Nercillac', '16', 'FR'),
(5942, '16440', 'Nersac', '16', 'FR'),
(5943, '16270', 'Nieuil', '16', 'FR'),
(5944, '16190', 'Nonac', '16', 'FR'),
(5945, '16120', 'Nonaville', '16', 'FR'),
(5946, '16140', 'Oradour', '16', 'FR'),
(5947, '16500', 'Oradour Fanais', '16', 'FR'),
(5948, '16220', 'Orgedeuil', '16', 'FR'),
(5949, '16480', 'Oriolles', '16', 'FR'),
(5950, '16210', 'Orival', '16', 'FR'),
(5951, '16240', 'Paizay Naudouin Embourie', '16', 'FR'),
(5952, '16390', 'Palluaud', '16', 'FR'),
(5953, '16450', 'Parzac', '16', 'FR'),
(5954, '16480', 'Passirac', '16', 'FR'),
(5955, '16250', 'P�reuil', '16', 'FR'),
(5956, '16250', 'P�rignac', '16', 'FR'),
(5957, '16270', 'La P�ruse', '16', 'FR'),
(5958, '16390', 'Pillac', '16', 'FR'),
(5959, '16260', 'Les Pins', '16', 'FR'),
(5960, '16170', 'Plaizac', '16', 'FR'),
(5961, '16250', 'Plassac Rouffiac', '16', 'FR'),
(5962, '16490', 'Pleuville', '16', 'FR'),
(5963, '16250', 'Porcheresse', '16', 'FR'),
(5964, '16700', 'Pougn�', '16', 'FR'),
(5965, '16190', 'Poullignac', '16', 'FR'),
(5966, '16700', 'Poursac', '16', 'FR'),
(5967, '16110', 'Pranzac', '16', 'FR'),
(5968, '16150', 'Pressignac', '16', 'FR'),
(5969, '16400', 'Puymoyen', '16', 'FR'),
(5970, '16230', 'Puyr�aux', '16', 'FR'),
(5971, '16240', 'Raix', '16', 'FR'),
(5972, '16110', 'Rancogne', '16', 'FR'),
(5973, '16140', 'Ranville Breuillaud', '16', 'FR'),
(5974, '16360', 'Reignac', '16', 'FR'),
(5975, '16200', 'R�parsac', '16', 'FR'),
(5976, '16370', 'Richemont', '16', 'FR'),
(5977, '16210', 'Rioux Martin', '16', 'FR'),
(5978, '16110', 'Rivi�res', '16', 'FR'),
(5979, '16110', 'La Rochefoucauld', '16', 'FR'),
(5980, '16110', 'La Rochette', '16', 'FR'),
(5981, '16320', 'Ronsenac', '16', 'FR'),
(5982, '16210', 'ouffiac', '16', 'FR'),
(5983, '16320', 'Rougnac', '16', 'FR'),
(5984, '16170', 'Rouillac', '16', 'FR'),
(5985, '16440', 'Roullet St Est�phe', '16', 'FR'),
(5986, '16270', 'Roumazi�res', '16', 'FR'),
(5987, '16310', 'Roussines', '16', 'FR'),
(5988, '16220', 'Rouz�de', '16', 'FR'),
(5989, '16600', 'Ruelle sur Touvre', '16', 'FR'),
(5990, '16700', 'Ruffec', '16', 'FR'),
(5991, '16310', 'Saint Adjutory', '16', 'FR'),
(5992, '16190', 'Saint Amant', '16', 'FR'),
(5993, '16330', 'Saint Amant de Boixe', '16', 'FR'),
(5994, '16230', 'Saint Amant de Bonnieure', '16', 'FR'),
(5995, '16120', 'St Amant de Graves', '16', 'FR'),
(5996, '16170', 'Saint Amant de Nou�re', '16', 'FR'),
(5997, '16100', 'Saint Andr�', '16', 'FR'),
(5998, '16230', 'Saint Angeau', '16', 'FR'),
(5999, '16300', 'Saint Aulais la Chapelle', '16', 'FR'),
(6000, '16210', 'Saint Avit', '16', 'FR'),
(6001, '16300', 'aint Bonnet', '16', 'FR'),
(6002, '16100', 'Saint Brice', '16', 'FR'),
(6003, '16420', 'St Christophe', '16', 'FR'),
(6004, '16230', 'Saint Ciers sur Bonnieure', '16', 'FR'),
(6005, '16450', 'Saint Claud', '16', 'FR'),
(6006, '16230', 'Ste Colombe', '16', 'FR'),
(6007, '16350', 'St Coutant', '16', 'FR'),
(6008, '16170', 'Saint Cybardeaux', '16', 'FR'),
(6009, '16440', 'Saint Est�phe', '16', 'FR'),
(6010, '16190', 'Saint Eutrope', '16', 'FR'),
(6011, '16480', 'St F�lix', '16', 'FR'),
(6012, '16130', 'Saint Fort sur le N�', '16', 'FR'),
(6013, '16140', 'Saint Fraigne', '16', 'FR'),
(6014, '16460', 'Saint Front', '16', 'FR'),
(6015, '16250', 'Saint Genis de Blanzac', '16', 'FR'),
(6016, '16570', 'Saint Genis d''Hiersac', '16', 'FR'),
(6017, '16700', 'Saint Georges', '16', 'FR'),
(6018, '16500', 'Saint Germain de Confolens', '16', 'FR'),
(6019, '16380', 'Saint Germain de Montbron', '16', 'FR'),
(6020, '16700', 'Saint Gervais', '16', 'FR'),
(6021, '16700', 'Saint Gourson', '16', 'FR'),
(6022, '16230', 'Saint Groux', '16', 'FR'),
(6023, '16300', 'Saint Hilaire', '16', 'FR'),
(6024, '16190', 'Saint Laurent de Belzagot', '16', 'FR'),
(6025, '16450', 'Saint Laurent de C�ris', '16', 'FR'),
(6026, '16100', 'Saint Laurent de Cognac', '16', 'FR'),
(6027, '16480', 'Saint Laurent des Combes', '16', 'FR'),
(6028, '16250', 'St L�ger', '16', 'FR'),
(6029, '16210', 'Sainte Marie', '16', 'FR'),
(6030, '16190', 'St Martial', '16', 'FR'),
(6031, '16700', 'Saint Martin du Clocher', '16', 'FR'),
(6032, '16260', 'Saint Mary', '16', 'FR'),
(6033, '16500', 'Saint Maurice des Lions', '16', 'FR'),
(6034, '16300', 'St M�dard', '16', 'FR'),
(6035, '16170', 'Auge St M�dard', '16', 'FR'),
(6036, '16720', 'Saint M�me les Carri�res', '16', 'FR'),
(6037, '16470', 'Saint Michel', '16', 'FR'),
(6038, '16300', 'Saint Palais du N�', '16', 'FR'),
(6039, '16130', 'Saint Preuil', '16', 'FR'),
(6040, '16110', 'Saint Projet Saint Constant', '16', 'FR'),
(6041, '16150', 'Saint Quentin sur Charente', '16', 'FR'),
(6042, '16210', 'Saint Quentin de Chalais', '16', 'FR'),
(6043, '16210', 'St Romain', '16', 'FR'),
(6044, '16290', 'Saint Saturnin', '16', 'FR'),
(6045, '16200', 'Sainte S�v�re', '16', 'FR'),
(6046, '16390', 'Saint S�verin', '16', 'FR'),
(6047, '16120', 'Saint Simeux', '16', 'FR'),
(6048, '16120', 'Saint Simon', '16', 'FR'),
(6049, '16220', 'Saint Sornin', '16', 'FR'),
(6050, '16480', 'Sainte Souline', '16', 'FR'),
(6051, '16370', 'Saint Sulpice de Cognac', '16', 'FR'),
(6052, '16460', 'Saint Sulpice de Ruffec', '16', 'FR'),
(6053, '16480', 'Saint Vallier', '16', 'FR'),
(6054, '16710', 'Saint Yrieix sur Charente', '16', 'FR'),
(6055, '16130', 'Salles d''Angles', '16', 'FR'),
(6056, '16300', 'Salles de Barbezieux', '16', 'FR'),
(6057, '16700', 'Salles de Villefagnan', '16', 'FR'),
(6058, '16190', 'Salles Lavalette', '16', 'FR'),
(6059, '16420', 'Saulgond', '16', 'FR'),
(6060, '16310', 'Sauvagnac', '16', 'FR'),
(6061, '16480', 'Sauvignac', '16', 'FR'),
(6062, '16130', 'Segonzac', '16', 'FR'),
(6063, '16210', 'S�rignac', '16', 'FR'),
(6064, '16410', 'Sers', '16', 'FR'),
(6065, '16200', 'Sigogne', '16', 'FR'),
(6066, '16440', 'Sireuil', '16', 'FR'),
(6067, '16170', 'Sonneville', '16', 'FR'),
(6068, '16380', 'Souffrignac', '16', 'FR'),
(6069, '16240', 'Souvign�', '16', 'FR'),
(6070, '16800', 'Soyaux', '16', 'FR'),
(6071, '16260', 'Suaux', '16', 'FR'),
(6072, '16270', 'Suris', '16', 'FR'),
(6073, '16260', 'La T�che', '16', 'FR'),
(6074, '16700', 'Taiz� Aizie', '16', 'FR'),
(6075, '16110', 'Taponnat Fleurignac', '16', 'FR'),
(6076, '16360', 'Le T�tre', '16', 'FR'),
(6077, '16240', 'Theil Rabier', '16', 'FR'),
(6078, '16410', 'Torsac', '16', 'FR'),
(6079, '16560', 'Tourriers', '16', 'FR'),
(6080, '16360', 'Touv�rac', '16', 'FR'),
(6081, '16600', 'Touvre', '16', 'FR'),
(6082, '16120', 'Touzac', '16', 'FR'),
(6083, '16200', 'Triac Lautrait', '16', 'FR'),
(6084, '16730', 'Trois Palis', '16', 'FR'),
(6085, '16350', 'Turgon', '16', 'FR'),
(6086, '16140', 'Tusson', '16', 'FR'),
(6087, '16700', 'Tuzie', '16', 'FR'),
(6088, '16460', 'Valence', '16', 'FR'),
(6089, '16330', 'Vars', '16', 'FR'),
(6090, '16320', 'Vaux Lavalette', '16', 'FR'),
(6091, '16170', 'Vaux Rouillac', '16', 'FR'),
(6092, '16460', 'Ventouse', '16', 'FR'),
(6093, '16140', 'Verdille', '16', 'FR'),
(6094, '16310', 'Verneuil', '16', 'FR'),
(6095, '16130', 'Verri�res', '16', 'FR'),
(6096, '16510', 'Verteuil sur Charente', '16', 'FR'),
(6097, '16330', 'Vervant', '16', 'FR'),
(6098, '16120', 'Vibrac', '16', 'FR'),
(6099, '16350', 'Le Vieux C�rier', '16', 'FR'),
(6100, '16350', 'Vieux Ruffec', '16', 'FR'),
(6101, '16300', 'Vignolles', '16', 'FR'),
(6102, '16220', 'Vilhonneur', '16', 'FR'),
(6103, '16320', 'Villebois Lavalette', '16', 'FR'),
(6104, '16240', 'Villefagnan', '16', 'FR'),
(6105, '16700', 'Villegats', '16', 'FR'),
(6106, '16140', 'Villej�sus', '16', 'FR'),
(6107, '16560', 'Villejoubert', '16', 'FR'),
(6108, '16240', 'Villiers le Roux', '16', 'FR'),
(6109, '16230', 'Villognon', '16', 'FR'),
(6110, '16430', 'Vindelle', '16', 'FR'),
(6111, '16310', 'Vitrac Saint Vincent', '16', 'FR'),
(6112, '16120', 'Viville', '16', 'FR'),
(6113, '16400', 'Voeuil et Giget', '16', 'FR'),
(6114, '16330', 'Vouharte', '16', 'FR'),
(6115, '16250', 'Voulg�zac', '16', 'FR'),
(6116, '16220', 'Vouthon', '16', 'FR'),
(6117, '16410', 'Vouzan', '16', 'FR'),
(6118, '16330', 'Xambes', '16', 'FR'),
(6119, '16210', 'Yviers', '16', 'FR'),
(6120, '16110', 'Yvrac et Malleyrand', '16', 'FR'),
(6121, '17350', 'Agonnay', '17', 'FR'),
(6122, '17500', 'Agudelle', '17', 'FR'),
(6123, '17290', 'Aigrefeuille d''Aunis', '17', 'FR'),
(6124, '17123', '�le d''Aix', '17', 'FR'),
(6125, '17150', 'Allas Bocage', '17', 'FR'),
(6126, '17500', 'Allas Champagne', '17', 'FR'),
(6127, '17540', 'Anais', '17', 'FR'),
(6128, '17230', 'Andilly', '17', 'FR'),
(6129, '17540', 'Angliers', '17', 'FR'),
(6130, '17690', 'Angoulins', '17', 'FR'),
(6131, '17350', 'Annepont', '17', 'FR'),
(6132, '17380', 'Annezay', '17', 'FR'),
(6133, '17400', 'Antezant la Chapelle', '17', 'FR'),
(6134, '17240', 'Antignac', '17', 'FR'),
(6135, '17120', 'Arces', '17', 'FR'),
(6136, '17520', 'Archiac', '17', 'FR'),
(6137, '17380', 'Archingeay', '17', 'FR'),
(6138, '17290', 'Ardilli�res', '17', 'FR'),
(6139, '17590', 'Ars en R�', '17', 'FR'),
(6140, '17520', 'Arthenac', '17', 'FR'),
(6141, '17530', 'Arvert', '17', 'FR'),
(6142, '17400', 'Asni�res la Giraud', '17', 'FR'),
(6143, '17770', 'Aujac', '17', 'FR'),
(6144, '17470', 'Aulnay', '17', 'FR'),
(6145, '17770', 'Aumagne', '17', 'FR'),
(6146, '17770', 'Authon Eb�on', '17', 'FR'),
(6147, '17800', 'Avy', '17', 'FR'),
(6148, '17440', 'Aytr�', '17', 'FR'),
(6149, '17160', 'Bagnizeau', '17', 'FR'),
(6150, '17600', 'Balanzac', '17', 'FR'),
(6151, '17160', 'Ballans', '17', 'FR'),
(6152, '17290', 'Ballon', '17', 'FR'),
(6153, '17360', 'La Barde', '17', 'FR'),
(6154, '17120', 'Barzan', '17', 'FR'),
(6155, '17490', 'Bazauges', '17', 'FR'),
(6156, '17620', 'Beaugeay', '17', 'FR'),
(6157, '17490', 'Beauvais sur Matha', '17', 'FR'),
(6158, '17210', 'B�denac', '17', 'FR'),
(6159, '17800', 'Belluire', '17', 'FR'),
(6160, '17400', 'La Ben�te', '17', 'FR'),
(6161, '17170', 'Benon', '17', 'FR'),
(6162, '17770', 'Bercloux', '17', 'FR'),
(6163, '17330', 'Bernay St Martin', '17', 'FR'),
(6164, '17460', 'Berneuil', '17', 'FR'),
(6165, '17250', 'Beurlay', '17', 'FR'),
(6166, '17400', 'Bignay', '17', 'FR'),
(6167, '17800', 'Biron', '17', 'FR'),
(6168, '17160', 'Blanzac l�s Matha', '17', 'FR'),
(6169, '17470', 'Blanzay sur Boutonne', '17', 'FR'),
(6170, '17240', 'Bois', '17', 'FR'),
(6171, '17580', 'Le Bois Plage en R�', '17', 'FR'),
(6172, '17150', 'Boisredon', '17', 'FR'),
(6173, '17430', 'Bords', '17', 'FR'),
(6174, '17270', 'Boresse et Martron', '17', 'FR'),
(6175, '17360', 'Boscamnant', '17', 'FR'),
(6176, '17800', 'Bougneau', '17', 'FR'),
(6177, '17540', 'Bouhet', '17', 'FR'),
(6178, '17560', 'Bourcefranc le Chapus', '17', 'FR'),
(6179, '17220', 'Bourgneuf', '17', 'FR'),
(6180, '17120', 'Boutenac Touvent', '17', 'FR'),
(6181, '17210', 'Bran', '17', 'FR'),
(6182, '17490', 'Bresdon', '17', 'FR'),
(6183, '17700', 'Breuil la R�orte', '17', 'FR'),
(6184, '17920', 'Breuillet', '17', 'FR'),
(6185, '17113', 'Breuillet', '17', 'FR'),
(6186, '17870', 'Breuil Magn�', '17', 'FR'),
(6187, '17520', 'Brie sous Archiac', '17', 'FR'),
(6188, '17160', 'Brie sous Matha', '17', 'FR'),
(6189, '17120', 'Brie sous Mortagne', '17', 'FR'),
(6190, '17800', 'Brives sur Charente', '17', 'FR'),
(6191, '17770', 'Brizambourg', '17', 'FR'),
(6192, '17160', 'La Brousse', '17', 'FR'),
(6193, '17770', 'Burie', '17', 'FR'),
(6194, '17100', 'Bussac sur Charente', '17', 'FR'),
(6195, '17210', 'Bussac For�t', '17', 'FR'),
(6196, '17430', 'Cabariot', '17', 'FR'),
(6197, '17520', 'Celles', '17', 'FR'),
(6198, '17270', 'Cercoux', '17', 'FR'),
(6199, '17800', 'Chadenac', '17', 'FR'),
(6200, '17890', 'Chaillevette', '17', 'FR'),
(6201, '17290', 'Chambon', '17', 'FR'),
(6202, '17130', 'Chamouillac', '17', 'FR'),
(6203, '17500', 'Champagnac', '17', 'FR'),
(6204, '17620', 'Champagne', '17', 'FR'),
(6205, '17240', 'Champagnolles', '17', 'FR'),
(6206, '17430', 'Champdolent', '17', 'FR'),
(6207, '17610', 'Chaniers', '17', 'FR'),
(6208, '17380', 'Chantemerle sur la Soie', '17', 'FR'),
(6209, '17100', 'La Chapelle des Pots', '17', 'FR'),
(6210, '17130', 'Chardes', '17', 'FR'),
(6211, '17230', 'Charron', '17', 'FR'),
(6212, '17130', 'Chartuzac', '17', 'FR'),
(6213, '17480', 'Le Ch�teau d''Ol�ron', '17', 'FR'),
(6214, '17340', 'Ch�telaillon Plage', '17', 'FR'),
(6215, '17210', 'Ch�tenet', '17', 'FR'),
(6216, '17130', 'Chaunac', '17', 'FR'),
(6217, '17600', 'Chay', '17', 'FR'),
(6218, '17120', 'Chenac St Seurin d''Uzet', '17', 'FR'),
(6219, '17210', 'Chepniers', '17', 'FR'),
(6220, '17610', 'Ch�rac', '17', 'FR'),
(6221, '17470', 'Cherbonni�res', '17', 'FR'),
(6222, '17460', 'Chermignac', '17', 'FR'),
(6223, '17380', 'Chervettes', '17', 'FR'),
(6224, '17210', 'Chevanceaux', '17', 'FR'),
(6225, '17510', 'Chives', '17', 'FR'),
(6226, '17520', 'Cierzac', '17', 'FR'),
(6227, '17290', 'Cir� d''Aunis', '17', 'FR'),
(6228, '17500', 'Clam', '17', 'FR'),
(6229, '17220', 'Clavette', '17', 'FR'),
(6230, '17270', 'Cl�rac', '17', 'FR'),
(6231, '17240', 'Clion', '17', 'FR'),
(6232, '17600', 'La Clisse', '17', 'FR'),
(6233, '17360', 'La Clotte', '17', 'FR'),
(6234, '17330', 'Coivert', '17', 'FR'),
(6235, '17460', 'Colombiers', '17', 'FR'),
(6236, '17150', 'Consac', '17', 'FR'),
(6237, '17470', 'Contr�', '17', 'FR'),
(6238, '17130', 'Corignac', '17', 'FR'),
(6239, '17600', 'Corme �cluse', '17', 'FR'),
(6240, '17600', 'Corme Royal', '17', 'FR'),
(6241, '17670', 'La Couarde sur Mer', '17', 'FR'),
(6242, '17800', 'Coulonges', '17', 'FR'),
(6243, '17330', 'Courant', '17', 'FR'),
(6244, '17400', 'Courcelles', '17', 'FR'),
(6245, '17160', 'Courcerac', '17', 'FR'),
(6246, '17170', 'Cour�on', '17', 'FR'),
(6247, '17100', 'Courcoury', '17', 'FR'),
(6248, '17130', 'Courpignac', '17', 'FR'),
(6249, '17130', 'Coux', '17', 'FR'),
(6250, '17120', 'Cozes', '17', 'FR'),
(6251, '17170', 'Cramchaban', '17', 'FR'),
(6252, '17260', 'Cravans', '17', 'FR'),
(6253, '17350', 'Crazannes', '17', 'FR'),
(6254, '17160', 'Cress�', '17', 'FR'),
(6255, '17220', 'Croix Chapeau', '17', 'FR'),
(6256, '17330', 'La Croix Comtesse', '17', 'FR'),
(6257, '17470', 'Dampierre sur Boutonne', '17', 'FR'),
(6258, '17330', 'Doeuil sur le Mignon', '17', 'FR'),
(6259, '17550', 'Dolus d''Ol�ron', '17', 'FR'),
(6260, '17610', 'Dompierre sur Charente', '17', 'FR'),
(6261, '17139', 'Dompierre sur Mer', '17', 'FR'),
(6262, '17100', 'Le Douhet', '17', 'FR'),
(6263, '17770', '�b�on', '17', 'FR'),
(6264, '17800', '�chebrune', '17', 'FR'),
(6265, '17620', '�chillais', '17', 'FR'),
(6266, '17770', '�coyeux', '17', 'FR'),
(6267, '17810', '�curat', '17', 'FR'),
(6268, '17510', 'Les �duts', '17', 'FR'),
(6269, '17400', 'Les �glises d''Argenteuil', '17', 'FR'),
(6270, '17600', 'L''�guille', '17', 'FR'),
(6271, '17120', '�pargnes', '17', 'FR'),
(6272, '17137', 'Esnandes', '17', 'FR'),
(6273, '17250', 'Les Essards', '17', 'FR'),
(6274, '17750', '�taules', '17', 'FR'),
(6275, '17130', 'Expiremont', '17', 'FR'),
(6276, '17350', 'Fenioux', '17', 'FR'),
(6277, '17170', 'Ferri�res', '17', 'FR'),
(6278, '17800', 'Fl�ac sur Seugne', '17', 'FR'),
(6279, '17120', 'Floirac', '17', 'FR'),
(6280, '17630', 'La Flotte', '17', 'FR'),
(6281, '17510', 'Fontaine Chalendray', '17', 'FR'),
(6282, '17500', 'Fontaines d''Ozillac', '17', 'FR'),
(6283, '17100', 'Fontcouverte', '17', 'FR'),
(6284, '17400', 'Fontenet', '17', 'FR'),
(6285, '17290', 'Forges', '17', 'FR'),
(6286, '17270', 'Le Fouilloux', '17', 'FR'),
(6287, '17450', 'Fouras', '17', 'FR'),
(6288, '17770', 'La Fredi�re', '17', 'FR'),
(6289, '17250', 'Geay', '17', 'FR'),
(6290, '17260', 'G�mozac', '17', 'FR'),
(6291, '17360', 'La Gen�touze', '17', 'FR'),
(6292, '17430', 'Genouill�', '17', 'FR'),
(6293, '17520', 'Germignac', '17', 'FR'),
(6294, '17160', 'Gibourne', '17', 'FR'),
(6295, '17160', 'Le Gicq', '17', 'FR'),
(6296, '17260', 'Givrezac', '17', 'FR'),
(6297, '17100', 'Les Gonds', '17', 'FR'),
(6298, '17490', 'Gourvillette', '17', 'FR'),
(6299, '17350', 'Grandjean', '17', 'FR'),
(6300, '17170', 'La Gr�ve sur Mignon', '17', 'FR'),
(6301, '17120', 'Gr�zac', '17', 'FR'),
(6302, '17620', 'La Gripperie Saint Symphorien', '17', 'FR'),
(6303, '17600', 'Le Gua', '17', 'FR'),
(6304, '17540', 'Le Gu� d''All�r�', '17', 'FR'),
(6305, '17500', 'Guitini�res', '17', 'FR'),
(6306, '17160', 'Haimps', '17', 'FR'),
(6307, '17320', 'Hiers Brouage', '17', 'FR'),
(6308, '17137', 'L''Houmeau', '17', 'FR'),
(6309, '17460', 'La Jard', '17', 'FR'),
(6310, '17520', 'Jarnac Champagne', '17', 'FR'),
(6311, '17220', 'La Jarne', '17', 'FR'),
(6312, '17220', 'La Jarrie', '17', 'FR'),
(6313, '17330', 'La Jarrie Audouin', '17', 'FR'),
(6314, '17260', 'Jazennes', '17', 'FR'),
(6315, '17500', 'Jonzac', '17', 'FR'),
(6316, '17770', 'Juicq', '17', 'FR'),
(6317, '17130', 'Jussas', '17', 'FR'),
(6318, '17140', 'Lagord', '17', 'FR'),
(6319, '17170', 'La Laigne', '17', 'FR'),
(6320, '17380', 'Landes', '17', 'FR'),
(6321, '17290', 'Landrais', '17', 'FR'),
(6322, '17500', 'L�oville', '17', 'FR'),
(6323, '17870', 'Loire les Marais', '17', 'FR'),
(6324, '17470', 'Loir� sur Nie', '17', 'FR'),
(6325, '17111', 'Loix', '17', 'FR'),
(6326, '17230', 'Long�ves', '17', 'FR'),
(6327, '17520', 'Lonzac', '17', 'FR'),
(6328, '17240', 'Lorignac', '17', 'FR'),
(6329, '17330', 'Loulay', '17', 'FR'),
(6330, '17160', 'Louzignac', '17', 'FR'),
(6331, '17330', 'Lozay', '17', 'FR'),
(6332, '17600', 'Luchat', '17', 'FR'),
(6333, '17500', 'Lussac', '17', 'FR'),
(6334, '17430', 'Lussant', '17', 'FR'),
(6335, '17490', 'Macqueville', '17', 'FR'),
(6336, '17230', 'Marans', '17', 'FR'),
(6337, '17320', 'Marennes', '17', 'FR'),
(6338, '17800', 'Marignac', '17', 'FR'),
(6339, '17700', 'Marsais', '17', 'FR'),
(6340, '17137', 'Marsilly', '17', 'FR'),
(6341, '17490', 'Massac', '17', 'FR'),
(6342, '17160', 'Matha', '17', 'FR'),
(6343, '17570', 'Les Mathes', '17', 'FR'),
(6344, '17400', 'Mazeray', '17', 'FR'),
(6345, '17800', 'Mazerolles', '17', 'FR'),
(6346, '17600', 'M�dis', '17', 'FR'),
(6347, '17210', 'M�rignac', '17', 'FR'),
(6348, '17132', 'Meschers sur Gironde', '17', 'FR'),
(6349, '17130', 'Messac', '17', 'FR'),
(6350, '17120', 'Meursac', '17', 'FR'),
(6351, '17500', 'Meux', '17', 'FR'),
(6352, '17330', 'Migr�', '17', 'FR'),
(6353, '17770', 'Migron', '17', 'FR'),
(6354, '17150', 'Mirambeau', '17', 'FR'),
(6355, '17780', 'Mo�ze', '17', 'FR'),
(6356, '17500', 'Moings', '17', 'FR'),
(6357, '17160', 'Mons', '17', 'FR'),
(6358, '17130', 'Montendre', '17', 'FR'),
(6359, '17270', 'Montguyon', '17', 'FR'),
(6360, '17800', 'Montils', '17', 'FR'),
(6361, '17210', 'Montlieu la Garde', '17', 'FR'),
(6362, '17260', 'Montpellier de M�dillan', '17', 'FR'),
(6363, '17220', 'Montroy', '17', 'FR'),
(6364, '17430', 'Moragne', '17', 'FR'),
(6365, '17113', 'Mornac sur Seudre', '17', 'FR'),
(6366, '17120', 'Mortagne sur Gironde', '17', 'FR'),
(6367, '17500', 'Mortiers', '17', 'FR'),
(6368, '17240', 'Mosnac', '17', 'FR'),
(6369, '17130', 'Moulons', '17', 'FR'),
(6370, '17350', 'Le Mung', '17', 'FR'),
(6371, '17430', 'Muron', '17', 'FR'),
(6372, '17380', 'Nachamps', '17', 'FR'),
(6373, '17600', 'Nancras', '17', 'FR'),
(6374, '17770', 'Nantill�', '17', 'FR'),
(6375, '17510', 'N�r�', '17', 'FR'),
(6376, '17520', 'Neuillac', '17', 'FR'),
(6377, '17500', 'Neulles', '17', 'FR'),
(6378, '17270', 'Neuvicq', '17', 'FR'),
(6379, '17490', 'Neuvicq le Ch�teau', '17', 'FR'),
(6380, '17810', 'Nieul l�s Saintes', '17', 'FR'),
(6381, '17150', 'Nieul le Virouil', '17', 'FR'),
(6382, '17137', 'Nieul sur Mer', '17', 'FR'),
(6383, '17600', 'Nieulle sur Seudre', '17', 'FR'),
(6384, '17380', 'Les Nouillers', '17', 'FR'),
(6385, '17540', 'Nuaill� d''Aunis', '17', 'FR'),
(6386, '17470', 'Nuaill� sur Boutonne', '17', 'FR'),
(6387, '17210', 'Orignolles', '17', 'FR'),
(6388, '17500', 'Ozillac', '17', 'FR'),
(6389, '17470', 'Paill�', '17', 'FR'),
(6390, '17700', 'P�r�', '17', 'FR'),
(6391, '17800', 'P�rignac', '17', 'FR'),
(6392, '17180', 'P�rigny', '17', 'FR'),
(6393, '17810', 'Pessines', '17', 'FR'),
(6394, '17210', 'Pin', '17', 'FR'),
(6395, '17400', 'St Denis du Pin', '17', 'FR'),
(6396, '17600', 'Pisany', '17', 'FR'),
(6397, '17240', 'Plassac', '17', 'FR'),
(6398, '17250', 'Plassay', '17', 'FR'),
(6399, '17210', 'Polignac', '17', 'FR'),
(6400, '17130', 'Pommiers Moulons', '17', 'FR'),
(6401, '17800', 'Pons', '17', 'FR'),
(6402, '17250', 'Pont l''Abb� d''Arnoult', '17', 'FR'),
(6403, '17350', 'Port d''Envaux', '17', 'FR'),
(6404, '17880', 'Portes en R�', '17', 'FR'),
(6405, '17210', 'Pouillac', '17', 'FR'),
(6406, '17400', 'Poursay Garnaud', '17', 'FR'),
(6407, '17460', 'Pr�guillac', '17', 'FR'),
(6408, '17160', 'Prignac', '17', 'FR'),
(6409, '17138', 'Puilboreau', '17', 'FR'),
(6410, '17380', 'Puy du Lac', '17', 'FR'),
(6411, '17700', 'Puyravault', '17', 'FR'),
(6412, '17380', 'Puyrolland', '17', 'FR'),
(6413, '17500', 'R�aux', '17', 'FR'),
(6414, '17460', 'R�taud', '17', 'FR'),
(6415, '17940', 'Rivedoux Plage', '17', 'FR'),
(6416, '17460', 'Rioux', '17', 'FR'),
(6417, '17300', 'Rochefort', '17', 'FR'),
(6418, '17870', 'Rochefort', '17', 'FR'),
(6419, '17000', 'La Rochelle', '17', 'FR'),
(6420, '17510', 'Romazi�res', '17', 'FR'),
(6421, '17250', 'Romegoux', '17', 'FR'),
(6422, '17170', 'Ronde', '17', 'FR'),
(6423, '17800', 'Rouffiac', '17', 'FR'),
(6424, '17130', 'Rouffignac', '17', 'FR'),
(6425, '17200', 'Royan', '17', 'FR'),
(6426, '17600', 'Sablonceaux', '17', 'FR'),
(6427, '17620', 'Saint Agnant', '17', 'FR'),
(6428, '17360', 'Saint Aigulin', '17', 'FR'),
(6429, '17260', 'Saint Andr� de Lidon', '17', 'FR'),
(6430, '17570', 'Saint Augustin', '17', 'FR'),
(6431, '17150', 'Saint Bonnet sur Gironde', '17', 'FR'),
(6432, '17770', 'Saint Bris des Bois', '17', 'FR'),
(6433, '17770', 'St C�saire', '17', 'FR'),
(6434, '17220', 'aint Christophe', '17', 'FR'),
(6435, '17520', 'Saint Ciers Champagne', '17', 'FR'),
(6436, '17240', 'Saint Ciers du Taillon', '17', 'FR'),
(6437, '17590', 'Saint Cl�ment des Baleines', '17', 'FR'),
(6438, '17210', 'Ste Colombe', '17', 'FR'),
(6439, '17430', 'Saint Coutant le Grand', '17', 'FR'),
(6440, '17380', 'Saint Cr�pin', '17', 'FR'),
(6441, '17170', 'Saint Cyr du Doret', '17', 'FR'),
(6442, '17650', 'Saint Denis d''Ol�ron', '17', 'FR'),
(6443, '17150', 'Saint Dizant du Bois', '17', 'FR'),
(6444, '17240', 'Saint Dizant du Gua', '17', 'FR'),
(6445, '17520', 'Saint Eug�ne', '17', 'FR'),
(6446, '17330', 'Saint F�lix', '17', 'FR'),
(6447, '17240', 'Saint Fort sur Gironde', '17', 'FR'),
(6448, '17780', 'Saint Froult', '17', 'FR'),
(6449, '17250', 'Ste Gemme', '17', 'FR'),
(6450, '17240', 'Saint Genis de Saintonge', '17', 'FR'),
(6451, '17240', 'St Georges Antignac', '17', 'FR'),
(6452, '17110', 'Saint Georges de Didonne', '17', 'FR'),
(6453, '17470', 'Saint Georges de Longuepierre', '17', 'FR'),
(6454, '17150', 'Saint Georges des Ago�ts', '17', 'FR'),
(6455, '17810', 'Saint Georges des C�teaux', '17', 'FR'),
(6456, '17190', 'Saint Georges d''Ol�ron', '17', 'FR'),
(6457, '17700', 'Saint Georges du Bois', '17', 'FR'),
(6458, '17500', 'Saint Germain de Lusignan', '17', 'FR'),
(6459, '17700', 'Saint Germain de Marencennes', '17', 'FR'),
(6460, '17500', 'Saint Germain de Vibrac', '17', 'FR'),
(6461, '17240', 'Saint Germain du Seudre', '17', 'FR'),
(6462, '17240', 'Saint Gr�goire d''Ardennes', '17', 'FR'),
(6463, '17770', 'Saint Hilaire de Villefranche', '17', 'FR'),
(6464, '17500', 'Saint Hilaire du Bois', '17', 'FR'),
(6465, '17430', 'Saint Hippolyte', '17', 'FR'),
(6466, '17400', 'Saint Jean d''Ang�ly', '17', 'FR'),
(6467, '17620', 'Saint Jean d''Angle', '17', 'FR'),
(6468, '17170', 'Saint Jean de Liversay', '17', 'FR'),
(6469, '17400', 'Saint Julien de l''Escap', '17', 'FR'),
(6470, '17320', 'St Just Luzac', '17', 'FR'),
(6471, '17380', 'Saint Laurent de la Barri�re', '17', 'FR'),
(6472, '17450', 'Saint Laurent de la Pr�e', '17', 'FR'),
(6473, '17800', 'Saint L�ger', '17', 'FR'),
(6474, '17520', 'Sainte Lheurine', '17', 'FR'),
(6475, '17380', 'St Loup', '17', 'FR'),
(6476, '17520', 'Saint Maigrin', '17', 'FR'),
(6477, '17470', 'Saint Mand� sur Br�doire', '17', 'FR'),
(6478, '17700', 'Saint Mard', '17', 'FR'),
(6479, '17740', 'Sainte Marie de R�', '17', 'FR'),
(6480, '17330', 'Saint Martial', '17', 'FR'),
(6481, '17150', 'Saint Martial de Mirambeau', '17', 'FR'),
(6482, '17500', 'Saint Martial de Vitaterne', '17', 'FR'),
(6483, '17520', 'Saint Martial sur N�', '17', 'FR'),
(6484, '17270', 'Saint Martin d''Ary', '17', 'FR'),
(6485, '17360', 'Saint Martin de Coux', '17', 'FR'),
(6486, '17400', 'Saint Martin de Juillers', '17', 'FR'),
(6487, '17330', 'Saint Martin de la Coudre', '17', 'FR'),
(6488, '17410', 'Saint Martin de R�', '17', 'FR'),
(6489, '17130', 'Saint Maurice de Lauren�anne', '17', 'FR'),
(6490, '17500', 'Saint Maurice de Tavernole', '17', 'FR'),
(6491, '17500', 'St M�dard', '17', 'FR'),
(6492, '17220', 'Saint M�dard d''Aunis', '17', 'FR'),
(6493, '17770', 'Sainte M�me', '17', 'FR'),
(6494, '17780', 'Saint Nazaire sur Charente', '17', 'FR'),
(6495, '17230', 'Saint ouen d''Aunis', '17', 'FR'),
(6496, '17490', 'Saint Ouen', '17', 'FR'),
(6497, '17210', 'Saint Palais de N�grignac', '17', 'FR'),
(6498, '17800', 'Saint Palais de Phiolin', '17', 'FR'),
(6499, '17420', 'Saint Palais sur Mer', '17', 'FR'),
(6500, '17400', 'Saint Pardoult', '17', 'FR'),
(6501, '17700', 'Saint Pierre d''Amilly', '17', 'FR'),
(6502, '17400', 'Saint Pierre de Juillers', '17', 'FR'),
(6503, '17330', 'Saint Pierre de l''�le', '17', 'FR'),
(6504, '17310', 'Saint Pierre d''Ol�ron', '17', 'FR'),
(6505, '17270', 'Saint Pierre du Palais', '17', 'FR'),
(6506, '17250', 'Saint Porchaire', '17', 'FR'),
(6507, '17800', 'Saint Quantin de Rancanne', '17', 'FR'),
(6508, '17250', 'Ste Radegonde', '17', 'FR'),
(6509, '17240', 'Sainte Ram�e', '17', 'FR'),
(6510, '17220', 'Saint Rogatien', '17', 'FR'),
(6511, '17240', 'Saint Romain sur Gironde', '17', 'FR'),
(6512, '17600', 'Saint Romain de Benet', '17', 'FR'),
(6513, '17700', 'Saint Saturnin du Bois', '17', 'FR'),
(6514, '17610', 'St Sauvant', '17', 'FR'),
(6515, '17540', 'Saint Sauveur d''Aunis', '17', 'FR'),
(6516, '17350', 'Saint Savinien', '17', 'FR'),
(6517, '17800', 'Saint Seurin de Palenne', '17', 'FR'),
(6518, '17800', 'St Sever de Stonge', '17', 'FR'),
(6519, '17330', 'Saint S�verin sur Boutonne', '17', 'FR'),
(6520, '17240', 'Saint Sigismond de Clermont', '17', 'FR'),
(6521, '17500', 'Saint Simon de Bordes', '17', 'FR'),
(6522, '17260', 'Saint Simon de Pellouaille', '17', 'FR'),
(6523, '17150', 'Saint Sorlin de C�nac', '17', 'FR'),
(6524, '17600', 'Saint Sornin', '17', 'FR'),
(6525, '17220', 'Sainte Soulle', '17', 'FR'),
(6526, '17250', 'Saint Sulpice d''Arnoult', '17', 'FR'),
(6527, '17200', 'Saint Sulpice de Royan', '17', 'FR'),
(6528, '17150', 'Saint Thomas de C�nac', '17', 'FR'),
(6529, '17370', 'Saint Trojan les Bains', '17', 'FR'),
(6530, '17100', 'Saint Vaize', '17', 'FR'),
(6531, '17220', 'Saint Vivien', '17', 'FR'),
(6532, '17138', 'Saint Xandre', '17', 'FR'),
(6533, '17100', 'Saintes', '17', 'FR'),
(6534, '17510', 'Saleignes', '17', 'FR'),
(6535, '17130', 'Salignac de Mirambeau', '17', 'FR'),
(6536, '17800', 'Salignac sur Charente', '17', 'FR'),
(6537, '17470', 'Salles l�s Aulnay', '17', 'FR'),
(6538, '17220', 'Salles sur Mer', '17', 'FR'),
(6539, '17600', 'Saujon', '17', 'FR'),
(6540, '17510', 'Seign�', '17', 'FR'),
(6541, '17150', 'Semillac', '17', 'FR'),
(6542, '17150', 'Semoussac', '17', 'FR'),
(6543, '17120', 'S�mussac', '17', 'FR'),
(6544, '17770', 'Le Seure', '17', 'FR'),
(6545, '17490', 'Siecq', '17', 'FR'),
(6546, '17160', 'Sonnac', '17', 'FR'),
(6547, '17780', 'Soubise', '17', 'FR'),
(6548, '17150', 'Soubran', '17', 'FR'),
(6549, '17250', 'Soulignonne', '17', 'FR'),
(6550, '17130', 'Soum�ras', '17', 'FR'),
(6551, '17130', 'Sousmoulins', '17', 'FR'),
(6552, '17700', 'Surg�res', '17', 'FR'),
(6553, '17350', 'Taillant', '17', 'FR'),
(6554, '17350', 'Taillebourg', '17', 'FR'),
(6555, '17120', 'Talmont', '17', 'FR'),
(6556, '17260', 'Tanzac', '17', 'FR'),
(6557, '17170', 'Taugon', '17', 'FR'),
(6558, '17400', 'Ternant', '17', 'FR'),
(6559, '17460', 'Tesson', '17', 'FR'),
(6560, '17120', 'Thaims', '17', 'FR'),
(6561, '17290', 'Thair�', '17', 'FR'),
(6562, '17460', 'Th�nac', '17', 'FR'),
(6563, '17600', 'Th�zac', '17', 'FR'),
(6564, '17160', 'Thors', '17', 'FR'),
(6565, '17290', 'Le Thou', '17', 'FR'),
(6566, '17380', 'Tonnay Boutonne', '17', 'FR'),
(6567, '17430', 'Tonnay Charente', '17', 'FR'),
(6568, '17380', 'Torx�', '17', 'FR'),
(6569, '17160', 'Les Touches de P�rigny', '17', 'FR'),
(6570, '17390', 'La Tremblade', '17', 'FR'),
(6571, '17250', 'Trizay', '17', 'FR'),
(6572, '17130', 'Tug�ras St Maurice', '17', 'FR'),
(6573, '17250', 'La Vall�e', '17', 'FR'),
(6574, '17130', 'Vallet', '17', 'FR'),
(6575, '17700', 'Vandr�', '17', 'FR'),
(6576, '17500', 'Vanzac', '17', 'FR'),
(6577, '17400', 'Varaize', '17', 'FR'),
(6578, '17460', 'Varzay', '17', 'FR'),
(6579, '17640', 'Vaux sur Mer', '17', 'FR'),
(6580, '17100', 'V�n�rand', '17', 'FR'),
(6581, '17300', 'Vergeroux', '17', 'FR'),
(6582, '17330', 'Vergn�', '17', 'FR'),
(6583, '17400', 'La Vergne', '17', 'FR'),
(6584, '17540', 'V�rines', '17', 'FR'),
(6585, '17400', 'Vervant', '17', 'FR'),
(6586, '17130', 'Vibrac', '17', 'FR'),
(6587, '17260', 'Villars en Pons', '17', 'FR'),
(6588, '17770', 'Villars les Bois', '17', 'FR'),
(6589, '17470', 'La Villedieu', '17', 'FR'),
(6590, '17230', 'Villedoux', '17', 'FR'),
(6591, '17470', 'Villemorin', '17', 'FR'),
(6592, '17330', 'Villeneuve la Comtesse', '17', 'FR'),
(6593, '17330', 'Villenouvelle', '17', 'FR'),
(6594, '17500', 'Villexavier', '17', 'FR'),
(6595, '17510', 'Villiers Couture', '17', 'FR'),
(6596, '17510', 'Vinax', '17', 'FR'),
(6597, '17260', 'Virollet', '17', 'FR'),
(6598, '17290', 'Virson', '17', 'FR'),
(6599, '17400', 'Voissay', '17', 'FR'),
(6600, '17700', 'Vouh�', '17', 'FR'),
(6601, '17340', 'Yves', '17', 'FR'),
(6602, '17730', 'Port des Barques', '17', 'FR'),
(6603, '17370', 'Grand Village Plage', '17', 'FR'),
(6604, '17840', 'La Br�e les Bains', '17', 'FR'),
(6605, '17000', 'La Pallice', '17', 'FR'),
(6606, '17320', 'Brouage', '17', 'FR'),
(6607, '17190', 'Chaucre', '17', 'FR'),
(6608, '17310', 'La Cotini�re', '17', 'FR'),
(6609, '17590', 'Le Gillieux', '17', 'FR'),
(6610, '17390', 'Ronce les Bains', '17', 'FR'),
(6611, '17340', 'Les Boucholeurs', '17', 'FR'),
(6612, '17230', 'S�rigny', '17', 'FR'),
(6613, '18250', 'Ach�res', '18', 'FR'),
(6614, '18200', 'Ainay le Vieil', '18', 'FR'),
(6615, '18220', 'Les Aix d''Angillon', '18', 'FR'),
(6616, '18110', 'Allogny', '18', 'FR'),
(6617, '18500', 'Allouis', '18', 'FR'),
(6618, '18340', 'Annoix', '18', 'FR'),
(6619, '18150', 'Apremont sur Allier', '18', 'FR'),
(6620, '18340', 'Ar�ay', '18', 'FR'),
(6621, '18200', 'Arcomps', '18', 'FR'),
(6622, '18170', 'Ardenais', '18', 'FR'),
(6623, '18410', 'Argent sur Sauldre', '18', 'FR'),
(6624, '18140', 'Argenvi�res', '18', 'FR'),
(6625, '18200', 'Arpheuilles', '18', 'FR'),
(6626, '18260', 'Assigny', '18', 'FR'),
(6627, '18700', 'Aubigny sur N�re', '18', 'FR'),
(6628, '18220', 'Aubinges', '18', 'FR'),
(6629, '18600', 'Augy sur Aubois', '18', 'FR'),
(6630, '18520', 'Avord', '18', 'FR'),
(6631, '18220', 'Azy', '18', 'FR'),
(6632, '18300', 'Bannay', '18', 'FR'),
(6633, '18210', 'Bannegon', '18', 'FR'),
(6634, '18260', 'Barlieu', '18', 'FR'),
(6635, '18800', 'Baugy', '18', 'FR'),
(6636, '18370', 'Beddes', '18', 'FR'),
(6637, '18320', 'Beffes', '18', 'FR'),
(6638, '18240', 'Belleville sur Loire', '18', 'FR'),
(6639, '18520', 'Bengy sur Craon', '18', 'FR'),
(6640, '18500', 'Berry Bouy', '18', 'FR'),
(6641, '18210', 'Bessais le Fromental', '18', 'FR'),
(6642, '18410', 'Blancafort', '18', 'FR'),
(6643, '18350', 'Blet', '18', 'FR'),
(6644, '18240', 'Boulleret', '18', 'FR'),
(6645, '18000', 'Bourges', '18', 'FR'),
(6646, '18200', 'Bouzais', '18', 'FR'),
(6647, '18220', 'Br�cy', '18', 'FR'),
(6648, '18120', 'Brinay', '18', 'FR'),
(6649, '18410', 'Brinon sur Sauldre', '18', 'FR'),
(6650, '18200', 'Bru�re Allichamps', '18', 'FR'),
(6651, '18300', 'Bu�', '18', 'FR'),
(6652, '18130', 'Bussy', '18', 'FR'),
(6653, '18360', 'La Celette', '18', 'FR'),
(6654, '18200', 'La Celle', '18', 'FR'),
(6655, '18160', 'La Celle Cond�', '18', 'FR'),
(6656, '18120', 'Cerbois', '18', 'FR'),
(6657, '18130', 'Chalivoy Milon', '18', 'FR'),
(6658, '18190', 'Chambon', '18', 'FR'),
(6659, '18380', 'La Chapelle d''Angillon', '18', 'FR'),
(6660, '18150', 'La Chapelle Hugon', '18', 'FR'),
(6661, '18140', 'La Chapelle Montlinard', '18', 'FR'),
(6662, '18570', 'La Chapelle Saint Ursin', '18', 'FR'),
(6663, '18250', 'La Chapelotte', '18', 'FR'),
(6664, '18210', 'Charenton du Cher', '18', 'FR'),
(6665, '18140', 'Charentonnay', '18', 'FR'),
(6666, '18350', 'Charly', '18', 'FR'),
(6667, '18290', 'Ch�rost', '18', 'FR'),
(6668, '18800', 'Chassy', '18', 'FR'),
(6669, '18370', 'Ch�teaumeillant', '18', 'FR'),
(6670, '18190', 'Ch�teauneuf sur Cher', '18', 'FR'),
(6671, '18170', 'Le Ch�telet', '18', 'FR'),
(6672, '18350', 'Chaumont', '18', 'FR'),
(6673, '18140', 'Chaumoux Marcilly', '18', 'FR'),
(6674, '18150', 'Le Chautay', '18', 'FR'),
(6675, '18190', 'Chavannes', '18', 'FR'),
(6676, '18120', 'Ch�ry', '18', 'FR'),
(6677, '18160', 'Chezal Beno�t', '18', 'FR'),
(6678, '18290', 'Civray', '18', 'FR'),
(6679, '18410', 'Cl�mont', '18', 'FR'),
(6680, '18130', 'Cogny', '18', 'FR'),
(6681, '18200', 'Colombiers', '18', 'FR'),
(6682, '18260', 'Concressault', '18', 'FR'),
(6683, '18130', 'Contres', '18', 'FR'),
(6684, '18350', 'Cornusse', '18', 'FR'),
(6685, '18190', 'Corquoy', '18', 'FR'),
(6686, '18300', 'Couargues', '18', 'FR'),
(6687, '18320', 'Cours les Barres', '18', 'FR'),
(6688, '18210', 'Coust', '18', 'FR'),
(6689, '18140', 'Couy', '18', 'FR'),
(6690, '18190', 'Cr�zan�ay sur Cher', '18', 'FR'),
(6691, '18300', 'Cr�zancy en Sancerre', '18', 'FR'),
(6692, '18350', 'Croisy', '18', 'FR'),
(6693, '18340', 'Crosses', '18', 'FR'),
(6694, '18150', 'Cuffy', '18', 'FR'),
(6695, '18270', 'Culan', '18', 'FR'),
(6696, '18260', 'Dampierre en Crot', '18', 'FR'),
(6697, '18310', 'Dampierre en Gra�ay', '18', 'FR'),
(6698, '18200', 'Drevant', '18', 'FR'),
(6699, '18130', 'Dun sur Auron', '18', 'FR'),
(6700, '18380', 'Ennordres', '18', 'FR'),
(6701, '18360', '�pineuil le Fleuriel', '18', 'FR'),
(6702, '18800', 'Etr�chy', '18', 'FR'),
(6703, '18200', 'Farges Allichamps', '18', 'FR'),
(6704, '18800', 'Farges en Septaine', '18', 'FR'),
(6705, '18360', 'Faverdines', '18', 'FR'),
(6706, '18300', 'Feux', '18', 'FR'),
(6707, '18350', 'Flavigny', '18', 'FR'),
(6708, '18500', 'Fo�cy', '18', 'FR'),
(6709, '18110', 'Fussy', '18', 'FR'),
(6710, '18300', 'Gardefort', '18', 'FR'),
(6711, '18140', 'Garigny', '18', 'FR'),
(6712, '18310', 'Genouilly', '18', 'FR'),
(6713, '18150', 'Germigny l''Exempt', '18', 'FR'),
(6714, '18600', 'Givardon', '18', 'FR'),
(6715, '18310', 'Gra�ay', '18', 'FR'),
(6716, '18140', 'Groises', '18', 'FR'),
(6717, '18800', 'Gron', '18', 'FR'),
(6718, '18600', 'Grossouvre', '18', 'FR'),
(6719, '18200', 'La Groutte', '18', 'FR'),
(6720, '18150', 'La Guerche sur l''Aubois', '18', 'FR'),
(6721, '18250', 'Henrichemont', '18', 'FR'),
(6722, '18140', 'Herry', '18', 'FR'),
(6723, '18250', 'Humbligny', '18', 'FR'),
(6724, '18170', 'Ids Saint Roch', '18', 'FR'),
(6725, '18350', 'Ignol', '18', 'FR'),
(6726, '18160', 'Ineuil', '18', 'FR'),
(6727, '18380', 'Ivoy le Pr�', '18', 'FR'),
(6728, '18300', 'Jalognes', '18', 'FR'),
(6729, '18260', 'Jars', '18', 'FR'),
(6730, '18320', 'Jouet sur l''Aubois', '18', 'FR'),
(6731, '18130', 'Jussy Champagne', '18', 'FR'),
(6732, '18140', 'Jussy le Chaudrier', '18', 'FR'),
(6733, '18130', 'Lantan', '18', 'FR'),
(6734, '18340', 'Lapan', '18', 'FR'),
(6735, '18800', 'Laverdines', '18', 'FR'),
(6736, '18120', 'Lazenay', '18', 'FR'),
(6737, '18240', 'L�r�', '18', 'FR'),
(6738, '18340', 'Levet', '18', 'FR'),
(6739, '18160', 'Ligni�res', '18', 'FR'),
(6740, '18120', 'Limeux', '18', 'FR'),
(6741, '18340', 'Lissay Lochy', '18', 'FR'),
(6742, '18170', 'Loye sur Arnon', '18', 'FR'),
(6743, '18350', 'Lugny Bourbonnais', '18', 'FR'),
(6744, '18140', 'Lugny Champagne', '18', 'FR'),
(6745, '18400', 'Lunery', '18', 'FR'),
(6746, '18120', 'Lury sur Arnon', '18', 'FR'),
(6747, '18170', 'Maisonnais', '18', 'FR'),
(6748, '18170', 'Mar�ais', '18', 'FR'),
(6749, '18290', 'Mareuil sur Arnon', '18', 'FR'),
(6750, '18500', 'Marmagne', '18', 'FR'),
(6751, '18320', 'Marseille l�s Aubigny', '18', 'FR'),
(6752, '18120', 'Massay', '18', 'FR'),
(6753, '18500', 'Mehun sur Y�vre', '18', 'FR'),
(6754, '18200', 'Meillant', '18', 'FR'),
(6755, '18320', 'Menetou Couture', '18', 'FR'),
(6756, '18300', 'Menetou R�tel', '18', 'FR'),
(6757, '18510', 'Menetou Salon', '18', 'FR'),
(6758, '18300', 'M�n�tr�ol sous Sancerre', '18', 'FR'),
(6759, '18700', 'M�n�tr�ol sur Sauldre', '18', 'FR'),
(6760, '18120', 'M�reau', '18', 'FR'),
(6761, '18380', 'M�ry �s Bois', '18', 'FR'),
(6762, '18100', 'M�ry sur Cher', '18', 'FR'),
(6763, '18250', 'Montigny', '18', 'FR'),
(6764, '18160', 'Montlouis', '18', 'FR'),
(6765, '18170', 'Morlac', '18', 'FR'),
(6766, '18350', 'Mornay Berry', '18', 'FR'),
(6767, '18600', 'Mornay sur Allier', '18', 'FR'),
(6768, '18220', 'Morogues', '18', 'FR'),
(6769, '18570', 'Morthomiers', '18', 'FR'),
(6770, '18390', 'Moulins sur Y�vre', '18', 'FR'),
(6771, '18330', 'Nan�ay', '18', 'FR'),
(6772, '18350', 'N�rondes', '18', 'FR'),
(6773, '18600', 'Neuilly en Dun', '18', 'FR'),
(6774, '18250', 'Neuilly en Sancerre', '18', 'FR'),
(6775, '18250', 'Neuvy Deux Clochers', '18', 'FR'),
(6776, '18600', 'Neuvy le Barrois', '18', 'FR'),
(6777, '18330', 'Neuvy sur Barangeon', '18', 'FR'),
(6778, '18390', 'Nohant en Go�t', '18', 'FR'),
(6779, '18310', 'Nohant en Gra�ay', '18', 'FR'),
(6780, '18260', 'Noyer', '18', 'FR'),
(6781, '18200', 'Nozi�res', '18', 'FR'),
(6782, '18700', 'Oizon', '18', 'FR'),
(6783, '18200', 'Orcenais', '18', 'FR'),
(6784, '18200', 'Orval', '18', 'FR'),
(6785, '18130', 'Osmery', '18', 'FR'),
(6786, '18390', 'Osmoy', '18', 'FR'),
(6787, '18350', 'Ourouer l�s Bourdelins', '18', 'FR'),
(6788, '18220', 'Parassy', '18', 'FR'),
(6789, '18130', 'Parnay', '18', 'FR'),
(6790, '18200', 'La Perche', '18', 'FR'),
(6791, '18110', 'Pigny', '18', 'FR'),
(6792, '18340', 'Plaimpied Givaudins', '18', 'FR'),
(6793, '18290', 'Plou', '18', 'FR'),
(6794, '18290', 'Poisieux', '18', 'FR'),
(6795, '18210', 'Le Pondy', '18', 'FR'),
(6796, '18140', 'Pr�cy', '18', 'FR'),
(6797, '18380', 'Presly', '18', 'FR'),
(6798, '18120', 'Preuilly', '18', 'FR'),
(6799, '18370', 'Pr�veranges', '18', 'FR'),
(6800, '18400', 'Primelles', '18', 'FR'),
(6801, '18110', 'Quantilly', '18', 'FR'),
(6802, '18120', 'Quincy', '18', 'FR'),
(6803, '18130', 'Raymond', '18', 'FR'),
(6804, '18270', 'Reigny', '18', 'FR'),
(6805, '18170', 'Rezay', '18', 'FR'),
(6806, '18220', 'Rians', '18', 'FR'),
(6807, '18600', 'Sagonne', '18', 'FR'),
(6808, '18600', 'Saint Aignan des Noyers', '18', 'FR'),
(6809, '18200', 'St Amand Montrond', '18', 'FR'),
(6810, '18290', 'Saint Ambroix', '18', 'FR'),
(6811, '18160', 'Saint Baudel', '18', 'FR'),
(6812, '18300', 'Saint Bouize', '18', 'FR'),
(6813, '18400', 'Saint Caprais', '18', 'FR'),
(6814, '18220', 'Saint C�ols', '18', 'FR'),
(6815, '18270', 'Saint Christophe le Chaudry', '18', 'FR'),
(6816, '18130', 'Saint Denis de Palin', '18', 'FR'),
(6817, '18230', 'Saint Doulchard', '18', 'FR'),
(6818, '18110', 'Saint �loy de Gy', '18', 'FR'),
(6819, '18400', 'Saint Florent sur Cher', '18', 'FR'),
(6820, '18240', 'Ste Gemme en Sancerrois', '18', 'FR'),
(6821, '18200', 'Saint Georges de Poisieux', '18', 'FR'),
(6822, '18100', 'Saint Georges sur la Pr�e', '18', 'FR'),
(6823, '18110', 'Saint Georges sur Moulon', '18', 'FR'),
(6824, '18340', 'Saint Germain des Bois', '18', 'FR'),
(6825, '18390', 'Saint Germain du Puy', '18', 'FR'),
(6826, '18100', 'Saint Hilaire de Court', '18', 'FR'),
(6827, '18320', 'Saint Hilaire de Gondilly', '18', 'FR'),
(6828, '18160', 'Saint Hilaire en Ligni�res', '18', 'FR'),
(6829, '18370', 'Saint Jeanvrin', '18', 'FR'),
(6830, '18340', 'Saint Just', '18', 'FR'),
(6831, '18330', 'St Laurent', '18', 'FR'),
(6832, '18140', 'Saint L�ger le Petit', '18', 'FR'),
(6833, '18190', 'Saint Loup des Chaumes', '18', 'FR'),
(6834, '18340', 'Sainte Lunaise', '18', 'FR'),
(6835, '18110', 'Saint Martin d''Auxigny', '18', 'FR'),
(6836, '18140', 'Saint Martin des Champs', '18', 'FR'),
(6837, '18270', 'St Maur', '18', 'FR'),
(6838, '18390', 'Saint Michel de Volangis', '18', 'FR'),
(6839, '18700', 'Sainte Montaine', '18', 'FR'),
(6840, '18310', 'Saint Outrille', '18', 'FR'),
(6841, '18110', 'Saint Palais', '18', 'FR'),
(6842, '18170', 'Saint Pierre les Bois', '18', 'FR'),
(6843, '18210', 'Saint Pierre les �tieux', '18', 'FR'),
(6844, '18370', 'Saint Priest la Marche', '18', 'FR'),
(6845, '18300', 'Saint Satur', '18', 'FR'),
(6846, '18370', 'Saint Saturnin', '18', 'FR'),
(6847, '18220', 'Sainte Solange', '18', 'FR'),
(6848, '18190', 'Saint Symphorien', '18', 'FR'),
(6849, '18500', 'Sainte Thorette', '18', 'FR'),
(6850, '18360', 'Saint Vitte', '18', 'FR'),
(6851, '18800', 'Saligny le Vif', '18', 'FR'),
(6852, '18140', 'Sancergues', '18', 'FR'),
(6853, '18300', 'Sancerre', '18', 'FR'),
(6854, '18600', 'Sancoins', '18', 'FR'),
(6855, '18240', 'Santranges', '18', 'FR'),
(6856, '18290', 'Saugy', '18', 'FR'),
(6857, '18360', 'Saulzais le Potier', '18', 'FR'),
(6858, '18240', 'Savigny en Sancerre', '18', 'FR'),
(6859, '18390', 'Savigny en Septaine', '18', 'FR'),
(6860, '18340', 'Senne�ay', '18', 'FR'),
(6861, '18300', 'Sens Beaujeu', '18', 'FR'),
(6862, '18190', 'Serruelles', '18', 'FR'),
(6863, '18140', 'S�vry', '18', 'FR'),
(6864, '18270', 'Sidiailles', '18', 'FR'),
(6865, '18220', 'Soulangis', '18', 'FR'),
(6866, '18340', 'Soye en Septaine', '18', 'FR'),
(6867, '18570', 'Le Subdray', '18', 'FR'),
(6868, '18260', 'Subligny', '18', 'FR'),
(6869, '18240', 'Sury pr�s L�r�', '18', 'FR'),
(6870, '18300', 'Sury en Vaux', '18', 'FR'),
(6871, '18260', 'Sury �s Bois', '18', 'FR'),
(6872, '18350', 'Tendron', '18', 'FR'),
(6873, '18210', 'Thaumiers', '18', 'FR'),
(6874, '18300', 'Thauvenay', '18', 'FR'),
(6875, '18100', 'Th�nioux', '18', 'FR'),
(6876, '18260', 'Thou', '18', 'FR'),
(6877, '18320', 'Torteron', '18', 'FR'),
(6878, '18160', 'Touchay', '18', 'FR'),
(6879, '18570', 'Trouy', '18', 'FR'),
(6880, '18190', 'Uzay le Venon', '18', 'FR'),
(6881, '18260', 'Vailly sur Sauldre', '18', 'FR'),
(6882, '18190', 'Vallenay', '18', 'FR'),
(6883, '18110', 'Vasselay', '18', 'FR'),
(6884, '18300', 'Veaugues', '18', 'FR'),
(6885, '18190', 'Venesmes', '18', 'FR'),
(6886, '18300', 'Verdigny', '18', 'FR'),
(6887, '18600', 'Vereaux', '18', 'FR'),
(6888, '18210', 'Vernais', '18', 'FR'),
(6889, '18210', 'Verneuil', '18', 'FR'),
(6890, '18360', 'Vesdun', '18', 'FR'),
(6891, '18100', 'Vierzon', '18', 'FR'),
(6892, '18110', 'Vignoux sous les Aix', '18', 'FR'),
(6893, '18500', 'Vignoux sur Barangeon', '18', 'FR'),
(6894, '18800', 'Villabon', '18', 'FR'),
(6895, '18160', 'Villecelin', '18', 'FR'),
(6896, '18260', 'Villegenon', '18', 'FR'),
(6897, '18400', 'Villeneuve sur Cher', '18', 'FR'),
(6898, '18800', 'Villequiers', '18', 'FR'),
(6899, '18300', 'Vinon', '18', 'FR'),
(6900, '18340', 'Vorly', '18', 'FR'),
(6901, '18130', 'Vornay', '18', 'FR'),
(6902, '18330', 'Vouzeron', '18', 'FR'),
(6903, '18200', 'Fosse Nouvelle', '18', 'FR'),
(6904, '19260', 'Affieux', '19', 'FR'),
(6905, '19200', 'Aix', '19', 'FR'),
(6906, '19190', 'Albignac', '19', 'FR'),
(6907, '19380', 'Albussac', '19', 'FR'),
(6908, '19240', 'Allassac', '19', 'FR'),
(6909, '19200', 'Alleyrat', '19', 'FR'),
(6910, '19120', 'Altillac', '19', 'FR'),
(6911, '19250', 'Ambrugeat', '19', 'FR'),
(6912, '19000', 'Les Angles sur Corr�ze', '19', 'FR'),
(6913, '19400', 'Argentat', '19', 'FR'),
(6914, '19230', 'Arnac Pompadour', '19', 'FR'),
(6915, '19120', 'Astaillac', '19', 'FR'),
(6916, '19190', 'Aubazines', '19', 'FR'),
(6917, '19220', 'Auriac', '19', 'FR'),
(6918, '19310', 'Ayen', '19', 'FR'),
(6919, '19800', 'Bar', '19', 'FR'),
(6920, '19430', 'Bassignac le Bas', '19', 'FR'),
(6921, '19220', 'Bassignac le Haut', '19', 'FR'),
(6922, '19120', 'Beaulieu sur Dordogne', '19', 'FR'),
(6923, '19390', 'Beaumont', '19', 'FR'),
(6924, '19290', 'Bellechassagne', '19', 'FR'),
(6925, '19510', 'Benayes', '19', 'FR'),
(6926, '19190', 'Beynat', '19', 'FR'),
(6927, '19230', 'Beyssac', '19', 'FR'),
(6928, '19230', 'Beyssenac', '19', 'FR'),
(6929, '19120', 'Billac', '19', 'FR'),
(6930, '19170', 'Bonnefond', '19', 'FR'),
(6931, '19110', 'Bort les Orgues', '19', 'FR'),
(6932, '19500', 'Branceilles', '19', 'FR'),
(6933, '19310', 'Brignac la Plaine', '19', 'FR'),
(6934, '19100', 'Brive la Gaillarde', '19', 'FR'),
(6935, '19120', 'Brivezac', '19', 'FR'),
(6936, '19170', 'Bugeat', '19', 'FR'),
(6937, '19430', 'Camps St Mathurin L�obazel', '19', 'FR'),
(6938, '19350', 'Chabrignac', '19', 'FR'),
(6939, '19370', 'Chamberet', '19', 'FR'),
(6940, '19450', 'Chamboulive', '19', 'FR'),
(6941, '19330', 'Chameyrat', '19', 'FR'),
(6942, '19320', 'Champagnac la Noaille', '19', 'FR'),
(6943, '19320', 'Champagnac la Prune', '19', 'FR'),
(6944, '19150', 'Chanac les Mines', '19', 'FR'),
(6945, '19330', 'Chanteix', '19', 'FR'),
(6946, '19360', 'La Chapelle aux Brocs', '19', 'FR'),
(6947, '19120', 'La Chapelle aux Saints', '19', 'FR'),
(6948, '19430', 'La Chapelle Saint G�raud', '19', 'FR'),
(6949, '19300', 'Chapelle Spinasse', '19', 'FR'),
(6950, '19600', 'Chartrier Ferri�re', '19', 'FR'),
(6951, '19190', 'Le Chastang', '19', 'FR'),
(6952, '19600', 'Chasteaux', '19', 'FR'),
(6953, '19500', 'Chauffour sur Vell', '19', 'FR'),
(6954, '19390', 'Chaumeil', '19', 'FR'),
(6955, '19290', 'Chavanac', '19', 'FR'),
(6956, '19200', 'Chaveroche', '19', 'FR'),
(6957, '19120', 'Chenailler Mascheix', '19', 'FR'),
(6958, '19160', 'Chirac Bellevue', '19', 'FR'),
(6959, '19320', 'Clergoux', '19', 'FR'),
(6960, '19500', 'Collonges la Rouge', '19', 'FR'),
(6961, '19250', 'Combressol', '19', 'FR'),
(6962, '19350', 'Conc�ze', '19', 'FR'),
(6963, '19140', 'Condat sur Ganaveix', '19', 'FR'),
(6964, '19150', 'Cornil', '19', 'FR'),
(6965, '19800', 'Corr�ze', '19', 'FR'),
(6966, '19360', 'Cosnac', '19', 'FR'),
(6967, '19340', 'Couffy sur Sarsonne', '19', 'FR'),
(6968, '19340', 'Courteix', '19', 'FR'),
(6969, '19520', 'Cublac', '19', 'FR'),
(6970, '19500', 'Curemonte', '19', 'FR'),
(6971, '19360', 'Dampniat', '19', 'FR'),
(6972, '19220', 'Darazac', '19', 'FR'),
(6973, '19300', 'Darnets', '19', 'FR'),
(6974, '19250', 'Davignac', '19', 'FR'),
(6975, '19270', 'Donzenac', '19', 'FR'),
(6976, '19300', '�gletons', '19', 'FR'),
(6977, '19170', 'L''�glise aux Bois', '19', 'FR'),
(6978, '19150', 'Espagnac', '19', 'FR'),
(6979, '19140', 'Espartignac', '19', 'FR'),
(6980, '19600', 'Estivals', '19', 'FR'),
(6981, '19410', 'Estivaux', '19', 'FR'),
(6982, '19140', 'Eyburie', '19', 'FR'),
(6983, '19340', 'Eygurande', '19', 'FR'),
(6984, '19800', 'Eyrein', '19', 'FR'),
(6985, '19330', 'Favars', '19', 'FR'),
(6986, '19340', 'Feyt', '19', 'FR'),
(6987, '19380', 'Forg�s', '19', 'FR'),
(6988, '19800', 'Gimel les Cascades', '19', 'FR'),
(6989, '19430', 'Goulles', '19', 'FR'),
(6990, '19170', 'Gourdon Murat', '19', 'FR'),
(6991, '19300', 'Grandsaigne', '19', 'FR'),
(6992, '19320', 'Gros Chastang', '19', 'FR'),
(6993, '19320', 'Gumond', '19', 'FR'),
(6994, '19400', 'Hautefage', '19', 'FR'),
(6995, '19300', 'Le Jardin', '19', 'FR'),
(6996, '19500', 'Jugeals Nazareth', '19', 'FR'),
(6997, '19350', 'Juillac', '19', 'FR'),
(6998, '19170', 'Lacelle', '19', 'FR'),
(6999, '19150', 'Ladignac sur Rondelles', '19', 'FR'),
(7000, '19320', 'Lafage sur Sombre', '19', 'FR'),
(7001, '19150', 'Lagarde Enval', '19', 'FR'),
(7002, '19500', 'Lagleygeolle', '19', 'FR'),
(7003, '19700', 'Lagrauli�re', '19', 'FR'),
(7004, '19150', 'Laguenne', '19', 'FR'),
(7005, '19160', 'Lamazi�re Basse', '19', 'FR'),
(7006, '19340', 'Lamazi�re Haute', '19', 'FR'),
(7007, '19510', 'Lamongerie', '19', 'FR'),
(7008, '19190', 'Lanteuil', '19', 'FR'),
(7009, '19550', 'Lapleau', '19', 'FR'),
(7010, '19600', 'Larche', '19', 'FR'),
(7011, '19340', 'Laroche pr�s Feyt', '19', 'FR'),
(7012, '19130', 'Lascaux', '19', 'FR'),
(7013, '19160', 'Latronche', '19', 'FR'),
(7014, '19550', 'Laval sur Luz�ge', '19', 'FR'),
(7015, '19170', 'Lestards', '19', 'FR'),
(7016, '19160', 'Liginiac', '19', 'FR'),
(7017, '19200', 'Lignareix', '19', 'FR'),
(7018, '19500', 'Ligneyrac', '19', 'FR'),
(7019, '19120', 'Liourdres', '19', 'FR'),
(7020, '19600', 'Lissac sur Couze', '19', 'FR'),
(7021, '19470', 'Le Lonzac', '19', 'FR'),
(7022, '19500', 'Lostanges', '19', 'FR'),
(7023, '19310', 'Louignac', '19', 'FR'),
(7024, '19210', 'Lubersac', '19', 'FR'),
(7025, '19470', 'Madranges', '19', 'FR'),
(7026, '19360', 'Malemort sur Corr�ze', '19', 'FR'),
(7027, '19520', 'Mansac', '19', 'FR'),
(7028, '19320', 'Marcillac la Croisille', '19', 'FR'),
(7029, '19500', 'Marcillac la Croze', '19', 'FR'),
(7030, '19150', 'Marc la Tour', '19', 'FR'),
(7031, '19200', 'Margerides', '19', 'FR'),
(7032, '19510', 'Masseret', '19', 'FR'),
(7033, '19250', 'Maussac', '19', 'FR'),
(7034, '19510', 'Meilhards', '19', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(7035, '19190', 'M�noire', '19', 'FR'),
(7036, '19430', 'Mercoeur', '19', 'FR'),
(7037, '19340', 'Merlines', '19', 'FR'),
(7038, '19200', 'Mestes', '19', 'FR'),
(7039, '19250', 'Meymac', '19', 'FR'),
(7040, '19800', 'Meyrignac l''�glise', '19', 'FR'),
(7041, '19500', 'Meyssac', '19', 'FR'),
(7042, '19290', 'Millevaches', '19', 'FR'),
(7043, '19400', 'Monceaux sur Dordogne', '19', 'FR'),
(7044, '19340', 'Monestier Merlines', '19', 'FR'),
(7045, '19110', 'Monestier Port Dieu', '19', 'FR'),
(7046, '19300', 'Montaignac Saint Hippolyte', '19', 'FR'),
(7047, '19210', 'Montgibaud', '19', 'FR'),
(7048, '19300', 'Moustier Ventadour', '19', 'FR'),
(7049, '19460', 'Naves', '19', 'FR'),
(7050, '19600', 'Nespouls', '19', 'FR'),
(7051, '19160', 'Neuvic', '19', 'FR'),
(7052, '19380', 'Neuville', '19', 'FR'),
(7053, '19500', 'Noailhac', '19', 'FR'),
(7054, '19600', 'Noailles', '19', 'FR'),
(7055, '19120', 'Nonards', '19', 'FR'),
(7056, '19130', 'Objat', '19', 'FR'),
(7057, '19410', 'Orgnac sur V�z�re', '19', 'FR'),
(7058, '19390', 'Orliac de Bar', '19', 'FR'),
(7059, '19190', 'Palazinges', '19', 'FR'),
(7060, '19160', 'Palisse', '19', 'FR'),
(7061, '19150', 'Pandrignes', '19', 'FR'),
(7062, '19300', 'P�ret Bel Air', '19', 'FR'),
(7063, '19170', 'P�rols sur V�z�re', '19', 'FR'),
(7064, '19310', 'Perpezac le Blanc', '19', 'FR'),
(7065, '19410', 'Perpezac le Noir', '19', 'FR'),
(7066, '19190', 'Le Pescher', '19', 'FR'),
(7067, '19290', 'Peyrelevade', '19', 'FR'),
(7068, '19260', 'Peyrissac', '19', 'FR'),
(7069, '19450', 'Pierrefitte', '19', 'FR'),
(7070, '19200', 'Confolent Port Dieu', '19', 'FR'),
(7071, '19170', 'Pradines', '19', 'FR'),
(7072, '19120', 'Puy d''Arnac', '19', 'FR'),
(7073, '19120', 'Queyssac les Vignes', '19', 'FR'),
(7074, '19430', 'Reygade', '19', 'FR'),
(7075, '19260', 'Rilhac Treignac', '19', 'FR'),
(7076, '19220', 'Rilhac Xaintrie', '19', 'FR'),
(7077, '19320', 'La Roche Canillac', '19', 'FR'),
(7078, '19160', 'Roche le Peyroux', '19', 'FR'),
(7079, '19300', 'Rosiers d''�gletons', '19', 'FR'),
(7080, '19350', 'Rosiers de Juillac', '19', 'FR'),
(7081, '19270', 'Sadroc', '19', 'FR'),
(7082, '19500', 'Saillac', '19', 'FR'),
(7083, '19200', 'Saint Angel', '19', 'FR'),
(7084, '19390', 'Saint Augustin', '19', 'FR'),
(7085, '19130', 'Saint Aulaire', '19', 'FR'),
(7086, '19320', 'Saint Bazile de la Roche', '19', 'FR'),
(7087, '19500', 'Saint Bazile de Meyssac', '19', 'FR'),
(7088, '19150', 'St Bonnet Avalouze', '19', 'FR'),
(7089, '19380', 'Saint Bonnet Elvert', '19', 'FR'),
(7090, '19130', 'Saint Bonnet la Rivi�re', '19', 'FR'),
(7091, '19410', 'Saint Bonnet l''Enfantier', '19', 'FR'),
(7092, '19430', 'Saint Bonnet les Tours de Merle', '19', 'FR'),
(7093, '19200', 'Saint Bonnet pr�s Bort', '19', 'FR'),
(7094, '19600', 'Saint Cernin de Larche', '19', 'FR'),
(7095, '19380', 'Saint Chamant', '19', 'FR'),
(7096, '19220', 'Saint Cirgues la Loutre', '19', 'FR'),
(7097, '19700', 'Saint Cl�ment', '19', 'FR'),
(7098, '19130', 'Saint Cyprien', '19', 'FR'),
(7099, '19130', 'Saint Cyr la Roche', '19', 'FR'),
(7100, '19200', 'Saint D�zery', '19', 'FR'),
(7101, '19210', 'Saint �loy les Tuileries', '19', 'FR'),
(7102, '19200', 'Saint �tienne aux Clos', '19', 'FR'),
(7103, '19160', 'Saint �tienne la Geneste', '19', 'FR'),
(7104, '19200', 'Saint Exup�ry les Roches', '19', 'FR'),
(7105, '19270', 'Sainte F�r�ole', '19', 'FR'),
(7106, '19490', 'Sainte Fortunade', '19', 'FR'),
(7107, '19200', 'Saint Fr�joux', '19', 'FR'),
(7108, '19220', 'Saint Geniez � Merle', '19', 'FR'),
(7109, '19290', 'Saint Germain Lavolps', '19', 'FR'),
(7110, '19330', 'Saint Germain les Vergnes', '19', 'FR'),
(7111, '19550', 'Saint Hilaire Foissac', '19', 'FR'),
(7112, '19170', 'Saint Hilaire les Courbes', '19', 'FR'),
(7113, '19160', 'Saint Hilaire Luc', '19', 'FR'),
(7114, '19560', 'Saint Hilaire Peyroux', '19', 'FR'),
(7115, '19400', 'Saint Hilaire Taurieux', '19', 'FR'),
(7116, '19700', 'Saint Jal', '19', 'FR'),
(7117, '19220', 'Saint Julien aux Bois', '19', 'FR'),
(7118, '19430', 'Saint Julien le P�lerin', '19', 'FR'),
(7119, '19210', 'Saint Julien le Vend�mois', '19', 'FR'),
(7120, '19500', 'Saint Julien Maumont', '19', 'FR'),
(7121, '19110', 'Saint Julien pr�s Bort', '19', 'FR'),
(7122, '19160', 'Sainte Marie Lapanouze', '19', 'FR'),
(7123, '19150', 'Saint Martial de Gimel', '19', 'FR'),
(7124, '19400', 'Saint Martial Entraygues', '19', 'FR'),
(7125, '19320', 'Saint Martin la M�anne', '19', 'FR'),
(7126, '19210', 'Saint Martin Sepert', '19', 'FR'),
(7127, '19430', 'Saint Mathurin L�obazel', '19', 'FR'),
(7128, '19320', 'Saint Merd de Lapleau', '19', 'FR'),
(7129, '19170', 'Saint Merd les Oussines', '19', 'FR'),
(7130, '19330', 'Saint M�xant', '19', 'FR'),
(7131, '19160', 'Saint Pantal�on de Lapleau', '19', 'FR'),
(7132, '19600', 'Saint Pantal�on de Larche', '19', 'FR'),
(7133, '19210', 'Saint Pardoux Corbier', '19', 'FR'),
(7134, '19320', 'Saint Pardoux la Croisille', '19', 'FR'),
(7135, '19200', 'St Pardoux le Neuf', '19', 'FR'),
(7136, '19200', 'Saint Pardoux le Vieux', '19', 'FR'),
(7137, '19270', 'Saint Pardoux l''Ortigier', '19', 'FR'),
(7138, '19150', 'Saint Paul', '19', 'FR'),
(7139, '19800', 'Saint Priest de Gimel', '19', 'FR'),
(7140, '19220', 'Saint Privat', '19', 'FR'),
(7141, '19290', 'Saint R�my', '19', 'FR'),
(7142, '19310', 'Saint Robert', '19', 'FR'),
(7143, '19700', 'Saint Salvadour', '19', 'FR'),
(7144, '19290', 'Saint Setiers', '19', 'FR'),
(7145, '19130', 'Saint Solve', '19', 'FR'),
(7146, '19230', 'Saint Sornin Lavolps', '19', 'FR'),
(7147, '19250', 'Saint Sulpice les Bois', '19', 'FR'),
(7148, '19380', 'Saint Sylvain', '19', 'FR'),
(7149, '19240', 'Saint Viance', '19', 'FR'),
(7150, '19200', 'Saint Victour', '19', 'FR'),
(7151, '19140', 'Saint Ybard', '19', 'FR'),
(7152, '19300', 'Saint Yrieix le D�jalat', '19', 'FR'),
(7153, '19510', 'Salon la Tour', '19', 'FR'),
(7154, '19800', 'Sarran', '19', 'FR'),
(7155, '19110', 'Sarroux', '19', 'FR'),
(7156, '19310', 'S�gonzac', '19', 'FR'),
(7157, '19230', 'S�gur le Ch�teau', '19', 'FR'),
(7158, '19700', 'Seilhac', '19', 'FR'),
(7159, '19160', 'S�randon', '19', 'FR'),
(7160, '19190', 'S�rilhac', '19', 'FR'),
(7161, '19220', 'Servi�res le Ch�teau', '19', 'FR'),
(7162, '19430', 'Sexcles', '19', 'FR'),
(7163, '19120', 'Sioniac', '19', 'FR'),
(7164, '19290', 'Sornac', '19', 'FR'),
(7165, '19370', 'Soudaine Lavinadi�re', '19', 'FR'),
(7166, '19300', 'Soudeilles', '19', 'FR'),
(7167, '19550', 'Soursac', '19', 'FR'),
(7168, '19170', 'Tarnac', '19', 'FR'),
(7169, '19200', 'Thalamy', '19', 'FR'),
(7170, '19200', 'La Tourette', '19', 'FR'),
(7171, '19170', 'Toy Viam', '19', 'FR'),
(7172, '19260', 'Treignac', '19', 'FR'),
(7173, '19230', 'Troche', '19', 'FR'),
(7174, '19120', 'Tudeils', '19', 'FR'),
(7175, '19000', 'Tulle', '19', 'FR'),
(7176, '19500', 'Turenne', '19', 'FR'),
(7177, '19270', 'Ussac', '19', 'FR'),
(7178, '19200', 'Ussel', '19', 'FR'),
(7179, '19140', 'Uzerche', '19', 'FR'),
(7180, '19200', 'Valiergues', '19', 'FR'),
(7181, '19240', 'Varetz', '19', 'FR'),
(7182, '19130', 'Vars sur Roseix', '19', 'FR'),
(7183, '19120', 'V�gennes', '19', 'FR'),
(7184, '19260', 'Veix', '19', 'FR'),
(7185, '19360', 'Venarsal', '19', 'FR'),
(7186, '19200', 'Veyri�res', '19', 'FR'),
(7187, '19170', 'Viam', '19', 'FR'),
(7188, '19410', 'Vigeois', '19', 'FR'),
(7189, '19130', 'Vignols', '19', 'FR'),
(7190, '19800', 'Vitrac sur Montane', '19', 'FR'),
(7191, '19130', 'Voutezac', '19', 'FR'),
(7192, '19310', 'Yssandon', '19', 'FR'),
(7193, '21700', 'Agencourt', '21', 'FR'),
(7194, '21410', 'Agey', '21', 'FR'),
(7195, '21121', 'Ahuy', '21', 'FR'),
(7196, '21510', 'Aignay le Duc', '21', 'FR'),
(7197, '21110', 'Aiserey', '21', 'FR'),
(7198, '21400', 'Aisey sur Seine', '21', 'FR'),
(7199, '21390', 'Aisy sous Thil', '21', 'FR'),
(7200, '21150', 'Alise Sainte Reine', '21', 'FR'),
(7201, '21230', 'Allerey', '21', 'FR'),
(7202, '21420', 'Aloxe Corton', '21', 'FR'),
(7203, '21450', 'Ampilly les Bordes', '21', 'FR'),
(7204, '21400', 'Ampilly le Sec', '21', 'FR'),
(7205, '21410', 'Ancey', '21', 'FR'),
(7206, '21360', 'Antheuil', '21', 'FR'),
(7207, '21230', 'Antigny la Ville', '21', 'FR'),
(7208, '21310', 'Arceau', '21', 'FR'),
(7209, '21700', 'Arcenant', '21', 'FR'),
(7210, '21410', 'Arcey', '21', 'FR'),
(7211, '21320', 'Arconcey', '21', 'FR'),
(7212, '21560', 'Arc sur Tille', '21', 'FR'),
(7213, '21700', 'Argilly', '21', 'FR'),
(7214, '21230', 'Arnay le Duc', '21', 'FR'),
(7215, '21350', 'Arnay sous Vitteaux', '21', 'FR'),
(7216, '21500', 'Arrans', '21', 'FR'),
(7217, '21500', 'Asni�res en Montagne', '21', 'FR'),
(7218, '21380', 'Asni�res l�s Dijon', '21', 'FR'),
(7219, '21130', 'th�e', '21', 'FR'),
(7220, '21500', 'Athie', '21', 'FR'),
(7221, '21360', 'Aubaine', '21', 'FR'),
(7222, '21170', 'Aubigny en Plaine', '21', 'FR'),
(7223, '21340', 'Aubigny la Ronce', '21', 'FR'),
(7224, '21540', 'Aubigny l�s Sombernon', '21', 'FR'),
(7225, '21570', 'Autricourt', '21', 'FR'),
(7226, '21250', 'Auvillars sur Sa�ne', '21', 'FR'),
(7227, '21360', 'Auxant', '21', 'FR'),
(7228, '21190', 'Auxey Duresses', '21', 'FR'),
(7229, '21130', 'Auxonne', '21', 'FR'),
(7230, '21120', 'Avelanges', '21', 'FR'),
(7231, '21350', 'Avosnes', '21', 'FR'),
(7232, '21580', 'Avot', '21', 'FR'),
(7233, '21700', 'Bagnot', '21', 'FR'),
(7234, '21450', 'Baigneux les Juifs', '21', 'FR'),
(7235, '21330', 'B�lot', '21', 'FR'),
(7236, '21410', 'Barbirey sur Ouche', '21', 'FR'),
(7237, '21430', 'Bard le R�gulier', '21', 'FR'),
(7238, '21460', 'Bard l�s �poisses', '21', 'FR'),
(7239, '21910', 'Barges', '21', 'FR'),
(7240, '21580', 'Barjon', '21', 'FR'),
(7241, '21340', 'Baubigny', '21', 'FR'),
(7242, '21410', 'Baulme la Roche', '21', 'FR'),
(7243, '21510', 'Beaulieu', '21', 'FR'),
(7244, '21310', 'Beaumont sur Vingeanne', '21', 'FR'),
(7245, '21200', 'Beaune', '21', 'FR'),
(7246, '21510', 'Beaunotte', '21', 'FR'),
(7247, '21310', 'Beire le Ch�tel', '21', 'FR'),
(7248, '21110', 'Beire le Fort', '21', 'FR'),
(7249, '21570', 'Belan sur Ource', '21', 'FR'),
(7250, '21490', 'Bellefond', '21', 'FR'),
(7251, '21310', 'Belleneuve', '21', 'FR'),
(7252, '21510', 'Bellenod sur Seine', '21', 'FR'),
(7253, '21320', 'Bellenot sous Pouilly', '21', 'FR'),
(7254, '21290', 'Beneuvre', '21', 'FR'),
(7255, '21500', 'Benoisey', '21', 'FR'),
(7256, '21360', 'Bessey en Chaume', '21', 'FR'),
(7257, '21360', 'Bessey la Cour', '21', 'FR'),
(7258, '21110', 'Bessey l�s Citeaux', '21', 'FR'),
(7259, '21320', 'Beurey Bauguay', '21', 'FR'),
(7260, '21350', 'Beurizot', '21', 'FR'),
(7261, '21220', 'B�vy', '21', 'FR'),
(7262, '21310', 'B�ze', '21', 'FR'),
(7263, '21310', 'B�zouotte', '21', 'FR'),
(7264, '21390', 'Bierre l�s Semur', '21', 'FR'),
(7265, '21130', 'Billey', '21', 'FR'),
(7266, '21450', 'Billy l�s Chanceaux', '21', 'FR'),
(7267, '21270', 'Binges', '21', 'FR'),
(7268, '21520', 'Bissey la C�te', '21', 'FR'),
(7269, '21330', 'Bissey la Pierre', '21', 'FR'),
(7270, '21310', 'Blagny sur Vingeanne', '21', 'FR'),
(7271, '21540', 'Blaisy Bas', '21', 'FR'),
(7272, '21540', 'Blaisy Haut', '21', 'FR'),
(7273, '21320', 'Blancey', '21', 'FR'),
(7274, '21430', 'Blanot', '21', 'FR'),
(7275, '21690', 'Blessey', '21', 'FR'),
(7276, '21440', 'Bligny le Sec', '21', 'FR'),
(7277, '21200', 'Bligny l�s Beaune', '21', 'FR'),
(7278, '21360', 'Bligny sur Ouche', '21', 'FR'),
(7279, '21700', 'Boncourt le Bois', '21', 'FR'),
(7280, '21250', 'Bonnencontre', '21', 'FR'),
(7281, '21520', 'Boudreville', '21', 'FR'),
(7282, '21360', 'Bouhey', '21', 'FR'),
(7283, '21420', 'Bouilland', '21', 'FR'),
(7284, '21330', 'Bouix', '21', 'FR'),
(7285, '21610', 'Bourberain', '21', 'FR'),
(7286, '21250', 'Bousselange', '21', 'FR'),
(7287, '21260', 'Boussenois', '21', 'FR'),
(7288, '21350', 'Boussey', '21', 'FR'),
(7289, '21690', 'Boux sous Salmaise', '21', 'FR'),
(7290, '21200', 'Bouze l�s Beaune', '21', 'FR'),
(7291, '21350', 'Brain', '21', 'FR'),
(7292, '21390', 'Braux', '21', 'FR'),
(7293, '21430', 'Brazey en Morvan', '21', 'FR'),
(7294, '21470', 'Brazey en Plaine', '21', 'FR'),
(7295, '21400', 'Br�mur et Vaurois', '21', 'FR'),
(7296, '21560', 'Bressey sur Tille', '21', 'FR'),
(7297, '21110', 'Breteni�re', '21', 'FR'),
(7298, '21490', 'Br�tigny', '21', 'FR'),
(7299, '21390', 'Brianny', '21', 'FR'),
(7300, '21570', 'Brion sur Ource', '21', 'FR'),
(7301, '21220', 'Brochon', '21', 'FR'),
(7302, '21490', 'Brognon', '21', 'FR'),
(7303, '21250', 'Broin', '21', 'FR'),
(7304, '21220', 'Broindon', '21', 'FR'),
(7305, '21500', 'Buffon', '21', 'FR'),
(7306, '21400', 'Buncey', '21', 'FR'),
(7307, '21290', 'Bure les Templiers', '21', 'FR'),
(7308, '21510', 'Busseaut', '21', 'FR'),
(7309, '21580', 'Busserotte et Montenaille', '21', 'FR'),
(7310, '21580', 'Bussi�res', '21', 'FR'),
(7311, '21360', 'La Bussi�re sur Ouche', '21', 'FR'),
(7312, '21540', 'Bussy la Pesle', '21', 'FR'),
(7313, '21150', 'Bussy le Grand', '21', 'FR'),
(7314, '21290', 'Buxerolles', '21', 'FR'),
(7315, '21430', 'Censerey', '21', 'FR'),
(7316, '21330', 'C�rilly', '21', 'FR'),
(7317, '21110', 'Cessey sur Tille', '21', 'FR'),
(7318, '21120', 'Chaignay', '21', 'FR'),
(7319, '21320', 'Chailly sur Arman�on', '21', 'FR'),
(7320, '21290', 'Chambain', '21', 'FR'),
(7321, '21110', 'Chambeire', '21', 'FR'),
(7322, '21250', 'Chamblanc', '21', 'FR'),
(7323, '21220', 'Chamboeuf', '21', 'FR'),
(7324, '21220', 'Chambolle Musigny', '21', 'FR'),
(7325, '21400', 'Chamesson', '21', 'FR'),
(7326, '21310', 'Champagne sur Vingeanne', '21', 'FR'),
(7327, '21440', 'Champagny', '21', 'FR'),
(7328, '21500', 'Champ d''Oiseau', '21', 'FR'),
(7329, '21130', 'Champd�tre', '21', 'FR'),
(7330, '21210', 'Champeau en Morvan', '21', 'FR'),
(7331, '21230', 'Champignolles', '21', 'FR'),
(7332, '21690', 'Champrenault', '21', 'FR'),
(7333, '21440', 'Chanceaux', '21', 'FR'),
(7334, '21330', 'Channay', '21', 'FR'),
(7335, '21690', 'Charencey', '21', 'FR'),
(7336, '21140', 'Charigny', '21', 'FR'),
(7337, '21310', 'Charmes', '21', 'FR'),
(7338, '21350', 'Charny', '21', 'FR'),
(7339, '21170', 'Charrey sur Sa�ne', '21', 'FR'),
(7340, '21400', 'Charrey sur Seine', '21', 'FR'),
(7341, '21190', 'Chassagne Montrachet', '21', 'FR'),
(7342, '21150', 'Chassey', '21', 'FR'),
(7343, '21320', 'Ch�teauneuf', '21', 'FR'),
(7344, '21320', 'Ch�tellenot', '21', 'FR'),
(7345, '21400', 'Ch�tillon sur Seine', '21', 'FR'),
(7346, '21360', 'Chaudenay la Ville', '21', 'FR'),
(7347, '21360', 'Chaudenay le Ch�teau', '21', 'FR'),
(7348, '21290', 'Chaugey', '21', 'FR'),
(7349, '21610', 'Chaume et Courchamp', '21', 'FR'),
(7350, '21520', 'Chaume', '21', 'FR'),
(7351, '21450', 'Chaume l�s Baigneux', '21', 'FR'),
(7352, '21400', 'Chaumont le Bois', '21', 'FR'),
(7353, '21700', 'Chaux', '21', 'FR'),
(7354, '21260', 'Chazeuil', '21', 'FR'),
(7355, '21320', 'Chazilly', '21', 'FR'),
(7356, '21400', 'Chemin d''Aisey', '21', 'FR'),
(7357, '21300', 'Chen�ve', '21', 'FR'),
(7358, '21310', 'Cheuge', '21', 'FR'),
(7359, '21540', 'Chevannay', '21', 'FR'),
(7360, '21220', 'Chevannes', '21', 'FR'),
(7361, '21200', 'Chevigny en Vali�re', '21', 'FR'),
(7362, '21800', 'Chevigny Saint Sauveur', '21', 'FR'),
(7363, '21820', 'Chivres', '21', 'FR'),
(7364, '21200', 'Chorey', '21', 'FR'),
(7365, '21270', 'Cirey l�s Pontailler', '21', 'FR'),
(7366, '21320', 'Civry en Montagne', '21', 'FR'),
(7367, '21390', 'Clamerey', '21', 'FR'),
(7368, '21220', 'Cl�mencey', '21', 'FR'),
(7369, '21490', 'Cl�nay', '21', 'FR'),
(7370, '21270', 'Cl�ry', '21', 'FR'),
(7371, '21230', 'Clomot', '21', 'FR'),
(7372, '21220', 'Collonges l�s B�vy', '21', 'FR'),
(7373, '21110', 'Collonges l�s Premi�res', '21', 'FR'),
(7374, '21360', 'Colombier', '21', 'FR'),
(7375, '21200', 'Combertault', '21', 'FR'),
(7376, '21700', 'Comblanchien', '21', 'FR'),
(7377, '21320', 'Commarin', '21', 'FR'),
(7378, '21250', 'Corberon', '21', 'FR'),
(7379, '21190', 'Corcelles les Arts', '21', 'FR'),
(7380, '21910', 'Corcelles l�s C�teaux', '21', 'FR'),
(7381, '21160', 'Corcelles les Monts', '21', 'FR'),
(7382, '21250', 'Corgengoux', '21', 'FR'),
(7383, '21700', 'Corgoloin', '21', 'FR'),
(7384, '21340', 'Cormot le Grand', '21', 'FR'),
(7385, '21190', 'Corpeau', '21', 'FR'),
(7386, '21150', 'Corpoyer la Chapelle', '21', 'FR'),
(7387, '21460', 'Corrombles', '21', 'FR'),
(7388, '21460', 'Corsaint', '21', 'FR'),
(7389, '21160', 'Couchey', '21', 'FR'),
(7390, '21400', 'Coulmier le Sec', '21', 'FR'),
(7391, '21520', 'Courban', '21', 'FR'),
(7392, '21460', 'Courcelles Fr�moy', '21', 'FR'),
(7393, '21500', 'Courcelles l�s Montbard', '21', 'FR'),
(7394, '21140', 'Courcelles l�s Semur', '21', 'FR'),
(7395, '21580', 'Courlon', '21', 'FR'),
(7396, '21120', 'Courtivron', '21', 'FR'),
(7397, '21560', 'Couternon', '21', 'FR'),
(7398, '21320', 'Cr�ancey', '21', 'FR'),
(7399, '21120', 'Cr�cey sur Tille', '21', 'FR'),
(7400, '21500', 'Cr�pand', '21', 'FR'),
(7401, '21800', 'Crimolois', '21', 'FR'),
(7402, '21360', 'Crugey', '21', 'FR'),
(7403, '21310', 'Cuiserey', '21', 'FR'),
(7404, '21230', 'Cul�tre', '21', 'FR'),
(7405, '21220', 'Curley', '21', 'FR'),
(7406, '21380', 'Curtil Saint Seine', '21', 'FR'),
(7407, '21220', 'Curtil Vergy', '21', 'FR'),
(7408, '21580', 'Cussey les Forges', '21', 'FR'),
(7409, '21360', 'Cussy la Colonne', '21', 'FR'),
(7410, '21230', 'Cussy le Ch�tel', '21', 'FR'),
(7411, '21121', 'Daix', '21', 'FR'),
(7412, '21350', 'Dampierre en Montagne', '21', 'FR'),
(7413, '21310', 'Dampierre et Fl�e', '21', 'FR'),
(7414, '21150', 'Darcey', '21', 'FR'),
(7415, '21121', 'Darois', '21', 'FR'),
(7416, '21220', 'D�tain et Bruant', '21', 'FR'),
(7417, '21430', 'Diancey', '21', 'FR'),
(7418, '21120', 'Di�nay', '21', 'FR'),
(7419, '21000', 'Dijon', '21', 'FR'),
(7420, '21390', 'Dompierre en Morvan', '21', 'FR'),
(7421, '21270', 'Drambon', '21', 'FR'),
(7422, '21540', 'Dr�e', '21', 'FR'),
(7423, '21510', 'Duesme', '21', 'FR'),
(7424, '21190', '�baty', '21', 'FR'),
(7425, '21510', '�chalot', '21', 'FR'),
(7426, '21540', '�channay', '21', 'FR'),
(7427, '21170', '�chenon', '21', 'FR'),
(7428, '21120', '�chevannes', '21', 'FR'),
(7429, '21420', '�chevronne', '21', 'FR'),
(7430, '21110', '�chigey', '21', 'FR'),
(7431, '21360', '�cutigny', '21', 'FR'),
(7432, '21320', '�guilly', '21', 'FR'),
(7433, '21380', '�pagny', '21', 'FR'),
(7434, '21220', '�pernay sous Gevrey', '21', 'FR'),
(7435, '21460', '�poisses', '21', 'FR'),
(7436, '21500', '�ringes', '21', 'FR'),
(7437, '21170', 'Esbarres', '21', 'FR'),
(7438, '21290', 'Essarois', '21', 'FR'),
(7439, '21320', 'Essey', '21', 'FR'),
(7440, '21500', '�tais', '21', 'FR'),
(7441, '21510', '�talante', '21', 'FR'),
(7442, '21220', 'L''�tang Vergy', '21', 'FR'),
(7443, '21121', '�taules', '21', 'FR'),
(7444, '21270', '�tevaux', '21', 'FR'),
(7445, '21450', '�tormay', '21', 'FR'),
(7446, '21400', '�trochey', '21', 'FR'),
(7447, '21500', 'Fain l�s Montbard', '21', 'FR'),
(7448, '21500', 'Fain l�s Moutiers', '21', 'FR'),
(7449, '21110', 'Fauverney', '21', 'FR'),
(7450, '21290', 'Faverolles l�s Lucey', '21', 'FR'),
(7451, '21600', 'F�nay', '21', 'FR'),
(7452, '21230', 'Le F�te', '21', 'FR'),
(7453, '21220', 'Fixin', '21', 'FR'),
(7454, '21490', 'Flacey', '21', 'FR'),
(7455, '21640', 'Flagey �ch�zeaux', '21', 'FR'),
(7456, '21130', 'Flagey l�s Auxonne', '21', 'FR'),
(7457, '21130', 'Flammerans', '21', 'FR'),
(7458, '21160', 'Flavignerot', '21', 'FR'),
(7459, '21150', 'Flavigny sur Ozerain', '21', 'FR'),
(7460, '21140', 'Fl�e', '21', 'FR'),
(7461, '21410', 'Fleurey sur Ouche', '21', 'FR'),
(7462, '21230', 'Foissy', '21', 'FR'),
(7463, '21260', 'Foncegrive', '21', 'FR'),
(7464, '21450', 'Fontaines en Duesmois', '21', 'FR'),
(7465, '21610', 'Fontaine Fran�aise', '21', 'FR'),
(7466, '21121', 'Fontaine l�s Dijon', '21', 'FR'),
(7467, '21330', 'Fontaines les S�ches', '21', 'FR'),
(7468, '21390', 'Fontangy', '21', 'FR'),
(7469, '21610', 'Fontenelle', '21', 'FR'),
(7470, '21460', 'Forl�ans', '21', 'FR'),
(7471, '21580', 'Fraignot et Vesvrotte', '21', 'FR'),
(7472, '21440', 'Francheville', '21', 'FR'),
(7473, '21170', 'Franxault', '21', 'FR'),
(7474, '21120', 'Fr�nois', '21', 'FR'),
(7475, '21500', 'resnes', '21', 'FR'),
(7476, '21150', 'Fr�lois', '21', 'FR'),
(7477, '21700', 'Fussey', '21', 'FR'),
(7478, '21120', 'Gemeaux', '21', 'FR'),
(7479, '21140', 'Genay', '21', 'FR'),
(7480, '21110', 'Genlis', '21', 'FR'),
(7481, '21410', 'Gergueil', '21', 'FR'),
(7482, '21700', 'Gerland', '21', 'FR'),
(7483, '21220', 'Gevrey Chambertin', '21', 'FR'),
(7484, '21520', 'Gevrolles', '21', 'FR'),
(7485, '21640', 'Gilly l�s C�teaux', '21', 'FR'),
(7486, '21350', 'Gissey le Vieil', '21', 'FR'),
(7487, '21150', 'Gissey sous Flavigny', '21', 'FR'),
(7488, '21410', 'Gissey sur Ouche', '21', 'FR'),
(7489, '21250', 'Glanon', '21', 'FR'),
(7490, '21400', 'Gomm�ville', '21', 'FR'),
(7491, '21520', 'Les Goulles', '21', 'FR'),
(7492, '21580', 'Grancey le Ch�teau Neuvelle', '21', 'FR'),
(7493, '21570', 'Grancey sur Ource', '21', 'FR'),
(7494, '21540', 'Gr�nand l�s Sombernon', '21', 'FR'),
(7495, '21150', 'Gr�signy Sainte Reine', '21', 'FR'),
(7496, '21150', 'Grignon', '21', 'FR'),
(7497, '21330', 'Griselles', '21', 'FR'),
(7498, '21540', 'Grosbois en Montagne', '21', 'FR'),
(7499, '21250', 'Grosbois l�s Tichey', '21', 'FR'),
(7500, '21290', 'Gurgy la Ville', '21', 'FR'),
(7501, '21290', 'Gurgy le Ch�teau', '21', 'FR'),
(7502, '21150', 'Hauteroche', '21', 'FR'),
(7503, '21121', 'Hauteville l�s Dijon', '21', 'FR'),
(7504, '21270', 'Heuilley sur Sa�ne', '21', 'FR'),
(7505, '21120', 'Is sur Tille', '21', 'FR'),
(7506, '21340', 'Ivry en Montagne', '21', 'FR'),
(7507, '21110', 'Izeure', '21', 'FR'),
(7508, '21110', 'Izier', '21', 'FR'),
(7509, '21150', 'Jailly les Moulins', '21', 'FR'),
(7510, '21250', 'Jallanges', '21', 'FR'),
(7511, '21310', 'Jancigny', '21', 'FR'),
(7512, '21460', 'Jeux l�s Bard', '21', 'FR'),
(7513, '21230', 'Jouey', '21', 'FR'),
(7514, '21450', 'Jours l�s Baigneux', '21', 'FR'),
(7515, '21340', 'Jours en Vaux', '21', 'FR'),
(7516, '21210', 'Juillenay', '21', 'FR'),
(7517, '21140', 'Juilly', '21', 'FR'),
(7518, '21110', 'Labergement Foigney', '21', 'FR'),
(7519, '21130', 'Labergement l�s Auxonne', '21', 'FR'),
(7520, '21820', 'Labergement l�s Seurre', '21', 'FR'),
(7521, '21250', 'Labruy�re', '21', 'FR'),
(7522, '21230', 'Lacanche', '21', 'FR'),
(7523, '21210', 'Lacour d''Arcenay', '21', 'FR'),
(7524, '21330', 'Laignes', '21', 'FR'),
(7525, '21760', 'Lamarche sur Sa�ne', '21', 'FR'),
(7526, '21440', 'Lamargelle', '21', 'FR'),
(7527, '21370', 'Lantenay', '21', 'FR'),
(7528, '21250', 'Lanthes', '21', 'FR'),
(7529, '21140', 'Lantilly', '21', 'FR'),
(7530, '21170', 'Laperri�re sur Sa�ne', '21', 'FR'),
(7531, '21330', 'Larrey', '21', 'FR'),
(7532, '21250', 'Lech�telet', '21', 'FR'),
(7533, '21440', 'L�ry', '21', 'FR'),
(7534, '21290', 'Leuglay', '21', 'FR'),
(7535, '21200', 'Levernois', '21', 'FR'),
(7536, '21610', 'Licey sur Vingeanne', '21', 'FR'),
(7537, '21430', 'Liernais', '21', 'FR'),
(7538, '21520', 'Lignerolles', '21', 'FR'),
(7539, '21110', 'Longchamp', '21', 'FR'),
(7540, '21110', 'Longeault', '21', 'FR'),
(7541, '21110', 'Longecourt en Plaine', '21', 'FR'),
(7542, '21230', 'Longecourt l�s Cul�tre', '21', 'FR'),
(7543, '21600', 'Longvic', '21', 'FR'),
(7544, '21170', 'Losne', '21', 'FR'),
(7545, '21520', 'Louesme', '21', 'FR'),
(7546, '21150', 'Lucenay le Duc', '21', 'FR'),
(7547, '21290', 'Lucey', '21', 'FR'),
(7548, '21360', 'Lusigny sur Ouche', '21', 'FR'),
(7549, '21120', 'Lux', '21', 'FR'),
(7550, '21320', 'Maconge', '21', 'FR'),
(7551, '21230', 'Magnien', '21', 'FR'),
(7552, '21450', 'Magny Lambert', '21', 'FR'),
(7553, '21140', 'Magny la Ville', '21', 'FR'),
(7554, '21170', 'Magny l�s Aubigny', '21', 'FR'),
(7555, '21130', 'Magny Montarlot', '21', 'FR'),
(7556, '21700', 'Magny l�s Villers', '21', 'FR'),
(7557, '21310', 'Magny Saint M�dard', '21', 'FR'),
(7558, '21110', 'Magny sur Tille', '21', 'FR'),
(7559, '21130', 'Les Maillys', '21', 'FR'),
(7560, '21400', 'Maisey le Duc', '21', 'FR'),
(7561, '21410', 'M�lain', '21', 'FR'),
(7562, '21230', 'Maligny', '21', 'FR'),
(7563, '21430', 'Manlay', '21', 'FR'),
(7564, '21270', 'Marandeuil', '21', 'FR'),
(7565, '21350', 'Marcellois', '21', 'FR'),
(7566, '21330', 'Marcenay', '21', 'FR'),
(7567, '21430', 'Marcheseuil', '21', 'FR'),
(7568, '21390', 'Marcigny sous Thil', '21', 'FR'),
(7569, '21350', 'Marcilly l�s Vitteaux', '21', 'FR'),
(7570, '21320', 'Marcilly Ogny', '21', 'FR'),
(7571, '21120', 'Marcilly sur Tille', '21', 'FR'),
(7572, '21700', 'Marey l�s Fussey', '21', 'FR'),
(7573, '21120', 'Marey sur Tille', '21', 'FR'),
(7574, '21150', 'Marigny le Cahouet', '21', 'FR'),
(7575, '21200', 'Marigny l�s Reull�e', '21', 'FR'),
(7576, '21110', 'Marliens', '21', 'FR'),
(7577, '21500', 'armagne', '21', 'FR'),
(7578, '21160', 'Marsannay la C�te', '21', 'FR'),
(7579, '21380', 'Marsannay le Bois', '21', 'FR'),
(7580, '21320', 'Martrois', '21', 'FR'),
(7581, '21400', 'Massingy', '21', 'FR'),
(7582, '21140', 'Massingy l�s Semur', '21', 'FR'),
(7583, '21350', 'Massingy l�s Vitteaux', '21', 'FR'),
(7584, '21510', 'Mauvilly', '21', 'FR'),
(7585, '21190', 'Mavilly Mandelot', '21', 'FR'),
(7586, '21270', 'Maxilly sur Sa�ne', '21', 'FR'),
(7587, '21320', 'Meilly sur Rouvres', '21', 'FR'),
(7588, '21580', 'Le Meix', '21', 'FR'),
(7589, '21190', 'Meloisey', '21', 'FR'),
(7590, '21290', 'Menesble', '21', 'FR'),
(7591, '21430', 'M�nessaire', '21', 'FR'),
(7592, '21150', 'M�n�treux le Pitois', '21', 'FR'),
(7593, '21190', 'Merceuil', '21', 'FR'),
(7594, '21540', 'Mesmont', '21', 'FR'),
(7595, '21220', 'Messanges', '21', 'FR'),
(7596, '21380', 'Messigny et Vantoux', '21', 'FR'),
(7597, '21700', 'Meuilley', '21', 'FR'),
(7598, '21510', 'Meulson', '21', 'FR'),
(7599, '21200', 'Meursanges', '21', 'FR'),
(7600, '21190', 'Meursault', '21', 'FR'),
(7601, '21140', 'Millery', '21', 'FR'),
(7602, '21230', 'Mimeure', '21', 'FR'),
(7603, '21510', 'Minot', '21', 'FR'),
(7604, '21310', 'Mirebeau sur B�ze', '21', 'FR'),
(7605, '21210', 'Missery', '21', 'FR'),
(7606, '21510', 'Moitron', '21', 'FR'),
(7607, '21330', 'Molesmes', '21', 'FR'),
(7608, '21340', 'Molinot', '21', 'FR'),
(7609, '21120', 'Moloy', '21', 'FR'),
(7610, '21210', 'Molphey', '21', 'FR'),
(7611, '21200', 'Montagny l�s Beaune', '21', 'FR'),
(7612, '21250', 'Montagny l�s Seurre', '21', 'FR'),
(7613, '21500', 'Montbard', '21', 'FR'),
(7614, '21460', 'Montberthault', '21', 'FR'),
(7615, '21360', 'Montceau et �charnant', '21', 'FR'),
(7616, '21190', 'Month�lie', '21', 'FR'),
(7617, '21500', 'Montigny Montfort', '21', 'FR'),
(7618, '21390', 'Montigny Saint Barth�lemy', '21', 'FR'),
(7619, '21140', 'Montigny sur Arman�on', '21', 'FR'),
(7620, '21520', 'Montigny sur Aube', '21', 'FR'),
(7621, '21610', 'Montigny Mornay Villeneuve sur Vingeanne', '21', 'FR'),
(7622, '21210', 'Montlay en Auxois', '21', 'FR'),
(7623, '21400', 'Montliot et Courcelles', '21', 'FR'),
(7624, '21250', 'Montmain', '21', 'FR'),
(7625, '21270', 'Montman�on', '21', 'FR'),
(7626, '21290', 'Montmoyen', '21', 'FR'),
(7627, '21540', 'Montoillot', '21', 'FR'),
(7628, '21170', 'Montot', '21', 'FR'),
(7629, '21320', 'Mont Saint Jean', '21', 'FR'),
(7630, '21220', 'Morey Saint Denis', '21', 'FR'),
(7631, '21610', 'mornay', '21', 'FR'),
(7632, '21400', 'Mosson', '21', 'FR'),
(7633, '21210', 'La Motte Ternant', '21', 'FR'),
(7634, '21500', 'Moutiers Saint Jean', '21', 'FR'),
(7635, '21230', 'Musigny', '21', 'FR'),
(7636, '21150', 'Mussy la Fosse', '21', 'FR'),
(7637, '21390', 'Nan sous Thil', '21', 'FR'),
(7638, '21190', 'Nantoux', '21', 'FR'),
(7639, '21330', 'Nesle et Massoult', '21', 'FR'),
(7640, '21800', 'Neuilly l�s Dijon', '21', 'FR'),
(7641, '21580', 'Neuvelle l�s Grancey', '21', 'FR'),
(7642, '21330', 'Nicey', '21', 'FR'),
(7643, '21400', 'Nod sur Seine', '21', 'FR'),
(7644, '21500', 'Nogent l�s Montbard', '21', 'FR'),
(7645, '21390', 'Noidan', '21', 'FR'),
(7646, '21910', 'Noiron sous Gevrey', '21', 'FR'),
(7647, '21310', 'Noiron sur B�ze', '21', 'FR'),
(7648, '21400', 'Noiron sur Seine', '21', 'FR'),
(7649, '21340', 'Nolay', '21', 'FR'),
(7650, '21490', 'Norges la Ville', '21', 'FR'),
(7651, '21390', 'Normier', '21', 'FR'),
(7652, '21700', 'Nuits Saint Georges', '21', 'FR'),
(7653, '21400', 'Obtr�e', '21', 'FR'),
(7654, '21450', 'Oigny', '21', 'FR'),
(7655, '21310', 'Oisilly', '21', 'FR'),
(7656, '21610', 'Orain', '21', 'FR'),
(7657, '21490', 'Orgeux', '21', 'FR'),
(7658, '21510', 'Origny', '21', 'FR'),
(7659, '21450', 'Orret', '21', 'FR'),
(7660, '21260', 'Orville', '21', 'FR'),
(7661, '21600', 'Ouges', '21', 'FR'),
(7662, '21250', 'Pagny la Ville', '21', 'FR'),
(7663, '21250', 'Pagny le Ch�teau', '21', 'FR'),
(7664, '21360', 'Painblanc', '21', 'FR'),
(7665, '21540', 'Panges', '21', 'FR'),
(7666, '21370', 'Pasques', '21', 'FR'),
(7667, '21440', 'Pellerey', '21', 'FR'),
(7668, '21420', 'Pernand Vergelesses', '21', 'FR'),
(7669, '21160', 'Perrigny l�s Dijon', '21', 'FR'),
(7670, '21270', 'Perrigny sur l''Ognon', '21', 'FR'),
(7671, '21120', 'Pichanges', '21', 'FR'),
(7672, '21500', 'Planay', '21', 'FR'),
(7673, '21370', 'Plombi�res l�s Dijon', '21', 'FR'),
(7674, '21110', 'Pluvault', '21', 'FR'),
(7675, '21110', 'Pluvet', '21', 'FR'),
(7676, '21330', 'Poin�on l�s Larrey', '21', 'FR'),
(7677, '21440', 'Poiseul la Grange', '21', 'FR'),
(7678, '21450', 'Poiseul la Ville et Laperri�re', '21', 'FR'),
(7679, '21120', 'Poiseul l�s Saulx', '21', 'FR'),
(7680, '21630', 'Pommard', '21', 'FR'),
(7681, '21130', 'Poncey l�s Ath�e', '21', 'FR'),
(7682, '21440', 'Poncey sur l''Ignon', '21', 'FR'),
(7683, '21130', 'Pont', '21', 'FR'),
(7684, '21270', 'Pontailler sur Sa�ne', '21', 'FR'),
(7685, '21140', 'Pont et Mass�ne', '21', 'FR'),
(7686, '21350', 'Posanges', '21', 'FR'),
(7687, '21400', 'Pothi�res', '21', 'FR'),
(7688, '21150', 'Pouillenay', '21', 'FR'),
(7689, '21320', 'Pouilly en Auxois', '21', 'FR'),
(7690, '21250', 'Pouilly sur Sa�ne', '21', 'FR'),
(7691, '21610', 'Pouilly sur Vingeanne', '21', 'FR'),
(7692, '21410', 'Pr�lon', '21', 'FR'),
(7693, '21390', 'Pr�cy sous Thil', '21', 'FR'),
(7694, '21700', 'Premeaux Prissey', '21', 'FR'),
(7695, '21110', 'Premi�res', '21', 'FR'),
(7696, '21370', 'Prenois', '21', 'FR'),
(7697, '21700', 'Prissey', '21', 'FR'),
(7698, '21400', 'Prusly sur Ource', '21', 'FR'),
(7699, '21400', 'Puits', '21', 'FR'),
(7700, '21190', 'Puligny Montrachet', '21', 'FR'),
(7701, '21220', 'Qu�migny Poisot', '21', 'FR'),
(7702, '21510', 'Quemigny sur Seine', '21', 'FR'),
(7703, '21800', 'Qu�tigny', '21', 'FR'),
(7704, '21500', 'Quincerot', '21', 'FR'),
(7705, '21700', 'Quincey', '21', 'FR'),
(7706, '21500', 'Quincy le Vicomte', '21', 'FR'),
(7707, '21290', 'Recey sur Ource', '21', 'FR'),
(7708, '21540', 'Remilly en Montagne', '21', 'FR'),
(7709, '21560', 'Remilly sur Tille', '21', 'FR'),
(7710, '21310', 'Ren�ve', '21', 'FR'),
(7711, '21220', 'Reulle Vergy', '21', 'FR'),
(7712, '21570', 'Riel les Eaux', '21', 'FR'),
(7713, '21530', 'La Roche en Brenil', '21', 'FR'),
(7714, '21510', 'Rochefort', '21', 'FR'),
(7715, '21340', 'La Rochepot', '21', 'FR'),
(7716, '21150', 'La Roche Vanneau', '21', 'FR'),
(7717, '21390', 'Roilly', '21', 'FR'),
(7718, '21500', 'Rougemont', '21', 'FR'),
(7719, '21530', 'Rouvray', '21', 'FR'),
(7720, '21110', 'Rouvres en Plaine', '21', 'FR'),
(7721, '21320', 'Rouvres sous Meilly', '21', 'FR'),
(7722, '21200', 'Ruffey l�s Beaune', '21', 'FR'),
(7723, '21490', 'Ruffey l�s �chirey', '21', 'FR'),
(7724, '21260', 'Sacquenay', '21', 'FR'),
(7725, '21350', 'Saffres', '21', 'FR'),
(7726, '21530', 'Saint Andeux', '21', 'FR'),
(7727, '21540', 'Saint Anthot', '21', 'FR'),
(7728, '21850', 'Saint Apollinaire', '21', 'FR'),
(7729, '21190', 'St Aubin', '21', 'FR'),
(7730, '21700', 'Saint Bernard', '21', 'FR'),
(7731, '21290', 'Saint Broing les Moines', '21', 'FR'),
(7732, '21350', 'Ste Colombe', '21', 'FR'),
(7733, '21400', 'Ste Colombe sur Seine', '21', 'FR'),
(7734, '21210', 'St Didier', '21', 'FR'),
(7735, '21140', 'Saint Euphr�ne', '21', 'FR'),
(7736, '21530', 'Saint Germain de Mod�on', '21', 'FR'),
(7737, '21510', 'Saint Germain le Rocheux', '21', 'FR'),
(7738, '21500', 'Saint Germain l�s Senailly', '21', 'FR'),
(7739, '21690', 'Saint Germain Source Seine', '21', 'FR'),
(7740, '21690', 'Saint H�lier', '21', 'FR'),
(7741, '21410', 'Saint Jean de Boeuf', '21', 'FR'),
(7742, '21170', 'Saint Jean de Losne', '21', 'FR'),
(7743, '21490', 'Saint Julien', '21', 'FR'),
(7744, '21270', 'Saint L�ger Triey', '21', 'FR'),
(7745, '21450', 'Saint Marc sur Seine', '21', 'FR'),
(7746, '21200', 'Sainte Marie la Blanche', '21', 'FR'),
(7747, '21410', 'Sainte Marie sur Ouche', '21', 'FR'),
(7748, '21210', 'Saint Martin de la Mer', '21', 'FR'),
(7749, '21440', 'St Martin du Mont', '21', 'FR'),
(7750, '21610', 'Saint Maurice sur Vingeanne', '21', 'FR'),
(7751, '21540', 'Saint Mesmin', '21', 'FR'),
(7752, '21700', 'Saint Nicolas l�s C�teaux', '21', 'FR'),
(7753, '21220', 'Saint Philibert', '21', 'FR'),
(7754, '21230', 'Saint Pierre en Vaux', '21', 'FR'),
(7755, '21230', 'Saint Prix l�s Arnay', '21', 'FR'),
(7756, '21500', 'St R�my', '21', 'FR'),
(7757, '21190', 'Saint Romain', '21', 'FR'),
(7758, '21320', 'Sainte Sabine', '21', 'FR'),
(7759, '21270', 'Saint Sauveur', '21', 'FR'),
(7760, '21130', 'Saint Seine en B�che', '21', 'FR'),
(7761, '21440', 'Saint Seine l''Abbaye', '21', 'FR'),
(7762, '21610', 'Saint Seine sur Vingeanne', '21', 'FR'),
(7763, '21170', 'Saint Symphorien sur Sa�ne', '21', 'FR'),
(7764, '21350', 'Saint Thibault', '21', 'FR'),
(7765, '21170', 'Saint Usage', '21', 'FR'),
(7766, '21410', 'Saint Victor sur Ouche', '21', 'FR'),
(7767, '21580', 'Salives', '21', 'FR'),
(7768, '21690', 'Salmaise', '21', 'FR'),
(7769, '21170', 'Samerey', '21', 'FR'),
(7770, '21590', 'Santenay', '21', 'FR'),
(7771, '21340', 'Santosse', '21', 'FR'),
(7772, '21210', 'Saulieu', '21', 'FR'),
(7773, '21910', 'Saulon la Chapelle', '21', 'FR'),
(7774, '21910', 'Saulon la Rue', '21', 'FR'),
(7775, '21120', 'Saulx le Duc', '21', 'FR'),
(7776, '21360', 'Saussey', '21', 'FR'),
(7777, '21380', 'Saussy', '21', 'FR'),
(7778, '21420', 'Savigny l�s Beaune', '21', 'FR'),
(7779, '21380', 'Savigny le Sec', '21', 'FR'),
(7780, '21540', 'Savigny sous M�lain', '21', 'FR'),
(7781, '21430', 'Savilly', '21', 'FR'),
(7782, '21500', 'Savoisy', '21', 'FR'),
(7783, '21310', 'Savolles', '21', 'FR'),
(7784, '21910', 'Savouges', '21', 'FR'),
(7785, '21220', 'Segrois', '21', 'FR'),
(7786, '21150', 'Seigny', '21', 'FR'),
(7787, '21260', 'Selongey', '21', 'FR'),
(7788, '21320', 'Semarey', '21', 'FR'),
(7789, '21220', 'Semezanges', '21', 'FR'),
(7790, '21450', 'Semond', '21', 'FR'),
(7791, '21140', 'Semur en Auxois', '21', 'FR'),
(7792, '21500', 'Senailly', '21', 'FR'),
(7793, '21800', 'Sennecey l�s Dijon', '21', 'FR'),
(7794, '21550', 'Ladoix Serrigny', '21', 'FR'),
(7795, '21250', 'Seurre', '21', 'FR'),
(7796, '21530', 'Sincey l�s Rouvray', '21', 'FR'),
(7797, '21110', 'Soirans', '21', 'FR'),
(7798, '21270', 'Soissons sur Nacey', '21', 'FR'),
(7799, '21540', 'Sombernon', '21', 'FR'),
(7800, '21140', 'Souhey', '21', 'FR'),
(7801, '21350', 'Soussey sur Brionne', '21', 'FR'),
(7802, '21120', 'Spoy', '21', 'FR'),
(7803, '21430', 'Sussey', '21', 'FR'),
(7804, '21190', 'Tailly', '21', 'FR'),
(7805, '21240', 'Talant', '21', 'FR'),
(7806, '21270', 'Talmay', '21', 'FR'),
(7807, '21310', 'Tanay', '21', 'FR'),
(7808, '21120', 'Tarsul', '21', 'FR'),
(7809, '21110', 'Tart l''Abbaye', '21', 'FR'),
(7810, '21110', 'Tart le Bas', '21', 'FR'),
(7811, '21110', 'Tart le Haut', '21', 'FR'),
(7812, '21270', 'Tellecey', '21', 'FR'),
(7813, '21220', 'Ternant', '21', 'FR'),
(7814, '21290', 'Terrefondr�e', '21', 'FR'),
(7815, '21150', 'Thenissey', '21', 'FR'),
(7816, '21570', 'Thoires', '21', 'FR'),
(7817, '21210', 'Thoisy la Berch�re', '21', 'FR'),
(7818, '21320', 'Thoisy le D�sert', '21', 'FR'),
(7819, '21360', 'Thomirey', '21', 'FR'),
(7820, '21110', 'Thorey en Plaine', '21', 'FR'),
(7821, '21350', 'Thorey sous Charny', '21', 'FR'),
(7822, '21360', 'Thorey sur Ouche', '21', 'FR'),
(7823, '21460', 'Thoste', '21', 'FR'),
(7824, '21340', 'Thury', '21', 'FR'),
(7825, '21250', 'Tichey', '21', 'FR'),
(7826, '21120', 'Til Ch�tel', '21', 'FR'),
(7827, '21130', 'Tillenay', '21', 'FR'),
(7828, '21460', 'Torcy et Pouligny', '21', 'FR'),
(7829, '21500', 'Touillon', '21', 'FR'),
(7830, '21460', 'Toutry', '21', 'FR'),
(7831, '21130', 'Tr�clun', '21', 'FR'),
(7832, '21310', 'Troch�res', '21', 'FR'),
(7833, '21170', 'Trouhans', '21', 'FR'),
(7834, '21440', 'Trouhaut', '21', 'FR'),
(7835, '21250', 'Trugny', '21', 'FR'),
(7836, '21540', 'Turcey', '21', 'FR'),
(7837, '21350', 'Uncey le Franc', '21', 'FR'),
(7838, '21220', 'Urcy', '21', 'FR'),
(7839, '21121', 'Val Suzon', '21', 'FR'),
(7840, '21320', 'Vandenesse en Auxois', '21', 'FR'),
(7841, '21400', 'Vannaire', '21', 'FR'),
(7842, '21400', 'Vanvey', '21', 'FR'),
(7843, '21110', 'Varanges', '21', 'FR'),
(7844, '21490', 'Varois et Chaignot', '21', 'FR'),
(7845, '21340', 'Vauchignon', '21', 'FR'),
(7846, '21440', 'Vaux Saules', '21', 'FR'),
(7847, '21360', 'Veilly', '21', 'FR'),
(7848, '21370', 'Velars sur Ouche', '21', 'FR'),
(7849, '21350', 'Velogny', '21', 'FR'),
(7850, '21150', 'Venarey les Laumes', '21', 'FR'),
(7851, '21330', 'Verdonnet', '21', 'FR'),
(7852, '21260', 'Vernois l�s Vesvres', '21', 'FR'),
(7853, '21120', 'Vernot', '21', 'FR'),
(7854, '21260', 'V�ronnes', '21', 'FR'),
(7855, '21260', 'V�ronnes les Petites', '21', 'FR'),
(7856, '21540', 'Verrey sous Dr�e', '21', 'FR'),
(7857, '21690', 'Verrey sous Salmaise', '21', 'FR'),
(7858, '21330', 'Vertault', '21', 'FR'),
(7859, '21350', 'Vesvres', '21', 'FR'),
(7860, '21360', 'Veuvey sur Ouche', '21', 'FR'),
(7861, '21520', 'Veuxhaulles sur Aube', '21', 'FR'),
(7862, '21430', 'Vianges', '21', 'FR'),
(7863, '21140', 'Vic de Chassenay', '21', 'FR'),
(7864, '21360', 'Vic des Pr�s', '21', 'FR'),
(7865, '21390', 'Vic sous Thil', '21', 'FR'),
(7866, '21540', 'Vieilmoulin', '21', 'FR'),
(7867, '21270', 'Vielverge', '21', 'FR'),
(7868, '21460', 'Vieux Ch�teau', '21', 'FR'),
(7869, '21310', 'Vi�vigne', '21', 'FR'),
(7870, '21230', 'Vi�vy', '21', 'FR'),
(7871, '21200', 'Vignoles', '21', 'FR'),
(7872, '21450', 'Villaines en Duesmois', '21', 'FR'),
(7873, '21500', 'Villaines les Pr�v�tes', '21', 'FR'),
(7874, '21210', 'Villargoix', '21', 'FR'),
(7875, '21700', 'Villars Fontaine', '21', 'FR'),
(7876, '21140', 'Villars et Villenotte', '21', 'FR'),
(7877, '21350', 'Villeberny', '21', 'FR'),
(7878, '21700', 'Villebichot', '21', 'FR'),
(7879, '21120', 'Villecomte', '21', 'FR'),
(7880, '21330', 'Villedieu', '21', 'FR'),
(7881, '21350', 'Villeferry', '21', 'FR'),
(7882, '21450', 'La Villeneuve les Convers', '21', 'FR'),
(7883, '21140', 'Villeneuve sous Charigny', '21', 'FR'),
(7884, '21610', 'villeneuve sur vingeanne', '21', 'FR'),
(7885, '21700', 'Villers la Faye', '21', 'FR'),
(7886, '21130', 'Villers l�s Pots', '21', 'FR'),
(7887, '21400', 'Villers Patras', '21', 'FR'),
(7888, '21130', 'Villers Rotin', '21', 'FR'),
(7889, '21120', 'Villey sur Tille', '21', 'FR'),
(7890, '21430', 'Villiers en Morvan', '21', 'FR'),
(7891, '21400', 'Villiers le Duc', '21', 'FR'),
(7892, '21690', 'Villotte Saint Seine', '21', 'FR'),
(7893, '21400', 'Villotte sur Ource', '21', 'FR'),
(7894, '21350', 'Villy en Auxois', '21', 'FR'),
(7895, '21250', 'Villy le Moutier', '21', 'FR'),
(7896, '21500', 'Viserny', '21', 'FR'),
(7897, '21350', 'Vitteaux', '21', 'FR'),
(7898, '21400', 'Vix', '21', 'FR'),
(7899, '21190', 'Volnay', '21', 'FR'),
(7900, '21270', 'Vonges', '21', 'FR'),
(7901, '21700', 'Vosne Roman�e', '21', 'FR'),
(7902, '21230', 'Voudenay', '21', 'FR'),
(7903, '21640', 'Vougeot', '21', 'FR'),
(7904, '21290', 'Voulaines les Templiers', '21', 'FR'),
(7905, '21150', 'Les Laumes', '21', 'FR'),
(7906, '21410', 'Pont de Pany', '21', 'FR'),
(7907, '22460', 'Allineuc', '22', 'FR'),
(7908, '22400', 'Andel', '22', 'FR'),
(7909, '22100', 'Aucaleuc', '22', 'FR'),
(7910, '22140', 'B�gard', '22', 'FR'),
(7911, '22810', 'Belle Isle en Terre', '22', 'FR'),
(7912, '22140', 'Berhet', '22', 'FR'),
(7913, '22520', 'Binic', '22', 'FR'),
(7914, '22100', 'Bobital', '22', 'FR'),
(7915, '22320', 'Le Bod�o', '22', 'FR'),
(7916, '22110', 'Bonen', '22', 'FR'),
(7917, '22170', 'Boqueho', '22', 'FR'),
(7918, '22240', 'La Bouillie', '22', 'FR'),
(7919, '22720', 'Bourbriac', '22', 'FR'),
(7920, '22390', 'Bourbriac', '22', 'FR'),
(7921, '22130', 'Bourseul', '22', 'FR'),
(7922, '22510', 'Br�hand', '22', 'FR'),
(7923, '22870', 'Ile de Br�hat', '22', 'FR'),
(7924, '22140', 'Br�lidy', '22', 'FR'),
(7925, '22170', 'Bringolo', '22', 'FR'),
(7926, '22250', 'Broons', '22', 'FR'),
(7927, '22100', 'Brusvily', '22', 'FR'),
(7928, '22160', 'Bulat Pestivien', '22', 'FR'),
(7929, '22160', 'Calanhel', '22', 'FR'),
(7930, '22160', 'Callac', '22', 'FR'),
(7931, '22100', 'Calorguen', '22', 'FR'),
(7932, '22210', 'Le Cambout', '22', 'FR'),
(7933, '22450', 'Camlez', '22', 'FR'),
(7934, '22480', 'Canihuel', '22', 'FR'),
(7935, '22300', 'Caou�nnec Lanv�z�ac', '22', 'FR'),
(7936, '22160', 'Carno�t', '22', 'FR'),
(7937, '22350', 'Caulnes', '22', 'FR'),
(7938, '22530', 'Caurel', '22', 'FR'),
(7939, '22140', 'Cavan', '22', 'FR'),
(7940, '22630', 'Les Champs G�raux', '22', 'FR'),
(7941, '22350', 'La Chapelle Blanche', '22', 'FR'),
(7942, '22160', 'Chapelle Neuve', '22', 'FR'),
(7943, '22170', 'Ch�telaudren', '22', 'FR'),
(7944, '22210', 'La Ch�ze', '22', 'FR'),
(7945, '22970', 'Coadout', '22', 'FR'),
(7946, '22140', 'Coatascorn', '22', 'FR'),
(7947, '22450', 'Coatreven', '22', 'FR'),
(7948, '22210', 'Co�tlogon', '22', 'FR'),
(7949, '22400', 'Co�tmieux', '22', 'FR'),
(7950, '22800', 'Cohiniac', '22', 'FR'),
(7951, '22330', 'Collin�e', '22', 'FR'),
(7952, '22320', 'Corlay', '22', 'FR'),
(7953, '22130', 'Corseul', '22', 'FR'),
(7954, '22130', 'Cr�hen', '22', 'FR'),
(7955, '22100', 'Dinan', '22', 'FR'),
(7956, '22270', 'Dolo', '22', 'FR'),
(7957, '22160', 'Duault', '22', 'FR'),
(7958, '22250', '�r�ac', '22', 'FR'),
(7959, '22430', 'Erquy', '22', 'FR'),
(7960, '22680', 'Etables sur Mer', '22', 'FR'),
(7961, '22630', '�vran', '22', 'FR'),
(7962, '22290', 'Faou�t', '22', 'FR'),
(7963, '22210', 'La Ferri�re', '22', 'FR'),
(7964, '22800', 'Le Foeil', '22', 'FR'),
(7965, '22150', 'Gausson', '22', 'FR'),
(7966, '22110', 'Glomel', '22', 'FR'),
(7967, '22230', 'Gomen�', '22', 'FR'),
(7968, '22290', 'Gommenec''h', '22', 'FR'),
(7969, '22570', 'Gouarec', '22', 'FR'),
(7970, '22290', 'Goudelin', '22', 'FR'),
(7971, '22330', 'Le Gouray', '22', 'FR'),
(7972, '22200', 'Gr�ces', '22', 'FR'),
(7973, '22460', 'Gr�ce Uzel', '22', 'FR'),
(7974, '22350', 'Guenroc', '22', 'FR'),
(7975, '22200', 'Guingamp', '22', 'FR'),
(7976, '22350', 'Guitt�', '22', 'FR'),
(7977, '22390', 'Gurunhuel', '22', 'FR'),
(7978, '22320', 'La Harmoye', '22', 'FR'),
(7979, '22320', 'Le Haut Corlay', '22', 'FR'),
(7980, '22600', 'H�monstoir', '22', 'FR'),
(7981, '22550', 'H�nanbihen', '22', 'FR'),
(7982, '22400', 'H�nansal', '22', 'FR'),
(7983, '22450', 'Hengoat', '22', 'FR'),
(7984, '22150', 'H�non', '22', 'FR'),
(7985, '22150', 'L''Hermitage Lorge', '22', 'FR'),
(7986, '22120', 'Hillion', '22', 'FR'),
(7987, '22100', 'Le Hingl�', '22', 'FR'),
(7988, '22230', 'Illifaut', '22', 'FR'),
(7989, '22270', 'Jugon les Lacs', '22', 'FR'),
(7990, '22610', 'Kerbors', '22', 'FR'),
(7991, '22500', 'Kerfot', '22', 'FR'),
(7992, '22110', 'Kergrist Mo�lou', '22', 'FR'),
(7993, '22480', 'K�rien', '22', 'FR'),
(7994, '22450', 'Kermaria Sulard', '22', 'FR'),
(7995, '22140', 'Kermoroc''h', '22', 'FR'),
(7996, '22480', 'Kerpert', '22', 'FR'),
(7997, '22400', 'Lamballe', '22', 'FR'),
(7998, '22770', 'Lancieux', '22', 'FR'),
(7999, '22140', 'Landeba�ron', '22', 'FR'),
(8000, '22130', 'Land�bia', '22', 'FR'),
(8001, '22980', 'La Landec', '22', 'FR'),
(8002, '22400', 'Land�hen', '22', 'FR'),
(8003, '22800', 'Lanfains', '22', 'FR'),
(8004, '22150', 'Langast', '22', 'FR'),
(8005, '22450', 'Langoat', '22', 'FR'),
(8006, '22330', 'Langourla', '22', 'FR'),
(8007, '22490', 'Langrolay sur Rance', '22', 'FR'),
(8008, '22980', 'Langu�dias', '22', 'FR'),
(8009, '22130', 'Languenan', '22', 'FR'),
(8010, '22360', 'Langueux', '22', 'FR'),
(8011, '22570', 'Laniscat', '22', 'FR'),
(8012, '22290', 'Lanleff', '22', 'FR'),
(8013, '22580', 'Lanloup', '22', 'FR'),
(8014, '22300', 'Lanm�rin', '22', 'FR'),
(8015, '22610', 'Lanmodez', '22', 'FR'),
(8016, '22290', 'Lannebert', '22', 'FR'),
(8017, '22300', 'Lannion', '22', 'FR'),
(8018, '22250', 'Lanr�las', '22', 'FR'),
(8019, '22480', 'Lanrivain', '22', 'FR'),
(8020, '22170', 'Lanrodec', '22', 'FR'),
(8021, '22410', 'Lantic', '22', 'FR'),
(8022, '22100', 'Lanvallay', '22', 'FR'),
(8023, '22420', 'Lanvellec', '22', 'FR'),
(8024, '22300', 'Lanv�z�ac', '22', 'FR'),
(8025, '22290', 'Lanvollon', '22', 'FR'),
(8026, '22230', 'Laurenan', '22', 'FR'),
(8027, '22100', 'L�hon', '22', 'FR'),
(8028, '22570', 'Lescou�t Gouarec', '22', 'FR'),
(8029, '22270', 'Lescou�t Jugon', '22', 'FR'),
(8030, '22800', 'Le Leslay', '22', 'FR'),
(8031, '22740', 'L�zardrieux', '22', 'FR'),
(8032, '22340', 'Locarn', '22', 'FR'),
(8033, '22810', 'Loc Envel', '22', 'FR'),
(8034, '22780', 'Loguivy Plougras', '22', 'FR'),
(8035, '22160', 'Lohuec', '22', 'FR'),
(8036, '22230', 'Loscou�t sur Meu', '22', 'FR'),
(8037, '22700', 'Louannec', '22', 'FR'),
(8038, '22540', 'Louargat', '22', 'FR'),
(8039, '22600', 'Loud�ac', '22', 'FR'),
(8040, '22340', 'Ma�l Carhaix', '22', 'FR'),
(8041, '22160', 'Ma�l Pestivien', '22', 'FR'),
(8042, '22480', 'Magoar', '22', 'FR'),
(8043, '22640', 'La Malhoure', '22', 'FR'),
(8044, '22450', 'Mantallot', '22', 'FR'),
(8045, '22400', 'Marou�', '22', 'FR'),
(8046, '22550', 'Matignon', '22', 'FR'),
(8047, '22440', 'La M�augon', '22', 'FR'),
(8048, '22270', 'M�grit', '22', 'FR'),
(8049, '22110', 'Mellionnec', '22', 'FR'),
(8050, '22230', 'Merdrignac', '22', 'FR'),
(8051, '22230', 'M�rillac', '22', 'FR'),
(8052, '22460', 'Merl�ac', '22', 'FR'),
(8053, '22200', 'Le Merzer', '22', 'FR'),
(8054, '22400', 'Meslin', '22', 'FR'),
(8055, '22220', 'Minihy Tr�guier', '22', 'FR'),
(8056, '22510', 'Moncontour', '22', 'FR'),
(8057, '22400', 'Morieux', '22', 'FR'),
(8058, '22600', 'La Motte', '22', 'FR'),
(8059, '22200', 'Moust�ru', '22', 'FR'),
(8060, '22340', 'Le Moustoir', '22', 'FR'),
(8061, '22530', 'Mur de Bretagne', '22', 'FR'),
(8062, '22380', 'Notre Dame du Guildo', '22', 'FR'),
(8063, '22400', 'Noyal', '22', 'FR'),
(8064, '22200', 'Pabu', '22', 'FR'),
(8065, '22500', 'Paimpol', '22', 'FR'),
(8066, '22340', 'Paule', '22', 'FR'),
(8067, '22540', 'P�dernec', '22', 'FR'),
(8068, '22510', 'Penguilly', '22', 'FR'),
(8069, '22710', 'Penv�nan', '22', 'FR'),
(8070, '22570', 'Perret', '22', 'FR'),
(8071, '22700', 'Perros Guirec', '22', 'FR'),
(8072, '22480', 'Peumerit Quintin', '22', 'FR'),
(8073, '22800', 'Plaine Haute', '22', 'FR'),
(8074, '22940', 'Plaintel', '22', 'FR'),
(8075, '22130', 'Planco�t', '22', 'FR'),
(8076, '22400', 'Planguenoual', '22', 'FR'),
(8077, '22550', 'Pl�boulle', '22', 'FR'),
(8078, '22270', 'Pl�d�liac', '22', 'FR'),
(8079, '22960', 'Pl�dran', '22', 'FR'),
(8080, '22290', 'Pl�guien', '22', 'FR'),
(8081, '22290', 'Pl�h�del', '22', 'FR'),
(8082, '22240', 'Fr�hel', '22', 'FR'),
(8083, '22980', 'Pl�lan le Petit', '22', 'FR'),
(8084, '22570', 'Pl�lauff', '22', 'FR'),
(8085, '22170', 'Pl�lo', '22', 'FR'),
(8086, '22210', 'Pl�met', '22', 'FR'),
(8087, '22150', 'Pl�my', '22', 'FR'),
(8088, '22640', 'Pl�n�e Jugon', '22', 'FR'),
(8089, '22370', 'Pl�neuf Val Andr�', '22', 'FR'),
(8090, '22190', 'Pl�rin', '22', 'FR'),
(8091, '22170', 'Plerneuf', '22', 'FR'),
(8092, '22720', 'Pl�sidy', '22', 'FR'),
(8093, '22490', 'Pleslin Trigavou', '22', 'FR'),
(8094, '22330', 'Plessala', '22', 'FR'),
(8095, '22650', 'Plessix Balisson', '22', 'FR'),
(8096, '22640', 'Plestan', '22', 'FR'),
(8097, '22310', 'Plestin les Gr�ves', '22', 'FR'),
(8098, '22610', 'Pleubian', '22', 'FR'),
(8099, '22740', 'Pleudaniel', '22', 'FR'),
(8100, '22690', 'Pleudihen sur Rance', '22', 'FR'),
(8101, '22560', 'Pleumeur Bodou', '22', 'FR'),
(8102, '22740', 'Pleumeur Gautier', '22', 'FR'),
(8103, '22130', 'Pl�ven', '22', 'FR'),
(8104, '22240', 'Pl�venon', '22', 'FR'),
(8105, '22340', 'Pl�vin', '22', 'FR'),
(8106, '22150', 'Ploeuc sur Li�', '22', 'FR'),
(8107, '22260', 'Plo�zal', '22', 'FR'),
(8108, '22130', 'Plorec sur Arguenon', '22', 'FR'),
(8109, '22170', 'Plouagat', '22', 'FR'),
(8110, '22420', 'Plouaret', '22', 'FR'),
(8111, '22830', 'Plouasne', '22', 'FR'),
(8112, '22770', 'Ploubalay', '22', 'FR'),
(8113, '22750', 'Ploubalay', '22', 'FR'),
(8114, '22650', 'Ploubalay', '22', 'FR'),
(8115, '22620', 'Ploubazlanec', '22', 'FR'),
(8116, '22300', 'Ploubezre', '22', 'FR'),
(8117, '22260', 'Plou�c du Trieux', '22', 'FR'),
(8118, '22490', 'Plou�r sur Rance', '22', 'FR'),
(8119, '22470', 'Plou�zec', '22', 'FR'),
(8120, '22440', 'Ploufragan', '22', 'FR'),
(8121, '22810', 'Plougonver', '22', 'FR'),
(8122, '22780', 'Plougras', '22', 'FR'),
(8123, '22820', 'Plougrescant', '22', 'FR'),
(8124, '22150', 'Plouguenast', '22', 'FR'),
(8125, '22110', 'Plouguern�vel', '22', 'FR'),
(8126, '22220', 'Plouguiel', '22', 'FR'),
(8127, '22580', 'Plouha', '22', 'FR'),
(8128, '22200', 'Plouisy', '22', 'FR'),
(8129, '22300', 'Ploulec''h', '22', 'FR'),
(8130, '22970', 'Ploumagoar', '22', 'FR'),
(8131, '22300', 'Ploumilliau', '22', 'FR'),
(8132, '22780', 'Ploun�rin', '22', 'FR'),
(8133, '22810', 'Plounevez Mo�dec', '22', 'FR'),
(8134, '22110', 'Plounevez Quintin', '22', 'FR'),
(8135, '22160', 'Plourac''h', '22', 'FR'),
(8136, '22410', 'Plourhan', '22', 'FR'),
(8137, '22860', 'Plourivo', '22', 'FR'),
(8138, '22170', 'Plouvara', '22', 'FR'),
(8139, '22420', 'Plouz�lambre', '22', 'FR'),
(8140, '22290', 'Pludual', '22', 'FR'),
(8141, '22130', 'Pluduno', '22', 'FR'),
(8142, '22310', 'Plufur', '22', 'FR'),
(8143, '22350', 'Plumaudan', '22', 'FR'),
(8144, '22250', 'Plumaugat', '22', 'FR'),
(8145, '22210', 'Plumieux', '22', 'FR'),
(8146, '22240', 'Plurien', '22', 'FR'),
(8147, '22160', 'Plusquellec', '22', 'FR'),
(8148, '22320', 'Plussulien', '22', 'FR'),
(8149, '22140', 'Pluzunet', '22', 'FR'),
(8150, '22120', 'Pommeret', '22', 'FR'),
(8151, '22450', 'Pommerit Jaudy', '22', 'FR'),
(8152, '22200', 'Pommerit le Vicomte', '22', 'FR'),
(8153, '22390', 'Pont Melvez', '22', 'FR'),
(8154, '22260', 'Pontrieux', '22', 'FR'),
(8155, '22590', 'Pordic', '22', 'FR'),
(8156, '22400', 'La Poterie', '22', 'FR'),
(8157, '22450', 'Pouldouran', '22', 'FR'),
(8158, '22140', 'Prat', '22', 'FR'),
(8159, '22210', 'La Pr�nessaye', '22', 'FR'),
(8160, '22260', 'Quemper Gu�zennec', '22', 'FR'),
(8161, '22450', 'Quemperven', '22', 'FR'),
(8162, '22120', 'Quessoy', '22', 'FR'),
(8163, '22100', 'Qu�vert', '22', 'FR'),
(8164, '22460', 'Le Quillio', '22', 'FR'),
(8165, '22400', 'Quintenic', '22', 'FR'),
(8166, '22800', 'Quintin', '22', 'FR'),
(8167, '22630', 'Le Quiou', '22', 'FR'),
(8168, '22450', 'La Roche Derrien', '22', 'FR'),
(8169, '22300', 'Rospez', '22', 'FR'),
(8170, '22110', 'Rostrenen', '22', 'FR'),
(8171, '22250', 'Rouillac', '22', 'FR'),
(8172, '22550', 'Ruca', '22', 'FR'),
(8173, '22260', 'Runan', '22', 'FR'),
(8174, '22400', 'Saint Aaron', '22', 'FR'),
(8175, '22390', 'Saint Adrien', '22', 'FR'),
(8176, '22200', 'Saint Agathon', '22', 'FR'),
(8177, '22400', 'Saint Alban', '22', 'FR'),
(8178, '22630', 'Saint Andr� des Eaux', '22', 'FR'),
(8179, '22600', 'Saint Barnab�', '22', 'FR'),
(8180, '22800', 'Saint Bihy', '22', 'FR'),
(8181, '22800', 'Saint Brandan', '22', 'FR'),
(8182, '22000', 'Saint Brieuc', '22', 'FR'),
(8183, '22600', 'Saint Caradec', '22', 'FR'),
(8184, '22100', 'Saint Carn�', '22', 'FR'),
(8185, '22150', 'Saint Carreuc', '22', 'FR'),
(8186, '22380', 'Saint Cast le Guildo', '22', 'FR'),
(8187, '22260', 'Saint Clet', '22', 'FR'),
(8188, '22480', 'Saint Connan', '22', 'FR'),
(8189, '22530', 'Saint Connec', '22', 'FR'),
(8190, '22400', 'Saint Denoual', '22', 'FR'),
(8191, '22800', 'Saint Donan', '22', 'FR'),
(8192, '22210', 'Saint �tienne du Gu� de l''Isle', '22', 'FR'),
(8193, '22720', 'Saint Fiacre', '22', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(8194, '22570', 'Saint Gelven', '22', 'FR'),
(8195, '22800', 'Saint Gildas', '22', 'FR'),
(8196, '22330', 'Saint Gilles du Men�', '22', 'FR'),
(8197, '22290', 'Saint Gilles les Bois', '22', 'FR'),
(8198, '22480', 'Saint Gilles Pligeaux', '22', 'FR'),
(8199, '22530', 'St Gilles Vieux March�', '22', 'FR'),
(8200, '22510', 'Saint Glen', '22', 'FR'),
(8201, '22330', 'Saint Gou�no', '22', 'FR'),
(8202, '22530', 'Saint Guen', '22', 'FR'),
(8203, '22100', 'Saint H�len', '22', 'FR'),
(8204, '22460', 'Saint Herv�', '22', 'FR'),
(8205, '22270', 'Saint Igneuc', '22', 'FR'),
(8206, '22750', 'Saint Jacut de la Mer', '22', 'FR'),
(8207, '22330', 'Saint Jacut du Men�', '22', 'FR'),
(8208, '22170', 'Saint Jean Kerdaniel', '22', 'FR'),
(8209, '22350', 'Saint Jouan de l''Isle', '22', 'FR'),
(8210, '22630', 'Saint Judoce', '22', 'FR'),
(8211, '22940', 'Saint Julien', '22', 'FR'),
(8212, '22630', 'Saint Juvat', '22', 'FR'),
(8213, '22230', 'Saint Launeuc', '22', 'FR'),
(8214, '22140', 'St Laurent', '22', 'FR'),
(8215, '22130', 'Saint Lormel', '22', 'FR'),
(8216, '22350', 'Saint Maden', '22', 'FR'),
(8217, '22320', 'Saint Martin des Pr�s', '22', 'FR'),
(8218, '22600', 'Saint Maudan', '22', 'FR'),
(8219, '22980', 'Saint Maudez', '22', 'FR'),
(8220, '22320', 'Saint Mayeux', '22', 'FR'),
(8221, '22980', 'St M�loir', '22', 'FR'),
(8222, '22980', 'Saint Michel de Pl�lan', '22', 'FR'),
(8223, '22300', 'Saint Michel en Gr�ve', '22', 'FR'),
(8224, '22160', 'St Nicod�me', '22', 'FR'),
(8225, '22480', 'Saint Nicolas du P�lem', '22', 'FR'),
(8226, '22720', 'Saint P�ver', '22', 'FR'),
(8227, '22550', 'Saint Potan', '22', 'FR'),
(8228, '22700', 'Saint Quay Perros', '22', 'FR'),
(8229, '22410', 'Saint Quay Portrieux', '22', 'FR'),
(8230, '22270', 'Saint Rieul', '22', 'FR'),
(8231, '22100', 'Saint Samson sur Rance', '22', 'FR'),
(8232, '22160', 'St Servais', '22', 'FR'),
(8233, '22100', 'Saint Solen', '22', 'FR'),
(8234, '22460', 'Saint Th�lo', '22', 'FR'),
(8235, '22480', 'Sainte Tr�phine', '22', 'FR'),
(8236, '22510', 'Saint Trimo�l', '22', 'FR'),
(8237, '22230', 'Saint Vran', '22', 'FR'),
(8238, '22570', 'Saint Igeaux', '22', 'FR'),
(8239, '22720', 'Senven L�hart', '22', 'FR'),
(8240, '22250', 'S�vignac', '22', 'FR'),
(8241, '22200', 'Squiffiec', '22', 'FR'),
(8242, '22100', 'Taden', '22', 'FR'),
(8243, '22140', 'Tonqu�dec', '22', 'FR'),
(8244, '22640', 'Tramain', '22', 'FR'),
(8245, '22980', 'Tr�b�dan', '22', 'FR'),
(8246, '22560', 'Tr�beurden', '22', 'FR'),
(8247, '22340', 'Tr�brivan', '22', 'FR'),
(8248, '22510', 'Tr�bry', '22', 'FR'),
(8249, '22510', 'Tr�daniel', '22', 'FR'),
(8250, '22220', 'Tr�darzec', '22', 'FR'),
(8251, '22250', 'Tr�dias', '22', 'FR'),
(8252, '22300', 'Tr�drez', '22', 'FR'),
(8253, '22310', 'Tr�duder', '22', 'FR'),
(8254, '22340', 'Treffrin', '22', 'FR'),
(8255, '22630', 'Tr�fumel', '22', 'FR'),
(8256, '22730', 'Tr�gastel', '22', 'FR'),
(8257, '22540', 'Tr�glamus', '22', 'FR'),
(8258, '22400', 'Tr�gomar', '22', 'FR'),
(8259, '22590', 'Tr�gomeur', '22', 'FR'),
(8260, '22650', 'Tr�gon', '22', 'FR'),
(8261, '22200', 'Tr�gonneau', '22', 'FR'),
(8262, '22420', 'Tr�grom', '22', 'FR'),
(8263, '22950', 'Tr�gueux', '22', 'FR'),
(8264, '22290', 'Tr�guidel', '22', 'FR'),
(8265, '22220', 'Tr�guier', '22', 'FR'),
(8266, '22660', 'Tr�l�vern', '22', 'FR'),
(8267, '22100', 'Tr�livan', '22', 'FR'),
(8268, '22110', 'Tr�margat', '22', 'FR'),
(8269, '22310', 'Tr�mel', '22', 'FR'),
(8270, '22590', 'Tr�m�loir', '22', 'FR'),
(8271, '22490', 'Tr�m�reuc', '22', 'FR'),
(8272, '22250', 'Tr�meur', '22', 'FR'),
(8273, '22290', 'Tr�meven', '22', 'FR'),
(8274, '22230', 'Tr�morel', '22', 'FR'),
(8275, '22440', 'Tr�muson', '22', 'FR'),
(8276, '22340', 'Tr�ogan', '22', 'FR'),
(8277, '22100', 'Tressaint', '22', 'FR'),
(8278, '22290', 'Tressignaux', '22', 'FR'),
(8279, '22600', 'Tr�v�', '22', 'FR'),
(8280, '22410', 'Tr�veneuc', '22', 'FR'),
(8281, '22290', 'Tr�v�rec', '22', 'FR'),
(8282, '22660', 'Tr�vou Tr�guignec', '22', 'FR'),
(8283, '22100', 'Tr�vron', '22', 'FR'),
(8284, '22450', 'Tr�z�ny', '22', 'FR'),
(8285, '22490', 'Trigavou', '22', 'FR'),
(8286, '22450', 'Trogu�ry', '22', 'FR'),
(8287, '22460', 'Uzel', '22', 'FR'),
(8288, '22690', 'La Vicomt� sur Rance', '22', 'FR'),
(8289, '22800', 'Le Vieux Bourg', '22', 'FR'),
(8290, '22420', 'Vieux March�', '22', 'FR'),
(8291, '22980', 'Vild� Guingalan', '22', 'FR'),
(8292, '22120', 'Yffiniac', '22', 'FR'),
(8293, '22930', 'Yvias', '22', 'FR'),
(8294, '22350', 'Yvignac', '22', 'FR'),
(8295, '22140', 'Gu�n�zan', '22', 'FR'),
(8296, '22140', 'Tr�zelan', '22', 'FR'),
(8297, '22430', 'Caroual', '22', 'FR'),
(8298, '22740', 'Kermouster', '22', 'FR'),
(8299, '22300', 'Locqu�meau', '22', 'FR'),
(8300, '22540', 'Le Quinquis', '22', 'FR'),
(8301, '22710', 'Bugu�l�s', '22', 'FR'),
(8302, '22710', 'Port Blanc', '22', 'FR'),
(8303, '22700', 'La Clart�', '22', 'FR'),
(8304, '22240', 'Sables d''Or les Pins', '22', 'FR'),
(8305, '22310', 'Saint Efflam', '22', 'FR'),
(8306, '22620', 'L''Arcouest', '22', 'FR'),
(8307, '22190', 'Les Rosaires', '22', 'FR'),
(8308, '22580', 'Keregal', '22', 'FR'),
(8309, '22410', 'Kertugal', '22', 'FR'),
(8310, '23150', 'Ahun', '23', 'FR'),
(8311, '23380', 'Ajain', '23', 'FR'),
(8312, '23200', 'Alleyrat', '23', 'FR'),
(8313, '23000', 'Anz�me', '23', 'FR'),
(8314, '23700', 'Arfeuille Ch�tain', '23', 'FR'),
(8315, '23210', 'Arr�nes', '23', 'FR'),
(8316, '23480', 'Ars', '23', 'FR'),
(8317, '23200', 'Aubusson', '23', 'FR'),
(8318, '23170', 'Auge', '23', 'FR'),
(8319, '23210', 'Aug�res', '23', 'FR'),
(8320, '23210', 'Aulon', '23', 'FR'),
(8321, '23400', 'Auriat', '23', 'FR'),
(8322, '23700', 'Auzances', '23', 'FR'),
(8323, '23210', 'Azat Chatenet', '23', 'FR'),
(8324, '23160', 'Azerables', '23', 'FR'),
(8325, '23120', 'Banize', '23', 'FR'),
(8326, '23260', 'Basville', '23', 'FR'),
(8327, '23160', 'Bazelat', '23', 'FR'),
(8328, '23260', 'Beissat', '23', 'FR'),
(8329, '23190', 'Bellegarde en Marche', '23', 'FR'),
(8330, '23210', 'B�n�vent l''Abbaye', '23', 'FR'),
(8331, '23270', 'B�t�te', '23', 'FR'),
(8332, '23140', 'Blaudeix', '23', 'FR'),
(8333, '23200', 'Blessac', '23', 'FR'),
(8334, '23220', 'Bonnat', '23', 'FR'),
(8335, '23230', 'Bord Saint Georges', '23', 'FR'),
(8336, '23400', 'Bosmoreau les Mines', '23', 'FR'),
(8337, '23200', 'Bosroger', '23', 'FR'),
(8338, '23220', 'Le Bourg d''Hem', '23', 'FR'),
(8339, '23400', 'Bourganeuf', '23', 'FR'),
(8340, '23600', 'Boussac', '23', 'FR'),
(8341, '23600', 'Boussac Bourg', '23', 'FR'),
(8342, '23000', 'La Brionne', '23', 'FR'),
(8343, '23700', 'Brousse', '23', 'FR'),
(8344, '23170', 'Budeli�re', '23', 'FR'),
(8345, '23320', 'Bussi�re Dunoise', '23', 'FR'),
(8346, '23700', 'Bussi�re Nouvelle', '23', 'FR'),
(8347, '23600', 'Bussi�re Saint Georges', '23', 'FR'),
(8348, '23800', 'Celle Dunoise', '23', 'FR'),
(8349, '23230', 'La Celle sous Gouzon', '23', 'FR'),
(8350, '23350', 'La Cellette', '23', 'FR'),
(8351, '23210', 'Ceyroux', '23', 'FR'),
(8352, '23480', 'Chamberaud', '23', 'FR'),
(8353, '23220', 'Chambon Sainte Croix', '23', 'FR'),
(8354, '23170', 'Chambon sur Voueize', '23', 'FR'),
(8355, '23110', 'Chambonchard', '23', 'FR'),
(8356, '23240', 'Chamborand', '23', 'FR'),
(8357, '23190', 'Champagnat', '23', 'FR'),
(8358, '23220', 'Champsanglard', '23', 'FR'),
(8359, '23160', 'La Chapelle Baloüe', '23', 'FR'),
(8360, '23250', 'La Chapelle Saint Martial', '23', 'FR'),
(8361, '23000', 'La Chapelle Taillefert', '23', 'FR'),
(8362, '23700', 'Chard', '23', 'FR'),
(8363, '23700', 'Charron', '23', 'FR'),
(8364, '23700', 'Ch�telard', '23', 'FR'),
(8365, '23430', 'Ch�telus le Marcheix', '23', 'FR'),
(8366, '23270', 'Ch�telus Malvaleix', '23', 'FR'),
(8367, '23130', 'Chauchet', '23', 'FR'),
(8368, '23200', 'La Chaussade', '23', 'FR'),
(8369, '23250', 'Chavanat', '23', 'FR'),
(8370, '23130', 'Ch�n�railles', '23', 'FR'),
(8371, '23220', 'Ch�niers', '23', 'FR'),
(8372, '23500', 'Clairavaux', '23', 'FR'),
(8373, '23270', 'Clugnat', '23', 'FR'),
(8374, '23800', 'Colondannes', '23', 'FR'),
(8375, '23700', 'Le Compas', '23', 'FR'),
(8376, '23100', 'La Courtine', '23', 'FR'),
(8377, '23140', 'Cressat', '23', 'FR'),
(8378, '23260', 'Crocq', '23', 'FR'),
(8379, '23160', 'Crozant', '23', 'FR'),
(8380, '23500', 'Croze', '23', 'FR'),
(8381, '23140', 'Domeyrot', '23', 'FR'),
(8382, '23700', 'Dontreix', '23', 'FR'),
(8383, '23480', 'Le Donzeil', '23', 'FR'),
(8384, '23800', 'Dun le Palestel', '23', 'FR'),
(8385, '23110', '�vaux les Bains', '23', 'FR'),
(8386, '23340', 'Faux la Montagne', '23', 'FR'),
(8387, '23400', 'Faux Mazuras', '23', 'FR'),
(8388, '23500', 'Felletin', '23', 'FR'),
(8389, '23100', 'F�niers', '23', 'FR'),
(8390, '23260', 'Flayat', '23', 'FR'),
(8391, '23320', 'Fleurat', '23', 'FR'),
(8392, '23110', 'Fontani�res', '23', 'FR'),
(8393, '23360', 'La For�t du Temple', '23', 'FR'),
(8394, '23480', 'Frans�ches', '23', 'FR'),
(8395, '23450', 'Fresselines', '23', 'FR'),
(8396, '23320', 'Gartempe', '23', 'FR'),
(8397, '23350', 'Genouillac', '23', 'FR'),
(8398, '23340', 'Gentioux Pigerolles', '23', 'FR'),
(8399, '23500', 'Gioux', '23', 'FR'),
(8400, '23380', 'Gl�nic', '23', 'FR'),
(8401, '23230', 'Gouzon', '23', 'FR'),
(8402, '23230', 'Gouzougnat', '23', 'FR'),
(8403, '23240', 'Le Grand Bourg', '23', 'FR'),
(8404, '23000', 'Gu�ret', '23', 'FR'),
(8405, '23130', 'Issoudun L�trieix', '23', 'FR'),
(8406, '23270', 'Jalesches', '23', 'FR'),
(8407, '23250', 'Janaillat', '23', 'FR'),
(8408, '23140', 'Jarnages', '23', 'FR'),
(8409, '23220', 'Jouillat', '23', 'FR'),
(8410, '23270', 'Ladapeyre', '23', 'FR'),
(8411, '23800', 'Lafat', '23', 'FR'),
(8412, '23600', 'Lavaufranche', '23', 'FR'),
(8413, '23150', 'Lavaveix les Mines', '23', 'FR'),
(8414, '23170', 'L�paud', '23', 'FR'),
(8415, '23150', 'L�pinas', '23', 'FR'),
(8416, '23600', 'Leyrat', '23', 'FR'),
(8417, '23220', 'Linard', '23', 'FR'),
(8418, '23700', 'Lioux les Monges', '23', 'FR'),
(8419, '23240', 'Lizi�res', '23', 'FR'),
(8420, '23360', 'Lourdoueix Saint Pierre', '23', 'FR'),
(8421, '23190', 'Lupersat', '23', 'FR'),
(8422, '23170', 'Lussat', '23', 'FR'),
(8423, '23260', 'Magnat l''�trange', '23', 'FR'),
(8424, '23700', 'Mainsat', '23', 'FR'),
(8425, '23800', 'Maison Feyne', '23', 'FR'),
(8426, '23150', 'Maisonnisses', '23', 'FR'),
(8427, '23260', 'Malleret', '23', 'FR'),
(8428, '23600', 'Malleret Boussac', '23', 'FR'),
(8429, '23220', 'Malval', '23', 'FR'),
(8430, '23400', 'Mansat la Courri�re', '23', 'FR'),
(8431, '23700', 'Les Mars', '23', 'FR'),
(8432, '23210', 'Marsac', '23', 'FR'),
(8433, '23100', 'Le Mas d''Artige', '23', 'FR'),
(8434, '23400', 'Masbaraud M�rignat', '23', 'FR'),
(8435, '23190', 'Mautes', '23', 'FR'),
(8436, '23150', 'Mazeirat', '23', 'FR'),
(8437, '23260', 'Mazi�re aux Bons Hommes', '23', 'FR'),
(8438, '23360', 'M�asnes', '23', 'FR'),
(8439, '23420', 'M�rinchal', '23', 'FR'),
(8440, '23320', 'Montaigut le Blanc', '23', 'FR'),
(8441, '23400', 'Montboucher', '23', 'FR'),
(8442, '23460', 'Le Monteil au Vicomte', '23', 'FR'),
(8443, '23220', 'Mortroux', '23', 'FR'),
(8444, '23210', 'Mourioux Vieilleville', '23', 'FR'),
(8445, '23150', 'Moutier d''Ahun', '23', 'FR'),
(8446, '23220', 'Moutier Malcard', '23', 'FR'),
(8447, '23200', 'Moutier Rozeille', '23', 'FR'),
(8448, '23800', 'Naillat', '23', 'FR'),
(8449, '23200', 'N�oux', '23', 'FR'),
(8450, '23300', 'Noth', '23', 'FR'),
(8451, '23500', 'La Nouaille', '23', 'FR'),
(8452, '23170', 'Nouhant', '23', 'FR'),
(8453, '23600', 'Nouzerines', '23', 'FR'),
(8454, '23360', 'Nouzerolles', '23', 'FR'),
(8455, '23350', 'Nouziers', '23', 'FR'),
(8456, '23140', 'Parsac', '23', 'FR'),
(8457, '23000', 'Peyrabout', '23', 'FR'),
(8458, '23130', 'Peyrat la Noni�re', '23', 'FR'),
(8459, '23130', 'Pierrefitte', '23', 'FR'),
(8460, '23340', 'Pigerolles', '23', 'FR'),
(8461, '23140', 'Pionnat', '23', 'FR'),
(8462, '23250', 'Pontarion', '23', 'FR'),
(8463, '23260', 'Pontcharraud', '23', 'FR'),
(8464, '23250', 'La Pouge', '23', 'FR'),
(8465, '23500', 'Poussanges', '23', 'FR'),
(8466, '23130', 'Puy Malsignat', '23', 'FR'),
(8467, '23110', 'Reterre', '23', 'FR'),
(8468, '23140', 'Rimondeix', '23', 'FR'),
(8469, '23270', 'Roches', '23', 'FR'),
(8470, '23200', 'La Rochette', '23', 'FR'),
(8471, '23700', 'Rougnat', '23', 'FR'),
(8472, '23460', 'Roy�re de Vassivi�re', '23', 'FR'),
(8473, '23800', 'Sagnat', '23', 'FR'),
(8474, '23110', 'Sannat', '23', 'FR'),
(8475, '23250', 'Sardent', '23', 'FR'),
(8476, '23000', 'La Sauni�re', '23', 'FR'),
(8477, '23000', 'Savennes', '23', 'FR'),
(8478, '23700', 'Sermur', '23', 'FR'),
(8479, '23190', 'La Serre Bussi�re Vieille', '23', 'FR'),
(8480, '23250', 'Soubrebost', '23', 'FR'),
(8481, '23600', 'Soumans', '23', 'FR'),
(8482, '23150', 'Sous Parsat', '23', 'FR'),
(8483, '23300', 'La Souterraine', '23', 'FR'),
(8484, '23300', 'Saint Agnant de Versillat', '23', 'FR'),
(8485, '23260', 'Saint Agnant pr�s Crocq', '23', 'FR'),
(8486, '23200', 'Saint Alpinien', '23', 'FR'),
(8487, '23200', 'Saint Amand', '23', 'FR'),
(8488, '23400', 'Saint Amand Jartoudeix', '23', 'FR'),
(8489, '23200', 'Saint Avit de Tardes', '23', 'FR'),
(8490, '23480', 'Saint Avit le Pauvre', '23', 'FR'),
(8491, '23260', 'Saint Bard', '23', 'FR'),
(8492, '23130', 'Saint Chabrais', '23', 'FR'),
(8493, '23000', 'Saint Christophe', '23', 'FR'),
(8494, '23130', 'Saint Dizier la Tour', '23', 'FR'),
(8495, '23270', 'Saint Dizier les Domaines', '23', 'FR'),
(8496, '23400', 'Saint Dizier Leyrenne', '23', 'FR'),
(8497, '23190', 'Saint Domet', '23', 'FR'),
(8498, '23000', 'Saint �loi', '23', 'FR'),
(8499, '23290', 'Saint �tienne de Fursac', '23', 'FR'),
(8500, '23000', 'Ste Feyre', '23', 'FR'),
(8501, '23500', 'Ste Feyre la Montagne', '23', 'FR'),
(8502, '23000', 'Saint Fiel', '23', 'FR'),
(8503, '23500', 'Saint Frion', '23', 'FR'),
(8504, '23250', 'Saint Georges la Pouge', '23', 'FR'),
(8505, '23500', 'Saint Georges Nigremont', '23', 'FR'),
(8506, '23160', 'Saint Germain Beaupr�', '23', 'FR'),
(8507, '23430', 'Saint Goussaud', '23', 'FR'),
(8508, '23150', 'Saint Hilaire la Plaine', '23', 'FR'),
(8509, '23250', 'Saint Hilaire le Ch�teau', '23', 'FR'),
(8510, '23110', 'Saint Julien la Gen�te', '23', 'FR'),
(8511, '23130', 'Saint Julien le Ch�tel', '23', 'FR'),
(8512, '23400', 'Saint Junien la Breg�re', '23', 'FR'),
(8513, '23000', 'Saint Laurent', '23', 'FR'),
(8514, '23300', 'Saint L�ger Bridereix', '23', 'FR'),
(8515, '23000', 'Saint L�ger le Gu�r�tois', '23', 'FR'),
(8516, '23130', 'Saint Loup', '23', 'FR'),
(8517, '23200', 'Saint Maixant', '23', 'FR'),
(8518, '23200', 'Saint Marc �  Frongier', '23', 'FR'),
(8519, '23460', 'Saint Marc �  Loubaud', '23', 'FR'),
(8520, '23600', 'Saint Marien', '23', 'FR'),
(8521, '23150', 'Saint Martial le Mont', '23', 'FR'),
(8522, '23100', 'Saint Martial le Vieux', '23', 'FR'),
(8523, '23460', 'Saint Martin Ch�teau', '23', 'FR'),
(8524, '23430', 'Saint Martin Sainte Catherine', '23', 'FR'),
(8525, '23260', 'Saint Maurice pr�s Crocq', '23', 'FR'),
(8526, '23300', 'Saint Maurice la Souterraine', '23', 'FR'),
(8527, '23200', 'St M�dard la Rochette', '23', 'FR'),
(8528, '23100', 'Saint Merd la Breuille', '23', 'FR'),
(8529, '23480', 'Saint Michel de Veisse', '23', 'FR'),
(8530, '23400', 'Saint Moreil', '23', 'FR'),
(8531, '23100', 'Saint Oradoux de Chirouze', '23', 'FR'),
(8532, '23260', 'Saint Oradoux pr�s Crocq', '23', 'FR'),
(8533, '23260', 'Saint Pardoux d''Arnet', '23', 'FR'),
(8534, '23400', 'St Pardoux Morterolles', '23', 'FR'),
(8535, '23200', 'Saint Pardoux le Neuf', '23', 'FR'),
(8536, '23150', 'Saint Pardoux les Cards', '23', 'FR'),
(8537, '23430', 'St Pierre Ch�rignat', '23', 'FR'),
(8538, '23290', 'Saint Pierre de Fursac', '23', 'FR'),
(8539, '23460', 'Saint Pierre Bellevue', '23', 'FR'),
(8540, '23600', 'Saint Pierre le Bost', '23', 'FR'),
(8541, '23110', 'Saint Priest', '23', 'FR'),
(8542, '23300', 'Saint Priest la Feuille', '23', 'FR'),
(8543, '23240', 'Saint Priest la Plaine', '23', 'FR'),
(8544, '23400', 'Saint Priest Palus', '23', 'FR'),
(8545, '23500', 'Saint Quentin la Chabanne', '23', 'FR'),
(8546, '23160', 'Saint S�bastien', '23', 'FR'),
(8547, '23600', 'Saint Silvain Bas le Roc', '23', 'FR'),
(8548, '23190', 'St Silvain Bellegarde', '23', 'FR'),
(8549, '23320', 'Saint Silvain Montaigut', '23', 'FR'),
(8550, '23140', 'Saint Silvain sous Toulx', '23', 'FR'),
(8551, '23800', 'Saint Sulpice le Dunois', '23', 'FR'),
(8552, '23000', 'Saint Sulpice le Gu�r�tois', '23', 'FR'),
(8553, '23480', 'Saint Sulpice les Champs', '23', 'FR'),
(8554, '23320', 'Saint Vaury', '23', 'FR'),
(8555, '23000', 'St Victor en Marche', '23', 'FR'),
(8556, '23460', 'Saint Yrieix la Montagne', '23', 'FR'),
(8557, '23150', 'Saint Yrieix les Bois', '23', 'FR'),
(8558, '23170', 'Tardes', '23', 'FR'),
(8559, '23350', 'Tercillat', '23', 'FR'),
(8560, '23250', 'Thauron', '23', 'FR'),
(8561, '23600', 'Toulx Sainte Croix', '23', 'FR'),
(8562, '23230', 'Trois Fonds', '23', 'FR'),
(8563, '23120', 'Valli�res', '23', 'FR'),
(8564, '23300', 'Vareilles', '23', 'FR'),
(8565, '23170', 'Verneiges', '23', 'FR'),
(8566, '23250', 'Vidaillat', '23', 'FR'),
(8567, '23170', 'Viersat', '23', 'FR'),
(8568, '23140', 'Vigeville', '23', 'FR'),
(8569, '23800', 'Villard', '23', 'FR'),
(8570, '23340', 'La Villedieu', '23', 'FR'),
(8571, '23260', 'Villeneuve', '23', 'FR'),
(8572, '23260', 'La Villetelle', '23', 'FR'),
(8573, '23460', 'Le Compeix', '23', 'FR'),
(8574, '23160', 'Forgevieille', '23', 'FR'),
(8575, '24300', 'Abjat sur Bandiat', '24', 'FR'),
(8576, '24460', 'Agonac', '24', 'FR'),
(8577, '24210', 'Ajat', '24', 'FR'),
(8578, '24480', 'All�s sur Dordogne', '24', 'FR'),
(8579, '24220', 'Allas les Mines', '24', 'FR'),
(8580, '24600', 'Allemans', '24', 'FR'),
(8581, '24270', 'Angoisse', '24', 'FR'),
(8582, '24160', 'Anlhiac', '24', 'FR'),
(8583, '24430', 'Annesse et Beaulieu', '24', 'FR'),
(8584, '24420', 'Antonne et Trigonant', '24', 'FR'),
(8585, '24590', 'Archignac', '24', 'FR'),
(8586, '24750', 'Atur', '24', 'FR'),
(8587, '24290', 'Aubas', '24', 'FR'),
(8588, '24260', 'Audrix', '24', 'FR'),
(8589, '24300', 'Augignac', '24', 'FR'),
(8590, '24320', 'Auriac de Bourzac', '24', 'FR'),
(8591, '24290', 'Auriac du P�rigord', '24', 'FR'),
(8592, '24210', 'Azerat', '24', 'FR'),
(8593, '24210', 'Bachellerie', '24', 'FR'),
(8594, '24390', 'Badefols d''Ans', '24', 'FR'),
(8595, '24150', 'Badefols sur Dordogne', '24', 'FR'),
(8596, '24150', 'Baneuil', '24', 'FR'),
(8597, '24560', 'Bardou', '24', 'FR'),
(8598, '24210', 'Bars', '24', 'FR'),
(8599, '24330', 'Bassilac', '24', 'FR'),
(8600, '24150', 'Bayac', '24', 'FR'),
(8601, '24440', 'Beaumont', '24', 'FR'),
(8602, '24400', 'Beaupouyet', '24', 'FR'),
(8603, '24120', 'Beauregard de Terrasson', '24', 'FR'),
(8604, '24140', 'Beauregard et Bassac', '24', 'FR'),
(8605, '24400', 'Beauronne', '24', 'FR'),
(8606, '24340', 'Beaussac', '24', 'FR'),
(8607, '24140', 'Beleymas', '24', 'FR'),
(8608, '24170', 'Belv�s', '24', 'FR'),
(8609, '24220', 'Berbigui�res', '24', 'FR'),
(8610, '24100', 'Bergerac', '24', 'FR'),
(8611, '24320', 'Bertric Bur�e', '24', 'FR'),
(8612, '24550', 'Besse', '24', 'FR'),
(8613, '24220', 'Beynac et Cazenac', '24', 'FR'),
(8614, '24220', 'B�zenac', '24', 'FR'),
(8615, '24310', 'Biras', '24', 'FR'),
(8616, '24540', 'Biron', '24', 'FR'),
(8617, '24330', 'Blis et Born', '24', 'FR'),
(8618, '24560', 'Boisse', '24', 'FR'),
(8619, '24390', 'Boisseuilh', '24', 'FR'),
(8620, '24640', 'La Boissi�re d''Ans', '24', 'FR'),
(8621, '24230', 'Bonneville et St Avit de Fumadi�r', '24', 'FR'),
(8622, '24440', 'Born de Champs', '24', 'FR'),
(8623, '24590', 'Borr�ze', '24', 'FR'),
(8624, '24130', 'Bosset', '24', 'FR'),
(8625, '24480', 'Bouillac', '24', 'FR'),
(8626, '24750', 'Boulazac', '24', 'FR'),
(8627, '24560', 'Bouniagues', '24', 'FR'),
(8628, '24310', 'Bourdeilles', '24', 'FR'),
(8629, '24300', 'Le Bourdeix', '24', 'FR'),
(8630, '24320', 'Bourg des Maisons', '24', 'FR'),
(8631, '24600', 'Bourg du Bost', '24', 'FR'),
(8632, '24400', 'Bourgnac', '24', 'FR'),
(8633, '24150', 'Bourniquel', '24', 'FR'),
(8634, '24110', 'Bourrou', '24', 'FR'),
(8635, '24320', 'Bouteilles Saint S�bastien', '24', 'FR'),
(8636, '24250', 'Bouzic', '24', 'FR'),
(8637, '24310', 'Brant�me', '24', 'FR'),
(8638, '24380', 'Breuilh', '24', 'FR'),
(8639, '24210', 'Brouchaud', '24', 'FR'),
(8640, '24260', 'Le Bugue', '24', 'FR'),
(8641, '24480', 'Buisson de Cadouin', '24', 'FR'),
(8642, '24350', 'Bussac', '24', 'FR'),
(8643, '24360', 'Busserolles', '24', 'FR'),
(8644, '24360', 'Bussi�re Badil', '24', 'FR'),
(8645, '24480', 'Cadouin', '24', 'FR'),
(8646, '24150', 'Cal�s', '24', 'FR'),
(8647, '24370', 'Calviac en P�rigord', '24', 'FR'),
(8648, '24550', 'Campagnac l�s Quercy', '24', 'FR'),
(8649, '24260', 'Campagne', '24', 'FR'),
(8650, '24140', 'Campsegret', '24', 'FR'),
(8651, '24530', 'Cantillac', '24', 'FR'),
(8652, '24540', 'Capdrot', '24', 'FR'),
(8653, '24370', 'Carlux', '24', 'FR'),
(8654, '24200', 'Carsac Aillac', '24', 'FR'),
(8655, '24610', 'Carsac de Gurson', '24', 'FR'),
(8656, '24170', 'Carv�s', '24', 'FR'),
(8657, '24120', 'La Cassagne', '24', 'FR'),
(8658, '24250', 'Castelnaud la Chapelle', '24', 'FR'),
(8659, '24220', 'Castels', '24', 'FR'),
(8660, '24150', 'Cause de Cl�rans', '24', 'FR'),
(8661, '24370', 'Cazoul�s', '24', 'FR'),
(8662, '24600', 'Celles', '24', 'FR'),
(8663, '24250', 'C�nac et Saint Julien', '24', 'FR'),
(8664, '24380', 'Cendrieux', '24', 'FR'),
(8665, '24320', 'Cercles', '24', 'FR'),
(8666, '24380', 'Chalagnac', '24', 'FR'),
(8667, '24800', 'Chaleix', '24', 'FR'),
(8668, '24530', 'Champagnac de B�lair', '24', 'FR'),
(8669, '24320', 'Champagne et Fontaine', '24', 'FR'),
(8670, '24750', 'Champcevinel', '24', 'FR'),
(8671, '24340', 'Champeaux et la Chapelle Pommier', '24', 'FR'),
(8672, '24360', 'Champniers et Reilhac', '24', 'FR'),
(8673, '24470', 'Champs Romain', '24', 'FR'),
(8674, '24650', 'Chancelade', '24', 'FR'),
(8675, '24640', 'Le Change', '24', 'FR'),
(8676, '24190', 'Chant�rac', '24', 'FR'),
(8677, '24320', 'Chapdeuil', '24', 'FR'),
(8678, '24290', 'La Chapelle Aubareil', '24', 'FR'),
(8679, '24530', 'La Chapelle Faucher', '24', 'FR'),
(8680, '24350', 'La Chapelle Gonaguet', '24', 'FR'),
(8681, '24320', 'La Chapelle Gr�signac', '24', 'FR'),
(8682, '24320', 'La Chapelle Montabourlet', '24', 'FR'),
(8683, '24300', 'La Chapelle Montmoreau', '24', 'FR'),
(8684, '24250', 'La Chapelle P�chaud', '24', 'FR'),
(8685, '24390', 'La Chapelle Saint Jean', '24', 'FR'),
(8686, '24600', 'Chassaignes', '24', 'FR'),
(8687, '24460', 'Ch�teau l''�v�que', '24', 'FR'),
(8688, '24120', 'Ch�tres', '24', 'FR'),
(8689, '24120', 'Chavagnac', '24', 'FR'),
(8690, '24410', 'Chenaud', '24', 'FR'),
(8691, '24320', 'Cherval', '24', 'FR'),
(8692, '24390', 'Cherveix Cubas', '24', 'FR'),
(8693, '24640', 'Chourgnac', '24', 'FR'),
(8694, '24170', 'Cladech', '24', 'FR'),
(8695, '24140', 'Clermont de Beauregard', '24', 'FR'),
(8696, '24160', 'Clermont d''Excideuil', '24', 'FR'),
(8697, '24560', 'Colombier', '24', 'FR'),
(8698, '24120', 'Coly', '24', 'FR'),
(8699, '24600', 'Comb�ranche et �peluche', '24', 'FR'),
(8700, '24530', 'Condat sur Trincou', '24', 'FR'),
(8701, '24570', 'Condat sur V�z�re', '24', 'FR'),
(8702, '24300', 'Connezac', '24', 'FR'),
(8703, '24560', 'Conne de Labarde', '24', 'FR'),
(8704, '24450', 'La Coquille', '24', 'FR'),
(8705, '24800', 'Corgnac sur l''Isle', '24', 'FR'),
(8706, '24750', 'Cornille', '24', 'FR'),
(8707, '24390', 'Coubjours', '24', 'FR'),
(8708, '24420', 'Coulaures', '24', 'FR'),
(8709, '24660', 'Coulounieix Chamiers', '24', 'FR'),
(8710, '24430', 'Coursac', '24', 'FR'),
(8711, '24520', 'Cours de Pile', '24', 'FR'),
(8712, '24320', 'Coutures', '24', 'FR'),
(8713, '24220', 'Coux et Bigaroque', '24', 'FR'),
(8714, '24150', 'Couze et Saint Front', '24', 'FR'),
(8715, '24350', 'Creyssac', '24', 'FR'),
(8716, '24100', 'Creysse', '24', 'FR'),
(8717, '24380', 'Creyssensac et Pissot', '24', 'FR'),
(8718, '24640', 'Cubjac', '24', 'FR'),
(8719, '24240', 'Cun�ges', '24', 'FR'),
(8720, '24250', 'Daglan', '24', 'FR'),
(8721, '24170', 'Doissat', '24', 'FR'),
(8722, '24250', 'Domme', '24', 'FR'),
(8723, '24120', 'La Dornac', '24', 'FR'),
(8724, '24350', 'Douchapt', '24', 'FR'),
(8725, '24140', 'Douville', '24', 'FR'),
(8726, '24330', 'La Douze', '24', 'FR'),
(8727, '24190', 'Douzillac', '24', 'FR'),
(8728, '24270', 'Dussac', '24', 'FR'),
(8729, '24410', '�chourgnac', '24', 'FR'),
(8730, '24380', '�glise Neuve de Vergt', '24', 'FR'),
(8731, '24400', '�glise Neuve d''Issac', '24', 'FR'),
(8732, '24420', 'Escoire', '24', 'FR'),
(8733, '24360', '�touars', '24', 'FR'),
(8734, '24160', 'Excideuil', '24', 'FR'),
(8735, '24700', 'Eygurande et Gardedeuil', '24', 'FR'),
(8736, '24330', 'Eyliac', '24', 'FR'),
(8737, '24500', 'Eymet', '24', 'FR'),
(8738, '24560', 'Plaisance', '24', 'FR'),
(8739, '24460', 'Eyvirat', '24', 'FR'),
(8740, '24800', 'Eyzerac', '24', 'FR'),
(8741, '24620', 'Eyzies de Tayac Sireuil', '24', 'FR'),
(8742, '24560', 'Falgueyrat', '24', 'FR'),
(8743, '24290', 'Fanlac', '24', 'FR'),
(8744, '24290', 'Les Farges', '24', 'FR'),
(8745, '24560', 'Faurilles', '24', 'FR'),
(8746, '24560', 'FAUX', '24', 'FR'),
(8747, '24410', 'Festalemps', '24', 'FR'),
(8748, '19600', 'La Feuillade', '19', 'FR'),
(8749, '24450', 'Firbeix', '24', 'FR'),
(8750, '24240', 'Flaugeac', '24', 'FR'),
(8751, '24130', 'Le Fleix', '24', 'FR'),
(8752, '24580', 'Fleurac', '24', 'FR'),
(8753, '24250', 'Florimont Gaumier', '24', 'FR'),
(8754, '24170', 'Fongalop', '24', 'FR'),
(8755, '24500', 'Fonroque', '24', 'FR'),
(8756, '24210', 'Fossemagne', '24', 'FR'),
(8757, '33220', 'Fougueyrolles', '33', 'FR'),
(8758, '24380', 'Fouleix', '24', 'FR'),
(8759, '24130', 'Fraisse', '24', 'FR'),
(8760, '24210', 'Gabillou', '24', 'FR'),
(8761, '24240', 'Gageac et Rouillac', '24', 'FR'),
(8762, '24680', 'Gardonne', '24', 'FR'),
(8763, '24540', 'Gaugeac', '24', 'FR'),
(8764, '24160', 'G�nis', '24', 'FR'),
(8765, '24130', 'Ginestet', '24', 'FR'),
(8766, '24310', 'La Gonterie Boulouneix', '24', 'FR'),
(8767, '24320', 'Gout Rossignol', '24', 'FR'),
(8768, '24350', 'Grand Brassac', '24', 'FR'),
(8769, '24150', 'Grand Castang', '24', 'FR'),
(8770, '24390', 'Granges d''Ans', '24', 'FR'),
(8771, '24340', 'Les Graulges', '24', 'FR'),
(8772, '24120', 'Gr�zes', '24', 'FR'),
(8773, '24110', 'Grignols', '24', 'FR'),
(8774, '24170', 'Grives', '24', 'FR'),
(8775, '24250', 'Grol�jac', '24', 'FR'),
(8776, '24380', 'Grun Bordas', '24', 'FR'),
(8777, '24300', 'Hautefaye', '24', 'FR'),
(8778, '24390', 'Hautefort', '24', 'FR'),
(8779, '24400', 'Issac', '24', 'FR'),
(8780, '24560', 'Issigeac', '24', 'FR'),
(8781, '24140', 'Jaure', '24', 'FR'),
(8782, '24300', 'Javerlhac et la Chapelle St Rober', '24', 'FR'),
(8783, '24590', 'Jayac', '24', 'FR'),
(8784, '24410', 'La Jemaye', '24', 'FR'),
(8785, '24260', 'Journiac', '24', 'FR'),
(8786, '24630', 'Jumilhac le Grand', '24', 'FR'),
(8787, '24440', 'Labouquerie', '24', 'FR'),
(8788, '24380', 'Lacropte', '24', 'FR'),
(8789, '24340', 'Rudeau Ladosse', '24', 'FR'),
(8790, '24130', 'La Force', '24', 'FR'),
(8791, '24150', 'Lalinde', '24', 'FR'),
(8792, '24520', 'Lamonzie Montastruc', '24', 'FR'),
(8793, '24680', 'Lamonzie Saint Martin', '24', 'FR'),
(8794, '24230', 'Lamothe Montravel', '24', 'FR'),
(8795, '24270', 'Lanouaille', '24', 'FR'),
(8796, '24150', 'Lanquais', '24', 'FR'),
(8797, '24570', 'Lardin St Lazare', '24', 'FR'),
(8798, '24170', 'Larzac', '24', 'FR'),
(8799, '24540', 'Lavalade', '24', 'FR'),
(8800, '24550', 'Lavaur', '24', 'FR'),
(8801, '24130', 'Laveyssi�re', '24', 'FR'),
(8802, '24400', 'Les L�ches', '24', 'FR'),
(8803, '24340', 'L�guillac de Cercles', '24', 'FR'),
(8804, '24110', 'L�guillac de l''Auche', '24', 'FR'),
(8805, '24100', 'Lembras', '24', 'FR'),
(8806, '24800', 'Lempzours', '24', 'FR'),
(8807, '24460', 'Ligueux', '24', 'FR'),
(8808, '24510', 'Limeuil', '24', 'FR'),
(8809, '24210', 'Limeyrat', '24', 'FR'),
(8810, '24520', 'Liorac sur Louyre', '24', 'FR'),
(8811, '24350', 'Lisle', '24', 'FR'),
(8812, '24540', 'Lolme', '24', 'FR'),
(8813, '24550', 'Loubejac', '24', 'FR'),
(8814, '24130', 'Lunas', '24', 'FR'),
(8815, '24320', 'Lusignac', '24', 'FR'),
(8816, '24300', 'Lussas et Nontronneau', '24', 'FR'),
(8817, '24620', 'Manaurie', '24', 'FR'),
(8818, '24560', 'Mandacou', '24', 'FR'),
(8819, '24110', 'Manzac sur Vern', '24', 'FR'),
(8820, '24200', 'Marcillac Saint Quentin', '24', 'FR'),
(8821, '24340', 'Mareuil', '24', 'FR'),
(8822, '24220', 'Marnac', '24', 'FR'),
(8823, '24620', 'Marquay', '24', 'FR'),
(8824, '24430', 'Marsac sur l''Isle', '24', 'FR'),
(8825, '24540', 'Marsal�s', '24', 'FR'),
(8826, '24750', 'Marsaneix', '24', 'FR'),
(8827, '24140', 'Maurens', '24', 'FR'),
(8828, '24150', 'Mauzac et Grand Castang', '24', 'FR'),
(8829, '24260', 'Mauzens et Miremont', '24', 'FR'),
(8830, '24420', 'Mayac', '24', 'FR'),
(8831, '24550', 'Mazeyrolles', '24', 'FR'),
(8832, '24700', 'M�nesplet', '24', 'FR'),
(8833, '24350', 'Mensignac', '24', 'FR'),
(8834, '24240', 'Mescoul�s', '24', 'FR'),
(8835, '24220', 'Meyrals', '24', 'FR'),
(8836, '24450', 'Mialet', '24', 'FR'),
(8837, '24330', 'Milhac d''Auberoche', '24', 'FR'),
(8838, '24470', 'Milhac de Nontron', '24', 'FR'),
(8839, '24610', 'Minzac', '24', 'FR'),
(8840, '24480', 'Moli�res', '24', 'FR'),
(8841, '24240', 'Monbazillac', '24', 'FR'),
(8842, '24240', 'Monbos', '24', 'FR'),
(8843, '24240', 'Monestier', '24', 'FR'),
(8844, '24130', 'Monfaucon', '24', 'FR'),
(8845, '24560', 'Monmadal�s', '24', 'FR'),
(8846, '24560', 'Monmarv�s', '24', 'FR'),
(8847, '24540', 'Monpazier', '24', 'FR'),
(8848, '24440', 'Monsac', '24', 'FR'),
(8849, '24560', 'Monsaguel', '24', 'FR'),
(8850, '24340', 'Monsec', '24', 'FR'),
(8851, '24210', 'Montagnac d''Auberoche', '24', 'FR'),
(8852, '24140', 'Montagnac la Crempse', '24', 'FR'),
(8853, '24350', 'Montagrier', '24', 'FR'),
(8854, '24560', 'Montaut', '24', 'FR'),
(8855, '24230', 'Montazeau', '24', 'FR'),
(8856, '24230', 'Montcaret', '24', 'FR'),
(8857, '24440', 'Montferrand du P�rigord', '24', 'FR'),
(8858, '24290', 'Montignac', '24', 'FR'),
(8859, '24610', 'Montpeyroux', '24', 'FR'),
(8860, '24170', 'Monplaisant', '24', 'FR'),
(8861, '24700', 'Montpon M�nest�rol', '24', 'FR'),
(8862, '24110', 'Montrem', '24', 'FR'),
(8863, '24520', 'Mouleydier', '24', 'FR'),
(8864, '24700', 'Moulin Neuf', '24', 'FR'),
(8865, '24220', 'Mouzens', '24', 'FR'),
(8866, '24400', 'Mussidan', '24', 'FR'),
(8867, '24250', 'Nabirat', '24', 'FR'),
(8868, '24590', 'Nadaillac', '24', 'FR'),
(8869, '24390', 'Nailhac', '24', 'FR'),
(8870, '24320', 'Nanteuil Auriac de Bourzac', '24', 'FR'),
(8871, '24800', 'Nantheuil', '24', 'FR'),
(8872, '24800', 'Nanthiat', '24', 'FR'),
(8873, '24230', 'Nastringues', '24', 'FR'),
(8874, '24440', 'Naussannes', '24', 'FR'),
(8875, '24460', 'N�grondes', '24', 'FR'),
(8876, '24190', 'Neuvic', '24', 'FR'),
(8877, '24440', 'Nojals et Clotte', '24', 'FR'),
(8878, '24300', 'Nontron', '24', 'FR'),
(8879, '24660', 'Notre Dame de Sanilhac', '24', 'FR'),
(8880, '24170', 'Orliac', '24', 'FR'),
(8881, '24370', 'Orliaguet', '24', 'FR'),
(8882, '24480', 'Paleyrac', '24', 'FR'),
(8883, '24410', 'Parcoul', '24', 'FR'),
(8884, '24590', 'Paulin', '24', 'FR'),
(8885, '24510', 'Paunat', '24', 'FR'),
(8886, '24310', 'Paussac et Saint Vivien', '24', 'FR'),
(8887, '24270', 'Payzac', '24', 'FR'),
(8888, '24120', 'Pazayac', '24', 'FR'),
(8889, '24000', 'P�rigueux', '24', 'FR'),
(8890, '24660', 'P�rigueux', '24', 'FR'),
(8891, '24750', 'P�rigueux', '24', 'FR'),
(8892, '24600', 'Petit Bersac', '24', 'FR'),
(8893, '24210', 'Peyrignac', '24', 'FR'),
(8894, '24370', 'Peyrillac et Millac', '24', 'FR'),
(8895, '24620', 'Peyzac le Moustier', '24', 'FR'),
(8896, '24510', 'P�zuls', '24', 'FR'),
(8897, '24360', 'Pi�gut Pluviers', '24', 'FR'),
(8898, '24700', 'Le Pizou', '24', 'FR'),
(8899, '24580', 'Plazac', '24', 'FR'),
(8900, '24240', 'Pomport', '24', 'FR'),
(8901, '24410', 'Ponteyraud', '24', 'FR'),
(8902, '24150', 'Pontours', '24', 'FR'),
(8903, '33220', 'Port Ste Foy et Ponchapt', '33', 'FR'),
(8904, '24370', 'Prats de Carlux', '24', 'FR'),
(8905, '24550', 'Prats du P�rigord', '24', 'FR'),
(8906, '24150', 'Pressignac Vicq', '24', 'FR'),
(8907, '24160', 'Preyssac d''Excideuil', '24', 'FR'),
(8908, '24130', 'Prigonrieux', '24', 'FR'),
(8909, '24200', 'Proissans', '24', 'FR'),
(8910, '24240', 'Puyguilhem', '24', 'FR'),
(8911, '24410', 'Puymangou', '24', 'FR'),
(8912, '24340', 'Puyrenier', '24', 'FR'),
(8913, '24140', 'Queyssac', '24', 'FR'),
(8914, '24530', 'Quinsac', '24', 'FR'),
(8915, '24440', 'Rampieux', '24', 'FR'),
(8916, '24500', 'Razac d''Eymet', '24', 'FR'),
(8917, '24240', 'Razac de Saussignac', '24', 'FR'),
(8918, '24430', 'Razac sur l''Isle', '24', 'FR'),
(8919, '24240', 'Ribagnac', '24', 'FR'),
(8920, '24600', 'Rib�rac', '24', 'FR'),
(8921, '24340', 'Rochebeaucourt et Argentine', '24', 'FR'),
(8922, '24490', 'La Roche Chalais', '24', 'FR'),
(8923, '24250', 'La Roque Gageac', '24', 'FR'),
(8924, '24580', 'Rouffignac St Cernin de Reilhac', '24', 'FR'),
(8925, '24240', 'Rouffignac de Sigoul�s', '24', 'FR'),
(8926, '24500', 'Sadillac', '24', 'FR'),
(8927, '24170', 'Sagelat', '24', 'FR'),
(8928, '24520', 'St Agne', '24', 'FR'),
(8929, '24510', 'Ste Alv�re', '24', 'FR'),
(8930, '24170', 'Saint Amand de Belv�s', '24', 'FR'),
(8931, '24290', 'Saint Amand de Coly', '24', 'FR'),
(8932, '24380', 'Saint Amand de Vergt', '24', 'FR'),
(8933, '24200', 'Saint Andr� d''Allas', '24', 'FR'),
(8934, '24190', 'Saint Andr� de Double', '24', 'FR'),
(8935, '24410', 'Saint Antoine Cumond', '24', 'FR'),
(8936, '24330', 'Saint Antoine d''Auberoche', '24', 'FR'),
(8937, '24230', 'Saint Antoine de Breuilh', '24', 'FR'),
(8938, '24110', 'Saint Aquilin', '24', 'FR'),
(8939, '24110', 'St Astier', '24', 'FR'),
(8940, '24500', 'Saint Aubin de Cadelech', '24', 'FR'),
(8941, '24560', 'Saint Aubin de Lanquais', '24', 'FR'),
(8942, '24250', 'Saint Aubin de Nabirat', '24', 'FR'),
(8943, '24410', 'Saint Aulaye', '24', 'FR'),
(8944, '24260', 'Saint Avit de Vialard', '24', 'FR'),
(8945, '24540', 'Saint Avit Rivi�re', '24', 'FR'),
(8946, '24440', 'Saint Avit S�nieur', '24', 'FR'),
(8947, '24700', 'St Barth�lemy de Bellegarde', '24', 'FR'),
(8948, '24360', 'Saint Barth�lemy de Bussi�re', '24', 'FR'),
(8949, '24150', 'Saint Capraise de Lalinde', '24', 'FR'),
(8950, '24500', 'Saint Capraise d''Eymet', '24', 'FR'),
(8951, '24540', 'Saint Cassien', '24', 'FR'),
(8952, '24560', 'Saint Cernin de Labarde', '24', 'FR'),
(8953, '24550', 'Saint Cernin de l''Herm', '24', 'FR'),
(8954, '24580', 'Saint Cernin de Reillac', '24', 'FR'),
(8955, '24260', 'Saint Chamassy', '24', 'FR'),
(8956, '24260', 'Saint Cirq', '24', 'FR'),
(8957, '24330', 'Saint Cr�pin d''Auberoche', '24', 'FR'),
(8958, '24310', 'Saint Cr�pin de Richemont', '24', 'FR'),
(8959, '24590', 'Saint Cr�pin et Carlucet', '24', 'FR'),
(8960, '24440', 'Ste Croix', '24', 'FR'),
(8961, '24340', 'Sainte Croix de Mareuil', '24', 'FR'),
(8962, '24250', 'Saint Cybranet', '24', 'FR'),
(8963, '24220', 'Saint Cyprien', '24', 'FR'),
(8964, '24270', 'Saint Cyr les Champagnes', '24', 'FR'),
(8965, '24360', 'St Est�phe', '24', 'FR'),
(8966, '24400', 'Saint �tienne de Puycorbier', '24', 'FR'),
(8967, '24640', 'Sainte Eulalie d''Ans', '24', 'FR'),
(8968, '24500', 'Sainte Eulalie d''Eymet', '24', 'FR'),
(8969, '24340', 'Saint F�lix de Bourdeilles', '24', 'FR'),
(8970, '24260', 'Saint F�lix de Reillac et Mortemart', '24', 'FR'),
(8971, '24510', 'Saint F�lix de Villadeix', '24', 'FR'),
(8972, '24170', 'Sainte Foy de Belv�s', '24', 'FR'),
(8973, '24510', 'Sainte Foy de Longas', '24', 'FR'),
(8974, '24460', 'Saint Front d''Alemps', '24', 'FR'),
(8975, '24400', 'Saint Front de Pradoux', '24', 'FR'),
(8976, '24300', 'Saint Front la Rivi�re', '24', 'FR'),
(8977, '24300', 'Saint Front sur Nizonne', '24', 'FR'),
(8978, '24590', 'Saint Geni�s', '24', 'FR'),
(8979, '24130', 'St Georges Blancaneix', '24', 'FR'),
(8980, '24140', 'St Georges de Montclard', '24', 'FR'),
(8981, '24700', 'Saint G�raud de Corps', '24', 'FR'),
(8982, '24170', 'Saint Germain de Belv�s', '24', 'FR'),
(8983, '24160', 'Saint Germain des Pr�s', '24', 'FR'),
(8984, '24190', 'Saint Germain du Salembre', '24', 'FR'),
(8985, '24520', 'Saint Germain et Mons', '24', 'FR'),
(8986, '24400', 'Saint G�ry', '24', 'FR'),
(8987, '24330', 'Saint Geyrac', '24', 'FR'),
(8988, '24140', 'Saint Hilaire d''Estissac', '24', 'FR'),
(8989, '24500', 'Sainte Innocence', '24', 'FR'),
(8990, '24190', 'St Jean d''Ataux', '24', 'FR'),
(8991, '24800', 'Saint Jean de C�le', '24', 'FR'),
(8992, '24140', 'Saint Jean d''Estissac', '24', 'FR'),
(8993, '24140', 'Saint Jean d''Eyraud', '24', 'FR'),
(8994, '24800', 'St Jory de Chalais', '24', 'FR'),
(8995, '24160', 'Saint Jory las Bloux', '24', 'FR'),
(8996, '24310', 'Saint Julien de Bourdeilles', '24', 'FR'),
(8997, '24140', 'Saint Julien de Crempse', '24', 'FR'),
(8998, '24370', 'Saint Julien de Lampon', '24', 'FR'),
(8999, '24500', 'Saint Julien d''Eymet', '24', 'FR'),
(9000, '24320', 'Saint Just', '24', 'FR'),
(9001, '24510', 'Saint Laurent des B�tons', '24', 'FR'),
(9002, '24400', 'Saint Laurent des Hommes', '24', 'FR'),
(9003, '24100', 'Saint Laurent des Vignes', '24', 'FR'),
(9004, '24170', 'Saint Laurent la Vall�e', '24', 'FR'),
(9005, '24330', 'Saint Laurent sur Manoire', '24', 'FR'),
(9006, '24560', 'Saint L�on d''Issigeac', '24', 'FR'),
(9007, '24110', 'Saint L�on sur l''Isle', '24', 'FR'),
(9008, '24290', 'Saint L�on sur V�z�re', '24', 'FR'),
(9009, '24400', 'Saint Louis en l''Isle', '24', 'FR'),
(9010, '24510', 'Saint Marcel du P�rigord', '24', 'FR'),
(9011, '24540', 'Saint Marcory', '24', 'FR'),
(9012, '24330', 'Sainte Marie de Chignac', '24', 'FR'),
(9013, '24160', 'Saint Martial d''Albar�de', '24', 'FR'),
(9014, '24700', 'Saint Martial d''Artenset', '24', 'FR'),
(9015, '24250', 'Saint Martial de Nabirat', '24', 'FR'),
(9016, '24300', 'Saint Martial de Valette', '24', 'FR'),
(9017, '24320', 'Saint Martial Viveyrol', '24', 'FR'),
(9018, '24800', 'Saint Martin de Fressengeas', '24', 'FR'),
(9019, '24610', 'St Martin de Gurson', '24', 'FR'),
(9020, '24600', 'Saint Martin de Rib�rac', '24', 'FR'),
(9021, '24140', 'Saint Martin des Combes', '24', 'FR'),
(9022, '24400', 'Saint Martin l''Astier', '24', 'FR'),
(9023, '24300', 'Saint Martin le Pin', '24', 'FR'),
(9024, '24380', 'St Maime de P�reyrol', '24', 'FR'),
(9025, '24600', 'St M�ard de Dr�ne', '24', 'FR'),
(9026, '24610', 'Saint M�ard de Gur�on', '24', 'FR'),
(9027, '24400', 'Saint M�dard de Mussidan', '24', 'FR'),
(9028, '24160', 'St M�dard d''Excideuil', '24', 'FR'),
(9029, '24270', 'Saint Mesmin', '24', 'FR'),
(9030, '24400', 'Saint Michel de Double', '24', 'FR'),
(9031, '24230', 'Saint Michel de Montaigne', '24', 'FR'),
(9032, '24490', 'Saint Michel de Rivi�re', '24', 'FR'),
(9033, '24380', 'Saint Michel de Villadeix', '24', 'FR'),
(9034, '24370', 'Sainte Mondane', '24', 'FR'),
(9035, '24200', 'Sainte Nathal�ne', '24', 'FR'),
(9036, '24520', 'Saint Nexans', '24', 'FR'),
(9037, '24210', 'Sainte Orse', '24', 'FR'),
(9038, '24530', 'Saint Pancrace', '24', 'FR'),
(9039, '24640', 'Saint Pantaly d''Ans', '24', 'FR'),
(9040, '24160', 'Saint Pantaly d''Excideuil', '24', 'FR'),
(9041, '24600', 'St Pardoux de Dr�ne', '24', 'FR'),
(9042, '24170', 'Saint Pardoux et Vielvic', '24', 'FR'),
(9043, '24470', 'Saint Pardoux la Rivi�re', '24', 'FR'),
(9044, '24380', 'Saint Paul de Serre', '24', 'FR'),
(9045, '24800', 'Saint Paul la Roche', '24', 'FR'),
(9046, '24320', 'Saint Paul Lizonne', '24', 'FR'),
(9047, '24560', 'Saint Perdoux', '24', 'FR'),
(9048, '24330', 'Saint Pierre de Chignac', '24', 'FR'),
(9049, '24800', 'Saint Pierre de C�le', '24', 'FR'),
(9050, '24450', 'Saint Pierre de Frugie', '24', 'FR'),
(9051, '24130', 'Saint Pierre d''Eyraud', '24', 'FR'),
(9052, '24170', 'Saint Pompont', '24', 'FR'),
(9053, '24450', 'Saint Priest les Foug�res', '24', 'FR'),
(9054, '24410', 'Saint Privat des Pr�s', '24', 'FR'),
(9055, '24210', 'Saint Rabier', '24', 'FR'),
(9056, '24560', 'Ste Radegonde', '24', 'FR'),
(9057, '24160', 'Saint Rapha�l', '24', 'FR'),
(9058, '24700', 'Saint R�my', '24', 'FR'),
(9059, '24540', 'Saint Romain de Monpazier', '24', 'FR'),
(9060, '24800', 'Saint Romain et Saint Cl�ment', '24', 'FR'),
(9061, '24440', 'Ste Sabine Born', '24', 'FR'),
(9062, '24470', 'Saint Saud Lacoussi�re', '24', 'FR'),
(9063, '24520', 'St Sauveur', '24', 'FR'),
(9064, '24700', 'Saint Sauveur Lalande', '24', 'FR'),
(9065, '24230', 'Saint Seurin de Prats', '24', 'FR'),
(9066, '24190', 'Saint S�verin d''Estissac', '24', 'FR'),
(9067, '24340', 'Saint Sulpice de Mareuil', '24', 'FR'),
(9068, '24600', 'Saint Sulpice de Roumagnac', '24', 'FR'),
(9069, '24800', 'Saint Sulpice d''Excideuil', '24', 'FR'),
(9070, '24160', 'Sainte Trie', '24', 'FR'),
(9071, '24350', 'Saint Victor', '24', 'FR'),
(9072, '24190', 'Saint Vincent de Connezac', '24', 'FR'),
(9073, '24220', 'Saint Vincent de Cosse', '24', 'FR'),
(9074, '24410', 'Saint Vincent Jalmoutiers', '24', 'FR'),
(9075, '24200', 'Saint Vincent le Paluel', '24', 'FR'),
(9076, '24420', 'Saint Vincent sur l''Isle', '24', 'FR'),
(9077, '24230', 'St Vivien', '24', 'FR'),
(9078, '24160', 'Salagnac', '24', 'FR'),
(9079, '24590', 'Salignac Eyvignes', '24', 'FR'),
(9080, '24170', 'Salles de Belv�s', '24', 'FR'),
(9081, '24380', 'Salon', '24', 'FR'),
(9082, '24270', 'Sarlande', '24', 'FR'),
(9083, '24200', 'Sarlat la Can�da', '24', 'FR'),
(9084, '24420', 'Sarliac sur l''Isle', '24', 'FR'),
(9085, '24800', 'Sarrazac', '24', 'FR'),
(9086, '24240', 'Saussignac', '24', 'FR'),
(9087, '24260', 'Savignac de Miremont', '24', 'FR'),
(9088, '24300', 'Savignac de Nontron', '24', 'FR'),
(9089, '24270', 'Savignac L�drier', '24', 'FR'),
(9090, '24420', 'Savignac les �glises', '24', 'FR'),
(9091, '24300', 'Sceau Saint Angel', '24', 'FR'),
(9092, '24600', 'S�gonzac', '24', 'FR'),
(9093, '24310', 'Sencenac Puy de Fourches', '24', 'FR'),
(9094, '24290', 'Sergeac', '24', 'FR'),
(9095, '24500', 'Serres et Montguyard', '24', 'FR'),
(9096, '24410', 'Servanches', '24', 'FR'),
(9097, '24240', 'Sigoul�s', '24', 'FR'),
(9098, '24370', 'Simeyrols', '24', 'FR'),
(9099, '24500', 'Singleyrac', '24', 'FR'),
(9100, '24600', 'Siorac de Rib�rac', '24', 'FR'),
(9101, '24170', 'Siorac en P�rigord', '24', 'FR'),
(9102, '24620', 'Sireuil', '24', 'FR'),
(9103, '24420', 'Sorges', '24', 'FR'),
(9104, '24360', 'Soudat', '24', 'FR'),
(9105, '24540', 'Soulaures', '24', 'FR'),
(9106, '24400', 'Sourzac', '24', 'FR'),
(9107, '24620', 'Tamni�s', '24', 'FR'),
(9108, '24390', 'Teillots', '24', 'FR'),
(9109, '24390', 'Temple Laguyon', '24', 'FR'),
(9110, '24120', 'Terrasson la Villedieu', '24', 'FR'),
(9111, '24300', 'Teyjat', '24', 'FR'),
(9112, '24240', 'Th�nac', '24', 'FR'),
(9113, '24210', 'Thenon', '24', 'FR'),
(9114, '24800', 'Thiviers', '24', 'FR'),
(9115, '24290', 'Thonac', '24', 'FR'),
(9116, '24350', 'Tocane Saint Apre', '24', 'FR'),
(9117, '24320', 'La Tour Blanche', '24', 'FR'),
(9118, '24390', 'Tourtoirac', '24', 'FR'),
(9119, '24750', 'Tr�lissac', '24', 'FR'),
(9120, '24510', 'Tr�molat', '24', 'FR'),
(9121, '24620', 'Tursac', '24', 'FR'),
(9122, '24480', 'Urval', '24', 'FR'),
(9123, '24310', 'Valeuil', '24', 'FR'),
(9124, '24190', 'Vallereuil', '24', 'FR'),
(9125, '24290', 'Valojoulx', '24', 'FR'),
(9126, '24600', 'Vanxains', '24', 'FR'),
(9127, '24360', 'Varaignes', '24', 'FR'),
(9128, '24150', 'Varennes', '24', 'FR'),
(9129, '24800', 'Vaunac', '24', 'FR'),
(9130, '24230', 'V�lines', '24', 'FR'),
(9131, '24320', 'Vendoire', '24', 'FR'),
(9132, '24520', 'Verdon', '24', 'FR'),
(9133, '24380', 'Vergt', '24', 'FR'),
(9134, '24540', 'Vergt de Biron', '24', 'FR'),
(9135, '24320', 'Verteillac', '24', 'FR'),
(9136, '24370', 'Veyrignac', '24', 'FR'),
(9137, '24250', 'Veyrines de Domme', '24', 'FR'),
(9138, '24380', 'Veyrines de Vergt', '24', 'FR'),
(9139, '24220', 'V�zac', '24', 'FR'),
(9140, '24340', 'Vieux Mareuil', '24', 'FR'),
(9141, '24120', 'Villac', '24', 'FR'),
(9142, '24140', 'Villamblard', '24', 'FR'),
(9143, '24530', 'Villars', '24', 'FR'),
(9144, '24610', 'Villefranche de Lonchat', '24', 'FR'),
(9145, '24550', 'Villefranche du P�rigord', '24', 'FR'),
(9146, '24600', 'Villetoureix', '24', 'FR'),
(9147, '24200', 'Vitrac', '24', 'FR'),
(9148, '24560', 'Eyrenville', '24', 'FR'),
(9149, '25320', 'Abbans Dessous', '25', 'FR'),
(9150, '25440', 'Abbans Dessus', '25', 'FR'),
(9151, '25340', 'Abbenans', '25', 'FR'),
(9152, '25310', 'Abb�villers', '25', 'FR'),
(9153, '25250', 'Accolans', '25', 'FR'),
(9154, '25360', 'Adam l�s Passavant', '25', 'FR'),
(9155, '25530', 'Adam l�s Vercel', '25', 'FR'),
(9156, '25750', 'Aibre', '25', 'FR'),
(9157, '25360', 'Aissey', '25', 'FR'),
(9158, '25330', 'Alaise', '25', 'FR'),
(9159, '25490', 'Allenjoie', '25', 'FR'),
(9160, '25300', 'Les Alli�s', '25', 'FR'),
(9161, '25550', 'Allondans', '25', 'FR'),
(9162, '25220', 'Amagney', '25', 'FR'),
(9163, '25330', 'Amancey', '25', 'FR'),
(9164, '25330', 'Amathay V�signeux', '25', 'FR'),
(9165, '25330', 'Amondans', '25', 'FR'),
(9166, '25340', 'Anteuil', '25', 'FR'),
(9167, '25250', 'Appenans', '25', 'FR'),
(9168, '25400', 'Arbouans', '25', 'FR'),
(9169, '25610', 'Arc et Senans', '25', 'FR'),
(9170, '25750', 'Arcey', '25', 'FR'),
(9171, '25300', 'Ar�on', '25', 'FR'),
(9172, '25520', 'Arc sous Cicon', '25', 'FR'),
(9173, '25270', 'Arc sous Montenot', '25', 'FR'),
(9174, '25720', 'Arguel', '25', 'FR'),
(9175, '25580', 'Athose', '25', 'FR'),
(9176, '25520', 'Aubonne', '25', 'FR'),
(9177, '25170', 'Audeux', '25', 'FR'),
(9178, '25400', 'Audincourt', '25', 'FR'),
(9179, '25110', 'Autechaux', '25', 'FR'),
(9180, '25150', 'Autechaux Roide', '25', 'FR'),
(9181, '25870', 'Auxon Dessous', '25', 'FR'),
(9182, '25870', 'Auxon Dessus', '25', 'FR'),
(9183, '25720', 'Avanne Aveney', '25', 'FR'),
(9184, '25720', 'Aveney', '25', 'FR'),
(9185, '25680', 'Avilley', '25', 'FR'),
(9186, '25690', 'Avoudrey', '25', 'FR'),
(9187, '25490', 'Badevel', '25', 'FR'),
(9188, '25560', 'Bannans', '25', 'FR'),
(9189, '25210', 'Le Barboux', '25', 'FR'),
(9190, '25420', 'Bart', '25', 'FR'),
(9191, '25440', 'Bartherans', '25', 'FR'),
(9192, '25640', 'Battenans les Mines', '25', 'FR'),
(9193, '25380', 'Battenans Varin', '25', 'FR'),
(9194, '25110', 'Baume les Dames', '25', 'FR'),
(9195, '25550', 'Bavans', '25', 'FR'),
(9196, '25470', 'Belfays', '25', 'FR'),
(9197, '25500', 'Le B�lieu', '25', 'FR'),
(9198, '25380', 'Belleherbe', '25', 'FR'),
(9199, '25530', 'Belmont', '25', 'FR'),
(9200, '25430', 'Belvoir', '25', 'FR'),
(9201, '25420', 'Berche', '25', 'FR'),
(9202, '25410', 'Berthelange', '25', 'FR'),
(9203, '25000', 'Besan�on', '25', 'FR'),
(9204, '25200', 'Bethoncourt', '25', 'FR'),
(9205, '25720', 'Beure', '25', 'FR'),
(9206, '25250', 'Beutal', '25', 'FR'),
(9207, '25520', 'Bians les Usiers', '25', 'FR'),
(9208, '25190', 'Bief', '25', 'FR'),
(9209, '25210', 'Le Bizot', '25', 'FR'),
(9210, '25310', 'Blamont', '25', 'FR'),
(9211, '25120', 'Blanchefontaine', '25', 'FR'),
(9212, '25640', 'Blarians', '25', 'FR'),
(9213, '25250', 'Blussangeaux', '25', 'FR'),
(9214, '25250', 'Blussans', '25', 'FR'),
(9215, '25110', 'Bois la Ville', '25', 'FR'),
(9216, '25330', 'Bolandoz', '25', 'FR'),
(9217, '25230', 'Bondeval', '25', 'FR'),
(9218, '25680', 'Bonnal', '25', 'FR'),
(9219, '25870', 'Bonnay', '25', 'FR'),
(9220, '25210', 'Bonn�tage', '25', 'FR'),
(9221, '25560', 'Bonnevaux', '25', 'FR'),
(9222, '25620', 'Bonnevaux le Prieur�', '25', 'FR'),
(9223, '25210', 'La Bosse', '25', 'FR'),
(9224, '25360', 'Bouclans', '25', 'FR'),
(9225, '25560', 'Boujailles', '25', 'FR'),
(9226, '25160', 'Boujeons', '25', 'FR'),
(9227, '25150', 'Bourguignon', '25', 'FR'),
(9228, '25250', 'Bournois', '25', 'FR'),
(9229, '25320', 'Boussi�res', '25', 'FR'),
(9230, '25560', 'Bouverans', '25', 'FR'),
(9231, '25640', 'Braillans', '25', 'FR'),
(9232, '25340', 'Branne', '25', 'FR'),
(9233, '25640', 'Br�conchaux', '25', 'FR'),
(9234, '25530', 'Br�mondans', '25', 'FR'),
(9235, '25440', 'Br�res', '25', 'FR'),
(9236, '25120', 'Les Br�seux', '25', 'FR'),
(9237, '25640', 'La Breteni�re', '25', 'FR'),
(9238, '25250', 'Bretigney', '25', 'FR'),
(9239, '25110', 'Br�tigney Notre Dame', '25', 'FR'),
(9240, '25380', 'Bretonvillers', '25', 'FR'),
(9241, '25240', 'Brey et Maison du Bois', '25', 'FR'),
(9242, '25600', 'Brognard', '25', 'FR'),
(9243, '25440', 'Buffard', '25', 'FR'),
(9244, '25520', 'Bugny', '25', 'FR'),
(9245, '25560', 'Bulle', '25', 'FR'),
(9246, '25170', 'Burgille', '25', 'FR'),
(9247, '25470', 'Burnevillers', '25', 'FR'),
(9248, '25320', 'Busy', '25', 'FR'),
(9249, '25440', 'By', '25', 'FR'),
(9250, '25320', 'Byans sur Doubs', '25', 'FR'),
(9251, '25290', 'Cadem�ne', '25', 'FR'),
(9252, '25640', 'Cendrey', '25', 'FR'),
(9253, '25120', 'Cernay l''�glise', '25', 'FR'),
(9254, '25440', 'Cessey', '25', 'FR'),
(9255, '25300', 'Chaffois', '25', 'FR'),
(9256, '25220', 'Chal�ze', '25', 'FR'),
(9257, '25220', 'Chalezeule', '25', 'FR'),
(9258, '25380', 'Cham�sey', '25', 'FR'),
(9259, '25190', 'Chamesol', '25', 'FR'),
(9260, '25170', 'Champagney', '25', 'FR'),
(9261, '25360', 'Champlive', '25', 'FR'),
(9262, '25640', 'Champoux', '25', 'FR'),
(9263, '25110', 'Champvans l�s Baume', '25', 'FR'),
(9264, '25170', 'Champvans l�s Moulins', '25', 'FR'),
(9265, '25330', 'Chantrans', '25', 'FR'),
(9266, '25240', 'Chapelle des Bois', '25', 'FR'),
(9267, '25270', 'Chapelle d''Huin', '25', 'FR'),
(9268, '25620', 'Charbonni�res les Sapins', '25', 'FR'),
(9269, '25470', 'Charmauvillers', '25', 'FR'),
(9270, '25380', 'Charmoille', '25', 'FR'),
(9271, '25440', 'Charnay', '25', 'FR'),
(9272, '25140', 'Charquemont', '25', 'FR'),
(9273, '25580', 'Chasnans', '25', 'FR'),
(9274, '25290', 'Chassagne Saint Denis', '25', 'FR'),
(9275, '25840', 'Ch�teauvieux les Foss�s', '25', 'FR'),
(9276, '25240', 'Ch�telblanc', '25', 'FR'),
(9277, '25640', 'Ch�tillon Guyotte', '25', 'FR'),
(9278, '25870', 'Ch�tillon le Duc', '25', 'FR'),
(9279, '25440', 'Ch�tillon sur Lison', '25', 'FR'),
(9280, '25170', 'Chaucenne', '25', 'FR'),
(9281, '25640', 'Chaudefontaine', '25', 'FR'),
(9282, '25190', 'Terres de Chaux', '25', 'FR'),
(9283, '25650', 'La Chaux', '25', 'FR'),
(9284, '25340', 'Chaux l�s Clerval', '25', 'FR'),
(9285, '25530', 'Chaux l�s Passavant', '25', 'FR'),
(9286, '25240', 'Chaux Neuve', '25', 'FR'),
(9287, '25440', 'Chay', '25', 'FR'),
(9288, '25680', 'Chazelot', '25', 'FR'),
(9289, '25430', 'Chazot', '25', 'FR'),
(9290, '25320', 'Chemaudin', '25', 'FR'),
(9291, '25500', 'La Chenalotte', '25', 'FR'),
(9292, '25440', 'Chenecey Buillon', '25', 'FR'),
(9293, '25170', 'Chevigney sur l''Ognon', '25', 'FR'),
(9294, '25530', 'Chevigney l�s Vercel', '25', 'FR'),
(9295, '25620', 'Chevillotte', '25', 'FR'),
(9296, '25870', 'Chevroz', '25', 'FR'),
(9297, '25440', 'Chouzelot', '25', 'FR'),
(9298, '25330', 'Cl�ron', '25', 'FR'),
(9299, '25340', 'Clerval', '25', 'FR'),
(9300, '25300', 'La Cluse et Mijoux', '25', 'FR'),
(9301, '25260', 'Colombier Ch�telot', '25', 'FR'),
(9302, '25260', 'Colombier Fontaine', '25', 'FR'),
(9303, '25500', 'Les Combes', '25', 'FR'),
(9304, '25390', 'Consolation Maisonnettes', '25', 'FR'),
(9305, '25410', 'Corcelles Ferri�res', '25', 'FR'),
(9306, '25640', 'Corcelle Mieslot', '25', 'FR'),
(9307, '25410', 'Corcondray', '25', 'FR'),
(9308, '25170', 'Cordiron', '25', 'FR'),
(9309, '25360', 'C�tebrune', '25', 'FR'),
(9310, '25410', 'Cottier', '25', 'FR'),
(9311, '25420', 'Courcelles l�s Montb�liard', '25', 'FR'),
(9312, '25440', 'Courcelles', '25', 'FR'),
(9313, '25170', 'Courchapon', '25', 'FR'),
(9314, '25380', 'Cour Saint Maurice', '25', 'FR'),
(9315, '25470', 'ourtefontaine', '25', 'FR'),
(9316, '25530', 'Courtetain et Salans', '25', 'FR'),
(9317, '25560', 'Courvi�res', '25', 'FR'),
(9318, '25340', 'Crosey le Grand', '25', 'FR'),
(9319, '25340', 'Crosey le Petit', '25', 'FR'),
(9320, '25240', 'Le Crouzet', '25', 'FR'),
(9321, '25270', 'Crouzet Migette', '25', 'FR'),
(9322, '25680', 'Cubrial', '25', 'FR'),
(9323, '25680', 'Cubry', '25', 'FR'),
(9324, '25110', 'Cusance', '25', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(9325, '25680', 'Cuse et Adrisans', '25', 'FR'),
(9326, '25440', 'Cussey sur Lison', '25', 'FR'),
(9327, '25870', 'Cussey sur l''Ognon', '25', 'FR'),
(9328, '25150', 'Dambelin', '25', 'FR'),
(9329, '25600', 'Dambenois', '25', 'FR'),
(9330, '25110', 'Dammartin les Templiers', '25', 'FR'),
(9331, '25490', 'Dampierre les Bois', '25', 'FR'),
(9332, '25420', 'Dampierre sur le Doubs', '25', 'FR'),
(9333, '25190', 'Dampjoux', '25', 'FR'),
(9334, '25450', 'Damprichard', '25', 'FR'),
(9335, '25310', 'Dannemarie', '25', 'FR'),
(9336, '25410', 'Dannemarie sur Cr�te', '25', 'FR'),
(9337, '25230', 'Dasle', '25', 'FR'),
(9338, '25960', 'Deluz', '25', 'FR'),
(9339, '25750', 'D�sandans', '25', 'FR'),
(9340, '25330', 'D�servillers', '25', 'FR'),
(9341, '25870', 'Devecey', '25', 'FR'),
(9342, '25300', 'Dommartin', '25', 'FR'),
(9343, '25560', 'Dompierre les Tilleuls', '25', 'FR'),
(9344, '25510', 'Domprel', '25', 'FR'),
(9345, '25300', 'Doubs', '25', 'FR'),
(9346, '25330', 'Doulaize', '25', 'FR'),
(9347, '25380', 'Droitfontaine', '25', 'FR'),
(9348, '25550', 'Dung', '25', 'FR'),
(9349, '25580', 'Durnes', '25', 'FR'),
(9350, '25440', '�chay', '25', 'FR'),
(9351, '25550', 'Echenans', '25', 'FR'),
(9352, '25580', 'Echevannes', '25', 'FR'),
(9353, '25480', 'Ecole Valentin', '25', 'FR'),
(9354, '25140', 'Les �corces', '25', 'FR'),
(9355, '25150', '�cot', '25', 'FR'),
(9356, '25640', 'L''�couvotte', '25', 'FR'),
(9357, '25150', '�curcey', '25', 'FR'),
(9358, '25170', '�magny', '25', 'FR'),
(9359, '25530', '�penouse', '25', 'FR'),
(9360, '25800', '�penoy', '25', 'FR'),
(9361, '25290', '�peugney', '25', 'FR'),
(9362, '25110', 'Esnans', '25', 'FR'),
(9363, '25580', '�talans', '25', 'FR'),
(9364, '25330', '�ternoz', '25', 'FR'),
(9365, '25260', '�touvans', '25', 'FR'),
(9366, '25170', '�trabonne', '25', 'FR'),
(9367, '25250', '�trappe', '25', 'FR'),
(9368, '25800', '�tray', '25', 'FR'),
(9369, '25460', '�tupes', '25', 'FR'),
(9370, '25520', '�villers', '25', 'FR'),
(9371, '25400', 'Exincourt', '25', 'FR'),
(9372, '25530', 'Eysson', '25', 'FR'),
(9373, '25250', 'Faimbe', '25', 'FR'),
(9374, '25580', 'Fallerans', '25', 'FR'),
(9375, '25470', 'Ferri�res le Lac', '25', 'FR'),
(9376, '25410', 'Ferri�res les Bois', '25', 'FR'),
(9377, '25330', 'Fertans', '25', 'FR'),
(9378, '25490', 'Fesches le Ch�tel', '25', 'FR'),
(9379, '25470', 'Fessevillers', '25', 'FR'),
(9380, '25190', 'Feule', '25', 'FR'),
(9381, '25500', 'Les Fins', '25', 'FR'),
(9382, '25330', 'Flagey', '25', 'FR'),
(9383, '25640', 'Flagey Rigney', '25', 'FR'),
(9384, '25690', 'Flangebouche', '25', 'FR'),
(9385, '25190', 'Fleurey', '25', 'FR'),
(9386, '25660', 'Fontain', '25', 'FR'),
(9387, '25340', 'Fontaine l�s Clerval', '25', 'FR'),
(9388, '25340', 'Fontenelle Montby', '25', 'FR'),
(9389, '25210', 'Les Fontenelles', '25', 'FR'),
(9390, '25110', 'Fontenotte', '25', 'FR'),
(9391, '25620', 'Foucherans', '25', 'FR'),
(9392, '25110', 'Fourbanne', '25', 'FR'),
(9393, '25370', 'Fourcatier et Maison Neuve', '25', 'FR'),
(9394, '25440', 'Fourg', '25', 'FR'),
(9395, '25300', 'Les Fourgs', '25', 'FR'),
(9396, '25140', 'Fournet Blancheroche', '25', 'FR'),
(9397, '25140', 'Frambouhans', '25', 'FR'),
(9398, '25170', 'Franey', '25', 'FR'),
(9399, '25770', 'Franois', '25', 'FR'),
(9400, '25560', 'Frasne', '25', 'FR'),
(9401, '25120', 'Le Friolais', '25', 'FR'),
(9402, '25190', 'Froidevaux', '25', 'FR'),
(9403, '25390', 'Fuans', '25', 'FR'),
(9404, '25240', 'Gellin', '25', 'FR'),
(9405, '25250', 'G�monval', '25', 'FR'),
(9406, '25870', 'Geneuille', '25', 'FR'),
(9407, '25250', 'Geney', '25', 'FR'),
(9408, '25660', 'Gennes', '25', 'FR'),
(9409, '25510', 'Germ�fontaine', '25', 'FR'),
(9410, '25640', 'Germondans', '25', 'FR'),
(9411, '25270', 'Gevresin', '25', 'FR'),
(9412, '25650', 'Gilley', '25', 'FR'),
(9413, '25340', 'Glainans', '25', 'FR'),
(9414, '25360', 'Glamondans', '25', 'FR'),
(9415, '25310', 'Glay', '25', 'FR'),
(9416, '25190', 'Gl�re', '25', 'FR'),
(9417, '25340', 'Gondenans Montby', '25', 'FR'),
(9418, '25680', 'Gondenans les Moulins', '25', 'FR'),
(9419, '25360', 'Gonsans', '25', 'FR'),
(9420, '25680', 'Gouhelans', '25', 'FR'),
(9421, '25470', 'Goumois', '25', 'FR'),
(9422, '25150', 'Goux l�s Dambelin', '25', 'FR'),
(9423, '25520', 'Goux les Usiers', '25', 'FR'),
(9424, '25440', 'Goux sous Landet', '25', 'FR'),
(9425, '25200', 'Grand Charmont', '25', 'FR'),
(9426, '25570', 'Grand''Combe Ch�teleu', '25', 'FR'),
(9427, '25210', 'Grand''Combe des Bois', '25', 'FR'),
(9428, '25320', 'Grandfontaine', '25', 'FR'),
(9429, '25390', 'Fournets Luisans', '25', 'FR'),
(9430, '25510', 'Grandfontaine sur Creuse', '25', 'FR'),
(9431, '25380', 'La Grange', '25', 'FR'),
(9432, '25300', 'Granges Narboz', '25', 'FR'),
(9433, '25160', 'Granges Sainte Marie', '25', 'FR'),
(9434, '25160', 'Les Grangettes', '25', 'FR'),
(9435, '25790', 'Les Gras', '25', 'FR'),
(9436, '25620', 'Le Gratteris', '25', 'FR'),
(9437, '25110', 'Grosbois', '25', 'FR'),
(9438, '25110', 'Guillon les Bains', '25', 'FR'),
(9439, '25580', 'Guyans Durnes', '25', 'FR'),
(9440, '25390', 'Guyans Vennes', '25', 'FR'),
(9441, '25580', 'Hautepierre le Ch�telet', '25', 'FR'),
(9442, '25650', 'Hauterive la Fresse', '25', 'FR'),
(9443, '25310', 'H�rimoncourt', '25', 'FR'),
(9444, '25620', 'L''H�pital du Grosbois', '25', 'FR'),
(9445, '25340', 'L''H�pital Saint Li�ffroy', '25', 'FR'),
(9446, '25370', 'Les H�pitaux Neufs', '25', 'FR'),
(9447, '25370', 'Les H�pitaux Vieux', '25', 'FR'),
(9448, '25300', 'Houtaud', '25', 'FR'),
(9449, '25680', 'Huanne Montmartin', '25', 'FR'),
(9450, '25250', 'Hy�mondans', '25', 'FR'),
(9451, '25110', 'Hy�vre Magny', '25', 'FR'),
(9452, '25110', 'Hy�vre Paroisse', '25', 'FR'),
(9453, '25470', 'Indevillers', '25', 'FR'),
(9454, '25250', 'L''Isle sur le Doubs', '25', 'FR'),
(9455, '25550', 'Issans', '25', 'FR'),
(9456, '25170', 'Jallerange', '25', 'FR'),
(9457, '25370', 'Jougne', '25', 'FR'),
(9458, '25270', 'Labergement du Navois', '25', 'FR'),
(9459, '25160', 'Labergement Sainte Marie', '25', 'FR'),
(9460, '25130', 'Villers le Lac', '25', 'FR'),
(9461, '25550', 'Laire', '25', 'FR'),
(9462, '25820', 'Laissey', '25', 'FR'),
(9463, '25360', 'Lanans', '25', 'FR'),
(9464, '25530', 'Landresse', '25', 'FR'),
(9465, '25170', 'Lantenne Verti�re', '25', 'FR'),
(9466, '25250', 'Lanthenans', '25', 'FR'),
(9467, '25720', 'Larnod', '25', 'FR'),
(9468, '25210', 'Laval le Prieur�', '25', 'FR'),
(9469, '25440', 'Lavans Quingey', '25', 'FR'),
(9470, '25580', 'Lavans Vuillafans', '25', 'FR'),
(9471, '25170', 'Lavernay', '25', 'FR'),
(9472, '25510', 'Laviron', '25', 'FR'),
(9473, '25270', 'Levier', '25', 'FR'),
(9474, '25190', 'Liebvillers', '25', 'FR'),
(9475, '25440', 'Liesle', '25', 'FR'),
(9476, '25650', 'Li�vremont', '25', 'FR'),
(9477, '25330', 'Lizine', '25', 'FR'),
(9478, '25930', 'Lods', '25', 'FR'),
(9479, '25440', 'Lombard', '25', 'FR'),
(9480, '25110', 'Lomont sur Cr�te', '25', 'FR'),
(9481, '25690', 'Longechaux', '25', 'FR'),
(9482, '25690', 'Longemaison', '25', 'FR'),
(9483, '25380', 'Longevelle l�s Russey', '25', 'FR'),
(9484, '25260', 'Longevelle sur Doubs', '25', 'FR'),
(9485, '25330', 'Longeville', '25', 'FR'),
(9486, '25650', 'La Longeville', '25', 'FR'),
(9487, '25370', 'Longevilles Mont d''Or', '25', 'FR'),
(9488, '25390', 'Loray', '25', 'FR'),
(9489, '25260', 'Lougres', '25', 'FR'),
(9490, '25210', 'Le Luhier', '25', 'FR'),
(9491, '25390', 'Luisans', '25', 'FR'),
(9492, '25640', 'Lusans', '25', 'FR'),
(9493, '25110', 'Luxiol', '25', 'FR'),
(9494, '25360', 'Magny Ch�telard', '25', 'FR'),
(9495, '25120', 'Ma�che', '25', 'FR'),
(9496, '25650', 'Maisons du Bois Li�vremont', '25', 'FR'),
(9497, '25330', 'Malans', '25', 'FR'),
(9498, '25620', 'Malbrans', '25', 'FR'),
(9499, '25160', 'Malbuisson', '25', 'FR'),
(9500, '25160', 'Malpas', '25', 'FR'),
(9501, '25150', 'Mambouhans', '25', 'FR'),
(9502, '25620', 'Mamirolle', '25', 'FR'),
(9503, '25250', 'Mancenans', '25', 'FR'),
(9504, '25120', 'Mancenans Lizerne', '25', 'FR'),
(9505, '25350', 'Mandeure', '25', 'FR'),
(9506, '25640', 'Marchaux', '25', 'FR'),
(9507, '25250', 'Marvelise', '25', 'FR'),
(9508, '25700', 'Mathay', '25', 'FR'),
(9509, '25170', 'Mazerolles le Salin', '25', 'FR'),
(9510, '25250', 'M�di�re', '25', 'FR'),
(9511, '25210', 'M�mont', '25', 'FR'),
(9512, '25410', 'Mercey le Grand', '25', 'FR'),
(9513, '25660', 'M�rey sous Montrond', '25', 'FR'),
(9514, '25870', 'M�rey Vieilley', '25', 'FR'),
(9515, '25680', 'M�sandans', '25', 'FR'),
(9516, '25310', 'Mesli�res', '25', 'FR'),
(9517, '25440', 'Mesmay', '25', 'FR'),
(9518, '25370', 'M�tabief', '25', 'FR'),
(9519, '25480', 'Miserey Salines', '25', 'FR'),
(9520, '25870', 'Moncey', '25', 'FR'),
(9521, '25170', 'Moncley', '25', 'FR'),
(9522, '25680', 'Mondon', '25', 'FR'),
(9523, '25680', 'Montagney Servigney', '25', 'FR'),
(9524, '25190', 'Montancy', '25', 'FR'),
(9525, '25190', 'Montandon', '25', 'FR'),
(9526, '25200', 'Montb�liard', '25', 'FR'),
(9527, '25210', 'Montb�liardot', '25', 'FR'),
(9528, '25650', 'Montbeno�t', '25', 'FR'),
(9529, '25210', 'Mont de Laval', '25', 'FR'),
(9530, '25120', 'Mont de Vougney', '25', 'FR'),
(9531, '25190', 'Mont�cheroux', '25', 'FR'),
(9532, '25260', 'Montenois', '25', 'FR'),
(9533, '25660', 'Montfaucon', '25', 'FR'),
(9534, '25680', 'Montferney', '25', 'FR'),
(9535, '25320', 'Montferrand le Ch�teau', '25', 'FR'),
(9536, '25650', 'Montflovin', '25', 'FR'),
(9537, '25440', 'Montfort', '25', 'FR'),
(9538, '25111', 'Montgesoye', '25', 'FR'),
(9539, '25110', 'Montivernage', '25', 'FR'),
(9540, '25190', 'Montjoie le Ch�teau', '25', 'FR'),
(9541, '25500', 'Montlebon', '25', 'FR'),
(9542, '25270', 'Montmahoux', '25', 'FR'),
(9543, '25160', 'Montperreux', '25', 'FR'),
(9544, '25660', 'Montrond le Ch�teau', '25', 'FR'),
(9545, '25190', 'Montursin', '25', 'FR'),
(9546, '25680', 'Montussaint', '25', 'FR'),
(9547, '25680', 'Morchamps', '25', 'FR'),
(9548, '25660', 'Morre', '25', 'FR'),
(9549, '25500', 'Morteau', '25', 'FR'),
(9550, '25190', 'Mouillevillers', '25', 'FR'),
(9551, '25240', 'Mouthe', '25', 'FR'),
(9552, '25170', 'Le Moutherot', '25', 'FR'),
(9553, '25920', 'Mouthier Haute Pierre', '25', 'FR'),
(9554, '25440', 'Myon', '25', 'FR'),
(9555, '25360', 'Naisey les Granges', '25', 'FR'),
(9556, '25360', 'Nancray', '25', 'FR'),
(9557, '25680', 'Nans', '25', 'FR'),
(9558, '25330', 'Nans sous Sainte Anne', '25', 'FR'),
(9559, '25210', 'Narbief', '25', 'FR'),
(9560, '25150', 'Neuch�tel Urti�re', '25', 'FR'),
(9561, '25580', 'Nods', '25', 'FR'),
(9562, '25500', 'No�l Cerneux', '25', 'FR'),
(9563, '25190', 'Noirefontaine', '25', 'FR'),
(9564, '25170', 'Noironte', '25', 'FR'),
(9565, '25600', 'Nommay', '25', 'FR'),
(9566, '25220', 'Novillars', '25', 'FR'),
(9567, '25640', 'Ollans', '25', 'FR'),
(9568, '25250', 'Onans', '25', 'FR'),
(9569, '25390', 'Orchamps Vennes', '25', 'FR'),
(9570, '25120', 'Orgeans Blanchefontaine', '25', 'FR'),
(9571, '25290', 'Ornans', '25', 'FR'),
(9572, '25530', 'Orsans', '25', 'FR'),
(9573, '25430', 'Orve', '25', 'FR'),
(9574, '25360', 'Osse', '25', 'FR'),
(9575, '25320', 'Osselle', '25', 'FR'),
(9576, '25640', 'Ougney Douvot', '25', 'FR'),
(9577, '25520', 'Ouhans', '25', 'FR'),
(9578, '25530', 'Ouvans', '25', 'FR'),
(9579, '25160', 'Oye et Pallet', '25', 'FR'),
(9580, '25440', 'Palantine', '25', 'FR'),
(9581, '25870', 'Palise', '25', 'FR'),
(9582, '25440', 'Paroy', '25', 'FR'),
(9583, '25360', 'Passavant', '25', 'FR'),
(9584, '25690', 'Passonfontaine', '25', 'FR'),
(9585, '25170', 'Pelousey', '25', 'FR'),
(9586, '25190', 'P�seux', '25', 'FR'),
(9587, '25440', 'Pessans', '25', 'FR'),
(9588, '25240', 'Petite Chaux', '25', 'FR'),
(9589, '25310', 'Pierrefontaine l�s Blamont', '25', 'FR'),
(9590, '25510', 'Pierrefontaine les Varans', '25', 'FR'),
(9591, '25480', 'Pirey', '25', 'FR'),
(9592, '25170', 'Placey', '25', 'FR'),
(9593, '25210', 'Plaimbois du Miroir', '25', 'FR'),
(9594, '25390', 'Plaimbois Vennes', '25', 'FR'),
(9595, '25470', 'Plains et Grands Essarts', '25', 'FR'),
(9596, '25160', 'La Plan�e', '25', 'FR'),
(9597, '25440', 'Pointvillers', '25', 'FR'),
(9598, '25340', 'Pompierre sur Doubs', '25', 'FR'),
(9599, '25300', 'Pontarlier', '25', 'FR'),
(9600, '25150', 'Pont de Roide', '25', 'FR'),
(9601, '25240', 'Les Pontets', '25', 'FR'),
(9602, '25110', 'Pont l�s Moulins', '25', 'FR'),
(9603, '25410', 'Pouilley Fran�ais', '25', 'FR'),
(9604, '25115', 'Pouilley les Vignes', '25', 'FR'),
(9605, '25640', 'Pouligney Lusans', '25', 'FR'),
(9606, '25550', 'Pr�sentevillers', '25', 'FR'),
(9607, '25250', 'La Pr�ti�re', '25', 'FR'),
(9608, '25380', 'Provench�re', '25', 'FR'),
(9609, '25680', 'Puessans', '25', 'FR'),
(9610, '25720', 'Pugey', '25', 'FR'),
(9611, '25640', 'Le Puy', '25', 'FR'),
(9612, '25440', 'Quingey', '25', 'FR'),
(9613, '25430', 'Rahon', '25', 'FR'),
(9614, '25320', 'Rancenay', '25', 'FR'),
(9615, '25430', 'Randevillers', '25', 'FR'),
(9616, '25250', 'Rang', '25', 'FR'),
(9617, '25580', 'Rantechaux', '25', 'FR'),
(9618, '25550', 'Raynans', '25', 'FR'),
(9619, '25170', 'ecologne', '25', 'FR'),
(9620, '25240', 'Reculfoz', '25', 'FR'),
(9621, '25330', 'Refranche', '25', 'FR'),
(9622, '25150', 'R�mondans Vaivre', '25', 'FR'),
(9623, '25160', 'Remoray Boujeons', '25', 'FR'),
(9624, '25520', 'Ren�dale', '25', 'FR'),
(9625, '25440', 'Rennes sur Loue', '25', 'FR'),
(9626, '25330', 'Reugney', '25', 'FR'),
(9627, '25640', 'Rigney', '25', 'FR'),
(9628, '25640', 'Rignosot', '25', 'FR'),
(9629, '25110', 'Rillans', '25', 'FR'),
(9630, '25560', 'La Rivi�re Drugeon', '25', 'FR'),
(9631, '25370', 'Rochejean', '25', 'FR'),
(9632, '25220', 'Roche lez Beaupr�', '25', 'FR'),
(9633, '25340', 'Roche l�s Clerval', '25', 'FR'),
(9634, '25310', 'Roches l�s Blamont', '25', 'FR'),
(9635, '25680', 'Rognon', '25', 'FR'),
(9636, '25680', 'Romain', '25', 'FR'),
(9637, '25440', 'Ronchaux', '25', 'FR'),
(9638, '25240', 'Rondefontaine', '25', 'FR'),
(9639, '25410', 'Roset Fluans', '25', 'FR'),
(9640, '25190', 'Rosi�res sur Barb�che', '25', 'FR'),
(9641, '25380', 'Rosureux', '25', 'FR'),
(9642, '25680', 'Rougemont', '25', 'FR'),
(9643, '25640', 'Rougemontot', '25', 'FR'),
(9644, '25440', 'Rouh�', '25', 'FR'),
(9645, '25640', 'Roulans', '25', 'FR'),
(9646, '25410', 'Routelle', '25', 'FR'),
(9647, '25170', 'Ruffey le Ch�teau', '25', 'FR'),
(9648, '25290', 'Rurey', '25', 'FR'),
(9649, '25210', 'Le Russey', '25', 'FR'),
(9650, '25270', 'Sainte Anne', '25', 'FR'),
(9651, '25370', 'Saint Antoine', '25', 'FR'),
(9652, '25300', 'Sainte Colombe', '25', 'FR'),
(9653, '25340', 'Saint Georges Armont', '25', 'FR'),
(9654, '25520', 'Saint Gorgon Main', '25', 'FR'),
(9655, '25640', 'Saint Hilaire', '25', 'FR'),
(9656, '25190', 'Saint Hippolyte', '25', 'FR'),
(9657, '25360', 'Saint Juan', '25', 'FR'),
(9658, '25550', 'Saint Julien l�s Montb�liard', '25', 'FR'),
(9659, '25210', 'St Julien l�s Russey', '25', 'FR'),
(9660, '25113', 'Sainte Marie', '25', 'FR'),
(9661, '25260', 'St Maurice Colombier', '25', 'FR'),
(9662, '25160', 'Saint Point Lac', '25', 'FR'),
(9663, '25630', 'Sainte Suzanne', '25', 'FR'),
(9664, '25410', 'Saint Vit', '25', 'FR'),
(9665, '25440', 'Samson', '25', 'FR'),
(9666, '25430', 'Sancey le Grand', '25', 'FR'),
(9667, '25430', 'Sancey le Long', '25', 'FR'),
(9668, '25340', 'Santoche', '25', 'FR'),
(9669, '25660', 'Sa�ne', '25', 'FR'),
(9670, '25330', 'Saraz', '25', 'FR'),
(9671, '25240', 'Sarrageois', '25', 'FR'),
(9672, '25580', 'Saules', '25', 'FR'),
(9673, '25170', 'Sauvagney', '25', 'FR'),
(9674, '25290', 'Scey Maisi�res', '25', 'FR'),
(9675, '25110', 'S�chin', '25', 'FR'),
(9676, '25230', 'Seloncourt', '25', 'FR'),
(9677, '25750', 'Semondans', '25', 'FR'),
(9678, '25270', 'Septfontaines', '25', 'FR'),
(9679, '25770', 'Serre l�s Sapins', '25', 'FR'),
(9680, '25680', 'Servigney', '25', 'FR'),
(9681, '25430', 'Servin', '25', 'FR'),
(9682, '25330', 'Silley Amancey', '25', 'FR'),
(9683, '25110', 'Silley Bl�fond', '25', 'FR'),
(9684, '25600', 'Sochaux', '25', 'FR'),
(9685, '25190', 'Solemont', '25', 'FR'),
(9686, '25520', 'Sombacour', '25', 'FR'),
(9687, '25510', 'La Sommette', '25', 'FR'),
(9688, '25190', 'Soulce Cernay', '25', 'FR'),
(9689, '25250', 'Sourans', '25', 'FR'),
(9690, '25250', 'Soye', '25', 'FR'),
(9691, '25380', 'Surmont', '25', 'FR'),
(9692, '25400', 'Taillecourt', '25', 'FR'),
(9693, '25680', 'Tallans', '25', 'FR'),
(9694, '25870', 'Tallenay', '25', 'FR'),
(9695, '25620', 'Tarcenay', '25', 'FR'),
(9696, '25470', 'Thi�bouhans', '25', 'FR'),
(9697, '25220', 'Thise', '25', 'FR'),
(9698, '25320', 'Thoraise', '25', 'FR'),
(9699, '25310', 'Thulay', '25', 'FR'),
(9700, '25870', 'Thurey le Mont', '25', 'FR'),
(9701, '25320', 'Torpes', '25', 'FR'),
(9702, '25370', 'Touillon et Loutelet', '25', 'FR'),
(9703, '25640', 'La Tour de S�ay', '25', 'FR'),
(9704, '25680', 'Tournans', '25', 'FR'),
(9705, '25340', 'Tournedoz', '25', 'FR'),
(9706, '25620', 'Tr�pot', '25', 'FR'),
(9707, '25680', 'Tressandans', '25', 'FR'),
(9708, '25470', 'Tr�villers', '25', 'FR'),
(9709, '25680', 'Trouvans', '25', 'FR'),
(9710, '25470', 'Urti�re', '25', 'FR'),
(9711, '25340', 'Uzelle', '25', 'FR'),
(9712, '25220', 'Vaire Arcier', '25', 'FR'),
(9713, '25220', 'Vaire le Petit', '25', 'FR'),
(9714, '25150', 'Vaivre', '25', 'FR'),
(9715, '25800', 'Valdahon', '25', 'FR'),
(9716, '25640', 'Val de Roulans', '25', 'FR'),
(9717, '25700', 'Valentigney', '25', 'FR'),
(9718, '25870', 'Valleroy', '25', 'FR'),
(9719, '25190', 'Valonne', '25', 'FR'),
(9720, '25190', 'Valoreille', '25', 'FR'),
(9721, '25580', 'Vanclans', '25', 'FR'),
(9722, '25230', 'Vandoncourt', '25', 'FR'),
(9723, '25360', 'Vauchamps', '25', 'FR'),
(9724, '25380', 'Vaucluse', '25', 'FR'),
(9725, '25380', 'Vauclusotte', '25', 'FR'),
(9726, '25360', 'Vaudrivillers', '25', 'FR'),
(9727, '25190', 'Vaufrey', '25', 'FR'),
(9728, '25160', 'Vaux et Chantegrue', '25', 'FR'),
(9729, '25770', 'Vaux l�s Pr�s', '25', 'FR'),
(9730, '25410', 'Velesmes Essarts', '25', 'FR'),
(9731, '25430', 'Vellerot l�s Belvoir', '25', 'FR'),
(9732, '25530', 'Vellerot l�s Vercel', '25', 'FR'),
(9733, '25430', 'Vellevans', '25', 'FR'),
(9734, '25870', 'Venise', '25', 'FR'),
(9735, '25640', 'Vennans', '25', 'FR'),
(9736, '25390', 'Vennes', '25', 'FR'),
(9737, '25530', 'Vercel Villedieu le Camp', '25', 'FR'),
(9738, '25110', 'Vergranne', '25', 'FR'),
(9739, '25150', 'Vermondans', '25', 'FR'),
(9740, '25110', 'Verne', '25', 'FR'),
(9741, '25580', 'Vernierfontaine', '25', 'FR'),
(9742, '25190', 'Vernois le Fol', '25', 'FR'),
(9743, '25430', 'Vernois l�s Belvoir', '25', 'FR'),
(9744, '25750', 'Le Vernoy', '25', 'FR'),
(9745, '25300', 'Verri�res de Joux', '25', 'FR'),
(9746, '25580', 'Verri�res du Grosbois', '25', 'FR'),
(9747, '25660', 'La V�ze', '25', 'FR'),
(9748, '25870', 'Vieilley', '25', 'FR'),
(9749, '25340', 'Vi�thorey', '25', 'FR'),
(9750, '25600', 'Vieux Charmont', '25', 'FR'),
(9751, '25310', 'Villars l�s Blamont', '25', 'FR'),
(9752, '25410', 'Villars Saint Georges', '25', 'FR'),
(9753, '25190', 'Villars sous Dampjoux', '25', 'FR'),
(9754, '25150', 'Villars sous �cot', '25', 'FR'),
(9755, '25240', 'Les Villedieu', '25', 'FR'),
(9756, '25650', 'Ville du Pont', '25', 'FR'),
(9757, '25270', 'Villeneuve d''Amont', '25', 'FR'),
(9758, '25170', 'Villers Buzon', '25', 'FR'),
(9759, '25530', 'Villers Chief', '25', 'FR'),
(9760, '25640', 'Villers Gr�lot', '25', 'FR'),
(9761, '25510', 'Villers la Combe', '25', 'FR'),
(9762, '25110', 'Villers Saint Martin', '25', 'FR'),
(9763, '25270', 'Villers sous Chalamont', '25', 'FR'),
(9764, '25620', 'Villers sous Montrond', '25', 'FR'),
(9765, '25110', 'Voillans', '25', 'FR'),
(9766, '25580', 'Voires', '25', 'FR'),
(9767, '25320', 'Vorges les Pins', '25', 'FR'),
(9768, '25420', 'Voujeaucourt', '25', 'FR'),
(9769, '25840', 'Vuillafans', '25', 'FR'),
(9770, '25300', 'Vuillecin', '25', 'FR'),
(9771, '25430', 'Vyt l�s Belvoir', '25', 'FR'),
(9772, '26150', 'Aix en Diois', '26', 'FR'),
(9773, '26140', 'Albon', '26', 'FR'),
(9774, '26770', 'Aleyrac', '26', 'FR'),
(9775, '26300', 'Alixan', '26', 'FR'),
(9776, '26780', 'Allan', '26', 'FR'),
(9777, '26400', 'Allex', '26', 'FR'),
(9778, '26800', 'Ambonil', '26', 'FR'),
(9779, '26200', 'Anc�ne', '26', 'FR'),
(9780, '26140', 'Andancette', '26', 'FR'),
(9781, '26140', 'Anneyron', '26', 'FR'),
(9782, '26400', 'Aouste sur Sye', '26', 'FR'),
(9783, '26470', 'Arnayon', '26', 'FR'),
(9784, '26110', 'Arpavon', '26', 'FR'),
(9785, '26260', 'Arth�monay', '26', 'FR'),
(9786, '26340', 'Aubenasson', '26', 'FR'),
(9787, '26110', 'Aubres', '26', 'FR'),
(9788, '26340', 'Aucelon', '26', 'FR'),
(9789, '26570', 'Aulan', '26', 'FR'),
(9790, '26340', 'Aurel', '26', 'FR'),
(9791, '26400', 'R�para Auriples', '26', 'FR'),
(9792, '26400', 'Autichamp', '26', 'FR'),
(9793, '26560', 'Ballons', '26', 'FR'),
(9794, '26300', 'Barbi�res', '26', 'FR'),
(9795, '26120', 'Barcelonne', '26', 'FR'),
(9796, '26310', 'Barnave', '26', 'FR'),
(9797, '26570', 'Barret de Lioure', '26', 'FR'),
(9798, '26150', 'Barsac', '26', 'FR'),
(9799, '26260', 'Bathernay', '26', 'FR'),
(9800, '26310', 'La B�tie Cr�mezin', '26', 'FR'),
(9801, '26310', 'La B�tie des Fonds', '26', 'FR'),
(9802, '26160', 'La B�tie Rolland', '26', 'FR'),
(9803, '26120', 'La Baume Cornillane', '26', 'FR'),
(9804, '26790', 'La Baume de Transit', '26', 'FR'),
(9805, '26730', 'La Baume d''Hostun', '26', 'FR'),
(9806, '26400', 'Beaufort sur Gervanne', '26', 'FR'),
(9807, '26310', 'Beaumont en Diois', '26', 'FR'),
(9808, '26760', 'Beaumont l�s Valence', '26', 'FR'),
(9809, '26600', 'Beaumont Monteux', '26', 'FR'),
(9810, '26300', 'Beauregard Baret', '26', 'FR'),
(9811, '26310', 'Beauri�res', '26', 'FR'),
(9812, '26240', 'Beausemblant', '26', 'FR'),
(9813, '26800', 'Beauvallon', '26', 'FR'),
(9814, '26170', 'Beauvoisin', '26', 'FR'),
(9815, '26770', 'B�conne', '26', 'FR'),
(9816, '26160', 'La B�gude de Mazenc', '26', 'FR'),
(9817, '26110', 'Bellecombe Tarendol', '26', 'FR'),
(9818, '26470', 'Bellegarde en Diois', '26', 'FR'),
(9819, '26170', 'B�nivay Ollon', '26', 'FR'),
(9820, '26300', 'B�sayes', '26', 'FR'),
(9821, '26110', 'B�signan', '26', 'FR'),
(9822, '26460', 'B�zaudun sur B�ne', '26', 'FR'),
(9823, '26160', 'Bonlieu sur Roubion', '26', 'FR'),
(9824, '26410', 'Bonneval en Diois', '26', 'FR'),
(9825, '26790', 'Bouchet', '26', 'FR'),
(9826, '26410', 'Boulc', '26', 'FR'),
(9827, '26460', 'Bourdeaux', '26', 'FR'),
(9828, '26300', 'Bourg de P�age', '26', 'FR'),
(9829, '26500', 'Bourg l�s Valence', '26', 'FR'),
(9830, '26190', 'Bouvante', '26', 'FR'),
(9831, '26460', 'Bouvi�res', '26', 'FR'),
(9832, '26260', 'Bren', '26', 'FR'),
(9833, '26340', 'Brette', '26', 'FR'),
(9834, '26170', 'Buis les Baronnies', '26', 'FR'),
(9835, '26120', 'Chabeuil', '26', 'FR'),
(9836, '26400', 'Chabrillan', '26', 'FR'),
(9837, '26190', 'Le Chaffal', '26', 'FR'),
(9838, '26470', 'Chalan�on', '26', 'FR'),
(9839, '26340', 'Chalan�on', '26', 'FR'),
(9840, '26350', 'Le Chalon', '26', 'FR'),
(9841, '26150', 'Chamaloc', '26', 'FR'),
(9842, '26230', 'Chamaret', '26', 'FR'),
(9843, '26600', 'Chanos Curson', '26', 'FR'),
(9844, '26600', 'Chantemerle les Bl�s', '26', 'FR'),
(9845, '26230', 'Chantemerle l�s Grignan', '26', 'FR'),
(9846, '26420', 'La Chapelle en Vercors', '26', 'FR'),
(9847, '26470', 'La Charce', '26', 'FR'),
(9848, '26310', 'Charens', '26', 'FR'),
(9849, '26260', 'Charmes sur l''Herbasse', '26', 'FR'),
(9850, '26450', 'Charols', '26', 'FR'),
(9851, '26300', 'Charpey', '26', 'FR'),
(9852, '26340', 'Chastel Arnaud', '26', 'FR'),
(9853, '26120', 'Ch�teaudouble', '26', 'FR'),
(9854, '26110', 'Ch�teauneuf de Bordette', '26', 'FR'),
(9855, '26330', 'Ch�teauneuf de Galaure', '26', 'FR'),
(9856, '26300', 'Ch�teauneuf sur Is�re', '26', 'FR'),
(9857, '26780', 'Ch�teauneuf du Rh�ne', '26', 'FR'),
(9858, '26410', 'Ch�tillon en Diois', '26', 'FR'),
(9859, '26750', 'Ch�tillon Saint Jean', '26', 'FR'),
(9860, '26300', 'Chatuzange le Goubet', '26', 'FR'),
(9861, '26110', 'Chaudebonne', '26', 'FR'),
(9862, '26340', 'La Chaudi�re', '26', 'FR'),
(9863, '26510', 'Chauvac', '26', 'FR'),
(9864, '26260', 'Chavannes', '26', 'FR'),
(9865, '26130', 'Clansayes', '26', 'FR'),
(9866, '26240', 'Claveyson', '26', 'FR'),
(9867, '26450', 'Cl�on d''Andran', '26', 'FR'),
(9868, '26260', 'Cl�rieux', '26', 'FR'),
(9869, '26270', 'Cliousclat', '26', 'FR'),
(9870, '26400', 'Cobonne', '26', 'FR'),
(9871, '26230', 'Colonzelle', '26', 'FR'),
(9872, '26120', 'Combovin', '26', 'FR'),
(9873, '26220', 'Comps', '26', 'FR'),
(9874, '26740', 'Condillac', '26', 'FR'),
(9875, '26110', 'Condorcet', '26', 'FR'),
(9876, '26510', 'Cornillac', '26', 'FR'),
(9877, '26510', 'Cornillon sur l''Oule', '26', 'FR'),
(9878, '26740', 'La Coucourde', '26', 'FR'),
(9879, '26350', 'Cr�pol', '26', 'FR'),
(9880, '26400', 'Crest', '26', 'FR'),
(9881, '26410', 'Creyers', '26', 'FR'),
(9882, '26600', 'Crozes Hermitage', '26', 'FR'),
(9883, '26460', 'Crupies', '26', 'FR'),
(9884, '26110', 'Curnier', '26', 'FR'),
(9885, '26150', 'Die', '26', 'FR'),
(9886, '26220', 'Dieulefit', '26', 'FR'),
(9887, '26400', 'Divajeu', '26', 'FR'),
(9888, '26290', 'Donz�re', '26', 'FR'),
(9889, '26190', '�chevis', '26', 'FR'),
(9890, '26210', '�pinouze', '26', 'FR'),
(9891, '26600', '�r�me', '26', 'FR'),
(9892, '26780', 'Espeluche', '26', 'FR'),
(9893, '26340', 'Espenel', '26', 'FR'),
(9894, '26470', 'Establet', '26', 'FR'),
(9895, '26800', '�toile sur Rh�ne', '26', 'FR'),
(9896, '26400', 'Eurre', '26', 'FR'),
(9897, '26560', 'Eygalayes', '26', 'FR'),
(9898, '26170', 'Eygaliers', '26', 'FR'),
(9899, '26400', 'Eygluy Escoulin', '26', 'FR'),
(9900, '26730', 'Eymeux', '26', 'FR'),
(9901, '26110', 'Eyroles', '26', 'FR'),
(9902, '26160', 'Eyzahut', '26', 'FR'),
(9903, '26240', 'Fay le Clos', '26', 'FR'),
(9904, '26160', 'F�lines sur Rimandoule', '26', 'FR'),
(9905, '26570', 'Ferrassi�res', '26', 'FR'),
(9906, '26310', 'Val Maravel', '26', 'FR'),
(9907, '26400', 'Francillon sur Roubion', '26', 'FR'),
(9908, '26700', 'La Garde Adh�mar', '26', 'FR'),
(9909, '26750', 'G�nissieux', '26', 'FR'),
(9910, '26750', 'Geyssans', '26', 'FR'),
(9911, '26400', 'Gigors et Lozeron', '26', 'FR'),
(9912, '26410', 'Glandage', '26', 'FR'),
(9913, '26530', 'Le Grand Serre', '26', 'FR'),
(9914, '26400', 'Gr�ne', '26', 'FR'),
(9915, '26290', 'Les Granges Gontardes', '26', 'FR'),
(9916, '26230', 'Grignan', '26', 'FR'),
(9917, '26470', 'Gumiane', '26', 'FR'),
(9918, '26390', 'Hauterives', '26', 'FR'),
(9919, '26730', 'Hostun', '26', 'FR'),
(9920, '26560', 'Izon la Bruisse', '26', 'FR'),
(9921, '26310', 'Jansac', '26', 'FR'),
(9922, '26310', 'Jonch�res', '26', 'FR'),
(9923, '26560', 'Laborel', '26', 'FR'),
(9924, '26560', 'Lachau', '26', 'FR'),
(9925, '26210', 'Lapeyrouse Mornay', '26', 'FR'),
(9926, '26600', 'Larnage', '26', 'FR'),
(9927, '26740', 'La Laupie', '26', 'FR'),
(9928, '26510', 'Laux Montaux', '26', 'FR'),
(9929, '26150', 'Laval d''Aix', '26', 'FR'),
(9930, '26240', 'Laveyron', '26', 'FR'),
(9931, '26510', 'Lemps', '26', 'FR'),
(9932, '26210', 'Lens Lestang', '26', 'FR'),
(9933, '26190', 'L�oncel', '26', 'FR'),
(9934, '26310', 'Lesches en Diois', '26', 'FR'),
(9935, '26250', 'Livron sur Dr�me', '26', 'FR'),
(9936, '26270', 'Loriol sur Dr�me', '26', 'FR'),
(9937, '26310', 'Luc en Diois', '26', 'FR'),
(9938, '26620', 'Lus la Croix Haute', '26', 'FR'),
(9939, '26780', 'Malataverne', '26', 'FR'),
(9940, '26120', 'Malissard', '26', 'FR'),
(9941, '26160', 'Manas', '26', 'FR'),
(9942, '26210', 'Manthes', '26', 'FR'),
(9943, '26300', 'Marches', '26', 'FR'),
(9944, '26260', 'Marg�s', '26', 'FR'),
(9945, '26150', 'Marignac en Diois', '26', 'FR'),
(9946, '26740', 'Marsanne', '26', 'FR'),
(9947, '26260', 'Marsaz', '26', 'FR'),
(9948, '26410', 'Menglon', '26', 'FR'),
(9949, '26600', 'Mercurol', '26', 'FR'),
(9950, '26170', 'M�rindol les Oliviers', '26', 'FR'),
(9951, '26560', 'M�vouillon', '26', 'FR'),
(9952, '26110', 'Mirabel aux Baronnies', '26', 'FR'),
(9953, '26400', 'Mirabel et Blacons', '26', 'FR'),
(9954, '26350', 'Miribel', '26', 'FR'),
(9955, '26270', 'Mirmande', '26', 'FR'),
(9956, '26310', 'Miscon', '26', 'FR'),
(9957, '26150', 'Moli�res Glandaz', '26', 'FR'),
(9958, '26170', 'Mollans sur Ouv�ze', '26', 'FR'),
(9959, '26170', 'Montauban sur l''Ouv�ze', '26', 'FR'),
(9960, '26110', 'Montaulieu', '26', 'FR'),
(9961, '26740', 'Montboucher sur Jabron', '26', 'FR'),
(9962, '26770', 'Montbrison', '26', 'FR'),
(9963, '26570', 'Montbrun les Bains', '26', 'FR'),
(9964, '26350', 'Montchenu', '26', 'FR'),
(9965, '26400', 'Montclar sur Gervanne', '26', 'FR'),
(9966, '26760', 'Mont�l�ger', '26', 'FR'),
(9967, '26120', 'Mont�lier', '26', 'FR'),
(9968, '26200', 'Mont�limar', '26', 'FR'),
(9969, '26510', 'Montferrand la Fare', '26', 'FR'),
(9970, '26560', 'Montfroc', '26', 'FR'),
(9971, '26170', 'Montguers', '26', 'FR'),
(9972, '26220', 'Montjoux', '26', 'FR'),
(9973, '26230', 'Montjoyer', '26', 'FR'),
(9974, '26310', 'Montlaur en Diois', '26', 'FR'),
(9975, '26150', 'Montmaur en Diois', '26', 'FR'),
(9976, '26120', 'Montmeyran', '26', 'FR'),
(9977, '26750', 'Montmiral', '26', 'FR'),
(9978, '26800', 'Montoison', '26', 'FR'),
(9979, '26510', 'Montr�al les Sources', '26', 'FR'),
(9980, '26350', 'Montrigaud', '26', 'FR'),
(9981, '26130', 'Monts�gur sur Lauzon', '26', 'FR'),
(9982, '26120', 'Montvendre', '26', 'FR'),
(9983, '26210', 'Moras en Valloire', '26', 'FR'),
(9984, '26460', 'Mornans', '26', 'FR'),
(9985, '26470', 'La Motte Chalan�on', '26', 'FR'),
(9986, '26240', 'La Motte de Galaure', '26', 'FR'),
(9987, '26190', 'La Motte Fanjas', '26', 'FR'),
(9988, '26540', 'Mours Saint Eus�be', '26', 'FR'),
(9989, '26240', 'Mureils', '26', 'FR'),
(9990, '26110', 'Nyons', '26', 'FR'),
(9991, '26400', 'Ombl�ze', '26', 'FR'),
(9992, '26220', 'Orcinas', '26', 'FR'),
(9993, '26190', 'Oriol en Royans', '26', 'FR'),
(9994, '26120', 'Ourches', '26', 'FR'),
(9995, '26750', 'Parnans', '26', 'FR'),
(9996, '26770', 'Le P�gue', '26', 'FR'),
(9997, '26510', 'Pelonne', '26', 'FR'),
(9998, '26340', 'Pennes le Sec', '26', 'FR'),
(9999, '26170', 'La Penne sur l''Ouv�ze', '26', 'FR'),
(10000, '26380', 'Peyrins', '26', 'FR'),
(10001, '26120', 'Peyrus', '26', 'FR'),
(10002, '26110', 'Pi�gon', '26', 'FR'),
(10003, '26400', 'Pi�gros la Clastre', '26', 'FR'),
(10004, '26700', 'Pierrelatte', '26', 'FR'),
(10005, '26170', 'Pierrelongue', '26', 'FR'),
(10006, '26310', 'Le Pilhon', '26', 'FR'),
(10007, '26110', 'Les Pilles', '26', 'FR'),
(10008, '26170', 'Plaisians', '26', 'FR'),
(10009, '26400', 'Plan de Baix', '26', 'FR'),
(10010, '26460', 'Le Po�t C�lard', '26', 'FR'),
(10011, '26170', 'Le Po�t en Percip', '26', 'FR'),
(10012, '26160', 'Le Po�t Laval', '26', 'FR'),
(10013, '26110', 'Le Po�t Sigillat', '26', 'FR'),
(10014, '26470', 'Pommerol', '26', 'FR'),
(10015, '26150', 'Ponet et Saint Auban', '26', 'FR'),
(10016, '26240', 'Ponsas', '26', 'FR'),
(10017, '26150', 'Pontaix', '26', 'FR'),
(10018, '26160', 'Pont de Barret', '26', 'FR'),
(10019, '26600', 'Pont de l''Is�re', '26', 'FR'),
(10020, '26160', 'Portes en Valdaine', '26', 'FR'),
(10021, '26800', 'Portes l�s Valence', '26', 'FR'),
(10022, '26310', 'Poyols', '26', 'FR'),
(10023, '26340', 'Pradelle', '26', 'FR'),
(10024, '26310', 'Pr�s', '26', 'FR'),
(10025, '26170', 'Propiac', '26', 'FR'),
(10026, '26160', 'Puygiron', '26', 'FR'),
(10027, '26450', 'Puy Saint Martin', '26', 'FR'),
(10028, '26330', 'Rati�res', '26', 'FR'),
(10029, '26410', 'Ravel et Ferriers', '26', 'FR'),
(10030, '26230', 'R�auville', '26', 'FR'),
(10031, '26310', 'Recoubeau Jansac', '26', 'FR'),
(10032, '26570', 'Reilhanette', '26', 'FR'),
(10033, '26510', 'R�muzat', '26', 'FR'),
(10034, '26340', 'Rimon et Savel', '26', 'FR'),
(10035, '26170', 'Rioms', '26', 'FR'),
(10036, '26160', 'Rochebaudin', '26', 'FR'),
(10037, '26110', 'Rochebrune', '26', 'FR'),
(10038, '26190', 'Rochechinard', '26', 'FR'),
(10039, '26600', 'La Roche de Glun', '26', 'FR'),
(10040, '26160', 'Rochefort en Valdaine', '26', 'FR'),
(10041, '26300', 'Rochefort Samson', '26', 'FR'),
(10042, '26340', 'Rochefourchat', '26', 'FR'),
(10043, '26790', 'Rochegude', '26', 'FR'),
(10044, '26770', 'Roche St Secret B�conne', '26', 'FR'),
(10045, '26400', 'La Roche sur Grane', '26', 'FR'),
(10046, '26170', 'La Roche sur le Buis', '26', 'FR'),
(10047, '26170', 'La Rochette du Buis', '26', 'FR'),
(10048, '26400', 'La Rochette sur Crest', '26', 'FR'),
(10049, '26100', 'Romans sur Is�re', '26', 'FR'),
(10050, '26750', 'Romans sur Is�re', '26', 'FR'),
(10051, '26150', 'Romeyer', '26', 'FR'),
(10052, '26470', 'Rottier', '26', 'FR'),
(10053, '26230', 'Roussas', '26', 'FR'),
(10054, '26770', 'Rousset les Vignes', '26', 'FR'),
(10055, '26510', 'Roussieux', '26', 'FR'),
(10056, '26450', 'Roynac', '26', 'FR'),
(10057, '26510', 'Sahune', '26', 'FR'),
(10058, '26340', 'Saillans', '26', 'FR'),
(10059, '26420', 'Saint Agnan en Vercors', '26', 'FR'),
(10060, '26150', 'Saint And�ol', '26', 'FR'),
(10061, '26170', 'Saint Auban sur l''Ouv�ze', '26', 'FR'),
(10062, '26330', 'Saint Avit', '26', 'FR'),
(10063, '26260', 'Saint Bardoux', '26', 'FR'),
(10064, '26240', 'Saint Barth�lemy de Vals', '26', 'FR'),
(10065, '26340', 'Saint Beno�t en Diois', '26', 'FR'),
(10066, '26350', 'Saint Bonnet de Valcl�rieux', '26', 'FR'),
(10067, '26350', 'Saint Christophe et le Laris', '26', 'FR'),
(10068, '26150', 'Sainte Croix', '26', 'FR'),
(10069, '26310', 'Saint Dizier en Diois', '26', 'FR'),
(10070, '26260', 'Saint Donat sur l''Herbasse', '26', 'FR'),
(10071, '26190', 'Ste Eulalie en Royans', '26', 'FR'),
(10072, '26170', 'Sainte Euph�mie sur Ouv�ze', '26', 'FR'),
(10073, '26110', 'Saint Ferr�ol Trente Pas', '26', 'FR'),
(10074, '26160', 'Saint Gervais sur Roubion', '26', 'FR'),
(10075, '26110', 'Sainte Jalle', '26', 'FR'),
(10076, '26190', 'Saint Jean en Royans', '26', 'FR'),
(10077, '26150', 'Saint Julien en Quint', '26', 'FR'),
(10078, '26420', 'Saint Julien en Vercors', '26', 'FR'),
(10079, '26350', 'Saint Laurent d''Onay', '26', 'FR'),
(10080, '26190', 'Saint Laurent en Royans', '26', 'FR'),
(10081, '26740', 'Saint Marcel l�s Sauzet', '26', 'FR'),
(10082, '26320', 'Saint Marcel l�s Valence', '26', 'FR'),
(10083, '26330', 'Saint Martin d''Ao�t', '26', 'FR'),
(10084, '26420', 'Saint Martin en Vercors', '26', 'FR'),
(10085, '26190', 'Saint Martin le Colonel', '26', 'FR'),
(10086, '26110', 'Saint Maurice sur Eygues', '26', 'FR'),
(10087, '26510', 'Saint May', '26', 'FR'),
(10088, '26750', 'Saint Michel sur Savasse', '26', 'FR'),
(10089, '26190', 'Saint Nazaire en Royans', '26', 'FR'),
(10090, '26340', 'Saint Nazaire le D�sert', '26', 'FR'),
(10091, '26770', 'Saint Pantal�on les Vignes', '26', 'FR'),
(10092, '26750', 'Saint Paul l�s Romans', '26', 'FR'),
(10093, '26130', 'Saint Paul Trois Ch�teaux', '26', 'FR'),
(10094, '26140', 'Saint Rambert d''Albon', '26', 'FR'),
(10095, '26130', 'Saint Restitut', '26', 'FR'),
(10096, '26410', 'Saint Roman', '26', 'FR'),
(10097, '26340', 'Saint Sauveur en Diois', '26', 'FR'),
(10098, '26110', 'St Sauveur Gouvernet', '26', 'FR'),
(10099, '26210', 'Saint Sorlin en Valloire', '26', 'FR'),
(10100, '26190', 'Saint Thomas en Royans', '26', 'FR'),
(10101, '26240', 'Saint Uze', '26', 'FR'),
(10102, '26240', 'Saint Vallier', '26', 'FR'),
(10103, '26160', 'Salettes', '26', 'FR'),
(10104, '26770', 'Salles sous Bois', '26', 'FR'),
(10105, '26400', 'Saou', '26', 'FR'),
(10106, '26270', 'Saulce sur Rh�ne', '26', 'FR'),
(10107, '26740', 'Sauzet', '26', 'FR'),
(10108, '26740', 'Savasse', '26', 'FR'),
(10109, '26560', 'S�deron', '26', 'FR'),
(10110, '26600', 'Serves sur Rh�ne', '26', 'FR'),
(10111, '26130', 'Sol�rieux', '26', 'FR'),
(10112, '26160', 'Souspierre', '26', 'FR'),
(10113, '26400', 'Soyans', '26', 'FR'),
(10114, '26790', 'Suze la Rousse', '26', 'FR'),
(10115, '26400', 'Suze', '26', 'FR'),
(10116, '26600', 'Tain l''Hermitage', '26', 'FR'),
(10117, '26770', 'Taulignan', '26', 'FR'),
(10118, '26390', 'Tersanne', '26', 'FR'),
(10119, '26220', 'Teyssi�res', '26', 'FR'),
(10120, '26460', 'Les Tonils', '26', 'FR'),
(10121, '26160', 'La Touche', '26', 'FR'),
(10122, '26740', 'Tourrettes', '26', 'FR'),
(10123, '26410', 'Treschenu Creyers', '26', 'FR'),
(10124, '26750', 'Triors', '26', 'FR'),
(10125, '26460', 'Truinas', '26', 'FR'),
(10126, '26790', 'Tulette', '26', 'FR'),
(10127, '26120', 'Upie', '26', 'FR'),
(10128, '26150', 'Vach�res en Quint', '26', 'FR'),
(10129, '26230', 'Valaurie', '26', 'FR'),
(10130, '26310', 'Valdr�me', '26', 'FR'),
(10131, '26000', 'Valence', '26', 'FR'),
(10132, '26110', 'Valouse', '26', 'FR'),
(10133, '26420', 'Vassieux en Vercors', '26', 'FR'),
(10134, '26400', 'Vaunaveys la Rochette', '26', 'FR'),
(10135, '26600', 'Veaunes', '26', 'FR'),
(10136, '26110', 'Venterol', '26', 'FR'),
(10137, '26340', 'Vercheny', '26', 'FR'),
(10138, '26510', 'Verclause', '26', 'FR'),
(10139, '26170', 'Vercoiran', '26', 'FR'),
(10140, '26340', 'V�ronne', '26', 'FR'),
(10141, '26560', 'Vers sur M�ouge', '26', 'FR'),
(10142, '26220', 'Vesc', '26', 'FR'),
(10143, '05700', 'Villebois les Pins', '05', 'FR'),
(10144, '26560', 'Villefranche le Ch�teau', '26', 'FR'),
(10145, '26510', 'Villeperdrix', '26', 'FR'),
(10146, '26110', 'Vinsobres', '26', 'FR'),
(10147, '26470', 'Volvent', '26', 'FR'),
(10148, '26600', 'Granges les Beaumont', '26', 'FR'),
(10149, '26600', 'Gervans', '26', 'FR'),
(10150, '26300', 'Jaillans', '26', 'FR'),
(10151, '26300', 'Saint Vincent la Commanderie', '26', 'FR'),
(10152, '26120', 'Fauconni�res', '26', 'FR'),
(10153, '26190', 'La Vacherie', '26', 'FR'),
(10154, '26730', 'L''�canci�re', '26', 'FR'),
(10155, '26120', 'Parlanges', '26', 'FR'),
(10156, '27800', 'Aclou', '27', 'FR'),
(10157, '27570', 'Acon', '27', 'FR'),
(10158, '27400', 'Acquigny', '27', 'FR'),
(10159, '27120', 'Aigleville', '27', 'FR'),
(10160, '27600', 'Ailly', '27', 'FR'),
(10161, '27500', 'Aizier', '27', 'FR'),
(10162, '27410', 'Ajou', '27', 'FR'),
(10163, '27460', 'Alizay', '27', 'FR'),
(10164, '27250', 'Ambenay', '27', 'FR'),
(10165, '27140', 'Am�court', '27', 'FR'),
(10166, '27370', 'Amfreville la Campagne', '27', 'FR'),
(10167, '27380', 'Amfreville les Champs', '27', 'FR'),
(10168, '27590', 'Amfreville sous les Monts', '27', 'FR'),
(10169, '27380', 'Amfreville sous les Monts', '27', 'FR'),
(10170, '27400', 'Amfreville sur Iton', '27', 'FR'),
(10171, '27430', 'And�', '27', 'FR'),
(10172, '27700', 'Les Andelys', '27', 'FR'),
(10173, '27930', 'Angerville la Campagne', '27', 'FR'),
(10174, '27290', 'Appeville Annebault', '27', 'FR'),
(10175, '27820', 'Armenti�res sur Avre', '27', 'FR'),
(10176, '27180', 'Arni�res sur Iton', '27', 'FR'),
(10177, '27260', 'Asni�res', '27', 'FR'),
(10178, '27940', 'Aubevoye', '27', 'FR'),
(10179, '27180', 'Aulnay sur Iton', '27', 'FR'),
(10180, '27240', 'Roncenay Authenay', '27', 'FR'),
(10181, '27490', 'Autheuil Authouillet', '27', 'FR'),
(10182, '27420', 'Authevernes', '27', 'FR'),
(10183, '27220', 'Les Authieux', '27', 'FR'),
(10184, '27290', 'Authou', '27', 'FR'),
(10185, '27490', 'Authouillet', '27', 'FR'),
(10186, '27250', 'Auvergny', '27', 'FR'),
(10187, '27930', 'Aviron', '27', 'FR'),
(10188, '27240', 'Avrilly', '27', 'FR'),
(10189, '27930', 'Bacquepuis', '27', 'FR'),
(10190, '27440', 'Bacqueville', '27', 'FR'),
(10191, '27260', 'Bailleul la Vall�e', '27', 'FR'),
(10192, '27130', 'B�lines', '27', 'FR'),
(10193, '27170', 'Barc', '27', 'FR'),
(10194, '27130', 'Les Barils', '27', 'FR'),
(10195, '27310', 'Barneville sur Seine', '27', 'FR'),
(10196, '27170', 'Barquet', '27', 'FR'),
(10197, '27330', 'La Barre en Ouche', '27', 'FR'),
(10198, '27230', 'Barville', '27', 'FR'),
(10199, '27160', 'Les Baux de Breteuil', '27', 'FR'),
(10200, '27180', 'Les Baux Sainte Croix', '27', 'FR'),
(10201, '27140', 'Bazincourt sur Epte', '27', 'FR'),
(10202, '27230', 'Bazoques', '27', 'FR'),
(10203, '27190', 'Beaubray', '27', 'FR'),
(10204, '27480', 'Beauficel en Lyons', '27', 'FR'),
(10205, '27410', 'Beaumesnil', '27', 'FR'),
(10206, '27170', 'Beaumontel', '27', 'FR'),
(10207, '27170', 'Beaumont le Roger', '27', 'FR'),
(10208, '27800', 'Le Bec Hellouin', '27', 'FR'),
(10209, '27370', 'Le Bec Thomas', '27', 'FR'),
(10210, '27160', 'B�m�court', '27', 'FR'),
(10211, '27110', 'B�rengeville la Campagne', '27', 'FR'),
(10212, '27300', 'Bernay', '27', 'FR'),
(10213, '27180', 'Bernienville', '27', 'FR'),
(10214, '27700', 'Berni�res sur Seine', '27', 'FR'),
(10215, '27660', 'Bernouville', '27', 'FR'),
(10216, '27630', 'Berthenonville', '27', 'FR'),
(10217, '27800', 'Berthouville', '27', 'FR'),
(10218, '27520', 'Berville en Roumois', '27', 'FR'),
(10219, '27170', 'Berville la Campagne', '27', 'FR'),
(10220, '27210', 'Berville sur Mer', '27', 'FR'),
(10221, '27210', 'Beuzeville', '27', 'FR'),
(10222, '27480', 'B�zu la For�t', '27', 'FR'),
(10223, '27660', 'B�zu Saint �loi', '27', 'FR'),
(10224, '27330', 'Bois Anzeray', '27', 'FR'),
(10225, '27250', 'Bois Arnault', '27', 'FR'),
(10226, '27150', 'Boisemont', '27', 'FR'),
(10227, '27260', 'Le Bois Hellain', '27', 'FR'),
(10228, '27620', 'Bois J�r�me Saint Ouen', '27', 'FR'),
(10229, '27220', 'Bois le Roi', '27', 'FR'),
(10230, '27800', 'Boisney', '27', 'FR'),
(10231, '27330', 'Bois Normand pr�s Lyre', '27', 'FR'),
(10232, '27120', 'Boisset les Pr�vanches', '27', 'FR'),
(10233, '27520', 'Boissey le Ch�tel', '27', 'FR'),
(10234, '27220', 'La Boissi�re', '27', 'FR'),
(10235, '27300', 'Boissy Lamberville', '27', 'FR'),
(10236, '27240', 'Boissy sur Damville', '27', 'FR'),
(10237, '27120', 'Boncourt', '27', 'FR'),
(10238, '27190', 'Bonneville sur Iton', '27', 'FR'),
(10239, '27290', 'Bonneville Aptot', '27', 'FR'),
(10240, '27520', 'Bosc B�nard Commin', '27', 'FR'),
(10241, '27310', 'Bosc B�nard Crescy', '27', 'FR'),
(10242, '27520', 'Boscherville', '27', 'FR'),
(10243, '27270', 'Le Bosc Morel', '27', 'FR'),
(10244, '27330', 'Bosc Renoult en Ouche', '27', 'FR'),
(10245, '27520', 'Bosc Renoult en Roumois', '27', 'FR'),
(10246, '27670', 'Bosc Roger en Roumois', '27', 'FR'),
(10247, '27310', 'Bosgouet', '27', 'FR'),
(10248, '27520', 'Bosgu�rard de Marcouville', '27', 'FR'),
(10249, '27670', 'Bosnormand', '27', 'FR'),
(10250, '27480', 'Bosquentin', '27', 'FR'),
(10251, '27800', 'Bosrobert', '27', 'FR'),
(10252, '27250', 'Les Bottereaux', '27', 'FR'),
(10253, '27700', 'Bouafles', '27', 'FR'),
(10254, '27150', 'Bouchevilliers', '27', 'FR'),
(10255, '27930', 'Le Boulay Morin', '27', 'FR'),
(10256, '27210', 'Boulleville', '27', 'FR'),
(10257, '27500', 'Bouquelon', '27', 'FR'),
(10258, '27310', 'Bouquetot', '27', 'FR'),
(10259, '27310', 'Bourg Achard', '27', 'FR'),
(10260, '27380', 'Bourg Beaudouin', '27', 'FR'),
(10261, '27520', 'Bourgth�roulde Infreville', '27', 'FR'),
(10262, '27230', 'Bournainville Faverolles', '27', 'FR'),
(10263, '27500', 'Bourneville', '27', 'FR'),
(10264, '27580', 'Bourth', '27', 'FR'),
(10265, '27170', 'Bray', '27', 'FR'),
(10266, '27350', 'Brestot', '27', 'FR'),
(10267, '27220', 'Bretagnolles', '27', 'FR'),
(10268, '27160', 'Breteuil', '27', 'FR'),
(10269, '27800', 'Br�tigny', '27', 'FR'),
(10270, '27640', 'Breuilpont', '27', 'FR'),
(10271, '27570', 'Breux sur Avre', '27', 'FR'),
(10272, '27800', 'Brionne', '27', 'FR'),
(10273, '27270', 'Broglie', '27', 'FR'),
(10274, '27930', 'Brosville', '27', 'FR'),
(10275, '27730', 'Bueil', '27', 'FR'),
(10276, '27190', 'Burey', '27', 'FR'),
(10277, '27630', 'Bus Saint R�my', '27', 'FR'),
(10278, '27420', 'Cahaignes', '27', 'FR'),
(10279, '27120', 'Caillouet Orgeville', '27', 'FR'),
(10280, '27490', 'Cailly sur Eure', '27', 'FR'),
(10281, '27800', 'Calleville', '27', 'FR'),
(10282, '27500', 'Campigny', '27', 'FR'),
(10283, '27400', 'Canappeville', '27', 'FR'),
(10284, '27420', 'Cantiers', '27', 'FR'),
(10285, '27300', 'Caorches St Nicolas', '27', 'FR'),
(10286, '27270', 'Capelle les Grands', '27', 'FR'),
(10287, '27300', 'Carsix', '27', 'FR'),
(10288, '27180', 'Caug�', '27', 'FR'),
(10289, '27310', 'Caumont', '27', 'FR'),
(10290, '27350', 'Cauverville en Roumois', '27', 'FR'),
(10291, '27110', 'Cesseville', '27', 'FR'),
(10292, '27120', 'Chaignes', '27', 'FR'),
(10293, '27580', 'Chaise Dieu du Theil', '27', 'FR'),
(10294, '27270', 'Chamblac', '27', 'FR'),
(10295, '27250', 'Chambord', '27', 'FR'),
(10296, '27120', 'Chambray', '27', 'FR'),
(10297, '27190', 'Champ Dolent', '27', 'FR'),
(10298, '27600', 'Champenard', '27', 'FR'),
(10299, '27330', 'Champignolles', '27', 'FR'),
(10300, '27220', 'Champigny la Futelaye', '27', 'FR'),
(10301, '27240', 'Chanteloup', '27', 'FR'),
(10302, '27260', 'La Chapelle Bayvel', '27', 'FR'),
(10303, '27930', 'Chapelle du Bois des Faulx', '27', 'FR'),
(10304, '27270', 'La Chapelle Gauthier', '27', 'FR'),
(10305, '27230', 'La Chapelle Hareng', '27', 'FR'),
(10306, '27950', 'La Chapelle R�anville', '27', 'FR'),
(10307, '27380', 'Charleval', '27', 'FR'),
(10308, '27420', 'Ch�teau sur Epte', '27', 'FR'),
(10309, '27150', 'Chauvincourt Provemont', '27', 'FR'),
(10310, '27220', 'Chavigny Bailleul', '27', 'FR'),
(10311, '27820', 'Chennebrun', '27', 'FR'),
(10312, '27250', 'Ch�ronvilliers', '27', 'FR'),
(10313, '27160', 'Le Chesne', '27', 'FR'),
(10314, '27930', 'Cierrey', '27', 'FR'),
(10315, '27160', 'Cintray', '27', 'FR'),
(10316, '27630', 'Civi�res', '27', 'FR'),
(10317, '27180', 'Claville', '27', 'FR'),
(10318, '27190', 'Collandres Quincarnon', '27', 'FR'),
(10319, '27500', 'Colletot', '27', 'FR'),
(10320, '27170', 'Combon', '27', 'FR'),
(10321, '27190', 'Conches en Ouche', '27', 'FR'),
(10322, '27160', 'Cond� sur Iton', '27', 'FR'),
(10323, '27290', 'Cond� sur Risle', '27', 'FR'),
(10324, '27430', 'Connelles', '27', 'FR'),
(10325, '27210', 'Conteville', '27', 'FR'),
(10326, '27260', 'Cormeilles', '27', 'FR'),
(10327, '27120', 'Le Cormier', '27', 'FR'),
(10328, '27240', 'Corneuil', '27', 'FR'),
(10329, '27300', 'Corneville la Fouqueti�re', '27', 'FR'),
(10330, '27500', 'Corneville sur Risle', '27', 'FR'),
(10331, '27700', 'Corny', '27', 'FR'),
(10332, '27150', 'Coudray', '27', 'FR'),
(10333, '27220', 'Coudres', '27', 'FR'),
(10334, '27300', 'Courb�pine', '27', 'FR'),
(10335, '27940', 'Courcelles sur Seine', '27', 'FR'),
(10336, '27320', 'Courdemanche', '27', 'FR'),
(10337, '27130', 'Courteilles', '27', 'FR'),
(10338, '27750', 'La Couture Boussey', '27', 'FR'),
(10339, '27400', 'Crasville', '27', 'FR'),
(10340, '27110', 'Crestot', '27', 'FR'),
(10341, '27240', 'Cr�ton', '27', 'FR'),
(10342, '27110', 'Criquebeuf la Campagne', '27', 'FR'),
(10343, '27340', 'Criquebeuf sur Seine', '27', 'FR'),
(10344, '27190', 'La Croisille', '27', 'FR'),
(10345, '27120', 'Croisy sur Eure', '27', 'FR'),
(10346, '27490', 'La Croix Saint Leufroy', '27', 'FR'),
(10347, '27110', 'Crosville la Vieille', '27', 'FR'),
(10348, '28520', 'Croth', '28', 'FR'),
(10349, '27700', 'Cuverville', '27', 'FR'),
(10350, '27160', 'Dame Marie', '27', 'FR'),
(10351, '27340', 'Les Damps', '27', 'FR'),
(10352, '27630', 'Dampsmesnil', '27', 'FR'),
(10353, '27240', 'Damville', '27', 'FR'),
(10354, '27720', 'Dangu', '27', 'FR'),
(10355, '27930', 'Dardez', '27', 'FR'),
(10356, '27110', 'Daubeuf la Campagne', '27', 'FR'),
(10357, '27430', 'Daubeuf pr�s Vatteville', '27', 'FR'),
(10358, '27120', 'Douains', '27', 'FR'),
(10359, '27150', 'Doudeauville en Vexin', '27', 'FR'),
(10360, '27380', 'Douville sur Andelle', '27', 'FR'),
(10361, '27320', 'Droisy', '27', 'FR'),
(10362, '27230', 'Drucourt', '27', 'FR'),
(10363, '27230', 'Duranville', '27', 'FR'),
(10364, '27290', '�caquelon', '27', 'FR'),
(10365, '27170', '�cardenville la Campagne', '27', 'FR'),
(10366, '27490', '�cardenville sur Eure', '27', 'FR'),
(10367, '27110', '�cauville', '27', 'FR'),
(10368, '27630', '�cos', '27', 'FR'),
(10369, '27440', '�couis', '27', 'FR'),
(10370, '27110', 'Ecquetot', '27', 'FR'),
(10371, '27930', '�malleville', '27', 'FR'),
(10372, '27190', '�manville', '27', 'FR'),
(10373, '27260', '�paignes', '27', 'FR'),
(10374, '27110', '�p�gard', '27', 'FR'),
(10375, '27730', '�pieds', '27', 'FR'),
(10376, '27330', 'Epinay', '27', 'FR'),
(10377, '27560', '�preville en Lieuvin', '27', 'FR'),
(10378, '27310', '�preville en Roumois', '27', 'FR'),
(10379, '27110', 'Epreville pr�s le Neubourg', '27', 'FR'),
(10380, '27240', 'Essarts', '27', 'FR'),
(10381, '27150', '�tr�pagny', '27', 'FR'),
(10382, '27350', '�tr�ville', '27', 'FR'),
(10383, '27350', '�turqueraye', '27', 'FR'),
(10384, '27000', '�vreux', '27', 'FR'),
(10385, '27530', '�zy sur Eure', '27', 'FR'),
(10386, '27120', 'Fains', '27', 'FR'),
(10387, '27150', 'Farceaux', '27', 'FR'),
(10388, '27210', 'Fatouville Grestain', '27', 'FR'),
(10389, '27930', 'Fauville', '27', 'FR'),
(10390, '27190', 'Faverolles la Campagne', '27', 'FR'),
(10391, '27230', 'Faverolles les Mares', '27', 'FR'),
(10392, '27230', 'Favril', '27', 'FR'),
(10393, '27190', 'Ferri�res Haut Clocher', '27', 'FR'),
(10394, '27270', 'Ferri�res Saint Hilaire', '27', 'FR'),
(10395, '27760', 'La Ferri�re sur Risle', '27', 'FR'),
(10396, '27110', 'Feuguerolles', '27', 'FR'),
(10397, '27190', 'Le Fidelaire', '27', 'FR'),
(10398, '27210', 'Fiquefleur �quainville', '27', 'FR'),
(10399, '27310', 'Flancourt Catelon', '27', 'FR'),
(10400, '27480', 'Fleury la For�t', '27', 'FR'),
(10401, '27380', 'Fleury sur Andelle', '27', 'FR'),
(10402, '27380', 'Flipou', '27', 'FR'),
(10403, '27230', 'Folleville', '27', 'FR'),
(10404, '27600', 'Fontaine Bellenger', '27', 'FR'),
(10405, '27490', 'Fontaine Heudebourg', '27', 'FR'),
(10406, '27470', 'Fontaine l''Abb�', '27', 'FR'),
(10407, '27300', 'Fontaine l''Abb�', '27', 'FR'),
(10408, '27230', 'Fontaine la Louvet', '27', 'FR'),
(10409, '27550', 'Fontaine la Soret', '27', 'FR'),
(10410, '27120', 'Fontaine sous Jouy', '27', 'FR'),
(10411, '27510', 'Fontenay', '27', 'FR'),
(10412, '27220', 'La For�t du Parc', '27', 'FR'),
(10413, '27510', 'For�t la Folie', '27', 'FR'),
(10414, '27210', 'Fort Moville', '27', 'FR'),
(10415, '27220', 'Foucrainville', '27', 'FR'),
(10416, '27210', 'Foulbec', '27', 'FR'),
(10417, '27370', 'Fouqueville', '27', 'FR'),
(10418, '27630', 'Fourges', '27', 'FR'),
(10419, '27500', 'Fourmetot', '27', 'FR'),
(10420, '27630', 'Fours en Vexin', '27', 'FR'),
(10421, '27160', 'Francheville', '27', 'FR'),
(10422, '27800', 'Franqueville', '27', 'FR'),
(10423, '27290', 'Freneuse sur Risle', '27', 'FR'),
(10424, '27190', 'Le Fresne', '27', 'FR'),
(10425, '27260', 'Fresne Cauverville', '27', 'FR'),
(10426, '27700', 'Fresne l''Archev�que', '27', 'FR'),
(10427, '27220', 'Fresney', '27', 'FR'),
(10428, '27120', 'Gadencourt', '27', 'FR'),
(10429, '27440', 'Gaillardbois Cressenville', '27', 'FR'),
(10430, '27600', 'Gaillon', '27', 'FR'),
(10431, '27150', 'Gamaches en Vexin', '27', 'FR'),
(10432, '27220', 'Garenci�res', '27', 'FR'),
(10433, '27780', 'Garennes sur Eure', '27', 'FR'),
(10434, '27620', 'Gasny', '27', 'FR'),
(10435, '27930', 'Gauciel', '27', 'FR'),
(10436, '27190', 'Gaudreville la Rivi�re', '27', 'FR'),
(10437, '27930', 'Gauville la Campagne', '27', 'FR'),
(10438, '27330', 'Gisay la Coudre', '27', 'FR'),
(10439, '27140', 'Gisors', '27', 'FR'),
(10440, '27620', 'Giverny', '27', 'FR'),
(10441, '27560', 'Giverville', '27', 'FR'),
(10442, '27190', 'Glisolles', '27', 'FR'),
(10443, '27290', 'Glos sur Risle', '27', 'FR'),
(10444, '27390', 'La Goulafri�re', '27', 'FR'),
(10445, '27170', 'Goupilli�res', '27', 'FR'),
(10446, '27580', 'Gournay le Gu�rin', '27', 'FR'),
(10447, '27410', 'Goutti�res', '27', 'FR'),
(10448, '27240', 'Gouville', '27', 'FR'),
(10449, '27380', 'Grainville', '27', 'FR'),
(10450, '27270', 'Grand Camp', '27', 'FR'),
(10451, '27410', 'Grandchain', '27', 'FR'),
(10452, '27240', 'Grandvilliers', '27', 'FR'),
(10453, '27110', 'Graveron S�merville', '27', 'FR'),
(10454, '27930', 'Gravigny', '27', 'FR'),
(10455, '27170', 'Grosley sur Risle', '27', 'FR'),
(10456, '27220', 'Grossoeuvre', '27', 'FR'),
(10457, '27370', 'Le Gros Theil', '27', 'FR'),
(10458, '27160', 'Guernanville', '27', 'FR'),
(10459, '27720', 'Guerny', '27', 'FR'),
(10460, '27160', 'La Gu�roulde', '27', 'FR'),
(10461, '27930', 'Guichainville', '27', 'FR'),
(10462, '27700', 'Guiseniers', '27', 'FR'),
(10463, '27510', 'Guitry', '27', 'FR'),
(10464, '27220', 'L''Habit', '27', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(10465, '27150', 'Hacqueville', '27', 'FR'),
(10466, '27800', 'Harcourt', '27', 'FR'),
(10467, '27120', 'Hardencourt Cocherel', '27', 'FR'),
(10468, '27370', 'La Hareng�re', '27', 'FR'),
(10469, '27630', 'Haricourt', '27', 'FR'),
(10470, '27700', 'Harquency', '27', 'FR'),
(10471, '27350', 'Hauville', '27', 'FR'),
(10472, '27350', 'La Haye Aubr�e', '27', 'FR'),
(10473, '27800', 'La Haye de Calleville', '27', 'FR'),
(10474, '27350', 'La Haye de Routot', '27', 'FR'),
(10475, '27370', 'La Haye du Theil', '27', 'FR'),
(10476, '27400', 'La Haye le Comte', '27', 'FR'),
(10477, '27400', 'La Haye Malherbe', '27', 'FR'),
(10478, '27330', 'La Haye Saint Sylvestre', '27', 'FR'),
(10479, '27150', 'H�b�court', '27', 'FR'),
(10480, '27800', 'Hecmanville', '27', 'FR'),
(10481, '27120', 'H�court', '27', 'FR'),
(10482, '27110', 'Hectomare', '27', 'FR'),
(10483, '27240', 'Hellenvilliers', '27', 'FR'),
(10484, '27700', 'Hennezis', '27', 'FR'),
(10485, '27430', 'Herqueville', '27', 'FR'),
(10486, '27630', 'Heub�court Haricourt', '27', 'FR'),
(10487, '27400', 'Heudebouville', '27', 'FR'),
(10488, '27600', 'Heudebouville', '27', 'FR'),
(10489, '27860', 'Heudicourt', '27', 'FR'),
(10490, '27230', 'Heudreville en Lieuvin', '27', 'FR'),
(10491, '27400', 'Heudreville sur Eure', '27', 'FR'),
(10492, '27950', 'La Heuni�re', '27', 'FR'),
(10493, '27700', 'Heuqueville', '27', 'FR'),
(10494, '27910', 'es Hogues', '27', 'FR'),
(10495, '27400', 'Hondouville', '27', 'FR'),
(10496, '27310', 'Honguemare Guenouville', '27', 'FR'),
(10497, '27570', 'L''Hosmes', '27', 'FR'),
(10498, '27400', 'Houetteville', '27', 'FR'),
(10499, '27120', 'Houlbec Cocherel', '27', 'FR'),
(10500, '27370', 'Houlbec pr�s le Gros Theil', '27', 'FR'),
(10501, '27410', 'La Houssaye', '27', 'FR'),
(10502, '27440', 'Houville en Vexin', '27', 'FR'),
(10503, '27930', 'Huest', '27', 'FR'),
(10504, '27460', 'Igoville', '27', 'FR'),
(10505, '27290', 'Illeville sur Montfort', '27', 'FR'),
(10506, '27770', 'Illiers l''�v�que', '27', 'FR'),
(10507, '27400', 'Incarville', '27', 'FR'),
(10508, '27520', 'Infreville', '27', 'FR'),
(10509, '27930', 'Irreville', '27', 'FR'),
(10510, '27110', 'Iville', '27', 'FR'),
(10511, '27540', 'Ivry la Bataille', '27', 'FR'),
(10512, '27410', 'Jonquerets de Livet', '27', 'FR'),
(10513, '27260', 'Jouveaux', '27', 'FR'),
(10514, '27120', 'Jouy sur Eure', '27', 'FR'),
(10515, '27250', 'Juignettes', '27', 'FR'),
(10516, '27220', 'Jumelles', '27', 'FR'),
(10517, '27210', 'Lande St L�ger', '27', 'FR'),
(10518, '27410', 'Landep�reuse', '27', 'FR'),
(10519, '27350', 'Le Landin', '27', 'FR'),
(10520, '27470', 'Launay', '27', 'FR'),
(10521, '27690', 'L�ry', '27', 'FR'),
(10522, '27910', 'Letteguives', '27', 'FR'),
(10523, '27560', 'Lieurey', '27', 'FR'),
(10524, '27220', 'Lignerolles', '27', 'FR'),
(10525, '27480', 'Lilly', '27', 'FR'),
(10526, '27440', 'Lisors', '27', 'FR'),
(10527, '27800', 'Livet sur Authou', '27', 'FR'),
(10528, '27150', 'Longchamps', '27', 'FR'),
(10529, '27480', 'Lorleau', '27', 'FR'),
(10530, '27190', 'Louversey', '27', 'FR'),
(10531, '27400', 'Louviers', '27', 'FR'),
(10532, '27650', 'Louye', '27', 'FR'),
(10533, '27480', 'Lyons la For�t', '27', 'FR'),
(10534, '27320', 'Madeleine de Nonancourt', '27', 'FR'),
(10535, '27150', 'Mainneville', '27', 'FR'),
(10536, '27800', 'Malleville sur le Bec', '27', 'FR'),
(10537, '27300', 'Malouy', '27', 'FR'),
(10538, '27370', 'Mandeville', '27', 'FR'),
(10539, '27130', 'Mandres', '27', 'FR'),
(10540, '27210', 'Manneville la Raoult', '27', 'FR'),
(10541, '27500', 'Manneville sur Risle', '27', 'FR'),
(10542, '27460', 'Le Manoir', '27', 'FR'),
(10543, '27240', 'Manthelon', '27', 'FR'),
(10544, '27680', 'Marais Vernier', '27', 'FR'),
(10545, '27110', 'Marbeuf', '27', 'FR'),
(10546, '27320', 'Marcilly la Campagne', '27', 'FR'),
(10547, '27810', 'Marcilly sur Eure', '27', 'FR'),
(10548, '27150', 'Martagny', '27', 'FR'),
(10549, '27210', 'Martainville', '27', 'FR'),
(10550, '27340', 'Martot', '27', 'FR'),
(10551, '27390', 'M�licourt', '27', 'FR'),
(10552, '27850', 'M�nesqueville', '27', 'FR'),
(10553, '27120', 'M�nilles', '27', 'FR'),
(10554, '27300', 'Menneval', '27', 'FR'),
(10555, '27950', 'Mercey', '27', 'FR'),
(10556, '27640', 'Merey', '27', 'FR'),
(10557, '27930', 'Le Mesnil Fuguet', '27', 'FR'),
(10558, '27190', 'Le Mesnil Hardray', '27', 'FR'),
(10559, '27400', 'Le Mesnil Jourdain', '27', 'FR'),
(10560, '27390', 'Mesnil Rousset', '27', 'FR'),
(10561, '27150', 'Mesnil sous Vienne', '27', 'FR'),
(10562, '27650', 'Mesnil sur l''Estr�e', '27', 'FR'),
(10563, '27440', 'Mesnil Verclives', '27', 'FR'),
(10564, '27510', 'M�zi�res en Vexin', '27', 'FR'),
(10565, '27240', 'Les Mini�res', '27', 'FR'),
(10566, '27930', 'Miserey', '27', 'FR'),
(10567, '27320', 'Moisville', '27', 'FR'),
(10568, '27400', 'Montaure', '27', 'FR'),
(10569, '27290', 'Montfort sur Risle', '27', 'FR'),
(10570, '27390', 'Montreuil l''Argill�', '27', 'FR'),
(10571, '27260', 'Morainville Jouveaux', '27', 'FR'),
(10572, '27240', 'Buis sur Damville', '27', 'FR'),
(10573, '27150', 'Morgny', '27', 'FR'),
(10574, '27800', 'Morsan', '27', 'FR'),
(10575, '27220', 'Mouettes', '27', 'FR'),
(10576, '27420', 'Mouflaines', '27', 'FR'),
(10577, '27220', 'Mousseaux Neuville', '27', 'FR'),
(10578, '27430', 'Muids', '27', 'FR'),
(10579, '27650', 'Muzy', '27', 'FR'),
(10580, '27190', 'Nagel S�ez Mesnil', '27', 'FR'),
(10581, '27550', 'Nassandres', '27', 'FR'),
(10582, '27830', 'Neaufles Saint Martin', '27', 'FR'),
(10583, '27250', 'Neaufles Auvergny', '27', 'FR'),
(10584, '27110', 'Le Neubourg', '27', 'FR'),
(10585, '27730', 'Neuilly', '27', 'FR'),
(10586, '27150', 'La Neuve Grange', '27', 'FR'),
(10587, '27330', 'La Neuve Lyre', '27', 'FR'),
(10588, '27890', 'La Neuville du Bosc', '27', 'FR'),
(10589, '27800', 'Neuville sur Authou', '27', 'FR'),
(10590, '27560', 'Noards', '27', 'FR'),
(10591, '27560', 'La No� Poulain', '27', 'FR'),
(10592, '27190', 'Nogent le Sec', '27', 'FR'),
(10593, '27150', 'Nojeon en Vexin', '27', 'FR'),
(10594, '27320', 'Nonancourt', '27', 'FR'),
(10595, '27930', 'Normanville', '27', 'FR'),
(10596, '27940', 'Notre Dame de l''Isle', '27', 'FR'),
(10597, '27800', 'Notre Dame d''�pine', '27', 'FR'),
(10598, '27390', 'Notre Dame du Hamel', '27', 'FR'),
(10599, '27410', 'Le Noyer en Ouche', '27', 'FR'),
(10600, '27720', 'Noyers', '27', 'FR'),
(10601, '27190', 'Ormes', '27', 'FR'),
(10602, '27190', 'Orvaux', '27', 'FR'),
(10603, '27120', 'Pacy sur Eure', '27', 'FR'),
(10604, '27510', 'Panilleuse', '27', 'FR'),
(10605, '27320', 'Panlatte', '27', 'FR'),
(10606, '27180', 'Parville', '27', 'FR'),
(10607, '27170', 'Perriers la Campagne', '27', 'FR'),
(10608, '27910', 'Perriers sur Andelle', '27', 'FR'),
(10609, '27910', 'Perruel', '27', 'FR'),
(10610, '27230', 'Piencourt', '27', 'FR'),
(10611, '27400', 'Pinterville', '27', 'FR'),
(10612, '27130', 'Piseux', '27', 'FR'),
(10613, '27590', 'Pitres', '27', 'FR'),
(10614, '27230', 'Places', '27', 'FR'),
(10615, '27300', 'Plainville', '27', 'FR'),
(10616, '27400', 'Les Planches', '27', 'FR'),
(10617, '27230', 'Le Planquay', '27', 'FR'),
(10618, '27300', 'Plasnes', '27', 'FR'),
(10619, '27180', 'Le Plessis Grohan', '27', 'FR'),
(10620, '27120', 'Le Plessis H�bert', '27', 'FR'),
(10621, '27170', 'Le Plessis Sainte Opportune', '27', 'FR'),
(10622, '27500', 'Pont Audemer', '27', 'FR'),
(10623, '27290', 'Pont Authou', '27', 'FR'),
(10624, '27340', 'Pont de l''Arche', '27', 'FR'),
(10625, '27360', 'Pont Saint Pierre', '27', 'FR'),
(10626, '27430', 'Porte Joie', '27', 'FR'),
(10627, '27190', 'Portes', '27', 'FR'),
(10628, '27940', 'Port Mort', '27', 'FR'),
(10629, '27740', 'Poses', '27', 'FR'),
(10630, '27560', 'La Poterie Mathieu', '27', 'FR'),
(10631, '27500', 'Les Pr�aux', '27', 'FR'),
(10632, '27510', 'Pressagny l''Orgueilleux', '27', 'FR'),
(10633, '27220', 'Prey', '27', 'FR'),
(10634, '27150', 'Puchay', '27', 'FR'),
(10635, '27130', 'Pullay', '27', 'FR'),
(10636, '27370', 'La Pyle', '27', 'FR'),
(10637, '27400', 'Quatremare', '27', 'FR'),
(10638, '27220', 'Quessigny', '27', 'FR'),
(10639, '27680', 'Quillebeuf sur Seine', '27', 'FR'),
(10640, '27110', 'Quittebeuf', '27', 'FR'),
(10641, '27380', 'Radepont', '27', 'FR'),
(10642, '27910', 'Renneville', '27', 'FR'),
(10643, '27930', 'Reuilly', '27', 'FR'),
(10644, '27420', 'Richeville', '27', 'FR'),
(10645, '27240', 'R�man', '27', 'FR'),
(10646, '27170', 'Romilly la Puthenaye', '27', 'FR'),
(10647, '27610', 'Romilly sur Andelle', '27', 'FR'),
(10648, '27240', 'Le Roncenay', '27', 'FR'),
(10649, '27700', 'La Roquette', '27', 'FR'),
(10650, '27790', 'Rosay sur Lieure', '27', 'FR'),
(10651, '27350', 'Rougemontiers', '27', 'FR'),
(10652, '27110', 'Rouge Perriers', '27', 'FR'),
(10653, '27270', 'La Roussi�re', '27', 'FR'),
(10654, '27350', 'Routot', '27', 'FR'),
(10655, '27120', 'Rouvray', '27', 'FR'),
(10656, '27250', 'Rugles', '27', 'FR'),
(10657, '27240', 'Le Sacq', '27', 'FR'),
(10658, '27930', 'Sacquenville', '27', 'FR'),
(10659, '27390', 'St Agnan de Cerni�res', '27', 'FR'),
(10660, '27370', 'Saint Amand des Hautes Terres', '27', 'FR'),
(10661, '27220', 'Saint Andr� de l''Eure', '27', 'FR'),
(10662, '27250', 'Saint Antonin de Sommaire', '27', 'FR'),
(10663, '27390', 'Saint Aquilin d''Augerons', '27', 'FR'),
(10664, '27120', 'Saint Aquilin de Pacy', '27', 'FR'),
(10665, '27110', 'Saint Aubin d''�crosville', '27', 'FR'),
(10666, '27230', 'Saint Aubin de Scellon', '27', 'FR'),
(10667, '27410', 'Saint Aubin des Hayes', '27', 'FR'),
(10668, '27270', 'Saint Aubin du Thenney', '27', 'FR'),
(10669, '27410', 'Saint Aubin le Guichard', '27', 'FR'),
(10670, '27300', 'Saint Aubin le Vertueux', '27', 'FR'),
(10671, '27600', 'Saint Aubin sur Gaillon', '27', 'FR'),
(10672, '27680', 'Saint Aubin sur Quillebeuf', '27', 'FR'),
(10673, '27600', 'Sainte Barbe sur Gaillon', '27', 'FR'),
(10674, '27450', 'Saint Beno�t des Ombres', '27', 'FR'),
(10675, '27820', 'Saint Christophe sur Avre', '27', 'FR'),
(10676, '27450', 'Saint Christophe sur Cond�', '27', 'FR'),
(10677, '27300', 'Saint Clair d''Arcey', '27', 'FR'),
(10678, '27110', 'Ste Colombe la Commanderie', '27', 'FR'),
(10679, '27950', 'Sainte Colombe pr�s Vernon', '27', 'FR'),
(10680, '27500', 'Sainte Croix sur Aizier', '27', 'FR'),
(10681, '27800', 'Saint Cyr de Salerne', '27', 'FR'),
(10682, '27100', 'Le Vaudreuil', '27', 'FR'),
(10683, '27370', 'Saint Cyr la Campagne', '27', 'FR'),
(10684, '27390', 'Saint Denis d''Augerons', '27', 'FR'),
(10685, '27520', 'Saint Denis des Monts', '27', 'FR'),
(10686, '27160', 'Saint Denis du B�h�lan', '27', 'FR'),
(10687, '27140', 'Saint Denis le Ferment', '27', 'FR'),
(10688, '27370', 'Saint Didier des Bois', '27', 'FR'),
(10689, '27190', 'Saint �lier', '27', 'FR'),
(10690, '27800', 'Saint �loi de Fourques', '27', 'FR'),
(10691, '27430', 'Saint �tienne du Vauvray', '27', 'FR'),
(10692, '27450', 'Saint �tienne l''Allier', '27', 'FR'),
(10693, '27920', 'Saint �tienne sous Bailleul', '27', 'FR'),
(10694, '27620', 'Sainte Genevi�ve l�s Gasny', '27', 'FR'),
(10695, '27560', 'Saint Georges du Mesnil', '27', 'FR'),
(10696, '27450', 'Saint Georges du Vi�vre', '27', 'FR'),
(10697, '27710', 'Saint Georges Motel', '27', 'FR'),
(10698, '27220', 'Saint Germain de Fresney', '27', 'FR'),
(10699, '27370', 'Saint Germain de Pasquier', '27', 'FR'),
(10700, '27930', 'Saint Germain des Angles', '27', 'FR'),
(10701, '27230', 'Saint Germain la Campagne', '27', 'FR'),
(10702, '27320', 'Saint Germain sur Avre', '27', 'FR'),
(10703, '27500', 'Saint Germain Village', '27', 'FR'),
(10704, '27450', 'Saint Gr�goire du Vi�vre', '27', 'FR'),
(10705, '27560', 'St Jean de la L�queraye', '27', 'FR'),
(10706, '27270', 'Saint Jean du Thenney', '27', 'FR'),
(10707, '27600', 'Saint Julien de la Li�gue', '27', 'FR'),
(10708, '27950', 'Saint Just', '27', 'FR'),
(10709, '27220', 'Saint Laurent des Bois', '27', 'FR'),
(10710, '27390', 'Saint Laurent du Tencement', '27', 'FR'),
(10711, '27300', 'Saint L�ger de Rotes', '27', 'FR'),
(10712, '27520', 'Saint L�ger du Gennetey', '27', 'FR'),
(10713, '27210', 'Saint L�ger sur Bonneville', '27', 'FR'),
(10714, '27930', 'Saint Luc', '27', 'FR'),
(10715, '27210', 'Saint Maclou', '27', 'FR'),
(10716, '27950', 'Saint Marcel', '27', 'FR'),
(10717, '27500', 'Saint Mards de Blacarville', '27', 'FR'),
(10718, '27230', 'Saint Mards de Fresne', '27', 'FR'),
(10719, '27160', 'Sainte Marguerite de l''Autel', '27', 'FR'),
(10720, '27410', 'Sainte Marguerite en Ouche', '27', 'FR'),
(10721, '27150', 'Sainte Marie de Vatimesnil', '27', 'FR'),
(10722, '27190', 'Sainte Marthe', '27', 'FR'),
(10723, '27300', 'Saint Martin du Tilleul', '27', 'FR'),
(10724, '27930', 'Saint Martin la Campagne', '27', 'FR'),
(10725, '27450', 'Saint Martin Saint Firmin', '27', 'FR'),
(10726, '27370', 'Saint Meslin du Bosc', '27', 'FR'),
(10727, '27160', 'Saint Nicolas d''Attez', '27', 'FR'),
(10728, '27370', 'Saint Nicolas du Bosc', '27', 'FR'),
(10729, '27300', 'Saint Nicolas du Bosc l''Abb�', '27', 'FR'),
(10730, '27110', 'Ste Opportune du Bosc', '27', 'FR'),
(10731, '27680', 'Sainte Opportune la Mare', '27', 'FR'),
(10732, '27160', 'Saint Ouen d''Attez', '27', 'FR'),
(10733, '27370', 'Saint Ouen de Pontcheuil', '27', 'FR'),
(10734, '27310', 'Saint Ouen de Thouberville', '27', 'FR'),
(10735, '27680', 'Saint Ouen des Champs', '27', 'FR'),
(10736, '27670', 'Saint Ouen du Tilleul', '27', 'FR'),
(10737, '27800', 'Saint Paul de Fourques', '27', 'FR'),
(10738, '27500', 'Saint Paul sur Risle', '27', 'FR'),
(10739, '27520', 'St Philbert sur Boissey', '27', 'FR'),
(10740, '27290', 'Saint Philbert sur Risle', '27', 'FR'),
(10741, '27950', 'Saint Pierre d''Autils', '27', 'FR'),
(10742, '27920', 'Saint Pierre de Bailleul', '27', 'FR'),
(10743, '27390', 'Saint Pierre de Cerni�res', '27', 'FR'),
(10744, '27260', 'Saint Pierre de Cormeilles', '27', 'FR'),
(10745, '27800', 'Saint Pierre de Salerne', '27', 'FR'),
(10746, '27370', 'Saint Pierre des Fleurs', '27', 'FR'),
(10747, '27450', 'Saint Pierre des Ifs', '27', 'FR'),
(10748, '27370', 'Saint Pierre du Bosgu�rard', '27', 'FR'),
(10749, '27330', 'Saint Pierre du Mesnil', '27', 'FR'),
(10750, '27210', 'Saint Pierre du Val', '27', 'FR'),
(10751, '27430', 'Saint Pierre du Vauvray', '27', 'FR'),
(10752, '27600', 'Saint Pierre la Garenne', '27', 'FR'),
(10753, '27270', 'Saint Quentin des Isles', '27', 'FR'),
(10754, '27680', 'Saint Samson de la Roque', '27', 'FR'),
(10755, '27180', 'Saint S�bastien de Morsent', '27', 'FR'),
(10756, '27560', 'Saint Sim�on', '27', 'FR'),
(10757, '27210', 'St Sulpice de Grimbouville', '27', 'FR'),
(10758, '27260', 'St Sylvestre de Cormeilles', '27', 'FR'),
(10759, '27500', 'Saint Symphorien', '27', 'FR'),
(10760, '27680', 'Saint Thurien', '27', 'FR'),
(10761, '27300', 'St Victor de Chr�tienville', '27', 'FR'),
(10762, '27800', 'Saint Victor d''�pine', '27', 'FR'),
(10763, '27130', 'Saint Victor sur Avre', '27', 'FR'),
(10764, '27930', 'Saint Vigor', '27', 'FR'),
(10765, '27950', 'Saint Vincent des Bois', '27', 'FR'),
(10766, '27230', 'Saint Vincent du Boulay', '27', 'FR'),
(10767, '27150', 'Sancourt', '27', 'FR'),
(10768, '27930', 'Sassey', '27', 'FR'),
(10769, '27370', 'La Saussaye', '27', 'FR'),
(10770, '27150', 'Saussay la Campagne', '27', 'FR'),
(10771, '27190', 'S�b�court', '27', 'FR'),
(10772, '27500', 'Selles', '27', 'FR'),
(10773, '27220', 'Serez', '27', 'FR'),
(10774, '27470', 'Serquigny', '27', 'FR'),
(10775, '27400', 'Surtauville', '27', 'FR'),
(10776, '27400', 'Surville', '27', 'FR'),
(10777, '27420', 'Suzay', '27', 'FR'),
(10778, '27520', 'Theillement', '27', 'FR'),
(10779, '27230', 'Le Theil Nolent', '27', 'FR'),
(10780, '27330', 'Thevray', '27', 'FR'),
(10781, '27410', 'Thevray', '27', 'FR'),
(10782, '27230', 'Thiberville', '27', 'FR'),
(10783, '27800', 'Thibouville', '27', 'FR'),
(10784, '27290', 'Thierville', '27', 'FR'),
(10785, '27150', 'Le Thil', '27', 'FR'),
(10786, '27420', 'Thilliers en Vexin', '27', 'FR'),
(10787, '27240', 'Thomer la S�gne', '27', 'FR'),
(10788, '27700', 'Le Thuit', '27', 'FR'),
(10789, '27370', 'Le Thuit Anger', '27', 'FR'),
(10790, '27520', 'Thuit H�bert', '27', 'FR'),
(10791, '27370', 'Le Thuit Signol', '27', 'FR'),
(10792, '27370', 'Le Thuit Simer', '27', 'FR'),
(10793, '27170', 'Tilleul Dame Agn�s', '27', 'FR'),
(10794, '27110', 'Le Tilleul Lambert', '27', 'FR'),
(10795, '27170', 'Le Tilleul Othon', '27', 'FR'),
(10796, '27570', 'Tilli�res sur Avre', '27', 'FR'),
(10797, '27510', 'Tilly', '27', 'FR'),
(10798, '27500', 'Tocqueville', '27', 'FR'),
(10799, '27210', 'Le Torpt', '27', 'FR'),
(10800, '27700', 'Tosny', '27', 'FR'),
(10801, '27340', 'Tostes', '27', 'FR'),
(10802, '27440', 'Touffreville', '27', 'FR'),
(10803, '27180', 'Tournedos Bois Hubert', '27', 'FR'),
(10804, '27100', 'Tournedos sur Seine', '27', 'FR'),
(10805, '27930', 'Tourneville', '27', 'FR'),
(10806, '27510', 'Tourny', '27', 'FR'),
(10807, '27370', 'Tourville la Campagne', '27', 'FR'),
(10808, '27500', 'Tourville sur Pont Audemer', '27', 'FR'),
(10809, '27500', 'Toutainville', '27', 'FR'),
(10810, '27290', 'Touville', '27', 'FR'),
(10811, '27110', 'Le Tremblay Omonville', '27', 'FR'),
(10812, '27930', 'La Trinit�', '27', 'FR'),
(10813, '27270', 'La Trinit� de R�ville', '27', 'FR'),
(10814, '27310', 'Trinit� de Thouberville', '27', 'FR'),
(10815, '27500', 'Triqueville', '27', 'FR'),
(10816, '27110', 'Le Troncq', '27', 'FR'),
(10817, '27480', 'Tronquay', '27', 'FR'),
(10818, '27680', 'Trouville la Haule', '27', 'FR'),
(10819, '27400', 'La Vacherie', '27', 'FR'),
(10820, '27300', 'Valailles', '27', 'FR'),
(10821, '27120', 'Le Val David', '27', 'FR'),
(10822, '27350', 'Valletot', '27', 'FR'),
(10823, '27380', 'Vandrimare', '27', 'FR'),
(10824, '27210', 'Vannecrocq', '27', 'FR'),
(10825, '27910', 'Vascoeuil', '27', 'FR'),
(10826, '27430', 'Vatteville', '27', 'FR'),
(10827, '27120', 'Vaux sur Eure', '27', 'FR'),
(10828, '27250', 'Vaux sur Risle', '27', 'FR'),
(10829, '27940', 'Venables', '27', 'FR'),
(10830, '27110', 'Venon', '27', 'FR'),
(10831, '27180', 'Les Ventes', '27', 'FR'),
(10832, '27130', 'Verneuil sur Avre', '27', 'FR'),
(10833, '27390', 'Verneusses', '27', 'FR'),
(10834, '27200', 'Vernon', '27', 'FR'),
(10835, '27870', 'Vesly', '27', 'FR'),
(10836, '27700', 'V�zillon', '27', 'FR'),
(10837, '27930', 'Le Vieil �vreux', '27', 'FR'),
(10838, '27330', 'La Vieille Lyre', '27', 'FR'),
(10839, '27680', 'Vieux Port', '27', 'FR'),
(10840, '27600', 'Vieux Villez', '27', 'FR'),
(10841, '27240', 'Villalet', '27', 'FR'),
(10842, '27120', 'Villegats', '27', 'FR'),
(10843, '27420', 'Villers en Vexin', '27', 'FR'),
(10844, '27940', 'Villers sur le Roule', '27', 'FR'),
(10845, '27110', 'Villettes', '27', 'FR'),
(10846, '27240', 'Sylvains les Moulins', '27', 'FR'),
(10847, '27950', 'Villez sous Bailleul', '27', 'FR'),
(10848, '27110', 'Villez sur le Neubourg', '27', 'FR'),
(10849, '27640', 'Villiers en D�soeuvre', '27', 'FR'),
(10850, '27400', 'Vironvay', '27', 'FR'),
(10851, '27110', 'Vitot', '27', 'FR'),
(10852, '27520', 'Voiscreville', '27', 'FR'),
(10853, '27370', 'Vraiville', '27', 'FR'),
(10854, '27100', 'Val de Reuil', '27', 'FR'),
(10855, '27250', 'Neaufles sur Risle', '27', 'FR'),
(10856, '27230', 'Bournainville', '27', 'FR'),
(10857, '27630', 'Heub�court', '27', 'FR'),
(10858, '28570', 'Abondant', '28', 'FR'),
(10859, '28310', 'Allaines Mervilliers', '28', 'FR'),
(10860, '28500', 'Allainville', '28', 'FR'),
(10861, '28150', 'Allonnes', '28', 'FR'),
(10862, '28800', 'Alluyes', '28', 'FR'),
(10863, '28300', 'Amilly', '28', 'FR'),
(10864, '28260', 'Anet', '28', 'FR'),
(10865, '28170', 'Ardelles', '28', 'FR'),
(10866, '28700', 'Ardelu', '28', 'FR'),
(10867, '28420', 'Argenvilliers', '28', 'FR'),
(10868, '28290', 'Arrou', '28', 'FR'),
(10869, '28700', 'Aunay sous Auneau', '28', 'FR'),
(10870, '28500', 'Aunay sous Cr�cy', '28', 'FR'),
(10871, '28700', 'Auneau', '28', 'FR'),
(10872, '28330', 'Les Autels Villevillon', '28', 'FR'),
(10873, '28220', 'Autheuil', '28', 'FR'),
(10874, '28330', 'Authon du Perche', '28', 'FR'),
(10875, '28140', 'Baigneaux', '28', 'FR'),
(10876, '28150', 'Baignolet', '28', 'FR'),
(10877, '28120', 'Bailleau le Pin', '28', 'FR'),
(10878, '28300', 'Bailleau l''�v�que', '28', 'FR'),
(10879, '28320', 'Bailleau Armenonville', '28', 'FR'),
(10880, '28630', 'Barjouville', '28', 'FR'),
(10881, '28310', 'Barmainville', '28', 'FR'),
(10882, '28310', 'Baudreville', '28', 'FR'),
(10883, '28330', 'La Bazoche Gouet', '28', 'FR'),
(10884, '28140', 'Bazoches en Dunois', '28', 'FR'),
(10885, '28140', 'Bazoches les Hautes', '28', 'FR'),
(10886, '28270', 'Beauche', '28', 'FR'),
(10887, '28420', 'Beaumont les Autels', '28', 'FR'),
(10888, '28150', 'Beauvilliers', '28', 'FR'),
(10889, '28240', 'Belhomert Gu�houville', '28', 'FR'),
(10890, '28300', 'Berch�res St Germain', '28', 'FR'),
(10891, '28630', 'Berch�res les Pierres', '28', 'FR'),
(10892, '28560', 'Berch�res sur Vesgre', '28', 'FR'),
(10893, '28270', 'B�rou la Muloti�re', '28', 'FR'),
(10894, '28330', 'B�thonvilliers', '28', 'FR'),
(10895, '28700', 'B�ville le Comte', '28', 'FR'),
(10896, '28190', 'Billancelles', '28', 'FR'),
(10897, '28120', 'Blandainville', '28', 'FR'),
(10898, '28700', 'Bleury', '28', 'FR'),
(10899, '28170', 'Bl�vy', '28', 'FR'),
(10900, '28220', 'Boisgasson', '28', 'FR'),
(10901, '28500', 'Boissy en Drouais', '28', 'FR'),
(10902, '28340', 'Boissy l�s Perche', '28', 'FR'),
(10903, '28150', 'Boisville la Saint P�re', '28', 'FR'),
(10904, '28360', 'Bourdini�re St Loup', '28', 'FR'),
(10905, '28150', 'Bonc�', '28', 'FR'),
(10906, '28260', 'Boncourt', '28', 'FR'),
(10907, '28800', 'Bonneval', '28', 'FR'),
(10908, '28130', 'Bouglainval', '28', 'FR'),
(10909, '28170', 'Boullay les Deux �glises', '28', 'FR'),
(10910, '28210', 'Le Boullay Mivoye', '28', 'FR'),
(10911, '28210', 'Le Boullay Thierry', '28', 'FR'),
(10912, '28410', 'Boutigny Prouais', '28', 'FR'),
(10913, '28800', 'Bouville', '28', 'FR'),
(10914, '28210', 'Br�champs', '28', 'FR'),
(10915, '28270', 'Brezolles', '28', 'FR'),
(10916, '28300', 'Briconville', '28', 'FR'),
(10917, '28160', 'Brou', '28', 'FR'),
(10918, '28410', 'Brou�', '28', 'FR'),
(10919, '28400', 'Brunelles', '28', 'FR'),
(10920, '28410', 'B�', '28', 'FR'),
(10921, '28800', 'Bullainville', '28', 'FR'),
(10922, '28160', 'Bullou', '28', 'FR'),
(10923, '28120', 'Cernay', '28', 'FR'),
(10924, '28300', 'Challet', '28', 'FR'),
(10925, '28410', 'hampagne', '28', 'FR'),
(10926, '28300', 'Champhol', '28', 'FR'),
(10927, '28240', 'Champrond en G�tine', '28', 'FR'),
(10928, '28400', 'Champrond en Perchet', '28', 'FR'),
(10929, '28700', 'Champseru', '28', 'FR'),
(10930, '28700', 'Chapelle d''Aunainville', '28', 'FR'),
(10931, '28200', 'La Chapelle du Noyer', '28', 'FR'),
(10932, '28500', 'Chapelle Forainvilliers', '28', 'FR'),
(10933, '28340', 'La Chapelle Fortin', '28', 'FR'),
(10934, '28330', 'Chapelle Guillaume', '28', 'FR'),
(10935, '28290', 'Chapelle Royale', '28', 'FR'),
(10936, '28330', 'Charbonni�res', '28', 'FR'),
(10937, '28120', 'Charonville', '28', 'FR'),
(10938, '28500', 'Charpont', '28', 'FR'),
(10939, '28220', 'Charray', '28', 'FR'),
(10940, '28130', 'Chartainvilliers', '28', 'FR'),
(10941, '28000', 'Chartres', '28', 'FR'),
(10942, '28630', 'Chartres', '28', 'FR'),
(10943, '28480', 'Chassant', '28', 'FR'),
(10944, '28270', 'Chataincourt', '28', 'FR'),
(10945, '28200', 'Ch�teaudun', '28', 'FR'),
(10946, '28170', 'Ch�teauneuf en Thymerais', '28', 'FR'),
(10947, '28270', 'Les Ch�telets', '28', 'FR'),
(10948, '28120', 'Ch�telliers Notre Dame', '28', 'FR'),
(10949, '28700', 'Ch�tenay', '28', 'FR'),
(10950, '28290', 'Ch�tillon en Dunois', '28', 'FR'),
(10951, '28210', 'Chaudon', '28', 'FR'),
(10952, '28120', 'Chauffours', '28', 'FR'),
(10953, '28260', 'La Chauss�e d''Ivry', '28', 'FR'),
(10954, '28170', 'Ch�ne Chenu', '28', 'FR'),
(10955, '28500', 'Ch�risy', '28', 'FR'),
(10956, '28190', 'Chuisnes', '28', 'FR'),
(10957, '28300', 'Cintray', '28', 'FR'),
(10958, '28200', 'ivry', '28', 'FR'),
(10959, '28300', 'Cl�villiers', '28', 'FR'),
(10960, '28220', 'Cloyes sur le Loir', '28', 'FR'),
(10961, '28300', 'Coltainville', '28', 'FR'),
(10962, '28480', 'Combres', '28', 'FR'),
(10963, '28200', 'Conie Molitard', '28', 'FR'),
(10964, '28630', 'Corancez', '28', 'FR'),
(10965, '28140', 'Cormainville', '28', 'FR'),
(10966, '28240', 'Les Corv�es les Yys', '28', 'FR'),
(10967, '28630', 'Coudray', '28', 'FR'),
(10968, '28330', 'Coudray au Perche', '28', 'FR'),
(10969, '28400', 'Coudreceau', '28', 'FR'),
(10970, '28210', 'Coulombs', '28', 'FR'),
(10971, '28140', 'Courbehaye', '28', 'FR'),
(10972, '28290', 'Courtalain', '28', 'FR'),
(10973, '28190', 'Courville sur Eure', '28', 'FR'),
(10974, '28500', 'Cr�cy Couv�', '28', 'FR'),
(10975, '28210', 'Croisilles', '28', 'FR'),
(10976, '28480', 'La Croix du Perche', '28', 'FR'),
(10977, '28270', 'Crucey Villages', '28', 'FR'),
(10978, '28140', 'Dambron', '28', 'FR'),
(10979, '28360', 'Dammarie', '28', 'FR'),
(10980, '28160', 'Dampierre sous Brou', '28', 'FR'),
(10981, '28350', 'Dampierre sur Avre', '28', 'FR'),
(10982, '28170', 'Dampierre sur Bl�vy', '28', 'FR'),
(10983, '28800', 'Dancy', '28', 'FR'),
(10984, '28160', 'Dangeau', '28', 'FR'),
(10985, '28190', 'Dangers', '28', 'FR'),
(10986, '28700', 'Denonville', '28', 'FR'),
(10987, '28250', 'Digny', '28', 'FR'),
(10988, '91670', 'Dommerville', '91', 'FR'),
(10989, '28200', 'Donnemain Saint Mam�s', '28', 'FR'),
(10990, '28220', 'Douy', '28', 'FR'),
(10991, '28100', 'Dreux', '28', 'FR'),
(10992, '28230', 'Droue sur Drouette', '28', 'FR'),
(10993, '28500', '�cluzelles', '28', 'FR'),
(10994, '28320', '�crosnes', '28', 'FR'),
(10995, '28170', '�cubl�', '28', 'FR'),
(10996, '28120', '�peautrolles', '28', 'FR'),
(10997, '28230', '�pernon', '28', 'FR'),
(10998, '28120', 'Ermenonville la Grande', '28', 'FR'),
(10999, '28120', 'Ermenonville la Petite', '28', 'FR'),
(11000, '28270', 'Escorpain', '28', 'FR'),
(11001, '28330', 'Les �tilleux', '28', 'FR'),
(11002, '28150', 'Fains la Folie', '28', 'FR'),
(11003, '28210', 'Faverolles', '28', 'FR'),
(11004, '28170', 'Favi�res', '28', 'FR'),
(11005, '28190', 'Favril', '28', 'FR'),
(11006, '28340', 'La Fert� Vidame', '28', 'FR'),
(11007, '28220', 'La Fert� Villeneuil', '28', 'FR'),
(11008, '28270', 'Fessanvilliers Mattanvilliers', '28', 'FR'),
(11009, '28800', 'Flacey', '28', 'FR'),
(11010, '28190', 'Fontaine la Guyon', '28', 'FR'),
(11011, '28170', 'Fontaine les Ribouts', '28', 'FR'),
(11012, '28240', 'Fontaine Simon', '28', 'FR'),
(11013, '28140', 'Fontenay sur Conie', '28', 'FR'),
(11014, '28630', 'Fontenay sur Eure', '28', 'FR'),
(11015, '28250', 'La Framboisi�re', '28', 'FR'),
(11016, '28700', 'Francourville', '28', 'FR'),
(11017, '28160', 'Fraz�', '28', 'FR'),
(11018, '28360', 'Fresnay le Comte', '28', 'FR'),
(11019, '28300', 'Fresnay le Gilmert', '28', 'FR'),
(11020, '28310', 'Fresnay l''�v�que', '28', 'FR'),
(11021, '28480', 'Fr�tigny', '28', 'FR'),
(11022, '28240', 'Friaize', '28', 'FR'),
(11023, '28190', 'Frunc�', '28', 'FR'),
(11024, '28320', 'Gallardon', '28', 'FR'),
(11025, '28700', 'Garanci�res en Beauce', '28', 'FR'),
(11026, '28500', 'Garanci�res en Drouais', '28', 'FR'),
(11027, '28500', 'Garnay', '28', 'FR'),
(11028, '28320', 'Gas', '28', 'FR'),
(11029, '28300', 'Gasville Ois�me', '28', 'FR'),
(11030, '28170', 'G�telles', '28', 'FR'),
(11031, '28400', 'La Gaudaine', '28', 'FR'),
(11032, '28800', 'Le Gault Saint Denis', '28', 'FR'),
(11033, '28630', 'Gellainville', '28', 'FR'),
(11034, '28500', 'Germainville', '28', 'FR'),
(11035, '28140', 'Germignonville', '28', 'FR'),
(11036, '28260', 'Gilles', '28', 'FR'),
(11037, '28170', 'Gironville et Neuville', '28', 'FR'),
(11038, '28160', 'Gohory', '28', 'FR'),
(11039, '28310', 'Gommerville', '28', 'FR'),
(11040, '28310', 'Gouillons', '28', 'FR'),
(11041, '28410', 'Goussainville', '28', 'FR'),
(11042, '28310', 'Grandville Gaudreville', '28', 'FR'),
(11043, '28260', 'Guainville', '28', 'FR'),
(11044, '28700', 'Le Gu� de Longroi', '28', 'FR'),
(11045, '28310', 'Guilleville', '28', 'FR'),
(11046, '28140', 'Guillonville', '28', 'FR'),
(11047, '28130', 'Hanches', '28', 'FR'),
(11048, '28480', 'Happonvilliers', '28', 'FR'),
(11049, '28410', 'Havelu', '28', 'FR'),
(11050, '28700', 'Houville la Branche', '28', 'FR'),
(11051, '28130', 'Houx', '28', 'FR'),
(11052, '28120', 'Illiers Combray', '28', 'FR'),
(11053, '28310', 'Intr�ville', '28', 'FR'),
(11054, '28200', 'Jallans', '28', 'FR'),
(11055, '28310', 'Janville', '28', 'FR'),
(11056, '28250', 'Jaudrais', '28', 'FR'),
(11057, '28300', 'Jouy', '28', 'FR'),
(11058, '28340', 'Lamblore', '28', 'FR'),
(11059, '28190', 'Landelles', '28', 'FR'),
(11060, '28220', 'Langey', '28', 'FR'),
(11061, '28200', 'Lanneray', '28', 'FR'),
(11062, '28270', 'Laons', '28', 'FR'),
(11063, '28700', 'L�thuin', '28', 'FR'),
(11064, '28700', 'Levainville', '28', 'FR'),
(11065, '28300', 'L�ves', '28', 'FR'),
(11066, '28310', 'Levesville la Chenard', '28', 'FR'),
(11067, '28200', 'Logron', '28', 'FR'),
(11068, '28140', 'Loigny la Bataille', '28', 'FR'),
(11069, '28210', 'Lormaye', '28', 'FR'),
(11070, '28240', 'La Loupe', '28', 'FR'),
(11071, '28150', 'Louville la Chenard', '28', 'FR'),
(11072, '28500', 'Louvilliers en Drouais', '28', 'FR'),
(11073, '28250', 'Louvilliers l�s Perche', '28', 'FR'),
(11074, '28110', 'Luc�', '28', 'FR'),
(11075, '28420', 'Luigny', '28', 'FR'),
(11076, '28600', 'Luisant', '28', 'FR'),
(11077, '28140', 'Lumeau', '28', 'FR'),
(11078, '28360', 'Luplant�', '28', 'FR'),
(11079, '28500', 'Luray', '28', 'FR'),
(11080, '28200', 'Lutz en Dunois', '28', 'FR'),
(11081, '28120', 'Magny', '28', 'FR'),
(11082, '28170', 'Maillebois', '28', 'FR'),
(11083, '28130', 'Maintenon', '28', 'FR'),
(11084, '28270', 'Mainterne', '28', 'FR'),
(11085, '28300', 'Mainvilliers', '28', 'FR'),
(11086, '28700', 'Maisons', '28', 'FR'),
(11087, '28270', 'La Manceli�re', '28', 'FR'),
(11088, '28240', 'Manou', '28', 'FR'),
(11089, '28200', 'Marbou�', '28', 'FR'),
(11090, '28120', 'March�ville', '28', 'FR'),
(11091, '28410', 'Marchezais', '28', 'FR'),
(11092, '28400', 'Margon', '28', 'FR'),
(11093, '28400', 'Marolles les Buis', '28', 'FR'),
(11094, '28170', 'Marville les Bois', '28', 'FR'),
(11095, '28500', 'Marville Moutiers Br�l�', '28', 'FR'),
(11096, '28240', 'Meauc�', '28', 'FR'),
(11097, '28220', 'Le M�e', '28', 'FR'),
(11098, '28120', 'M�r�glise', '28', 'FR'),
(11099, '28310', 'M�rouville', '28', 'FR'),
(11100, '28310', 'Mervilliers', '28', 'FR'),
(11101, '28120', 'Meslay le Grenet', '28', 'FR'),
(11102, '28360', 'Meslay le Vidame', '28', 'FR'),
(11103, '28260', 'Le Mesnil Simon', '28', 'FR'),
(11104, '28250', 'Le Mesnil Thomas', '28', 'FR'),
(11105, '28130', 'M�voisins', '28', 'FR'),
(11106, '28160', 'M�zi�res au Perche', '28', 'FR'),
(11107, '28500', 'M�zi�res en Drouais', '28', 'FR'),
(11108, '28420', 'Miermaigne', '28', 'FR'),
(11109, '28630', 'Migni�res', '28', 'FR'),
(11110, '28190', 'Mittainvilliers', '28', 'FR'),
(11111, '28700', 'Moinville la Jeulin', '28', 'FR'),
(11112, '28200', 'Mol�ans', '28', 'FR'),
(11113, '28700', 'Mondonville Saint Jean', '28', 'FR'),
(11114, '28150', 'Montainville', '28', 'FR'),
(11115, '28800', 'Montboissier', '28', 'FR'),
(11116, '28800', 'Montharville', '28', 'FR'),
(11117, '28120', 'Montigny le Chartif', '28', 'FR'),
(11118, '28220', 'Montigny le Gannelon', '28', 'FR'),
(11119, '28270', 'Montigny sur Avre', '28', 'FR'),
(11120, '28240', 'Montireau', '28', 'FR'),
(11121, '28240', 'Montlandon', '28', 'FR'),
(11122, '28320', 'Montlouet', '28', 'FR'),
(11123, '28500', 'Montreuil', '28', 'FR'),
(11124, '28700', 'Morainville', '28', 'FR'),
(11125, '28630', 'Morancez', '28', 'FR'),
(11126, '28800', 'Moriers', '28', 'FR'),
(11127, '28340', 'Morvilliers', '28', 'FR'),
(11128, '28160', 'Mottereau', '28', 'FR'),
(11129, '28160', 'Moulhard', '28', 'FR'),
(11130, '28150', 'Moutiers', '28', 'FR'),
(11131, '28210', 'N�ron', '28', 'FR'),
(11132, '28310', 'Neuvy en Beauce', '28', 'FR'),
(11133, '28800', 'Neuvy en Dunois', '28', 'FR'),
(11134, '28630', 'Nogent le Phaye', '28', 'FR'),
(11135, '28210', 'Nogent le Roi', '28', 'FR'),
(11136, '28400', 'Nogent le Rotrou', '28', 'FR'),
(11137, '28120', 'Nogent sur Eure', '28', 'FR'),
(11138, '28120', 'Nonvilliers Grandhoux', '28', 'FR'),
(11139, '28140', 'Nottonville', '28', 'FR'),
(11140, '28310', 'Oinville Saint Liphard', '28', 'FR'),
(11141, '28700', 'Oinville sous Auneau', '28', 'FR'),
(11142, '28120', 'Oll�', '28', 'FR'),
(11143, '28140', 'Org�res en Beauce', '28', 'FR'),
(11144, '28700', 'Orlu', '28', 'FR'),
(11145, '28210', 'Ormoy', '28', 'FR'),
(11146, '28190', 'Orrouer', '28', 'FR'),
(11147, '28150', 'Ouarville', '28', 'FR'),
(11148, '28500', 'Ouerre', '28', 'FR'),
(11149, '28260', 'Oulins', '28', 'FR'),
(11150, '28700', 'Oysonville', '28', 'FR'),
(11151, '28200', 'Ozoir le Breuil', '28', 'FR'),
(11152, '28140', 'P�ronville', '28', 'FR'),
(11153, '28150', 'P�zy', '28', 'FR'),
(11154, '28130', 'Pierres', '28', 'FR'),
(11155, '28210', 'Les Pinthi�res', '28', 'FR'),
(11156, '28310', 'Poinville', '28', 'FR'),
(11157, '28300', 'Poisvilliers', '28', 'FR'),
(11158, '28190', 'Pontgouin', '28', 'FR'),
(11159, '28140', 'Poupry', '28', 'FR'),
(11160, '28150', 'Prasville', '28', 'FR'),
(11161, '28800', 'Pr� Saint �vroult', '28', 'FR'),
(11162, '28800', 'Pr� Saint Martin', '28', 'FR'),
(11163, '28410', 'Prouais', '28', 'FR'),
(11164, '28270', 'Prudemanche', '28', 'FR'),
(11165, '28360', 'Prunay le Gillon', '28', 'FR'),
(11166, '28250', 'La Puisaye', '28', 'FR'),
(11167, '28310', 'Le Puiset', '28', 'FR'),
(11168, '28170', 'Puiseux', '28', 'FR'),
(11169, '28150', 'R�clainville', '28', 'FR'),
(11170, '28340', 'Les Ressuintes', '28', 'FR'),
(11171, '28270', 'Revercourt', '28', 'FR'),
(11172, '28340', 'Rohaire', '28', 'FR'),
(11173, '28700', 'Roinville', '28', 'FR'),
(11174, '28220', 'Romilly sur Aigre', '28', 'FR'),
(11175, '28310', 'Rouvray Saint Denis', '28', 'FR'),
(11176, '28150', 'Rouvray Saint Florentin', '28', 'FR'),
(11177, '28260', 'Rouvres', '28', 'FR'),
(11178, '28270', 'Rueil la Gadeli�re', '28', 'FR'),
(11179, '28170', 'Saint Ange et Tor�ay', '28', 'FR'),
(11180, '28190', 'Saint Arnoult des Bois', '28', 'FR'),
(11181, '28300', 'Saint Aubin des Bois', '28', 'FR'),
(11182, '28120', 'Saint Avit les Guespi�res', '28', 'FR'),
(11183, '28330', 'St Bomer', '28', 'FR'),
(11184, '28170', 'Saint Ch�ron des Champs', '28', 'FR'),
(11185, '28200', 'Saint Christophe', '28', 'FR'),
(11186, '28200', 'St Cloud en Dunois', '28', 'FR'),
(11187, '28480', 'Saint Denis d''Authou', '28', 'FR'),
(11188, '28500', 'Sainte Gemme Moronval', '28', 'FR'),
(11189, '28240', 'Saint Denis des Puits', '28', 'FR'),
(11190, '28200', 'Saint Denis les Ponts', '28', 'FR'),
(11191, '28240', 'Saint �liph', '28', 'FR'),
(11192, '28120', 'Saint �man', '28', 'FR'),
(11193, '28190', 'Saint Georges sur Eure', '28', 'FR'),
(11194, '28300', 'Saint Germain la G�tine', '28', 'FR'),
(11195, '28190', 'Saint Germain le Gaillard', '28', 'FR'),
(11196, '28220', 'Saint Hilaire sur Yerre', '28', 'FR'),
(11197, '28170', 'Saint Jean de Rebervilliers', '28', 'FR'),
(11198, '28400', 'Saint Jean Pierre Fixte', '28', 'FR'),
(11199, '28210', 'Saint Laurent la G�tine', '28', 'FR'),
(11200, '28700', 'Saint L�ger des Aub�es', '28', 'FR'),
(11201, '28270', 'Saint Lubin de Cravant', '28', 'FR'),
(11202, '28410', 'Saint Lubin de la Haye', '28', 'FR'),
(11203, '28350', 'Saint Lubin des Joncherets', '28', 'FR'),
(11204, '28210', 'Saint Lucien', '28', 'FR'),
(11205, '28190', 'Saint Luperce', '28', 'FR'),
(11206, '28170', 'Saint Maixme Hauterive', '28', 'FR'),
(11207, '28130', 'Saint Martin de Nigelles', '28', 'FR'),
(11208, '28800', 'Saint Maur sur le Loir', '28', 'FR'),
(11209, '28240', 'Saint Maurice Saint Germain', '28', 'FR'),
(11210, '28560', 'Saint Ouen Marchefroy', '28', 'FR'),
(11211, '28290', 'Saint Pellerin', '28', 'FR'),
(11212, '28130', 'Saint Piat', '28', 'FR'),
(11213, '28300', 'Saint Prest', '28', 'FR'),
(11214, '28380', 'Saint R�my sur Avre', '28', 'FR'),
(11215, '28170', 'St Sauveur Marville', '28', 'FR'),
(11216, '28700', 'St Symphorien le Ch�teau', '28', 'FR'),
(11217, '28240', 'Saint Victor de Buthon', '28', 'FR'),
(11218, '28700', 'Sainville', '28', 'FR'),
(11219, '28800', 'Sancheville', '28', 'FR'),
(11220, '28120', 'Sandarville', '28', 'FR'),
(11221, '28700', 'Santeuil', '28', 'FR'),
(11222, '28310', 'Santilly', '28', 'FR'),
(11223, '28250', 'La Saucelle', '28', 'FR'),
(11224, '28500', 'Saulni�res', '28', 'FR'),
(11225, '28800', 'Saumeray', '28', 'FR'),
(11226, '28260', 'Saussay', '28', 'FR'),
(11227, '28210', 'S�nantes', '28', 'FR'),
(11228, '28250', 'Senonches', '28', 'FR'),
(11229, '28170', 'Serazereux', '28', 'FR'),
(11230, '28410', 'Serville', '28', 'FR'),
(11231, '28330', 'Soiz�', '28', 'FR'),
(11232, '28520', 'Sorel Moussel', '28', 'FR'),
(11233, '28400', 'Souanc� au Perche', '28', 'FR'),
(11234, '28130', 'Soulaires', '28', 'FR'),
(11235, '28630', 'Sours', '28', 'FR'),
(11236, '28250', 'Tardais', '28', 'FR'),
(11237, '28140', 'Terminiers', '28', 'FR'),
(11238, '28360', 'Theuville', '28', 'FR'),
(11239, '28170', 'Theuvy Ach�res', '28', 'FR'),
(11240, '28240', 'Le Thieulin', '28', 'FR'),
(11241, '28170', 'Thimert G�telles', '28', 'FR'),
(11242, '28480', 'Thiron Gardais', '28', 'FR'),
(11243, '28630', 'Thivars', '28', 'FR'),
(11244, '28200', 'Thiville', '28', 'FR'),
(11245, '28140', 'Tillay le P�neux', '28', 'FR'),
(11246, '28390', 'Toury', '28', 'FR'),
(11247, '28310', 'Trancrainville', '28', 'FR'),
(11248, '28170', 'Tremblay les Villages', '28', 'FR'),
(11249, '28500', 'Tr�on', '28', 'FR'),
(11250, '28400', 'Trizay Coutretot Saint Serge', '28', 'FR'),
(11251, '28800', 'Trizay l�s Bonneval', '28', 'FR'),
(11252, '28700', 'Umpeau', '28', 'FR'),
(11253, '28160', 'Unverre', '28', 'FR'),
(11254, '28210', 'Vacheresses les Basses', '28', 'FR'),
(11255, '28140', 'Varize', '28', 'FR'),
(11256, '28240', 'Vaupillon', '28', 'FR'),
(11257, '28190', 'V�rigny', '28', 'FR'),
(11258, '28630', 'Ver l�s Chartres', '28', 'FR'),
(11259, '28500', 'Vernouillet', '28', 'FR'),
(11260, '28500', 'Vert en Drouais', '28', 'FR'),
(11261, '28150', 'Viabon', '28', 'FR'),
(11262, '28420', 'Vich�res', '28', 'FR'),
(11263, '28700', 'Vierville', '28', 'FR'),
(11264, '28120', 'Vieuvicq', '28', 'FR'),
(11265, '28200', 'Villampuy', '28', 'FR'),
(11266, '28150', 'Villars', '28', 'FR'),
(11267, '28150', 'Villeau', '28', 'FR'),
(11268, '28250', 'La Ville aux Nonains', '28', 'FR'),
(11269, '28190', 'Villebon', '28', 'FR'),
(11270, '28210', 'Villemeux sur Eure', '28', 'FR'),
(11271, '28150', 'Villeneuve Saint Nicolas', '28', 'FR'),
(11272, '28130', 'Villiers le Morhier', '28', 'FR'),
(11273, '28800', 'Villiers Saint Orien', '28', 'FR'),
(11274, '28360', 'Vitray en Beauce', '28', 'FR'),
(11275, '28270', 'Vitray sous Br�zolles', '28', 'FR'),
(11276, '28700', 'Voise', '28', 'FR'),
(11277, '28150', 'Voves', '28', 'FR'),
(11278, '28130', 'Yermenonville', '28', 'FR'),
(11279, '28160', 'Y�vres', '28', 'FR'),
(11280, '28320', 'Ymeray', '28', 'FR'),
(11281, '28150', 'Ymonville', '28', 'FR'),
(11282, '29560', 'Argol', '29', 'FR'),
(11283, '29300', 'Arzano', '29', 'FR'),
(11284, '29770', 'Audierne', '29', 'FR'),
(11285, '29380', 'Bannalec', '29', 'FR'),
(11286, '29300', 'Baye', '29', 'FR'),
(11287, '29950', 'B�nodet', '29', 'FR'),
(11288, '29690', 'Berrien', '29', 'FR'),
(11289, '29790', 'Beuzec Cap Sizun', '29', 'FR'),
(11290, '29400', 'Bodilis', '29', 'FR'),
(11291, '29820', 'Bohars', '29', 'FR'),
(11292, '29640', 'Bolazec', '29', 'FR'),
(11293, '29690', 'Botmeur', '29', 'FR'),
(11294, '29650', 'Botsorhel', '29', 'FR'),
(11295, '29860', 'Bourg Blanc', '29', 'FR'),
(11296, '29190', 'Brasparts', '29', 'FR'),
(11297, '29810', 'Br�l�s', '29', 'FR'),
(11298, '29690', 'Brennilis', '29', 'FR'),
(11299, '29200', 'Brest', '29', 'FR'),
(11300, '29510', 'Briec', '29', 'FR'),
(11301, '29890', 'Brignogan Plage', '29', 'FR'),
(11302, '29570', 'Camaret sur Mer', '29', 'FR'),
(11303, '29660', 'Carantec', '29', 'FR'),
(11304, '29270', 'Carhaix Plouguer', '29', 'FR'),
(11305, '29150', 'Cast', '29', 'FR'),
(11306, '29150', 'Ch�teaulin', '29', 'FR'),
(11307, '29540', 'Ch�teauneuf du Faou', '29', 'FR'),
(11308, '29520', 'Ch�teauneuf du Faou', '29', 'FR'),
(11309, '29770', 'Cl�den Cap Sizun', '29', 'FR'),
(11310, '29270', 'Cl�den Poher', '29', 'FR'),
(11311, '29233', 'Cl�der', '29', 'FR'),
(11312, '29360', 'Clohars Carno�t', '29', 'FR'),
(11313, '29950', 'Clohars Fouesnant', '29', 'FR'),
(11314, '29190', 'Le Clo�tre Pleyben', '29', 'FR'),
(11315, '29410', 'Le Clo�tre Saint Th�gonnec', '29', 'FR'),
(11316, '29870', 'Coat M�al', '29', 'FR'),
(11317, '29530', 'Collorec', '29', 'FR'),
(11318, '29120', 'Combrit', '29', 'FR'),
(11319, '29450', 'Commana', '29', 'FR'),
(11320, '29900', 'Concarneau', '29', 'FR'),
(11321, '29217', 'Le Conquet', '29', 'FR'),
(11322, '29370', 'Coray', '29', 'FR'),
(11323, '29160', 'Crozon', '29', 'FR'),
(11324, '29460', 'Daoulas', '29', 'FR'),
(11325, '29150', 'Din�ault', '29', 'FR'),
(11326, '29460', 'Dirinon', '29', 'FR'),
(11327, '29100', 'Douarnenez', '29', 'FR'),
(11328, '29860', 'Le Drennec', '29', 'FR'),
(11329, '29510', '�dern', '29', 'FR'),
(11330, '29370', 'Elliant', '29', 'FR'),
(11331, '29500', 'Ergu� Gab�ric', '29', 'FR'),
(11332, '29770', 'Esquibien', '29', 'FR'),
(11333, '29590', 'Le Faou', '29', 'FR'),
(11334, '29690', 'La Feuill�e', '29', 'FR'),
(11335, '29260', 'Le Folgo�t', '29', 'FR'),
(11336, '29800', 'La Forest Landerneau', '29', 'FR'),
(11337, '29940', 'La For�t Fouesnant', '29', 'FR'),
(11338, '29170', 'Fouesnant', '29', 'FR'),
(11339, '29610', 'Garlan', '29', 'FR'),
(11340, '29950', 'Gouesnach', '29', 'FR'),
(11341, '29850', 'Gouesnou', '29', 'FR'),
(11342, '29190', 'Gou�zec', '29', 'FR'),
(11343, '29770', 'Goulien', '29', 'FR'),
(11344, '29890', 'Goulven', '29', 'FR'),
(11345, '29710', 'Gourlizon', '29', 'FR'),
(11346, '29180', 'Guengat', '29', 'FR'),
(11347, '29650', 'Guerlesquin', '29', 'FR'),
(11348, '29410', 'Guiclan', '29', 'FR'),
(11349, '29820', 'Guilers', '29', 'FR'),
(11350, '29710', 'Guiler sur Goyen', '29', 'FR'),
(11351, '29300', 'Guilligomarc''h', '29', 'FR'),
(11352, '29730', 'Guilvinec', '29', 'FR'),
(11353, '29620', 'Guima�c', '29', 'FR'),
(11354, '29400', 'Guimiliau', '29', 'FR'),
(11355, '29490', 'Guipavas', '29', 'FR'),
(11356, '29290', 'Guipronvel', '29', 'FR'),
(11357, '29880', 'Guiss�ny', '29', 'FR'),
(11358, '29460', 'Hanvec', '29', 'FR'),
(11359, '29670', 'Henvic', '29', 'FR'),
(11360, '29460', 'H�pital Camfrout', '29', 'FR'),
(11361, '29690', 'Huelgoat', '29', 'FR'),
(11362, '29253', 'Ile de Batz', '29', 'FR'),
(11363, '29990', 'Ile de Sein', '29', 'FR'),
(11364, '29259', 'Ile Mol�ne', '29', 'FR'),
(11365, '29980', '�le Tudy', '29', 'FR'),
(11366, '29460', 'Irvillac', '29', 'FR'),
(11367, '29100', 'Le Juch', '29', 'FR'),
(11368, '29270', 'Kergloff', '29', 'FR'),
(11369, '29100', 'Kerlaz', '29', 'FR'),
(11370, '29890', 'Kerlouan', '29', 'FR'),
(11371, '29260', 'Kernilis', '29', 'FR'),
(11372, '29260', 'Kernou�s', '29', 'FR'),
(11373, '29860', 'Kersaint Plabennec', '29', 'FR'),
(11374, '29400', 'Lampaul Guimiliau', '29', 'FR'),
(11375, '29810', 'Lampaul Plouarzel', '29', 'FR'),
(11376, '29830', 'Lampaul Ploudalm�zeau', '29', 'FR'),
(11377, '29260', 'Lanarvily', '29', 'FR'),
(11378, '29870', 'Land�da', '29', 'FR'),
(11379, '29530', 'Landeleau', '29', 'FR'),
(11380, '29800', 'Landerneau', '29', 'FR'),
(11381, '29560', 'Land�vennec', '29', 'FR'),
(11382, '29400', 'Landivisiau', '29', 'FR'),
(11383, '29510', 'Landr�varzec', '29', 'FR'),
(11384, '29510', 'Landudal', '29', 'FR'),
(11385, '29710', 'Landudec', '29', 'FR'),
(11386, '29840', 'Landunvez', '29', 'FR'),
(11387, '29510', 'Langolen', '29', 'FR'),
(11388, '29430', 'Lanhouarneau', '29', 'FR'),
(11389, '29840', 'Lanildut', '29', 'FR'),
(11390, '29620', 'Lanmeur', '29', 'FR'),
(11391, '29640', 'Lann�anou', '29', 'FR'),
(11392, '29190', 'Lann�dern', '29', 'FR'),
(11393, '29400', 'Lanneuffret', '29', 'FR'),
(11394, '29870', 'Lannilis', '29', 'FR'),
(11395, '29290', 'Lanrivoar�', '29', 'FR'),
(11396, '29160', 'Lanv�oc', '29', 'FR'),
(11397, '29840', 'Larret', '29', 'FR'),
(11398, '29520', 'Laz', '29', 'FR'),
(11399, '29190', 'Lennon', '29', 'FR'),
(11400, '29260', 'Lesneven', '29', 'FR'),
(11401, '29390', 'Leuhan', '29', 'FR'),
(11402, '29260', 'Loc Br�valaire', '29', 'FR'),
(11403, '29410', 'Loc �guiner Saint Th�gonnec', '29', 'FR'),
(11404, '29400', 'Loc Eguiner', '29', 'FR'),
(11405, '29690', 'Locmaria Berrien', '29', 'FR'),
(11406, '29280', 'Locmaria Plouzan�', '29', 'FR'),
(11407, '29400', 'Locm�lar', '29', 'FR'),
(11408, '29670', 'Locqu�nol�', '29', 'FR'),
(11409, '29241', 'Locquirec', '29', 'FR'),
(11410, '29180', 'Locronan', '29', 'FR'),
(11411, '29750', 'Loctudy', '29', 'FR'),
(11412, '29310', 'Locunol�', '29', 'FR'),
(11413, '29460', 'Logonna Daoulas', '29', 'FR'),
(11414, '29590', 'Lop�rec', '29', 'FR'),
(11415, '29470', 'Loperhet', '29', 'FR'),
(11416, '29530', 'Loqueffret', '29', 'FR'),
(11417, '29190', 'Lothey', '29', 'FR'),
(11418, '29790', 'Mahalon', '29', 'FR'),
(11419, '29800', 'La Martyre', '29', 'FR'),
(11420, '29790', 'Meilars', '29', 'FR'),
(11421, '29140', 'Melgven', '29', 'FR'),
(11422, '29300', 'Mellac', '29', 'FR'),
(11423, '29420', 'Mespaul', '29', 'FR'),
(11424, '29290', 'Milizac', '29', 'FR'),
(11425, '29350', 'Mo�lan sur Mer', '29', 'FR'),
(11426, '29600', 'Morlaix', '29', 'FR'),
(11427, '29270', 'Motreff', '29', 'FR'),
(11428, '29920', 'N�vez', '29', 'FR'),
(11429, '29242', 'Ouessant', '29', 'FR'),
(11430, '29800', 'Pencran', '29', 'FR'),
(11431, '29760', 'Penmarch', '29', 'FR'),
(11432, '29710', 'Peum�rit', '29', 'FR'),
(11433, '29860', 'Plabennec', '29', 'FR'),
(11434, '29170', 'Pleuven', '29', 'FR'),
(11435, '29190', 'Pleyben', '29', 'FR'),
(11436, '29410', 'Pleyber Christ', '29', 'FR'),
(11437, '29740', 'Plobannalec', '29', 'FR'),
(11438, '29550', 'Plo�ven', '29', 'FR'),
(11439, '29710', 'Plogastel Saint Germain', '29', 'FR'),
(11440, '29770', 'Plogoff', '29', 'FR'),
(11441, '29180', 'Plogonnec', '29', 'FR'),
(11442, '29700', 'Plomelin', '29', 'FR'),
(11443, '29120', 'Plomeur', '29', 'FR'),
(11444, '29550', 'Plomodiern', '29', 'FR'),
(11445, '29710', 'Plon�is', '29', 'FR'),
(11446, '29720', 'Plon�our Lanvern', '29', 'FR'),
(11447, '29530', 'Plon�vez du Faou', '29', 'FR'),
(11448, '29550', 'Plon�vez Porzay', '29', 'FR'),
(11449, '29810', 'Plouarzel', '29', 'FR'),
(11450, '29830', 'Ploudalm�zeau', '29', 'FR'),
(11451, '29260', 'Ploudaniel', '29', 'FR'),
(11452, '29800', 'Ploudiry', '29', 'FR'),
(11453, '29800', 'Plou�dern', '29', 'FR'),
(11454, '29620', 'Plou�gat Gu�rand', '29', 'FR'),
(11455, '29650', 'Plou�gat Moysan', '29', 'FR'),
(11456, '29420', 'Plou�nan', '29', 'FR'),
(11457, '29430', 'Plouescat', '29', 'FR'),
(11458, '29252', 'Plou�zoch', '29', 'FR'),
(11459, '29440', 'Plougar', '29', 'FR'),
(11460, '29630', 'Plougasnou', '29', 'FR'),
(11461, '29470', 'Plougastel Daoulas', '29', 'FR'),
(11462, '29217', 'Plougonvelin', '29', 'FR'),
(11463, '29640', 'Plougonven', '29', 'FR'),
(11464, '29250', 'Plougoulm', '29', 'FR'),
(11465, '29400', 'Plougourvest', '29', 'FR'),
(11466, '29880', 'Plouguerneau', '29', 'FR'),
(11467, '29830', 'Plouguin', '29', 'FR'),
(11468, '29780', 'Plouhinec', '29', 'FR'),
(11469, '29260', 'Plouider', '29', 'FR'),
(11470, '29610', 'Plouigneau', '29', 'FR'),
(11471, '29810', 'Ploumoguer', '29', 'FR'),
(11472, '29410', 'Ploun�our M�nez', '29', 'FR'),
(11473, '29890', 'Ploun�our Trez', '29', 'FR'),
(11474, '29400', 'Ploun�venter', '29', 'FR'),
(11475, '29270', 'Ploun�v�zel', '29', 'FR'),
(11476, '29430', 'Ploun�vez Lochrist', '29', 'FR'),
(11477, '29600', 'Plourin l�s Morlaix', '29', 'FR'),
(11478, '29830', 'Plourin', '29', 'FR'),
(11479, '29860', 'Plouvien', '29', 'FR'),
(11480, '29420', 'Plouvorn', '29', 'FR'),
(11481, '29690', 'Plouy�', '29', 'FR'),
(11482, '29280', 'Plouzan�', '29', 'FR'),
(11483, '29440', 'Plouz�v�d�', '29', 'FR'),
(11484, '29720', 'Plovan', '29', 'FR'),
(11485, '29710', 'Ploz�vet', '29', 'FR'),
(11486, '29700', 'Pluguffan', '29', 'FR'),
(11487, '29930', 'Pont Aven', '29', 'FR'),
(11488, '29790', 'Pont Croix', '29', 'FR'),
(11489, '29650', 'Le Ponthou', '29', 'FR'),
(11490, '29120', 'Pont l''Abb�', '29', 'FR'),
(11491, '29840', 'Porspoder', '29', 'FR'),
(11492, '29150', 'Port Launay', '29', 'FR'),
(11493, '29100', 'Pouldergat', '29', 'FR'),
(11494, '29710', 'Pouldreuzic', '29', 'FR'),
(11495, '29100', 'Poullan sur Mer', '29', 'FR'),
(11496, '29246', 'Poullaouen', '29', 'FR'),
(11497, '29770', 'Primelin', '29', 'FR'),
(11498, '29180', 'Qu�m�n�ven', '29', 'FR'),
(11499, '29310', 'Querrien', '29', 'FR'),
(11500, '29000', 'Quimper', '29', 'FR'),
(11501, '29300', 'Quimperl�', '29', 'FR'),
(11502, '29300', 'R�den�', '29', 'FR'),
(11503, '29480', 'Le Relecq Kerhuon', '29', 'FR'),
(11504, '29340', 'Riec sur B�lon', '29', 'FR'),
(11505, '29800', 'La Roche Maurice', '29', 'FR'),
(11506, '29570', 'Roscanvel', '29', 'FR'),
(11507, '29680', 'Roscoff', '29', 'FR'),
(11508, '29590', 'Rosno�n', '29', 'FR'),
(11509, '29140', 'Rosporden', '29', 'FR'),
(11510, '29150', 'Saint Coulitz', '29', 'FR'),
(11511, '29440', 'Saint Derrien', '29', 'FR'),
(11512, '29800', 'Saint Divy', '29', 'FR'),
(11513, '29460', 'Saint �loy', '29', 'FR'),
(11514, '29170', 'Saint �varzec', '29', 'FR'),
(11515, '29260', 'Saint Fr�gant', '29', 'FR'),
(11516, '29520', 'Saint Goazec', '29', 'FR'),
(11517, '29270', 'Saint Hernin', '29', 'FR'),
(11518, '29630', 'Saint Jean du Doigt', '29', 'FR'),
(11519, '29120', 'Saint Jean Trolimon', '29', 'FR'),
(11520, '29600', 'Saint Martin des Champs', '29', 'FR'),
(11521, '29260', 'Saint M�en', '29', 'FR'),
(11522, '29550', 'Saint Nic', '29', 'FR'),
(11523, '29830', 'St Pabu', '29', 'FR'),
(11524, '29250', 'Saint Pol de L�on', '29', 'FR'),
(11525, '29290', 'Saint Renan', '29', 'FR'),
(11526, '29190', 'Saint Rivoal', '29', 'FR'),
(11527, '29400', 'Saint Sauveur', '29', 'FR'),
(11528, '29590', 'Saint S�gal', '29', 'FR'),
(11529, '29400', 'Saint Servais', '29', 'FR'),
(11530, '29600', 'Sainte S�ve', '29', 'FR'),
(11531, '29410', 'Saint Th�gonnec', '29', 'FR'),
(11532, '29520', 'Saint Thois', '29', 'FR'),
(11533, '29800', 'Saint Thonan', '29', 'FR'),
(11534, '29380', 'Saint Thurien', '29', 'FR'),
(11535, '29800', 'Saint Urbain', '29', 'FR'),
(11536, '29440', 'Saint Vougay', '29', 'FR'),
(11537, '29140', 'Saint Yvy', '29', 'FR'),
(11538, '29250', 'Santec', '29', 'FR'),
(11539, '29390', 'Sca�r', '29', 'FR'),
(11540, '29640', 'Scrignac', '29', 'FR'),
(11541, '29250', 'Sibiril', '29', 'FR'),
(11542, '29450', 'Sizun', '29', 'FR'),
(11543, '29540', 'Sp�zet', '29', 'FR'),
(11544, '29670', 'Taul�', '29', 'FR'),
(11545, '29560', 'Telgruc sur Mer', '29', 'FR'),
(11546, '29140', 'Tourch', '29', 'FR'),
(11547, '29217', 'Tr�babu', '29', 'FR'),
(11548, '29730', 'Tr�ffiagat', '29', 'FR'),
(11549, '29440', 'Tr�flaou�nan', '29', 'FR'),
(11550, '29800', 'Tr�fl�venez', '29', 'FR'),
(11551, '29430', 'Tr�flez', '29', 'FR'),
(11552, '29260', 'Tr�garantec', '29', 'FR'),
(11553, '29560', 'Tr�garvan', '29', 'FR'),
(11554, '29870', 'Tr�glonou', '29', 'FR'),
(11555, '29970', 'Tr�gourez', '29', 'FR'),
(11556, '29720', 'Tr�guennec', '29', 'FR'),
(11557, '29910', 'Tr�gunc', '29', 'FR'),
(11558, '29450', 'Le Tr�hou', '29', 'FR'),
(11559, '29800', 'Tr�maou�zan', '29', 'FR'),
(11560, '29120', 'Tr�m�oc', '29', 'FR'),
(11561, '29300', 'Tr�m�ven', '29', 'FR'),
(11562, '29720', 'Tr�ogat', '29', 'FR'),
(11563, '29290', 'Tr�ouergat', '29', 'FR'),
(11564, '29380', 'Le Tr�voux', '29', 'FR'),
(11565, '29440', 'Tr�zilid�', '29', 'FR'),
(11566, '29590', 'Pont de Buis l�s Quimerch', '29', 'FR'),
(11567, '29217', 'Saint Mathieu', '29', 'FR'),
(11568, '29590', 'Quimerch', '29', 'FR'),
(11569, '29740', 'Lesconil', '29', 'FR'),
(11570, '29160', 'Le Fret', '29', 'FR'),
(11571, '29360', 'Le Pouldu', '29', 'FR'),
(11572, '29160', 'Morgat', '29', 'FR'),
(11573, '29100', 'Tr�boul', '29', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(11574, '29350', 'Kerfany les Pins', '29', 'FR'),
(11575, '29830', 'Portsall', '29', 'FR'),
(11576, '30700', 'Aigaliers', '30', 'FR'),
(11577, '30350', 'Aigremont', '30', 'FR'),
(11578, '30220', 'Aigues Mortes', '30', 'FR'),
(11579, '30670', 'Aigues Vives', '30', 'FR'),
(11580, '30760', 'Aigu�ze', '30', 'FR'),
(11581, '30470', 'Aimargues', '30', 'FR'),
(11582, '30100', 'Al�s', '30', 'FR'),
(11583, '30500', 'All�gre', '30', 'FR'),
(11584, '30770', 'Alzon', '30', 'FR'),
(11585, '30140', 'Anduze', '30', 'FR'),
(11586, '30133', 'Angles', '30', 'FR'),
(11587, '30390', 'Aramon', '30', 'FR'),
(11588, '30210', 'Argilliers', '30', 'FR'),
(11589, '30700', 'Arpaillargues et Aureillac', '30', 'FR'),
(11590, '30120', 'Arphy', '30', 'FR'),
(11591, '30120', 'Arre', '30', 'FR'),
(11592, '30770', 'Arrigas', '30', 'FR'),
(11593, '30250', 'Asp�res', '30', 'FR'),
(11594, '30250', 'Aubais', '30', 'FR'),
(11595, '30620', 'Aubord', '30', 'FR'),
(11596, '30190', 'Aubussargues', '30', 'FR'),
(11597, '30450', 'Aujac', '30', 'FR'),
(11598, '30250', 'Aujargues', '30', 'FR'),
(11599, '30120', 'Aulas', '30', 'FR'),
(11600, '30770', 'Aumessas', '30', 'FR'),
(11601, '30120', 'Av�ze', '30', 'FR'),
(11602, '30140', 'Bagard', '30', 'FR'),
(11603, '30200', 'Bagnols sur C�ze', '30', 'FR'),
(11604, '30430', 'Barjac', '30', 'FR'),
(11605, '30700', 'Baron', '30', 'FR'),
(11606, '30330', 'La Bastide d''Engras', '30', 'FR'),
(11607, '30300', 'Beaucaire', '30', 'FR'),
(11608, '30640', 'Beauvoisin', '30', 'FR'),
(11609, '30127', 'Bellegarde', '30', 'FR'),
(11610, '30580', 'Belv�zet', '30', 'FR'),
(11611, '30620', 'Bernis', '30', 'FR'),
(11612, '30160', 'Bess�ges', '30', 'FR'),
(11613, '30120', 'Bez et Esparon', '30', 'FR'),
(11614, '30320', 'Bezouce', '30', 'FR'),
(11615, '30770', 'Blandas', '30', 'FR'),
(11616, '30700', 'Blauzac', '30', 'FR'),
(11617, '30140', 'Boisset et Gaujac', '30', 'FR'),
(11618, '30114', 'Boissi�res', '30', 'FR'),
(11619, '30450', 'Bonnevaux', '30', 'FR'),
(11620, '30160', 'Bordezac', '30', 'FR'),
(11621, '30190', 'Boucoiran et Nozi�res', '30', 'FR'),
(11622, '30230', 'Bouillargues', '30', 'FR'),
(11623, '30580', 'Bouquet', '30', 'FR'),
(11624, '30190', 'Bourdic', '30', 'FR'),
(11625, '30260', 'Bragassargues', '30', 'FR'),
(11626, '30110', 'Branoux les Taillades', '30', 'FR'),
(11627, '30120', 'Br�au et Salagosse', '30', 'FR'),
(11628, '30190', 'Brignon', '30', 'FR'),
(11629, '30260', 'Brouzet l�s Quissac', '30', 'FR'),
(11630, '30580', 'Brouzet l�s Al�s', '30', 'FR'),
(11631, '30580', 'La Brugui�re', '30', 'FR'),
(11632, '30210', 'Cabri�res', '30', 'FR'),
(11633, '30170', 'Cadi�re et Cambo', '30', 'FR'),
(11634, '30740', 'Le Cailar', '30', 'FR'),
(11635, '30132', 'Caissargues', '30', 'FR'),
(11636, '30190', 'La Calmette', '30', 'FR'),
(11637, '30420', 'Calvisson', '30', 'FR'),
(11638, '30770', 'Campestre et Luc', '30', 'FR'),
(11639, '30350', 'Canaules et Argenti�res', '30', 'FR'),
(11640, '30260', 'Cannes et Clairan', '30', 'FR'),
(11641, '30700', 'La Capelle et Masmol�ne', '30', 'FR'),
(11642, '30350', 'Cardet', '30', 'FR'),
(11643, '30260', 'Carnas', '30', 'FR'),
(11644, '30130', 'Carsan', '30', 'FR'),
(11645, '30350', 'Cassagnoles', '30', 'FR'),
(11646, '30190', 'Castelnau Valence', '30', 'FR'),
(11647, '30210', 'Castillon du Gard', '30', 'FR'),
(11648, '30750', 'Causse B�gon', '30', 'FR'),
(11649, '30820', 'Caveirac', '30', 'FR'),
(11650, '30330', 'Cavillargues', '30', 'FR'),
(11651, '30480', 'Cendras', '30', 'FR'),
(11652, '30450', 'Chambon', '30', 'FR'),
(11653, '30530', 'Chamborigaud', '30', 'FR'),
(11654, '30200', 'Chusclan', '30', 'FR'),
(11655, '30870', 'Clarensac', '30', 'FR'),
(11656, '30920', 'Codognan', '30', 'FR'),
(11657, '30200', 'Codolet', '30', 'FR'),
(11658, '30210', 'Collias', '30', 'FR'),
(11659, '30190', 'Collorgues', '30', 'FR'),
(11660, '30460', 'Colognac', '30', 'FR'),
(11661, '30250', 'Combas', '30', 'FR'),
(11662, '30300', 'Comps', '30', 'FR'),
(11663, '30450', 'Concoules', '30', 'FR'),
(11664, '30111', 'Cong�ni�s', '30', 'FR'),
(11665, '30330', 'Connaux', '30', 'FR'),
(11666, '30170', 'Conqueyrac', '30', 'FR'),
(11667, '30140', 'Corb�s', '30', 'FR'),
(11668, '30260', 'Corconne', '30', 'FR'),
(11669, '30630', 'Cornillon', '30', 'FR'),
(11670, '30500', 'Courry', '30', 'FR'),
(11671, '30260', 'Crespian', '30', 'FR'),
(11672, '30170', 'Cros', '30', 'FR'),
(11673, '30360', 'Cruviers Lascours', '30', 'FR'),
(11674, '30360', 'Deaux', '30', 'FR'),
(11675, '30190', 'Dions', '30', 'FR'),
(11676, '30390', 'Domazan', '30', 'FR'),
(11677, '30350', 'Domessargues', '30', 'FR'),
(11678, '30750', 'Dourbies', '30', 'FR'),
(11679, '30170', 'Durfort et St Martin de Sossena', '30', 'FR'),
(11680, '30390', 'Est�zargues', '30', 'FR'),
(11681, '30124', 'L''Estr�chure', '30', 'FR'),
(11682, '30360', 'Euzet', '30', 'FR'),
(11683, '30700', 'Flaux', '30', 'FR'),
(11684, '30700', 'Foissac', '30', 'FR'),
(11685, '30730', 'Fons', '30', 'FR'),
(11686, '30580', 'Fons sur Lussan', '30', 'FR'),
(11687, '30250', 'Fontan�s', '30', 'FR'),
(11688, '30580', 'Fontar�ches', '30', 'FR'),
(11689, '30210', 'Fourn�s', '30', 'FR'),
(11690, '30300', 'Fourques', '30', 'FR'),
(11691, '30160', 'Foussignargues', '30', 'FR'),
(11692, '30170', 'Fressac', '30', 'FR'),
(11693, '30160', 'Gagni�res', '30', 'FR'),
(11694, '30260', 'Gailhan', '30', 'FR'),
(11695, '30730', 'Gajan', '30', 'FR'),
(11696, '30660', 'Gallargues le Montueux', '30', 'FR'),
(11697, '30760', 'Le Garn', '30', 'FR'),
(11698, '30128', 'Garons', '30', 'FR'),
(11699, '30190', 'Garrigues Ste Eulalie', '30', 'FR'),
(11700, '30330', 'Gaujac', '30', 'FR'),
(11701, '30510', 'G�n�rac', '30', 'FR'),
(11702, '30140', 'G�n�rargues', '30', 'FR'),
(11703, '30450', 'G�nolhac', '30', 'FR'),
(11704, '30630', 'Goudargues', '30', 'FR'),
(11705, '30110', 'La Grand''Combe', '30', 'FR'),
(11706, '30240', 'Le Grau du Roi', '30', 'FR'),
(11707, '30760', 'Issirac', '30', 'FR'),
(11708, '30300', 'Jonqui�res St Vincent', '30', 'FR'),
(11709, '30250', 'Junas', '30', 'FR'),
(11710, '30110', 'Lamelouze', '30', 'FR'),
(11711, '30980', 'Langlade', '30', 'FR'),
(11712, '30750', 'Lanu�jols', '30', 'FR'),
(11713, '30460', 'Lasalle', '30', 'FR'),
(11714, '30290', 'Laudun', '30', 'FR'),
(11715, '30110', 'Laval Pradel', '30', 'FR'),
(11716, '30760', 'Laval St Roman', '30', 'FR'),
(11717, '30250', 'Lecques', '30', 'FR'),
(11718, '30210', 'L�denon', '30', 'FR'),
(11719, '30350', 'L�dignan', '30', 'FR'),
(11720, '30350', 'L�zan', '30', 'FR'),
(11721, '30260', 'Liouc', '30', 'FR'),
(11722, '30126', 'Lirac', '30', 'FR'),
(11723, '30610', 'Logrian Florian', '30', 'FR'),
(11724, '30580', 'Lussan', '30', 'FR'),
(11725, '30960', 'Les Mages', '30', 'FR'),
(11726, '30450', 'Malons et Elze', '30', 'FR'),
(11727, '30120', 'Mandagout', '30', 'FR'),
(11728, '30129', 'Manduel', '30', 'FR'),
(11729, '30320', 'Marguerittes', '30', 'FR'),
(11730, '30120', 'Mars', '30', 'FR'),
(11731, '30360', 'Martignargues', '30', 'FR'),
(11732, '30960', 'Le Martinet', '30', 'FR'),
(11733, '30350', 'Maru�jols l�s Gardon', '30', 'FR'),
(11734, '30350', 'Massanes', '30', 'FR'),
(11735, '30140', 'Massillargues Attuech', '30', 'FR'),
(11736, '30350', 'Mauressargues', '30', 'FR'),
(11737, '30430', 'M�jannes le Clap', '30', 'FR'),
(11738, '30340', 'M�jannes l�s Al�s', '30', 'FR'),
(11739, '30840', 'Meynes', '30', 'FR'),
(11740, '30410', 'Meyrannes', '30', 'FR'),
(11741, '30140', 'Mialet', '30', 'FR'),
(11742, '30540', 'Milhaud', '30', 'FR'),
(11743, '30120', 'Moli�res Cavaillac', '30', 'FR'),
(11744, '30410', 'Moli�res sur C�ze', '30', 'FR'),
(11745, '30170', 'Monoblet', '30', 'FR'),
(11746, '30340', 'Mons', '30', 'FR'),
(11747, '30700', 'Montaren et Saint M�diers', '30', 'FR'),
(11748, '30630', 'Montclus', '30', 'FR'),
(11749, '30120', 'Montdardier', '30', 'FR'),
(11750, '30360', 'Monteils', '30', 'FR'),
(11751, '30150', 'Montfaucon', '30', 'FR'),
(11752, '30490', 'Montfrin', '30', 'FR'),
(11753, '30190', 'Montignargues', '30', 'FR'),
(11754, '30260', 'Montmirat', '30', 'FR'),
(11755, '30730', 'Montpezat', '30', 'FR'),
(11756, '30350', 'Moul�zan', '30', 'FR'),
(11757, '30190', 'Moussac', '30', 'FR'),
(11758, '30121', 'Mus', '30', 'FR'),
(11759, '30114', 'Nages et Solorgues', '30', 'FR'),
(11760, '30580', 'Navacelles', '30', 'FR'),
(11761, '30360', 'Ners', '30', 'FR'),
(11762, '30000', 'N�mes', '30', 'FR'),
(11763, '30900', 'N�mes', '30', 'FR'),
(11764, '30570', 'Notre Dame de la Rouvi�re', '30', 'FR'),
(11765, '30200', 'Orsan', '30', 'FR'),
(11766, '30260', 'Orthoux S�rignac Quilhan', '30', 'FR'),
(11767, '30730', 'Parignargues', '30', 'FR'),
(11768, '30160', 'Peyremale', '30', 'FR'),
(11769, '30124', 'Peyroles', '30', 'FR'),
(11770, '30330', 'Le Pin', '30', 'FR'),
(11771, '30340', 'Les Plans', '30', 'FR'),
(11772, '30122', 'Les Plantiers', '30', 'FR'),
(11773, '30120', 'Pommiers', '30', 'FR'),
(11774, '30170', 'Pompignan', '30', 'FR'),
(11775, '30450', 'Ponteils et Br�sis', '30', 'FR'),
(11776, '30130', 'Pont Saint Esprit', '30', 'FR'),
(11777, '30530', 'Portes', '30', 'FR'),
(11778, '30500', 'Poteli�res', '30', 'FR'),
(11779, '30330', 'Pougnadoresse', '30', 'FR'),
(11780, '30320', 'Poulx', '30', 'FR'),
(11781, '30210', 'Pouzilhac', '30', 'FR'),
(11782, '30610', 'Puechredon', '30', 'FR'),
(11783, '30131', 'Pujaut', '30', 'FR'),
(11784, '30260', 'Quissac', '30', 'FR'),
(11785, '30129', 'Redessan', '30', 'FR'),
(11786, '30210', 'Remoulins', '30', 'FR'),
(11787, '30750', 'Revens', '30', 'FR'),
(11788, '30720', 'Ribaute les Tavernes', '30', 'FR'),
(11789, '30430', 'Rivi�res', '30', 'FR'),
(11790, '30160', 'Robiac Rochessadoule', '30', 'FR'),
(11791, '30650', 'Rochefort du Gard', '30', 'FR'),
(11792, '30430', 'Rochegude', '30', 'FR'),
(11793, '30120', 'Rogues', '30', 'FR'),
(11794, '30440', 'Roquedur', '30', 'FR'),
(11795, '30150', 'Roquemaure', '30', 'FR'),
(11796, '30200', 'La Roque sur C�ze', '30', 'FR'),
(11797, '30340', 'Rousson', '30', 'FR'),
(11798, '30190', 'La Rouvi�re', '30', 'FR'),
(11799, '30200', 'Sabran', '30', 'FR'),
(11800, '30130', 'Saint Alexandre', '30', 'FR'),
(11801, '30500', 'Saint Ambroix', '30', 'FR'),
(11802, '30190', 'Ste Anastasie', '30', 'FR'),
(11803, '30570', 'Saint Andr� de Majencoules', '30', 'FR'),
(11804, '30630', 'Saint Andr� de Roquepertuis', '30', 'FR'),
(11805, '30940', 'Saint Andr� de Valborgne', '30', 'FR'),
(11806, '30330', 'Saint Andr� d''Ol�rargues', '30', 'FR'),
(11807, '30730', 'Saint Bauz�ly', '30', 'FR'),
(11808, '30350', 'Saint B�n�zet', '30', 'FR'),
(11809, '30210', 'Saint Bonnet du Gard', '30', 'FR'),
(11810, '30460', 'St Bonnet de Salendrinque', '30', 'FR'),
(11811, '30500', 'St Br�s', '30', 'FR'),
(11812, '30440', 'Saint Bresson', '30', 'FR'),
(11813, '30110', 'Sainte C�cile d''Andorge', '30', 'FR'),
(11814, '30360', 'Saint C�saire de Gauzignan', '30', 'FR'),
(11815, '30190', 'Saint Chaptes', '30', 'FR'),
(11816, '30760', 'Saint Christol de Rodi�res', '30', 'FR'),
(11817, '30380', 'Saint Christol l�s Al�s', '30', 'FR'),
(11818, '30260', 'Saint Cl�ment', '30', 'FR'),
(11819, '30870', 'Saint C�me et Maru�jols', '30', 'FR'),
(11820, '30460', 'Ste Croix de Caderle', '30', 'FR'),
(11821, '30500', 'Saint Denis', '30', 'FR'),
(11822, '30190', 'Saint D�z�ry', '30', 'FR'),
(11823, '30980', 'Saint Dionizy', '30', 'FR'),
(11824, '30360', 'St Etienne de l''Olm', '30', 'FR'),
(11825, '30200', 'Saint �tienne des Sorts', '30', 'FR'),
(11826, '30140', 'Saint F�lix de Palli�res', '30', 'FR'),
(11827, '30960', 'Saint Florent sur Auzonnet', '30', 'FR'),
(11828, '30150', 'Saint Geni�s de Comolas', '30', 'FR'),
(11829, '30190', 'Saint G�ni�s de Malgoir�s', '30', 'FR'),
(11830, '30200', 'Saint Gervais', '30', 'FR'),
(11831, '30320', 'Saint Gervasy', '30', 'FR'),
(11832, '30800', 'Saint Gilles', '30', 'FR'),
(11833, '30560', 'Saint Hilaire de Brethmas', '30', 'FR'),
(11834, '30210', 'Saint Hilaire d''Ozilhan', '30', 'FR'),
(11835, '30360', 'Saint Hippolyte de Caton', '30', 'FR'),
(11836, '30700', 'Saint Hippolyte de Montaigu', '30', 'FR'),
(11837, '30170', 'Saint Hippolyte du Fort', '30', 'FR'),
(11838, '30360', 'Saint Jean de Ceyrargues', '30', 'FR'),
(11839, '30610', 'Saint Jean de Crieulon', '30', 'FR'),
(11840, '30430', 'Saint Jean de Maru�jols et Av�jan', '30', 'FR'),
(11841, '30350', 'Saint Jean de Serres', '30', 'FR'),
(11842, '30960', 'Saint Jean de Val�riscle', '30', 'FR'),
(11843, '30270', 'Saint Jean du Gard', '30', 'FR'),
(11844, '30140', 'St Jean du Pin', '30', 'FR'),
(11845, '30500', 'Saint Julien de Cassagnas', '30', 'FR'),
(11846, '30440', 'Saint Julien de la Nef', '30', 'FR'),
(11847, '30760', 'Saint Julien de Peyrolas', '30', 'FR'),
(11848, '30340', 'St Julien les Rosiers', '30', 'FR'),
(11849, '30580', 'Saint Just et Vacqui�res', '30', 'FR'),
(11850, '30220', 'Saint Laurent d''Aigouze', '30', 'FR'),
(11851, '30200', 'Saint Laurent de Carnols', '30', 'FR'),
(11852, '30126', 'Saint Laurent des Arbres', '30', 'FR'),
(11853, '30330', 'Saint Laurent la Vern�de', '30', 'FR'),
(11854, '30440', 'Saint Laurent le Minier', '30', 'FR'),
(11855, '30730', 'Saint Mamert du Gard', '30', 'FR'),
(11856, '30330', 'Saint Marcel de Careiret', '30', 'FR'),
(11857, '30440', 'Saint Martial', '30', 'FR'),
(11858, '30520', 'Saint Martin de Valgalgues', '30', 'FR'),
(11859, '30360', 'Saint Maurice de Cazevieille', '30', 'FR'),
(11860, '30700', 'Saint Maximin', '30', 'FR'),
(11861, '30200', 'Saint Michel d''Euzet', '30', 'FR'),
(11862, '30200', 'St Nazaire', '30', 'FR'),
(11863, '30610', 'Saint Nazaire des Gardies', '30', 'FR'),
(11864, '30130', 'Saint Paulet de Caisson', '30', 'FR'),
(11865, '30480', 'Saint Paul la Coste', '30', 'FR'),
(11866, '30330', 'Saint Pons la Calm', '30', 'FR'),
(11867, '30430', 'Saint Privat de Champclos', '30', 'FR'),
(11868, '30340', 'Saint Privat des Vieux', '30', 'FR'),
(11869, '30700', 'Saint Quentin la Poterie', '30', 'FR'),
(11870, '30440', 'Saint Roman de Codi�res', '30', 'FR'),
(11871, '30750', 'St Sauveur Camprieu', '30', 'FR'),
(11872, '30140', 'St S�bastien d''Aigrefeuille', '30', 'FR'),
(11873, '30700', 'Saint Siffret', '30', 'FR'),
(11874, '30260', 'Saint Th�odorit', '30', 'FR'),
(11875, '30700', 'Saint Victor des Oules', '30', 'FR'),
(11876, '30290', 'Saint Victor la Coste', '30', 'FR'),
(11877, '30500', 'Saint Victor de Malcap', '30', 'FR'),
(11878, '30760', 'Salazac', '30', 'FR'),
(11879, '30340', 'Salindres', '30', 'FR'),
(11880, '30250', 'Salinelles', '30', 'FR'),
(11881, '30110', 'Les Salles du Gardon', '30', 'FR'),
(11882, '30700', 'Sanilhac Sagri�s', '30', 'FR'),
(11883, '30260', 'Sardan', '30', 'FR'),
(11884, '30125', 'Saumane', '30', 'FR'),
(11885, '30610', 'Sauve', '30', 'FR'),
(11886, '30150', 'Sauveterre', '30', 'FR'),
(11887, '30190', 'Sauzet', '30', 'FR'),
(11888, '30350', 'Savignargues', '30', 'FR'),
(11889, '30650', 'Saze', '30', 'FR'),
(11890, '30450', 'S�n�chas', '30', 'FR'),
(11891, '30210', 'Sernhac', '30', 'FR'),
(11892, '30340', 'Servas', '30', 'FR'),
(11893, '30700', 'Serviers et Labaume', '30', 'FR'),
(11894, '30580', 'Seynes', '30', 'FR'),
(11895, '30250', 'Sommi�res', '30', 'FR'),
(11896, '30460', 'Soudorgues', '30', 'FR'),
(11897, '30110', 'Soustelle', '30', 'FR'),
(11898, '30250', 'Souvignargues', '30', 'FR'),
(11899, '30440', 'Sum�ne', '30', 'FR'),
(11900, '30126', 'Tavel', '30', 'FR'),
(11901, '30430', 'Tharaux', '30', 'FR'),
(11902, '30390', 'Th�ziers', '30', 'FR'),
(11903, '30140', 'Thoiras', '30', 'FR'),
(11904, '30140', 'Tornac', '30', 'FR'),
(11905, '30330', 'Tresques', '30', 'FR'),
(11906, '30750', 'Tr�ves', '30', 'FR'),
(11907, '30620', 'Uchaud', '30', 'FR'),
(11908, '30700', 'Uz�s', '30', 'FR'),
(11909, '30460', 'Vabres', '30', 'FR'),
(11910, '30300', 'Vallabr�gues', '30', 'FR'),
(11911, '30700', 'Vallabrix', '30', 'FR'),
(11912, '30580', 'Vall�rargues', '30', 'FR'),
(11913, '30570', 'Valleraugue', '30', 'FR'),
(11914, '30210', 'Valligui�res', '30', 'FR'),
(11915, '30600', 'Vauvert', '30', 'FR'),
(11916, '30200', 'V�n�jan', '30', 'FR'),
(11917, '30630', 'Verfeuil', '30', 'FR'),
(11918, '30310', 'Verg�ze', '30', 'FR'),
(11919, '30530', 'La Vernar�de', '30', 'FR'),
(11920, '30210', 'Vers Pont du Gard', '30', 'FR'),
(11921, '30600', 'Vestric et Candiac', '30', 'FR'),
(11922, '30360', 'V�z�nobres', '30', 'FR'),
(11923, '30260', 'Vic le Fesq', '30', 'FR'),
(11924, '30120', 'Le Vigan', '30', 'FR'),
(11925, '30400', 'Villeneuve l�s Avignon', '30', 'FR'),
(11926, '30250', 'Villevieille', '30', 'FR'),
(11927, '30770', 'Vissec', '30', 'FR'),
(11928, '30350', 'Montagnac', '30', 'FR'),
(11929, '30330', 'Saint Paul les Fonts', '30', 'FR'),
(11930, '30230', 'Rodilhan', '30', 'FR'),
(11931, '30290', 'L''Ardoise', '30', 'FR'),
(11932, '30750', 'Camprieu', '30', 'FR'),
(11933, '30640', 'Franquevaux', '30', 'FR'),
(11934, '30600', 'Gallician', '30', 'FR'),
(11935, '30600', 'Montcalm', '30', 'FR'),
(11936, '30600', 'Sylv�r�al', '30', 'FR'),
(11937, '30900', 'Saint C�saire', '30', 'FR'),
(11938, '31230', 'Agassac', '31', 'FR'),
(11939, '31550', 'Aignes', '31', 'FR'),
(11940, '31280', 'Aigrefeuille', '31', 'FR'),
(11941, '31450', 'Ayguesvives', '31', 'FR'),
(11942, '31420', 'Alan', '31', 'FR'),
(11943, '31460', 'Albiac', '31', 'FR'),
(11944, '31230', 'Ambax', '31', 'FR'),
(11945, '31230', 'Anan', '31', 'FR'),
(11946, '31510', 'Antichan de Frontignes', '31', 'FR'),
(11947, '31110', 'Antignac', '31', 'FR'),
(11948, '31160', 'Arbas', '31', 'FR'),
(11949, '31160', 'Arbon', '31', 'FR'),
(11950, '31210', 'Ardi�ge', '31', 'FR'),
(11951, '31160', 'Arguenos', '31', 'FR'),
(11952, '31440', 'Argut Dessous', '31', 'FR'),
(11953, '31440', 'Argut Dessus', '31', 'FR'),
(11954, '31440', 'Arlos', '31', 'FR'),
(11955, '31360', 'Arnaud Guilhem', '31', 'FR'),
(11956, '31110', 'Artigue', '31', 'FR'),
(11957, '31160', 'Aspet', '31', 'FR'),
(11958, '31800', 'Aspret Sarrat', '31', 'FR'),
(11959, '31140', 'Aucamville', '31', 'FR'),
(11960, '31420', 'Aulon', '31', 'FR'),
(11961, '31190', 'Auragne', '31', 'FR'),
(11962, '31320', 'Aureville', '31', 'FR'),
(11963, '31460', 'Auriac sur Vendinelle', '31', 'FR'),
(11964, '31190', 'Auribail', '31', 'FR'),
(11965, '31420', 'Aurignac', '31', 'FR'),
(11966, '31570', 'Aurin', '31', 'FR'),
(11967, '31260', 'Ausseing', '31', 'FR'),
(11968, '31210', 'Ausson', '31', 'FR'),
(11969, '31840', 'Aussonne', '31', 'FR'),
(11970, '31190', 'Auterive', '31', 'FR'),
(11971, '31360', 'Auzas', '31', 'FR'),
(11972, '31320', 'Auzeville Tolosane', '31', 'FR'),
(11973, '31650', 'Auzielle', '31', 'FR'),
(11974, '31290', 'Avignonet Lauragais', '31', 'FR'),
(11975, '31380', 'Azas', '31', 'FR'),
(11976, '31420', 'Bachas', '31', 'FR'),
(11977, '31440', 'Bachos', '31', 'FR'),
(11978, '31510', 'Bagiry', '31', 'FR'),
(11979, '31110', 'Bagn�res de Luchon', '31', 'FR'),
(11980, '31580', 'Balesta', '31', 'FR'),
(11981, '31130', 'Balma', '31', 'FR'),
(11982, '31510', 'Barbazan', '31', 'FR'),
(11983, '31440', 'Baren', '31', 'FR'),
(11984, '31310', 'Bax', '31', 'FR'),
(11985, '31450', 'Bazi�ge', '31', 'FR'),
(11986, '31380', 'Bazus', '31', 'FR'),
(11987, '31360', 'Beauchalot', '31', 'FR'),
(11988, '31370', 'Beaufort', '31', 'FR'),
(11989, '31870', 'Beaumont sur L�ze', '31', 'FR'),
(11990, '31850', 'Beaupuy', '31', 'FR'),
(11991, '31290', 'Beauteville', '31', 'FR'),
(11992, '31460', 'Beauville', '31', 'FR'),
(11993, '31700', 'Beauzelle', '31', 'FR'),
(11994, '31450', 'Belberaud', '31', 'FR'),
(11995, '31450', 'Belb�ze de Lauragais', '31', 'FR'),
(11996, '31260', 'Belb�ze en Comminges', '31', 'FR'),
(11997, '31540', 'B�lesta en Lauragais', '31', 'FR'),
(11998, '31530', 'Bellegarde Ste Marie', '31', 'FR'),
(11999, '31480', 'Bellesserre', '31', 'FR'),
(12000, '31420', 'Benque', '31', 'FR'),
(12001, '31110', 'Benque Dessous et Dessus', '31', 'FR'),
(12002, '31370', 'B�rat', '31', 'FR'),
(12003, '31660', 'Bessi�res', '31', 'FR'),
(12004, '31440', 'B�zins Garraux', '31', 'FR'),
(12005, '31110', 'Billi�re', '31', 'FR'),
(12006, '31700', 'Blagnac', '31', 'FR'),
(12007, '31350', 'Blajan', '31', 'FR'),
(12008, '31390', 'Bois de la Pierre', '31', 'FR'),
(12009, '31230', 'Boiss�de', '31', 'FR'),
(12010, '31340', 'Bondigoux', '31', 'FR'),
(12011, '31590', 'Bonrepos Riquet', '31', 'FR'),
(12012, '31470', 'Bonrepos sur Aussonnelle', '31', 'FR'),
(12013, '31210', 'Bordes de Rivi�re', '31', 'FR'),
(12014, '31340', 'Le Born', '31', 'FR'),
(12015, '31580', 'Boudrac', '31', 'FR'),
(12016, '31620', 'ouloc', '31', 'FR'),
(12017, '31350', 'Boulogne sur Gesse', '31', 'FR'),
(12018, '31110', 'Bourg d''Oueil', '31', 'FR'),
(12019, '31570', 'Bourg Saint Bernard', '31', 'FR'),
(12020, '31420', 'Boussan', '31', 'FR'),
(12021, '31360', 'Boussens', '31', 'FR'),
(12022, '31440', 'Boutx', '31', 'FR'),
(12023, '31420', 'Bouzin', '31', 'FR'),
(12024, '31470', 'Bragayrac', '31', 'FR'),
(12025, '31490', 'Brax', '31', 'FR'),
(12026, '31530', 'Bretx', '31', 'FR'),
(12027, '31480', 'Brignemont', '31', 'FR'),
(12028, '31150', 'Brugui�res', '31', 'FR'),
(12029, '31440', 'Burgalays', '31', 'FR'),
(12030, '31330', 'Burgaud', '31', 'FR'),
(12031, '31660', 'Buzet sur Tarn', '31', 'FR'),
(12032, '31160', 'Cabanac Cazaux', '31', 'FR'),
(12033, '31480', 'Cabanac S�guenville', '31', 'FR'),
(12034, '31460', 'Le Cabanial', '31', 'FR'),
(12035, '31480', 'Cadours', '31', 'FR'),
(12036, '31560', 'Caignac', '31', 'FR'),
(12037, '31560', 'Calmont', '31', 'FR'),
(12038, '31470', 'Cambernard', '31', 'FR'),
(12039, '31460', 'Cambiac', '31', 'FR'),
(12040, '31310', 'Canens', '31', 'FR'),
(12041, '31410', 'Capens', '31', 'FR'),
(12042, '31460', 'Caragoudes', '31', 'FR'),
(12043, '31460', 'Caraman', '31', 'FR'),
(12044, '31390', 'Carbonne', '31', 'FR'),
(12045, '31350', 'Cardeilhac', '31', 'FR'),
(12046, '31420', 'Cassagnab�re Tournas', '31', 'FR'),
(12047, '31260', 'Cassagne', '31', 'FR'),
(12048, '31310', 'Castagnac', '31', 'FR'),
(12049, '31260', 'Castagn�de', '31', 'FR'),
(12050, '31320', 'Castanet Tolosan', '31', 'FR'),
(12051, '31160', 'Castelbiague', '31', 'FR'),
(12052, '31230', 'Castelgaillard', '31', 'FR'),
(12053, '31780', 'Castelginest', '31', 'FR'),
(12054, '31180', 'Castelmaurou', '31', 'FR'),
(12055, '31620', 'Castelnau d''Estr�tefonds', '31', 'FR'),
(12056, '31430', 'Castelnau Picampeau', '31', 'FR'),
(12057, '31530', 'Le Cast�ra', '31', 'FR'),
(12058, '31350', 'Cast�ra Vignoles', '31', 'FR'),
(12059, '31430', 'Casties Labrande', '31', 'FR'),
(12060, '31110', 'Castillon de Larboust', '31', 'FR'),
(12061, '31360', 'Castillon de Saint Martory', '31', 'FR'),
(12062, '31110', 'Cathervielle', '31', 'FR'),
(12063, '31480', 'Caubiac', '31', 'FR'),
(12064, '31110', 'Caubous', '31', 'FR'),
(12065, '31190', 'Caujac', '31', 'FR'),
(12066, '31110', 'Cazaril Lasp�nes', '31', 'FR'),
(12067, '31580', 'Cazaril Tambour�s', '31', 'FR'),
(12068, '31160', 'Cazaunous', '31', 'FR'),
(12069, '31440', 'Cazaux Layrisse', '31', 'FR'),
(12070, '31110', 'Cazeaux de Larboust', '31', 'FR'),
(12071, '31420', 'Cazeneuve Montaut', '31', 'FR'),
(12072, '31220', 'Caz�res', '31', 'FR'),
(12073, '31620', 'C�pet', '31', 'FR'),
(12074, '31290', 'Cessales', '31', 'FR'),
(12075, '31350', 'Charlas', '31', 'FR'),
(12076, '31440', 'Chaum', '31', 'FR'),
(12077, '31160', 'Chein Dessus', '31', 'FR'),
(12078, '31350', 'Ciadoux', '31', 'FR'),
(12079, '31110', 'Cier de Luchon', '31', 'FR'),
(12080, '31510', 'Cier de Rivi�re', '31', 'FR'),
(12081, '31440', 'Cierp Gaud', '31', 'FR'),
(12082, '31550', 'Cintegabelle', '31', 'FR'),
(12083, '31110', 'Cir�s', '31', 'FR'),
(12084, '31210', 'Clarac', '31', 'FR'),
(12085, '31810', 'Clermont le Fort', '31', 'FR'),
(12086, '31770', 'Colomiers', '31', 'FR'),
(12087, '31700', 'Cornebarrieu', '31', 'FR'),
(12088, '31450', 'Corronsac', '31', 'FR'),
(12089, '31230', 'Coueilles', '31', 'FR'),
(12090, '31220', 'Coulad�re', '31', 'FR'),
(12091, '31160', 'Couledoux', '31', 'FR'),
(12092, '31160', 'Couret', '31', 'FR'),
(12093, '31480', 'Cox', '31', 'FR'),
(12094, '31270', 'Cugnaux', '31', 'FR'),
(12095, '31210', 'Cuguron', '31', 'FR'),
(12096, '31210', 'Le Cuing', '31', 'FR'),
(12097, '31700', 'Daux', '31', 'FR'),
(12098, '31450', 'Deyme', '31', 'FR'),
(12099, '31450', 'Donneville', '31', 'FR'),
(12100, '31280', 'Dr�mil Lafage', '31', 'FR'),
(12101, '31480', 'Drudas', '31', 'FR'),
(12102, '31600', 'Eaunes', '31', 'FR'),
(12103, '31470', 'Empeaux', '31', 'FR'),
(12104, '31160', 'Encausse les Thermes', '31', 'FR'),
(12105, '31420', '�oux', '31', 'FR'),
(12106, '31750', 'Escalquens', '31', 'FR'),
(12107, '31350', 'Escanecrabe', '31', 'FR'),
(12108, '31450', 'Espan�s', '31', 'FR'),
(12109, '31420', 'Esparron', '31', 'FR'),
(12110, '31190', 'Esperce', '31', 'FR'),
(12111, '31160', 'Estadens', '31', 'FR'),
(12112, '31800', 'Estancarbon', '31', 'FR'),
(12113, '31440', 'Est�nos', '31', 'FR'),
(12114, '31440', 'Eup', '31', 'FR'),
(12115, '31230', 'Fabas', '31', 'FR'),
(12116, '31460', 'Le Faget', '31', 'FR'),
(12117, '31540', 'Falga', '31', 'FR'),
(12118, '31410', 'Le Fauga', '31', 'FR'),
(12119, '31150', 'Fenouillet', '31', 'FR'),
(12120, '31260', 'Figarol', '31', 'FR'),
(12121, '31130', 'Flourens', '31', 'FR'),
(12122, '31290', 'Folcarde', '31', 'FR'),
(12123, '31140', 'Fonbeauzard', '31', 'FR'),
(12124, '31470', 'Fonsorbes', '31', 'FR'),
(12125, '31470', 'Fontenilles', '31', 'FR'),
(12126, '31370', 'Forgues', '31', 'FR'),
(12127, '31440', 'Fos', '31', 'FR'),
(12128, '31160', 'Fougaron', '31', 'FR'),
(12129, '31450', 'Fourquevaux', '31', 'FR'),
(12130, '31430', 'Le Fousseret', '31', 'FR'),
(12131, '31460', 'Francarville', '31', 'FR'),
(12132, '31260', 'Francazal', '31', 'FR'),
(12133, '31420', 'Francon', '31', 'FR'),
(12134, '31210', 'Franquevielle', '31', 'FR'),
(12135, '31360', 'Le Fr�chet', '31', 'FR'),
(12136, '31440', 'Fronsac', '31', 'FR'),
(12137, '31510', 'Frontignan de Comminges', '31', 'FR'),
(12138, '31230', 'Frontignan Sav�s', '31', 'FR'),
(12139, '31620', 'Fronton', '31', 'FR'),
(12140, '31270', 'Frouzins', '31', 'FR'),
(12141, '31430', 'Fustignac', '31', 'FR'),
(12142, '31150', 'Gagnac sur Garonne', '31', 'FR'),
(12143, '31550', 'Gaillac Toulza', '31', 'FR'),
(12144, '31510', 'Gali�', '31', 'FR'),
(12145, '31160', 'Ganties', '31', 'FR'),
(12146, '31480', 'Garac', '31', 'FR'),
(12147, '31290', 'Gardouch', '31', 'FR'),
(12148, '31620', 'Gargas', '31', 'FR'),
(12149, '31380', 'Garidech', '31', 'FR'),
(12150, '31110', 'Garin', '31', 'FR'),
(12151, '31440', 'Gaud', '31', 'FR'),
(12152, '31590', 'Gaur�', '31', 'FR'),
(12153, '31380', 'G�mil', '31', 'FR'),
(12154, '31510', '�nos', '31', 'FR'),
(12155, '31350', 'Gensac de Boulogne', '31', 'FR'),
(12156, '31310', 'Gensac sur Garonne', '31', 'FR'),
(12157, '31560', 'Gibel', '31', 'FR'),
(12158, '31110', 'Gouaux de Larboust', '31', 'FR'),
(12159, '31110', 'Gouaux de Luchon', '31', 'FR'),
(12160, '31230', 'Goudex', '31', 'FR'),
(12161, '31210', 'Gourdan Polignan', '31', 'FR'),
(12162, '31310', 'Goutevernisse', '31', 'FR'),
(12163, '31310', 'Gouzens', '31', 'FR'),
(12164, '31120', 'Goyrans', '31', 'FR'),
(12165, '31380', 'Gragnague', '31', 'FR'),
(12166, '31430', 'Gratens', '31', 'FR'),
(12167, '31150', 'Gratentour', '31', 'FR'),
(12168, '31190', 'Grazac', '31', 'FR'),
(12169, '31330', 'Grenade', '31', 'FR'),
(12170, '31190', 'Gr�piac', '31', 'FR'),
(12171, '31480', 'Le Gr�s', '31', 'FR'),
(12172, '31440', 'Guran', '31', 'FR'),
(12173, '31160', 'Herran', '31', 'FR'),
(12174, '31260', 'His', '31', 'FR'),
(12175, '31210', 'Huos', '31', 'FR'),
(12176, '31230', 'L''Isle en Dodon', '31', 'FR'),
(12177, '31450', 'Issus', '31', 'FR'),
(12178, '31160', 'Izaut de l''H�tel', '31', 'FR'),
(12179, '31110', 'Jurvielle', '31', 'FR'),
(12180, '31540', 'Juzes', '31', 'FR'),
(12181, '31110', 'Juzet de Luchon', '31', 'FR'),
(12182, '31160', 'Juzet d''Izaut', '31', 'FR'),
(12183, '31800', 'Labarthe Inard', '31', 'FR'),
(12184, '31800', 'Labarthe Rivi�re', '31', 'FR'),
(12185, '31860', 'Labarthe sur L�ze', '31', 'FR'),
(12186, '31450', 'Labastide Beauvoir', '31', 'FR'),
(12187, '31370', 'Labastide Clermont', '31', 'FR'),
(12188, '31230', 'Labastide Paum�s', '31', 'FR'),
(12189, '31620', 'Labastide Saint Sernin', '31', 'FR'),
(12190, '31600', 'Labastidette', '31', 'FR'),
(12191, '31670', 'Lab�ge', '31', 'FR'),
(12192, '31510', 'Labroqu�re', '31', 'FR'),
(12193, '31190', 'Labruy�re Dorsa', '31', 'FR'),
(12194, '31390', 'Lacaugne', '31', 'FR'),
(12195, '31120', 'Lacroix Falgarde', '31', 'FR'),
(12196, '31360', 'Laffite Toupi�re', '31', 'FR'),
(12197, '31390', 'Lafitte Vigordane', '31', 'FR'),
(12198, '31290', 'Lagarde', '31', 'FR'),
(12199, '31870', 'Lagardelle sur L�ze', '31', 'FR'),
(12200, '31190', 'Lagr�ce Dieu', '31', 'FR'),
(12201, '31480', 'Lagraulet Saint Nicolas', '31', 'FR'),
(12202, '31370', 'Lahage', '31', 'FR'),
(12203, '31310', 'Lahit�re', '31', 'FR'),
(12204, '31800', 'Lalouret Laffiteau', '31', 'FR'),
(12205, '31600', 'Lamasqu�re', '31', 'FR'),
(12206, '31800', 'Landorthe', '31', 'FR'),
(12207, '31570', 'Lanta', '31', 'FR'),
(12208, '31310', 'Lapeyr�re', '31', 'FR'),
(12209, '31180', 'Lapeyrouse Fossat', '31', 'FR'),
(12210, '31800', 'Larcan', '31', 'FR'),
(12211, '31480', 'Lar�ole', '31', 'FR'),
(12212, '31580', 'Larroque', '31', 'FR'),
(12213, '31530', 'Lasserre', '31', 'FR'),
(12214, '31800', 'Latoue', '31', 'FR'),
(12215, '31310', 'Latour', '31', 'FR'),
(12216, '31310', 'Latrape', '31', 'FR'),
(12217, '31330', 'Launac', '31', 'FR'),
(12218, '31140', 'Launaguet', '31', 'FR'),
(12219, '31370', 'Lautignac', '31', 'FR'),
(12220, '31650', 'Lauzerville', '31', 'FR'),
(12221, '31590', 'Lavalette', '31', 'FR'),
(12222, '31220', 'Lavelanet de Comminges', '31', 'FR'),
(12223, '31410', 'Lavernose Lacasse', '31', 'FR'),
(12224, '31340', 'Layrac sur Tarn', '31', 'FR'),
(12225, '31580', 'L�cussan', '31', 'FR'),
(12226, '31440', 'L�ge', '31', 'FR'),
(12227, '31490', 'L�guevin', '31', 'FR'),
(12228, '31220', 'Lescuns', '31', 'FR'),
(12229, '31150', 'Lespinasse', '31', 'FR'),
(12230, '31160', 'Lespiteau', '31', 'FR'),
(12231, '31350', 'Lespugue', '31', 'FR'),
(12232, '31360', 'Lestelle de Saint Martory', '31', 'FR'),
(12233, '31530', 'L�vignac', '31', 'FR'),
(12234, '31440', 'Lez', '31', 'FR'),
(12235, '31600', 'Lherm', '31', 'FR'),
(12236, '31800', 'Li�oux', '31', 'FR'),
(12237, '31230', 'Lilhac', '31', 'FR'),
(12238, '31800', 'Lodes', '31', 'FR'),
(12239, '31410', 'Longages', '31', 'FR'),
(12240, '31460', 'Loubens Lauragais', '31', 'FR'),
(12241, '31580', 'Loudet', '31', 'FR'),
(12242, '31510', 'Lourde', '31', 'FR'),
(12243, '31350', 'Lunax', '31', 'FR'),
(12244, '31510', 'Luscan', '31', 'FR'),
(12245, '31430', 'Lussan Adeilhac', '31', 'FR'),
(12246, '31290', 'Lux', '31', 'FR'),
(12247, '31340', 'La Magdelaine sur Tarn', '31', 'FR'),
(12248, '31310', 'Mailholas', '31', 'FR'),
(12249, '31510', 'Malv�zie', '31', 'FR'),
(12250, '31360', 'Mancioux', '31', 'FR'),
(12251, '31260', 'Mane', '31', 'FR'),
(12252, '31440', 'Marignac', '31', 'FR'),
(12253, '31430', 'Marignac Lasclares', '31', 'FR'),
(12254, '31220', 'Marignac Laspeyres', '31', 'FR'),
(12255, '31550', 'Marliac', '31', 'FR'),
(12256, '31390', 'Marquefave', '31', 'FR'),
(12257, '31260', 'Marsoulas', '31', 'FR'),
(12258, '31230', 'Martisserre', '31', 'FR'),
(12259, '31210', 'Martres de Rivi�re', '31', 'FR'),
(12260, '31220', 'Martres Tolosane', '31', 'FR'),
(12261, '31460', 'Mascarville', '31', 'FR'),
(12262, '31310', 'Massabrac', '31', 'FR'),
(12263, '31220', 'Mauran', '31', 'FR'),
(12264, '31290', 'Maur�mont', '31', 'FR'),
(12265, '31540', 'Maurens', '31', 'FR'),
(12266, '31190', 'Mauressac', '31', 'FR'),
(12267, '31460', 'Maureville', '31', 'FR'),
(12268, '31190', 'Mauvaisin', '31', 'FR'),
(12269, '31230', 'Mauvezin', '31', 'FR'),
(12270, '31410', 'Mauzac', '31', 'FR'),
(12271, '31110', 'Mayr�gne', '31', 'FR'),
(12272, '31260', 'Maz�res sur Salat', '31', 'FR'),
(12273, '31440', 'Melles', '31', 'FR'),
(12274, '31530', 'Menville', '31', 'FR'),
(12275, '31530', 'M�renvielle', '31', 'FR'),
(12276, '31320', 'Mervilla', '31', 'FR'),
(12277, '31330', 'Merville', '31', 'FR'),
(12278, '31160', 'Milhas', '31', 'FR'),
(12279, '31230', 'Mirambeau', '31', 'FR'),
(12280, '31800', 'Miramont de Comminges', '31', 'FR'),
(12281, '31190', 'Miremont', '31', 'FR'),
(12282, '31340', 'Mirepoix sur Tarn', '31', 'FR'),
(12283, '31230', 'Molas', '31', 'FR'),
(12284, '31160', 'Moncaup', '31', 'FR'),
(12285, '31220', 'Mondavezan', '31', 'FR'),
(12286, '31350', 'Mondilhan', '31', 'FR'),
(12287, '31700', 'Mondonville', '31', 'FR'),
(12288, '31850', 'Mondouzil', '31', 'FR'),
(12289, '31370', 'Mon�s', '31', 'FR'),
(12290, '31560', 'Monestrol', '31', 'FR'),
(12291, '31280', 'Mons', '31', 'FR'),
(12292, '31530', 'Montaigut sur Save', '31', 'FR'),
(12293, '31160', 'Montastruc de Salies', '31', 'FR'),
(12294, '31380', 'Montastruc la Conseill�re', '31', 'FR'),
(12295, '31370', 'Montastruc Sav�s', '31', 'FR'),
(12296, '31110', 'Montauban de Luchon', '31', 'FR'),
(12297, '31410', 'Montaut', '31', 'FR'),
(12298, '31220', 'Montberaud', '31', 'FR'),
(12299, '31230', 'Montbernard', '31', 'FR'),
(12300, '31140', 'Montberon', '31', 'FR'),
(12301, '31310', 'Montbrun Bocage', '31', 'FR'),
(12302, '31450', 'Montbrun Lauragais', '31', 'FR'),
(12303, '31220', 'Montclar de Comminges', '31', 'FR'),
(12304, '31290', 'Montclar Lauragais', '31', 'FR'),
(12305, '31510', 'Mont de Gali�', '31', 'FR'),
(12306, '31430', 'Mont�gut Bourjac', '31', 'FR'),
(12307, '31540', 'Mont�gut Lauragais', '31', 'FR'),
(12308, '31260', 'Montespan', '31', 'FR'),
(12309, '31230', 'Montesquieu Guittaut', '31', 'FR'),
(12310, '31450', 'Montesquieu Lauragais', '31', 'FR'),
(12311, '31310', 'Montesquieu Volvestre', '31', 'FR'),
(12312, '31260', 'Montgaillard de Salies', '31', 'FR'),
(12313, '31290', 'Montgaillard Lauragais', '31', 'FR'),
(12314, '31350', 'Montgaillard sur Save', '31', 'FR'),
(12315, '31410', 'Montgazin', '31', 'FR'),
(12316, '31560', 'Montgeard', '31', 'FR'),
(12317, '31450', 'Montgiscard', '31', 'FR'),
(12318, '31370', 'Montgras', '31', 'FR'),
(12319, '31380', 'Montjoire', '31', 'FR'),
(12320, '31450', 'Montlaur', '31', 'FR'),
(12321, '31350', 'Montmaurin', '31', 'FR'),
(12322, '31420', 'Montoulieu Saint Bernard', '31', 'FR'),
(12323, '31430', 'Montoussin', '31', 'FR'),
(12324, '31380', 'Montpitol', '31', 'FR'),
(12325, '31850', 'Montrab�', '31', 'FR'),
(12326, '31210', 'Montr�jeau', '31', 'FR'),
(12327, '31260', 'Montsaun�s', '31', 'FR'),
(12328, '31460', 'Mourvilles Basses', '31', 'FR'),
(12329, '31540', 'Mourvilles Hautes', '31', 'FR'),
(12330, '31110', 'Moustajon', '31', 'FR'),
(12331, '31600', 'Muret', '31', 'FR'),
(12332, '31560', 'Nailloux', '31', 'FR'),
(12333, '31350', 'N�nigan', '31', 'FR'),
(12334, '31350', 'Nizan Gesse', '31', 'FR'),
(12335, '31410', 'No�', '31', 'FR'),
(12336, '31540', 'Nogaret', '31', 'FR'),
(12337, '31450', 'Noueilles', '31', 'FR'),
(12338, '31450', 'Odars', '31', 'FR'),
(12339, '31330', 'Ondes', '31', 'FR'),
(12340, '31110', 'O�', '31', 'FR'),
(12341, '31510', 'Ore', '31', 'FR'),
(12342, '31220', 'Palaminy', '31', 'FR'),
(12343, '31380', 'Paulhac', '31', 'FR'),
(12344, '31510', 'Payssous', '31', 'FR'),
(12345, '31320', 'P�chabou', '31', 'FR'),
(12346, '31140', 'Pechbonnieu', '31', 'FR'),
(12347, '31320', 'Pechbusque', '31', 'FR'),
(12348, '31350', 'P�guilhan', '31', 'FR'),
(12349, '31480', 'Pelleport', '31', 'FR'),
(12350, '31420', 'Peyrissas', '31', 'FR'),
(12351, '31420', 'Peyrouzet', '31', 'FR'),
(12352, '31390', 'Peyssies', '31', 'FR'),
(12353, '31820', 'Pibrac', '31', 'FR'),
(12354, '31130', 'Pin Balma', '31', 'FR'),
(12355, '31370', 'Le Pin Murelet', '31', 'FR'),
(12356, '31120', 'Pinsaguel', '31', 'FR'),
(12357, '31860', 'Pins Justaret', '31', 'FR'),
(12358, '31220', 'Plagne', '31', 'FR'),
(12359, '31370', 'Plagnole', '31', 'FR'),
(12360, '31830', 'Plaisance du Touch', '31', 'FR'),
(12361, '31220', 'Le Plan', '31', 'FR'),
(12362, '31210', 'Pointis de Rivi�re', '31', 'FR'),
(12363, '31800', 'Pointis Inard', '31', 'FR'),
(12364, '31430', 'Polastron', '31', 'FR'),
(12365, '31450', 'Pompertuzat', '31', 'FR'),
(12366, '31210', 'Ponlat Taillebourg', '31', 'FR'),
(12367, '31160', 'Portet d''Aspet', '31', 'FR'),
(12368, '31110', 'Portet de Luchon', '31', 'FR'),
(12369, '31120', 'Portet sur Garonne', '31', 'FR'),
(12370, '31110', 'Poubeau', '31', 'FR'),
(12371, '31370', 'Poucharramet', '31', 'FR'),
(12372, '31430', 'Pouy de Touges', '31', 'FR'),
(12373, '31450', 'Pouze', '31', 'FR'),
(12374, '31530', 'Prad�re les Bourguets', '31', 'FR'),
(12375, '31570', 'Pr�serville', '31', 'FR'),
(12376, '31360', 'Proupiary', '31', 'FR'),
(12377, '31460', 'Prunet', '31', 'FR'),
(12378, '31190', 'Puydaniel', '31', 'FR'),
(12379, '31230', 'Puymaurin', '31', 'FR'),
(12380, '31480', 'Puyss�gur', '31', 'FR'),
(12381, '31130', 'Quint Fonsegrives', '31', 'FR'),
(12382, '31520', 'Ramonville Saint Agne', '31', 'FR'),
(12383, '31160', 'Razecueill�', '31', 'FR'),
(12384, '31320', 'Rebigue', '31', 'FR'),
(12385, '31800', 'R�gades', '31', 'FR'),
(12386, '31290', 'Renneville', '31', 'FR'),
(12387, '31250', 'Revel', '31', 'FR'),
(12388, '31800', 'Rieucaz�', '31', 'FR'),
(12389, '31290', 'Rieumajou', '31', 'FR'),
(12390, '31370', 'Rieumes', '31', 'FR'),
(12391, '31310', 'Rieux', '31', 'FR'),
(12392, '31230', 'Riolas', '31', 'FR'),
(12393, '31360', 'Roquefort sur Garonne', '31', 'FR'),
(12394, '31120', 'Roques', '31', 'FR'),
(12395, '31380', 'Roques�ri�re', '31', 'FR'),
(12396, '31120', 'Roquettes', '31', 'FR'),
(12397, '31160', 'Rou�de', '31', 'FR'),
(12398, '31180', 'Rouffiac Tolosan', '31', 'FR'),
(12399, '31540', 'Roumens', '31', 'FR'),
(12400, '31370', 'Sabonn�res', '31', 'FR'),
(12401, '31110', 'Saccourvielle', '31', 'FR'),
(12402, '31470', 'Saigu�de', '31', 'FR'),
(12403, '31140', 'Saint Alban', '31', 'FR'),
(12404, '31420', 'St Andr�', '31', 'FR'),
(12405, '31430', 'Saint Araille', '31', 'FR'),
(12406, '31110', 'Saint Aventin', '31', 'FR'),
(12407, '31440', 'Saint B�at', '31', 'FR'),
(12408, '31510', 'Saint Bertrand de Comminges', '31', 'FR'),
(12409, '31330', 'Saint C�zert', '31', 'FR'),
(12410, '31310', 'Saint Christaud', '31', 'FR'),
(12411, '31600', 'Saint Clar de Rivi�re', '31', 'FR'),
(12412, '31430', 'Saint �lix le Ch�teau', '31', 'FR'),
(12413, '31420', 'Saint �lix S�glan', '31', 'FR'),
(12414, '31540', 'Saint F�lix Lauragais', '31', 'FR'),
(12415, '31350', 'Saint Ferr�ol', '31', 'FR'),
(12416, '31570', 'Sainte Foy d''Aigrefeuille', '31', 'FR'),
(12417, '31470', 'Sainte Foy de Peyroli�res', '31', 'FR'),
(12418, '31230', 'Saint Frajou', '31', 'FR'),
(12419, '31800', 'Saint Gaudens', '31', 'FR'),
(12420, '31180', 'Saint Geni�s Bellevue', '31', 'FR'),
(12421, '31290', 'Saint Germier', '31', 'FR'),
(12422, '31410', 'Saint Hilaire', '31', 'FR'),
(12423, '31800', 'Saint Ignan', '31', 'FR'),
(12424, '31240', 'Saint Jean', '31', 'FR'),
(12425, '31380', 'Saint Jean Lherm', '31', 'FR'),
(12426, '31790', 'Saint Jory', '31', 'FR'),
(12427, '31540', 'Saint Julia', '31', 'FR'),
(12428, '31220', 'Saint Julien', '31', 'FR'),
(12429, '31350', 'St Lary Boujean', '31', 'FR'),
(12430, '31230', 'Saint Laurent', '31', 'FR'),
(12431, '31560', 'Saint L�on', '31', 'FR'),
(12432, '31530', 'Sainte Livrade', '31', 'FR'),
(12433, '31140', 'Saint Loup Cammas', '31', 'FR'),
(12434, '31350', 'Saint Loup en Comminges', '31', 'FR'),
(12435, '31470', 'Saint Lys', '31', 'FR'),
(12436, '31110', 'Saint Mamet', '31', 'FR'),
(12437, '31590', 'Saint Marcel Paulel', '31', 'FR'),
(12438, '31800', 'Saint Marcet', '31', 'FR'),
(12439, '31360', 'Saint Martory', '31', 'FR'),
(12440, '31360', 'St M�dard', '31', 'FR'),
(12441, '31220', 'Saint Michel', '31', 'FR'),
(12442, '31650', 'Saint Orens de Gameville', '31', 'FR'),
(12443, '31530', 'St Paul sur Save', '31', 'FR'),
(12444, '31110', 'Saint Paul d''Oueil', '31', 'FR'),
(12445, '31510', 'Saint P� d''Ardet', '31', 'FR'),
(12446, '31350', 'Saint P� Delbosc', '31', 'FR'),
(12447, '31590', 'St Pierre', '31', 'FR'),
(12448, '31570', 'Saint Pierre de Lages', '31', 'FR'),
(12449, '31580', 'Saint Plancard', '31', 'FR'),
(12450, '31290', 'St Rome', '31', 'FR'),
(12451, '31620', 'Saint Rustice', '31', 'FR'),
(12452, '31790', 'St Sauveur', '31', 'FR'),
(12453, '31410', 'Saint Sulpice sur L�ze', '31', 'FR'),
(12454, '31470', 'Saint Thomas', '31', 'FR'),
(12455, '31290', 'St Vincent', '31', 'FR'),
(12456, '31370', 'Sajas', '31', 'FR'),
(12457, '31260', 'Saleich', '31', 'FR'),
(12458, '31230', 'Salerm', '31', 'FR'),
(12459, '31260', 'Salies du Salat', '31', 'FR'),
(12460, '31110', 'Salles et Pratviel', '31', 'FR'),
(12461, '31390', 'Salles sur Garonne', '31', 'FR'),
(12462, '31880', 'Salvetat St Gilles', '31', 'FR'),
(12463, '31460', 'La Salvetat Lauragais', '31', 'FR'),
(12464, '31350', 'Saman', '31', 'FR'),
(12465, '31420', 'Samouillan', '31', 'FR'),
(12466, '31220', 'Sana', '31', 'FR'),
(12467, '31350', 'Sarrecave', '31', 'FR'),
(12468, '31350', 'Sarremezan', '31', 'FR'),
(12469, '31600', 'Saubens', '31', 'FR'),
(12470, '31460', 'Saussens', '31', 'FR'),
(12471, '31510', 'Sauveterre de Comminges', '31', 'FR'),
(12472, '31800', 'Saux et Pomar�de', '31', 'FR'),
(12473, '31800', 'Savarth�s', '31', 'FR'),
(12474, '31370', 'Sav�res', '31', 'FR'),
(12475, '31580', 'S�deilhac', '31', 'FR'),
(12476, '31460', 'Segreville', '31', 'FR'),
(12477, '31840', 'Seilh', '31', 'FR'),
(12478, '31510', 'Seilhan', '31', 'FR'),
(12479, '31430', 'S�narens', '31', 'FR'),
(12480, '31160', 'Sengouagnet', '31', 'FR'),
(12481, '31360', 'Sepx', '31', 'FR'),
(12482, '31560', 'Seyre', '31', 'FR'),
(12483, '31600', 'Seysses', '31', 'FR'),
(12484, '31440', 'Signac', '31', 'FR'),
(12485, '31110', 'Sode', '31', 'FR'),
(12486, '31160', 'Soueich', '31', 'FR'),
(12487, '31570', 'Tarabel', '31', 'FR'),
(12488, '31420', 'Terrebasse', '31', 'FR'),
(12489, '31530', 'Thil', '31', 'FR'),
(12490, '31260', 'Touille', '31', 'FR'),
(12491, '31500', 'Toulouse', '31', 'FR'),
(12492, '31400', 'Toulouse', '31', 'FR'),
(12493, '31300', 'Toulouse', '31', 'FR'),
(12494, '31100', 'Toulouse', '31', 'FR'),
(12495, '31000', 'Toulouse', '31', 'FR'),
(12496, '31200', 'Toulouse', '31', 'FR'),
(12497, '31210', 'Tourreilles', '31', 'FR'),
(12498, '31170', 'Tournefeuille', '31', 'FR'),
(12499, '31460', 'Toutens', '31', 'FR'),
(12500, '31110', 'Tr�bons de Luchon', '31', 'FR'),
(12501, '31290', 'Tr�bons sur la Grasse', '31', 'FR'),
(12502, '31240', 'L''Union', '31', 'FR'),
(12503, '31260', 'Urau', '31', 'FR'),
(12504, '31340', 'Vacquiers', '31', 'FR'),
(12505, '31510', 'Valcabr�re', '31', 'FR'),
(12506, '31800', 'Valentine', '31', 'FR'),
(12507, '31290', 'Vall�gue', '31', 'FR'),
(12508, '31570', 'Vallesvilles', '31', 'FR'),
(12509, '31450', 'Varennes', '31', 'FR'),
(12510, '31250', 'Vaudreuille', '31', 'FR'),
(12511, '31540', 'Vaux', '31', 'FR'),
(12512, '31460', 'Vendine', '31', 'FR'),
(12513, '31810', 'Venerque', '31', 'FR'),
(12514, '31590', 'Verfeil', '31', 'FR'),
(12515, '31810', 'Vernet', '31', 'FR'),
(12516, '31320', 'Vieille Toulouse', '31', 'FR'),
(12517, '31290', 'Vieillevigne', '31', 'FR'),
(12518, '31480', 'Vignaux', '31', 'FR'),
(12519, '31320', 'Vigoulet Auzil', '31', 'FR'),
(12520, '31380', 'Villari�s', '31', 'FR'),
(12521, '31860', 'Villate', '31', 'FR'),
(12522, '31620', 'Villaudric', '31', 'FR'),
(12523, '31290', 'Villefranche de Lauragais', '31', 'FR'),
(12524, '31340', 'Villematier', '31', 'FR'),
(12525, '31340', 'Villemur sur Tarn', '31', 'FR'),
(12526, '31800', 'Villeneuve de Rivi�re', '31', 'FR'),
(12527, '31580', 'Villeneuve L�cussan', '31', 'FR'),
(12528, '31620', 'Villeneuve l�s Bouloc', '31', 'FR'),
(12529, '31270', 'Villeneuve Tolosane', '31', 'FR'),
(12530, '31290', 'Villenouvelle', '31', 'FR'),
(12531, '31440', 'Binos', '31', 'FR'),
(12532, '31260', 'Escoulis', '31', 'FR'),
(12533, '31330', 'Larra', '31', 'FR'),
(12534, '31230', 'Cazac', '31', 'FR'),
(12535, '32290', 'Aignan', '32', 'FR'),
(12536, '32270', 'Ansan', '32', 'FR'),
(12537, '32360', 'Antras', '32', 'FR'),
(12538, '32720', 'Arblade le Bas', '32', 'FR'),
(12539, '32110', 'Arblade le Haut', '32', 'FR'),
(12540, '32430', 'Ardizas', '32', 'FR'),
(12541, '32230', 'Armentieux', '32', 'FR'),
(12542, '32230', 'Armous et Cau', '32', 'FR'),
(12543, '32140', 'Arrou�de', '32', 'FR'),
(12544, '32270', 'Aubiet', '32', 'FR'),
(12545, '32810', 'Auch', '32', 'FR'),
(12546, '32000', 'Auch', '32', 'FR'),
(12547, '32120', 'Augnax', '32', 'FR'),
(12548, '32300', 'Aujan Mourn�de', '32', 'FR'),
(12549, '32600', 'Aurad�', '32', 'FR'),
(12550, '32400', 'Aurensan', '32', 'FR'),
(12551, '32450', 'Aurimont', '32', 'FR'),
(12552, '32550', 'Auterive', '32', 'FR'),
(12553, '32170', 'Aux Aussat', '32', 'FR'),
(12554, '32120', 'Avensac', '32', 'FR'),
(12555, '32290', 'Av�ron Bergelle', '32', 'FR'),
(12556, '32380', 'Avezan', '32', 'FR'),
(12557, '32410', 'Ayguetinte', '32', 'FR'),
(12558, '32800', 'Ayzieu', '32', 'FR'),
(12559, '32120', 'Bajonnette', '32', 'FR'),
(12560, '32720', 'Barcelonne du Gers', '32', 'FR'),
(12561, '32170', 'Barcugnan', '32', 'FR'),
(12562, '32350', 'Barran', '32', 'FR'),
(12563, '32300', 'Bars', '32', 'FR'),
(12564, '32190', 'Bascous', '32', 'FR'),
(12565, '32320', 'Bassoues', '32', 'FR'),
(12566, '32320', 'Bazian', '32', 'FR'),
(12567, '32170', 'Bazugues', '32', 'FR'),
(12568, '32410', 'Beaucaire', '32', 'FR'),
(12569, '32160', 'Beaumarch�s', '32', 'FR'),
(12570, '32100', 'Beaumont', '32', 'FR'),
(12571, '32600', 'Beaupuy', '32', 'FR'),
(12572, '32730', 'Beccas', '32', 'FR'),
(12573, '32450', 'B�d�chan', '32', 'FR'),
(12574, '32140', 'Bellegarde', '32', 'FR'),
(12575, '32300', 'Belloc Saint Clamens', '32', 'FR'),
(12576, '32190', 'Belmont', '32', 'FR'),
(12577, '32100', 'B�raut', '32', 'FR'),
(12578, '32300', 'Berdoues', '32', 'FR'),
(12579, '32400', 'Bern�de', '32', 'FR'),
(12580, '32480', 'Berrac', '32', 'FR'),
(12581, '32420', 'Betcave Aguin', '32', 'FR'),
(12582, '32110', 'B�tous', '32', 'FR'),
(12583, '32730', 'Betplan', '32', 'FR'),
(12584, '32130', 'B�z�ril', '32', 'FR'),
(12585, '32310', 'Bezolles', '32', 'FR'),
(12586, '32140', 'B�zues Bajon', '32', 'FR'),
(12587, '32350', 'Biran', '32', 'FR'),
(12588, '32380', 'Biv�s', '32', 'FR'),
(12589, '32270', 'Blanquefort', '32', 'FR'),
(12590, '32100', 'Blaziert', '32', 'FR'),
(12591, '32230', 'Blousson S�rian', '32', 'FR'),
(12592, '32410', 'Bonas', '32', 'FR'),
(12593, '32550', 'Boucagn�res', '32', 'FR'),
(12594, '32450', 'Boulaur', '32', 'FR'),
(12595, '32370', 'Bourrouillan', '32', 'FR'),
(12596, '32290', 'Bouzon Gellenave', '32', 'FR'),
(12597, '32800', 'Bretagne d''Armagnac', '32', 'FR'),
(12598, '32350', 'Brouilh Monbert', '32', 'FR'),
(12599, '32500', 'Brugnens', '32', 'FR'),
(12600, '32140', 'Cabas Loumasses', '32', 'FR'),
(12601, '32380', 'Cadeilhan', '32', 'FR'),
(12602, '32220', 'Cadeillan', '32', 'FR'),
(12603, '32400', 'Cahuzac sur Adour', '32', 'FR'),
(12604, '32190', 'Caillavet', '32', 'FR'),
(12605, '32190', 'Callian', '32', 'FR'),
(12606, '32800', 'Campagne d''Armagnac', '32', 'FR'),
(12607, '32400', 'Cannet', '32', 'FR'),
(12608, '32100', 'Cassaigne', '32', 'FR'),
(12609, '32450', 'Castelnau Barbarens', '32', 'FR'),
(12610, '32320', 'Castelnau d''Angl�s', '32', 'FR'),
(12611, '32500', 'Castelnau d''Arbieu', '32', 'FR'),
(12612, '32440', 'Castelnau d''Auzan', '32', 'FR'),
(12613, '32100', 'Castelnau sur l''Auvignon', '32', 'FR'),
(12614, '32290', 'Castelnavet', '32', 'FR'),
(12615, '32700', 'Cast�ra Lectourois', '32', 'FR'),
(12616, '32410', 'Cast�ra Verduzan', '32', 'FR'),
(12617, '32380', 'Cast�ron', '32', 'FR'),
(12618, '32340', 'Castet Arrouy', '32', 'FR'),
(12619, '32170', 'Castex', '32', 'FR'),
(12620, '32240', 'Castex d''Armagnac', '32', 'FR'),
(12621, '32190', 'Castillon Debats', '32', 'FR'),
(12622, '32360', 'Castillon Massas', '32', 'FR'),
(12623, '32490', 'Castillon Sav�s', '32', 'FR'),
(12624, '32810', 'Castin', '32', 'FR'),
(12625, '32200', 'Catonvielle', '32', 'FR'),
(12626, '32400', 'Caumont', '32', 'FR'),
(12627, '32110', 'Caupenne d''Armagnac', '32', 'FR'),
(12628, '32100', 'Caussens', '32', 'FR'),
(12629, '32150', 'Cazaubon', '32', 'FR'),
(12630, '32190', 'Cazaux d''Angl�s', '32', 'FR'),
(12631, '32130', 'Cazaux Sav�s', '32', 'FR'),
(12632, '32230', 'Cazaux Villecomtal', '32', 'FR'),
(12633, '32800', 'Cazeneuve', '32', 'FR'),
(12634, '32500', 'C�ran', '32', 'FR'),
(12635, '32410', 'C�zan', '32', 'FR'),
(12636, '32140', 'Ch�lan', '32', 'FR'),
(12637, '32300', 'Clermont Pouyguilles', '32', 'FR'),
(12638, '32600', 'Clermont Sav�s', '32', 'FR'),
(12639, '32430', 'Cologne', '32', 'FR'),
(12640, '32100', 'Condom', '32', 'FR'),
(12641, '32400', 'Corneillan', '32', 'FR'),
(12642, '32160', 'Couloum� Mond�bat', '32', 'FR'),
(12643, '32330', 'Courrensan', '32', 'FR'),
(12644, '32230', 'Courties', '32', 'FR'),
(12645, '32270', 'Crastes', '32', 'FR'),
(12646, '32110', 'Cravenc�res', '32', 'FR'),
(12647, '32300', 'Cu�las', '32', 'FR'),
(12648, '32190', 'D�mu', '32', 'FR'),
(12649, '32170', 'Duffort', '32', 'FR'),
(12650, '32810', 'Duran', '32', 'FR'),
(12651, '32260', 'Durban', '32', 'FR'),
(12652, '32800', 'Eauze', '32', 'FR'),
(12653, '32430', 'Encausse', '32', 'FR'),
(12654, '32600', 'Endoufielle', '32', 'FR'),
(12655, '32140', 'Esclassan Labastide', '32', 'FR'),
(12656, '32200', 'Escorneboeuf', '32', 'FR'),
(12657, '32220', 'Espaon', '32', 'FR'),
(12658, '32370', 'Espas', '32', 'FR'),
(12659, '32170', 'Estampes', '32', 'FR'),
(12660, '32240', 'Estang', '32', 'FR'),
(12661, '32300', 'Estipouy', '32', 'FR'),
(12662, '32380', 'Estramiac', '32', 'FR'),
(12663, '32450', 'Faget Abbatial', '32', 'FR'),
(12664, '32340', 'Flamarens', '32', 'FR'),
(12665, '32500', 'Fleurance', '32', 'FR'),
(12666, '32250', 'Fourc�s', '32', 'FR'),
(12667, '32490', 'Fr�gouville', '32', 'FR'),
(12668, '32400', 'Fust�rouau', '32', 'FR'),
(12669, '32160', 'Galiax', '32', 'FR'),
(12670, '32220', 'Garravet', '32', 'FR'),
(12671, '32380', 'Gaudonville', '32', 'FR'),
(12672, '32220', 'Gaujac', '32', 'FR'),
(12673, '32420', 'Gaujan', '32', 'FR'),
(12674, '32390', 'Gavarret sur Aulouste', '32', 'FR'),
(12675, '32480', 'Gazaupouy', '32', 'FR'),
(12676, '32230', 'Gazax et Baccarisse', '32', 'FR'),
(12677, '32720', 'G�e Rivi�re', '32', 'FR'),
(12678, '32340', 'Gimbr�de', '32', 'FR'),
(12679, '32200', 'Gimont', '32', 'FR'),
(12680, '32200', 'Giscaro', '32', 'FR'),
(12681, '32330', 'Gondrin', '32', 'FR'),
(12682, '32500', 'Goutz', '32', 'FR'),
(12683, '32400', 'Goux', '32', 'FR'),
(12684, '32730', 'Haget', '32', 'FR'),
(12685, '32550', 'Haulies', '32', 'FR'),
(12686, '32120', 'Homps', '32', 'FR'),
(12687, '32460', 'Le Houga', '32', 'FR'),
(12688, '32300', 'Idrac Respailles', '32', 'FR'),
(12689, '32270', 'L''Isle Arn�', '32', 'FR'),
(12690, '32380', 'L''Isle Bouzon', '32', 'FR'),
(12691, '32300', 'L''Isle de No�', '32', 'FR'),
(12692, '32600', 'L''Isle Jourdain', '32', 'FR'),
(12693, '32400', 'Izotges', '32', 'FR'),
(12694, '32360', 'J�gun', '32', 'FR'),
(12695, '32160', 'J� Belloc', '32', 'FR'),
(12696, '32230', 'Juillac', '32', 'FR'),
(12697, '32200', 'Juilles', '32', 'FR'),
(12698, '32190', 'Justian', '32', 'FR'),
(12699, '32170', 'Laas', '32', 'FR'),
(12700, '32250', 'Labarr�re', '32', 'FR'),
(12701, '32260', 'Labarthe', '32', 'FR'),
(12702, '32400', 'Labarth�te', '32', 'FR'),
(12703, '32130', 'Labastide Sav�s', '32', 'FR'),
(12704, '32300', 'Lab�jan', '32', 'FR'),
(12705, '32120', 'Labrihe', '32', 'FR'),
(12706, '32230', 'Ladev�ze Rivi�re', '32', 'FR'),
(12707, '32230', 'Ladev�ze Ville', '32', 'FR'),
(12708, '32700', 'Lagarde', '32', 'FR'),
(12709, '32300', 'Lagarde Hachan', '32', 'FR'),
(12710, '32310', 'Lagard�re', '32', 'FR'),
(12711, '32190', 'Lagraulas', '32', 'FR'),
(12712, '32330', 'Lagraulet du Gers', '32', 'FR'),
(12713, '32170', 'Laguian Mazous', '32', 'FR'),
(12714, '32130', 'Lahas', '32', 'FR'),
(12715, '32810', 'Lahitte', '32', 'FR'),
(12716, '32500', 'Lalanne', '32', 'FR'),
(12717, '32140', 'Lalanne Arqu�', '32', 'FR'),
(12718, '32260', 'Lamagu�re', '32', 'FR'),
(12719, '32300', 'Lamaz�re', '32', 'FR'),
(12720, '32500', 'Lamothe Goas', '32', 'FR'),
(12721, '32240', 'Lannemaignan', '32', 'FR'),
(12722, '32190', 'Lannepax', '32', 'FR'),
(12723, '32110', 'Lanne Soubiran', '32', 'FR'),
(12724, '32400', 'Lannux', '32', 'FR'),
(12725, '32150', 'Lar�e', '32', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(12726, '32100', 'Larressingle', '32', 'FR'),
(12727, '32480', 'Larroque Engalin', '32', 'FR'),
(12728, '32410', 'Larroque Saint Sernin', '32', 'FR'),
(12729, '32100', 'Larroque sur l''Osse', '32', 'FR'),
(12730, '32450', 'Lartigue', '32', 'FR'),
(12731, '32160', 'Lasserade', '32', 'FR'),
(12732, '32550', 'Lass�ran', '32', 'FR'),
(12733, '32550', 'Lasseube Propre', '32', 'FR'),
(12734, '32110', 'Laujuzan', '32', 'FR'),
(12735, '32330', 'Laura�t', '32', 'FR'),
(12736, '32360', 'Lavardens', '32', 'FR'),
(12737, '32230', 'Lavera�t', '32', 'FR'),
(12738, '32220', 'Laymont', '32', 'FR'),
(12739, '32810', 'Leboulin', '32', 'FR'),
(12740, '32700', 'Lectoure', '32', 'FR'),
(12741, '32400', 'Lelin Lapujolle', '32', 'FR'),
(12742, '32600', 'Lias', '32', 'FR'),
(12743, '32240', 'Lias d''Armagnac', '32', 'FR'),
(12744, '32480', 'Ligardes', '32', 'FR'),
(12745, '32220', 'Lombez', '32', 'FR'),
(12746, '32110', 'Loub�dat', '32', 'FR'),
(12747, '32300', 'Loubersan', '32', 'FR'),
(12748, '32140', 'Lourties Monbrun', '32', 'FR'),
(12749, '32230', 'Louslitges', '32', 'FR'),
(12750, '32290', 'Loussous D�bat', '32', 'FR'),
(12751, '32290', 'Lupiac', '32', 'FR'),
(12752, '32110', 'Lupp� Violles', '32', 'FR'),
(12753, '32270', 'Lussan', '32', 'FR'),
(12754, '32110', 'Magnan', '32', 'FR'),
(12755, '32380', 'Magnas', '32', 'FR'),
(12756, '32310', 'Maignaut Tauzia', '32', 'FR'),
(12757, '32730', 'Malabat', '32', 'FR'),
(12758, '32170', 'Manas Bastanous', '32', 'FR'),
(12759, '32370', 'Manciet', '32', 'FR'),
(12760, '32140', 'Manent Montane', '32', 'FR'),
(12761, '32120', 'Mansempuy', '32', 'FR'),
(12762, '32310', 'Mansenc�me', '32', 'FR'),
(12763, '32190', 'Marambat', '32', 'FR'),
(12764, '32120', 'Maravat', '32', 'FR'),
(12765, '32230', 'Marciac', '32', 'FR'),
(12766, '32490', 'Marestaing', '32', 'FR'),
(12767, '32290', 'Margou�t Meym�s', '32', 'FR'),
(12768, '32150', 'Marguestau', '32', 'FR'),
(12769, '32270', 'Marsan', '32', 'FR'),
(12770, '32170', 'Marseillan', '32', 'FR'),
(12771, '32700', 'Marsolan', '32', 'FR'),
(12772, '32230', 'Mascaras', '32', 'FR'),
(12773, '32700', 'Mas d''Auvignon', '32', 'FR'),
(12774, '32140', 'Masseube', '32', 'FR'),
(12775, '32240', 'Maul�on d''Armagnac', '32', 'FR'),
(12776, '32400', 'Maulich�res', '32', 'FR'),
(12777, '32400', 'Maumusson Laguian', '32', 'FR'),
(12778, '32240', 'Maupas', '32', 'FR'),
(12779, '32200', 'Maurens', '32', 'FR'),
(12780, '32380', 'Mauroux', '32', 'FR'),
(12781, '32120', 'Mauvezin', '32', 'FR'),
(12782, '32420', 'Meilhan', '32', 'FR'),
(12783, '32360', 'M�rens', '32', 'FR'),
(12784, '32170', 'Mi�lan', '32', 'FR'),
(12785, '32340', 'Miradoux', '32', 'FR'),
(12786, '32300', 'Miramont d''Astarac', '32', 'FR'),
(12787, '32390', 'Miramont Latour', '32', 'FR'),
(12788, '32300', 'Mirande', '32', 'FR'),
(12789, '32350', 'Mirannes', '32', 'FR'),
(12790, '32390', 'Mirepoix', '32', 'FR'),
(12791, '32420', 'Monbardon', '32', 'FR'),
(12792, '32130', 'Monblanc', '32', 'FR'),
(12793, '32600', 'Monbrun', '32', 'FR'),
(12794, '32300', 'Moncassin', '32', 'FR'),
(12795, '32150', 'Monclar', '32', 'FR'),
(12796, '32300', 'Monclar sur Losse', '32', 'FR'),
(12797, '32260', 'Moncorneil Grazan', '32', 'FR'),
(12798, '32260', 'Monferran Plav�s', '32', 'FR'),
(12799, '32490', 'Monferran Sav�s', '32', 'FR'),
(12800, '32120', 'Monfort', '32', 'FR'),
(12801, '32220', 'Mongausy', '32', 'FR'),
(12802, '32240', 'Monguilhem', '32', 'FR'),
(12803, '32140', 'Monlaur Bernet', '32', 'FR'),
(12804, '32230', 'Monlezun', '32', 'FR'),
(12805, '32240', 'Monlezun d''Armagnac', '32', 'FR'),
(12806, '32170', 'Monpardiac', '32', 'FR'),
(12807, '32220', 'Montadet', '32', 'FR'),
(12808, '32220', 'Montamat', '32', 'FR'),
(12809, '32300', 'Montaut', '32', 'FR'),
(12810, '32810', 'Montaut les Cr�neaux', '32', 'FR'),
(12811, '32140', 'Mont d''Astarac', '32', 'FR'),
(12812, '32170', 'Mont de Marrast', '32', 'FR'),
(12813, '32550', 'Mont�gut', '32', 'FR'),
(12814, '32730', 'Mont�gut Arros', '32', 'FR'),
(12815, '32220', 'Mont�gut Sav�s', '32', 'FR'),
(12816, '32320', 'Montesquiou', '32', 'FR'),
(12817, '32390', 'Montestruc sur Gers', '32', 'FR'),
(12818, '32420', 'Monties', '32', 'FR'),
(12819, '32200', 'Montiron', '32', 'FR'),
(12820, '32220', 'Montp�zat', '32', 'FR'),
(12821, '32250', 'Montr�al', '32', 'FR'),
(12822, '32240', 'Morm�s', '32', 'FR'),
(12823, '32330', 'Mouchan', '32', 'FR'),
(12824, '32300', 'Mouch�s', '32', 'FR'),
(12825, '32190', 'Mour�de', '32', 'FR'),
(12826, '32130', 'Nizas', '32', 'FR'),
(12827, '32110', 'Nogaro', '32', 'FR'),
(12828, '32130', 'Noilhan', '32', 'FR'),
(12829, '32270', 'Nougaroulet', '32', 'FR'),
(12830, '32800', 'Noulens', '32', 'FR'),
(12831, '32260', 'Orbessan', '32', 'FR'),
(12832, '32350', 'Ordan Larroque', '32', 'FR'),
(12833, '32260', 'Orn�zan', '32', 'FR'),
(12834, '32230', 'Pallanne', '32', 'FR'),
(12835, '32140', 'Panassac', '32', 'FR'),
(12836, '32110', 'Panjas', '32', 'FR'),
(12837, '32500', 'Pauilhac', '32', 'FR'),
(12838, '32550', 'Pavie', '32', 'FR'),
(12839, '32130', 'P�b�es', '32', 'FR'),
(12840, '32420', 'Pellefigue', '32', 'FR'),
(12841, '32460', 'Perch�de', '32', 'FR'),
(12842, '32700', 'Pergain Taillac', '32', 'FR'),
(12843, '32550', 'Pessan', '32', 'FR'),
(12844, '32380', 'Pessoulens', '32', 'FR'),
(12845, '32340', 'Peyrecave', '32', 'FR'),
(12846, '32320', 'Peyrusse Grande', '32', 'FR'),
(12847, '32360', 'Peyrusse Massas', '32', 'FR'),
(12848, '32230', 'Peyrusse Vieille', '32', 'FR'),
(12849, '32500', 'Pis', '32', 'FR'),
(12850, '32160', 'laisance', '32', 'FR'),
(12851, '32340', 'Plieux', '32', 'FR'),
(12852, '32130', 'Polastron', '32', 'FR'),
(12853, '32130', 'Pompiac', '32', 'FR'),
(12854, '32300', 'Ponsamp�re', '32', 'FR'),
(12855, '32300', 'Ponsan Soubiran', '32', 'FR'),
(12856, '32290', 'Pouydraguin', '32', 'FR'),
(12857, '32320', 'Pouylebon', '32', 'FR'),
(12858, '32260', 'Pouy Loubrin', '32', 'FR'),
(12859, '32480', 'Pouy Roquelaure', '32', 'FR'),
(12860, '32390', 'Pr�chac', '32', 'FR'),
(12861, '32160', 'Pr�chac sur Adour', '32', 'FR'),
(12862, '32810', 'Preignan', '32', 'FR'),
(12863, '32190', 'Pr�neron', '32', 'FR'),
(12864, '32400', 'Projan', '32', 'FR'),
(12865, '32600', 'Pujaudran', '32', 'FR'),
(12866, '32120', 'Puycasquier', '32', 'FR'),
(12867, '32220', 'Puylausic', '32', 'FR'),
(12868, '32390', 'Puys�gur', '32', 'FR'),
(12869, '32800', 'Ramouzens', '32', 'FR'),
(12870, '32600', 'Razengues', '32', 'FR'),
(12871, '32800', 'R�ans', '32', 'FR'),
(12872, '32390', 'R�jaumont', '32', 'FR'),
(12873, '32230', 'Ricourt', '32', 'FR'),
(12874, '32320', 'Riguepeu', '32', 'FR'),
(12875, '32400', 'Riscle', '32', 'FR'),
(12876, '32480', 'La Romieu', '32', 'FR'),
(12877, '32190', 'Roquebrune', '32', 'FR'),
(12878, '32390', 'Roquefort', '32', 'FR'),
(12879, '32810', 'Roquelaure', '32', 'FR'),
(12880, '32430', 'Roquelaure Saint Aubin', '32', 'FR'),
(12881, '32100', 'Roquepine', '32', 'FR'),
(12882, '32310', 'Roques', '32', 'FR'),
(12883, '32190', 'Roz�s', '32', 'FR'),
(12884, '32420', 'Sabaillan', '32', 'FR'),
(12885, '32290', 'Sabazan', '32', 'FR'),
(12886, '32170', 'Sadeillan', '32', 'FR'),
(12887, '32200', 'St Andr�', '32', 'FR'),
(12888, '32430', 'Sainte Anne', '32', 'FR'),
(12889, '32340', 'Saint Antoine', '32', 'FR'),
(12890, '32120', 'Saint Antonin', '32', 'FR'),
(12891, '32350', 'Saint Arailles', '32', 'FR'),
(12892, '32300', 'Saint Arroman', '32', 'FR'),
(12893, '32160', 'Saint Aunix Lengros', '32', 'FR'),
(12894, '32300', 'Sainte Aurence Cazaux', '32', 'FR'),
(12895, '32700', 'Saint Avit Frandat', '32', 'FR'),
(12896, '32140', 'St Blancard', '32', 'FR'),
(12897, '32120', 'Saint Br�s', '32', 'FR'),
(12898, '32320', 'Saint Christaud', '32', 'FR'),
(12899, '32390', 'Sainte Christie', '32', 'FR'),
(12900, '32370', 'Sainte Christie d''Armagnac', '32', 'FR'),
(12901, '32380', 'Saint Clar', '32', 'FR'),
(12902, '32380', 'St Cr�ac', '32', 'FR'),
(12903, '32430', 'Saint Cricq', '32', 'FR'),
(12904, '32170', 'Sainte Dode', '32', 'FR'),
(12905, '32450', 'Saint �lix', '32', 'FR'),
(12906, '32300', 'Saint �lix Theux', '32', 'FR'),
(12907, '32120', 'Sainte Gemme', '32', 'FR'),
(12908, '32430', 'St Georges', '32', 'FR'),
(12909, '32400', 'Saint Germ�', '32', 'FR'),
(12910, '32200', 'St Germier', '32', 'FR'),
(12911, '32110', 'Saint Gri�de', '32', 'FR'),
(12912, '32550', 'Saint Jean le Comtal', '32', 'FR'),
(12913, '32190', 'Saint Jean Poutge', '32', 'FR'),
(12914, '32230', 'Saint Justin', '32', 'FR'),
(12915, '32360', 'Saint Lary', '32', 'FR'),
(12916, '32380', 'Saint L�onard', '32', 'FR'),
(12917, '32220', 'Saint Lizier du Plant�', '32', 'FR'),
(12918, '32220', 'St Loube', '32', 'FR'),
(12919, '32200', 'Ste Marie', '32', 'FR'),
(12920, '32300', 'Saint Martin', '32', 'FR'),
(12921, '32110', 'Saint Martin d''Armagnac', '32', 'FR'),
(12922, '32480', 'Saint Martin de Goyne', '32', 'FR'),
(12923, '32450', 'Saint Martin Gimois', '32', 'FR'),
(12924, '32300', 'St Maur', '32', 'FR'),
(12925, '32300', 'Saint M�dard', '32', 'FR'),
(12926, '32700', 'Sainte M�re', '32', 'FR'),
(12927, '32700', 'Saint M�zard', '32', 'FR'),
(12928, '32300', 'St Michel', '32', 'FR'),
(12929, '32400', 'Saint Mont', '32', 'FR'),
(12930, '32120', 'Saint Orens', '32', 'FR'),
(12931, '32100', 'Saint Orens Pouy Petit', '32', 'FR'),
(12932, '32300', 'Saint Ost', '32', 'FR'),
(12933, '32190', 'Saint Paul de Ba�se', '32', 'FR'),
(12934, '32290', 'St Pierre d''Aub�zies', '32', 'FR'),
(12935, '32310', 'Saint Puy', '32', 'FR'),
(12936, '32500', 'Sainte Radegonde', '32', 'FR'),
(12937, '32270', 'Saint Sauvy', '32', 'FR'),
(12938, '32220', 'Saint Soulan', '32', 'FR'),
(12939, '32370', 'Salles d''Armagnac', '32', 'FR'),
(12940, '32140', 'Samaran', '32', 'FR'),
(12941, '32130', 'Samatan', '32', 'FR'),
(12942, '32260', 'Sansan', '32', 'FR'),
(12943, '32450', 'Saramon', '32', 'FR'),
(12944, '32420', 'Sarcos', '32', 'FR'),
(12945, '32400', 'Sarragachies', '32', 'FR'),
(12946, '32170', 'Sarraguzan', '32', 'FR'),
(12947, '32120', 'Sarrant', '32', 'FR'),
(12948, '32500', 'La Sauvetat', '32', 'FR'),
(12949, '32220', 'Sauveterre', '32', 'FR'),
(12950, '32300', 'Sauviac', '32', 'FR'),
(12951, '32220', 'Sauvimont', '32', 'FR'),
(12952, '32130', 'Savignac Mona', '32', 'FR'),
(12953, '32230', 'Scieurac et Flour�s', '32', 'FR'),
(12954, '32190', 'S�ailles', '32', 'FR'),
(12955, '32400', 'S�gos', '32', 'FR'),
(12956, '32600', 'S�goufielle', '32', 'FR'),
(12957, '32260', 'Seissan', '32', 'FR'),
(12958, '32230', 'Sembou�s', '32', 'FR'),
(12959, '32450', 'S�m�zies Cachan', '32', 'FR'),
(12960, '32700', 'Sempesserre', '32', 'FR'),
(12961, '32140', 'S�re', '32', 'FR'),
(12962, '32120', 'S�rempuy', '32', 'FR'),
(12963, '32130', 'Seysses Sav�s', '32', 'FR'),
(12964, '32420', 'Simorre', '32', 'FR'),
(12965, '32110', 'Sion', '32', 'FR'),
(12966, '32430', 'Sirac', '32', 'FR'),
(12967, '32120', 'Solomiac', '32', 'FR'),
(12968, '32110', 'Sorbets', '32', 'FR'),
(12969, '32260', 'Tachoires', '32', 'FR'),
(12970, '32400', 'Tarsac', '32', 'FR'),
(12971, '32160', 'Tasque', '32', 'FR'),
(12972, '32120', 'Taybosc', '32', 'FR'),
(12973, '32700', 'Terraube', '32', 'FR'),
(12974, '32400', 'Termes d''Armagnac', '32', 'FR'),
(12975, '32430', 'Thoux', '32', 'FR'),
(12976, '32160', 'Tieste Uragnoux', '32', 'FR'),
(12977, '32170', 'Tillac', '32', 'FR'),
(12978, '32450', 'Tirent Pontejac', '32', 'FR'),
(12979, '32430', 'Touget', '32', 'FR'),
(12980, '32240', 'Toujouse', '32', 'FR'),
(12981, '32230', 'Tourdun', '32', 'FR'),
(12982, '32420', 'Tournan', '32', 'FR'),
(12983, '32380', 'Tournecoupe', '32', 'FR'),
(12984, '32390', 'Tourrenquets', '32', 'FR'),
(12985, '32450', 'Travers�res', '32', 'FR'),
(12986, '32230', 'Troncens', '32', 'FR'),
(12987, '32190', 'Tudelle', '32', 'FR'),
(12988, '32500', 'Urdens', '32', 'FR'),
(12989, '32110', 'Urgosse', '32', 'FR'),
(12990, '32310', 'Valence sur Ba�se', '32', 'FR'),
(12991, '32720', 'Vergoignan', '32', 'FR'),
(12992, '32400', 'Verlus', '32', 'FR'),
(12993, '32190', 'Vic Fezensac', '32', 'FR'),
(12994, '32400', 'Viella', '32', 'FR'),
(12995, '32730', 'Villecomtal sur Arros', '32', 'FR'),
(12996, '32420', 'Villefranche', '32', 'FR'),
(12997, '32300', 'Viozan', '32', 'FR'),
(12998, '32200', 'St Caprais', '32', 'FR'),
(12999, '32140', 'Aussos', '32', 'FR'),
(13000, '33230', 'Abzac', '33', 'FR'),
(13001, '33124', 'Aillas', '33', 'FR'),
(13002, '33440', 'Ambar�s et Lagrave', '33', 'FR'),
(13003, '33810', 'Amb�s', '33', 'FR'),
(13004, '33510', 'Andernos les Bains', '33', 'FR'),
(13005, '33390', 'Anglade', '33', 'FR'),
(13006, '33640', 'Arbanats', '33', 'FR'),
(13007, '33760', 'Arbis', '33', 'FR'),
(13008, '33120', 'Arcachon', '33', 'FR'),
(13009, '33460', 'Arcins', '33', 'FR'),
(13010, '33740', 'Ar�s', '33', 'FR'),
(13011, '33460', 'Arsac', '33', 'FR'),
(13012, '33370', 'Artigues pr�s Bordeaux', '33', 'FR'),
(13013, '33570', 'Les Artigues de Lussac', '33', 'FR'),
(13014, '33500', 'Arveyres', '33', 'FR'),
(13015, '33240', 'Asques', '33', 'FR'),
(13016, '33430', 'Aubiac', '33', 'FR'),
(13017, '33240', 'Aubie et Espessas', '33', 'FR'),
(13018, '33980', 'Audenge', '33', 'FR'),
(13019, '33790', 'Auriolles', '33', 'FR'),
(13020, '33124', 'Auros', '33', 'FR'),
(13021, '33480', 'Avensan', '33', 'FR'),
(13022, '33640', 'Ayguemorte les Graves', '33', 'FR'),
(13023, '33190', 'Bagas', '33', 'FR'),
(13024, '33760', 'Baigneaux', '33', 'FR'),
(13025, '33730', 'Balizac', '33', 'FR'),
(13026, '33190', 'Barie', '33', 'FR'),
(13027, '33750', 'Baron', '33', 'FR'),
(13028, '33114', 'Le Barp', '33', 'FR'),
(13029, '33720', 'Barsac', '33', 'FR'),
(13030, '33190', 'Bassanne', '33', 'FR'),
(13031, '33530', 'Bassens', '33', 'FR'),
(13032, '33880', 'Baurech', '33', 'FR'),
(13033, '33230', 'Bayas', '33', 'FR'),
(13034, '33710', 'Bayon sur Gironde', '33', 'FR'),
(13035, '33430', 'Bazas', '33', 'FR'),
(13036, '33640', 'Beautiran', '33', 'FR'),
(13037, '33340', 'B�gadan', '33', 'FR'),
(13038, '33130', 'B�gles', '33', 'FR'),
(13039, '33410', 'B�guey', '33', 'FR'),
(13040, '33830', 'B�liet', '33', 'FR'),
(13041, '33830', 'Belin B�liet', '33', 'FR'),
(13042, '33760', 'Bellebat', '33', 'FR'),
(13043, '33760', 'Bellefond', '33', 'FR'),
(13044, '33350', 'Belv�s de Castillon', '33', 'FR'),
(13045, '33430', 'Bernos Beaulac', '33', 'FR'),
(13046, '33390', 'Berson', '33', 'FR'),
(13047, '33124', 'Berthez', '33', 'FR'),
(13048, '33750', 'Beychac et Caillau', '33', 'FR'),
(13049, '33210', 'Bieujac', '33', 'FR'),
(13050, '33380', 'Biganos', '33', 'FR'),
(13051, '33500', 'Les Billaux', '33', 'FR'),
(13052, '33430', 'Birac', '33', 'FR'),
(13053, '33190', 'Blaignac', '33', 'FR'),
(13054, '33340', 'Blaignan', '33', 'FR'),
(13055, '33290', 'Blanquefort', '33', 'FR'),
(13056, '33540', 'Blasimon', '33', 'FR'),
(13057, '33390', 'Blaye', '33', 'FR'),
(13058, '33670', 'Bl�signac', '33', 'FR'),
(13059, '33210', 'Bommes', '33', 'FR'),
(13060, '33370', 'Bonnetan', '33', 'FR'),
(13061, '33910', 'Bonzac', '33', 'FR'),
(13062, '33300', 'Bordeaux', '33', 'FR'),
(13063, '33800', 'Bordeaux', '33', 'FR'),
(13064, '33100', 'Bordeaux', '33', 'FR'),
(13065, '33200', 'Bordeaux', '33', 'FR'),
(13066, '33000', 'Bordeaux', '33', 'FR'),
(13067, '33350', 'Bossugan', '33', 'FR'),
(13068, '33270', 'Bouliac', '33', 'FR'),
(13069, '33190', 'Bourdelles', '33', 'FR'),
(13070, '33710', 'Bourg', '33', 'FR'),
(13071, '33113', 'Bourideys', '33', 'FR'),
(13072, '33110', 'Le Bouscat', '33', 'FR'),
(13073, '33480', 'Brach', '33', 'FR'),
(13074, '33420', 'Branne', '33', 'FR'),
(13075, '33124', 'Brannens', '33', 'FR'),
(13076, '33820', 'Braud et Saint Louis', '33', 'FR'),
(13077, '33124', 'Brouqueyran', '33', 'FR'),
(13078, '33520', 'Bruges', '33', 'FR'),
(13079, '33720', 'Budos', '33', 'FR'),
(13080, '33650', 'Cabanac et Villagrains', '33', 'FR'),
(13081, '33420', 'Cabara', '33', 'FR'),
(13082, '33750', 'Cadarsac', '33', 'FR'),
(13083, '33140', 'Cadaujac', '33', 'FR'),
(13084, '33410', 'Cadillac', '33', 'FR'),
(13085, '33240', 'Cadillac en Fronsadais', '33', 'FR'),
(13086, '33750', 'Camarsac', '33', 'FR'),
(13087, '33880', 'Cambes', '33', 'FR'),
(13088, '33360', 'Camblanes et Meynac', '33', 'FR'),
(13089, '33420', 'Camiac et Saint Denis', '33', 'FR'),
(13090, '33190', 'Camiran', '33', 'FR'),
(13091, '33660', 'Camps sur l''Isle', '33', 'FR'),
(13092, '33390', 'Campugnan', '33', 'FR'),
(13093, '33610', 'Can�jan', '33', 'FR'),
(13094, '33460', 'Cantenac', '33', 'FR'),
(13095, '33760', 'Cantois', '33', 'FR'),
(13096, '33550', 'Capian', '33', 'FR'),
(13097, '33220', 'Caplong', '33', 'FR'),
(13098, '33840', 'Captieux', '33', 'FR'),
(13099, '33560', 'Carbon Blanc', '33', 'FR'),
(13100, '33121', 'Carcans', '33', 'FR'),
(13101, '33410', 'Cardan', '33', 'FR'),
(13102, '33360', 'Carignan de Bordeaux', '33', 'FR'),
(13103, '33390', 'Cars', '33', 'FR'),
(13104, '33390', 'Cartel�gue', '33', 'FR'),
(13105, '33190', 'Casseuil', '33', 'FR'),
(13106, '33540', 'Castelmoron d''Albret', '33', 'FR'),
(13107, '33480', 'Castelnau de M�doc', '33', 'FR'),
(13108, '33540', 'Castelviel', '33', 'FR'),
(13109, '33210', 'Castets en Dorthe', '33', 'FR'),
(13110, '33210', 'Castillon de Castets', '33', 'FR'),
(13111, '33350', 'Castillon la Bataille', '33', 'FR'),
(13112, '33640', 'Castres Gironde', '33', 'FR'),
(13113, '33490', 'Caudrot', '33', 'FR'),
(13114, '33540', 'Caumont', '33', 'FR'),
(13115, '33690', 'Cauvignac', '33', 'FR'),
(13116, '33620', 'Cavignac', '33', 'FR'),
(13117, '33113', 'Cazalis', '33', 'FR'),
(13118, '33430', 'Cazats', '33', 'FR'),
(13119, '33790', 'Cazaugitat', '33', 'FR'),
(13120, '33360', 'C�nac', '33', 'FR'),
(13121, '33150', 'Cenon', '33', 'FR'),
(13122, '33720', 'C�rons', '33', 'FR'),
(13123, '33760', 'Cessac', '33', 'FR'),
(13124, '33610', 'Cestas', '33', 'FR'),
(13125, '33620', 'C�zac', '33', 'FR'),
(13126, '33230', 'Chamadelle', '33', 'FR'),
(13127, '33250', 'Cissac M�doc', '33', 'FR'),
(13128, '33920', 'Civrac de Blaye', '33', 'FR'),
(13129, '33350', 'Civrac sur Dordogne', '33', 'FR'),
(13130, '33340', 'Civrac en M�doc', '33', 'FR'),
(13131, '33540', 'Cleyrac', '33', 'FR'),
(13132, '33210', 'Coim�res', '33', 'FR'),
(13133, '33540', 'Coirac', '33', 'FR'),
(13134, '33710', 'Comps', '33', 'FR'),
(13135, '33890', 'Coubeyrac', '33', 'FR'),
(13136, '33340', 'Couqu�ques', '33', 'FR'),
(13137, '33760', 'Courpiac', '33', 'FR'),
(13138, '33580', 'Cours de Mons�gur', '33', 'FR'),
(13139, '33690', 'Cours les Bains', '33', 'FR'),
(13140, '33230', 'Coutras', '33', 'FR'),
(13141, '33580', 'Coutures', '33', 'FR'),
(13142, '33670', 'Cr�on', '33', 'FR'),
(13143, '33750', 'Croignon', '33', 'FR'),
(13144, '33620', 'Cubnezais', '33', 'FR'),
(13145, '33240', 'Cubzac les Ponts', '33', 'FR'),
(13146, '33430', 'Cudos', '33', 'FR'),
(13147, '33670', 'Cursan', '33', 'FR'),
(13148, '33460', 'Cussac Fort M�doc', '33', 'FR'),
(13149, '33420', 'Daignac', '33', 'FR'),
(13150, '33420', 'Dardenac', '33', 'FR'),
(13151, '33540', 'Daub�ze', '33', 'FR'),
(13152, '33580', 'Dieulivol', '33', 'FR'),
(13153, '33860', 'Donnezac', '33', 'FR'),
(13154, '33410', 'Donzac', '33', 'FR'),
(13155, '33350', 'Doulezon', '33', 'FR'),
(13156, '33230', 'Eglisottes et Chalaures', '33', 'FR'),
(13157, '33840', 'Escaudes', '33', 'FR'),
(13158, '33760', 'Escoussans', '33', 'FR'),
(13159, '33420', 'Espiet', '33', 'FR'),
(13160, '33190', 'Les Esseintes', '33', 'FR'),
(13161, '33820', '�tauliers', '33', 'FR'),
(13162, '33220', 'Eynesse', '33', 'FR'),
(13163, '33390', 'Eyrans', '33', 'FR'),
(13164, '33320', 'Eysines', '33', 'FR'),
(13165, '33760', 'Faleyras', '33', 'FR'),
(13166, '33210', 'Fargues', '33', 'FR'),
(13167, '33370', 'Fargues Saint Hilaire', '33', 'FR'),
(13168, '33230', 'Fieu', '33', 'FR'),
(13169, '33270', 'Floirac', '33', 'FR'),
(13170, '33350', 'Flaujagues', '33', 'FR'),
(13171, '33190', 'Floud�s', '33', 'FR'),
(13172, '33190', 'Fontet', '33', 'FR'),
(13173, '33190', 'Foss�s et Baleyssac', '33', 'FR'),
(13174, '33390', 'Fours', '33', 'FR'),
(13175, '33570', 'Francs', '33', 'FR'),
(13176, '33126', 'Fronsac', '33', 'FR'),
(13177, '33760', 'Frontenac', '33', 'FR'),
(13178, '33410', 'Gabarnac', '33', 'FR'),
(13179, '33340', 'Gaillan en M�doc', '33', 'FR'),
(13180, '33430', 'Gajac', '33', 'FR'),
(13181, '33133', 'Galgon', '33', 'FR'),
(13182, '33430', 'Gans', '33', 'FR'),
(13183, '33350', 'Gardegan et Tourtirac', '33', 'FR'),
(13184, '33710', 'Gauriac', '33', 'FR'),
(13185, '33240', 'Gauriaguet', '33', 'FR'),
(13186, '33920', 'G�n�rac', '33', 'FR'),
(13187, '33420', 'G�nissac', '33', 'FR'),
(13188, '33890', 'Gensac', '33', 'FR'),
(13189, '33190', 'Gironde sur Dropt', '33', 'FR'),
(13190, '33840', 'Giscos', '33', 'FR'),
(13191, '33540', 'Gornac', '33', 'FR'),
(13192, '33840', 'Goualade', '33', 'FR'),
(13193, '33660', 'Gours', '33', 'FR'),
(13194, '33170', 'Gradignan', '33', 'FR'),
(13195, '33590', 'Grayan et l''H�pital', '33', 'FR'),
(13196, '33420', 'Gr�zillac', '33', 'FR'),
(13197, '33690', 'Grignols', '33', 'FR'),
(13198, '33420', 'Guillac', '33', 'FR'),
(13199, '33720', 'Guillos', '33', 'FR'),
(13200, '33230', 'Gu�tres', '33', 'FR'),
(13201, '33470', 'Gujan Mestras', '33', 'FR'),
(13202, '33185', 'Le Haillan', '33', 'FR'),
(13203, '33550', 'Haux', '33', 'FR'),
(13204, '33125', 'Hostens', '33', 'FR'),
(13205, '33990', 'Hourtin', '33', 'FR'),
(13206, '33190', 'Hure', '33', 'FR'),
(13207, '33720', 'Illats', '33', 'FR'),
(13208, '33640', 'Isle Saint Georges', '33', 'FR'),
(13209, '33450', 'Izon', '33', 'FR'),
(13210, '33590', 'Jau Dignac et Loirac', '33', 'FR'),
(13211, '33420', 'Jugazan', '33', 'FR'),
(13212, '33890', 'Juillac', '33', 'FR'),
(13213, '33460', 'Labarde', '33', 'FR'),
(13214, '33690', 'Labescau', '33', 'FR'),
(13215, '33650', 'Br�de', '33', 'FR'),
(13216, '33680', 'Lacanau', '33', 'FR'),
(13217, '33760', 'Ladaux', '33', 'FR'),
(13218, '33124', 'Lados', '33', 'FR'),
(13219, '33710', 'Lafosse', '33', 'FR'),
(13220, '33230', 'Lagorce', '33', 'FR'),
(13221, '33240', 'La Lande de Fronsac', '33', 'FR'),
(13222, '33460', 'Lamarque', '33', 'FR'),
(13223, '33190', 'Lamothe Landerron', '33', 'FR'),
(13224, '33500', 'Lalande de Pomerol', '33', 'FR'),
(13225, '33790', 'Landerrouat', '33', 'FR'),
(13226, '33540', 'Landerrouet sur S�gur', '33', 'FR'),
(13227, '33720', 'Landiras', '33', 'FR'),
(13228, '33550', 'Langoiran', '33', 'FR'),
(13229, '33210', 'Langon', '33', 'FR'),
(13230, '33710', 'Lansac', '33', 'FR'),
(13231, '33138', 'Lanton', '33', 'FR'),
(13232, '33148', 'Lanton', '33', 'FR'),
(13233, '33620', 'Lapouyade', '33', 'FR'),
(13234, '33410', 'Laroque', '33', 'FR'),
(13235, '33840', 'Lartigue', '33', 'FR'),
(13236, '33620', 'Laruscade', '33', 'FR'),
(13237, '33360', 'Latresne', '33', 'FR'),
(13238, '33690', 'Lavazan', '33', 'FR'),
(13239, '33950', 'L�ge Cap Ferret', '33', 'FR'),
(13240, '33210', 'L�ogeats', '33', 'FR'),
(13241, '33850', 'L�ognan', '33', 'FR'),
(13242, '33840', 'Lerm et Musset', '33', 'FR'),
(13243, '33340', 'Lesparre M�doc', '33', 'FR'),
(13244, '33550', 'Lestiac sur Garonne', '33', 'FR'),
(13245, '33220', 'L�ves et Thoumeyragues', '33', 'FR'),
(13246, '33500', 'Libourne', '33', 'FR'),
(13247, '33430', 'Lignan de Bazas', '33', 'FR'),
(13248, '33360', 'Lignan de Bordeaux', '33', 'FR'),
(13249, '33220', 'Ligueux', '33', 'FR'),
(13250, '33790', 'Listrac de Dur�ze', '33', 'FR'),
(13251, '33480', 'Listrac M�doc', '33', 'FR'),
(13252, '33310', 'Lormont', '33', 'FR'),
(13253, '33190', 'Loubens', '33', 'FR'),
(13254, '33125', 'Louchats', '33', 'FR'),
(13255, '33370', 'Loupes', '33', 'FR'),
(13256, '33410', 'Loupiac', '33', 'FR'),
(13257, '33190', 'Loupiac de la R�ole', '33', 'FR'),
(13258, '33840', 'Lucmau', '33', 'FR'),
(13259, '33290', 'Ludon M�doc', '33', 'FR'),
(13260, '33420', 'Lugaignac', '33', 'FR'),
(13261, '33760', 'Lugasson', '33', 'FR'),
(13262, '33240', 'Lugon et l''Ile du Carnay', '33', 'FR'),
(13263, '33830', 'Lugos', '33', 'FR'),
(13264, '33570', 'Lussac', '33', 'FR'),
(13265, '33460', 'Macau', '33', 'FR'),
(13266, '33670', 'Madirac', '33', 'FR'),
(13267, '33230', 'Maransin', '33', 'FR'),
(13268, '33620', 'Marcenais', '33', 'FR'),
(13269, '33860', 'Marcillac', '33', 'FR'),
(13270, '33460', 'Margaux', '33', 'FR'),
(13271, '33220', 'Margueron', '33', 'FR'),
(13272, '33430', 'Marimbault', '33', 'FR'),
(13273, '33690', 'Marions', '33', 'FR'),
(13274, '33620', 'Marsas', '33', 'FR'),
(13275, '33127', 'Martignas sur Jalle', '33', 'FR'),
(13276, '33650', 'Martillac', '33', 'FR'),
(13277, '33760', 'Martres', '33', 'FR'),
(13278, '33690', 'Masseilles', '33', 'FR'),
(13279, '33790', 'Massugas', '33', 'FR'),
(13280, '33540', 'Mauriac', '33', 'FR'),
(13281, '33210', 'Maz�res', '33', 'FR'),
(13282, '33390', 'Mazion', '33', 'FR'),
(13283, '33700', 'M�rignac', '33', 'FR'),
(13284, '33350', 'M�rignas', '33', 'FR'),
(13285, '33540', 'Mesterrieux', '33', 'FR'),
(13286, '33380', 'Mios', '33', 'FR'),
(13287, '33710', 'Mombrier', '33', 'FR'),
(13288, '33570', 'Monbadon', '33', 'FR'),
(13289, '33190', 'Mongauzy', '33', 'FR'),
(13290, '33410', 'Monprimblanc', '33', 'FR'),
(13291, '33580', 'Mons�gur', '33', 'FR'),
(13292, '33570', 'Montagne', '33', 'FR'),
(13293, '33190', 'Montagoudin', '33', 'FR'),
(13294, '33760', 'Montignac', '33', 'FR'),
(13295, '33450', 'Montussan', '33', 'FR'),
(13296, '33190', 'Moriz�s', '33', 'FR'),
(13297, '33240', 'Mouillac', '33', 'FR'),
(13298, '33350', 'Mouliets et Villemartin', '33', 'FR'),
(13299, '33480', 'Moulis en M�doc', '33', 'FR'),
(13300, '33420', 'Moulon', '33', 'FR'),
(13301, '33410', 'Mourens', '33', 'FR'),
(13302, '33990', 'Naujac sur Mer', '33', 'FR'),
(13303, '33420', 'Naujan et Postiac', '33', 'FR'),
(13304, '33500', 'N�ac', '33', 'FR'),
(13305, '33750', 'N�rigean', '33', 'FR'),
(13306, '33580', 'Neuffons', '33', 'FR'),
(13307, '33430', 'Le Nizan', '33', 'FR'),
(13308, '33190', 'Noaillac', '33', 'FR'),
(13309, '33730', 'Noaillan', '33', 'FR'),
(13310, '33410', 'Omet', '33', 'FR'),
(13311, '33340', 'Ordonnac', '33', 'FR'),
(13312, '33113', 'Origne', '33', 'FR'),
(13313, '33550', 'Paillet', '33', 'FR'),
(13314, '33290', 'Parempuyre', '33', 'FR'),
(13315, '33570', 'Parsac', '33', 'FR'),
(13316, '33250', 'Pauillac', '33', 'FR'),
(13317, '33230', 'Les Peintures', '33', 'FR'),
(13318, '33790', 'Pellegrue', '33', 'FR'),
(13319, '33240', 'P�rissac', '33', 'FR'),
(13320, '33600', 'Pessac', '33', 'FR'),
(13321, '33890', 'Pessac sur Dordogne', '33', 'FR'),
(13322, '33570', 'Petit Palais et Cornemps', '33', 'FR'),
(13323, '33240', 'Peujard', '33', 'FR'),
(13324, '33290', 'Le Pian M�doc', '33', 'FR'),
(13325, '33490', 'Le Pian sur Garonne', '33', 'FR'),
(13326, '33220', 'Pineuilh', '33', 'FR'),
(13327, '33390', 'Plassac', '33', 'FR'),
(13328, '33820', 'Pleine Selve', '33', 'FR'),
(13329, '33720', 'Podensac', '33', 'FR'),
(13330, '33500', 'Pomerol', '33', 'FR'),
(13331, '33730', 'Pomp�jac', '33', 'FR'),
(13332, '33370', 'Pompignac', '33', 'FR'),
(13333, '33190', 'Pondaurat', '33', 'FR'),
(13334, '33660', 'Porch�res', '33', 'FR'),
(13335, '33680', 'Le Porge', '33', 'FR'),
(13336, '33640', 'Portets', '33', 'FR'),
(13337, '33670', 'Le Pout', '33', 'FR'),
(13338, '33730', 'Pr�chac', '33', 'FR'),
(13339, '33210', 'Preignac', '33', 'FR'),
(13340, '33340', 'Prignac en M�doc', '33', 'FR'),
(13341, '33710', 'Prignac et Marcamps', '33', 'FR'),
(13342, '33710', 'Pugnac', '33', 'FR'),
(13343, '33570', 'Puiss�guin', '33', 'FR'),
(13344, '33210', 'Pujols sur Ciron', '33', 'FR'),
(13345, '33350', 'Pujols', '33', 'FR'),
(13346, '33580', 'Puy', '33', 'FR'),
(13347, '33190', 'Puybarban', '33', 'FR'),
(13348, '33660', 'Puynormand', '33', 'FR'),
(13349, '33340', 'Queyrac', '33', 'FR'),
(13350, '33360', 'Quinsac', '33', 'FR'),
(13351, '33420', 'Rauzan', '33', 'FR'),
(13352, '33860', 'Reignac', '33', 'FR'),
(13353, '33190', 'La R�ole', '33', 'FR'),
(13354, '33580', 'Rimons', '33', 'FR'),
(13355, '33220', 'Riocaud', '33', 'FR'),
(13356, '33410', 'Rions', '33', 'FR'),
(13357, '33126', 'La Rivi�re', '33', 'FR'),
(13358, '33210', 'Roaillan', '33', 'FR'),
(13359, '33760', 'Romagne', '33', 'FR'),
(13360, '33580', 'Roquebrune', '33', 'FR'),
(13361, '33220', 'La Roquille', '33', 'FR'),
(13362, '33350', 'Ruch', '33', 'FR'),
(13363, '33910', 'Sablons', '33', 'FR'),
(13364, '33670', 'Sadirac', '33', 'FR'),
(13365, '33141', 'Saillans', '33', 'FR'),
(13366, '33126', 'Saint Aignan', '33', 'FR'),
(13367, '33240', 'Saint Andr� de Cubzac', '33', 'FR'),
(13368, '33490', 'Saint Andr� du Bois', '33', 'FR'),
(13369, '33220', 'Saint Andr� et Appelles', '33', 'FR'),
(13370, '33390', 'Saint Androny', '33', 'FR'),
(13371, '33240', 'Saint Antoine', '33', 'FR'),
(13372, '33790', 'Saint Antoine du Queyret', '33', 'FR'),
(13373, '33660', 'Saint Antoine sur l''Isle', '33', 'FR'),
(13374, '33820', 'Saint Aubin de Blaye', '33', 'FR'),
(13375, '33420', 'Saint Aubin de Branne', '33', 'FR'),
(13376, '33160', 'Saint Aubin de M�doc', '33', 'FR'),
(13377, '33220', 'Saint Avit de Soul�ge', '33', 'FR'),
(13378, '33220', 'St Avit St Nazaire', '33', 'FR'),
(13379, '33540', 'Saint Brice', '33', 'FR'),
(13380, '33820', 'Saint Caprais de Blaye', '33', 'FR'),
(13381, '33880', 'Saint Caprais de Bordeaux', '33', 'FR'),
(13382, '33920', 'Saint Christoly de Blaye', '33', 'FR'),
(13383, '33340', 'Saint Christoly M�doc', '33', 'FR'),
(13384, '33330', 'Saint Christophe des Bardes', '33', 'FR'),
(13385, '33230', 'St Christophe de Double', '33', 'FR'),
(13386, '33570', 'Saint Cibard', '33', 'FR'),
(13387, '33910', 'Saint Ciers d''Abzac', '33', 'FR'),
(13388, '33710', 'Saint Ciers de Canesse', '33', 'FR'),
(13389, '33820', 'Saint Ciers sur Gironde', '33', 'FR'),
(13390, '33350', 'Ste Colombe', '33', 'FR'),
(13391, '33430', 'St C�me', '33', 'FR'),
(13392, '33410', 'Sainte Croix du Mont', '33', 'FR'),
(13393, '33910', 'Saint Denis de Pile', '33', 'FR'),
(13394, '33330', 'Saint �milion', '33', 'FR'),
(13395, '33180', 'St Est�phe', '33', 'FR'),
(13396, '33330', 'Saint �tienne de Lisse', '33', 'FR'),
(13397, '33560', 'Sainte Eulalie', '33', 'FR'),
(13398, '33190', 'Saint Exup�ry', '33', 'FR'),
(13399, '33540', 'Saint F�lix de Foncaude', '33', 'FR'),
(13400, '33580', 'Saint Ferme', '33', 'FR'),
(13401, '33350', 'Sainte Florence', '33', 'FR'),
(13402, '33220', 'Sainte Foy la Grande', '33', 'FR'),
(13403, '33490', 'Sainte Foy la Longue', '33', 'FR'),
(13404, '33580', 'Sainte Gemme', '33', 'FR'),
(13405, '33390', 'Saint Gen�s de Blaye', '33', 'FR'),
(13406, '33350', 'Saint Gen�s de Castillon', '33', 'FR'),
(13407, '33240', 'Saint Gen�s de Fronsac', '33', 'FR'),
(13408, '33670', 'Saint Gen�s de Lombaud', '33', 'FR'),
(13409, '33760', 'Saint Genis du Bois', '33', 'FR'),
(13410, '33490', 'St Germain de Grave', '33', 'FR'),
(13411, '33340', 'Saint Germain d''Esteuil', '33', 'FR'),
(13412, '33750', 'Saint Germain du Puch', '33', 'FR'),
(13413, '33240', 'Saint Germain de la Rivi�re', '33', 'FR'),
(13414, '33240', 'Saint Gervais', '33', 'FR'),
(13415, '33920', 'Saint Girons d''Aiguevives', '33', 'FR'),
(13416, '33480', 'Sainte H�l�ne', '33', 'FR'),
(13417, '33190', 'St Hilaire de la Noaille', '33', 'FR'),
(13418, '33540', 'Saint Hilaire du Bois', '33', 'FR'),
(13419, '33330', 'Saint Hippolyte', '33', 'FR'),
(13420, '33420', 'Saint Jean de Blaignac', '33', 'FR'),
(13421, '33127', 'Saint Jean d''Illac', '33', 'FR'),
(13422, '33250', 'St Julien Beychevelle', '33', 'FR'),
(13423, '33112', 'St Laurent M�doc', '33', 'FR'),
(13424, '33240', 'Saint Laurent d''Arce', '33', 'FR'),
(13425, '33330', 'Saint Laurent des Combes', '33', 'FR'),
(13426, '33540', 'Saint Laurent du Bois', '33', 'FR'),
(13427, '33190', 'Saint Laurent du Plan', '33', 'FR'),
(13428, '33113', 'Saint L�ger de Balson', '33', 'FR'),
(13429, '33670', 'Saint L�on', '33', 'FR'),
(13430, '33210', 'Saint Loubert', '33', 'FR'),
(13431, '33450', 'Saint Loub�s', '33', 'FR'),
(13432, '33440', 'Saint Louis de Montferrand', '33', 'FR'),
(13433, '33490', 'Saint Macaire', '33', 'FR'),
(13434, '33125', 'Saint Magne', '33', 'FR'),
(13435, '33350', 'Saint Magne de Castillon', '33', 'FR'),
(13436, '33490', 'Saint Maixant', '33', 'FR'),
(13437, '33620', 'Saint Mariens', '33', 'FR'),
(13438, '33490', 'Saint Martial', '33', 'FR'),
(13439, '33390', 'Saint Martin Lacaussade', '33', 'FR'),
(13440, '33910', 'Saint Martin de Laye', '33', 'FR'),
(13441, '33540', 'Saint Martin de Lerm', '33', 'FR'),
(13442, '33490', 'Saint Martin de Sescas', '33', 'FR'),
(13443, '33910', 'Saint Martin du Bois', '33', 'FR'),
(13444, '33540', 'Saint Martin du Puy', '33', 'FR'),
(13445, '33230', 'Saint M�dard de Guizi�res', '33', 'FR'),
(13446, '33650', 'Saint M�dard d''Eyrans', '33', 'FR'),
(13447, '33160', 'Saint M�dard en Jalles', '33', 'FR'),
(13448, '33840', 'Saint Michel de Castelnau', '33', 'FR'),
(13449, '33126', 'Saint Michel de Fronsac', '33', 'FR'),
(13450, '33720', 'Saint Michel de Rieufret', '33', 'FR'),
(13451, '33190', 'St Michel de Lapujade', '33', 'FR'),
(13452, '33650', 'Saint Morillon', '33', 'FR'),
(13453, '33820', 'St Palais', '33', 'FR'),
(13454, '33210', 'Saint Pardon de Conques', '33', 'FR'),
(13455, '33390', 'Saint Paul', '33', 'FR'),
(13456, '33330', 'St Pey d''Armens', '33', 'FR'),
(13457, '33350', 'Saint Pey de Castets', '33', 'FR'),
(13458, '33350', 'Saint Philippe d''Aiguille', '33', 'FR'),
(13459, '33220', 'Saint Philippe du Seignal', '33', 'FR'),
(13460, '33490', 'Saint Pierre d''Aurillac', '33', 'FR'),
(13461, '33760', 'Saint Pierre de Bat', '33', 'FR'),
(13462, '33210', 'Saint Pierre de Mons', '33', 'FR'),
(13463, '33750', 'Saint Quentin de Baron', '33', 'FR'),
(13464, '33220', 'Saint Quentin de Caplong', '33', 'FR'),
(13465, '33350', 'Sainte Radegonde', '33', 'FR'),
(13466, '33240', 'Saint Romain la Virv�e', '33', 'FR'),
(13467, '33250', 'St Sauveur', '33', 'FR'),
(13468, '33660', 'Saint Sauveur de Puynormand', '33', 'FR'),
(13469, '33920', 'St Savin', '33', 'FR'),
(13470, '33650', 'Saint Selve', '33', 'FR'),
(13471, '33710', 'Saint Seurin de Bourg', '33', 'FR'),
(13472, '33180', 'Saint Seurin de Cadourne', '33', 'FR'),
(13473, '33390', 'Saint Seurin de Cursac', '33', 'FR'),
(13474, '33660', 'Saint Seurin sur l''Isle', '33', 'FR'),
(13475, '33190', 'Saint S�ve', '33', 'FR'),
(13476, '33330', 'Saint Sulpice de Faleyrens', '33', 'FR'),
(13477, '33580', 'St Sulpice de Guilleragues', '33', 'FR'),
(13478, '33540', 'Saint Sulpice de Pommiers', '33', 'FR'),
(13479, '33450', 'Saint Sulpice et Cameyrac', '33', 'FR'),
(13480, '33113', 'Saint Symphorien', '33', 'FR'),
(13481, '33350', 'Sainte Terre', '33', 'FR'),
(13482, '33710', 'Saint Trojan', '33', 'FR'),
(13483, '33440', 'Saint Vincent de Paul', '33', 'FR'),
(13484, '33420', 'Saint Vincent de Pertignas', '33', 'FR'),
(13485, '33920', 'Saint Vivien de Blaye', '33', 'FR'),
(13486, '33590', 'Saint Vivien de M�doc', '33', 'FR'),
(13487, '33580', 'Saint Vivien de Mons�gur', '33', 'FR'),
(13488, '33920', 'Saint Yzan de Soudiac', '33', 'FR'),
(13489, '33340', 'Saint Yzans de M�doc', '33', 'FR'),
(13490, '33160', 'Salaunes', '33', 'FR'),
(13491, '33240', 'Salignac', '33', 'FR'),
(13492, '33370', 'Salleboeuf', '33', 'FR'),
(13493, '33770', 'Salles', '33', 'FR'),
(13494, '33350', 'Les Salles de Castillon', '33', 'FR'),
(13495, '33710', 'Samonac', '33', 'FR'),
(13496, '33650', 'Saucats', '33', 'FR'),
(13497, '33920', 'Saugon', '33', 'FR'),
(13498, '33680', 'Saumos', '33', 'FR'),
(13499, '33210', 'Sauternes', '33', 'FR'),
(13500, '33670', 'Sauve', '33', 'FR'),
(13501, '33540', 'Sauveterre de Guyenne', '33', 'FR'),
(13502, '33430', 'Sauviac', '33', 'FR'),
(13503, '33124', 'Savignac', '33', 'FR'),
(13504, '33910', 'Savignac de l''Isle', '33', 'FR'),
(13505, '33490', 'Semens', '33', 'FR'),
(13506, '33690', 'Sendets', '33', 'FR'),
(13507, '33690', 'Sigalens', '33', 'FR'),
(13508, '33690', 'Sillas', '33', 'FR'),
(13509, '33780', 'Soulac sur Mer', '33', 'FR'),
(13510, '33760', 'Soulignac', '33', 'FR'),
(13511, '33790', 'Soussac', '33', 'FR'),
(13512, '33460', 'Soussans', '33', 'FR'),
(13513, '33550', 'Tabanac', '33', 'FR'),
(13514, '33320', 'Le Taillan M�doc', '33', 'FR'),
(13515, '33580', 'Taillecavat', '33', 'FR'),
(13516, '33590', 'Talais', '33', 'FR'),
(13517, '33400', 'Talence', '33', 'FR'),
(13518, '33760', 'Targon', '33', 'FR'),
(13519, '33240', 'Tarn�s', '33', 'FR'),
(13520, '33710', 'Tauriac', '33', 'FR'),
(13521, '33570', 'Tayac', '33', 'FR'),
(13522, '33470', 'Le Teich', '33', 'FR'),
(13523, '33680', 'Le Temple', '33', 'FR'),
(13524, '33260', 'La Teste de Buch', '33', 'FR'),
(13525, '33710', 'Teuillac', '33', 'FR'),
(13526, '33420', 'Tizac de Curton', '33', 'FR'),
(13527, '33620', 'Tizac de Lapouyade', '33', 'FR'),
(13528, '33210', 'Toulenne', '33', 'FR'),
(13529, '33550', 'Le Tourne', '33', 'FR'),
(13530, '33370', 'Tresses', '33', 'FR'),
(13531, '33125', 'Le Tuzan', '33', 'FR'),
(13532, '33730', 'Uzeste', '33', 'FR'),
(13533, '33340', 'Valeyrac', '33', 'FR'),
(13534, '33870', 'Vayres', '33', 'FR'),
(13535, '33930', 'Vendays Montalivet', '33', 'FR'),
(13536, '33590', 'Vensac', '33', 'FR'),
(13537, '33240', 'V�rac', '33', 'FR'),
(13538, '33490', 'Verdelais', '33', 'FR'),
(13539, '33123', 'Le Verdon sur Mer', '33', 'FR'),
(13540, '33180', 'Vertheuil', '33', 'FR'),
(13541, '33330', 'Vignonet', '33', 'FR'),
(13542, '33730', 'Villandraut', '33', 'FR'),
(13543, '33141', 'Villegouge', '33', 'FR'),
(13544, '33550', 'Villenave de Rions', '33', 'FR'),
(13545, '33140', 'Villenave d''Ornon', '33', 'FR'),
(13546, '33710', 'Villeneuve', '33', 'FR'),
(13547, '33720', 'Virelade', '33', 'FR'),
(13548, '33240', 'Virsac', '33', 'FR'),
(13549, '33370', 'Yvrac', '33', 'FR'),
(13550, '33380', 'Marcheprime', '33', 'FR'),
(13551, '33680', 'Lacanau Oc�an', '33', 'FR'),
(13552, '33380', 'Facture', '33', 'FR'),
(13553, '33140', 'Pont de la Maye', '33', 'FR'),
(13554, '33260', 'Cazaux', '33', 'FR'),
(13555, '33950', 'Le Canon', '33', 'FR'),
(13556, '34290', 'Abeilhan', '34', 'FR'),
(13557, '34230', 'Adissan', '34', 'FR'),
(13558, '34300', 'Agde', '34', 'FR'),
(13559, '34210', 'Agel', '34', 'FR'),
(13560, '34190', 'Agon�s', '34', 'FR'),
(13561, '34210', 'Aigne', '34', 'FR'),
(13562, '34210', 'igues Vives', '34', 'FR'),
(13563, '34600', 'Les Aires', '34', 'FR'),
(13564, '34290', 'Alignan du Vent', '34', 'FR'),
(13565, '34150', 'Aniane', '34', 'FR'),
(13566, '34150', 'Arboras', '34', 'FR'),
(13567, '34380', 'Argelliers', '34', 'FR'),
(13568, '34800', 'Aspiran', '34', 'FR'),
(13569, '34820', 'Assas', '34', 'FR'),
(13570, '34360', 'Assignan', '34', 'FR'),
(13571, '34230', 'Aumelas', '34', 'FR'),
(13572, '34530', 'Aumes', '34', 'FR'),
(13573, '34480', 'Autignac', '34', 'FR'),
(13574, '34260', 'Av�ne', '34', 'FR'),
(13575, '34210', 'Azillanet', '34', 'FR'),
(13576, '34360', 'Babeau Bouldoux', '34', 'FR'),
(13577, '34670', 'Baillargues', '34', 'FR'),
(13578, '34540', 'Balaruc les Bains', '34', 'FR'),
(13579, '34540', 'Balaruc le Vieux', '34', 'FR'),
(13580, '34290', 'Bassan', '34', 'FR'),
(13581, '34210', 'Beaufort', '34', 'FR'),
(13582, '34160', 'Beaulieu', '34', 'FR'),
(13583, '34600', 'B�darieux', '34', 'FR'),
(13584, '34230', 'B�larga', '34', 'FR'),
(13585, '34360', 'Berlou', '34', 'FR'),
(13586, '34550', 'Bessan', '34', 'FR'),
(13587, '34500', 'B�ziers', '34', 'FR'),
(13588, '34160', 'Boisseron', '34', 'FR'),
(13589, '34220', 'Boisset', '34', 'FR'),
(13590, '34150', 'La Boissi�re', '34', 'FR'),
(13591, '34700', 'Le Bosc', '34', 'FR'),
(13592, '34760', 'Boujan sur Libron', '34', 'FR'),
(13593, '34260', 'Le Bousquet d''Orb', '34', 'FR'),
(13594, '34140', 'Bouzigues', '34', 'FR'),
(13595, '34650', 'Brenas', '34', 'FR'),
(13596, '34800', 'Brignac', '34', 'FR'),
(13597, '34190', 'Brissac', '34', 'FR'),
(13598, '34160', 'Buzignargues', '34', 'FR'),
(13599, '34480', 'Cabrerolles', '34', 'FR'),
(13600, '34800', 'Cabri�res', '34', 'FR'),
(13601, '34330', 'Cambon et Salvergues', '34', 'FR'),
(13602, '34230', 'Campagnan', '34', 'FR'),
(13603, '34160', 'Campagne', '34', 'FR'),
(13604, '34260', 'Camplong', '34', 'FR'),
(13605, '34130', 'Candillargues', '34', 'FR'),
(13606, '34800', 'Canet', '34', 'FR'),
(13607, '34310', 'Capestang', '34', 'FR'),
(13608, '34600', 'Carlencas et Levas', '34', 'FR'),
(13609, '34210', 'Cassagnoles', '34', 'FR'),
(13610, '34610', 'Castanet le Haut', '34', 'FR'),
(13611, '34120', 'Castelnau de Guers', '34', 'FR'),
(13612, '34170', 'Castelnau le Lez', '34', 'FR'),
(13613, '34160', 'Castries', '34', 'FR'),
(13614, '34210', 'La Caunette', '34', 'FR'),
(13615, '34380', 'Causse de la Selle', '34', 'FR'),
(13616, '34490', 'Causses et Veyran', '34', 'FR'),
(13617, '34600', 'Caussiniojouls', '34', 'FR'),
(13618, '34720', 'Caux', '34', 'FR'),
(13619, '34520', 'Le Caylar', '34', 'FR'),
(13620, '34460', 'Cazedarnes', '34', 'FR'),
(13621, '34270', 'Cazevieille', '34', 'FR'),
(13622, '34190', 'Cazilhac', '34', 'FR'),
(13623, '34120', 'Cazouls d''H�rault', '34', 'FR'),
(13624, '34370', 'Cazouls l�s B�ziers', '34', 'FR'),
(13625, '34360', 'C�bazan', '34', 'FR'),
(13626, '34260', 'Ceilhes et Rocozels', '34', 'FR'),
(13627, '34800', 'Celles', '34', 'FR'),
(13628, '34420', 'Cers', '34', 'FR'),
(13629, '34460', 'Cessenon sur Orb', '34', 'FR'),
(13630, '34210', 'Cesseras', '34', 'FR'),
(13631, '34800', 'Ceyras', '34', 'FR'),
(13632, '34830', 'Clapiers', '34', 'FR'),
(13633, '34270', 'Claret', '34', 'FR'),
(13634, '34800', 'Clermont l''H�rault', '34', 'FR'),
(13635, '34390', 'Colombi�res sur Orb', '34', 'FR'),
(13636, '34440', 'Colombiers', '34', 'FR'),
(13637, '34980', 'Combaillaux', '34', 'FR'),
(13638, '34240', 'Combes', '34', 'FR'),
(13639, '34490', 'Corneilhan', '34', 'FR'),
(13640, '34290', 'Coulobres', '34', 'FR'),
(13641, '34220', 'Courniou', '34', 'FR'),
(13642, '34660', 'Cournonsec', '34', 'FR'),
(13643, '34660', 'Cournonterral', '34', 'FR'),
(13644, '34370', 'Creissan', '34', 'FR'),
(13645, '34920', 'Le Cr�s', '34', 'FR'),
(13646, '34520', 'Le Cros', '34', 'FR'),
(13647, '34310', 'Cruzy', '34', 'FR'),
(13648, '34650', 'Dio et Valqui�res', '34', 'FR'),
(13649, '34290', 'Espondeilhan', '34', 'FR'),
(13650, '34690', 'Fabr�gues', '34', 'FR'),
(13651, '34600', 'Faug�res', '34', 'FR'),
(13652, '34210', 'F�lines Minervois', '34', 'FR'),
(13653, '34210', 'Ferrals les Montagnes', '34', 'FR'),
(13654, '34190', 'Ferri�res les Verreries', '34', 'FR'),
(13655, '34360', 'Ferri�res Poussarou', '34', 'FR'),
(13656, '34510', 'Florensac', '34', 'FR'),
(13657, '34270', 'Fontan�s', '34', 'FR'),
(13658, '34320', 'Font�s', '34', 'FR'),
(13659, '34320', 'Fos', '34', 'FR'),
(13660, '34480', 'Fouzilhon', '34', 'FR'),
(13661, '34700', 'Fozi�res', '34', 'FR'),
(13662, '34330', 'Fra�sse sur Agout', '34', 'FR'),
(13663, '34110', 'Frontignan', '34', 'FR'),
(13664, '34320', 'Gabian', '34', 'FR'),
(13665, '34160', 'Galargues', '34', 'FR'),
(13666, '34190', 'Ganges', '34', 'FR'),
(13667, '34160', 'Garrigues', '34', 'FR'),
(13668, '34770', 'Gigean', '34', 'FR'),
(13669, '34150', 'Gignac', '34', 'FR'),
(13670, '34190', 'Gorni�s', '34', 'FR'),
(13671, '34790', 'Grabels', '34', 'FR'),
(13672, '34260', 'Graissessac', '34', 'FR'),
(13673, '34820', 'Guzargues', '34', 'FR'),
(13674, '34600', 'H�r�pian', '34', 'FR'),
(13675, '34830', 'Jacou', '34', 'FR'),
(13676, '34650', 'Joncels', '34', 'FR'),
(13677, '34725', 'Jonqui�res', '34', 'FR'),
(13678, '34990', 'Juvignac', '34', 'FR'),
(13679, '34800', 'Lacoste', '34', 'FR'),
(13680, '34150', 'Lagamas', '34', 'FR'),
(13681, '34240', 'Lamalou les Bains', '34', 'FR'),
(13682, '34130', 'Lansargues', '34', 'FR'),
(13683, '34190', 'Laroque', '34', 'FR'),
(13684, '34970', 'Lattes', '34', 'FR'),
(13685, '34480', 'Laurens', '34', 'FR'),
(13686, '34270', 'Lauret', '34', 'FR'),
(13687, '34700', 'Lauroux', '34', 'FR'),
(13688, '34700', 'Lavalette', '34', 'FR'),
(13689, '34880', 'Lav�rune', '34', 'FR'),
(13690, '34710', 'Lespignan', '34', 'FR'),
(13691, '34120', 'L�zignan la C�be', '34', 'FR'),
(13692, '34800', 'Liausson', '34', 'FR'),
(13693, '34800', 'Lieuran Cabri�res', '34', 'FR'),
(13694, '34290', 'Lieuran l�s B�ziers', '34', 'FR'),
(13695, '34490', 'Lignan sur Orb', '34', 'FR'),
(13696, '34210', 'La Livini�re', '34', 'FR'),
(13697, '34700', 'Lod�ve', '34', 'FR'),
(13698, '34140', 'Loupian', '34', 'FR'),
(13699, '34650', 'Lunas', '34', 'FR'),
(13700, '34400', 'Lunel', '34', 'FR'),
(13701, '34400', 'Lunel Viel', '34', 'FR'),
(13702, '34480', 'Magalas', '34', 'FR'),
(13703, '34370', 'Maraussan', '34', 'FR'),
(13704, '34320', 'Margon', '34', 'FR'),
(13705, '34340', 'Marseillan', '34', 'FR'),
(13706, '34590', 'Marsillargues', '34', 'FR'),
(13707, '34380', 'Mas de Londres', '34', 'FR'),
(13708, '34270', 'Les Matelles', '34', 'FR'),
(13709, '34130', 'Mauguio', '34', 'FR'),
(13710, '34370', 'Maureilhan', '34', 'FR'),
(13711, '34800', 'M�rifons', '34', 'FR'),
(13712, '34140', 'M�ze', '34', 'FR'),
(13713, '34210', 'Minerve', '34', 'FR'),
(13714, '34110', 'Mireval', '34', 'FR'),
(13715, '34390', 'Mons', '34', 'FR'),
(13716, '34310', 'Montady', '34', 'FR'),
(13717, '34530', 'Montagnac', '34', 'FR'),
(13718, '34570', 'Montarnaud', '34', 'FR'),
(13719, '34160', 'Montaud', '34', 'FR'),
(13720, '34560', 'Montbazin', '34', 'FR'),
(13721, '34290', 'Montblanc', '34', 'FR'),
(13722, '34310', 'Montels', '34', 'FR'),
(13723, '34320', 'Montesquieu', '34', 'FR'),
(13724, '34980', 'Montferrier sur Lez', '34', 'FR'),
(13725, '34310', 'Montouliers', '34', 'FR'),
(13726, '34190', 'Montoulieu', '34', 'FR'),
(13727, '34080', 'Montpellier', '34', 'FR'),
(13728, '34070', 'Montpellier', '34', 'FR'),
(13729, '34000', 'Montpellier', '34', 'FR'),
(13730, '34090', 'Montpellier', '34', 'FR'),
(13731, '34150', 'Montpeyroux', '34', 'FR'),
(13732, '34190', 'Moul�s et Baucels', '34', 'FR'),
(13733, '34800', 'Mour�ze', '34', 'FR'),
(13734, '34130', 'Mudaison', '34', 'FR'),
(13735, '34980', 'Murles', '34', 'FR'),
(13736, '34490', 'Murviel l�s B�ziers', '34', 'FR'),
(13737, '34570', 'Murviel l�s Montpellier', '34', 'FR'),
(13738, '34800', 'N�bian', '34', 'FR'),
(13739, '34320', 'N�ffi�s', '34', 'FR'),
(13740, '34120', 'N�zignan l''�v�que', '34', 'FR'),
(13741, '34440', 'Nissan lez Enserune', '34', 'FR'),
(13742, '34320', 'Nizas', '34', 'FR'),
(13743, '34380', 'Notre Dame de Londres', '34', 'FR'),
(13744, '34800', 'Octon', '34', 'FR'),
(13745, '34390', 'Olargues', '34', 'FR'),
(13746, '34700', 'Olmet et Villecun', '34', 'FR'),
(13747, '34210', 'Olonzac', '34', 'FR'),
(13748, '34210', 'Oupia', '34', 'FR'),
(13749, '34490', 'Pailh�s', '34', 'FR'),
(13750, '34250', 'Palavas les Flots', '34', 'FR'),
(13751, '34360', 'Pardailhan', '34', 'FR'),
(13752, '34230', 'Paulhan', '34', 'FR'),
(13753, '34380', 'P�gairolles de Bu�ges', '34', 'FR'),
(13754, '34700', 'P�gairolles de l''Escalette', '34', 'FR'),
(13755, '34800', 'P�ret', '34', 'FR'),
(13756, '34470', 'P�rols', '34', 'FR'),
(13757, '34120', 'P�zenas', '34', 'FR'),
(13758, '34600', 'P�zenes les Mines', '34', 'FR'),
(13759, '34360', 'Pierrerue', '34', 'FR'),
(13760, '34570', 'Pignan', '34', 'FR'),
(13761, '34850', 'Pinet', '34', 'FR'),
(13762, '34230', 'Plaissan', '34', 'FR'),
(13763, '34700', 'Les Plans', '34', 'FR'),
(13764, '34310', 'Poilh�s', '34', 'FR'),
(13765, '34810', 'Pom�rols', '34', 'FR'),
(13766, '34230', 'Popian', '34', 'FR'),
(13767, '34420', 'Portiragnes', '34', 'FR'),
(13768, '34230', 'Le Pouget', '34', 'FR'),
(13769, '34600', 'Le Poujol sur Orb', '34', 'FR'),
(13770, '34700', 'Poujols', '34', 'FR'),
(13771, '34560', 'Poussan', '34', 'FR'),
(13772, '34480', 'Pouzolles', '34', 'FR'),
(13773, '34230', 'Pouzols', '34', 'FR'),
(13774, '34600', 'Le Pradal', '34', 'FR'),
(13775, '34730', 'Prades le Lez', '34', 'FR'),
(13776, '34360', 'Prades sur Vernazobre', '34', 'FR'),
(13777, '34390', 'Pr�mian', '34', 'FR'),
(13778, '34700', 'Le Puech', '34', 'FR'),
(13779, '34150', 'Pu�chabon', '34', 'FR'),
(13780, '34230', 'Puilacher', '34', 'FR'),
(13781, '34480', 'Puimisson', '34', 'FR'),
(13782, '34480', 'Puissalicon', '34', 'FR'),
(13783, '34620', 'Puisserguier', '34', 'FR'),
(13784, '34310', 'Quarante', '34', 'FR'),
(13785, '34160', 'Restincli�res', '34', 'FR'),
(13786, '34220', 'Rieussec', '34', 'FR'),
(13787, '34220', 'Riols', '34', 'FR'),
(13788, '34520', 'Les Rives', '34', 'FR'),
(13789, '34650', 'Romigui�res', '34', 'FR'),
(13790, '34460', 'Roquebrun', '34', 'FR'),
(13791, '34650', 'Roqueredonde', '34', 'FR'),
(13792, '34320', 'Roquessels', '34', 'FR'),
(13793, '34610', 'Rosis', '34', 'FR'),
(13794, '34380', 'Rouet', '34', 'FR'),
(13795, '34320', 'Roujan', '34', 'FR'),
(13796, '34190', 'St Andr� de Bu�ges', '34', 'FR'),
(13797, '34725', 'Saint Andr� de Sangonis', '34', 'FR'),
(13798, '34130', 'Saint Aun�s', '34', 'FR'),
(13799, '34230', 'Saint Bauzille de la Sylve', '34', 'FR'),
(13800, '34160', 'Saint Bauzille de Montmel', '34', 'FR'),
(13801, '34190', 'Saint Bauzille de Putois', '34', 'FR'),
(13802, '34670', 'Saint Br�s', '34', 'FR'),
(13803, '34360', 'Saint Chinian', '34', 'FR'),
(13804, '34400', 'Saint Christol', '34', 'FR'),
(13805, '34980', 'St Cl�ment de Rivi�re', '34', 'FR'),
(13806, '34270', 'Ste Croix de Quintillargues', '34', 'FR'),
(13807, '34160', 'Saint Dr�z�ry', '34', 'FR'),
(13808, '34390', 'Saint �tienne d''Albagnan', '34', 'FR'),
(13809, '34700', 'Saint �tienne de Gourgas', '34', 'FR'),
(13810, '34260', 'Saint �tienne Estr�choux', '34', 'FR'),
(13811, '34520', 'Saint F�lix de l''H�ras', '34', 'FR'),
(13812, '34725', 'Saint F�lix de Lodez', '34', 'FR'),
(13813, '34980', 'Saint G�ly du Fesc', '34', 'FR'),
(13814, '34160', 'Saint Geni�s des Mourgues', '34', 'FR'),
(13815, '34610', 'Saint Geni�s de Varensal', '34', 'FR'),
(13816, '34480', 'St Geni�s de Fontedit', '34', 'FR'),
(13817, '34680', 'Saint Georges d''Orques', '34', 'FR'),
(13818, '34610', 'Saint Gervais sur Mare', '34', 'FR'),
(13819, '34150', 'Saint Guilhem le D�sert', '34', 'FR'),
(13820, '34725', 'Saint Guiraud', '34', 'FR'),
(13821, '34160', 'Saint Hilaire de Beauvoir', '34', 'FR'),
(13822, '34380', 'Saint Jean de Bu�ges', '34', 'FR'),
(13823, '34160', 'Saint Jean de Cornies', '34', 'FR'),
(13824, '34270', 'Saint Jean de Cuculles', '34', 'FR'),
(13825, '34150', 'Saint Jean de Fos', '34', 'FR'),
(13826, '34700', 'Saint Jean de la Blaqui�re', '34', 'FR'),
(13827, '34360', 'Saint Jean de Minervois', '34', 'FR'),
(13828, '34430', 'Saint Jean de V�das', '34', 'FR'),
(13829, '34390', 'Saint Julien', '34', 'FR'),
(13830, '34400', 'Saint Just', '34', 'FR'),
(13831, '34390', 'Saint Martin de l''Ar�on', '34', 'FR'),
(13832, '34380', 'Saint Martin de Londres', '34', 'FR'),
(13833, '34270', 'Saint Mathieu de Tr�viers', '34', 'FR'),
(13834, '34520', 'Saint Maurice Navacelles', '34', 'FR'),
(13835, '34520', 'Saint Michel', '34', 'FR'),
(13836, '34490', 'Saint Nazaire de Ladarez', '34', 'FR'),
(13837, '34400', 'Saint Nazaire de P�zan', '34', 'FR'),
(13838, '34230', 'Saint Pargoire', '34', 'FR'),
(13839, '34570', 'Saint Paul et Valmalle', '34', 'FR'),
(13840, '34520', 'Saint Pierre de la Fage', '34', 'FR'),
(13841, '34220', 'St Pons de Thomi�res', '34', 'FR'),
(13842, '34230', 'Saint Pons de Mauchiens', '34', 'FR'),
(13843, '34700', 'Saint Privat', '34', 'FR'),
(13844, '34725', 'St Saturnin de Lucian', '34', 'FR'),
(13845, '34400', 'Saint Seri�s', '34', 'FR'),
(13846, '34630', 'Saint Thib�ry', '34', 'FR'),
(13847, '34730', 'St Vincent de Barbeyrargues', '34', 'FR'),
(13848, '34390', 'St Vincent d''Olargues', '34', 'FR'),
(13849, '34800', 'Salasc', '34', 'FR'),
(13850, '34330', 'Salvetat sur Agout', '34', 'FR'),
(13851, '34400', 'Saturargues', '34', 'FR'),
(13852, '34570', 'Saussan', '34', 'FR'),
(13853, '34160', 'Saussines', '34', 'FR'),
(13854, '34270', 'Sauteyrargues', '34', 'FR'),
(13855, '34410', 'Sauvian', '34', 'FR'),
(13856, '34410', 'S�rignan', '34', 'FR'),
(13857, '34290', 'Servian', '34', 'FR'),
(13858, '34200', 'S�te', '34', 'FR'),
(13859, '34210', 'Siran', '34', 'FR'),
(13860, '34520', 'Sorbs', '34', 'FR'),
(13861, '34700', 'Soub�s', '34', 'FR'),
(13862, '34330', 'Le Souli�', '34', 'FR'),
(13863, '34700', 'Soumont', '34', 'FR'),
(13864, '34160', 'Sussargues', '34', 'FR'),
(13865, '34600', 'Taussac la Billi�re', '34', 'FR'),
(13866, '34820', 'Teyran', '34', 'FR'),
(13867, '34490', 'Th�zan l�s B�ziers', '34', 'FR'),
(13868, '34120', 'Tourbes', '34', 'FR'),
(13869, '34260', 'La Tour sur Orb', '34', 'FR'),
(13870, '34230', 'Tressan', '34', 'FR'),
(13871, '34270', 'Le Triadou', '34', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(13872, '34230', 'Usclas d''H�rault', '34', 'FR'),
(13873, '34700', 'Usclas du Bosc', '34', 'FR'),
(13874, '34520', 'La Vacquerie et Saint Martin de Castries', '34', 'FR'),
(13875, '34270', 'Vacqui�res', '34', 'FR'),
(13876, '34320', 'Vailhan', '34', 'FR'),
(13877, '34570', 'Vailhauqu�s', '34', 'FR'),
(13878, '34130', 'Valergues', '34', 'FR'),
(13879, '34270', 'Valflaun�s', '34', 'FR'),
(13880, '34800', 'Valmascle', '34', 'FR'),
(13881, '34350', 'Valras Plage', '34', 'FR'),
(13882, '34290', 'Valros', '34', 'FR'),
(13883, '34220', 'V�lieux', '34', 'FR'),
(13884, '34740', 'Vendargues', '34', 'FR'),
(13885, '34230', 'Vend�mian', '34', 'FR'),
(13886, '34350', 'Vendres', '34', 'FR'),
(13887, '34400', 'V�rargues', '34', 'FR'),
(13888, '34220', 'Verreries de Moussans', '34', 'FR'),
(13889, '34450', 'Vias', '34', 'FR'),
(13890, '34110', 'Vic la Gardiole', '34', 'FR'),
(13891, '34390', 'Vieussan', '34', 'FR'),
(13892, '34600', 'Villemagne l''Argenti�re', '34', 'FR'),
(13893, '34420', 'Villeneuve l�s B�ziers', '34', 'FR'),
(13894, '34750', 'Villeneuve l�s Maguelone', '34', 'FR'),
(13895, '34800', 'Villeneuvette', '34', 'FR'),
(13896, '34360', 'Villespassans', '34', 'FR'),
(13897, '34400', 'Villetelle', '34', 'FR'),
(13898, '34560', 'Villeveyrac', '34', 'FR'),
(13899, '34380', 'Viols en Laval', '34', 'FR'),
(13900, '34380', 'Viols le Fort', '34', 'FR'),
(13901, '34280', 'La Grande Motte', '34', 'FR'),
(13902, '34300', 'Le Cap d''Agde', '34', 'FR'),
(13903, '34110', 'La Peyrade', '34', 'FR'),
(13904, '34280', 'Carnon Plage', '34', 'FR'),
(13905, '34610', 'Plaisance', '34', 'FR'),
(13906, '35690', 'Acign�', '35', 'FR'),
(13907, '35150', 'Amanlis', '35', 'FR'),
(13908, '35250', 'Andouill� Neuville', '35', 'FR'),
(13909, '35560', 'Antrain', '35', 'FR'),
(13910, '35130', 'Arbrissel', '35', 'FR'),
(13911, '35370', 'Argentr� du Plessis', '35', 'FR'),
(13912, '35250', 'Aubign�', '35', 'FR'),
(13913, '35130', 'Availles sur Seiche', '35', 'FR'),
(13914, '35120', 'Baguer Morvan', '35', 'FR'),
(13915, '35120', 'Baguer Pican', '35', 'FR'),
(13916, '35460', 'Baill�', '35', 'FR'),
(13917, '35470', 'Bain de Bretagne', '35', 'FR'),
(13918, '35600', 'Bains sur Oust', '35', 'FR'),
(13919, '35680', 'Bais', '35', 'FR'),
(13920, '35500', 'Balaz�', '35', 'FR'),
(13921, '35580', 'Baulon', '35', 'FR'),
(13922, '35190', 'La Baussaine', '35', 'FR'),
(13923, '35420', 'Bazouge du D�sert', '35', 'FR'),
(13924, '35560', 'Bazouges la P�rouse', '35', 'FR'),
(13925, '35630', 'Bazouges sous H�d�', '35', 'FR'),
(13926, '35133', 'Beauc�', '35', 'FR'),
(13927, '35190', 'B�cherel', '35', 'FR'),
(13928, '35137', 'B�d�e', '35', 'FR'),
(13929, '35830', 'Betton', '35', 'FR'),
(13930, '35133', 'Bill�', '35', 'FR'),
(13931, '35750', 'Bl�ruais', '35', 'FR'),
(13932, '35360', 'Boisgervilly', '35', 'FR'),
(13933, '35150', 'Boistrudan', '35', 'FR'),
(13934, '35270', 'Bonnemain', '35', 'FR'),
(13935, '35320', 'La Bosse de Bretagne', '35', 'FR'),
(13936, '35340', 'La Bouexi�re', '35', 'FR'),
(13937, '35230', 'Bourgbarr�', '35', 'FR'),
(13938, '35890', 'Bourg des Comptes', '35', 'FR'),
(13939, '35120', 'La Boussac', '35', 'FR'),
(13940, '35330', 'Bovel', '35', 'FR'),
(13941, '35660', 'Brain sur Vilaine', '35', 'FR'),
(13942, '35310', 'Br�al sous Montfort', '35', 'FR'),
(13943, '35370', 'Br�al sous Vitr�', '35', 'FR'),
(13944, '35530', 'Br�c�', '35', 'FR'),
(13945, '35160', 'Breteil', '35', 'FR'),
(13946, '35150', 'Brie', '35', 'FR'),
(13947, '35370', 'Brielles', '35', 'FR'),
(13948, '35220', 'Broons sur Vilaine', '35', 'FR'),
(13949, '35120', 'Broualan', '35', 'FR'),
(13950, '35550', 'Bruc sur Aff', '35', 'FR'),
(13951, '35330', 'Les Brulais', '35', 'FR'),
(13952, '35170', 'Bruz', '35', 'FR'),
(13953, '35330', 'Campel', '35', 'FR'),
(13954, '35260', 'Cancale', '35', 'FR'),
(13955, '35190', 'Cardroc', '35', 'FR'),
(13956, '35510', 'Cesson S�vign�', '35', 'FR'),
(13957, '35500', 'Champeaux', '35', 'FR'),
(13958, '35680', 'Chanc�', '35', 'FR'),
(13959, '35150', 'Chanteloup', '35', 'FR'),
(13960, '35135', 'Chantepie', '35', 'FR'),
(13961, '35190', 'Chapelle aux Filtzm�ens', '35', 'FR'),
(13962, '35330', 'La Chapelle Bouexic', '35', 'FR'),
(13963, '35630', 'La Chapelle Chauss�e', '35', 'FR'),
(13964, '35520', 'Chapelle des Fougeretz', '35', 'FR'),
(13965, '35360', 'La Chapelle du Lou', '35', 'FR'),
(13966, '35500', 'La Chapelle Erbr�e', '35', 'FR'),
(13967, '35133', 'La Chapelle Janson', '35', 'FR'),
(13968, '35140', 'La Chapelle Saint Aubert', '35', 'FR'),
(13969, '35660', 'Chapelle de Brain', '35', 'FR'),
(13970, '35590', 'La Chapelle Thouarault', '35', 'FR'),
(13971, '35131', 'Chartres de Bretagne', '35', 'FR'),
(13972, '35250', 'Chasn� sur Illet', '35', 'FR'),
(13973, '35220', 'Ch�teaubourg', '35', 'FR'),
(13974, '35410', 'Ch�teaugiron', '35', 'FR'),
(13975, '35430', 'Ch�teauneuf d''Ille et Vilaine', '35', 'FR'),
(13976, '35133', 'Ch�tellier', '35', 'FR'),
(13977, '35210', 'Ch�tillon en Vendelais', '35', 'FR'),
(13978, '35113', 'Chaumer�', '35', 'FR'),
(13979, '35490', 'Chauvign�', '35', 'FR'),
(13980, '35310', 'Chavagne', '35', 'FR'),
(13981, '35640', 'Chelun', '35', 'FR'),
(13982, '35120', 'Cherrueix', '35', 'FR'),
(13983, '35250', 'Chevaign�', '35', 'FR'),
(13984, '35310', 'Cintr�', '35', 'FR'),
(13985, '35590', 'Clayes', '35', 'FR'),
(13986, '35134', 'Co�smes', '35', 'FR'),
(13987, '35460', 'Cogl�s', '35', 'FR'),
(13988, '35330', 'Comblessac', '35', 'FR'),
(13989, '35270', 'Combourg', '35', 'FR'),
(13990, '35210', 'Combourtill�', '35', 'FR'),
(13991, '35500', 'Cornill�', '35', 'FR'),
(13992, '35150', 'Corps Nuds', '35', 'FR'),
(13993, '35320', 'La Couy�re', '35', 'FR'),
(13994, '35320', 'Cr�vin', '35', 'FR'),
(13995, '35290', 'Le Crouais', '35', 'FR'),
(13996, '35270', 'Cuguen', '35', 'FR'),
(13997, '35800', 'Dinard', '35', 'FR'),
(13998, '35780', 'Dinard', '35', 'FR'),
(13999, '35440', 'Ding�', '35', 'FR'),
(14000, '35120', 'Dol de Bretagne', '35', 'FR'),
(14001, '35113', 'Domagn�', '35', 'FR'),
(14002, '35680', 'Domalain', '35', 'FR'),
(14003, '35390', 'La Dominelais', '35', 'FR'),
(14004, '35410', 'Domloup', '35', 'FR'),
(14005, '35210', 'Dompierre du Chemin', '35', 'FR'),
(14006, '35450', 'Dourdain', '35', 'FR'),
(14007, '35130', 'Drouges', '35', 'FR'),
(14008, '35640', '�anc�', '35', 'FR'),
(14009, '35120', '�piniac', '35', 'FR'),
(14010, '35500', 'Erbr�e', '35', 'FR'),
(14011, '35620', 'Erc� en Lam�e', '35', 'FR'),
(14012, '35340', 'Erc� pr�s Liffr�', '35', 'FR'),
(14013, '35150', 'Ess�', '35', 'FR'),
(14014, '35370', '�trelles', '35', 'FR'),
(14015, '35440', 'Feins', '35', 'FR'),
(14016, '35420', 'Le Ferr�', '35', 'FR'),
(14017, '35133', 'Fleurign�', '35', 'FR'),
(14018, '35560', 'La Fontenelle', '35', 'FR'),
(14019, '35640', 'Forges la For�t', '35', 'FR'),
(14020, '35300', 'Foug�res', '35', 'FR'),
(14021, '35133', 'Foug�res', '35', 'FR'),
(14022, '35111', 'La Fresnais', '35', 'FR'),
(14023, '35290', 'Ga�l', '35', 'FR'),
(14024, '35490', 'Gahard', '35', 'FR'),
(14025, '35370', 'Gennes sur Seiche', '35', 'FR'),
(14026, '35850', 'G�vez�', '35', 'FR'),
(14027, '35140', 'Gosn�', '35', 'FR'),
(14028, '35350', 'La Gouesni�re', '35', 'FR'),
(14029, '35580', 'Goven', '35', 'FR'),
(14030, '35390', 'Grand Fougeray', '35', 'FR'),
(14031, '35130', 'La Guerche de Bretagne', '35', 'FR'),
(14032, '35580', 'Guichen', '35', 'FR'),
(14033, '35580', 'Guignen', '35', 'FR'),
(14034, '35440', 'Guipel', '35', 'FR'),
(14035, '35480', 'Guipry', '35', 'FR'),
(14036, '35630', 'H�d�', '35', 'FR'),
(14037, '35590', 'L''Hermitage', '35', 'FR'),
(14038, '35120', 'Hirel', '35', 'FR'),
(14039, '35750', 'Iffendic', '35', 'FR'),
(14040, '35630', 'Les Iffs', '35', 'FR'),
(14041, '35850', 'Irodou�r', '35', 'FR'),
(14042, '35150', 'Janz�', '35', 'FR'),
(14043, '35133', 'Javen�', '35', 'FR'),
(14044, '35133', 'Laignelet', '35', 'FR'),
(14045, '35890', 'Laill�', '35', 'FR'),
(14046, '35320', 'Lalleu', '35', 'FR'),
(14047, '35450', 'Landavran', '35', 'FR'),
(14048, '35133', 'Land�an', '35', 'FR'),
(14049, '35360', 'Landujan', '35', 'FR'),
(14050, '35850', 'Langan', '35', 'FR'),
(14051, '35660', 'Langon', '35', 'FR'),
(14052, '35630', 'Langouet', '35', 'FR'),
(14053, '35720', 'Lanh�lin', '35', 'FR'),
(14054, '35270', 'Lanrigan', '35', 'FR'),
(14055, '35580', 'Lassy', '35', 'FR'),
(14056, '35133', 'L�cousse', '35', 'FR'),
(14057, '35550', 'Lieuron', '35', 'FR'),
(14058, '35340', 'Liffr�', '35', 'FR'),
(14059, '35111', 'Lillemer', '35', 'FR'),
(14060, '35450', 'Livr� sur Changeon', '35', 'FR'),
(14061, '35550', 'Loh�ac', '35', 'FR'),
(14062, '35190', 'Longaulnay', '35', 'FR'),
(14063, '35133', 'Le Loroux', '35', 'FR'),
(14064, '35360', 'Le Lou du Lac', '35', 'FR'),
(14065, '35270', 'Lourmais', '35', 'FR'),
(14066, '35330', 'Loutehel', '35', 'FR'),
(14067, '35680', 'Louvign� de Bais', '35', 'FR'),
(14068, '35420', 'Louvign� du D�sert', '35', 'FR'),
(14069, '35133', 'Luitr�', '35', 'FR'),
(14070, '35560', 'Marcill� Raoul', '35', 'FR'),
(14071, '35240', 'Marcill� Robert', '35', 'FR'),
(14072, '35220', 'Marpir�', '35', 'FR'),
(14073, '35640', 'Martign� Ferchaud', '35', 'FR'),
(14074, '35330', 'Maure de Bretagne', '35', 'FR'),
(14075, '35380', 'Maxent', '35', 'FR'),
(14076, '35450', 'Mec�', '35', 'FR'),
(14077, '35360', 'M�dr�ac', '35', 'FR'),
(14078, '35270', 'Meillac', '35', 'FR'),
(14079, '35520', 'Melesse', '35', 'FR'),
(14080, '35420', 'Mell�', '35', 'FR'),
(14081, '35330', 'Mernel', '35', 'FR'),
(14082, '35480', 'Messac', '35', 'FR'),
(14083, '35520', 'La M�zi�re', '35', 'FR'),
(14084, '35140', 'M�zi�res sur Couesnon', '35', 'FR'),
(14085, '35540', 'Miniac Morvan', '35', 'FR'),
(14086, '35190', 'Miniac sous B�cherel', '35', 'FR'),
(14087, '35870', 'Le Minihic sur Rance', '35', 'FR'),
(14088, '35370', 'Mondevert', '35', 'FR'),
(14089, '35360', 'Montauban de Bretagne', '35', 'FR'),
(14090, '35210', 'Montautour', '35', 'FR'),
(14091, '35120', 'Mont Dol', '35', 'FR'),
(14092, '35160', 'Monterfil', '35', 'FR'),
(14093, '35160', 'Montfort sur Meu', '35', 'FR'),
(14094, '35760', 'Montgermont', '35', 'FR'),
(14095, '35420', 'Monthault', '35', 'FR'),
(14096, '35460', 'Montours', '35', 'FR'),
(14097, '35210', 'Montreuil des Landes', '35', 'FR'),
(14098, '35520', 'Montreuil le Gast', '35', 'FR'),
(14099, '35500', 'Montreuil sous P�rouse', '35', 'FR'),
(14100, '35440', 'Montreuil sur Ille', '35', 'FR'),
(14101, '35310', 'Mordelles', '35', 'FR'),
(14102, '35250', 'Mouaz�', '35', 'FR'),
(14103, '35680', 'Moulins', '35', 'FR'),
(14104, '35130', 'Mouss�', '35', 'FR'),
(14105, '35130', 'Moutiers', '35', 'FR'),
(14106, '35290', 'Muel', '35', 'FR'),
(14107, '35470', 'La No� Blanche', '35', 'FR'),
(14108, '35137', 'La Nouaye', '35', 'FR'),
(14109, '35410', 'Nouvoitou', '35', 'FR'),
(14110, '35560', 'Noyal sous Bazouges', '35', 'FR'),
(14111, '35230', 'Noyal Ch�tillon sur Seiche', '35', 'FR'),
(14112, '35530', 'Noyal sur Vilaine', '35', 'FR'),
(14113, '35230', 'Org�res', '35', 'FR'),
(14114, '35410', 'Oss�', '35', 'FR'),
(14115, '35740', 'Pac�', '35', 'FR'),
(14116, '35380', 'Paimpont', '35', 'FR'),
(14117, '35320', 'Panc�', '35', 'FR'),
(14118, '35400', 'Param�', '35', 'FR'),
(14119, '35210', 'Parc�', '35', 'FR'),
(14120, '35133', 'Parign�', '35', 'FR'),
(14121, '35850', 'Parthenay de Bretagne', '35', 'FR'),
(14122, '35370', 'Le Pertre', '35', 'FR'),
(14123, '35320', 'Le Petit Fougeray', '35', 'FR'),
(14124, '35550', 'Pipriac', '35', 'FR'),
(14125, '35150', 'Pir� sur Seiche', '35', 'FR'),
(14126, '35470', 'Pl�ch�tel', '35', 'FR'),
(14127, '35610', 'Pleine Foug�res', '35', 'FR'),
(14128, '35380', 'Pl�lan le Grand', '35', 'FR'),
(14129, '35540', 'Plerguer', '35', 'FR'),
(14130, '35720', 'Plesder', '35', 'FR'),
(14131, '35720', 'Pleugueneuc', '35', 'FR'),
(14132, '35137', 'Pleumeleuc', '35', 'FR'),
(14133, '35730', 'Pleurtuit', '35', 'FR'),
(14134, '35870', 'Pleurtuit', '35', 'FR'),
(14135, '35500', 'Poc� les Bois', '35', 'FR'),
(14136, '35420', 'Poilley', '35', 'FR'),
(14137, '35320', 'Polign�', '35', 'FR'),
(14138, '35210', 'Princ�', '35', 'FR'),
(14139, '35190', 'Qu�briac', '35', 'FR'),
(14140, '35290', 'Qu�dillac', '35', 'FR'),
(14141, '35130', 'Rann�e', '35', 'FR'),
(14142, '35600', 'Redon', '35', 'FR'),
(14143, '35660', 'Renac', '35', 'FR'),
(14144, '35000', 'Rennes', '35', 'FR'),
(14145, '35700', 'Rennes', '35', 'FR'),
(14146, '35200', 'Rennes', '35', 'FR'),
(14147, '35240', 'Retiers', '35', 'FR'),
(14148, '35650', 'Le Rheu', '35', 'FR'),
(14149, '35780', 'La Richardais', '35', 'FR'),
(14150, '35560', 'Rimou', '35', 'FR'),
(14151, '35133', 'Romagn�', '35', 'FR'),
(14152, '35490', 'Romazy', '35', 'FR'),
(14153, '35850', 'Romill�', '35', 'FR'),
(14154, '35120', 'Roz Landrieux', '35', 'FR'),
(14155, '35610', 'Roz sur Couesnon', '35', 'FR'),
(14156, '35610', 'Sains', '35', 'FR'),
(14157, '35390', 'Sainte Anne sur Vilaine', '35', 'FR'),
(14158, '35230', 'Saint Armel', '35', 'FR'),
(14159, '35250', 'Saint Aubin d''Aubign�', '35', 'FR'),
(14160, '35500', 'Saint Aubin des Landes', '35', 'FR'),
(14161, '35140', 'Saint Aubin du Cormier', '35', 'FR'),
(14162, '35410', 'Saint Aubin du Pavail', '35', 'FR'),
(14163, '35114', 'Saint Beno�t des Ondes', '35', 'FR'),
(14164, '35800', 'Saint Briac sur Mer', '35', 'FR'),
(14165, '35460', 'Saint Brice en Cogl�s', '35', 'FR'),
(14166, '35630', 'Saint Brieuc des Iffs', '35', 'FR'),
(14167, '35120', 'Saint Broladre', '35', 'FR'),
(14168, '35210', 'Saint Christophe des Bois', '35', 'FR'),
(14169, '35140', 'Saint Christophe de Valains', '35', 'FR'),
(14170, '35134', 'Sainte Colombe', '35', 'FR'),
(14171, '35350', 'Saint Coulomb', '35', 'FR'),
(14172, '35220', 'Saint Didier', '35', 'FR'),
(14173, '35190', 'Saint Domineuc', '35', 'FR'),
(14174, '35230', 'Saint Erblon', '35', 'FR'),
(14175, '35460', 'Saint �tienne en Cogl�s', '35', 'FR'),
(14176, '35550', 'Saint Ganton', '35', 'FR'),
(14177, '35140', 'Saint Georges de Chesn�', '35', 'FR'),
(14178, '35610', 'Saint Georges de Gr�haigne', '35', 'FR'),
(14179, '35420', 'St Georges de Reintembault', '35', 'FR'),
(14180, '35370', 'Saint Germain du Pinel', '35', 'FR'),
(14181, '35133', 'Saint Germain en Cogl�s', '35', 'FR'),
(14182, '35250', 'Saint Germain sur Ille', '35', 'FR'),
(14183, '35590', 'Saint Gilles', '35', 'FR'),
(14184, '35630', 'Saint Gondran', '35', 'FR'),
(14185, '35750', 'Saint Gonlay', '35', 'FR'),
(14186, '35760', 'Saint Gr�goire', '35', 'FR'),
(14187, '35430', 'Saint Guinoux', '35', 'FR'),
(14188, '35140', 'Saint Hilaire des Landes', '35', 'FR'),
(14189, '35136', 'Saint Jacques de la Lande', '35', 'FR'),
(14190, '35140', 'Saint Jean sur Couesnon', '35', 'FR'),
(14191, '35220', 'Saint Jean sur Vilaine', '35', 'FR'),
(14192, '35430', 'Saint Jouan des Gu�rets', '35', 'FR'),
(14193, '35550', 'Saint Just', '35', 'FR'),
(14194, '35270', 'Saint L�ger des Pr�s', '35', 'FR'),
(14195, '35800', 'Saint Lunaire', '35', 'FR'),
(14196, '35400', 'Saint Malo', '35', 'FR'),
(14197, '35480', 'Saint Malo de Phily', '35', 'FR'),
(14198, '35750', 'St Malon sur Mel', '35', 'FR'),
(14199, '35120', 'Saint Marcan', '35', 'FR'),
(14200, '35460', 'Saint Marc le Blanc', '35', 'FR'),
(14201, '35140', 'Saint Marc sur Couesnon', '35', 'FR'),
(14202, '35600', 'Sainte Marie', '35', 'FR'),
(14203, '35750', 'Saint Maugan', '35', 'FR'),
(14204, '35250', 'Saint M�dard sur Ille', '35', 'FR'),
(14205, '35290', 'Saint M�en le Grand', '35', 'FR'),
(14206, '35220', 'Saint Melaine', '35', 'FR'),
(14207, '35350', 'Saint M�loir des Ondes', '35', 'FR'),
(14208, '35500', 'Saint M''herv�', '35', 'FR'),
(14209, '35360', 'Saint M''Hervon', '35', 'FR'),
(14210, '35290', 'Saint Onen la Chapelle', '35', 'FR'),
(14211, '35460', 'St Ouen la Rou�rie', '35', 'FR'),
(14212, '35140', 'Saint Ouen des Alleux', '35', 'FR'),
(14213, '35380', 'Saint P�ran', '35', 'FR'),
(14214, '35430', 'Saint P�re', '35', 'FR'),
(14215, '35190', 'Saint Pern', '35', 'FR'),
(14216, '35720', 'Saint Pierre de Plesguen', '35', 'FR'),
(14217, '35560', 'Saint R�my du Plein', '35', 'FR'),
(14218, '35133', 'Saint Sauveur des Landes', '35', 'FR'),
(14219, '35330', 'Saint S�glin', '35', 'FR'),
(14220, '35580', 'Saint Senoux', '35', 'FR'),
(14221, '35400', 'Saint Servan sur Mer', '35', 'FR'),
(14222, '35430', 'Saint Suliac', '35', 'FR'),
(14223, '35250', 'Saint Sulpice la For�t', '35', 'FR'),
(14224, '35390', 'St Sulpice des Landes', '35', 'FR'),
(14225, '35630', 'Saint Symphorien', '35', 'FR'),
(14226, '35190', 'Saint Thual', '35', 'FR'),
(14227, '35310', 'Saint Thurial', '35', 'FR'),
(14228, '35360', 'Saint Uniac', '35', 'FR'),
(14229, '35320', 'Saulni�res', '35', 'FR'),
(14230, '35320', 'Sel de Bretagne', '35', 'FR'),
(14231, '35460', 'La Selle en Cogl�s', '35', 'FR'),
(14232, '35133', 'La Selle en Luitr�', '35', 'FR'),
(14233, '35130', 'La Selle Guerchaise', '35', 'FR'),
(14234, '35490', 'Sens de Bretagne', '35', 'FR'),
(14235, '35530', 'Servon sur Vilaine', '35', 'FR'),
(14236, '35550', 'Sixt sur Aff', '35', 'FR'),
(14237, '35610', 'Soug�al', '35', 'FR'),
(14238, '35500', 'Taillis', '35', 'FR'),
(14239, '35160', 'Talensac', '35', 'FR'),
(14240, '35620', 'Teillay', '35', 'FR'),
(14241, '35240', 'Le Theil de Bretagne', '35', 'FR'),
(14242, '35235', 'Thorign� Fouillard', '35', 'FR'),
(14243, '35134', 'Thourie', '35', 'FR'),
(14244, '35460', 'Le Tiercent', '35', 'FR'),
(14245, '35190', 'Tint�niac', '35', 'FR'),
(14246, '35370', 'Torc�', '35', 'FR'),
(14247, '35610', 'Trans', '35', 'FR'),
(14248, '35380', 'Treffendel', '35', 'FR'),
(14249, '35460', 'Tremblay', '35', 'FR'),
(14250, '35270', 'Tr�m�heuc', '35', 'FR'),
(14251, '35320', 'Tresboeuf', '35', 'FR'),
(14252, '35720', 'Tress�', '35', 'FR'),
(14253, '35190', 'Tr�v�rien', '35', 'FR'),
(14254, '35190', 'Trimer', '35', 'FR'),
(14255, '35450', 'Val d''Iz�', '35', 'FR'),
(14256, '35140', 'Vendel', '35', 'FR'),
(14257, '35680', 'Verg�al', '35', 'FR'),
(14258, '35160', 'Le Verger', '35', 'FR'),
(14259, '35770', 'Vern sur Seiche', '35', 'FR'),
(14260, '35132', 'Vezin le Coquet', '35', 'FR'),
(14261, '35610', 'Vieux Viel', '35', 'FR'),
(14262, '35490', 'Vieux Vy sur Couesnon', '35', 'FR'),
(14263, '35630', 'Vignoc', '35', 'FR'),
(14264, '35420', 'Villam�e', '35', 'FR'),
(14265, '35430', 'La Ville �s Nonais', '35', 'FR'),
(14266, '35130', 'Visseiche', '35', 'FR'),
(14267, '35500', 'Vitr�', '35', 'FR'),
(14268, '35960', 'Le Vivier sur Mer', '35', 'FR'),
(14269, '35540', 'Le Tronchet', '35', 'FR'),
(14270, '35131', 'Pont P�an', '35', 'FR'),
(14271, '35470', 'Le Ch�tellier', '35', 'FR'),
(14272, '35170', 'Pont R�an', '35', 'FR'),
(14273, '35400', 'Roth�neuf', '35', 'FR'),
(14274, '35540', 'Vieux Bourg', '35', 'FR'),
(14275, '35120', 'Vild� la Marine', '35', 'FR'),
(14276, '35650', 'Moign�', '35', 'FR'),
(14277, '36140', 'Aigurande', '36', 'FR'),
(14278, '36150', 'Aize', '36', 'FR'),
(14279, '36120', 'Ambrault', '36', 'FR'),
(14280, '36210', 'Anjouin', '36', 'FR'),
(14281, '36120', 'Ardentes', '36', 'FR'),
(14282, '36200', 'Argenton sur Creuse', '36', 'FR'),
(14283, '36500', 'Argy', '36', 'FR'),
(14284, '36700', 'Arpheuilles', '36', 'FR'),
(14285, '36330', 'Arthon', '36', 'FR'),
(14286, '36290', 'Azay le Ferron', '36', 'FR'),
(14287, '36210', 'Bagneux', '36', 'FR'),
(14288, '36270', 'Baraize', '36', 'FR'),
(14289, '36110', 'Baudres', '36', 'FR'),
(14290, '36270', 'Bazaiges', '36', 'FR'),
(14291, '36310', 'Beaulieu', '36', 'FR'),
(14292, '36370', 'B�l�bre', '36', 'FR'),
(14293, '36400', 'La Berthenoux', '36', 'FR'),
(14294, '36300', 'Le Blanc', '36', 'FR'),
(14295, '36120', 'Bommiers', '36', 'FR'),
(14296, '36310', 'Bonneuil', '36', 'FR'),
(14297, '36100', 'Bordes', '36', 'FR'),
(14298, '36200', 'Bouesse', '36', 'FR'),
(14299, '36110', 'Bouges le Ch�teau', '36', 'FR'),
(14300, '36110', 'Bretagne', '36', 'FR'),
(14301, '36400', 'Briantes', '36', 'FR'),
(14302, '36110', 'Brion', '36', 'FR'),
(14303, '36100', 'Brives', '36', 'FR'),
(14304, '36140', 'La Buxerette', '36', 'FR'),
(14305, '36150', 'Buxeuil', '36', 'FR'),
(14306, '36230', 'Buxi�res d''Aillac', '36', 'FR'),
(14307, '36500', 'Buzan�ais', '36', 'FR'),
(14308, '36200', 'Ceaulmont', '36', 'FR'),
(14309, '36200', 'C�lon', '36', 'FR'),
(14310, '36210', 'Chabris', '36', 'FR'),
(14311, '36310', 'Chaillac', '36', 'FR'),
(14312, '36370', 'Chalais', '36', 'FR'),
(14313, '36100', 'La Champenoise', '36', 'FR'),
(14314, '36160', 'Champillet', '36', 'FR'),
(14315, '36270', 'Chant�me', '36', 'FR'),
(14316, '36500', 'La Chapelle Orthemale', '36', 'FR'),
(14317, '36150', 'La Chapelle Saint Laurian', '36', 'FR'),
(14318, '36800', 'Chasseneuil', '36', 'FR'),
(14319, '36400', 'Chassignolles', '36', 'FR'),
(14320, '36000', 'Ch�teauroux', '36', 'FR'),
(14321, '36700', 'Ch�tillon sur Indre', '36', 'FR'),
(14322, '36400', 'La Ch�tre', '36', 'FR'),
(14323, '36170', 'La Ch�tre Langlin', '36', 'FR'),
(14324, '36200', 'Chavin', '36', 'FR'),
(14325, '36170', 'Chazelet', '36', 'FR'),
(14326, '36500', 'Ch�zelles', '36', 'FR'),
(14327, '36800', 'Chitray', '36', 'FR'),
(14328, '36100', 'Chouday', '36', 'FR'),
(14329, '36300', 'Ciron', '36', 'FR'),
(14330, '36700', 'Cl�r� du Bois', '36', 'FR'),
(14331, '36700', 'Clion', '36', 'FR'),
(14332, '36340', 'Cluis', '36', 'FR'),
(14333, '36130', 'Coings', '36', 'FR'),
(14334, '36300', 'Concremiers', '36', 'FR'),
(14335, '36100', 'Cond�', '36', 'FR'),
(14336, '36140', 'Crevant', '36', 'FR'),
(14337, '36140', 'Crozon sur Vauvre', '36', 'FR'),
(14338, '36190', 'Cuzion', '36', 'FR'),
(14339, '36130', 'D�ols', '36', 'FR'),
(14340, '36130', 'Diors', '36', 'FR'),
(14341, '36260', 'Diou', '36', 'FR'),
(14342, '36300', 'Douadic', '36', 'FR'),
(14343, '36310', 'Dunet', '36', 'FR'),
(14344, '36210', 'Dun le Po�lier', '36', 'FR'),
(14345, '36240', '�cueill�', '36', 'FR'),
(14346, '36270', 'Eguzon Chant�me', '36', 'FR'),
(14347, '36120', '�trechet', '36', 'FR'),
(14348, '36360', 'Faverolles', '36', 'FR'),
(14349, '36160', 'Feusines', '36', 'FR'),
(14350, '36700', 'Fl�r� la Rivi�re', '36', 'FR'),
(14351, '36150', 'Fontenay', '36', 'FR'),
(14352, '36220', 'Fontgombault', '36', 'FR'),
(14353, '36600', 'Fontguenand', '36', 'FR'),
(14354, '36230', 'Fougerolles', '36', 'FR'),
(14355, '36110', 'Francillon', '36', 'FR'),
(14356, '36180', 'Fr�dill�', '36', 'FR'),
(14357, '36190', 'Gargilesse Dampierre', '36', 'FR'),
(14358, '36240', 'Geh�e', '36', 'FR'),
(14359, '36150', 'Giroux', '36', 'FR'),
(14360, '36230', 'Gournay', '36', 'FR'),
(14361, '36150', 'Guilly', '36', 'FR'),
(14362, '36180', 'Heugnes', '36', 'FR'),
(14363, '36300', 'Ingrandes', '36', 'FR'),
(14364, '36100', 'Issoudun', '36', 'FR'),
(14365, '36120', 'Jeu les Bois', '36', 'FR'),
(14366, '36240', 'Jeu Maloches', '36', 'FR'),
(14367, '36400', 'Lacs', '36', 'FR'),
(14368, '36600', 'Lang�', '36', 'FR'),
(14369, '36110', 'Levroux', '36', 'FR'),
(14370, '36370', 'Lignac', '36', 'FR'),
(14371, '36160', 'Lignerolles', '36', 'FR'),
(14372, '36220', 'Ling�', '36', 'FR'),
(14373, '36150', 'Liniez', '36', 'FR'),
(14374, '36100', 'Lizeray', '36', 'FR'),
(14375, '36140', 'Lourdoueix Saint Michel', '36', 'FR'),
(14376, '36400', 'Lourouer Saint Laurent', '36', 'FR'),
(14377, '36350', 'Luant', '36', 'FR'),
(14378, '36150', 'Lu�ay le Libre', '36', 'FR'),
(14379, '36360', 'Lu�ay le M�le', '36', 'FR'),
(14380, '36220', 'Lurais', '36', 'FR'),
(14381, '36220', 'Lureuil', '36', 'FR'),
(14382, '36800', 'Luzeret', '36', 'FR'),
(14383, '36600', 'Lye', '36', 'FR'),
(14384, '36230', 'Lys St Georges', '36', 'FR'),
(14385, '36400', 'Le Magny', '36', 'FR'),
(14386, '36340', 'Maillet', '36', 'FR'),
(14387, '36340', 'Malicornay', '36', 'FR'),
(14388, '36120', 'M�ron', '36', 'FR'),
(14389, '36220', 'Martizay', '36', 'FR'),
(14390, '36370', 'Mauvi�res', '36', 'FR'),
(14391, '36210', 'Menetou sur Nahon', '36', 'FR'),
(14392, '36150', 'M�n�tr�ols sous Vatan', '36', 'FR'),
(14393, '36200', 'Le Menoux', '36', 'FR'),
(14394, '36500', 'M�obecq', '36', 'FR'),
(14395, '36220', 'M�rigny', '36', 'FR'),
(14396, '36230', 'Mers sur Indre', '36', 'FR'),
(14397, '36100', 'Meunet Planches', '36', 'FR'),
(14398, '36150', 'Meunet sur Vatan', '36', 'FR'),
(14399, '36290', 'M�zi�res en Brenne', '36', 'FR'),
(14400, '36800', 'Mign�', '36', 'FR'),
(14401, '36260', 'Migny', '36', 'FR'),
(14402, '36140', 'Montchevrier', '36', 'FR'),
(14403, '36400', 'Montgivray', '36', 'FR'),
(14404, '36130', 'Montierchaume', '36', 'FR'),
(14405, '36230', 'Montipouret', '36', 'FR'),
(14406, '36400', 'Montlevicq', '36', 'FR'),
(14407, '36200', 'Mosnay', '36', 'FR'),
(14408, '36160', 'La Motte Feuilly', '36', 'FR'),
(14409, '36340', 'Mouhers', '36', 'FR'),
(14410, '36170', 'Mouhet', '36', 'FR'),
(14411, '36110', 'Moulins sur C�phons', '36', 'FR'),
(14412, '36700', 'Murs', '36', 'FR'),
(14413, '36220', 'N�ons sur Creuse', '36', 'FR'),
(14414, '36400', 'N�ret', '36', 'FR'),
(14415, '36500', 'Neuillay les Bois', '36', 'FR'),
(14416, '36100', 'Neuvy Pailloux', '36', 'FR'),
(14417, '36230', 'Neuvy Saint S�pulchre', '36', 'FR'),
(14418, '36250', 'Niherne', '36', 'FR'),
(14419, '36400', 'Nohant Vic', '36', 'FR'),
(14420, '36800', 'Nuret le Ferron', '36', 'FR'),
(14421, '36290', 'Obterre', '36', 'FR'),
(14422, '36190', 'Orsennes', '36', 'FR'),
(14423, '36210', 'Orville', '36', 'FR'),
(14424, '36800', 'Oulches', '36', 'FR'),
(14425, '36500', 'Palluau sur Indre', '36', 'FR'),
(14426, '36170', 'Parnac', '36', 'FR'),
(14427, '36210', 'Parpe�ay', '36', 'FR'),
(14428, '36260', 'Paudy', '36', 'FR'),
(14429, '36290', 'Paulnay', '36', 'FR'),
(14430, '36200', 'Le P�chereau', '36', 'FR'),
(14431, '36180', 'Pellevoisin', '36', 'FR'),
(14432, '36160', 'P�rassay', '36', 'FR'),
(14433, '36350', 'La P�rouille', '36', 'FR'),
(14434, '36200', 'Badecon le Pin', '36', 'FR'),
(14435, '36330', 'Le Poin�onnet', '36', 'FR'),
(14436, '36190', 'Pommiers', '36', 'FR'),
(14437, '36800', 'Pont Chr�tien Chabenet', '36', 'FR'),
(14438, '36210', 'Poulaines', '36', 'FR'),
(14439, '36160', 'Pouligny Notre Dame', '36', 'FR'),
(14440, '36160', 'Pouligny Saint Martin', '36', 'FR'),
(14441, '36300', 'Pouligny Saint Pierre', '36', 'FR'),
(14442, '36240', 'Pr�aux', '36', 'FR'),
(14443, '36220', 'Preuilly la Ville', '36', 'FR'),
(14444, '36370', 'Prissac', '36', 'FR'),
(14445, '36120', 'Pruniers', '36', 'FR'),
(14446, '36150', 'Reboursin', '36', 'FR'),
(14447, '36260', 'Reuilly', '36', 'FR'),
(14448, '36800', 'Rivarennes', '36', 'FR'),
(14449, '36300', 'Rosnay', '36', 'FR'),
(14450, '36170', 'Roussines', '36', 'FR'),
(14451, '36110', 'Rouvres les Bois', '36', 'FR'),
(14452, '36300', 'Ruffec', '36', 'FR'),
(14453, '36170', 'Sacierges Saint Martin', '36', 'FR'),
(14454, '36300', 'Saint Aigny', '36', 'FR'),
(14455, '36100', 'Saint Aoustrille', '36', 'FR'),
(14456, '36120', 'Saint Ao�t', '36', 'FR'),
(14457, '36100', 'Saint Aubin', '36', 'FR'),
(14458, '36170', 'Saint Beno�t du Sault', '36', 'FR'),
(14459, '36210', 'Sainte C�cile', '36', 'FR'),
(14460, '36400', 'Saint Chartier', '36', 'FR'),
(14461, '36210', 'Saint Christophe en Bazelle', '36', 'FR'),
(14462, '36400', 'St Christophe en Boucherie', '36', 'FR'),
(14463, '36170', 'Saint Civran', '36', 'FR'),
(14464, '36700', 'Saint Cyran du Jambot', '36', 'FR'),
(14465, '36230', 'Saint Denis de Jouhet', '36', 'FR'),
(14466, '36100', 'Sainte Fauste', '36', 'FR'),
(14467, '36150', 'Saint Florentin', '36', 'FR'),
(14468, '36800', 'Saint Gaultier', '36', 'FR'),
(14469, '36500', 'Sainte Gemme', '36', 'FR'),
(14470, '36500', 'Saint Genou', '36', 'FR'),
(14471, '36100', 'Saint Georges sur Arnon', '36', 'FR'),
(14472, '36170', 'Saint Gilles', '36', 'FR'),
(14473, '36370', 'Saint Hilaire sur B�naize', '36', 'FR'),
(14474, '36500', 'Saint Lactencin', '36', 'FR'),
(14475, '36260', 'Sainte Lizaigne', '36', 'FR'),
(14476, '36200', 'Saint Marcel', '36', 'FR'),
(14477, '36110', 'Saint Martin de Lamps', '36', 'FR'),
(14478, '36250', 'Saint Maur', '36', 'FR'),
(14479, '36700', 'Saint M�dard', '36', 'FR'),
(14480, '36290', 'Saint Michel en Brenne', '36', 'FR'),
(14481, '36260', 'Saint Pierre de Jards', '36', 'FR'),
(14482, '36110', 'Saint Pierre de Lamps', '36', 'FR'),
(14483, '36190', 'Saint Plantaire', '36', 'FR'),
(14484, '36160', 'Sainte S�v�re sur Indre', '36', 'FR'),
(14485, '36100', 'Saint Valentin', '36', 'FR'),
(14486, '36230', 'Sarzay', '36', 'FR'),
(14487, '36120', 'Sassierges Saint Germain', '36', 'FR'),
(14488, '36290', 'Saulnay', '36', 'FR'),
(14489, '36220', 'Sauzelles', '36', 'FR'),
(14490, '36160', 'Sazeray', '36', 'FR'),
(14491, '36100', 'S�gry', '36', 'FR'),
(14492, '36180', 'Selles sur Nahon', '36', 'FR'),
(14493, '36210', 'Semble�ay', '36', 'FR'),
(14494, '36500', 'Soug�', '36', 'FR'),
(14495, '36200', 'Tendu', '36', 'FR'),
(14496, '36800', 'Thenay', '36', 'FR'),
(14497, '36400', 'Thevet Saint Julien', '36', 'FR'),
(14498, '36100', 'Thizay', '36', 'FR'),
(14499, '36310', 'Tilly', '36', 'FR'),
(14500, '36220', 'Tournon Saint Martin', '36', 'FR'),
(14501, '36700', 'Le Tranger', '36', 'FR'),
(14502, '36230', 'Tranzault', '36', 'FR'),
(14503, '36160', 'Urciers', '36', 'FR'),
(14504, '36600', 'Valen�ay', '36', 'FR'),
(14505, '36210', 'Varennes sur Fouzon', '36', 'FR'),
(14506, '36150', 'Vatan', '36', 'FR'),
(14507, '36330', 'Velles', '36', 'FR'),
(14508, '36500', 'Vendoeuvres', '36', 'FR'),
(14509, '36600', 'La Vernelle', '36', 'FR'),
(14510, '36400', 'Verneuil sur Igneraie', '36', 'FR'),
(14511, '36600', 'Veuil', '36', 'FR'),
(14512, '36400', 'Vicq Exemplet', '36', 'FR'),
(14513, '36600', 'Vicq sur Nahon', '36', 'FR'),
(14514, '36160', 'Vigoulant', '36', 'FR'),
(14515, '36170', 'Vigoux', '36', 'FR'),
(14516, '36160', 'Vijon', '36', 'FR'),
(14517, '36320', 'Villedieu sur Indre', '36', 'FR'),
(14518, '36110', 'Villegongis', '36', 'FR'),
(14519, '36500', 'Villegouin', '36', 'FR'),
(14520, '36600', 'Villentrois', '36', 'FR'),
(14521, '36250', 'Villers les Ormes', '36', 'FR'),
(14522, '36290', 'Villiers', '36', 'FR'),
(14523, '36110', 'Vineuil', '36', 'FR'),
(14524, '36100', 'Vouillon', '36', 'FR'),
(14525, '36300', 'Scoury', '36', 'FR'),
(14526, '37160', 'Abilly', '37', 'FR'),
(14527, '37340', 'Ambillou', '37', 'FR'),
(14528, '37530', 'Amboise', '37', 'FR'),
(14529, '37400', 'Amboise', '37', 'FR'),
(14530, '37500', 'Anch�', '37', 'FR'),
(14531, '37800', 'Antogny le Tillac', '37', 'FR'),
(14532, '37260', 'Artannes sur Indre', '37', 'FR'),
(14533, '37120', 'Assay', '37', 'FR'),
(14534, '37270', 'Ath�e sur Cher', '37', 'FR'),
(14535, '37110', 'Autr�che', '37', 'FR'),
(14536, '37110', 'Auzouer en Touraine', '37', 'FR'),
(14537, '37420', 'Avoine', '37', 'FR'),
(14538, '37220', 'Avon les Roches', '37', 'FR'),
(14539, '37340', 'Avrill� les Ponceaux', '37', 'FR'),
(14540, '37190', 'Azay le Rideau', '37', 'FR'),
(14541, '37270', 'Azay sur Cher', '37', 'FR'),
(14542, '37310', 'Azay sur Indre', '37', 'FR'),
(14543, '37510', 'Ballan Mir�', '37', 'FR'),
(14544, '37350', 'Barrou', '37', 'FR'),
(14545, '37600', 'Beaulieu l�s Loches', '37', 'FR'),
(14546, '37360', 'Beaumont la Ronce', '37', 'FR'),
(14547, '37420', 'Beaumont en V�ron', '37', 'FR'),
(14548, '37460', 'Beaumont Village', '37', 'FR'),
(14549, '37140', 'Benais', '37', 'FR'),
(14550, '37510', 'Berthenay', '37', 'FR'),
(14551, '37600', 'Betz le Ch�teau', '37', 'FR'),
(14552, '37150', 'Bl�r�', '37', 'FR'),
(14553, '37290', 'Bossay sur Claise', '37', 'FR'),
(14554, '37240', 'Boss�e', '37', 'FR'),
(14555, '37110', 'Boulay', '37', 'FR'),
(14556, '37140', 'Bourgueil', '37', 'FR'),
(14557, '37240', 'Bournan', '37', 'FR'),
(14558, '37290', 'Boussay', '37', 'FR'),
(14559, '37120', 'Braslou', '37', 'FR'),
(14560, '37120', 'Braye sous Faye', '37', 'FR'),
(14561, '37330', 'Braye sur Maulne', '37', 'FR'),
(14562, '37330', 'Br�ches', '37', 'FR'),
(14563, '37130', 'Br�h�mont', '37', 'FR'),
(14564, '37600', 'Bridor�', '37', 'FR'),
(14565, '37220', 'Brizay', '37', 'FR'),
(14566, '37370', 'Bueil en Touraine', '37', 'FR'),
(14567, '37500', 'Candes Saint Martin', '37', 'FR'),
(14568, '37530', 'Cangey', '37', 'FR'),
(14569, '37350', 'La Celle Gu�nand', '37', 'FR'),
(14570, '37160', 'La Celle Saint Avant', '37', 'FR'),
(14571, '37460', 'C�r� la Ronde', '37', 'FR'),
(14572, '37390', 'Cerelles', '37', 'FR'),
(14573, '37290', 'Chambon', '37', 'FR'),
(14574, '37310', 'Chambourg sur Indre', '37', 'FR'),
(14575, '37170', 'Chambray l�s Tours', '37', 'FR'),
(14576, '37120', 'Champigny sur Veude', '37', 'FR'),
(14577, '37210', 'Chan�ay', '37', 'FR'),
(14578, '37600', 'Chanceaux pr�s Loches', '37', 'FR'),
(14579, '37390', 'Chanceaux sur Choisille', '37', 'FR'),
(14580, '37330', 'Channay sur Lathan', '37', 'FR'),
(14581, '37130', 'La Chapelle aux Naux', '37', 'FR'),
(14582, '37240', 'La Chapelle Blanche Saint Martin', '37', 'FR'),
(14583, '37140', 'La Chapelle sur Loire', '37', 'FR'),
(14584, '37390', 'Charentilly', '37', 'FR'),
(14585, '37530', 'Charg�', '37', 'FR'),
(14586, '37290', 'Charnizay', '37', 'FR'),
(14587, '37330', 'Ch�teau la Valli�re', '37', 'FR'),
(14588, '37110', 'Ch�teau Renault', '37', 'FR'),
(14589, '37350', 'Chaumussay', '37', 'FR'),
(14590, '37120', 'Chaveignes', '37', 'FR'),
(14591, '37310', 'Ch�digny', '37', 'FR'),
(14592, '37190', 'Cheill�', '37', 'FR'),
(14593, '37370', 'Chemill� sur D�me', '37', 'FR'),
(14594, '37460', 'Chemill� sur Indrois', '37', 'FR'),
(14595, '37150', 'Chenonceaux', '37', 'FR'),
(14596, '37220', 'Ch�zelles', '37', 'FR'),
(14597, '37500', 'Chinon', '37', 'FR'),
(14598, '37150', 'Chisseaux', '37', 'FR'),
(14599, '37140', 'Chouz� sur Loire', '37', 'FR'),
(14600, '37310', 'Cigogn�', '37', 'FR'),
(14601, '37500', 'Cinais', '37', 'FR'),
(14602, '37130', 'Cinq Mars la Pile', '37', 'FR'),
(14603, '37240', 'Ciran', '37', 'FR'),
(14604, '37150', 'Civray de Touraine', '37', 'FR'),
(14605, '37160', 'Civray sur Esves', '37', 'FR'),
(14606, '37340', 'Cl�r� les Pins', '37', 'FR'),
(14607, '37340', 'Continvoir', '37', 'FR'),
(14608, '37320', 'Cormery', '37', 'FR'),
(14609, '37330', 'Couesmes', '37', 'FR'),
(14610, '37310', 'Cour�ay', '37', 'FR'),
(14611, '37330', 'Courcelles de Touraine', '37', 'FR'),
(14612, '37120', 'Courcou�', '37', 'FR'),
(14613, '37500', 'Couziers', '37', 'FR'),
(14614, '37500', 'Cravant les Coteaux', '37', 'FR'),
(14615, '37220', 'Crissay sur Manse', '37', 'FR'),
(14616, '37150', 'La Croix en Touraine', '37', 'FR'),
(14617, '37380', 'Crotelles', '37', 'FR'),
(14618, '37220', 'Crouzilles', '37', 'FR'),
(14619, '37240', 'Cussay', '37', 'FR'),
(14620, '37110', 'Dame Marie les Bois', '37', 'FR'),
(14621, '37150', 'Dierre', '37', 'FR'),
(14622, '37310', 'Dolus le Sec', '37', 'FR'),
(14623, '37800', 'Drach�', '37', 'FR'),
(14624, '37190', 'Druye', '37', 'FR'),
(14625, '37150', '�peign� les Bois', '37', 'FR'),
(14626, '37370', '�peign� sur D�me', '37', 'FR'),
(14627, '37130', 'Essards', '37', 'FR'),
(14628, '37240', 'Esves le Moutier', '37', 'FR'),
(14629, '37320', 'Esvres', '37', 'FR'),
(14630, '37120', 'Faye la Vineuse', '37', 'FR'),
(14631, '37110', 'Ferri�re', '37', 'FR'),
(14632, '37350', 'Ferri�re Lar�on', '37', 'FR'),
(14633, '37600', 'Ferri�re sur Beaulieu', '37', 'FR'),
(14634, '37230', 'Fondettes', '37', 'FR'),
(14635, '37150', 'Francueil', '37', 'FR'),
(14636, '37460', 'G�nill�', '37', 'FR'),
(14637, '37340', 'Gizeux', '37', 'FR'),
(14638, '37350', 'Le Grand Pressigny', '37', 'FR'),
(14639, '37350', 'La Guerche', '37', 'FR'),
(14640, '37160', 'Descartes', '37', 'FR'),
(14641, '37110', 'Les Hermites', '37', 'FR'),
(14642, '37340', 'Hommes', '37', 'FR'),
(14643, '37420', 'Huismes', '37', 'FR'),
(14644, '37220', 'L''�le Bouchard', '37', 'FR'),
(14645, '37140', 'Ingrandes de Touraine', '37', 'FR'),
(14646, '37120', 'Jaulnay', '37', 'FR'),
(14647, '37300', 'Jou� l�s Tours', '37', 'FR'),
(14648, '37510', 'Jou� l�s Tours', '37', 'FR'),
(14649, '37130', 'Langeais', '37', 'FR'),
(14650, '37270', 'Lar�ay', '37', 'FR'),
(14651, '37120', 'L�mer�', '37', 'FR'),
(14652, '37500', 'Lern�', '37', 'FR'),
(14653, '37460', 'Le Li�ge', '37', 'FR'),
(14654, '37130', 'Ligni�res de Touraine', '37', 'FR'),
(14655, '37500', 'Ligr�', '37', 'FR'),
(14656, '37240', 'Ligueil', '37', 'FR'),
(14657, '37530', 'Limeray', '37', 'FR'),
(14658, '37600', 'Loches', '37', 'FR'),
(14659, '37460', 'Loch� sur Indrois', '37', 'FR'),
(14660, '37320', 'Louans', '37', 'FR'),
(14661, '37370', 'Louestault', '37', 'FR'),
(14662, '37240', 'Le Louroux', '37', 'FR'),
(14663, '37330', 'Lubl�', '37', 'FR'),
(14664, '37400', 'Lussault sur Loire', '37', 'FR'),
(14665, '37230', 'Luynes', '37', 'FR'),
(14666, '37120', 'Luz�', '37', 'FR'),
(14667, '37150', 'Luzill�', '37', 'FR'),
(14668, '37800', 'Maill�', '37', 'FR'),
(14669, '37240', 'Manthelan', '37', 'FR'),
(14670, '37500', 'Mar�ay', '37', 'FR'),
(14671, '37160', 'Marc� sur Esves', '37', 'FR'),
(14672, '37330', 'Marcilly sur Maulne', '37', 'FR'),
(14673, '37800', 'Marcilly sur Vienne', '37', 'FR'),
(14674, '37120', 'Marigny Marmande', '37', 'FR'),
(14675, '37370', 'Marray', '37', 'FR'),
(14676, '37130', 'Mazi�res de Touraine', '37', 'FR'),
(14677, '37390', 'Membrolle sur Choisille', '37', 'FR'),
(14678, '37390', 'Mettray', '37', 'FR'),
(14679, '37380', 'Monnaie', '37', 'FR'),
(14680, '37250', 'Montbazon', '37', 'FR'),
(14681, '37110', 'Monthodon', '37', 'FR'),
(14682, '37270', 'Montlouis sur Loire', '37', 'FR'),
(14683, '37460', 'Montr�sor', '37', 'FR'),
(14684, '37530', 'Montreuil en Touraine', '37', 'FR'),
(14685, '37260', 'Monts', '37', 'FR'),
(14686, '37110', 'Morand', '37', 'FR'),
(14687, '37530', 'Mosnes', '37', 'FR'),
(14688, '37600', 'Mouzay', '37', 'FR'),
(14689, '37530', 'Nazelles N�gron', '37', 'FR'),
(14690, '37190', 'Neuil', '37', 'FR'),
(14691, '37380', 'Neuill� le Lierre', '37', 'FR'),
(14692, '37360', 'Neuill� Pont Pierre', '37', 'FR'),
(14693, '37160', 'Neuilly le Brignon', '37', 'FR'),
(14694, '37110', 'Neuville sur Brenne', '37', 'FR'),
(14695, '37370', 'Neuvy le Roi', '37', 'FR'),
(14696, '37210', 'Noizay', '37', 'FR'),
(14697, '37390', 'Notre Dame d''O�', '37', 'FR'),
(14698, '37460', 'Nouans les Fontaines', '37', 'FR'),
(14699, '37800', 'Nou�tre', '37', 'FR'),
(14700, '37380', 'Nouzilly', '37', 'FR'),
(14701, '37800', 'Noyant de Touraine', '37', 'FR'),
(14702, '37460', 'Orbigny', '37', 'FR'),
(14703, '37220', 'Panzoult', '37', 'FR'),
(14704, '37210', 'Par�ay Meslay', '37', 'FR'),
(14705, '37220', 'Par�ay sur Vienne', '37', 'FR'),
(14706, '37350', 'Paulmy', '37', 'FR'),
(14707, '37230', 'Pernay', '37', 'FR'),
(14708, '37600', 'Perrusson', '37', 'FR'),
(14709, '37350', 'Le Petit Pressigny', '37', 'FR'),
(14710, '37530', 'Poc� sur Cisse', '37', 'FR'),
(14711, '37260', 'Pont de Ruan', '37', 'FR'),
(14712, '37800', 'Ports', '37', 'FR'),
(14713, '37800', 'Pouzay', '37', 'FR'),
(14714, '37290', 'Preuilly sur Claise', '37', 'FR'),
(14715, '37800', 'Pussigny', '37', 'FR'),
(14716, '37120', 'Razines', '37', 'FR'),
(14717, '37310', 'Reignac sur Indre', '37', 'FR'),
(14718, '37140', 'Restign�', '37', 'FR'),
(14719, '37380', 'Reugny', '37', 'FR'),
(14720, '37520', 'La Riche', '37', 'FR'),
(14721, '37120', 'Richelieu', '37', 'FR'),
(14722, '37420', 'Rigny Uss�', '37', 'FR'),
(14723, '37340', 'Rill�', '37', 'FR'),
(14724, '37220', 'Rilly sur Vienne', '37', 'FR'),
(14725, '37190', 'Rivarennes', '37', 'FR'),
(14726, '37500', 'Rivi�re', '37', 'FR'),
(14727, '37500', 'La Roche Clermault', '37', 'FR'),
(14728, '37210', 'Rochecorbon', '37', 'FR'),
(14729, '37360', 'Rouziers de Touraine', '37', 'FR'),
(14730, '37190', 'Sach�', '37', 'FR'),
(14731, '37360', 'Saint Antoine du Rocher', '37', 'FR'),
(14732, '37370', 'Saint Aubin le D�peint', '37', 'FR'),
(14733, '37550', 'Saint Avertin', '37', 'FR'),
(14734, '37310', 'Saint Bauld', '37', 'FR'),
(14735, '37500', 'Saint Beno�t la For�t', '37', 'FR'),
(14736, '37320', 'Saint Branchs', '37', 'FR'),
(14737, '37800', 'Sainte Catherine de Fierbois', '37', 'FR'),
(14738, '37370', 'Saint Christophe sur le Nais', '37', 'FR'),
(14739, '37540', 'Saint Cyr sur Loire', '37', 'FR'),
(14740, '37800', 'Saint �pain', '37', 'FR'),
(14741, '37230', 'Saint �tienne de Chigny', '37', 'FR'),
(14742, '37600', 'Saint Flovier', '37', 'FR'),
(14743, '37510', 'Saint Genouph', '37', 'FR'),
(14744, '37500', 'Saint Germain sur Vienne', '37', 'FR'),
(14745, '37600', 'Saint Hippolyte', '37', 'FR'),
(14746, '37600', 'Saint Jean Saint Germain', '37', 'FR'),
(14747, '37330', 'Saint Laurent de Lin', '37', 'FR'),
(14748, '37380', 'Saint Laurent en G�tines', '37', 'FR'),
(14749, '37270', 'Saint Martin le Beau', '37', 'FR'),
(14750, '37800', 'Sainte Maure de Touraine', '37', 'FR'),
(14751, '37130', 'Saint Michel sur Loire', '37', 'FR'),
(14752, '37140', 'Saint Nicolas de Bourgueil', '37', 'FR'),
(14753, '37110', 'Saint Nicolas des Motets', '37', 'FR'),
(14754, '37530', 'Saint Ouen les Vignes', '37', 'FR'),
(14755, '37370', 'Saint Paterne Racan', '37', 'FR'),
(14756, '37130', 'Saint Patrice', '37', 'FR'),
(14757, '37700', 'Saint Pierre des Corps', '37', 'FR'),
(14758, '37310', 'St Quentin sur Indrois', '37', 'FR'),
(14759, '37530', 'Saint R�gle', '37', 'FR'),
(14760, '37390', 'Saint Roch', '37', 'FR'),
(14761, '37600', 'Saint Senoch', '37', 'FR'),
(14762, '37110', 'Saunay', '37', 'FR'),
(14763, '37340', 'Savign� sur Lathan', '37', 'FR'),
(14764, '37420', 'Savigny en v�ron', '37', 'FR'),
(14765, '37510', 'Savonni�res', '37', 'FR'),
(14766, '37220', 'Sazilly', '37', 'FR'),
(14767, '37360', 'Semblan�ay', '37', 'FR'),
(14768, '37600', 'Sennevi�res', '37', 'FR'),
(14769, '37800', 'Sepmes', '37', 'FR'),
(14770, '37500', 'Seuilly', '37', 'FR'),
(14771, '37360', 'Sonzay', '37', 'FR'),
(14772, '37250', 'Sorigny', '37', 'FR'),
(14773, '37330', 'Souvign�', '37', 'FR'),
(14774, '37530', 'Souvigny de Touraine', '37', 'FR'),
(14775, '37310', 'Sublaines', '37', 'FR'),
(14776, '37310', 'Tauxigny', '37', 'FR'),
(14777, '37220', 'Tavant', '37', 'FR'),
(14778, '37220', 'Theneuil', '37', 'FR'),
(14779, '37260', 'Thilouze', '37', 'FR'),
(14780, '37500', 'Thizay', '37', 'FR'),
(14781, '37290', 'Tournon Saint Pierre', '37', 'FR'),
(14782, '37120', 'La Tour Saint Gelin', '37', 'FR'),
(14783, '37100', 'Tours', '37', 'FR'),
(14784, '37200', 'Tours', '37', 'FR'),
(14785, '37000', 'Tours', '37', 'FR'),
(14786, '37220', 'Trogues', '37', 'FR'),
(14787, '37320', 'Truyes', '37', 'FR'),
(14788, '37190', 'Vall�res', '37', 'FR'),
(14789, '37600', 'Varennes', '37', 'FR'),
(14790, '37250', 'Veign�', '37', 'FR'),
(14791, '37270', 'V�retz', '37', 'FR'),
(14792, '37120', 'Verneuil le Ch�teau', '37', 'FR'),
(14793, '37600', 'Verneuil sur Indre', '37', 'FR'),
(14794, '37210', 'Vernou sur Brenne', '37', 'FR'),
(14795, '37190', 'Villaines les Rochers', '37', 'FR'),
(14796, '37510', 'Villandry', '37', 'FR'),
(14797, '37700', 'La Ville aux Dames', '37', 'FR'),
(14798, '37370', 'Villebourg', '37', 'FR'),
(14799, '37460', 'Villed�main', '37', 'FR'),
(14800, '37110', 'Villed�mer', '37', 'FR'),
(14801, '37460', 'Villeloin Coulang�', '37', 'FR'),
(14802, '37260', 'Villeperdue', '37', 'FR'),
(14803, '37330', 'Villiers au Bouin', '37', 'FR'),
(14804, '37240', 'Vou', '37', 'FR'),
(14805, '37210', 'Vouvray', '37', 'FR'),
(14806, '37290', 'Yzeures sur Creuse', '37', 'FR'),
(14807, '38490', 'Les Abrets', '38', 'FR'),
(14808, '38190', 'Les Adrets', '38', 'FR'),
(14809, '38150', 'Agnin', '38', 'FR'),
(14810, '38470', 'L''Albenc', '38', 'FR'),
(14811, '38114', 'Allemond', '38', 'FR'),
(14812, '38580', 'Allevard', '38', 'FR'),
(14813, '38970', 'Ambel', '38', 'FR'),
(14814, '38150', 'Anjou', '38', 'FR'),
(14815, '38460', 'Annoisin Chatelans', '38', 'FR'),
(14816, '38280', 'Anthon', '38', 'FR'),
(14817, '38490', 'Aoste', '38', 'FR'),
(14818, '38140', 'Apprieu', '38', 'FR'),
(14819, '38510', 'Arandon', '38', 'FR'),
(14820, '38440', 'Artas', '38', 'FR'),
(14821, '38260', 'Arzay', '38', 'FR'),
(14822, '38150', 'Assieu', '38', 'FR'),
(14823, '38680', 'Auberives en Royans', '38', 'FR'),
(14824, '38550', 'Aub�rives sur Var�ze', '38', 'FR'),
(14825, '38142', 'Auris', '38', 'FR'),
(14826, '38880', 'Autrans', '38', 'FR'),
(14827, '38630', 'Les Aveni�res', '38', 'FR'),
(14828, '38650', 'Avignonet', '38', 'FR'),
(14829, '38300', 'Badini�res', '38', 'FR'),
(14830, '38260', 'Balbins', '38', 'FR'),
(14831, '38390', 'La Balme les Grottes', '38', 'FR'),
(14832, '38530', 'Barraux', '38', 'FR'),
(14833, '38490', 'La B�tie Divisin', '38', 'FR'),
(14834, '38110', 'La B�tie Montgascon', '38', 'FR'),
(14835, '38140', 'Beaucroissant', '38', 'FR'),
(14836, '38970', 'Beaufin', '38', 'FR'),
(14837, '38270', 'Beaufort', '38', 'FR'),
(14838, '38470', 'Beaulieu', '38', 'FR'),
(14839, '38270', 'Beaurepaire', '38', 'FR'),
(14840, '38440', 'Beauvoir de Marc', '38', 'FR'),
(14841, '38160', 'Beauvoir en Royans', '38', 'FR'),
(14842, '38270', 'Bellegarde Poussieu', '38', 'FR'),
(14843, '38690', 'Belmont', '38', 'FR'),
(14844, '38190', 'Bernin', '38', 'FR'),
(14845, '38142', 'Besse', '38', 'FR'),
(14846, '38160', 'Bessins', '38', 'FR'),
(14847, '38690', 'Bevenais', '38', 'FR'),
(14848, '38850', 'Bilieu', '38', 'FR'),
(14849, '38690', 'Biol', '38', 'FR'),
(14850, '38330', 'Biviers', '38', 'FR'),
(14851, '38690', 'Bizonnes', '38', 'FR'),
(14852, '38730', 'Blandin', '38', 'FR'),
(14853, '38090', 'Bonnefamille', '38', 'FR'),
(14854, '38260', 'Bossieu', '38', 'FR'),
(14855, '38510', 'Le Bouchage', '38', 'FR'),
(14856, '38150', 'Boug� Chambalud', '38', 'FR'),
(14857, '38520', 'Le Bourg d''Oisans', '38', 'FR'),
(14858, '38300', 'Bourgoin Jallieu', '38', 'FR'),
(14859, '38390', 'Bouvesse Quirieu', '38', 'FR'),
(14860, '38510', 'Brangues', '38', 'FR'),
(14861, '38870', 'Bressieux', '38', 'FR'),
(14862, '38320', 'Bresson', '38', 'FR'),
(14863, '38590', 'Br�zins', '38', 'FR'),
(14864, '38320', 'Bri� et Angonnes', '38', 'FR'),
(14865, '38590', 'Brion', '38', 'FR'),
(14866, '38500', 'La Buisse', '38', 'FR'),
(14867, '38530', 'La Buissi�re', '38', 'FR'),
(14868, '38690', 'Burcin', '38', 'FR'),
(14869, '38110', 'Cessieu', '38', 'FR'),
(14870, '38690', 'Ch�bons', '38', 'FR'),
(14871, '38122', 'Ch�lons', '38', 'FR'),
(14872, '38460', 'Chamagnieu', '38', 'FR'),
(14873, '38800', 'Champagnier', '38', 'FR'),
(14874, '38260', 'Champier', '38', 'FR'),
(14875, '38190', 'Le Champ pr�s Froges', '38', 'FR'),
(14876, '38560', 'Champ sur Drac', '38', 'FR'),
(14877, '38150', 'Chanas', '38', 'FR'),
(14878, '38740', 'Chantelouve', '38', 'FR'),
(14879, '38470', 'Chantesse', '38', 'FR'),
(14880, '38530', 'Chapareillan', '38', 'FR'),
(14881, '38110', 'La Chapelle de la Tour', '38', 'FR'),
(14882, '38150', 'La Chapelle de Surieu', '38', 'FR'),
(14883, '38580', 'La Chapelle du Bard', '38', 'FR'),
(14884, '38490', 'Charancieu', '38', 'FR'),
(14885, '38790', 'Charantonnay', '38', 'FR'),
(14886, '38850', 'Charavines', '38', 'FR'),
(14887, '38390', 'Charette', '38', 'FR'),
(14888, '38140', 'Charn�cles', '38', 'FR'),
(14889, '38230', 'Charvieu Chavagneux', '38', 'FR'),
(14890, '38470', 'Chasselay', '38', 'FR'),
(14891, '38670', 'Chasse sur Rh�ne', '38', 'FR'),
(14892, '38730', 'Chassignieu', '38', 'FR'),
(14893, '38650', 'Ch�teau Bernard', '38', 'FR'),
(14894, '38300', 'Ch�teauvilain', '38', 'FR'),
(14895, '38680', 'Ch�telus', '38', 'FR'),
(14896, '38980', 'Ch�tenay', '38', 'FR'),
(14897, '38440', 'Ch�tonnay', '38', 'FR'),
(14898, '38160', 'Chatte', '38', 'FR'),
(14899, '38230', 'Chavanoz', '38', 'FR'),
(14900, '38730', 'Ch�lieu', '38', 'FR'),
(14901, '38160', 'Chevri�res', '38', 'FR'),
(14902, '38570', 'Le Cheylas', '38', 'FR'),
(14903, '38550', 'Cheyssieu', '38', 'FR'),
(14904, '38300', 'Chezeneuve', '38', 'FR'),
(14905, '38930', 'Chichilianne', '38', 'FR'),
(14906, '38490', 'Chimilin', '38', 'FR'),
(14907, '38850', 'Chirens', '38', 'FR'),
(14908, '38220', 'Cholonge', '38', 'FR'),
(14909, '38121', 'Chonas l''Amballan', '38', 'FR'),
(14910, '38680', 'Choranche', '38', 'FR'),
(14911, '38460', 'Chozeau', '38', 'FR'),
(14912, '38200', 'Chuzelles', '38', 'FR'),
(14913, '38640', 'Claix', '38', 'FR'),
(14914, '38142', 'Clavans en Haut Oisans', '38', 'FR'),
(14915, '38930', 'Clelles', '38', 'FR'),
(14916, '38550', 'Clonas sur Var�ze', '38', 'FR'),
(14917, '38650', 'St Martin de la Cluze', '38', 'FR'),
(14918, '38350', 'Cognet', '38', 'FR'),
(14919, '38470', 'Cognin les Gorges', '38', 'FR'),
(14920, '38690', 'Colombe', '38', 'FR'),
(14921, '38190', 'La Combe de Lancey', '38', 'FR'),
(14922, '38260', 'Commelle', '38', 'FR'),
(14923, '38630', 'Corbelin', '38', 'FR'),
(14924, '38710', 'Cord�ac', '38', 'FR'),
(14925, '38700', 'Corenc', '38', 'FR'),
(14926, '38710', 'Cornillon en Tri�ves', '38', 'FR'),
(14927, '38970', 'orps', '38', 'FR'),
(14928, '38250', 'Corren�on en Vercors', '38', 'FR'),
(14929, '38260', 'La C�te Saint Andr�', '38', 'FR'),
(14930, '38138', 'C�tes d''Arey', '38', 'FR'),
(14931, '38970', 'C�tes de Corps', '38', 'FR'),
(14932, '38500', 'Coublevie', '38', 'FR'),
(14933, '38122', 'Cour et Buis', '38', 'FR'),
(14934, '38510', 'Courtenay', '38', 'FR'),
(14935, '38300', 'Crachier', '38', 'FR'),
(14936, '38210', 'Cras', '38', 'FR'),
(14937, '38460', 'Cr�mieu', '38', 'FR'),
(14938, '38510', 'Creys M�pieu', '38', 'FR'),
(14939, '38190', 'Crolles', '38', 'FR'),
(14940, '38300', 'Culin', '38', 'FR'),
(14941, '38510', 'Curtin', '38', 'FR'),
(14942, '38790', 'Di�moz', '38', 'FR'),
(14943, '38160', 'Dionay', '38', 'FR'),
(14944, '38460', 'Dizimieu', '38', 'FR'),
(14945, '38730', 'Doissin', '38', 'FR'),
(14946, '38110', 'Dolomieu', '38', 'FR'),
(14947, '38300', 'Domarin', '38', 'FR'),
(14948, '38420', 'Dom�ne', '38', 'FR'),
(14949, '38130', '�chirolles', '38', 'FR'),
(14950, '38300', '�close', '38', 'FR'),
(14951, '38360', 'Engins', '38', 'FR'),
(14952, '38740', 'Entraigues', '38', 'FR'),
(14953, '38380', 'Entre deux Guiers', '38', 'FR'),
(14954, '38300', 'Les �parres', '38', 'FR'),
(14955, '38780', 'Estrablin', '38', 'FR'),
(14956, '38320', 'Eybens', '38', 'FR'),
(14957, '38690', 'Eydoche', '38', 'FR'),
(14958, '38780', 'Eyzin Pinet', '38', 'FR'),
(14959, '38260', 'Faramans', '38', 'FR'),
(14960, '38110', 'Faverges de la Tour', '38', 'FR'),
(14961, '38580', 'La Ferri�re', '38', 'FR'),
(14962, '38490', 'Fitilieu', '38', 'FR'),
(14963, '38530', 'Flach�re', '38', 'FR'),
(14964, '38690', 'Flach�res', '38', 'FR'),
(14965, '38600', 'Fontaine', '38', 'FR'),
(14966, '38120', 'Fontanil Cornillon', '38', 'FR'),
(14967, '38590', 'La Forteresse', '38', 'FR'),
(14968, '38080', 'Four', '38', 'FR'),
(14969, '38142', 'Le Freney d''Oisans', '38', 'FR'),
(14970, '38260', 'La Frette', '38', 'FR'),
(14971, '38190', 'Froges', '38', 'FR'),
(14972, '38290', 'Frontonas', '38', 'FR'),
(14973, '38520', 'Garde', '38', 'FR'),
(14974, '38610', 'Gi�res', '38', 'FR'),
(14975, '38260', 'Gillonnay', '38', 'FR'),
(14976, '38570', 'Goncelin', '38', 'FR'),
(14977, '38690', 'Le Grand Lemps', '38', 'FR'),
(14978, '38490', 'Granieu', '38', 'FR'),
(14979, '38540', 'Grenay', '38', 'FR'),
(14980, '38000', 'Grenoble', '38', 'FR'),
(14981, '38100', 'Grenoble', '38', 'FR'),
(14982, '38650', 'Gresse en Vercors', '38', 'FR'),
(14983, '38450', 'Le Gu�', '38', 'FR'),
(14984, '38320', 'Herbeys', '38', 'FR'),
(14985, '38540', 'Heyrieux', '38', 'FR'),
(14986, '38118', 'Hi�res sur Amby', '38', 'FR'),
(14987, '38750', 'Huez', '38', 'FR'),
(14988, '38570', 'Hurti�res', '38', 'FR'),
(14989, '38080', 'L''Isle d''Abeau', '38', 'FR'),
(14990, '38140', 'Izeaux', '38', 'FR'),
(14991, '38160', 'Izeron', '38', 'FR'),
(14992, '38280', 'Janneyrias', '38', 'FR'),
(14993, '38270', 'Jarcieu', '38', 'FR'),
(14994, '38200', 'Jardin', '38', 'FR'),
(14995, '38560', 'Jarrie', '38', 'FR'),
(14996, '38220', 'Laffrey', '38', 'FR'),
(14997, '38930', 'Lalley', '38', 'FR'),
(14998, '38250', 'Lans en Vercors', '38', 'FR'),
(14999, '38190', 'aval', '38', 'FR'),
(15000, '38350', 'Lavaldens', '38', 'FR'),
(15001, '38710', 'Lavars', '38', 'FR'),
(15002, '38270', 'Lentiol', '38', 'FR'),
(15003, '38460', 'Leyrieu', '38', 'FR'),
(15004, '38440', 'Lieudieu', '38', 'FR'),
(15005, '38220', 'Livet et Gavet', '38', 'FR'),
(15006, '38690', 'Longechenal', '38', 'FR'),
(15007, '38660', 'Lumbin', '38', 'FR'),
(15008, '38200', 'Luzinay', '38', 'FR'),
(15009, '38470', 'Malleval', '38', 'FR'),
(15010, '38350', 'Marcieu', '38', 'FR'),
(15011, '38260', 'Marcilloles', '38', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(15012, '38270', 'Marcollin', '38', 'FR'),
(15013, '38980', 'Marnans', '38', 'FR'),
(15014, '38620', 'Massieu', '38', 'FR'),
(15015, '38300', 'Maubec', '38', 'FR'),
(15016, '38350', 'Mayres Savel', '38', 'FR'),
(15017, '38112', 'M�audre', '38', 'FR'),
(15018, '38710', 'Mens', '38', 'FR'),
(15019, '38510', 'M�pieu', '38', 'FR'),
(15020, '38620', 'Merlas', '38', 'FR'),
(15021, '38240', 'Meylan', '38', 'FR'),
(15022, '38300', 'Meyri�', '38', 'FR'),
(15023, '38440', 'Meyrieu les Etangs', '38', 'FR'),
(15024, '38440', 'Meyssi�s', '38', 'FR'),
(15025, '38450', 'Miribel Lanch�tre', '38', 'FR'),
(15026, '38380', 'Miribel les �chelles', '38', 'FR'),
(15027, '38142', 'Mizo�n', '38', 'FR'),
(15028, '38440', 'Moidieu D�tourbe', '38', 'FR'),
(15029, '38430', 'Moirans', '38', 'FR'),
(15030, '38270', 'Moissieu sur Dolon', '38', 'FR'),
(15031, '38970', 'Monestier d''Ambel', '38', 'FR'),
(15032, '38650', 'Monestier de Clermont', '38', 'FR'),
(15033, '38930', 'Le Monestier du Percy', '38', 'FR'),
(15034, '38122', 'Monst�roux Milieu', '38', 'FR'),
(15035, '38160', 'Montagne', '38', 'FR'),
(15036, '38110', 'Montagnieu', '38', 'FR'),
(15037, '38390', 'Montalieu Vercieu', '38', 'FR'),
(15038, '38210', 'Montaud', '38', 'FR'),
(15039, '38330', 'Montbonnot Saint Martin', '38', 'FR'),
(15040, '38890', 'Montcarra', '38', 'FR'),
(15041, '38300', 'Montceau', '38', 'FR'),
(15042, '38220', 'Montchaboud', '38', 'FR'),
(15043, '38860', 'Mont de Lans', '38', 'FR'),
(15044, '38770', 'Monteynard', '38', 'FR'),
(15045, '38940', 'Montfalcon', '38', 'FR'),
(15046, '38620', 'Montferrat', '38', 'FR'),
(15047, '38690', 'Montrevel', '38', 'FR'),
(15048, '38120', 'Mont Saint Martin', '38', 'FR'),
(15049, '38122', 'Montseveroux', '38', 'FR'),
(15050, '38460', 'Moras', '38', 'FR'),
(15051, '38510', 'Morestel', '38', 'FR'),
(15052, '38570', 'Mor�tel de Mailles', '38', 'FR'),
(15053, '38210', 'Morette', '38', 'FR'),
(15054, '38350', 'La Morte', '38', 'FR'),
(15055, '38770', 'La Motte d''Aveillans', '38', 'FR'),
(15056, '38770', 'La Motte Saint Martin', '38', 'FR'),
(15057, '38260', 'Mottier', '38', 'FR'),
(15058, '38580', 'Le Moutaret', '38', 'FR'),
(15059, '38350', 'Mure', '38', 'FR'),
(15060, '38140', 'La Murette', '38', 'FR'),
(15061, '38420', 'Murianette', '38', 'FR'),
(15062, '38160', 'Murinais', '38', 'FR'),
(15063, '38350', 'Nantes en Ratier', '38', 'FR'),
(15064, '38260', 'Nantoin', '38', 'FR'),
(15065, '38470', 'Serre Nerpol', '38', 'FR'),
(15066, '38300', 'Nivolas Vermelle', '38', 'FR'),
(15067, '38450', 'Notre Dame de Commiers', '38', 'FR'),
(15068, '38470', 'Notre Dame de l''Osier', '38', 'FR'),
(15069, '38220', 'Notre Dame de M�sage', '38', 'FR'),
(15070, '38144', 'Notre Dame de Vaux', '38', 'FR'),
(15071, '38360', 'Noyarey', '38', 'FR'),
(15072, '38460', 'Optevoz', '38', 'FR'),
(15073, '38350', 'Oris en Rattier', '38', 'FR'),
(15074, '38260', 'Ornacieux', '38', 'FR'),
(15075, '38520', 'Ornon', '38', 'FR'),
(15076, '38520', 'Oulles', '38', 'FR'),
(15077, '38690', 'Oyeu', '38', 'FR'),
(15078, '38780', 'Oytier Saint Oblas', '38', 'FR'),
(15079, '38114', 'Oz', '38', 'FR'),
(15080, '38270', 'Pact', '38', 'FR'),
(15081, '38260', 'Pajay', '38', 'FR'),
(15082, '38137', 'Paladru', '38', 'FR'),
(15083, '38730', 'Panissage', '38', 'FR'),
(15084, '38460', 'Panossas', '38', 'FR'),
(15085, '38390', 'Parmilieu', '38', 'FR'),
(15086, '38490', 'Le Passage', '38', 'FR'),
(15087, '38510', 'Passins', '38', 'FR'),
(15088, '38550', 'Le P�age de Roussillon', '38', 'FR'),
(15089, '38970', 'Pellafol', '38', 'FR'),
(15090, '38260', 'Penol', '38', 'FR'),
(15091, '38930', 'Percy', '38', 'FR'),
(15092, '38740', 'Le P�rier', '38', 'FR'),
(15093, '38570', 'La Pierre', '38', 'FR'),
(15094, '38119', 'Pierre Ch�tel', '38', 'FR'),
(15095, '38730', 'Le Pin', '38', 'FR'),
(15096, '38580', 'Pinsot', '38', 'FR'),
(15097, '38270', 'Pisieu', '38', 'FR'),
(15098, '38590', 'Plan', '38', 'FR'),
(15099, '38320', 'Poisat', '38', 'FR'),
(15100, '38210', 'Poli�nas', '38', 'FR'),
(15101, '38260', 'Pommier de Beaurepaire', '38', 'FR'),
(15102, '38340', 'Pommiers la Placette', '38', 'FR'),
(15103, '38350', 'Ponsonnas', '38', 'FR'),
(15104, '38530', 'Pontcharra', '38', 'FR'),
(15105, '38480', 'Le Pont de Beauvoisin', '38', 'FR'),
(15106, '38230', 'Pont de Ch�ruy', '38', 'FR'),
(15107, '38800', 'Le Pont de Claix', '38', 'FR'),
(15108, '38780', 'Pont �v�que', '38', 'FR'),
(15109, '38680', 'Pont en Royans', '38', 'FR'),
(15110, '38390', 'Porcieu Amblagnieu', '38', 'FR'),
(15111, '38710', 'Pr�bois', '38', 'FR'),
(15112, '38680', 'Presles', '38', 'FR'),
(15113, '38480', 'Pressins', '38', 'FR'),
(15114, '38270', 'Primarette', '38', 'FR'),
(15115, '38120', 'Proveysieux', '38', 'FR'),
(15116, '38350', 'Pruni�res', '38', 'FR'),
(15117, '38950', 'Quaix en Chartreuse', '38', 'FR'),
(15118, '38970', 'Quet en Beaumont', '38', 'FR'),
(15119, '38470', 'Quincieu', '38', 'FR'),
(15120, '38140', 'R�aumont', '38', 'FR'),
(15121, '38140', 'Renage', '38', 'FR'),
(15122, '38680', 'Rencurel', '38', 'FR'),
(15123, '38420', 'Revel', '38', 'FR'),
(15124, '38270', 'Revel Tourdan', '38', 'FR'),
(15125, '38121', 'Reventin Vaugris', '38', 'FR'),
(15126, '38140', 'Rives', '38', 'FR'),
(15127, '38210', 'La Rivi�re', '38', 'FR'),
(15128, '38090', 'Roche', '38', 'FR'),
(15129, '38370', 'Les Roches de Condrieu', '38', 'FR'),
(15130, '38110', 'Rochetoirin', '38', 'FR'),
(15131, '38650', 'Roissard', '38', 'FR'),
(15132, '38480', 'Romagnieu', '38', 'FR'),
(15133, '38150', 'Roussillon', '38', 'FR'),
(15134, '38470', 'Rovon', '38', 'FR'),
(15135, '38440', 'Royas', '38', 'FR'),
(15136, '38940', 'Roybon', '38', 'FR'),
(15137, '38300', 'Ruy', '38', 'FR'),
(15138, '38550', 'Sablons', '38', 'FR'),
(15139, '38190', 'Sainte Agn�s', '38', 'FR'),
(15140, '38300', 'Saint Agnin sur Bion', '38', 'FR'),
(15141, '38300', 'Saint Alban de Roche', '38', 'FR'),
(15142, '38370', 'Saint Alban du Rh�ne', '38', 'FR'),
(15143, '38480', 'Saint Albin de Vaulserre', '38', 'FR'),
(15144, '38650', 'Saint And�ol', '38', 'FR'),
(15145, '38680', 'Saint Andr� en Royans', '38', 'FR'),
(15146, '38490', 'Saint Andr� le Gaz', '38', 'FR'),
(15147, '38440', 'Sainte Anne sur Gervonde', '38', 'FR'),
(15148, '38160', 'St Antoine l''Abbaye', '38', 'FR'),
(15149, '38160', 'St Appolinard', '38', 'FR'),
(15150, '38350', 'Saint Arey', '38', 'FR'),
(15151, '38960', 'Saint Aupr�', '38', 'FR'),
(15152, '38270', 'Saint Barth�lemy', '38', 'FR'),
(15153, '38220', 'St Barth�lemy de S�chilienne', '38', 'FR'),
(15154, '38118', 'Saint Baudille de la Tour', '38', 'FR'),
(15155, '38710', 'Saint Baudille et Pipet', '38', 'FR'),
(15156, '38660', 'Saint Bernard', '38', 'FR'),
(15157, '38140', 'Saint Blaise du Buis', '38', 'FR'),
(15158, '38110', 'Sainte Blandine', '38', 'FR'),
(15159, '38840', 'Saint Bonnet de Chavagne', '38', 'FR'),
(15160, '38620', 'Saint Bueil', '38', 'FR'),
(15161, '38500', 'Saint Cassien', '38', 'FR'),
(15162, '38890', 'Saint Chef', '38', 'FR'),
(15163, '38520', 'Saint Christophe en Oisans', '38', 'FR'),
(15164, '38380', 'Saint Christophe sur Guiers', '38', 'FR'),
(15165, '38110', 'Saint Clair de la Tour', '38', 'FR'),
(15166, '38370', 'Saint Clair du Rh�ne', '38', 'FR'),
(15167, '38940', 'Saint Clair sur Galaure', '38', 'FR'),
(15168, '38690', 'Saint Didier de Bizonnes', '38', 'FR'),
(15169, '38110', 'Saint Didier de la Tour', '38', 'FR'),
(15170, '38120', 'St Egr�ve', '38', 'FR'),
(15171, '38960', 'Saint �tienne de Crossey', '38', 'FR'),
(15172, '38590', 'Saint �tienne de Saint Geoirs', '38', 'FR'),
(15173, '38710', 'Saint Genis', '38', 'FR'),
(15174, '38620', 'Saint Geoire en Valdaine', '38', 'FR'),
(15175, '38590', 'Saint Geoirs', '38', 'FR'),
(15176, '38450', 'Saint Georges de Commiers', '38', 'FR'),
(15177, '38790', 'Saint Georges d''Esp�ranche', '38', 'FR'),
(15178, '38470', 'Saint Gervais', '38', 'FR'),
(15179, '38650', 'Saint Guillaume', '38', 'FR'),
(15180, '38460', 'Saint Hilaire de Brens', '38', 'FR'),
(15181, '38260', 'Saint Hilaire de la C�te', '38', 'FR'),
(15182, '38840', 'Saint Hilaire du Rosier', '38', 'FR'),
(15183, '38660', 'Saint Hilaire', '38', 'FR'),
(15184, '38350', 'Saint Honor�', '38', 'FR'),
(15185, '38330', 'Saint Ismier', '38', 'FR'),
(15186, '38480', 'Saint Jean d''Avelanne', '38', 'FR'),
(15187, '38440', 'Saint Jean de Bournay', '38', 'FR'),
(15188, '38430', 'Saint Jean de Moirans', '38', 'FR'),
(15189, '38110', 'Saint Jean de Soudain', '38', 'FR'),
(15190, '38220', 'Saint Jean de Vaux', '38', 'FR'),
(15191, '38710', 'Saint Jean d''H�rans', '38', 'FR'),
(15192, '38420', 'Saint Jean le Vieux', '38', 'FR'),
(15193, '38134', 'Saint Joseph de Rivi�re', '38', 'FR'),
(15194, '38122', 'Saint Julien de l''Herms', '38', 'FR'),
(15195, '38134', 'St Julien de Raz', '38', 'FR'),
(15196, '38540', 'Saint Just Chaleyssin', '38', 'FR'),
(15197, '38680', 'Saint Just de Claix', '38', 'FR'),
(15198, '38840', 'Saint Lattier', '38', 'FR'),
(15199, '38380', 'Saint Laurent du Pont', '38', 'FR'),
(15200, '38350', 'Saint Laurent en Beaumont', '38', 'FR'),
(15201, '38970', 'Sainte Luce', '38', 'FR'),
(15202, '38080', 'Saint Marcel Bel Accueil', '38', 'FR'),
(15203, '38160', 'Saint Marcellin', '38', 'FR'),
(15204, '38660', 'Sainte Marie d''Alloix', '38', 'FR'),
(15205, '38660', 'Sainte Marie du Mont', '38', 'FR'),
(15206, '38930', 'Saint Martin de Clelles', '38', 'FR'),
(15207, '38480', 'Saint Martin de Vaulserre', '38', 'FR'),
(15208, '38400', 'Saint Martin d''H�res', '38', 'FR'),
(15209, '38410', 'Saint Martin d''Uriage', '38', 'FR'),
(15210, '38950', 'Saint Martin le Vinoux', '38', 'FR'),
(15211, '38930', 'Saint Maurice en Tri�ves', '38', 'FR'),
(15212, '38550', 'Saint Maurice l''Exil', '38', 'FR'),
(15213, '38530', 'Saint Maximin', '38', 'FR'),
(15214, '38590', 'Saint Michel de Saint Geoirs', '38', 'FR'),
(15215, '38350', 'Saint Michel en Beaumont', '38', 'FR'),
(15216, '38650', 'Saint Michel les Portes', '38', 'FR'),
(15217, '38190', 'Saint Mury Monteymond', '38', 'FR'),
(15218, '38330', 'St Nazaire les Eymes', '38', 'FR'),
(15219, '38500', 'Saint Nicolas de Macherin', '38', 'FR'),
(15220, '38250', 'Saint Nizier du Moucherotte', '38', 'FR'),
(15221, '38490', 'Saint Ondras', '38', 'FR'),
(15222, '38660', 'Saint Pancrasse', '38', 'FR'),
(15223, '38760', 'Saint Paul de Varces', '38', 'FR'),
(15224, '38140', 'Saint Paul d''Izeaux', '38', 'FR'),
(15225, '38650', 'Saint Paul l�s Monestier', '38', 'FR'),
(15226, '38830', 'Saint Pierre d''Allevard', '38', 'FR'),
(15227, '38870', 'Saint Pierre de Bressieux', '38', 'FR'),
(15228, '38380', 'Saint Pierre de Chartreuse', '38', 'FR'),
(15229, '38160', 'Saint Pierre de Ch�rennes', '38', 'FR'),
(15230, '38350', 'Saint Pierre de M�aroz', '38', 'FR'),
(15231, '38220', 'Saint Pierre de M�sage', '38', 'FR'),
(15232, '73670', 'St Pierre d''Entremont', '73', 'FR'),
(15233, '38370', 'Saint Prim', '38', 'FR'),
(15234, '38070', 'Saint Quentin Fallavier', '38', 'FR'),
(15235, '38210', 'Saint Quentin sur Is�re', '38', 'FR'),
(15236, '38460', 'Saint Romain de Jalionas', '38', 'FR'),
(15237, '38150', 'Saint Romain de Surieu', '38', 'FR'),
(15238, '38160', 'Saint Romans', '38', 'FR'),
(15239, '38160', 'Saint Sauveur', '38', 'FR'),
(15240, '38300', 'Saint Savin', '38', 'FR'),
(15241, '38710', 'Saint S�bastien', '38', 'FR'),
(15242, '38870', 'Saint Sim�on de Bressieux', '38', 'FR'),
(15243, '38510', 'Saint Sorlin de Morestel', '38', 'FR'),
(15244, '38200', 'St Sorlin de Vienne', '38', 'FR'),
(15245, '38620', 'Saint Sulpice des Rivoires', '38', 'FR'),
(15246, '38119', 'Saint Th�offrey', '38', 'FR'),
(15247, '38160', 'St V�rand', '38', 'FR'),
(15248, '38110', 'Saint Victor de Cessieu', '38', 'FR'),
(15249, '38510', 'Saint Victor de Morestel', '38', 'FR'),
(15250, '38660', 'Saint Vincent de Mercuze', '38', 'FR'),
(15251, '38890', 'Salagnon', '38', 'FR'),
(15252, '38150', 'Salaise sur Sanne', '38', 'FR'),
(15253, '38970', 'La Salette Fallavaux', '38', 'FR'),
(15254, '38350', 'La Salle en Beaumont', '38', 'FR'),
(15255, '38700', 'Le Sappey en Chartreuse', '38', 'FR'),
(15256, '38700', 'Sarcenas', '38', 'FR'),
(15257, '38260', 'Sardieu', '38', 'FR'),
(15258, '38360', 'Sassenage', '38', 'FR'),
(15259, '38290', 'Satolas et Bonce', '38', 'FR'),
(15260, '38440', 'Savas M�pin', '38', 'FR'),
(15261, '38220', 'S�chilienne', '38', 'FR'),
(15262, '38260', 'Semons', '38', 'FR'),
(15263, '38780', 'Sept�me', '38', 'FR'),
(15264, '38300', 'S�r�zin de la Tour', '38', 'FR'),
(15265, '38510', 'Serm�rieu', '38', 'FR'),
(15266, '38200', 'Serpaize', '38', 'FR'),
(15267, '38170', 'Seyssinet Pariset', '38', 'FR'),
(15268, '38180', 'Seyssins', '38', 'FR'),
(15269, '38200', 'Seyssuel', '38', 'FR'),
(15270, '38460', 'Siccieu St Julien et Carisie', '38', 'FR'),
(15271, '38350', 'Si�voz', '38', 'FR'),
(15272, '38590', 'Sillans', '38', 'FR'),
(15273, '38650', 'Sinard', '38', 'FR'),
(15274, '38460', 'Soleymieu', '38', 'FR'),
(15275, '38840', 'La S�ne', '38', 'FR'),
(15276, '38150', 'Sonnay', '38', 'FR'),
(15277, '38350', 'Sousville', '38', 'FR'),
(15278, '38300', 'Succieu', '38', 'FR'),
(15279, '38350', 'Susville', '38', 'FR'),
(15280, '38470', 'T�che', '38', 'FR'),
(15281, '38570', 'Tencin', '38', 'FR'),
(15282, '38660', 'La Terrasse', '38', 'FR'),
(15283, '38570', 'Theys', '38', 'FR'),
(15284, '38260', 'Thodure', '38', 'FR'),
(15285, '38630', 'Thuellin', '38', 'FR'),
(15286, '38230', 'Tignieu Jameyzieu', '38', 'FR'),
(15287, '38690', 'Torchefelon', '38', 'FR'),
(15288, '38110', 'La Tour du Pin', '38', 'FR'),
(15289, '38660', 'Le Touvet', '38', 'FR'),
(15290, '38300', 'Tramol�', '38', 'FR'),
(15291, '38650', 'Treffort', '38', 'FR'),
(15292, '38710', 'Tr�minis', '38', 'FR'),
(15293, '38460', 'Trept', '38', 'FR'),
(15294, '38700', 'La Tronche', '38', 'FR'),
(15295, '38210', 'Tullins', '38', 'FR'),
(15296, '38740', 'Valbonnais', '38', 'FR'),
(15297, '38540', 'Valencin', '38', 'FR'),
(15298, '38730', 'Valencogne', '38', 'FR'),
(15299, '38350', 'Valette', '38', 'FR'),
(15300, '38740', 'Valjouffrey', '38', 'FR'),
(15301, '38470', 'Varacieux', '38', 'FR'),
(15302, '38760', 'Varces Alli�res et Risset', '38', 'FR'),
(15303, '38890', 'Vasselin', '38', 'FR'),
(15304, '38470', 'Vatilieu', '38', 'FR'),
(15305, '38114', 'Vaujany', '38', 'FR'),
(15306, '38410', 'Vaulnaveys le Bas', '38', 'FR'),
(15307, '38410', 'Vaulnaveys le Haut', '38', 'FR'),
(15308, '38090', 'Vaulx Milieu', '38', 'FR'),
(15309, '38620', 'Velanne', '38', 'FR'),
(15310, '38460', 'V�n�rieu', '38', 'FR'),
(15311, '38610', 'Venon', '38', 'FR'),
(15312, '38520', 'V�nosc', '38', 'FR'),
(15313, '38460', 'Vernas', '38', 'FR'),
(15314, '38150', 'Vernioz', '38', 'FR'),
(15315, '38290', 'La Verpilli�re', '38', 'FR'),
(15316, '38420', 'Le Versoud', '38', 'FR'),
(15317, '38390', 'Vertrieu', '38', 'FR'),
(15318, '38113', 'Veurey Voroize', '38', 'FR'),
(15319, '38630', 'Veyrins Thuellin', '38', 'FR'),
(15320, '38460', 'Veyssilieu', '38', 'FR'),
(15321, '38510', 'V�zeronce Curtin', '38', 'FR'),
(15322, '38200', 'Vienne', '38', 'FR'),
(15323, '38450', 'Vif', '38', 'FR'),
(15324, '38890', 'Vignieu', '38', 'FR'),
(15325, '38190', 'Villard Bonnot', '38', 'FR'),
(15326, '38250', 'Villard de Lans', '38', 'FR'),
(15327, '38520', 'Villard Notre Dame', '38', 'FR'),
(15328, '38114', 'Villard Reculas', '38', 'FR'),
(15329, '38520', 'Villard Reymond', '38', 'FR'),
(15330, '38119', 'Villard Saint Christophe', '38', 'FR'),
(15331, '38090', 'Villefontaine', '38', 'FR'),
(15332, '38460', 'Villemoirieu', '38', 'FR'),
(15333, '38440', 'Villeneuve de Marc', '38', 'FR'),
(15334, '38150', 'Ville sous Anjou', '38', 'FR'),
(15335, '38280', 'Villette d''Anthon', '38', 'FR'),
(15336, '38200', 'Villette de Vienne', '38', 'FR'),
(15337, '38470', 'Vinay', '38', 'FR'),
(15338, '38730', 'Virieu', '38', 'FR'),
(15339, '38980', 'Viriville', '38', 'FR'),
(15340, '38220', 'Vizille', '38', 'FR'),
(15341, '38500', 'Voiron', '38', 'FR'),
(15342, '38620', 'Voissant', '38', 'FR'),
(15343, '38340', 'Voreppe', '38', 'FR'),
(15344, '38210', 'Vourey', '38', 'FR'),
(15345, '38410', 'Chamrousse', '38', 'FR'),
(15346, '38140', 'Le Rivier', '38', 'FR'),
(15347, '38280', 'Mons', '38', 'FR'),
(15348, '38230', 'Jameyzieu', '38', 'FR'),
(15349, '38230', 'Chavagneux', '38', 'FR'),
(15350, '38460', 'Mianges', '38', 'FR'),
(15351, '38290', 'Haut de Bonce', '38', 'FR'),
(15352, '38290', 'Bas de Bonce', '38', 'FR'),
(15353, '38290', 'Le Chaffard', '38', 'FR'),
(15354, '38290', 'Gonas', '38', 'FR'),
(15355, '38790', 'Combe Rousse', '38', 'FR'),
(15356, '38190', 'Brignoud', '38', 'FR'),
(15357, '38210', 'Fures', '38', 'FR'),
(15358, '38750', 'L''Alpe d''Huez', '38', 'FR'),
(15359, '38190', 'Lancey', '38', 'FR'),
(15360, '38220', 'Rioup�roux', '38', 'FR'),
(15361, '38220', 'Gavet', '38', 'FR'),
(15362, '38510', 'Pusignieu', '38', 'FR'),
(15363, '38300', 'Jallieu', '38', 'FR'),
(15364, '39500', 'Abergement la Ronce', '39', 'FR'),
(15365, '39600', 'Abergement le Grand', '39', 'FR'),
(15366, '39800', 'Abergement le Petit', '39', 'FR'),
(15367, '39110', 'Abergement l�s Th�sy', '39', 'FR'),
(15368, '39120', 'Abergement Saint Jean', '39', 'FR'),
(15369, '39110', 'Aiglepierre', '39', 'FR'),
(15370, '39270', 'Ali�ze', '39', 'FR'),
(15371, '39700', 'Amange', '39', 'FR'),
(15372, '39110', 'Andelot en Montagne', '39', 'FR'),
(15373, '39320', 'Andelot Morval', '39', 'FR'),
(15374, '39120', 'Annoire', '39', 'FR'),
(15375, '25410', 'Antorpe', '25', 'FR'),
(15376, '39600', 'Arbois', '39', 'FR'),
(15377, '39290', 'Archelange', '39', 'FR'),
(15378, '39300', 'Ardon', '39', 'FR'),
(15379, '39240', 'Arinthod', '39', 'FR'),
(15380, '39140', 'Arlay', '39', 'FR'),
(15381, '39240', 'Aromas', '39', 'FR'),
(15382, '39600', 'Arsures', '39', 'FR'),
(15383, '39250', 'Arsure Arsurette', '39', 'FR'),
(15384, '39270', 'Arthenas', '39', 'FR'),
(15385, '39120', 'Asnans Beauvoisin', '39', 'FR'),
(15386, '39160', 'L''Aub�pin', '39', 'FR'),
(15387, '39700', 'Audelange', '39', 'FR'),
(15388, '39190', 'Augea', '39', 'FR'),
(15389, '39380', 'Augerans', '39', 'FR'),
(15390, '39270', 'Augisey', '39', 'FR'),
(15391, '39800', 'Aumont', '39', 'FR'),
(15392, '39410', 'Aumur', '39', 'FR'),
(15393, '39100', 'Authume', '39', 'FR'),
(15394, '39700', 'Auxange', '39', 'FR'),
(15395, '39200', 'Avignon l�s St Claude', '39', 'FR'),
(15396, '39120', 'Balaiseaux', '39', 'FR'),
(15397, '39160', 'Balanod', '39', 'FR'),
(15398, '39320', 'La Balme d''�py', '39', 'FR'),
(15399, '39380', 'Bans', '39', 'FR'),
(15400, '39130', 'Bar�sia sur l''Ain', '39', 'FR'),
(15401, '39700', 'a Barre', '39', 'FR'),
(15402, '39800', 'Barretaine', '39', 'FR'),
(15403, '39570', 'Baume les Messieurs', '39', 'FR'),
(15404, '39210', 'Baume les Messieurs', '39', 'FR'),
(15405, '39100', 'Baverans', '39', 'FR'),
(15406, '39190', 'Beaufort', '39', 'FR'),
(15407, '39120', 'Beauvoisin', '39', 'FR'),
(15408, '39270', 'Beffia', '39', 'FR'),
(15409, '39310', 'Bellecombe', '39', 'FR'),
(15410, '39400', 'Bellefontaine', '39', 'FR'),
(15411, '39380', 'Belmont', '39', 'FR'),
(15412, '39800', 'Bersaillin', '39', 'FR'),
(15413, '39800', 'Besain', '39', 'FR'),
(15414, '39290', 'Biarne', '39', 'FR'),
(15415, '39150', 'Bief des Maisons', '39', 'FR'),
(15416, '39250', 'Bief du Fourg', '39', 'FR'),
(15417, '39800', 'Biefmorin', '39', 'FR'),
(15418, '39250', 'Billecul', '39', 'FR'),
(15419, '39140', 'Bletterans', '39', 'FR'),
(15420, '39210', 'Blois sur Seille', '39', 'FR'),
(15421, '39130', 'Blye', '39', 'FR'),
(15422, '39220', 'Bois d''Amont', '39', 'FR'),
(15423, '39230', 'Bois de Gand', '39', 'FR'),
(15424, '39130', 'Boissia', '39', 'FR'),
(15425, '39240', 'La Boissi�re', '39', 'FR'),
(15426, '39130', 'Bonlieu', '39', 'FR'),
(15427, '39190', 'Bonnaud', '39', 'FR'),
(15428, '39800', 'Bonnefontaine', '39', 'FR'),
(15429, '39570', 'Bornay', '39', 'FR'),
(15430, '39800', 'Le Bouchaud', '39', 'FR'),
(15431, '39370', 'Les Bouchoux', '39', 'FR'),
(15432, '39320', 'Bourcia', '39', 'FR'),
(15433, '39300', 'Bourg de Sirod', '39', 'FR'),
(15434, '39110', 'Bracon', '39', 'FR'),
(15435, '39800', 'Brainans', '39', 'FR'),
(15436, '39290', 'Brans', '39', 'FR'),
(15437, '39230', 'Br�ry', '39', 'FR'),
(15438, '39700', 'Breteni�re', '39', 'FR'),
(15439, '39120', 'Breteni�res', '39', 'FR'),
(15440, '39100', 'Brevans', '39', 'FR'),
(15441, '39570', 'Briod', '39', 'FR'),
(15442, '39320', 'Broissia', '39', 'FR'),
(15443, '39800', 'Buvilly', '39', 'FR'),
(15444, '39240', 'Ceffia', '39', 'FR'),
(15445, '39250', 'Censeau', '39', 'FR'),
(15446, '39110', 'Cernans', '39', 'FR'),
(15447, '39250', 'Cerni�baud', '39', 'FR'),
(15448, '39240', 'Cernon', '39', 'FR'),
(15449, '39570', 'C�sancey', '39', 'FR'),
(15450, '39240', 'C�zia', '39', 'FR'),
(15451, '39120', 'Cha�n�e des Coupis', '39', 'FR'),
(15452, '39150', 'Chalesmes', '39', 'FR'),
(15453, '39270', 'Chamb�ria', '39', 'FR'),
(15454, '39380', 'Chamblay', '39', 'FR'),
(15455, '39800', 'Chamole', '39', 'FR'),
(15456, '39600', 'Champagne sur Loue', '39', 'FR'),
(15457, '39290', 'Champagney', '39', 'FR'),
(15458, '39300', 'Champagnole', '39', 'FR'),
(15459, '39110', 'Champagny', '39', 'FR'),
(15460, '39500', 'Champdivers', '39', 'FR'),
(15461, '39230', 'Champrougier', '39', 'FR'),
(15462, '39100', 'Champvans', '39', 'FR'),
(15463, '01590', 'Chancia', '01', 'FR'),
(15464, '39110', 'La Chapelle sur Furieuse', '39', 'FR'),
(15465, '39140', 'Chapelle Voland', '39', 'FR'),
(15466, '39300', 'Chapois', '39', 'FR'),
(15467, '39260', 'Charchilla', '39', 'FR'),
(15468, '39130', 'Charcier', '39', 'FR'),
(15469, '39250', 'Charency', '39', 'FR'),
(15470, '39130', 'Char�zier', '39', 'FR'),
(15471, '39230', 'La Charme', '39', 'FR'),
(15472, '39240', 'Charnod', '39', 'FR'),
(15473, '39230', 'La Chassagne', '39', 'FR'),
(15474, '39360', 'Chassal', '39', 'FR'),
(15475, '39210', 'Ch�teau Chalon', '39', 'FR'),
(15476, '39150', 'Ch�teau des Pr�s', '39', 'FR'),
(15477, '39600', 'La Ch�telaine', '39', 'FR'),
(15478, '39380', 'Ch�telay', '39', 'FR'),
(15479, '39130', 'Ch�tel de Joux', '39', 'FR'),
(15480, '39230', 'Le Ch�teley', '39', 'FR'),
(15481, '39300', 'Ch�telneuf', '39', 'FR'),
(15482, '39700', 'Ch�tenois', '39', 'FR'),
(15483, '39130', 'Ch�tillon', '39', 'FR'),
(15484, '39240', 'Ch�tonnay', '39', 'FR'),
(15485, '39230', 'Chaumergy', '39', 'FR'),
(15486, '39200', 'Chaumont', '39', 'FR'),
(15487, '39150', 'La Chaumusse', '39', 'FR'),
(15488, '39800', 'Chaussenans', '39', 'FR'),
(15489, '39120', 'Chaussin', '39', 'FR'),
(15490, '39150', 'Chaux des Crotenay', '39', 'FR'),
(15491, '39150', 'Chaux des Pr�s', '39', 'FR'),
(15492, '39150', 'La Chaux du Dombief', '39', 'FR'),
(15493, '39230', 'La Chaux en Bresse', '39', 'FR'),
(15494, '39110', 'Chaux Champagny', '39', 'FR'),
(15495, '39270', 'Chav�ria', '39', 'FR'),
(15496, '39160', 'Chazelles', '39', 'FR'),
(15497, '39230', 'Chemenot', '39', 'FR'),
(15498, '39240', 'Chemilla', '39', 'FR'),
(15499, '39120', 'Chemin', '39', 'FR'),
(15500, '39120', 'Ch�ne Bernard', '39', 'FR'),
(15501, '39230', 'Ch�ne Sec', '39', 'FR'),
(15502, '39290', 'Chevigny', '39', 'FR'),
(15503, '39190', 'Chevreaux', '39', 'FR'),
(15504, '39130', 'Chevrotaine', '39', 'FR'),
(15505, '39200', 'Chevry', '39', 'FR'),
(15506, '39570', 'Chille', '39', 'FR'),
(15507, '39570', 'Chilly le Vignoble', '39', 'FR'),
(15508, '39110', 'Chilly sur Salins', '39', 'FR'),
(15509, '39240', 'Chiss�ria', '39', 'FR'),
(15510, '39380', 'Chissey sur Loue', '39', 'FR'),
(15511, '39100', 'Choisey', '39', 'FR'),
(15512, '39370', 'Choux', '39', 'FR'),
(15513, '39200', 'Cinqu�tral', '39', 'FR'),
(15514, '39300', 'Cize', '39', 'FR'),
(15515, '39130', 'Clairvaux les Lacs', '39', 'FR'),
(15516, '39110', 'Clucy', '39', 'FR'),
(15517, '39130', 'Cogna', '39', 'FR'),
(15518, '39200', 'Coiserette', '39', 'FR'),
(15519, '39240', 'Coisia', '39', 'FR'),
(15520, '39800', 'Colonne', '39', 'FR'),
(15521, '39140', 'Commenailles', '39', 'FR'),
(15522, '39250', 'Communailles en Montagne', '39', 'FR'),
(15523, '39570', 'Condamine', '39', 'FR'),
(15524, '39240', 'Condes', '39', 'FR'),
(15525, '39570', 'Conli�ge', '39', 'FR'),
(15526, '39300', 'Conte', '39', 'FR'),
(15527, '39240', 'Cornod', '39', 'FR'),
(15528, '39140', 'Cosges', '39', 'FR'),
(15529, '39570', 'Courbette', '39', 'FR'),
(15530, '39570', 'Courbouzon', '39', 'FR'),
(15531, '39570', 'Courlans', '39', 'FR'),
(15532, '39570', 'Courlaoux', '39', 'FR'),
(15533, '39700', 'Courtefontaine', '39', 'FR'),
(15534, '39190', 'Cousance', '39', 'FR'),
(15535, '39200', 'Coyri�re', '39', 'FR'),
(15536, '39260', 'Coyron', '39', 'FR'),
(15537, '39600', 'Cramans', '39', 'FR'),
(15538, '39570', 'Cran�ot', '39', 'FR'),
(15539, '39300', 'Crans', '39', 'FR'),
(15540, '39260', 'Crenans', '39', 'FR'),
(15541, '39270', 'Cressia', '39', 'FR'),
(15542, '39130', 'Crillat', '39', 'FR'),
(15543, '39100', 'Crissey', '39', 'FR'),
(15544, '39300', 'Crotenay', '39', 'FR'),
(15545, '39260', 'Les Crozets', '39', 'FR'),
(15546, '39190', 'Cuisia', '39', 'FR'),
(15547, '39170', 'Cuttura', '39', 'FR'),
(15548, '39250', 'Cuvier', '39', 'FR'),
(15549, '39290', 'Dammartin Marpain', '39', 'FR'),
(15550, '39500', 'Damparis', '39', 'FR'),
(15551, '39700', 'Dampierre', '39', 'FR'),
(15552, '39230', 'Darbonnay', '39', 'FR'),
(15553, '39130', 'Denezi�res', '39', 'FR'),
(15554, '39120', 'Le Deschaux', '39', 'FR'),
(15555, '39140', 'Desnes', '39', 'FR'),
(15556, '39320', 'Dessia', '39', 'FR'),
(15557, '39230', 'Les Deux Fays', '39', 'FR'),
(15558, '39190', 'Digna', '39', 'FR'),
(15559, '39100', 'Dole', '39', 'FR'),
(15560, '39210', 'Domblans', '39', 'FR'),
(15561, '39270', 'Dompierre sur Mont', '39', 'FR'),
(15562, '39130', 'Doucier', '39', 'FR'),
(15563, '39110', 'Dournon', '39', 'FR'),
(15564, '39250', 'Doye', '39', 'FR'),
(15565, '39240', 'Dramelay', '39', 'FR'),
(15566, '39700', 'Eclans Nenon', '39', 'FR'),
(15567, '39600', '�cleux', '39', 'FR'),
(15568, '39270', 'Ecrille', '39', 'FR'),
(15569, '39150', 'Entre Deux Monts', '39', 'FR'),
(15570, '39160', 'Val d''Epy', '39', 'FR'),
(15571, '39300', '�quevillon', '39', 'FR'),
(15572, '39120', 'Les Essards Taignevaux', '39', 'FR'),
(15573, '39250', 'Essavilly', '39', 'FR'),
(15574, '39250', 'Esserval Combe', '39', 'FR'),
(15575, '39250', 'Esserval Tartre', '39', 'FR'),
(15576, '39270', 'Essia', '39', 'FR'),
(15577, '39130', '�tival', '39', 'FR'),
(15578, '39570', 'L''�toile', '39', 'FR'),
(15579, '39700', '�tr�pigney', '39', 'FR'),
(15580, '39700', '�vans', '39', 'FR'),
(15581, '39700', 'Falletans', '39', 'FR'),
(15582, '39250', 'Favi�re', '39', 'FR'),
(15583, '39800', 'Fay en Montagne', '39', 'FR'),
(15584, '39600', 'La Fert�', '39', 'FR'),
(15585, '39240', 'F�tigny', '39', 'FR'),
(15586, '39800', 'Le Fied', '39', 'FR'),
(15587, '39320', 'Florentia', '39', 'FR'),
(15588, '39520', 'Foncine le Bas', '39', 'FR'),
(15589, '39460', 'Foncine le Haut', '39', 'FR'),
(15590, '39140', 'Fontainebrux', '39', 'FR'),
(15591, '39130', 'Fontenu', '39', 'FR'),
(15592, '39110', 'Fonteny', '39', 'FR'),
(15593, '39150', 'Fort du Plasne', '39', 'FR'),
(15594, '39100', 'Foucherans', '39', 'FR'),
(15595, '39230', 'Foulenay', '39', 'FR'),
(15596, '39700', 'Fraisans', '39', 'FR'),
(15597, '39230', 'Francheville', '39', 'FR'),
(15598, '39250', 'Fraroz', '39', 'FR'),
(15599, '39290', 'Frasne', '39', 'FR'),
(15600, '39130', 'La Frasn�e', '39', 'FR'),
(15601, '39130', 'Le Frasnois', '39', 'FR'),
(15602, '39570', 'Fr�buans', '39', 'FR'),
(15603, '39250', 'roidefontaine', '39', 'FR'),
(15604, '39230', 'Froideville', '39', 'FR'),
(15605, '39210', 'Frontenay', '39', 'FR'),
(15606, '39120', 'Gatey', '39', 'FR'),
(15607, '39350', 'Gendrey', '39', 'FR'),
(15608, '39240', 'Genod', '39', 'FR'),
(15609, '39110', 'Geraise', '39', 'FR'),
(15610, '39380', 'Germigney', '39', 'FR'),
(15611, '39570', 'Geruge', '39', 'FR'),
(15612, '39570', 'Gevingey', '39', 'FR'),
(15613, '39100', 'Gevry', '39', 'FR'),
(15614, '39320', 'Gigny', '39', 'FR'),
(15615, '39250', 'Gillois', '39', 'FR'),
(15616, '39190', 'Gizia', '39', 'FR'),
(15617, '39100', 'Goux', '39', 'FR'),
(15618, '39150', 'Grande Rivi�re', '39', 'FR'),
(15619, '39600', 'Grange de Vaivre', '39', 'FR'),
(15620, '39210', 'Granges sur Baume', '39', 'FR'),
(15621, '39320', 'Graye et Charnay', '39', 'FR'),
(15622, '39290', 'Gredisans', '39', 'FR'),
(15623, '39800', 'Grozon', '39', 'FR'),
(15624, '39190', 'Grusse', '39', 'FR'),
(15625, '39130', 'Hautecour', '39', 'FR'),
(15626, '39120', 'Les Hays', '39', 'FR'),
(15627, '39110', 'Ivory', '39', 'FR'),
(15628, '39110', 'Ivrey', '39', 'FR'),
(15629, '39360', 'Jeurre', '39', 'FR'),
(15630, '39100', 'Jouhe', '39', 'FR'),
(15631, '39150', 'Lac des Rouges Truites', '39', 'FR'),
(15632, '39210', 'Ladoye sur Seille', '39', 'FR'),
(15633, '39320', 'Lains', '39', 'FR'),
(15634, '39310', 'Lajoux', '39', 'FR'),
(15635, '01410', 'Lajoux', '01', 'FR'),
(15636, '39310', 'Lamoura', '39', 'FR'),
(15637, '39300', 'Le Larderet', '39', 'FR'),
(15638, '39130', 'Largillay Marsonnay', '39', 'FR'),
(15639, '39140', 'Larnaud', '39', 'FR'),
(15640, '39360', 'Larrivoire', '39', 'FR'),
(15641, '39300', 'Le Latet', '39', 'FR'),
(15642, '39250', 'La Latette', '39', 'FR'),
(15643, '01590', 'Lavancia �percy', '01', 'FR'),
(15644, '39700', 'Lavangeot', '39', 'FR'),
(15645, '39700', 'Lavans l�s Dole', '39', 'FR'),
(15646, '39170', 'Lavans l�s Saint Claude', '39', 'FR'),
(15647, '39240', 'Lavans sur Valouse', '39', 'FR'),
(15648, '39210', 'Lavigny', '39', 'FR'),
(15649, '39260', 'Lect', '39', 'FR'),
(15650, '39240', 'L�gna', '39', 'FR'),
(15651, '39110', 'Lemuy', '39', 'FR'),
(15652, '39300', 'Lent', '39', 'FR'),
(15653, '39170', 'Lesch�res', '39', 'FR'),
(15654, '39400', 'L�zat', '39', 'FR'),
(15655, '39320', 'Loisia', '39', 'FR'),
(15656, '39230', 'Lombard', '39', 'FR'),
(15657, '39400', 'Longchaumois', '39', 'FR'),
(15658, '39250', 'Longcochon', '39', 'FR'),
(15659, '39120', 'Longwy sur le Doubs', '39', 'FR'),
(15660, '39570', 'Lons le Saunier', '39', 'FR'),
(15661, '39000', 'Lons le Saunier', '39', 'FR'),
(15662, '39300', 'Loulle', '39', 'FR'),
(15663, '39350', 'Louvatange', '39', 'FR'),
(15664, '39320', 'Louvenne', '39', 'FR'),
(15665, '39210', 'Louverot', '39', 'FR'),
(15666, '39380', 'La Loye', '39', 'FR'),
(15667, '39570', 'Macornay', '39', 'FR'),
(15668, '39260', 'Maisod', '39', 'FR'),
(15669, '39700', 'Malange', '39', 'FR'),
(15670, '39190', 'Mallerey', '39', 'FR'),
(15671, '39230', 'Mantry', '39', 'FR'),
(15672, '39270', 'Marangea', '39', 'FR'),
(15673, '39240', 'Marigna sur Valouse', '39', 'FR'),
(15674, '39130', 'Marigny', '39', 'FR'),
(15675, '39270', 'Marn�zia', '39', 'FR'),
(15676, '39110', 'Marnoz', '39', 'FR'),
(15677, '39290', 'Marpain', '39', 'FR'),
(15678, '39210', 'La Marre', '39', 'FR'),
(15679, '39260', 'Martigna', '39', 'FR'),
(15680, '39600', 'Mathenay', '39', 'FR'),
(15681, '39190', 'Maynal', '39', 'FR'),
(15682, '39210', 'M�n�tru le Vignoble', '39', 'FR'),
(15683, '39130', 'M�n�trux en Joux', '39', 'FR'),
(15684, '39290', 'Menotey', '39', 'FR'),
(15685, '39270', 'M�rona', '39', 'FR'),
(15686, '39600', 'Mesnay', '39', 'FR'),
(15687, '39130', 'Mesnois', '39', 'FR'),
(15688, '39570', 'Messia sur Sorne', '39', 'FR'),
(15689, '39260', 'Meussia', '39', 'FR'),
(15690, '39250', 'Mi�ges', '39', 'FR'),
(15691, '39800', 'Mi�ry', '39', 'FR'),
(15692, '39250', 'Mignovillard', '39', 'FR'),
(15693, '39570', 'Mirebel', '39', 'FR'),
(15694, '39260', 'Moirans en Montagne', '39', 'FR'),
(15695, '39570', 'Moiron', '39', 'FR'),
(15696, '39290', 'Moissey', '39', 'FR'),
(15697, '39800', 'Molain', '39', 'FR'),
(15698, '39600', 'Molamboz', '39', 'FR'),
(15699, '39500', 'Molay', '39', 'FR'),
(15700, '39360', 'Molinges', '39', 'FR'),
(15701, '39250', 'Molpr�', '39', 'FR'),
(15702, '39310', 'Molunes', '39', 'FR'),
(15703, '39230', 'Monay', '39', 'FR'),
(15704, '39320', 'Monnetay', '39', 'FR'),
(15705, '39300', 'Monnet la Ville', '39', 'FR'),
(15706, '39100', 'Monni�res', '39', 'FR'),
(15707, '39160', 'Montagna le Reconduit', '39', 'FR'),
(15708, '39320', 'Montagna le Templier', '39', 'FR'),
(15709, '39570', 'Montaigu', '39', 'FR'),
(15710, '39210', 'Montain', '39', 'FR'),
(15711, '39380', 'Montbarrey', '39', 'FR'),
(15712, '39260', 'Montcusel', '39', 'FR'),
(15713, '39700', 'Monteplain', '39', 'FR'),
(15714, '39320', 'Montfleur', '39', 'FR'),
(15715, '39800', 'Montholier', '39', 'FR'),
(15716, '39600', 'Montigny l�s Arsures', '39', 'FR'),
(15717, '39300', 'Montigny sur l''Ain', '39', 'FR'),
(15718, '39270', 'Montjouvent', '39', 'FR'),
(15719, '39600', 'Montmalin', '39', 'FR'),
(15720, '39110', 'Montmarlon', '39', 'FR'),
(15721, '39290', 'Montmirey la Ville', '39', 'FR'),
(15722, '39290', 'Montmirey le Ch�teau', '39', 'FR'),
(15723, '39570', 'Montmorot', '39', 'FR'),
(15724, '39320', 'Montrevel', '39', 'FR'),
(15725, '39300', 'Montrond', '39', 'FR'),
(15726, '39380', 'Mont sous Vaudrey', '39', 'FR'),
(15727, '39300', 'Mont sur Monnet', '39', 'FR'),
(15728, '39400', 'Morbier', '39', 'FR'),
(15729, '39400', 'Morez', '39', 'FR'),
(15730, '39320', 'Morval', '39', 'FR'),
(15731, '39330', 'Mouchard', '39', 'FR'),
(15732, '39400', 'La Mouille', '39', 'FR'),
(15733, '39250', 'Mournans Charbonny', '39', 'FR'),
(15734, '39310', 'Les Moussi�res', '39', 'FR'),
(15735, '39270', 'Moutonne', '39', 'FR'),
(15736, '39300', 'Moutoux', '39', 'FR'),
(15737, '39290', 'Mutigney', '39', 'FR'),
(15738, '39160', 'Nanc l�s St Amour', '39', 'FR'),
(15739, '39140', 'Nance', '39', 'FR'),
(15740, '39270', 'Nancuise', '39', 'FR'),
(15741, '39300', 'Les Nans', '39', 'FR'),
(15742, '39160', 'Nantey', '39', 'FR'),
(15743, '39700', 'Nenon', '39', 'FR'),
(15744, '39270', 'Nermier', '39', 'FR'),
(15745, '39120', 'Neublans Abergement', '39', 'FR'),
(15746, '39800', 'Neuvilley', '39', 'FR'),
(15747, '39380', 'N�vy l�s Dole', '39', 'FR'),
(15748, '39210', 'Nevy sur Seille', '39', 'FR'),
(15749, '39300', 'Ney', '39', 'FR'),
(15750, '39570', 'Nogna', '39', 'FR'),
(15751, '39250', 'Nozeroy', '39', 'FR'),
(15752, '39290', 'Offlanges', '39', 'FR'),
(15753, '39250', 'Ongli�res', '39', 'FR'),
(15754, '39270', 'Onoz', '39', 'FR'),
(15755, '39190', 'Orbagna', '39', 'FR'),
(15756, '39700', 'Orchamps', '39', 'FR'),
(15757, '39270', 'Orgelet', '39', 'FR'),
(15758, '39350', 'Ougney', '39', 'FR'),
(15759, '39380', 'Ounans', '39', 'FR'),
(15760, '39700', 'Our', '39', 'FR'),
(15761, '39800', 'Oussi�res', '39', 'FR'),
(15762, '39350', 'Pagney', '39', 'FR'),
(15763, '39330', 'Pagnoz', '39', 'FR'),
(15764, '39570', 'Pannessi�res', '39', 'FR'),
(15765, '39100', 'Parcey', '39', 'FR'),
(15766, '39300', 'Le Pasquier', '39', 'FR'),
(15767, '39230', 'Passenans', '39', 'FR'),
(15768, '39130', 'Patornay', '39', 'FR'),
(15769, '39290', 'Peintre', '39', 'FR'),
(15770, '39150', 'La Perrena', '39', 'FR'),
(15771, '39570', 'Perrigny', '39', 'FR'),
(15772, '39120', 'P�seux', '39', 'FR'),
(15773, '39370', 'La Pesse', '39', 'FR'),
(15774, '39350', 'Le Petit Mercey', '39', 'FR'),
(15775, '39120', 'Petit Noir', '39', 'FR'),
(15776, '39150', 'Les Piards', '39', 'FR'),
(15777, '39800', 'Picarreau', '39', 'FR'),
(15778, '39300', 'Pillemoine', '39', 'FR'),
(15779, '39270', 'Pimorin', '39', 'FR'),
(15780, '39210', 'Le Pin', '39', 'FR'),
(15781, '39210', 'Plainoiseau', '39', 'FR'),
(15782, '39270', 'Plaisia', '39', 'FR'),
(15783, '39150', 'Les Planches en Montagne', '39', 'FR'),
(15784, '39600', 'Les Planches pr�s Arbois', '39', 'FR'),
(15785, '39800', 'Plasne', '39', 'FR'),
(15786, '39210', 'Plasne', '39', 'FR'),
(15787, '39250', 'Pl�nise', '39', 'FR'),
(15788, '39250', 'Pl�nisette', '39', 'FR'),
(15789, '39120', 'Pleure', '39', 'FR'),
(15790, '39700', 'Plumont', '39', 'FR'),
(15791, '39570', 'Poids de Fiole', '39', 'FR'),
(15792, '39290', 'Pointre', '39', 'FR'),
(15793, '39160', 'Poisoux', '39', 'FR'),
(15794, '39800', 'Poligny', '39', 'FR'),
(15795, '39130', 'Pont de Poitte', '39', 'FR'),
(15796, '39110', 'Pont d''H�ry', '39', 'FR'),
(15797, '39300', 'Pont du Navoy', '39', 'FR'),
(15798, '39170', 'Ponthoux', '39', 'FR'),
(15799, '39600', 'Port Lesney', '39', 'FR'),
(15800, '39330', 'Port Lesney', '39', 'FR'),
(15801, '39170', 'Pratz', '39', 'FR'),
(15802, '39220', 'Pr�manon', '39', 'FR'),
(15803, '39400', 'Pr�manon', '39', 'FR'),
(15804, '39150', 'Pr�novel', '39', 'FR'),
(15805, '39270', 'Pr�silly', '39', 'FR'),
(15806, '39110', 'Pretin', '39', 'FR'),
(15807, '39570', 'Publy', '39', 'FR'),
(15808, '39600', 'Pupillin', '39', 'FR'),
(15809, '39570', 'Quintigny', '39', 'FR'),
(15810, '39120', 'Rahon', '39', 'FR'),
(15811, '39290', 'Rainans', '39', 'FR'),
(15812, '39200', 'Ranchette', '39', 'FR'),
(15813, '39700', 'Ranchot', '39', 'FR'),
(15814, '39700', 'Rans', '39', 'FR'),
(15815, '39170', 'Ravilloles', '39', 'FR'),
(15816, '39230', 'R�canoz', '39', 'FR'),
(15817, '39270', 'Reithouse', '39', 'FR'),
(15818, '39140', 'Relans', '39', 'FR'),
(15819, '39140', 'Les Rep�ts', '39', 'FR'),
(15820, '39570', 'Revigny', '39', 'FR'),
(15821, '39200', 'La Rixouse', '39', 'FR'),
(15822, '39250', 'Rix', '39', 'FR'),
(15823, '39700', 'Rochefort sur Nenon', '39', 'FR'),
(15824, '39360', 'Rogna', '39', 'FR'),
(15825, '39350', 'Romain', '39', 'FR'),
(15826, '39700', 'Romange', '39', 'FR'),
(15827, '39190', 'Rosay', '39', 'FR'),
(15828, '39190', 'Rotalier', '39', 'FR'),
(15829, '39270', 'Rothonay', '39', 'FR'),
(15830, '39350', 'Rouffange', '39', 'FR'),
(15831, '39220', 'Les Rousses', '39', 'FR'),
(15832, '39400', 'Les Rousses', '39', 'FR'),
(15833, '39140', 'Ruffey sur Seille', '39', 'FR'),
(15834, '39230', 'Rye', '39', 'FR'),
(15835, '39130', 'Saffloz', '39', 'FR'),
(15836, '39190', 'Sainte Agn�s', '39', 'FR'),
(15837, '39160', 'Saint Amour', '39', 'FR'),
(15838, '39410', 'Saint Aubin', '39', 'FR'),
(15839, '39120', 'Saint Baraing', '39', 'FR'),
(15840, '39200', 'Saint Claude', '39', 'FR'),
(15841, '39600', 'St Cyr Montmalin', '39', 'FR'),
(15842, '39570', 'Saint Didier', '39', 'FR'),
(15843, '39300', 'Saint Germain en Montagne', '39', 'FR'),
(15844, '39210', 'Saint Germain l�s Arlay', '39', 'FR'),
(15845, '39240', 'Saint Hymeti�re', '39', 'FR'),
(15846, '39160', 'Saint Jean d''�treux', '39', 'FR'),
(15847, '39320', 'St Julien', '39', 'FR'),
(15848, '39230', 'Saint Lamain', '39', 'FR'),
(15849, '39150', 'St Laurent en Grandvaux', '39', 'FR'),
(15850, '39570', 'Saint Laurent la Roche', '39', 'FR'),
(15851, '39230', 'Saint Lothain', '39', 'FR'),
(15852, '39120', 'Saint Loup', '39', 'FR'),
(15853, '39170', 'Saint Lupicin', '39', 'FR'),
(15854, '39570', 'Saint Maur', '39', 'FR'),
(15855, '39130', 'St Maurice Crillat', '39', 'FR'),
(15856, '39150', 'Saint Pierre', '39', 'FR'),
(15857, '39110', 'Saint Thi�baud', '39', 'FR'),
(15858, '39110', 'Saizenay', '39', 'FR'),
(15859, '39700', 'Salans', '39', 'FR'),
(15860, '39350', 'Saligney', '39', 'FR'),
(15861, '39110', 'Salins les Bains', '39', 'FR'),
(15862, '39100', 'Sampans', '39', 'FR'),
(15863, '39380', 'Santans', '39', 'FR'),
(15864, '39300', 'Sapois', '39', 'FR'),
(15865, '39270', 'Sarrogna', '39', 'FR'),
(15866, '39130', 'Saugeot', '39', 'FR'),
(15867, '39240', 'Savigna', '39', 'FR'),
(15868, '39120', 'S�ligney', '39', 'FR'),
(15869, '39230', 'Selli�res', '39', 'FR'),
(15870, '39160', 'Senaud', '39', 'FR'),
(15871, '39310', 'Septmoncel', '39', 'FR'),
(15872, '39230', 'Sergenaux', '39', 'FR'),
(15873, '39120', 'Sergenon', '39', 'FR'),
(15874, '39700', 'Sermange', '39', 'FR'),
(15875, '39700', 'Serre les Mouli�res', '39', 'FR'),
(15876, '39270', 'S�z�ria', '39', 'FR'),
(15877, '39300', 'Sirod', '39', 'FR'),
(15878, '39130', 'Songeson', '39', 'FR'),
(15879, '39130', 'Soucia', '39', 'FR'),
(15880, '39380', 'Souvans', '39', 'FR'),
(15881, '39300', 'Supt', '39', 'FR'),
(15882, '39300', 'Syam', '39', 'FR'),
(15883, '39400', 'Tancua', '39', 'FR'),
(15884, '39120', 'Tasseni�res', '39', 'FR'),
(15885, '39500', 'Tavaux', '39', 'FR'),
(15886, '39350', 'Taxenne', '39', 'FR'),
(15887, '39290', 'Thervay', '39', 'FR'),
(15888, '39110', 'Th�sy', '39', 'FR'),
(15889, '39240', 'Thoirette', '39', 'FR'),
(15890, '39130', 'Thoiria', '39', 'FR'),
(15891, '39160', 'Thoissia', '39', 'FR'),
(15892, '39230', 'Toulouse le Ch�teau', '39', 'FR'),
(15893, '39270', 'La Tour du Meix', '39', 'FR'),
(15894, '39800', 'Tourmont', '39', 'FR'),
(15895, '39300', 'Treffay', '39', 'FR'),
(15896, '39570', 'Tr�nal', '39', 'FR'),
(15897, '39130', 'Uxelles', '39', 'FR'),
(15898, '39600', 'Vadans', '39', 'FR'),
(15899, '39300', 'Valempouli�res', '39', 'FR'),
(15900, '39200', 'Valfin l�s Saint Claude', '39', 'FR'),
(15901, '39240', 'Valfin sur Valouse', '39', 'FR'),
(15902, '39300', 'Vannoz', '39', 'FR'),
(15903, '39270', 'Varessia', '39', 'FR'),
(15904, '39300', 'Le Vaudioux', '39', 'FR'),
(15905, '39380', 'Vaudrey', '39', 'FR'),
(15906, '39360', 'Vaux l�s Saint Claude', '39', 'FR'),
(15907, '39800', 'Vaux sur Poligny', '39', 'FR'),
(15908, '39190', 'Vercia', '39', 'FR'),
(15909, '39570', 'Verges', '39', 'FR'),
(15910, '39160', 'V�ria', '39', 'FR'),
(15911, '39570', 'Vernantois', '39', 'FR'),
(15912, '39210', 'Le Vernois', '39', 'FR'),
(15913, '39300', 'Vers en Montagne', '39', 'FR'),
(15914, '39230', 'Vers sous Selli�res', '39', 'FR'),
(15915, '39130', 'Vertamboz', '39', 'FR'),
(15916, '39240', 'Vescles', '39', 'FR'),
(15917, '39570', 'Vevy', '39', 'FR'),
(15918, '39380', 'La Vieille Loye', '39', 'FR'),
(15919, '39200', 'Villard Saint Sauveur', '39', 'FR'),
(15920, '39260', 'Villards d''H�ria', '39', 'FR'),
(15921, '39200', 'Villard sur Bienne', '39', 'FR'),
(15922, '39320', 'Villechantria', '39', 'FR'),
(15923, '39600', 'Villeneuve d''Aval', '39', 'FR'),
(15924, '39240', 'Villeneuve l�s Charnod', '39', 'FR'),
(15925, '39570', 'Villeneuve sous Pymont', '39', 'FR'),
(15926, '39800', 'Villers�rine', '39', 'FR'),
(15927, '39600', 'Villers Farlay', '39', 'FR'),
(15928, '39800', 'Villers l�s Bois', '39', 'FR'),
(15929, '39120', 'Villers l�s Bois', '39', 'FR'),
(15930, '39120', 'Villers Robert', '39', 'FR'),
(15931, '39600', 'Villette l�s Arbois', '39', 'FR'),
(15932, '39100', 'Villette l�s Dole', '39', 'FR'),
(15933, '39140', 'Villevieux', '39', 'FR'),
(15934, '39230', 'Le Villey', '39', 'FR'),
(15935, '39190', 'Vincelles', '39', 'FR'),
(15936, '39230', 'Vincent', '39', 'FR'),
(15937, '39240', 'Viremont', '39', 'FR'),
(15938, '39360', 'Viry', '39', 'FR'),
(15939, '39800', 'Le Viseney', '39', 'FR'),
(15940, '39350', 'Vitreux', '39', 'FR'),
(15941, '39210', 'Voiteur', '39', 'FR'),
(15942, '39240', 'Vosbles', '39', 'FR'),
(15943, '39700', 'Vriange', '39', 'FR'),
(15944, '39360', 'Vulvoz', '39', 'FR'),
(15945, '39110', 'Aresches', '39', 'FR'),
(15946, '39570', 'Chavanne', '39', 'FR'),
(15947, '39100', 'Saint Ylie', '39', 'FR'),
(15948, '39260', 'Vouglans', '39', 'FR'),
(15949, '39220', 'La Cure', '39', 'FR'),
(15950, '40800', 'Aire sur l''Adour', '40', 'FR'),
(15951, '40330', 'Amou', '40', 'FR'),
(15952, '40990', 'Angoum�', '40', 'FR'),
(15953, '40150', 'Angresse', '40', 'FR'),
(15954, '40320', 'Arboucave', '40', 'FR'),
(15955, '40110', 'Arengosse', '40', 'FR'),
(15956, '40700', 'Argelos', '40', 'FR'),
(15957, '40430', 'Argelouse', '40', 'FR'),
(15958, '40110', 'Arjuzanx', '40', 'FR'),
(15959, '40330', 'Arsague', '40', 'FR'),
(15960, '40090', 'Artassenx', '40', 'FR'),
(15961, '40190', 'Arthez d''Armagnac', '40', 'FR'),
(15962, '40120', 'Arue', '40', 'FR'),
(15963, '40310', 'Arx', '40', 'FR'),
(15964, '40700', 'Aubagnan', '40', 'FR'),
(15965, '40500', 'Audignon', '40', 'FR'),
(15966, '40400', 'Audon', '40', 'FR'),
(15967, '40200', 'Aureilhan', '40', 'FR'),
(15968, '40500', 'Aurice', '40', 'FR'),
(15969, '40140', 'Azur', '40', 'FR'),
(15970, '40320', 'Bahus Soubiran', '40', 'FR'),
(15971, '40380', 'Baigts', '40', 'FR'),
(15972, '40500', 'Banos', '40', 'FR'),
(15973, '40090', 'Bascons', '40', 'FR'),
(15974, '40500', 'Bas Mauco', '40', 'FR'),
(15975, '40700', 'Bassercles', '40', 'FR'),
(15976, '40360', 'Bastennes', '40', 'FR'),
(15977, '40320', 'Bats', '40', 'FR'),
(15978, '40310', 'Baudignan', '40', 'FR'),
(15979, '40400', 'B�gaar', '40', 'FR'),
(15980, '40410', 'Belhade', '40', 'FR'),
(15981, '40120', 'B�lis', '40', 'FR'),
(15982, '40300', 'B�lus', '40', 'FR'),
(15983, '40180', 'Benesse l�s Dax', '40', 'FR'),
(15984, '40230', 'B�nesse Maremne', '40', 'FR'),
(15985, '40280', 'Benquet', '40', 'FR'),
(15986, '40250', 'Bergouey', '40', 'FR'),
(15987, '40240', 'Betbezer d''Armagnac', '40', 'FR'),
(15988, '40370', 'Beylongue', '40', 'FR'),
(15989, '40700', 'Beyries', '40', 'FR'),
(15990, '40390', 'Biarrotte', '40', 'FR'),
(15991, '40170', 'Bias', '40', 'FR'),
(15992, '40390', 'Biaudos', '40', 'FR'),
(15993, '40600', 'Biscarrosse', '40', 'FR'),
(15994, '40330', 'Bonnegarde', '40', 'FR'),
(15995, '40370', 'Boos', '40', 'FR'),
(15996, '40270', 'Bord�res et Lamensans', '40', 'FR'),
(15997, '40090', 'Bostens', '40', 'FR'),
(15998, '40090', 'Bougue', '40', 'FR'),
(15999, '40190', 'Bourdalat', '40', 'FR'),
(16000, '40120', 'Bourriot Bergonce', '40', 'FR'),
(16001, '40330', 'Brassempouy', '40', 'FR'),
(16002, '40280', 'Bretagne de Marsan', '40', 'FR'),
(16003, '40420', 'Brocas', '40', 'FR'),
(16004, '40320', 'Buanes', '40', 'FR'),
(16005, '40120', 'Cachen', '40', 'FR'),
(16006, '40300', 'Cagnotte', '40', 'FR'),
(16007, '40430', 'Callen', '40', 'FR'),
(16008, '40090', 'Campagne', '40', 'FR'),
(16009, '40090', 'Campet et Lamol�re', '40', 'FR'),
(16010, '40180', 'Candresse', '40', 'FR'),
(16011, '40090', 'Canenx et R�aut', '40', 'FR'),
(16012, '40130', 'Capbreton', '40', 'FR'),
(16013, '40400', 'Carcar�s Sainte Croix', '40', 'FR'),
(16014, '40400', 'Carcen Ponson', '40', 'FR'),
(16015, '40380', 'Cassen', '40', 'FR'),
(16016, '40700', 'Castaignos Souslens', '40', 'FR'),
(16017, '40270', 'Castandet', '40', 'FR'),
(16018, '40360', 'Castelnau Chalosse', '40', 'FR'),
(16019, '40320', 'Castelnau Tursan', '40', 'FR'),
(16020, '40700', 'Castelner', '40', 'FR'),
(16021, '40330', 'Castel Sarrazin', '40', 'FR'),
(16022, '40260', 'Castets', '40', 'FR'),
(16023, '40500', 'Cauna', '40', 'FR'),
(16024, '40300', 'Cauneille', '40', 'FR'),
(16025, '40250', 'Caupenne', '40', 'FR'),
(16026, '40700', 'Cazalis', '40', 'FR'),
(16027, '40270', 'Caz�res sur l''Adour', '40', 'FR'),
(16028, '40090', 'C�re', '40', 'FR'),
(16029, '40320', 'Classun', '40', 'FR'),
(16030, '40320', 'Cl�des', '40', 'FR'),
(16031, '40180', 'Clermont', '40', 'FR'),
(16032, '40210', 'Commensacq', '40', 'FR'),
(16033, '40500', 'Coudures', '40', 'FR'),
(16034, '40240', 'Cr�on d''Armagnac', '40', 'FR'),
(16035, '40100', 'Dax', '40', 'FR'),
(16036, '16250', 'Blanzac Porcheresse', '16', 'FR'),
(16037, '40700', 'Doazit', '40', 'FR'),
(16038, '40360', 'Donzacq', '40', 'FR'),
(16039, '40800', 'Duhort Bachen', '40', 'FR'),
(16040, '40500', 'Dumes', '40', 'FR'),
(16041, '40310', 'Escalans', '40', 'FR'),
(16042, '40210', 'Escource', '40', 'FR'),
(16043, '40290', 'Estibeaux', '40', 'FR'),
(16044, '40240', 'Estigarde', '40', 'FR'),
(16045, '40320', 'Eug�nie les Bains', '40', 'FR'),
(16046, '40500', 'Eyr�s Moncube', '40', 'FR'),
(16047, '40500', 'Fargues', '40', 'FR'),
(16048, '40190', 'Le Fr�che', '40', 'FR'),
(16049, '40350', 'Gaas', '40', 'FR'),
(16050, '40310', 'Gabarret', '40', 'FR'),
(16051, '40090', 'Gaill�res', '40', 'FR'),
(16052, '40380', 'Gamarde les Bains', '40', 'FR'),
(16053, '40420', 'Garein', '40', 'FR'),
(16054, '40180', 'Garrey', '40', 'FR'),
(16055, '40110', 'Garrosse', '40', 'FR'),
(16056, '40160', 'Gastes', '40', 'FR'),
(16057, '40330', 'Gaujacq', '40', 'FR'),
(16058, '40320', 'Geaune', '40', 'FR'),
(16059, '40090', 'Geloux', '40', 'FR'),
(16060, '40380', 'Gibret', '40', 'FR'),
(16061, '40180', 'Goos', '40', 'FR'),
(16062, '40990', 'Gourbera', '40', 'FR'),
(16063, '40465', 'Gousse', '40', 'FR'),
(16064, '40400', 'Gouts', '40', 'FR'),
(16065, '40270', 'Grenade sur l''Adour', '40', 'FR'),
(16066, '40290', 'Habas', '40', 'FR'),
(16067, '40700', 'Hagetmau', '40', 'FR'),
(16068, '40300', 'Hastingues', '40', 'FR'),
(16069, '40250', 'Hauriet', '40', 'FR'),
(16070, '40280', 'Haut Mauco', '40', 'FR'),
(16071, '40990', 'Herm', '40', 'FR'),
(16072, '40310', 'Herr�', '40', 'FR'),
(16073, '40180', 'Heugas', '40', 'FR'),
(16074, '40180', 'Hinx', '40', 'FR'),
(16075, '40190', 'Hontanx', '40', 'FR'),
(16076, '40700', 'Horsarrieu', '40', 'FR'),
(16077, '40230', 'Josse', '40', 'FR'),
(16078, '40700', 'Labastide Chalosse', '40', 'FR'),
(16079, '40240', 'Labastide d''Armagnac', '40', 'FR'),
(16080, '40300', 'Labatut', '40', 'FR'),
(16081, '40530', 'Labenne', '40', 'FR'),
(16082, '40210', 'Labouheyre', '40', 'FR'),
(16083, '40420', 'Labrit', '40', 'FR'),
(16084, '40320', 'Lacajunte', '40', 'FR'),
(16085, '40120', 'Lacquy', '40', 'FR'),
(16086, '40700', 'Lacrabe', '40', 'FR'),
(16087, '40090', 'Laglorieuse', '40', 'FR'),
(16088, '40240', 'Lagrange', '40', 'FR'),
(16089, '40250', 'Lahosse', '40', 'FR'),
(16090, '40465', 'Laluque', '40', 'FR'),
(16091, '40250', 'Lamothe', '40', 'FR'),
(16092, '40250', 'Larbey', '40', 'FR'),
(16093, '40270', 'Larrivi�re', '40', 'FR'),
(16094, '40800', 'Latrille', '40', 'FR'),
(16095, '40250', 'Laur�de', '40', 'FR'),
(16096, '40320', 'Lauret', '40', 'FR'),
(16097, '40120', 'Lencouacq', '40', 'FR'),
(16098, '40550', 'L�on', '40', 'FR'),
(16099, '40400', 'Lesgor', '40', 'FR'),
(16100, '40260', 'Lesperon', '40', 'FR'),
(16101, '40250', 'Leuy', '40', 'FR'),
(16102, '40170', 'L�vignacq', '40', 'FR'),
(16103, '40260', 'Linxe', '40', 'FR'),
(16104, '40410', 'Liposthey', '40', 'FR'),
(16105, '40170', 'Lit et Mixe', '40', 'FR'),
(16106, '40240', 'Losse', '40', 'FR'),
(16107, '40380', 'Louer', '40', 'FR'),
(16108, '40250', 'Lourquen', '40', 'FR'),
(16109, '40240', 'Lubbon', '40', 'FR'),
(16110, '40090', 'Lucbardez et Bargues', '40', 'FR'),
(16111, '40210', 'Lüe', '40', 'FR'),
(16112, '40120', 'Retjons', '40', 'FR'),
(16113, '40630', 'Luglon', '40', 'FR'),
(16114, '40270', 'Lussagnet', '40', 'FR'),
(16115, '40430', 'Luxey', '40', 'FR'),
(16116, '40140', 'Magescq', '40', 'FR'),
(16117, '40120', 'Maillas', '40', 'FR'),
(16118, '40120', 'Maill�res', '40', 'FR'),
(16119, '40410', 'Mano', '40', 'FR'),
(16120, '40700', 'Mant', '40', 'FR'),
(16121, '40330', 'Marpaps', '40', 'FR'),
(16122, '40320', 'Mauries', '40', 'FR'),
(16123, '40270', 'Maurrin', '40', 'FR'),
(16124, '40240', 'Mauvezin d''Armagnac', '40', 'FR'),
(16125, '40250', 'Maylis', '40', 'FR'),
(16126, '40090', 'Mazerolles', '40', 'FR'),
(16127, '40990', 'M�es', '40', 'FR'),
(16128, '40400', 'Meilhan', '40', 'FR'),
(16129, '40660', 'Messanges', '40', 'FR'),
(16130, '40170', 'M�zos', '40', 'FR'),
(16131, '40350', 'Mimbaste', '40', 'FR'),
(16132, '40200', 'Mimizan', '40', 'FR'),
(16133, '40320', 'Miramont Sensacq', '40', 'FR'),
(16134, '40290', 'Misson', '40', 'FR'),
(16135, '40660', 'Moliets et Maa', '40', 'FR'),
(16136, '40700', 'Momuy', '40', 'FR'),
(16137, '40700', 'Monget', '40', 'FR'),
(16138, '40700', 'Mons�gur', '40', 'FR'),
(16139, '40500', 'Montaut', '40', 'FR'),
(16140, '40000', 'Mont de Marsan', '40', 'FR'),
(16141, '40090', 'Mont de Marsan', '40', 'FR'),
(16142, '40190', 'Mont�gut', '40', 'FR'),
(16143, '40380', 'Montfort en Chalosse', '40', 'FR'),
(16144, '40500', 'Montgaillard', '40', 'FR'),
(16145, '40500', 'Montsou�', '40', 'FR'),
(16146, '40110', 'Morcenx', '40', 'FR'),
(16147, '40700', 'Morganx', '40', 'FR'),
(16148, '40290', 'Mouscard�s', '40', 'FR'),
(16149, '40410', 'Moustey', '40', 'FR'),
(16150, '40250', 'Mugron', '40', 'FR'),
(16151, '40180', 'Narrosse', '40', 'FR'),
(16152, '40330', 'Nassiet', '40', 'FR'),
(16153, '40250', 'Nerbis', '40', 'FR'),
(16154, '40380', 'Nousse', '40', 'FR'),
(16155, '40300', 'Oeyregave', '40', 'FR'),
(16156, '40180', 'Oeyreluy', '40', 'FR'),
(16157, '40380', 'Onard', '40', 'FR'),
(16158, '40440', 'Ondres', '40', 'FR'),
(16159, '40110', 'Onesse et Laharie', '40', 'FR'),
(16160, '40300', 'Orist', '40', 'FR'),
(16161, '40300', 'Orthevielle', '40', 'FR'),
(16162, '40230', 'Orx', '40', 'FR'),
(16163, '40290', 'Ossages', '40', 'FR'),
(16164, '40110', 'Ousse Suzan', '40', 'FR'),
(16165, '40380', 'Ozourt', '40', 'FR'),
(16166, '40160', 'Parentis en Born', '40', 'FR'),
(16167, '40310', 'Parleboscq', '40', 'FR'),
(16168, '40320', 'Payros Cazautets', '40', 'FR'),
(16169, '40320', 'P�corade', '40', 'FR'),
(16170, '40190', 'Perquie', '40', 'FR'),
(16171, '40300', 'Pey', '40', 'FR'),
(16172, '40700', 'Peyre', '40', 'FR'),
(16173, '40300', 'Peyrehorade', '40', 'FR'),
(16174, '40320', 'Philondenx', '40', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(16175, '40320', 'Pimbo', '40', 'FR'),
(16176, '40410', 'Pissos', '40', 'FR'),
(16177, '40360', 'Pomarez', '40', 'FR'),
(16178, '40200', 'Pontenx les Forges', '40', 'FR'),
(16179, '40465', 'Pontonx sur l''Adour', '40', 'FR'),
(16180, '40300', 'Port de Lanne', '40', 'FR'),
(16181, '40700', 'Poudenx', '40', 'FR'),
(16182, '40350', 'Pouillon', '40', 'FR'),
(16183, '40120', 'Pouydesseaux', '40', 'FR'),
(16184, '40380', 'Poyanne', '40', 'FR'),
(16185, '40380', 'Poyartin', '40', 'FR'),
(16186, '40465', 'Pr�chacq les Bains', '40', 'FR'),
(16187, '40190', 'Pujo le Plan', '40', 'FR'),
(16188, '40320', 'Puyol Cazalet', '40', 'FR'),
(16189, '40270', 'Renung', '40', 'FR'),
(16190, '40410', 'Richet', '40', 'FR'),
(16191, '40310', 'Rimbez et Baudiets', '40', 'FR'),
(16192, '40370', 'Rion des Landes', '40', 'FR'),
(16193, '40180', 'Rivi�re Saas et Gourby', '40', 'FR'),
(16194, '40120', 'Roquefort', '40', 'FR'),
(16195, '40630', 'Sabres', '40', 'FR'),
(16196, '40800', 'Saint Agnet', '40', 'FR'),
(16197, '40390', 'St Andr� de Seignanx', '40', 'FR'),
(16198, '40250', 'St Aubin', '40', 'FR'),
(16199, '40090', 'St Avit', '40', 'FR'),
(16200, '40390', 'Saint Barth�lemy', '40', 'FR'),
(16201, '40700', 'Sainte Colombe', '40', 'FR'),
(16202, '40700', 'Saint Cricq Chalosse', '40', 'FR'),
(16203, '40300', 'Saint Cricq du Gave', '40', 'FR'),
(16204, '40190', 'Saint Cricq Villeneuve', '40', 'FR'),
(16205, '40300', 'Saint �tienne d''Orthe', '40', 'FR'),
(16206, '40200', 'Sainte Eulalie en Born', '40', 'FR'),
(16207, '40190', 'Ste Foy', '40', 'FR'),
(16208, '40190', 'Saint Gein', '40', 'FR'),
(16209, '40380', 'Saint Geours d''Auribat', '40', 'FR'),
(16210, '40230', 'Saint Geours de Maremne', '40', 'FR'),
(16211, '40120', 'Saint Gor', '40', 'FR'),
(16212, '40380', 'Saint Jean de Lier', '40', 'FR'),
(16213, '40230', 'Saint Jean de Marsacq', '40', 'FR'),
(16214, '40240', 'Saint Julien d''Armagnac', '40', 'FR'),
(16215, '40170', 'Saint Julien en Born', '40', 'FR'),
(16216, '40240', 'Saint Justin', '40', 'FR'),
(16217, '40390', 'Saint Laurent de Gosse', '40', 'FR'),
(16218, '40300', 'Saint Lon les Mines', '40', 'FR'),
(16219, '40320', 'Saint Loubouer', '40', 'FR'),
(16220, '40390', 'Sainte Marie de Gosse', '40', 'FR'),
(16221, '40390', 'Saint Martin de Hinx', '40', 'FR'),
(16222, '40390', 'Saint Martin de Seignanx', '40', 'FR'),
(16223, '40090', 'Saint Martin d''Oney', '40', 'FR'),
(16224, '40270', 'Saint Maurice sur Adour', '40', 'FR'),
(16225, '40550', 'Saint Michel Escalus', '40', 'FR'),
(16226, '40180', 'Saint Pandelon', '40', 'FR'),
(16227, '40200', 'St Paul en Born', '40', 'FR'),
(16228, '40990', 'Saint Paul l�s Dax', '40', 'FR'),
(16229, '40090', 'Saint Perdon', '40', 'FR'),
(16230, '40280', 'Saint Pierre du Mont', '40', 'FR'),
(16231, '40500', 'Saint Sever', '40', 'FR'),
(16232, '40990', 'Saint Vincent de Paul', '40', 'FR'),
(16233, '40230', 'Saint Vincent de Tyrosse', '40', 'FR'),
(16234, '40400', 'Saint Yaguen', '40', 'FR'),
(16235, '40320', 'Samadet', '40', 'FR'),
(16236, '40460', 'Sanguinet', '40', 'FR'),
(16237, '40120', 'Sarbazan', '40', 'FR'),
(16238, '40500', 'Sarraziet', '40', 'FR'),
(16239, '40800', 'Sarron', '40', 'FR'),
(16240, '40230', 'Saubion', '40', 'FR'),
(16241, '40230', 'Saubrigues', '40', 'FR'),
(16242, '40180', 'Saubusse', '40', 'FR'),
(16243, '40180', 'Saugnac et Cambran', '40', 'FR'),
(16244, '40410', 'Saugnacq et Muret', '40', 'FR'),
(16245, '40510', 'Seignosse', '40', 'FR'),
(16246, '40420', 'Le Sen', '40', 'FR'),
(16247, '40700', 'Serres Gaston', '40', 'FR'),
(16248, '40700', 'Serreslous et Arribans', '40', 'FR'),
(16249, '40180', 'Seyresse', '40', 'FR'),
(16250, '40180', 'Siest', '40', 'FR'),
(16251, '40110', 'Sind�res', '40', 'FR'),
(16252, '40210', 'Solf�rino', '40', 'FR'),
(16253, '40150', 'Soorts Hossegor', '40', 'FR'),
(16254, '40320', 'Sorbets', '40', 'FR'),
(16255, '40300', 'Sorde l''Abbaye', '40', 'FR'),
(16256, '40430', 'Sore', '40', 'FR'),
(16257, '40180', 'Sort en Chalosse', '40', 'FR'),
(16258, '40250', 'Souprosse', '40', 'FR'),
(16259, '40140', 'Soustons', '40', 'FR'),
(16260, '40260', 'Taller', '40', 'FR'),
(16261, '40220', 'Tarnos', '40', 'FR'),
(16262, '40400', 'Tartas', '40', 'FR'),
(16263, '40180', 'Tercis les Bains', '40', 'FR'),
(16264, '40990', 'T�thieu', '40', 'FR'),
(16265, '40360', 'Tilh', '40', 'FR'),
(16266, '40230', 'Tosse', '40', 'FR'),
(16267, '40250', 'Toulouzette', '40', 'FR'),
(16268, '40630', 'Trensacq', '40', 'FR'),
(16269, '40090', 'Uchacq et Parentis', '40', 'FR'),
(16270, '40320', 'Urgons', '40', 'FR'),
(16271, '40170', 'Uza', '40', 'FR'),
(16272, '40420', 'Vert', '40', 'FR'),
(16273, '40380', 'Vicq d''Auribat', '40', 'FR'),
(16274, '40320', 'Vielle Tursan', '40', 'FR'),
(16275, '40560', 'Vielle Saint Girons', '40', 'FR'),
(16276, '40240', 'Vielle Soubiran', '40', 'FR'),
(16277, '40480', 'Vieux Boucau les Bains', '40', 'FR'),
(16278, '40270', 'Le Vignau', '40', 'FR'),
(16279, '40110', 'Villenave', '40', 'FR'),
(16280, '40190', 'Villeneuve de Marsan', '40', 'FR'),
(16281, '40160', 'Ychoux', '40', 'FR'),
(16282, '40110', 'Ygos Saint Saturnin', '40', 'FR'),
(16283, '40180', 'Yzosse', '40', 'FR'),
(16284, '40110', 'Laharie', '40', 'FR'),
(16285, '40150', 'Hossegor', '40', 'FR'),
(16286, '40560', 'Saint Girons', '40', 'FR'),
(16287, '40600', 'Biscarrosse Plage', '40', 'FR'),
(16288, '41310', 'Ambloy', '41', 'FR'),
(16289, '41400', 'Ang�', '41', 'FR'),
(16290, '41100', 'Areines', '41', 'FR'),
(16291, '41800', 'Artins', '41', 'FR'),
(16292, '41170', 'Arville', '41', 'FR'),
(16293, '41240', 'Autainville', '41', 'FR'),
(16294, '41310', 'Authon', '41', 'FR'),
(16295, '41500', 'Avaray', '41', 'FR'),
(16296, '41330', 'Averdon', '41', 'FR'),
(16297, '41100', 'Az�', '41', 'FR'),
(16298, '41290', 'Baigneaux', '41', 'FR'),
(16299, '41170', 'Baillou', '41', 'FR'),
(16300, '41250', 'Bauzy', '41', 'FR'),
(16301, '41170', 'Beauch�ne', '41', 'FR'),
(16302, '41290', 'Beauvilliers', '41', 'FR'),
(16303, '41130', 'Billy', '41', 'FR'),
(16304, '41240', 'Binas', '41', 'FR'),
(16305, '41000', 'Blois', '41', 'FR'),
(16306, '41290', 'Boisseau', '41', 'FR'),
(16307, '41800', 'Bonneveau', '41', 'FR'),
(16308, '41290', 'La Bosse', '41', 'FR'),
(16309, '41270', 'Bouffry', '41', 'FR'),
(16310, '41400', 'Bourr�', '41', 'FR'),
(16311, '41270', 'Boursay', '41', 'FR'),
(16312, '41250', 'Bracieux', '41', 'FR'),
(16313, '41160', 'Br�vainville', '41', 'FR'),
(16314, '41370', 'Briou', '41', 'FR'),
(16315, '41160', 'Busloup', '41', 'FR'),
(16316, '41120', 'Cand� sur Beuvron', '41', 'FR'),
(16317, '41360', 'Cell�', '41', 'FR'),
(16318, '41120', 'Cellettes', '41', 'FR'),
(16319, '41120', 'Chailles', '41', 'FR'),
(16320, '41190', 'Chambon sur Cisse', '41', 'FR'),
(16321, '41250', 'Chambord', '41', 'FR'),
(16322, '41330', 'Champigny en Beauce', '41', 'FR'),
(16323, '41600', 'Chaon', '41', 'FR'),
(16324, '41290', 'La Chapelle Ench�rie', '41', 'FR'),
(16325, '41320', 'Chapelle Montmartin', '41', 'FR'),
(16326, '41500', 'La Chapelle Saint Martin en Plaine', '41', 'FR'),
(16327, '41330', 'La Chapelle Vend�moise', '41', 'FR'),
(16328, '41270', 'La Chapelle Vicomtesse', '41', 'FR'),
(16329, '41110', 'Ch�teauvieux', '41', 'FR'),
(16330, '41130', 'Ch�tillon sur Cher', '41', 'FR'),
(16331, '41320', 'Ch�tres sur Cher', '41', 'FR'),
(16332, '41150', 'Chaumont sur Loire', '41', 'FR'),
(16333, '41600', 'Chaumont sur Tharonne', '41', 'FR'),
(16334, '41260', 'La Chauss�e Saint Victor', '41', 'FR'),
(16335, '41270', 'Chauvigny du Perche', '41', 'FR'),
(16336, '41700', 'Ch�mery', '41', 'FR'),
(16337, '41700', 'Cheverny', '41', 'FR'),
(16338, '41400', 'Chissay en Touraine', '41', 'FR'),
(16339, '41120', 'Chitenay', '41', 'FR'),
(16340, '41170', 'Chou�', '41', 'FR'),
(16341, '41700', 'Choussy', '41', 'FR'),
(16342, '41150', 'Chouzy sur Cisse', '41', 'FR'),
(16343, '41160', 'La Colombe', '41', 'FR'),
(16344, '41290', 'Conan', '41', 'FR'),
(16345, '41370', 'Concriers', '41', 'FR'),
(16346, '41700', 'Contres', '41', 'FR'),
(16347, '41170', 'Cormenon', '41', 'FR'),
(16348, '41120', 'Cormeray', '41', 'FR'),
(16349, '41700', 'Couddes', '41', 'FR'),
(16350, '41110', 'Couffi', '41', 'FR'),
(16351, '41150', 'Coulanges', '41', 'FR'),
(16352, '41100', 'Coulommiers la Tour', '41', 'FR'),
(16353, '41500', 'Courbouzon', '41', 'FR'),
(16354, '41700', 'Cour Cheverny', '41', 'FR'),
(16355, '41230', 'Courmemin', '41', 'FR'),
(16356, '41500', 'Cour sur Loire', '41', 'FR'),
(16357, '41800', 'Couture sur Loir', '41', 'FR'),
(16358, '41220', 'Crouy sur Cosson', '41', 'FR'),
(16359, '41100', 'Crucheray', '41', 'FR'),
(16360, '41160', 'Danz�', '41', 'FR'),
(16361, '41220', 'Dhuizon', '41', 'FR'),
(16362, '41270', 'Drou�', '41', 'FR'),
(16363, '41290', '�coman', '41', 'FR'),
(16364, '41290', '�piais', '41', 'FR'),
(16365, '41360', '�puisay', '41', 'FR'),
(16366, '41800', 'Les Essarts', '41', 'FR'),
(16367, '41400', 'Faverolles sur Cher', '41', 'FR'),
(16368, '41100', 'Faye', '41', 'FR'),
(16369, '41120', 'Feings', '41', 'FR'),
(16370, '41210', 'La Fert� Beauharnais', '41', 'FR'),
(16371, '41300', 'La Fert� Imbault', '41', 'FR'),
(16372, '41220', 'La Fert� Saint Cyr', '41', 'FR'),
(16373, '41250', 'Fontaines en Sologne', '41', 'FR'),
(16374, '41800', 'Fontaine les C�teaux', '41', 'FR'),
(16375, '41270', 'Fontaine Raoul', '41', 'FR'),
(16376, '41270', 'La Fontenelle', '41', 'FR'),
(16377, '41360', 'Fortan', '41', 'FR'),
(16378, '41330', 'Foss�', '41', 'FR'),
(16379, '41120', 'Foug�res sur Bi�vre', '41', 'FR'),
(16380, '41190', 'Fran�ay', '41', 'FR'),
(16381, '41700', 'Fresnes', '41', 'FR'),
(16382, '41160', 'Fr�teval', '41', 'FR'),
(16383, '41270', 'Gault Perche', '41', 'FR'),
(16384, '41130', 'Gi�vres', '41', 'FR'),
(16385, '41310', 'Gombergean', '41', 'FR'),
(16386, '41230', 'Gy en Sologne', '41', 'FR'),
(16387, '41800', 'Hayes', '41', 'FR'),
(16388, '41190', 'Herbault', '41', 'FR'),
(16389, '41800', 'Houssay', '41', 'FR'),
(16390, '41310', 'Huisseau en Beauce', '41', 'FR'),
(16391, '41350', 'Huisseau sur Cosson', '41', 'FR'),
(16392, '41370', 'Josnes', '41', 'FR'),
(16393, '41600', 'Lamotte Beuvron', '41', 'FR'),
(16394, '41310', 'Lanc�', '41', 'FR'),
(16395, '41190', 'Lanc�me', '41', 'FR'),
(16396, '41190', 'Landes le Gaulois', '41', 'FR'),
(16397, '41320', 'Langon', '41', 'FR'),
(16398, '41230', 'Lassay sur Croisne', '41', 'FR'),
(16399, '41800', 'Lavardin', '41', 'FR'),
(16400, '41500', 'Lestiou', '41', 'FR'),
(16401, '41160', 'Ligni�res', '41', 'FR'),
(16402, '41100', 'Lisle', '41', 'FR'),
(16403, '41200', 'Loreux', '41', 'FR'),
(16404, '41370', 'Lorges', '41', 'FR'),
(16405, '41360', 'Lunay', '41', 'FR'),
(16406, '41370', 'Madeleine Villefrouin', '41', 'FR'),
(16407, '41320', 'Maray', '41', 'FR'),
(16408, '41370', 'Marchenoir', '41', 'FR'),
(16409, '41100', 'Marcilly en Beauce', '41', 'FR'),
(16410, '41210', 'Marcilly en Gault', '41', 'FR'),
(16411, '41110', 'Mareuil sur Cher', '41', 'FR'),
(16412, '41210', 'La Marolle en Sologne', '41', 'FR'),
(16413, '41330', 'Marolles', '41', 'FR'),
(16414, '41250', 'Maslives', '41', 'FR'),
(16415, '41500', 'Maves', '41', 'FR'),
(16416, '41100', 'Mazang�', '41', 'FR'),
(16417, '41140', 'M�hers', '41', 'FR'),
(16418, '41240', 'Membrolles', '41', 'FR'),
(16419, '41500', 'Menars', '41', 'FR'),
(16420, '41320', 'Mennetou sur Cher', '41', 'FR'),
(16421, '41500', 'Mer', '41', 'FR'),
(16422, '41150', 'Mesland', '41', 'FR'),
(16423, '41100', 'Meslay', '41', 'FR'),
(16424, '41130', 'Meusnes', '41', 'FR'),
(16425, '41200', 'Millan�ay', '41', 'FR'),
(16426, '41160', 'Moisy', '41', 'FR'),
(16427, '41190', 'Molineuf', '41', 'FR'),
(16428, '41170', 'Mondoubleau', '41', 'FR'),
(16429, '41150', 'Monteaux', '41', 'FR'),
(16430, '41120', 'Monthou sur Bi�vre', '41', 'FR'),
(16431, '41400', 'Monthou sur Cher', '41', 'FR'),
(16432, '41120', 'Les Montils', '41', 'FR'),
(16433, '41350', 'Montlivault', '41', 'FR'),
(16434, '41800', 'Montoire sur le Loir', '41', 'FR'),
(16435, '41250', 'Mont pr�s Chambord', '41', 'FR'),
(16436, '41400', 'Montrichard', '41', 'FR'),
(16437, '41210', 'Montrieux en Sologne', '41', 'FR'),
(16438, '41800', 'Montrouveau', '41', 'FR'),
(16439, '41160', 'Mor�e', '41', 'FR'),
(16440, '41500', 'Muides sur Loire', '41', 'FR'),
(16441, '41500', 'Mulsans', '41', 'FR'),
(16442, '41230', 'Mur de Sologne', '41', 'FR'),
(16443, '41100', 'Naveil', '41', 'FR'),
(16444, '41210', 'Neung sur Beuvron', '41', 'FR'),
(16445, '41250', 'Neuvy', '41', 'FR'),
(16446, '41600', 'Nouan le Fuzelier', '41', 'FR'),
(16447, '41220', 'Nouan sur Loire', '41', 'FR'),
(16448, '41310', 'Nourray', '41', 'FR'),
(16449, '41140', 'Noyers sur Cher', '41', 'FR'),
(16450, '41170', 'Oigny', '41', 'FR'),
(16451, '41700', 'Oisly', '41', 'FR'),
(16452, '41150', 'Onzain', '41', 'FR'),
(16453, '41300', 'Or�ay', '41', 'FR'),
(16454, '41190', 'Orchaise', '41', 'FR'),
(16455, '41120', 'Ouchamps', '41', 'FR'),
(16456, '41290', 'Oucques', '41', 'FR'),
(16457, '41160', 'Ouzouer le Doyen', '41', 'FR'),
(16458, '41240', 'Ouzouer le March�', '41', 'FR'),
(16459, '41100', 'P�rigny', '41', 'FR'),
(16460, '41100', 'Pezou', '41', 'FR'),
(16461, '41300', 'Pierrefitte sur Sauldre', '41', 'FR'),
(16462, '41170', 'Le Plessis Dorin', '41', 'FR'),
(16463, '41370', 'Le Plessis l''�chelle', '41', 'FR'),
(16464, '41270', 'Le Poislay', '41', 'FR'),
(16465, '41400', 'Pontlevoy', '41', 'FR'),
(16466, '41110', 'Pouill�', '41', 'FR'),
(16467, '41190', 'Pray', '41', 'FR'),
(16468, '41240', 'Pr�nouvellon', '41', 'FR'),
(16469, '41310', 'Prunay Cassereau', '41', 'FR'),
(16470, '41200', 'Pruniers en Sologne', '41', 'FR'),
(16471, '41160', 'Rahart', '41', 'FR'),
(16472, '41100', 'Renay', '41', 'FR'),
(16473, '41290', 'Rhodon', '41', 'FR'),
(16474, '41150', 'Rilly sur Loire', '41', 'FR'),
(16475, '41100', 'Roc�', '41', 'FR'),
(16476, '41370', 'Roches', '41', 'FR'),
(16477, '41800', 'Les Roches l''�v�que', '41', 'FR'),
(16478, '41270', 'Romilly', '41', 'FR'),
(16479, '41200', 'Romorantin Lanthenay', '41', 'FR'),
(16480, '41230', 'Rougeou', '41', 'FR'),
(16481, '41270', 'Ruan sur Egvonne', '41', 'FR'),
(16482, '41170', 'Saint Agil', '41', 'FR'),
(16483, '41110', 'Saint Aignan', '41', 'FR'),
(16484, '41310', 'St Amand Longpr�', '41', 'FR'),
(16485, '41100', 'Sainte Anne', '41', 'FR'),
(16486, '41800', 'Saint Arnoult', '41', 'FR'),
(16487, '41170', 'Saint Avit', '41', 'FR'),
(16488, '41330', 'Saint Bohaire', '41', 'FR'),
(16489, '41350', 'Saint Claude de Diray', '41', 'FR'),
(16490, '41190', 'Saint Cyr du Gault', '41', 'FR'),
(16491, '41000', 'Saint Denis sur Loire', '41', 'FR'),
(16492, '41500', 'Saint Dy� sur Loire', '41', 'FR'),
(16493, '41190', 'Saint �tienne des Gu�rets', '41', 'FR'),
(16494, '41100', 'Saint Firmin des Pr�s', '41', 'FR'),
(16495, '41290', 'Sainte Gemmes', '41', 'FR'),
(16496, '41400', 'Saint Georges sur Cher', '41', 'FR'),
(16497, '41350', 'Saint Gervais la For�t', '41', 'FR'),
(16498, '41310', 'Saint Gourgon', '41', 'FR'),
(16499, '41160', 'Saint Hilaire la Gravelle', '41', 'FR'),
(16500, '41800', 'Saint Jacques des Gu�r�ts', '41', 'FR'),
(16501, '41160', 'Saint Jean Froidmentel', '41', 'FR'),
(16502, '41400', 'Saint Julien de Ch�don', '41', 'FR'),
(16503, '41320', 'Saint Julien sur Cher', '41', 'FR'),
(16504, '41240', 'Saint Laurent des Bois', '41', 'FR'),
(16505, '41220', 'St Laurent Nouan', '41', 'FR'),
(16506, '41370', 'Saint L�onard en Beauce', '41', 'FR'),
(16507, '41320', 'St Loup', '41', 'FR'),
(16508, '41190', 'Saint Lubin en Vergonnois', '41', 'FR'),
(16509, '41170', 'Saint Marc du Cor', '41', 'FR'),
(16510, '41800', 'Saint Martin des Bois', '41', 'FR'),
(16511, '41100', 'Saint Ouen', '41', 'FR'),
(16512, '41800', 'Saint Quentin l�s Tr�o', '41', 'FR'),
(16513, '41800', 'Saint Rimay', '41', 'FR'),
(16514, '41140', 'Saint Romain sur Cher', '41', 'FR'),
(16515, '41000', 'Saint Sulpice', '41', 'FR'),
(16516, '41210', 'Saint Vi�tre', '41', 'FR'),
(16517, '41300', 'Salbris', '41', 'FR'),
(16518, '41120', 'Sambin', '41', 'FR'),
(16519, '41190', 'Santenay', '41', 'FR'),
(16520, '41170', 'Sarg� sur Braye', '41', 'FR'),
(16521, '41310', 'Sasni�res', '41', 'FR'),
(16522, '41700', 'Sassay', '41', 'FR'),
(16523, '41360', 'Savigny sur Braye', '41', 'FR'),
(16524, '41110', 'Seigy', '41', 'FR'),
(16525, '41150', 'Seillac', '41', 'FR'),
(16526, '41300', 'Selles Saint Denis', '41', 'FR'),
(16527, '41130', 'Selles sur Cher', '41', 'FR'),
(16528, '41100', 'Selommes', '41', 'FR'),
(16529, '41160', 'S�merville', '41', 'FR'),
(16530, '41500', 'S�ris', '41', 'FR'),
(16531, '41120', 'Seur', '41', 'FR'),
(16532, '41230', 'Soings en Sologne', '41', 'FR'),
(16533, '41170', 'Souday', '41', 'FR'),
(16534, '41300', 'Souesmes', '41', 'FR'),
(16535, '41800', 'Soug�', '41', 'FR'),
(16536, '41600', 'Souvigny en Sologne', '41', 'FR'),
(16537, '41500', 'Su�vres', '41', 'FR'),
(16538, '41370', 'Talcy', '41', 'FR'),
(16539, '41170', 'Temple', '41', 'FR'),
(16540, '41800', 'Ternay', '41', 'FR'),
(16541, '41300', 'Theillay', '41', 'FR'),
(16542, '41400', 'Thenay', '41', 'FR'),
(16543, '41140', 'Th�s�e', '41', 'FR'),
(16544, '41100', 'Thor� la Rochette', '41', 'FR'),
(16545, '41220', 'Thoury', '41', 'FR'),
(16546, '41190', 'Tourailles', '41', 'FR'),
(16547, '41250', 'Tour en Sologne', '41', 'FR'),
(16548, '41800', 'Tr�het', '41', 'FR'),
(16549, '41240', 'Tripleville', '41', 'FR'),
(16550, '41800', 'Tr�o', '41', 'FR'),
(16551, '41120', 'Valaire', '41', 'FR'),
(16552, '41400', 'Valli�res les Grandes', '41', 'FR'),
(16553, '41230', 'Veilleins', '41', 'FR'),
(16554, '41100', 'Vend�me', '41', 'FR'),
(16555, '41240', 'Verdes', '41', 'FR'),
(16556, '41230', 'Vernou en Sologne', '41', 'FR'),
(16557, '41150', 'Veuves', '41', 'FR'),
(16558, '41290', 'Vi�vy le Ray�', '41', 'FR'),
(16559, '41800', 'Villavard', '41', 'FR'),
(16560, '41160', 'La Ville aux Clercs', '41', 'FR'),
(16561, '41000', 'Villebarou', '41', 'FR'),
(16562, '41270', 'Villebout', '41', 'FR'),
(16563, '41310', 'Villechauve', '41', 'FR'),
(16564, '41800', 'Villedieu le Ch�teau', '41', 'FR'),
(16565, '41200', 'Villefranche sur Cher', '41', 'FR'),
(16566, '41330', 'Villefrancoeur', '41', 'FR'),
(16567, '41200', 'Villeherviers', '41', 'FR'),
(16568, '41100', 'Villemardy', '41', 'FR'),
(16569, '41290', 'Villeneuve Frouville', '41', 'FR'),
(16570, '41220', 'Villeny', '41', 'FR'),
(16571, '41310', 'Villeporcher', '41', 'FR'),
(16572, '41100', 'Villerable', '41', 'FR'),
(16573, '41000', 'Villerbon', '41', 'FR'),
(16574, '41240', 'Villermain', '41', 'FR'),
(16575, '41100', 'Villeromain', '41', 'FR'),
(16576, '41100', 'Villetrun', '41', 'FR'),
(16577, '41500', 'Villexanton', '41', 'FR'),
(16578, '41100', 'Villiersfaux', '41', 'FR'),
(16579, '41100', 'Villiers sur Loir', '41', 'FR'),
(16580, '41350', 'Vineuil', '41', 'FR'),
(16581, '41600', 'Vouzon', '41', 'FR'),
(16582, '41600', 'Yvoy le Marron', '41', 'FR'),
(16583, '42380', 'Abo�n', '42', 'FR'),
(16584, '42130', 'Ailleux', '42', 'FR'),
(16585, '42820', 'Ambierle', '42', 'FR'),
(16586, '42260', 'Amions', '42', 'FR'),
(16587, '42160', 'Andr�zieux Bouth�on', '42', 'FR'),
(16588, '42550', 'Apinac', '42', 'FR'),
(16589, '42460', 'Arcinges', '42', 'FR'),
(16590, '42370', 'Arcon', '42', 'FR'),
(16591, '42130', 'Arthun', '42', 'FR'),
(16592, '42330', 'Aveizieux', '42', 'FR'),
(16593, '42510', 'Balbigny', '42', 'FR'),
(16594, '42600', 'Bard', '42', 'FR'),
(16595, '42210', 'Bellegarde en Forez', '42', 'FR'),
(16596, '42670', 'Belleroche', '42', 'FR'),
(16597, '42670', 'Belmont de la Loire', '42', 'FR'),
(16598, '42720', 'B�nisson Dieu', '42', 'FR'),
(16599, '42660', 'Le Bessat', '42', 'FR'),
(16600, '42520', 'Bessey', '42', 'FR'),
(16601, '42130', 'Bo�n', '42', 'FR'),
(16602, '42210', 'Boisset l�s Montrond', '42', 'FR'),
(16603, '42560', 'Boisset Saint Priest', '42', 'FR'),
(16604, '42160', 'Bonson', '42', 'FR'),
(16605, '42220', 'Bourg Argental', '42', 'FR'),
(16606, '42460', 'Boyer', '42', 'FR'),
(16607, '42720', 'Briennon', '42', 'FR'),
(16608, '42260', 'Bully', '42', 'FR'),
(16609, '42220', 'Burdignes', '42', 'FR'),
(16610, '42510', 'Bussi�res', '42', 'FR'),
(16611, '42260', 'Bussy Albieux', '42', 'FR'),
(16612, '42240', 'Caloire', '42', 'FR'),
(16613, '42320', 'Cellieu', '42', 'FR'),
(16614, '42460', 'Le Cergne', '42', 'FR'),
(16615, '42440', 'Cervi�res', '42', 'FR'),
(16616, '42130', 'Cezay', '42', 'FR'),
(16617, '42800', 'Chagnon', '42', 'FR'),
(16618, '42600', 'Chalain d''Uzore', '42', 'FR'),
(16619, '42600', 'Chalain le Comtal', '42', 'FR'),
(16620, '42920', 'Chalmazel', '42', 'FR'),
(16621, '42440', 'La Chamba', '42', 'FR'),
(16622, '42110', 'Chamb�on', '42', 'FR'),
(16623, '42170', 'Chambles', '42', 'FR'),
(16624, '42330', 'Chamboeuf', '42', 'FR'),
(16625, '42500', 'Le Chambon Feugerolles', '42', 'FR'),
(16626, '42440', 'La Chambonie', '42', 'FR'),
(16627, '42600', 'Champdieu', '42', 'FR'),
(16628, '42430', 'Champoly', '42', 'FR'),
(16629, '42190', 'handon', '42', 'FR'),
(16630, '42310', 'Changy', '42', 'FR'),
(16631, '42380', 'La Chapelle en Lafaye', '42', 'FR'),
(16632, '42410', 'La Chapelle Villars', '42', 'FR'),
(16633, '42190', 'Charlieu', '42', 'FR'),
(16634, '42800', 'Ch�teauneuf', '42', 'FR'),
(16635, '42940', 'Ch�telneuf', '42', 'FR'),
(16636, '42140', 'Ch�telus', '42', 'FR'),
(16637, '42410', 'Chavanay', '42', 'FR'),
(16638, '42560', 'Chazelles sur Lavieu', '42', 'FR'),
(16639, '42140', 'Chazelles sur Lyon', '42', 'FR'),
(16640, '42560', 'Chenereilles', '42', 'FR'),
(16641, '42430', 'Ch�rier', '42', 'FR'),
(16642, '42140', 'Chevri�res', '42', 'FR'),
(16643, '42114', 'Chirassimont', '42', 'FR'),
(16644, '42410', 'Chuyer', '42', 'FR'),
(16645, '42110', 'Civens', '42', 'FR'),
(16646, '42110', 'Clepp�', '42', 'FR'),
(16647, '42220', 'Colombier', '42', 'FR'),
(16648, '42840', 'Combre', '42', 'FR'),
(16649, '42120', 'Commelle Vernay', '42', 'FR'),
(16650, '42123', 'Cordelle', '42', 'FR'),
(16651, '42120', 'Le Coteau', '42', 'FR'),
(16652, '42111', 'La C�te en Couzan', '42', 'FR'),
(16653, '42360', 'Cottance', '42', 'FR'),
(16654, '42460', 'Coutouvre', '42', 'FR'),
(16655, '42210', 'Craintilleux', '42', 'FR'),
(16656, '42260', 'Cr�meaux', '42', 'FR'),
(16657, '42540', 'Croizet sur Gand', '42', 'FR'),
(16658, '42310', 'Crozet', '42', 'FR'),
(16659, '42460', 'Cuinzier', '42', 'FR'),
(16660, '42800', 'La Cula', '42', 'FR'),
(16661, '42330', 'Cuzieu', '42', 'FR'),
(16662, '42260', 'Danc�', '42', 'FR'),
(16663, '42800', 'Dargoire', '42', 'FR'),
(16664, '42130', 'D�bats Rivi�re d''Orpra', '42', 'FR'),
(16665, '42740', 'Doizieux', '42', 'FR'),
(16666, '42670', '�coche', '42', 'FR'),
(16667, '42600', '�cotay l''Olme', '42', 'FR'),
(16668, '42110', '�percieux Saint Paul', '42', 'FR'),
(16669, '42600', 'Essertines en Ch�telneuf', '42', 'FR'),
(16670, '42360', 'Essertines en Donzy', '42', 'FR'),
(16671, '42380', 'Estivareilles', '42', 'FR'),
(16672, '42580', 'L''�trat', '42', 'FR'),
(16673, '42320', 'Farnay', '42', 'FR'),
(16674, '42110', 'Feurs', '42', 'FR'),
(16675, '42700', 'Firminy', '42', 'FR'),
(16676, '42140', 'Fontan�s', '42', 'FR'),
(16677, '42480', 'La Fouillouse', '42', 'FR'),
(16678, '42470', 'Fourneaux', '42', 'FR'),
(16679, '42490', 'Fraisses', '42', 'FR'),
(16680, '42140', 'La Gimond', '42', 'FR'),
(16681, '42220', 'Graix', '42', 'FR'),
(16682, '42140', 'Grammond', '42', 'FR'),
(16683, '42320', 'La Grand Croix', '42', 'FR'),
(16684, '42460', 'La Gresle', '42', 'FR'),
(16685, '42600', 'Gr�zieux le Fromental', '42', 'FR'),
(16686, '42260', 'Gr�zolles', '42', 'FR'),
(16687, '42560', 'Gumi�res', '42', 'FR'),
(16688, '42210', 'L''H�pital le Grand', '42', 'FR'),
(16689, '42130', 'H�pital sous Rochefort', '42', 'FR'),
(16690, '42152', 'L''Horme', '42', 'FR'),
(16691, '42460', 'Jarnosse', '42', 'FR'),
(16692, '42110', 'Jas', '42', 'FR'),
(16693, '42920', 'Jeansagni�re', '42', 'FR'),
(16694, '42660', 'Jonzieux', '42', 'FR'),
(16695, '42430', 'Jur�', '42', 'FR'),
(16696, '42560', 'Lavieu', '42', 'FR'),
(16697, '42470', 'Lay', '42', 'FR'),
(16698, '42130', 'Leigneux', '42', 'FR'),
(16699, '42155', 'Lentigny', '42', 'FR'),
(16700, '42600', 'L�rigneux', '42', 'FR'),
(16701, '42600', 'L�zigneux', '42', 'FR'),
(16702, '42420', 'Lorette', '42', 'FR'),
(16703, '42520', 'Lup�', '42', 'FR'),
(16704, '42260', 'Lur�', '42', 'FR'),
(16705, '42380', 'Luriecq', '42', 'FR'),
(16706, '42300', 'Mably', '42', 'FR'),
(16707, '42114', 'Mach�zal', '42', 'FR'),
(16708, '42520', 'Maclas', '42', 'FR'),
(16709, '42600', 'Magneux Haute Rive', '42', 'FR'),
(16710, '42750', 'Maizilly', '42', 'FR'),
(16711, '42520', 'Malleval', '42', 'FR'),
(16712, '42140', 'Marcenod', '42', 'FR'),
(16713, '42130', 'Marcilly le Ch�tel', '42', 'FR'),
(16714, '42210', 'Marclopt', '42', 'FR'),
(16715, '42130', 'Marcoux', '42', 'FR'),
(16716, '42560', 'Margerie Chantagret', '42', 'FR'),
(16717, '42140', 'Maringes', '42', 'FR'),
(16718, '42660', 'Marlhes', '42', 'FR'),
(16719, '42560', 'Marols', '42', 'FR'),
(16720, '42750', 'Mars', '42', 'FR'),
(16721, '42380', 'Merle Leignec', '42', 'FR'),
(16722, '42110', 'Miz�rieux', '42', 'FR'),
(16723, '42600', 'Moingt', '42', 'FR'),
(16724, '42840', 'Montagny', '42', 'FR'),
(16725, '42380', 'Montarcher', '42', 'FR'),
(16726, '42600', 'Montbrison', '42', 'FR'),
(16727, '42360', 'Montchal', '42', 'FR'),
(16728, '42210', 'Montrond les Bains', '42', 'FR'),
(16729, '42130', 'Montverdun', '42', 'FR'),
(16730, '42600', 'Mornand', '42', 'FR'),
(16731, '42720', 'Nandax', '42', 'FR'),
(16732, '42470', 'Neaux', '42', 'FR'),
(16733, '42510', 'N�ronde', '42', 'FR'),
(16734, '42510', 'Nervieux', '42', 'FR'),
(16735, '42590', 'Neulise', '42', 'FR'),
(16736, '42640', 'Noailly', '42', 'FR'),
(16737, '42370', 'No�s', '42', 'FR'),
(16738, '42440', 'Noir�table', '42', 'FR'),
(16739, '42111', 'Noir�table', '42', 'FR'),
(16740, '42260', 'Nollieux', '42', 'FR'),
(16741, '42120', 'Notre Dame de Boisset', '42', 'FR'),
(16742, '42155', 'Ouches', '42', 'FR'),
(16743, '42310', 'La Pacaudi�re', '42', 'FR'),
(16744, '42890', 'Palogneux', '42', 'FR'),
(16745, '42360', 'Panissi�res', '42', 'FR'),
(16746, '42120', 'Parigny', '42', 'FR'),
(16747, '42410', 'Pavezin', '42', 'FR'),
(16748, '42410', 'P�lussin', '42', 'FR'),
(16749, '42380', 'P�rigneux', '42', 'FR'),
(16750, '42120', 'Perreux', '42', 'FR'),
(16751, '42590', 'Pinay', '42', 'FR'),
(16752, '42660', 'Planfoy', '42', 'FR'),
(16753, '42260', 'Pommiers', '42', 'FR'),
(16754, '42110', 'Poncins', '42', 'FR'),
(16755, '42110', 'Pouilly les Feurs', '42', 'FR'),
(16756, '42155', 'Pouilly les Nonains', '42', 'FR'),
(16757, '42720', 'Pouilly sous Charlieu', '42', 'FR'),
(16758, '42630', 'Pradines', '42', 'FR'),
(16759, '42600', 'Pralong', '42', 'FR'),
(16760, '42600', 'Pr�cieux', '42', 'FR'),
(16761, '42630', 'Regny', '42', 'FR'),
(16762, '42370', 'Renaison', '42', 'FR'),
(16763, '42150', 'La Ricamarie', '42', 'FR'),
(16764, '42153', 'Riorges', '42', 'FR'),
(16765, '42340', 'Rivas', '42', 'FR'),
(16766, '42800', 'Rive de Gier', '42', 'FR'),
(16767, '42300', 'Roanne', '42', 'FR'),
(16768, '42600', 'Roche', '42', 'FR'),
(16769, '42230', 'Roche la Moli�re', '42', 'FR'),
(16770, '42520', 'Roisey', '42', 'FR'),
(16771, '42380', 'Rozier C�tes d''Aurec', '42', 'FR'),
(16772, '42810', 'Rozier en Donzy', '42', 'FR'),
(16773, '42310', 'Sail les Bains', '42', 'FR'),
(16774, '42890', 'Sail sous Couzan', '42', 'FR'),
(16775, '42510', 'Sainte Agathe en Donzy', '42', 'FR'),
(16776, '42130', 'Ste Agathe la Bouteresse', '42', 'FR'),
(16777, '42370', 'Saint Alban les Eaux', '42', 'FR'),
(16778, '42370', 'Saint Andr� d''Apchon', '42', 'FR'),
(16779, '42210', 'Saint Andr� le Puy', '42', 'FR'),
(16780, '42520', 'Saint Appolinard', '42', 'FR'),
(16781, '42110', 'Saint Barth�lemy Lestra', '42', 'FR'),
(16782, '42310', 'Saint Bonnet des Quarts', '42', 'FR'),
(16783, '42380', 'Saint Bonnet le Ch�teau', '42', 'FR'),
(16784, '42940', 'Saint Bonnet le Courreau', '42', 'FR'),
(16785, '42330', 'Saint Bonnet les Oules', '42', 'FR'),
(16786, '42400', 'Saint Chamond', '42', 'FR'),
(16787, '42320', 'Saint Christo en Jarez', '42', 'FR'),
(16788, '42540', 'Sainte Colombe sur Gand', '42', 'FR'),
(16789, '42800', 'Sainte Croix en Jarez', '42', 'FR'),
(16790, '42160', 'Saint Cyprien', '42', 'FR'),
(16791, '42132', 'Saint Cyr de Favi�res', '42', 'FR'),
(16792, '42114', 'Saint Cyr de Valorges', '42', 'FR'),
(16793, '42210', 'Saint Cyr les Vignes', '42', 'FR'),
(16794, '42750', 'Saint Denis de Cabanne', '42', 'FR'),
(16795, '42140', 'Saint Denis sur Coise', '42', 'FR'),
(16796, '42111', 'Saint Didier sur Rochefort', '42', 'FR'),
(16798, '42000', 'Saint �tienne', '42', 'FR'),
(16799, '42130', 'Saint �tienne le Molard', '42', 'FR'),
(16800, '42640', 'Saint Forgeux Lespinasse', '42', 'FR'),
(16801, '42110', 'Sainte Foy Saint Sulpice', '42', 'FR'),
(16802, '42330', 'Saint Galmier', '42', 'FR'),
(16803, '42530', 'Saint Genest Lerpt', '42', 'FR'),
(16804, '42660', 'Saint Genest Malifaux', '42', 'FR'),
(16805, '42800', 'Genilac', '42', 'FR'),
(16806, '42510', 'Saint Georges de Baroille', '42', 'FR'),
(16807, '42990', 'Saint Georges en Couzan', '42', 'FR'),
(16808, '42610', 'Saint Georges Haute Ville', '42', 'FR'),
(16809, '42670', 'Saint Germain la Montagne', '42', 'FR'),
(16810, '42260', 'Saint Germain Laval', '42', 'FR'),
(16811, '42640', 'St Germain Lespinasse', '42', 'FR'),
(16812, '42370', 'Saint Haon le Ch�tel', '42', 'FR'),
(16813, '42370', 'Saint Haon le Vieux', '42', 'FR'),
(16814, '42570', 'Saint H�and', '42', 'FR'),
(16815, '42380', 'St Hilaire Cusson la Valmitte', '42', 'FR'),
(16816, '42190', 'Saint Hilaire sous Charlieu', '42', 'FR'),
(16817, '42650', 'Saint Jean Bonnefonds', '42', 'FR'),
(16818, '42440', 'Saint Jean la V�tre', '42', 'FR'),
(16819, '42155', 'St Jean St Maurice sur Loir', '42', 'FR'),
(16820, '42560', 'Saint Jean Soleymieux', '42', 'FR'),
(16821, '42590', 'Saint Jodard', '42', 'FR'),
(16822, '42800', 'Saint Joseph', '42', 'FR'),
(16823, '42260', 'Saint Julien d''Oddes', '42', 'FR'),
(16824, '42440', 'Saint Julien la V�tre', '42', 'FR'),
(16825, '42220', 'Saint Julien Molin Molette', '42', 'FR'),
(16826, '42136', 'Saint Just en Bas', '42', 'FR'),
(16827, '42430', 'Saint Just en Chevalet', '42', 'FR'),
(16828, '42540', 'Saint Just la Pendue', '42', 'FR'),
(16829, '42170', 'Saint Just sur Loire', '42', 'FR'),
(16830, '42210', 'Saint Laurent la Conche', '42', 'FR'),
(16831, '42130', 'Saint Laurent Rochefort', '42', 'FR'),
(16832, '42155', 'Saint L�ger sur Roanne', '42', 'FR'),
(16833, '42122', 'Saint Marcel de F�lines', '42', 'FR'),
(16834, '42430', 'Saint Marcel d''Urf�', '42', 'FR'),
(16835, '42680', 'Saint Marcellin en Forez', '42', 'FR'),
(16836, '42620', 'Saint Martin d''Estr�aux', '42', 'FR'),
(16837, '42800', 'Saint Martin la Plaine', '42', 'FR'),
(16838, '42260', 'Saint Martin la Sauvet�', '42', 'FR'),
(16839, '42110', 'Saint Martin Lestra', '42', 'FR'),
(16840, '42240', 'Saint Maurice en Gourgois', '42', 'FR'),
(16841, '42155', 'Saint Maurice sur Loire', '42', 'FR'),
(16842, '42330', 'Saint M�dard en Forez', '42', 'FR'),
(16843, '42410', 'Saint Michel sur Rh�ne', '42', 'FR'),
(16844, '42380', 'Saint Nizier de Fornas', '42', 'FR'),
(16845, '42190', 'Saint Nizier sous Charlieu', '42', 'FR'),
(16846, '42590', 'Saint Paul de V�zelin', '42', 'FR'),
(16847, '42600', 'Saint Paul d''Uzore', '42', 'FR'),
(16848, '42240', 'Saint Paul en Cornillon', '42', 'FR'),
(16849, '42740', 'Saint Paul en Jarez', '42', 'FR'),
(16850, '42520', 'Saint Pierre de Boeuf', '42', 'FR'),
(16851, '42190', 'Saint Pierre la Noaille', '42', 'FR'),
(16852, '42260', 'Saint Polgues', '42', 'FR'),
(16853, '42270', 'Saint Priest en Jarez', '42', 'FR'),
(16854, '42830', 'Saint Priest la Prugne', '42', 'FR'),
(16855, '42590', 'Saint Priest la Roche', '42', 'FR'),
(16856, '42440', 'Saint Priest la V�tre', '42', 'FR'),
(16857, '42170', 'St Just St Rambert', '42', 'FR'),
(16858, '42660', 'Saint R�gis du Coin', '42', 'FR'),
(16859, '42370', 'Saint Rirand', '42', 'FR'),
(16860, '42430', 'Saint Romain d''Urf�', '42', 'FR'),
(16861, '42800', 'Saint Romain en Jarez', '42', 'FR'),
(16862, '42640', 'Saint Romain la Motte', '42', 'FR'),
(16863, '42610', 'Saint Romain le Puy', '42', 'FR'),
(16864, '42660', 'Saint Romain les Atheux', '42', 'FR'),
(16865, '42220', 'Saint Sauveur en Rue', '42', 'FR'),
(16866, '42130', 'Saint Sixte', '42', 'FR'),
(16867, '42470', 'Saint Symphorien de Lay', '42', 'FR'),
(16868, '42600', 'Saint Thomas la Garde', '42', 'FR'),
(16869, '42111', 'Saint Thurin', '42', 'FR'),
(16870, '42230', 'Saint Victor sur Loire', '42', 'FR'),
(16871, '42630', 'Saint Victor sur Rhins', '42', 'FR'),
(16872, '42120', 'Saint Vincent de Boisset', '42', 'FR'),
(16873, '42440', 'Salles', '42', 'FR'),
(16874, '42110', 'Salt en Donzy', '42', 'FR'),
(16875, '42110', 'Salvizinet', '42', 'FR'),
(16876, '42990', 'Sauvain', '42', 'FR'),
(16877, '42600', 'Savigneux', '42', 'FR'),
(16878, '42460', 'Sevelinges', '42', 'FR'),
(16879, '42560', 'Soleymieux', '42', 'FR'),
(16880, '42290', 'Sorbiers', '42', 'FR'),
(16881, '42260', 'Souternon', '42', 'FR'),
(16882, '42450', 'Sury le Comtal', '42', 'FR'),
(16883, '42350', 'La Talaudi�re', '42', 'FR'),
(16884, '42660', 'Tarentaise', '42', 'FR'),
(16885, '42800', 'Tartaras', '42', 'FR'),
(16886, '42740', 'La Terrasse sur Dorlay', '42', 'FR'),
(16887, '42220', 'Th�lis la Combe', '42', 'FR'),
(16888, '42580', 'La Tour en Jarez', '42', 'FR'),
(16889, '42380', 'Tourette', '42', 'FR'),
(16890, '42130', 'Trelins', '42', 'FR'),
(16891, '42830', 'La Tuili�re', '42', 'FR'),
(16892, '42210', 'Unias', '42', 'FR'),
(16893, '42240', 'Unieux', '42', 'FR'),
(16894, '42310', 'Urbise', '42', 'FR'),
(16895, '42550', 'Usson en Forez', '42', 'FR'),
(16896, '42110', 'Valeille', '42', 'FR'),
(16897, '42320', 'Valfleury', '42', 'FR'),
(16898, '42111', 'La Valla', '42', 'FR'),
(16899, '42131', 'La Valla en Gier', '42', 'FR'),
(16900, '42340', 'Veauche', '42', 'FR'),
(16901, '42340', 'Veauchette', '42', 'FR'),
(16902, '42590', 'Vendranges', '42', 'FR'),
(16903, '42520', 'V�ranne', '42', 'FR'),
(16904, '42410', 'V�rin', '42', 'FR'),
(16905, '42600', 'Verri�res en Forez', '42', 'FR'),
(16906, '42220', 'La Versanne', '42', 'FR'),
(16907, '42390', 'Villars', '42', 'FR'),
(16908, '42155', 'Villemontais', '42', 'FR'),
(16909, '42300', 'Villerest', '42', 'FR'),
(16910, '42460', 'Villers', '42', 'FR'),
(16911, '42780', 'Violay', '42', 'FR'),
(16912, '42140', 'Viricelles', '42', 'FR'),
(16913, '42140', 'Virigneux', '42', 'FR'),
(16914, '42310', 'Vivans', '42', 'FR'),
(16915, '42720', 'Vougy', '42', 'FR'),
(16916, '42430', 'Chausseterre', '42', 'FR'),
(16917, '42100', 'Terrenoire', '42', 'FR'),
(16918, '43100', 'Agnat', '43', 'FR'),
(16919, '43000', 'Aiguilhe', '43', 'FR'),
(16920, '43270', 'All�gre', '43', 'FR'),
(16921, '43150', 'Alleyrac', '43', 'FR'),
(16922, '43580', 'Alleyras', '43', 'FR'),
(16923, '43380', 'Ally', '43', 'FR'),
(16924, '43200', 'Araules', '43', 'FR'),
(16925, '43490', 'Arlempdes', '43', 'FR'),
(16926, '43380', 'Arlet', '43', 'FR'),
(16927, '43700', 'Arsac en Velay', '43', 'FR'),
(16928, '43380', 'Aubazat', '43', 'FR'),
(16929, '43110', 'Aurec sur Loire', '43', 'FR'),
(16930, '43300', 'Vissac Auteyrac', '43', 'FR'),
(16931, '43450', 'Autrac', '43', 'FR'),
(16932, '43300', 'Auvers', '43', 'FR'),
(16933, '43390', 'Auzon', '43', 'FR'),
(16934, '43390', 'Az�rat', '43', 'FR'),
(16935, '43370', 'Bains', '43', 'FR'),
(16936, '43340', 'Barges', '43', 'FR'),
(16937, '43210', 'Bas en Basset', '43', 'FR'),
(16938, '43800', 'Beaulieu', '43', 'FR'),
(16939, '43100', 'Beaumont', '43', 'FR'),
(16940, '43500', 'Beaune sur Arzon', '43', 'FR'),
(16941, '43200', 'Beaux', '43', 'FR'),
(16942, '43590', 'Beauzac', '43', 'FR'),
(16943, '43350', 'Bellevue la Montagne', '43', 'FR'),
(16944, '43160', 'Berbezit', '43', 'FR'),
(16945, '43200', 'Bessamorel', '43', 'FR'),
(16946, '43170', 'La Besseyre Saint Mary', '43', 'FR'),
(16947, '43350', 'Blanzac', '43', 'FR'),
(16948, '43380', 'Blassac', '43', 'FR'),
(16949, '43700', 'Blavozy', '43', 'FR'),
(16950, '43450', 'Blesle', '43', 'FR'),
(16951, '43500', 'Boisset', '43', 'FR'),
(16952, '43160', 'Bonneval', '43', 'FR'),
(16953, '43350', 'Borne', '43', 'FR'),
(16954, '43510', 'Le Bouchet Saint Nicolas', '43', 'FR'),
(16955, '43360', 'Bournoncle Saint Pierre', '43', 'FR'),
(16956, '43370', 'Le Brignon', '43', 'FR'),
(16957, '43100', 'Brioude', '43', 'FR'),
(16958, '43700', 'Brives Charensac', '43', 'FR'),
(16959, '43510', 'Cayres', '43', 'FR'),
(16960, '43270', 'C�aux d''All�gre', '43', 'FR'),
(16961, '43380', 'Cerzat', '43', 'FR'),
(16962, '43000', 'Ceyssac', '43', 'FR'),
(16963, '43770', 'Chadrac', '43', 'FR'),
(16964, '43150', 'Chadron', '43', 'FR'),
(16965, '43160', 'La Chaise Dieu', '43', 'FR'),
(16966, '43800', 'Chamali�res sur Loire', '43', 'FR'),
(16967, '43410', 'Chambezon', '43', 'FR'),
(16968, '43400', 'Le Chambon sur Lignon', '43', 'FR'),
(16969, '43440', 'Champagnac le Vieux', '43', 'FR'),
(16970, '43260', 'Champclause', '43', 'FR'),
(16971, '43430', 'Champclause', '43', 'FR'),
(16972, '43170', 'Chanaleilles', '43', 'FR'),
(16973, '43100', 'Chaniat', '43', 'FR'),
(16974, '43300', 'Chanteuges', '43', 'FR'),
(16975, '43270', 'La Chapelle Bertin', '43', 'FR'),
(16976, '43120', 'La Chapelle d''Aurec', '43', 'FR'),
(16977, '43160', 'La Chapelle Geneste', '43', 'FR'),
(16978, '43300', 'Charraix', '43', 'FR'),
(16979, '43700', 'Chaspinhac', '43', 'FR'),
(16980, '43320', 'Chaspuzac', '43', 'FR'),
(16981, '43230', 'Chassagnes', '43', 'FR'),
(16982, '43440', 'Chassignolles', '43', 'FR'),
(16983, '43300', 'Chastel', '43', 'FR'),
(16984, '43430', 'Chaudeyrolles', '43', 'FR'),
(16985, '43230', 'Chavaniac Lafayette', '43', 'FR'),
(16986, '43300', 'Chazelles', '43', 'FR'),
(16987, '43190', 'Chenereilles', '43', 'FR'),
(16988, '43380', 'Chilhac', '43', 'FR'),
(16989, '43500', 'Chomelix', '43', 'FR'),
(16990, '43230', 'La Chomette', '43', 'FR'),
(16991, '43160', 'Cistri�res', '43', 'FR'),
(16992, '43100', 'Cohade', '43', 'FR'),
(16993, '43230', 'Collat', '43', 'FR'),
(16994, '43160', 'Connangles', '43', 'FR'),
(16995, '43490', 'Costaros', '43', 'FR'),
(16996, '43700', 'Coubon', '43', 'FR'),
(16997, '43230', 'Couteuges', '43', 'FR'),
(16998, '43500', 'Craponne sur Arzon', '43', 'FR'),
(16999, '43580', 'Croisances', '43', 'FR'),
(17000, '43300', 'Cronce', '43', 'FR'),
(17001, '43170', 'Cubelles', '43', 'FR'),
(17002, '43370', 'Cussac sur Loire', '43', 'FR'),
(17003, '43300', 'Desges', '43', 'FR'),
(17004, '43230', 'Domeyrat', '43', 'FR'),
(17005, '43220', 'Duni�res', '43', 'FR'),
(17006, '43450', 'Espalem', '43', 'FR'),
(17007, '43000', 'Espaly Saint Marcel', '43', 'FR'),
(17008, '43170', 'Esplantas', '43', 'FR'),
(17009, '43150', 'Les Estables', '43', 'FR'),
(17010, '43430', 'Fay sur Lignon', '43', 'FR'),
(17011, '43160', 'F�lines', '43', 'FR'),
(17012, '43300', 'Ferrussac', '43', 'FR'),
(17013, '43320', 'Fix Saint Geneys', '43', 'FR'),
(17014, '43100', 'Fontannes', '43', 'FR'),
(17015, '43150', 'Freycenet la Cuche', '43', 'FR'),
(17016, '43150', 'Freycenet la Tour', '43', 'FR'),
(17017, '43250', 'Frug�res les Mines', '43', 'FR'),
(17018, '43230', 'Frugi�res le Pin', '43', 'FR'),
(17019, '43150', 'Goudet', '43', 'FR'),
(17020, '43200', 'Grazac', '43', 'FR'),
(17021, '43450', 'Grenier Montgon', '43', 'FR'),
(17022, '43170', 'Gr�zes', '43', 'FR'),
(17023, '43100', 'Javaugues', '43', 'FR'),
(17024, '43230', 'Jax', '43', 'FR'),
(17025, '43230', 'Josat', '43', 'FR'),
(17026, '43500', 'Jullianges', '43', 'FR'),
(17027, '43490', 'Lafarre', '43', 'FR'),
(17028, '43100', 'Lamothe', '43', 'FR'),
(17029, '43340', 'Landos', '43', 'FR'),
(17030, '43300', 'Langeac', '43', 'FR'),
(17031, '43260', 'Lantriac', '43', 'FR'),
(17032, '43200', 'Lapte', '43', 'FR'),
(17033, '43150', 'Laussonne', '43', 'FR'),
(17034, '43440', 'Laval sur Doulon', '43', 'FR'),
(17035, '43100', 'Lavaudieu', '43', 'FR'),
(17036, '43380', 'Lavo�te Chilhac', '43', 'FR'),
(17037, '43800', 'Lavo�te sur Loire', '43', 'FR'),
(17038, '43410', 'empdes sur Allagnon', '43', 'FR'),
(17039, '43410', 'L�otoing', '43', 'FR'),
(17040, '43350', 'Lissac', '43', 'FR'),
(17041, '43360', 'Lorlanges', '43', 'FR'),
(17042, '43320', 'Loudes', '43', 'FR'),
(17043, '43100', 'Lubilhac', '43', 'FR'),
(17044, '43800', 'Malrevers', '43', 'FR'),
(17045, '43210', 'Malvalette', '43', 'FR'),
(17046, '43160', 'Malvi�res', '43', 'FR'),
(17047, '43190', 'Le Mas de Tence', '43', 'FR'),
(17048, '43520', 'Mazet Saint Voy', '43', 'FR'),
(17049, '43230', 'Mazeyrat Aurouze', '43', 'FR'),
(17050, '43300', 'Mazeyrat d''Allier', '43', 'FR'),
(17051, '43100', 'Mercoeur', '43', 'FR'),
(17052, '43800', 'M�z�res', '43', 'FR'),
(17053, '43150', 'Monastier sur Gazeille', '43', 'FR'),
(17054, '43580', 'Monistrol d''Allier', '43', 'FR'),
(17055, '43120', 'Monistrol sur Loire', '43', 'FR'),
(17056, '43270', 'Monlet', '43', 'FR'),
(17057, '43230', 'Montclard', '43', 'FR'),
(17058, '43700', 'Monteil', '43', 'FR'),
(17059, '43290', 'Montfaucon en Velay', '43', 'FR'),
(17060, '43290', 'Montregard', '43', 'FR'),
(17061, '43260', 'Montusclat', '43', 'FR'),
(17062, '43150', 'Moudeyres', '43', 'FR'),
(17063, '43510', 'Ouides', '43', 'FR'),
(17064, '43100', 'Paulhac', '43', 'FR'),
(17065, '43230', 'Paulhaguet', '43', 'FR'),
(17066, '43300', 'P�brac', '43', 'FR'),
(17067, '43200', 'Le Pertuis', '43', 'FR'),
(17068, '43300', 'Pinols', '43', 'FR'),
(17069, '43770', 'Polignac', '43', 'FR'),
(17070, '43330', 'Pont Salomon', '43', 'FR'),
(17071, '43420', 'Pradelles', '43', 'FR'),
(17072, '43300', 'Prades', '43', 'FR'),
(17073, '43150', 'Pr�sailles', '43', 'FR'),
(17074, '43000', 'Puy en Velay', '43', 'FR'),
(17075, '43260', 'Queyri�res', '43', 'FR'),
(17076, '43290', 'Raucoules', '43', 'FR'),
(17077, '43340', 'Rauret', '43', 'FR'),
(17078, '43300', 'Reilhac', '43', 'FR'),
(17079, '43130', 'Retournac', '43', 'FR'),
(17080, '43220', 'Riotord', '43', 'FR'),
(17081, '43130', 'Roche en R�gnier', '43', 'FR'),
(17082, '43800', 'Rosi�res', '43', 'FR'),
(17083, '43130', 'Saint Andr� de Chalen�on', '43', 'FR'),
(17084, '43300', 'Saint Ar�ons d''Allier', '43', 'FR'),
(17085, '43420', 'Saint Arcons de Barges', '43', 'FR'),
(17086, '43380', 'Saint Austremoine', '43', 'FR'),
(17087, '43100', 'St Beauzire', '43', 'FR'),
(17088, '43300', 'Saint B�rain', '43', 'FR'),
(17089, '43290', 'Saint Bonnet le Froid', '43', 'FR'),
(17090, '43340', 'St Christophe d''Allier', '43', 'FR'),
(17091, '43370', 'Saint Christophe sur Dolaison', '43', 'FR'),
(17092, '43380', 'Saint Cirgues', '43', 'FR'),
(17093, '43580', 'Saint Didier d''Allier', '43', 'FR'),
(17094, '43140', 'Saint Didier en Velay', '43', 'FR'),
(17095, '43440', 'Saint Didier sur Doulon', '43', 'FR'),
(17096, '43300', 'Saint Eble', '43', 'FR'),
(17097, '43420', 'Saint �tienne du Vigan', '43', 'FR'),
(17098, '43260', 'Saint �tienne Lardeyrol', '43', 'FR'),
(17099, '43450', 'Saint �tienne sur Blesle', '43', 'FR'),
(17100, '43230', 'Sainte Eug�nie de Villeneuve', '43', 'FR'),
(17101, '43330', 'Saint Ferr�ol d''Auroure', '43', 'FR'),
(17102, '43250', 'Sainte Florine', '43', 'FR'),
(17103, '43550', 'Saint Front', '43', 'FR'),
(17104, '43350', 'Saint Geneys pr�s Saint Paulien', '43', 'FR'),
(17105, '43230', 'Saint Georges d''Aurac', '43', 'FR'),
(17106, '43500', 'St Georges Lagricol', '43', 'FR'),
(17107, '43700', 'Saint Germain Laprade', '43', 'FR'),
(17108, '43360', 'Saint G�ron', '43', 'FR'),
(17109, '43340', 'Saint Haon', '43', 'FR'),
(17110, '43390', 'aint Hilaire', '43', 'FR'),
(17111, '43260', 'Saint Hostien', '43', 'FR'),
(17112, '43380', 'Saint Ilpize', '43', 'FR'),
(17113, '43500', 'Saint Jean d''Aubrigoux', '43', 'FR'),
(17114, '43320', 'Saint Jean de Nay', '43', 'FR'),
(17115, '43510', 'Saint Jean Lachalm', '43', 'FR'),
(17116, '43200', 'Saint Jeures', '43', 'FR'),
(17117, '43260', 'Saint Julien Chapteuil', '43', 'FR'),
(17118, '43500', 'Saint Julien d''Ance', '43', 'FR'),
(17119, '43300', 'Saint Julien des Chazes', '43', 'FR'),
(17120, '43200', 'Saint Julien du Pinet', '43', 'FR'),
(17121, '43220', 'Saint Julien Molhesabate', '43', 'FR'),
(17122, '43240', 'Saint Just Malmont', '43', 'FR'),
(17123, '43100', 'Saint Just pr�s Brioude', '43', 'FR'),
(17124, '43100', 'Saint Laurent Chabreuges', '43', 'FR'),
(17125, '43230', 'Sainte Marguerite', '43', 'FR'),
(17126, '43150', 'Saint Martin de Fug�res', '43', 'FR'),
(17127, '43200', 'Saint Maurice de Lignon', '43', 'FR'),
(17128, '43120', 'Saint Maurice de Lignon', '43', 'FR'),
(17129, '43500', 'St Pal de Chalencon', '43', 'FR'),
(17130, '43620', 'Saint Pal de Mons', '43', 'FR'),
(17131, '43160', 'Saint Pal de Senouire', '43', 'FR'),
(17132, '43420', 'Saint Paul de Tartas', '43', 'FR'),
(17133, '43350', 'Saint Paulien', '43', 'FR'),
(17134, '43130', 'St Pierre du Champ', '43', 'FR'),
(17135, '43260', 'Saint Pierre Eynac', '43', 'FR'),
(17136, '43230', 'Saint Pr�jet Armandon', '43', 'FR'),
(17137, '43580', 'Saint Pr�jet d''Allier', '43', 'FR'),
(17138, '43580', 'Saint Privat d''Allier', '43', 'FR'),
(17139, '43380', 'Saint Privat du Dragon', '43', 'FR'),
(17140, '43620', 'Saint Romain Lachalm', '43', 'FR'),
(17141, '43600', 'Sainte Sigol�ne', '43', 'FR'),
(17142, '43580', 'Saint V�n�rand', '43', 'FR'),
(17143, '43440', 'Saint Vert', '43', 'FR'),
(17144, '43140', 'Saint Victor Malescours', '43', 'FR'),
(17145, '43500', 'Saint Victor sur Arlanc', '43', 'FR'),
(17146, '43320', 'Saint Vidal', '43', 'FR'),
(17147, '43800', 'St Vincent', '43', 'FR'),
(17148, '43150', 'Salettes', '43', 'FR'),
(17149, '43230', 'Salzuit', '43', 'FR'),
(17150, '43320', 'Sanssac l''�glise', '43', 'FR'),
(17151, '43170', 'Saugues', '43', 'FR'),
(17152, '43140', 'La S�auve sur Sem�ne', '43', 'FR'),
(17153, '43160', 'Sembadel', '43', 'FR'),
(17154, '43510', 'S�neujols', '43', 'FR'),
(17155, '43300', 'Siaugues Ste Marie', '43', 'FR'),
(17156, '43130', 'Solignac sous Roche', '43', 'FR'),
(17157, '43370', 'Solignac sur Loire', '43', 'FR'),
(17158, '43300', 'Tailhac', '43', 'FR'),
(17159, '43190', 'Tence', '43', 'FR'),
(17160, '43170', 'Thoras', '43', 'FR'),
(17161, '43130', 'Tiranges', '43', 'FR'),
(17162, '43450', 'Torsiac', '43', 'FR'),
(17163, '43210', 'Valprivas', '43', 'FR'),
(17164, '43230', 'Vals le Chastel', '43', 'FR'),
(17165, '43750', 'Vals pr�s le Puy', '43', 'FR'),
(17166, '43270', 'Varennes Saint Honorat', '43', 'FR'),
(17167, '43430', 'Vastres', '43', 'FR'),
(17168, '43320', 'Vazeilles Limandre', '43', 'FR'),
(17169, '43580', 'Vazeilles pr�s Saugues', '43', 'FR'),
(17170, '43170', 'Venteuges', '43', 'FR'),
(17171, '43320', 'Vergezac', '43', 'FR'),
(17172, '43360', 'Vergongheon', '43', 'FR'),
(17173, '43270', 'Vernassal', '43', 'FR'),
(17174, '43320', 'Le Vernet', '43', 'FR'),
(17175, '43390', 'V�z�zoux', '43', 'FR'),
(17176, '43100', 'Vieille Brioude', '43', 'FR'),
(17177, '43490', 'Vielprat', '43', 'FR'),
(17178, '43380', 'Villeneuve d''Allier', '43', 'FR'),
(17179, '43600', 'Les Villettes', '43', 'FR'),
(17180, '43300', 'Vissac', '43', 'FR'),
(17181, '43800', 'Vorey', '43', 'FR'),
(17182, '43200', 'Yssingeaux', '43', 'FR'),
(17183, '43360', 'Arvant', '43', 'FR'),
(17184, '43340', 'La Sauvetat', '43', 'FR'),
(17185, '44170', 'Abbaretz', '44', 'FR'),
(17186, '44140', 'Aigrefeuille sur Maine', '44', 'FR'),
(17187, '44150', 'Ancenis', '44', 'FR'),
(17188, '44150', 'Anetz', '44', 'FR'),
(17189, '44320', 'Arthon en Retz', '44', 'FR'),
(17190, '44410', 'Ass�rac', '44', 'FR'),
(17191, '44460', 'Avessac', '44', 'FR'),
(17192, '44450', 'Barbechat', '44', 'FR'),
(17193, '44115', 'Basse Goulaine', '44', 'FR'),
(17194, '44740', 'Batz sur Mer', '44', 'FR'),
(17195, '44370', 'Bellign�', '44', 'FR'),
(17196, '44760', 'La Bernerie en Retz', '44', 'FR'),
(17197, '44160', 'Besn�', '44', 'FR'),
(17198, '44140', 'Bignon', '44', 'FR'),
(17199, '44130', 'Blain', '44', 'FR'),
(17200, '44430', 'Boissi�re du Dor�', '44', 'FR'),
(17201, '44540', 'Bonnoeuvre', '44', 'FR'),
(17202, '44830', 'Bouaye', '44', 'FR'),
(17203, '44260', 'Bou�e', '44', 'FR'),
(17204, '44340', 'Bouguenais', '44', 'FR'),
(17205, '44580', 'Bourgneuf en Retz', '44', 'FR'),
(17206, '44190', 'Boussay', '44', 'FR'),
(17207, '44130', 'Bouvron', '44', 'FR'),
(17208, '44830', 'Brains', '44', 'FR'),
(17209, '44750', 'Campbon', '44', 'FR'),
(17210, '44470', 'Carquefou', '44', 'FR'),
(17211, '44390', 'Casson', '44', 'FR'),
(17212, '44850', 'Le Cellier', '44', 'FR'),
(17213, '44450', 'La Chapelle Basse Mer', '44', 'FR'),
(17214, '44410', 'La Chapelle des Marais', '44', 'FR'),
(17215, '44670', 'La Chapelle Glain', '44', 'FR'),
(17216, '44330', 'La Chapelle Heulin', '44', 'FR'),
(17217, '44260', 'La Chapelle Launay', '44', 'FR'),
(17218, '44370', 'La Chapelle Saint Sauveur', '44', 'FR'),
(17219, '44240', 'La Chapelle sur Erdre', '44', 'FR'),
(17220, '44110', 'Ch�teaubriant', '44', 'FR'),
(17221, '44690', 'Ch�teau Th�baud', '44', 'FR'),
(17222, '44320', 'Chauv�', '44', 'FR'),
(17223, '44640', 'Cheix en Retz', '44', 'FR'),
(17224, '44680', 'Ch�mer�', '44', 'FR'),
(17225, '44118', 'La Chevroli�re', '44', 'FR'),
(17226, '44210', 'Le Clion sur Mer', '44', 'FR'),
(17227, '44190', 'Clisson', '44', 'FR'),
(17228, '44290', 'Conquereuil', '44', 'FR'),
(17229, '44360', 'Cordemais', '44', 'FR'),
(17230, '44560', 'Corsept', '44', 'FR'),
(17231, '44220', 'Cou�ron', '44', 'FR'),
(17232, '44521', 'Couff�', '44', 'FR'),
(17233, '44490', 'Le Croisic', '44', 'FR'),
(17234, '44160', 'Crossac', '44', 'FR'),
(17235, '44590', 'Derval', '44', 'FR'),
(17236, '44480', 'Donges', '44', 'FR'),
(17237, '44530', 'Dreff�ac', '44', 'FR'),
(17238, '44110', 'Erbray', '44', 'FR'),
(17239, '44500', 'La Baule Escoublac', '44', 'FR'),
(17240, '44130', 'Fay de Bretagne', '44', 'FR'),
(17241, '44460', 'F�gr�ac', '44', 'FR'),
(17242, '44660', 'Ferc�', '44', 'FR'),
(17243, '44580', 'Fresnay en Retz', '44', 'FR'),
(17244, '49123', 'Fresne sur Loire', '49', 'FR'),
(17245, '44320', 'Frossay', '44', 'FR'),
(17246, '44130', 'Le G�vre', '44', 'FR'),
(17247, '44190', 'G�tign�', '44', 'FR'),
(17248, '44190', 'Gorges', '44', 'FR'),
(17249, '44520', 'Grand Auvern�', '44', 'FR'),
(17250, '44119', 'Grandchamps des Fontaines', '44', 'FR'),
(17251, '44290', 'Gu�m�n� Penfao', '44', 'FR'),
(17252, '44530', 'Guenrouet', '44', 'FR'),
(17253, '44350', 'Gu�rande', '44', 'FR'),
(17254, '44690', 'La Haie Fouassi�re', '44', 'FR'),
(17255, '44115', 'Haute Goulaine', '44', 'FR'),
(17256, '44410', 'Herbignac', '44', 'FR'),
(17257, '44810', 'H�ric', '44', 'FR'),
(17258, '44610', 'Indre', '44', 'FR'),
(17259, '44520', 'Iss�', '44', 'FR'),
(17260, '44170', 'Jans', '44', 'FR'),
(17261, '44440', 'Jou� sur Erdre', '44', 'FR'),
(17262, '44670', 'Juign� des Moutiers', '44', 'FR'),
(17263, '44430', 'Le Landreau', '44', 'FR'),
(17264, '44260', 'Lavau sur Loire', '44', 'FR'),
(17265, '44650', 'Leg�', '44', 'FR'),
(17266, '44850', 'Lign�', '44', 'FR'),
(17267, '44310', 'La Limouzini�re', '44', 'FR'),
(17268, '44430', 'Le Loroux Bottereau', '44', 'FR'),
(17269, '44110', 'Louisfert', '44', 'FR'),
(17270, '44590', 'Lusanger', '44', 'FR'),
(17271, '44270', 'Machecoul', '44', 'FR'),
(17272, '44690', 'Maisdon sur S�vre', '44', 'FR'),
(17273, '44260', 'Malville', '44', 'FR'),
(17274, '44270', 'La Marne', '44', 'FR'),
(17275, '44170', 'Marsac sur Don', '44', 'FR'),
(17276, '44290', 'Mass�rac', '44', 'FR'),
(17277, '44540', 'Maumusson', '44', 'FR'),
(17278, '44470', 'Mauves sur Loire', '44', 'FR'),
(17279, '44520', 'La Meilleraye de Bretagne', '44', 'FR'),
(17280, '44522', 'M�sanger', '44', 'FR'),
(17281, '44420', 'Mesquer', '44', 'FR'),
(17282, '44780', 'Missillac', '44', 'FR'),
(17283, '44520', 'Moisdon la Rivi�re', '44', 'FR'),
(17284, '44690', 'Monni�res', '44', 'FR'),
(17285, '44620', 'La Montagne', '44', 'FR'),
(17286, '44140', 'Montbert', '44', 'FR'),
(17287, '44550', 'Montoir de Bretagne', '44', 'FR'),
(17288, '44370', 'Montrelais', '44', 'FR'),
(17289, '44590', 'Mouais', '44', 'FR'),
(17290, '44580', 'Moutiers en Retz', '44', 'FR'),
(17291, '44850', 'Mouzeil', '44', 'FR'),
(17292, '44330', 'Mouzillon', '44', 'FR'),
(17293, '44200', 'Nantes', '44', 'FR'),
(17294, '44300', 'Nantes', '44', 'FR'),
(17295, '44000', 'Nantes', '44', 'FR'),
(17296, '44100', 'Nantes', '44', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(17297, '44390', 'Nort sur Erdre', '44', 'FR'),
(17298, '44130', 'Notre Dame des Landes', '44', 'FR'),
(17299, '44110', 'Noyal sur Brutz', '44', 'FR'),
(17300, '44170', 'Nozay', '44', 'FR'),
(17301, '44700', 'Orvault', '44', 'FR'),
(17302, '44521', 'Oudon', '44', 'FR'),
(17303, '44560', 'Paimboeuf', '44', 'FR'),
(17304, '44330', 'Le Pallet', '44', 'FR'),
(17305, '44440', 'Pannec�', '44', 'FR'),
(17306, '44270', 'Paulx', '44', 'FR'),
(17307, '44640', 'Le Pellerin', '44', 'FR'),
(17308, '44670', 'Petit Auvern�', '44', 'FR'),
(17309, '44390', 'Petit Mars', '44', 'FR'),
(17310, '44290', 'Pierric', '44', 'FR'),
(17311, '44540', 'Le Pin', '44', 'FR'),
(17312, '44420', 'Piriac sur Mer', '44', 'FR'),
(17313, '44770', 'La Plaine sur Mer', '44', 'FR'),
(17314, '44140', 'La Planche', '44', 'FR'),
(17315, '44630', 'Pless�', '44', 'FR'),
(17316, '44160', 'Pontch�teau', '44', 'FR'),
(17317, '44860', 'Pont Saint Martin', '44', 'FR'),
(17318, '44210', 'Pornic', '44', 'FR'),
(17319, '44380', 'Pornichet', '44', 'FR'),
(17320, '44710', 'Port Saint P�re', '44', 'FR'),
(17321, '44522', 'Pouill� les C�teaux', '44', 'FR'),
(17322, '44510', 'Le Pouliguen', '44', 'FR'),
(17323, '44770', 'Pr�failles', '44', 'FR'),
(17324, '44260', 'Prinquiau', '44', 'FR'),
(17325, '44390', 'Puceul', '44', 'FR'),
(17326, '44750', 'Quilly', '44', 'FR'),
(17327, '44330', 'La Regrippi�re', '44', 'FR'),
(17328, '44430', 'La Remaudi�re', '44', 'FR'),
(17329, '44140', 'Remouill�', '44', 'FR'),
(17330, '44400', 'Rez�', '44', 'FR'),
(17331, '44440', 'Riaill�', '44', 'FR'),
(17332, '44640', 'Rouans', '44', 'FR'),
(17333, '44660', 'Roug�', '44', 'FR'),
(17334, '44370', 'La Rouxi�re', '44', 'FR'),
(17335, '44660', 'Ruffign�', '44', 'FR'),
(17336, '44390', 'Saffr�', '44', 'FR'),
(17337, '44860', 'St Aignan Grandlieu', '44', 'FR'),
(17338, '44117', 'Saint Andr� des Eaux', '44', 'FR'),
(17339, '44160', 'Ste Anne sur Brivet', '44', 'FR'),
(17340, '44110', 'Saint Aubin des Ch�teaux', '44', 'FR'),
(17341, '44250', 'Saint Br�vin les Pins', '44', 'FR'),
(17342, '44310', 'St Colomban', '44', 'FR'),
(17343, '44650', 'Corcou� sur Logne', '44', 'FR'),
(17344, '44270', 'Saint �tienne de Mer Morte', '44', 'FR'),
(17345, '44360', 'Saint �tienne de Montluc', '44', 'FR'),
(17346, '44690', 'Saint Fiacre sur Maine', '44', 'FR'),
(17347, '44150', 'Saint G�r�on', '44', 'FR'),
(17348, '44530', 'Saint Gildas des Bois', '44', 'FR'),
(17349, '44800', 'Saint Herblain', '44', 'FR'),
(17350, '44150', 'Saint Herblon', '44', 'FR'),
(17351, '44680', 'Saint Hilaire de Chal�ons', '44', 'FR'),
(17352, '44190', 'Saint Hilaire de Clisson', '44', 'FR'),
(17353, '44640', 'Saint Jean de Boiseau', '44', 'FR'),
(17354, '44650', 'Saint Jean de Corcou�', '44', 'FR'),
(17355, '44720', 'Saint Joachim', '44', 'FR'),
(17356, '44450', 'Saint Julien de Concelles', '44', 'FR'),
(17357, '44670', 'Saint Julien de Vouvantes', '44', 'FR'),
(17358, '44710', 'Saint L�ger les Vignes', '44', 'FR'),
(17359, '44980', 'Sainte Luce sur Loire', '44', 'FR'),
(17360, '44190', 'Saint Lumine de Clisson', '44', 'FR'),
(17361, '44310', 'Saint Lumine de Coutais', '44', 'FR'),
(17362, '44410', 'Saint Lyphard', '44', 'FR'),
(17363, '44550', 'Saint Malo de Guersac', '44', 'FR'),
(17364, '44680', 'Saint Mars de Coutais', '44', 'FR'),
(17365, '44850', 'Saint Mars du D�sert', '44', 'FR'),
(17366, '44540', 'Saint Mars la Jaille', '44', 'FR'),
(17367, '44270', 'Saint M�me le Tenu', '44', 'FR'),
(17368, '44730', 'Saint Michel Chef Chef', '44', 'FR'),
(17369, '44350', 'Saint Molf', '44', 'FR'),
(17370, '44600', 'Saint Nazaire', '44', 'FR'),
(17371, '44460', 'Saint Nicolas de Redon', '44', 'FR'),
(17372, '44680', 'Sainte Pazanne', '44', 'FR'),
(17373, '44320', 'Saint P�re en Retz', '44', 'FR'),
(17374, '44310', 'Saint Philbert de Grand Lieu', '44', 'FR'),
(17375, '44160', 'Sainte Reine de Bretagne', '44', 'FR'),
(17376, '44230', 'Saint S�bastien sur Loire', '44', 'FR'),
(17377, '44540', 'St Sulpice des Landes', '44', 'FR'),
(17378, '44320', 'Saint Viaud', '44', 'FR'),
(17379, '44590', 'Saint Vincent des Landes', '44', 'FR'),
(17380, '44880', 'Sautron', '44', 'FR'),
(17381, '44260', 'Savenay', '44', 'FR'),
(17382, '44530', 'S�v�rac', '44', 'FR'),
(17383, '44590', 'Sion les Mines', '44', 'FR'),
(17384, '44840', 'Les Sorini�res', '44', 'FR'),
(17385, '44110', 'Soudan', '44', 'FR'),
(17386, '44660', 'Soulvache', '44', 'FR'),
(17387, '44240', 'Suc� sur Erdre', '44', 'FR'),
(17388, '44440', 'Teill�', '44', 'FR'),
(17389, '44360', 'Le Temple de Bretagne', '44', 'FR'),
(17390, '44470', 'Thouar� sur Loire', '44', 'FR'),
(17391, '44390', 'Les Touches', '44', 'FR'),
(17392, '44650', 'Touvois', '44', 'FR'),
(17393, '44440', 'Trans sur Erdre', '44', 'FR'),
(17394, '44170', 'Treffieux', '44', 'FR'),
(17395, '44119', 'Treilli�res', '44', 'FR'),
(17396, '44570', 'Trignac', '44', 'FR'),
(17397, '44420', 'La Turballe', '44', 'FR'),
(17398, '44330', 'Vallet', '44', 'FR'),
(17399, '44370', 'Varades', '44', 'FR'),
(17400, '44170', 'Vay', '44', 'FR'),
(17401, '44120', 'Vertou', '44', 'FR'),
(17402, '44116', 'Vieillevigne', '44', 'FR'),
(17403, '44360', 'Vigneux de Bretagne', '44', 'FR'),
(17404, '44110', 'Villepot', '44', 'FR'),
(17405, '49440', 'Vritz', '49', 'FR'),
(17406, '44640', 'Vue', '44', 'FR'),
(17407, '44810', 'La Chevallerais', '44', 'FR'),
(17408, '44522', 'La Roche Blanche', '44', 'FR'),
(17409, '44140', 'Geneston', '44', 'FR'),
(17410, '44170', 'La Grigonnais', '44', 'FR'),
(17411, '44420', 'Quimiac', '44', 'FR'),
(17412, '44250', 'Mindin', '44', 'FR'),
(17413, '44730', 'Tharon Plage', '44', 'FR'),
(17414, '44610', 'Basse Indre', '44', 'FR'),
(17415, '44220', 'La Chabossi�re', '44', 'FR'),
(17416, '44350', 'Clis', '44', 'FR'),
(17417, '44630', 'Le Coudray', '44', 'FR'),
(17418, '44340', 'Les Cou�ts', '44', 'FR'),
(17419, '44290', 'Gu�nouvry', '44', 'FR'),
(17420, '44610', 'Haute Indre', '44', 'FR'),
(17421, '44620', 'Indret', '44', 'FR'),
(17422, '44350', 'La Madeleine', '44', 'FR'),
(17423, '44360', 'La Paquelais', '44', 'FR'),
(17424, '44440', 'Notre Dame des Langueurs', '44', 'FR'),
(17425, '44400', 'Pont Rousseau', '44', 'FR'),
(17426, '44350', 'Saill�', '44', 'FR'),
(17427, '44250', 'Saint Br�vin l''Oc�an', '44', 'FR'),
(17428, '44160', 'Saint Guillaume', '44', 'FR'),
(17429, '44530', 'Notre Dame de Gr�ce', '44', 'FR'),
(17430, '45230', 'Adon', '45', 'FR'),
(17431, '45230', 'Aillant sur Milleron', '45', 'FR'),
(17432, '45480', 'Allainville en Beauce', '45', 'FR'),
(17433, '45200', 'Amilly', '45', 'FR'),
(17434, '45480', 'Andonville', '45', 'FR'),
(17435, '45160', 'Ardon', '45', 'FR'),
(17436, '45500', 'Arrabloy', '45', 'FR'),
(17437, '45410', 'Artenay', '45', 'FR'),
(17438, '45170', 'Asch�res le March�', '45', 'FR'),
(17439, '45300', 'Ascoux', '45', 'FR'),
(17440, '45170', 'Attray', '45', 'FR'),
(17441, '45300', 'Audeville', '45', 'FR'),
(17442, '45330', 'Augerville la Rivi�re', '45', 'FR'),
(17443, '45390', 'Aulnay la Rivi�re', '45', 'FR'),
(17444, '45480', 'Autruy sur Juine', '45', 'FR'),
(17445, '45500', 'Autry le Ch�tel', '45', 'FR'),
(17446, '45270', 'Auvilliers en G�tinais', '45', 'FR'),
(17447, '45340', 'Auxy', '45', 'FR'),
(17448, '45130', 'Baccon', '45', 'FR'),
(17449, '45130', 'Le Bardon', '45', 'FR'),
(17450, '45340', 'Barville en G�tinais', '45', 'FR'),
(17451, '45340', 'Batilly en G�tinais', '45', 'FR'),
(17452, '45420', 'Batilly en Puisaye', '45', 'FR'),
(17453, '45130', 'Baule', '45', 'FR'),
(17454, '45480', 'Bazoches les Gallerandes', '45', 'FR'),
(17455, '45210', 'Bazoches sur le Betz', '45', 'FR'),
(17456, '45270', 'Beauchamps sur Huillard', '45', 'FR'),
(17457, '45190', 'Beaugency', '45', 'FR'),
(17458, '45630', 'Beaulieu sur Loire', '45', 'FR'),
(17459, '45340', 'Beaune la Rolande', '45', 'FR'),
(17460, '45270', 'Bellegarde', '45', 'FR'),
(17461, '45210', 'Le Bignon Mirabeau', '45', 'FR'),
(17462, '45390', 'Bo�sse', '45', 'FR'),
(17463, '45760', 'Boigny sur Bionne', '45', 'FR'),
(17464, '45340', 'Boiscommun', '45', 'FR'),
(17465, '45290', 'Boismorand', '45', 'FR'),
(17466, '45480', 'Boisseaux', '45', 'FR'),
(17467, '45300', 'Bondaroy', '45', 'FR'),
(17468, '45460', 'Bonn�e', '45', 'FR'),
(17469, '45420', 'Bonny sur Loire', '45', 'FR'),
(17470, '45340', 'Bordeaux en G�tinais', '45', 'FR'),
(17471, '45460', 'Les Bordes', '45', 'FR'),
(17472, '45430', 'Bou', '45', 'FR'),
(17473, '45170', 'Bougy lez Neuville', '45', 'FR'),
(17474, '45300', 'Bouilly en G�tinais', '45', 'FR'),
(17475, '45140', 'Boulay les Barres', '45', 'FR'),
(17476, '45300', 'Bouzonville aux Bois', '45', 'FR'),
(17477, '45300', 'Bouzonville en Beauce', '45', 'FR'),
(17478, '45460', 'Bouzy la For�t', '45', 'FR'),
(17479, '45300', 'Boynes', '45', 'FR'),
(17480, '45460', 'Bray en Val', '45', 'FR'),
(17481, '45250', 'Breteau', '45', 'FR'),
(17482, '45250', 'Briare', '45', 'FR'),
(17483, '45390', 'Briarres sur Essonnes', '45', 'FR'),
(17484, '45310', 'Bricy', '45', 'FR'),
(17485, '45390', 'Bromeilles', '45', 'FR'),
(17486, '45330', 'Labrosse', '45', 'FR'),
(17487, '45410', 'Bucy le Roi', '45', 'FR'),
(17488, '45140', 'Bucy Saint Liphard', '45', 'FR'),
(17489, '45230', 'Bussi�re', '45', 'FR'),
(17490, '45120', 'Cepoy', '45', 'FR'),
(17491, '45520', 'Cercottes', '45', 'FR'),
(17492, '45620', 'Cerdon', '45', 'FR'),
(17493, '45360', 'Cernoy en Berry', '45', 'FR'),
(17494, '45300', 'C�sarville Dossainville', '45', 'FR'),
(17495, '45260', 'Chailly en G�tinais', '45', 'FR'),
(17496, '45380', 'Chaingy', '45', 'FR'),
(17497, '45120', 'Ch�lette sur Loing', '45', 'FR'),
(17498, '45340', 'Chambon la For�t', '45', 'FR'),
(17499, '45420', 'Champoulet', '45', 'FR'),
(17500, '45400', 'Chanteau', '45', 'FR'),
(17501, '45320', 'Chantecoq', '45', 'FR'),
(17502, '45310', 'La Chapelle Onzerain', '45', 'FR'),
(17503, '45380', 'La Chapelle Saint Mesmin', '45', 'FR'),
(17504, '45210', 'La Chapelle Saint S�pulcre', '45', 'FR'),
(17505, '45230', 'La Chapelle sur Aveyron', '45', 'FR'),
(17506, '45270', 'Chapelon', '45', 'FR'),
(17507, '45230', 'Le Charme', '45', 'FR'),
(17508, '45480', 'Charmont en Beauce', '45', 'FR'),
(17509, '45130', 'Charsonville', '45', 'FR'),
(17510, '45110', 'Ch�teauneuf sur Loire', '45', 'FR'),
(17511, '45220', 'Ch�teaurenard', '45', 'FR'),
(17512, '45260', 'Ch�tenoy', '45', 'FR'),
(17513, '45230', 'Ch�tillon Coligny', '45', 'FR'),
(17514, '45480', 'Ch�tillon le Roi', '45', 'FR'),
(17515, '45360', 'Ch�tillon sur Loire', '45', 'FR'),
(17516, '45480', 'Chaussy', '45', 'FR'),
(17517, '45430', 'Ch�cy', '45', 'FR'),
(17518, '45340', 'Chemault', '45', 'FR'),
(17519, '45210', 'Chevannes', '45', 'FR'),
(17520, '45700', 'Chevillon sur Huillard', '45', 'FR'),
(17521, '45520', 'Chevilly', '45', 'FR'),
(17522, '45210', 'Chevry sous le Bignon', '45', 'FR'),
(17523, '45170', 'Chilleurs aux Bois', '45', 'FR'),
(17524, '45290', 'Les Choux', '45', 'FR'),
(17525, '45220', 'Chuelles', '45', 'FR'),
(17526, '45370', 'Cl�ry Saint Andr�', '45', 'FR'),
(17527, '45310', 'Coinces', '45', 'FR'),
(17528, '45800', 'Combleux', '45', 'FR'),
(17529, '45530', 'Combreux', '45', 'FR'),
(17530, '45700', 'Conflans sur Loing', '45', 'FR'),
(17531, '45490', 'Corbeilles', '45', 'FR'),
(17532, '45120', 'Corquilleroy', '45', 'FR'),
(17533, '45700', 'Cortrat', '45', 'FR'),
(17534, '45330', 'Coudray', '45', 'FR'),
(17535, '45260', 'Coudroy', '45', 'FR'),
(17536, '45720', 'Coullons', '45', 'FR'),
(17537, '45130', 'Coulmiers', '45', 'FR'),
(17538, '45300', 'Courcelles', '45', 'FR'),
(17539, '45300', 'Courcy aux Loges', '45', 'FR'),
(17540, '45260', 'La Cour Marigny', '45', 'FR'),
(17541, '45320', 'Courtemaux', '45', 'FR'),
(17542, '45490', 'Courtempierre', '45', 'FR'),
(17543, '45320', 'Courtenay', '45', 'FR'),
(17544, '45190', 'Cravant', '45', 'FR'),
(17545, '45170', 'Crottes en Pithiverais', '45', 'FR'),
(17546, '45300', 'Dadonville', '45', 'FR'),
(17547, '45420', 'Dammarie en Puisaye', '45', 'FR'),
(17548, '45230', 'Dammarie sur Loing', '45', 'FR'),
(17549, '45570', 'Dampierre en Burly', '45', 'FR'),
(17550, '45150', 'Darvoy', '45', 'FR'),
(17551, '45390', 'Desmonts', '45', 'FR'),
(17552, '45390', 'Dimancheville', '45', 'FR'),
(17553, '45450', 'Donnery', '45', 'FR'),
(17554, '45680', 'Dordives', '45', 'FR'),
(17555, '45300', 'Dossainville', '45', 'FR'),
(17556, '45220', 'Douchy', '45', 'FR'),
(17557, '45370', 'Dry', '45', 'FR'),
(17558, '45390', '�chilleuses', '45', 'FR'),
(17559, '45340', '�gry', '45', 'FR'),
(17560, '45300', 'Engenville', '45', 'FR'),
(17561, '45130', '�pieds en Beauce', '45', 'FR'),
(17562, '45480', 'Erceville', '45', 'FR'),
(17563, '45320', 'Ervauville', '45', 'FR'),
(17564, '45300', 'Escrennes', '45', 'FR'),
(17565, '45250', 'Escrignelles', '45', 'FR'),
(17566, '45300', 'Estouy', '45', 'FR'),
(17567, '45480', 'Faronville', '45', 'FR'),
(17568, '45420', 'Faverelles', '45', 'FR'),
(17569, '45450', 'Fay aux Loges', '45', 'FR'),
(17570, '45230', 'Feins en G�tinais', '45', 'FR'),
(17571, '45150', 'F�rolles', '45', 'FR'),
(17572, '45210', 'Ferri�res', '45', 'FR'),
(17573, '45240', 'La Fert� Saint Aubin', '45', 'FR'),
(17574, '45400', 'Fleury les Aubrais', '45', 'FR'),
(17575, '45210', 'Fontenay sur Loing', '45', 'FR'),
(17576, '45320', 'Foucherolles', '45', 'FR'),
(17577, '45270', 'Fr�ville du G�tinais', '45', 'FR'),
(17578, '45340', 'Gaubertin', '45', 'FR'),
(17579, '45310', 'G�migny', '45', 'FR'),
(17580, '45110', 'Germigny des Pr�s', '45', 'FR'),
(17581, '45520', 'Gidy', '45', 'FR'),
(17582, '45500', 'Gien', '45', 'FR'),
(17583, '45120', 'Girolles', '45', 'FR'),
(17584, '45300', 'Givraines', '45', 'FR'),
(17585, '45490', 'Gondreville', '45', 'FR'),
(17586, '45390', 'Grangermont', '45', 'FR'),
(17587, '45480', 'Greneville en Beauce', '45', 'FR'),
(17588, '45210', 'Griselles', '45', 'FR'),
(17589, '45300', 'Guigneville', '45', 'FR'),
(17590, '45480', 'Guignonville', '45', 'FR'),
(17591, '45600', 'Guilly', '45', 'FR'),
(17592, '45220', 'Gy les Nonains', '45', 'FR'),
(17593, '45520', 'Hu�tre', '45', 'FR'),
(17594, '45130', 'Huisseau sur Mauves', '45', 'FR'),
(17595, '45450', 'Ingrannes', '45', 'FR'),
(17596, '45140', 'Ingr�', '45', 'FR'),
(17597, '45300', 'Intville la Gu�tard', '45', 'FR'),
(17598, '45620', 'Isdes', '45', 'FR'),
(17599, '45480', 'Izy', '45', 'FR'),
(17600, '45150', 'Jargeau', '45', 'FR'),
(17601, '45480', 'Jouy en Pithiverais', '45', 'FR'),
(17602, '45370', 'Jouy le Potier', '45', 'FR'),
(17603, '45340', 'Juranville', '45', 'FR'),
(17604, '45300', 'Laas', '45', 'FR'),
(17605, '45270', 'Ladon', '45', 'FR'),
(17606, '45740', 'Lailly en Val', '45', 'FR'),
(17607, '45290', 'Langesse', '45', 'FR'),
(17608, '45480', 'L�ouville', '45', 'FR'),
(17609, '45240', 'Ligny le Ribault', '45', 'FR'),
(17610, '45410', 'Lion en Beauce', '45', 'FR'),
(17611, '45600', 'Lion en Sullias', '45', 'FR'),
(17612, '45700', 'Lombreuil', '45', 'FR'),
(17613, '45490', 'Lorcy', '45', 'FR'),
(17614, '45260', 'Lorris', '45', 'FR'),
(17615, '45470', 'Loury', '45', 'FR'),
(17616, '45210', 'Louzouer', '45', 'FR'),
(17617, '45330', 'Mainvilliers', '45', 'FR'),
(17618, '45330', 'Malesherbes', '45', 'FR'),
(17619, '45300', 'Manchecourt', '45', 'FR'),
(17620, '45240', 'Marcilly en Villette', '45', 'FR'),
(17621, '45430', 'Mardi�', '45', 'FR'),
(17622, '45300', 'Mareau aux Bois', '45', 'FR'),
(17623, '45370', 'Mareau aux Pr�s', '45', 'FR'),
(17624, '45760', 'Marigny les Usages', '45', 'FR'),
(17625, '45300', 'Marsainvilliers', '45', 'FR'),
(17626, '45220', 'Melleroy', '45', 'FR'),
(17627, '45240', 'M�nestreau en Villette', '45', 'FR'),
(17628, '45210', 'M�rinville', '45', 'FR'),
(17629, '45190', 'Messas', '45', 'FR'),
(17630, '45130', 'Meung sur Loire', '45', 'FR'),
(17631, '45370', 'M�zi�res lez Cl�ry', '45', 'FR'),
(17632, '45270', 'M�zi�res en G�tinais', '45', 'FR'),
(17633, '45490', 'Mign�res', '45', 'FR'),
(17634, '45490', 'Mignerette', '45', 'FR'),
(17635, '45200', 'Montargis', '45', 'FR'),
(17636, '45340', 'Montbarrois', '45', 'FR'),
(17637, '45230', 'Montbouy', '45', 'FR'),
(17638, '45220', 'Montcorbon', '45', 'FR'),
(17639, '45700', 'Montcresson', '45', 'FR'),
(17640, '45260', 'Montereau', '45', 'FR'),
(17641, '45170', 'Montigny', '45', 'FR'),
(17642, '45340', 'Montliard', '45', 'FR'),
(17643, '45700', 'Mormant sur Vernisson', '45', 'FR'),
(17644, '45300', 'Morville en Beauce', '45', 'FR'),
(17645, '45290', 'Le Moulinet sur Solin', '45', 'FR'),
(17646, '45270', 'Moulon', '45', 'FR'),
(17647, '45340', 'Nancray sur Rimarde', '45', 'FR'),
(17648, '45330', 'Nangeville', '45', 'FR'),
(17649, '45210', 'Nargis', '45', 'FR'),
(17650, '45270', 'Nesploy', '45', 'FR'),
(17651, '45170', 'Neuville aux Bois', '45', 'FR'),
(17652, '45390', 'La Neuville sur Essonne', '45', 'FR'),
(17653, '45510', 'Neuvy en Sullias', '45', 'FR'),
(17654, '45500', 'Nevoy', '45', 'FR'),
(17655, '45340', 'Nibelle', '45', 'FR'),
(17656, '45290', 'Nogent sur Vernisson', '45', 'FR'),
(17657, '45260', 'Noyers', '45', 'FR'),
(17658, '45170', 'Oison', '45', 'FR'),
(17659, '45160', 'Olivet', '45', 'FR'),
(17660, '45390', 'Ondreville sur Essonne', '45', 'FR'),
(17661, '45100', 'Orl�ans', '45', 'FR'),
(17662, '45000', 'Orl�ans', '45', 'FR'),
(17663, '45140', 'Ormes', '45', 'FR'),
(17664, '45330', 'Orveau Bellesauve', '45', 'FR'),
(17665, '45390', 'Orville', '45', 'FR'),
(17666, '45250', 'Ousson sur Loire', '45', 'FR'),
(17667, '45290', 'Oussoy en G�tinais', '45', 'FR'),
(17668, '45480', 'Outarville', '45', 'FR'),
(17669, '45150', 'Ouvrouer les Champs', '45', 'FR'),
(17670, '45290', 'Ouzouer des Champs', '45', 'FR'),
(17671, '45270', 'Ouzouer sous Bellegarde', '45', 'FR'),
(17672, '45570', 'Ouzouer sur Loire', '45', 'FR'),
(17673, '45250', 'Ouzouer sur Tr�z�e', '45', 'FR'),
(17674, '45300', 'Panneci�res', '45', 'FR'),
(17675, '45700', 'Pannes', '45', 'FR'),
(17676, '45310', 'Patay', '45', 'FR'),
(17677, '45200', 'Paucourt', '45', 'FR'),
(17678, '45210', 'Pers en G�tinais', '45', 'FR'),
(17679, '45360', 'Pierrefitte �s Bois', '45', 'FR'),
(17680, '45300', 'Pithiviers', '45', 'FR'),
(17681, '45300', 'Pithiviers le Vieil', '45', 'FR'),
(17682, '45500', 'Poilly lez Gien', '45', 'FR'),
(17683, '45490', 'Pr�fontaines', '45', 'FR'),
(17684, '45260', 'Presnoy', '45', 'FR'),
(17685, '45290', 'Pressigny les Pins', '45', 'FR'),
(17686, '45390', 'uiseaux', '45', 'FR'),
(17687, '45270', 'Quiers sur B�zonde', '45', 'FR'),
(17688, '45300', 'Ramoulu', '45', 'FR'),
(17689, '45470', 'Rebr�chien', '45', 'FR'),
(17690, '45310', 'Rouvray Sainte Croix', '45', 'FR'),
(17691, '45300', 'Rouvres Saint Jean', '45', 'FR'),
(17692, '45130', 'Rozi�res en Beauce', '45', 'FR'),
(17693, '45210', 'Rosoy le Vieil', '45', 'FR'),
(17694, '45410', 'Ruan', '45', 'FR'),
(17695, '45460', 'Saint Aignan des Gu�s', '45', 'FR'),
(17696, '45600', 'Saint Aignan le Jaillard', '45', 'FR'),
(17697, '45130', 'Saint Ay', '45', 'FR'),
(17698, '45730', 'Saint Beno�t sur Loire', '45', 'FR'),
(17699, '45500', 'Saint Brisson sur Loire', '45', 'FR'),
(17700, '45590', 'Saint Cyr en Val', '45', 'FR'),
(17701, '45550', 'Saint Denis de l''H�tel', '45', 'FR'),
(17702, '45560', 'Saint Denis en Val', '45', 'FR'),
(17703, '45220', 'Saint Firmin des Bois', '45', 'FR'),
(17704, '45360', 'Saint Firmin sur Loire', '45', 'FR'),
(17705, '45600', 'St Florent', '45', 'FR'),
(17706, '45230', 'Sainte Genevi�ve des Bois', '45', 'FR'),
(17707, '45220', 'Saint Germain des Pr�s', '45', 'FR'),
(17708, '45500', 'Saint Gondon', '45', 'FR'),
(17709, '45320', 'Saint Hilaire les Andr�sis', '45', 'FR'),
(17710, '45160', 'Saint Hilaire Saint Mesmin', '45', 'FR'),
(17711, '45700', 'Saint Hilaire sur Puiseaux', '45', 'FR'),
(17712, '45800', 'Saint Jean de Braye', '45', 'FR'),
(17713, '45140', 'Saint Jean de la Ruelle', '45', 'FR'),
(17714, '45650', 'Saint Jean le Blanc', '45', 'FR'),
(17715, '45210', 'Saint Loup de Gonois', '45', 'FR'),
(17716, '45340', 'Saint Loup des Vignes', '45', 'FR'),
(17717, '45170', 'Saint Ly� la For�t', '45', 'FR'),
(17718, '45110', 'Saint Martin d''Abbat', '45', 'FR'),
(17719, '45500', 'Saint Martin sur Ocre', '45', 'FR'),
(17720, '45230', 'Saint Maurice sur Aveyron', '45', 'FR'),
(17721, '45700', 'Saint Maurice sur Fessard', '45', 'FR'),
(17722, '45340', 'Saint Michel', '45', 'FR'),
(17723, '45480', 'Saint P�ravy �preux', '45', 'FR'),
(17724, '45310', 'Saint P�ravy la Colombe', '45', 'FR'),
(17725, '45600', 'St P�re sur Loire', '45', 'FR'),
(17726, '45750', 'Saint Pryv� Saint Mesmin', '45', 'FR'),
(17727, '45310', 'Saint Sigismond', '45', 'FR'),
(17728, '45640', 'Sandillon', '45', 'FR'),
(17729, '45170', 'Santeau', '45', 'FR'),
(17730, '45770', 'Saran', '45', 'FR'),
(17731, '45490', 'Sceaux du G�tinais', '45', 'FR'),
(17732, '45300', 'S�bouville', '45', 'FR'),
(17733, '45530', 'Seichebri�res', '45', 'FR'),
(17734, '45210', 'La Selle en Hermoy', '45', 'FR'),
(17735, '45210', 'La Selle sur le Bied', '45', 'FR'),
(17736, '45400', 'S�moy', '45', 'FR'),
(17737, '45240', 'Sennely', '45', 'FR'),
(17738, '45300', 'Sermaises', '45', 'FR'),
(17739, '45110', 'Sigloy', '45', 'FR'),
(17740, '45700', 'Solterre', '45', 'FR'),
(17741, '45410', 'Sougy', '45', 'FR'),
(17742, '45450', 'Sully la Chapelle', '45', 'FR'),
(17743, '45600', 'Sully sur Loire', '45', 'FR'),
(17744, '45530', 'Sury aux Bois', '45', 'FR'),
(17745, '45190', 'Tavers', '45', 'FR'),
(17746, '45480', 'Teillay le Gaudin', '45', 'FR'),
(17747, '45170', 'Teillay Saint Beno�t', '45', 'FR'),
(17748, '45300', 'Thignonville', '45', 'FR'),
(17749, '45260', 'Thimory', '45', 'FR'),
(17750, '45210', 'Thorailles', '45', 'FR'),
(17751, '45420', 'Thou', '45', 'FR'),
(17752, '45510', 'Tigy', '45', 'FR'),
(17753, '45170', 'Tivernon', '45', 'FR'),
(17754, '45310', 'Tournoisis', '45', 'FR'),
(17755, '45470', 'Tra�nou', '45', 'FR'),
(17756, '45490', 'Treilles en G�tinais', '45', 'FR'),
(17757, '45220', 'Trigu�res', '45', 'FR'),
(17758, '45410', 'Trinay', '45', 'FR'),
(17759, '45510', 'Vannes sur Cosson', '45', 'FR'),
(17760, '45290', 'Varennes Changy', '45', 'FR'),
(17761, '45760', 'Vennecy', '45', 'FR'),
(17762, '45260', 'Vieilles Maisons sur Joudry', '45', 'FR'),
(17763, '45510', 'Vienne en Val', '45', 'FR'),
(17764, '45600', 'Viglain', '45', 'FR'),
(17765, '45310', 'Villamblain', '45', 'FR'),
(17766, '45700', 'Villemandeur', '45', 'FR'),
(17767, '45270', 'Villemoutiers', '45', 'FR'),
(17768, '45600', 'Villemurlin', '45', 'FR'),
(17769, '45310', 'Villeneuve sur Conie', '45', 'FR'),
(17770, '45170', 'Villereau', '45', 'FR'),
(17771, '45700', 'Villevoques', '45', 'FR'),
(17772, '45190', 'Villorceau', '45', 'FR'),
(17773, '45700', 'Vimory', '45', 'FR'),
(17774, '45530', 'Vitry aux Loges', '45', 'FR'),
(17775, '45300', 'Vrigny', '45', 'FR'),
(17776, '45300', 'Y�vre la Ville', '45', 'FR'),
(17777, '45300', 'Y�vre le Ch�tel', '45', 'FR'),
(17778, '45290', 'Les B�zards', '45', 'FR'),
(17779, '45430', 'Pont aux Moines', '45', 'FR'),
(17780, '46140', 'Albas', '46', 'FR'),
(17781, '46500', 'Albiac', '46', 'FR'),
(17782, '46500', 'Alvignac', '46', 'FR'),
(17783, '46120', 'Anglars', '46', 'FR'),
(17784, '46140', 'Anglars Juillac', '46', 'FR'),
(17785, '46300', 'Anglars Nozac', '46', 'FR'),
(17786, '46090', 'Arcambal', '46', 'FR'),
(17787, '46250', 'Les Arques', '46', 'FR'),
(17788, '46320', 'Assier', '46', 'FR'),
(17789, '46090', 'Aujols', '46', 'FR'),
(17790, '46400', 'Autoire', '46', 'FR'),
(17791, '46120', 'Aynac', '46', 'FR'),
(17792, '46230', 'Bach', '46', 'FR'),
(17793, '46800', 'Bagat en Quercy', '46', 'FR'),
(17794, '46270', 'Bagnac sur C�l�', '46', 'FR'),
(17795, '46600', 'Baladou', '46', 'FR'),
(17796, '46400', 'Bannes', '46', 'FR'),
(17797, '46500', 'Le Bastit', '46', 'FR'),
(17798, '46240', 'Beaumat', '46', 'FR'),
(17799, '46260', 'Beauregard', '46', 'FR'),
(17800, '46100', 'B�duer', '46', 'FR'),
(17801, '46140', 'Belaye', '46', 'FR'),
(17802, '46230', 'Belfort du Quercy', '46', 'FR'),
(17803, '46130', 'Belmont Bretenoux', '46', 'FR'),
(17804, '46800', 'Belmontet', '46', 'FR'),
(17805, '46230', 'Belmont Sainte Foi', '46', 'FR'),
(17806, '46090', 'Berganty', '46', 'FR'),
(17807, '46110', 'B�taille', '46', 'FR'),
(17808, '46130', 'Biars sur C�re', '46', 'FR'),
(17809, '46500', 'Bio', '46', 'FR'),
(17810, '46330', 'Blars', '46', 'FR'),
(17811, '46150', 'Boissi�res', '46', 'FR'),
(17812, '46800', 'Le Boulv�', '46', 'FR'),
(17813, '46120', 'Le Bourg', '46', 'FR'),
(17814, '46100', 'Boussac', '46', 'FR'),
(17815, '46120', 'Le Bouyssou', '46', 'FR'),
(17816, '46330', 'Bouzi�s', '46', 'FR'),
(17817, '46130', 'Bretenoux', '46', 'FR'),
(17818, '46320', 'Brengues', '46', 'FR'),
(17819, '46330', 'Cabrerets', '46', 'FR'),
(17820, '46160', 'Cadrieu', '46', 'FR'),
(17821, '46000', 'Cahors', '46', 'FR'),
(17822, '46090', 'Cahors', '46', 'FR'),
(17823, '46130', 'Cahus', '46', 'FR'),
(17824, '46140', 'Caillac', '46', 'FR'),
(17825, '46160', 'Cajarc', '46', 'FR'),
(17826, '46150', 'Calamane', '46', 'FR'),
(17827, '46350', 'Cal�s', '46', 'FR'),
(17828, '46190', 'Calviac', '46', 'FR'),
(17829, '46160', 'Calvignac', '46', 'FR'),
(17830, '46140', 'Cambayrac', '46', 'FR'),
(17831, '46100', 'Cambes', '46', 'FR'),
(17832, '46100', 'Camboulit', '46', 'FR'),
(17833, '46100', 'Camburat', '46', 'FR'),
(17834, '46240', 'Caniac du Causse', '46', 'FR'),
(17835, '46100', 'Capdenac', '46', 'FR'),
(17836, '46160', 'Carayac', '46', 'FR'),
(17837, '46100', 'Cardaillac', '46', 'FR'),
(17838, '46110', 'Carennac', '46', 'FR'),
(17839, '46500', 'Carlucet', '46', 'FR'),
(17840, '46140', 'Carnac Rouffiac', '46', 'FR'),
(17841, '46700', 'Cassagnes', '46', 'FR'),
(17842, '46140', 'Castelfranc', '46', 'FR'),
(17843, '46170', 'Castelnau Montratier', '46', 'FR'),
(17844, '46150', 'Catus', '46', 'FR'),
(17845, '46110', 'Cavagnac', '46', 'FR'),
(17846, '46250', 'Cazals', '46', 'FR'),
(17847, '46600', 'Cazillac', '46', 'FR'),
(17848, '46330', 'C�nevi�res', '46', 'FR'),
(17849, '46170', 'C�zac', '46', 'FR'),
(17850, '46230', 'Cieurac', '46', 'FR'),
(17851, '46190', 'Comiac', '46', 'FR'),
(17852, '46310', 'Concor�s', '46', 'FR'),
(17853, '46260', 'Concots', '46', 'FR'),
(17854, '46110', 'Condat', '46', 'FR'),
(17855, '46100', 'Corn', '46', 'FR'),
(17856, '46130', 'Cornac', '46', 'FR'),
(17857, '46090', 'Cours', '46', 'FR'),
(17858, '46500', 'Couzou', '46', 'FR'),
(17859, '46360', 'Cras', '46', 'FR'),
(17860, '46150', 'Crayssac', '46', 'FR'),
(17861, '46330', 'Cr�gols', '46', 'FR'),
(17862, '46230', 'Cremps', '46', 'FR'),
(17863, '46600', 'Cressensac', '46', 'FR'),
(17864, '46600', 'Creysse', '46', 'FR'),
(17865, '46270', 'Cuzac', '46', 'FR'),
(17866, '46600', 'Cuzance', '46', 'FR'),
(17867, '46340', 'D�gagnac', '46', 'FR'),
(17868, '46140', 'Douelle', '46', 'FR'),
(17869, '46700', 'Duravel', '46', 'FR'),
(17870, '46320', 'Durbans', '46', 'FR'),
(17871, '46230', 'Escamps', '46', 'FR'),
(17872, '46090', 'Esclauzels', '46', 'FR'),
(17873, '46320', 'Espagnac Sainte Eulalie', '46', 'FR'),
(17874, '46320', 'Esp�daillac', '46', 'FR'),
(17875, '46090', 'Esp�re', '46', 'FR'),
(17876, '46120', 'Espeyroux', '46', 'FR'),
(17877, '46130', 'Estal', '46', 'FR'),
(17878, '46300', 'Fajoles', '46', 'FR'),
(17879, '46800', 'Fargues', '46', 'FR'),
(17880, '46100', 'Faycelles', '46', 'FR'),
(17881, '46270', 'Felzins', '46', 'FR'),
(17882, '46100', 'Figeac', '46', 'FR'),
(17883, '46170', 'Flaugnac', '46', 'FR'),
(17884, '46320', 'Flaujac Gare', '46', 'FR'),
(17885, '46090', 'Flaujac Poujols', '46', 'FR'),
(17886, '46600', 'Floirac', '46', 'FR'),
(17887, '46700', 'Floressas', '46', 'FR'),
(17888, '46100', 'Fons', '46', 'FR'),
(17889, '46230', 'Fontanes', '46', 'FR'),
(17890, '46240', 'Fontanes du Causse', '46', 'FR'),
(17891, '46100', 'Fourmagnac', '46', 'FR'),
(17892, '46090', 'Francoul�s', '46', 'FR'),
(17893, '46310', 'Frayssinet', '46', 'FR'),
(17894, '46250', 'Frayssinet le G�lat', '46', 'FR'),
(17895, '46400', 'Frayssinhes', '46', 'FR'),
(17896, '46160', 'Frontenac', '46', 'FR'),
(17897, '46130', 'Gagnac sur C�re', '46', 'FR'),
(17898, '46600', 'Gignac', '46', 'FR'),
(17899, '46150', 'Gigouzac', '46', 'FR'),
(17900, '46250', 'Gindou', '46', 'FR'),
(17901, '46300', 'Ginouillac', '46', 'FR'),
(17902, '46130', 'Gintrac', '46', 'FR'),
(17903, '46130', 'Girac', '46', 'FR'),
(17904, '46130', 'Glanes', '46', 'FR'),
(17905, '46210', 'Gorses', '46', 'FR'),
(17906, '46250', 'Goujounac', '46', 'FR'),
(17907, '46300', 'Gourdon', '46', 'FR'),
(17908, '46500', 'Gramat', '46', 'FR'),
(17909, '46160', 'Gr�alou', '46', 'FR'),
(17910, '46700', 'Gr�zels', '46', 'FR'),
(17911, '46320', 'Gr�zes', '46', 'FR'),
(17912, '46500', 'Issendolus', '46', 'FR'),
(17913, '46320', 'Issepts', '46', 'FR'),
(17914, '46150', 'Les Junies', '46', 'FR'),
(17915, '46210', 'Labastide du Haut Mont', '46', 'FR'),
(17916, '46150', 'Labastide du Vert', '46', 'FR'),
(17917, '46090', 'Labastide Marnhac', '46', 'FR'),
(17918, '46240', 'Labastide Murat', '46', 'FR'),
(17919, '46120', 'Labathude', '46', 'FR'),
(17920, '46230', 'Laburgade', '46', 'FR'),
(17921, '46190', 'Lacam d''Ourcet', '46', 'FR'),
(17922, '46700', 'Lacapelle Cabanac', '46', 'FR'),
(17923, '46120', 'Lacapelle Marival', '46', 'FR'),
(17924, '46200', 'Lacave', '46', 'FR'),
(17925, '46200', 'Lachapelle Auzac', '46', 'FR'),
(17926, '46400', 'Ladirat', '46', 'FR'),
(17927, '46220', 'Lagardelle', '46', 'FR'),
(17928, '46230', 'Lalbenque', '46', 'FR'),
(17929, '46090', 'Lamagdelaine', '46', 'FR'),
(17930, '46190', 'Lamativie', '46', 'FR'),
(17931, '46240', 'Lamothe Cassel', '46', 'FR'),
(17932, '46350', 'Lamothe F�nelon', '46', 'FR'),
(17933, '46200', 'Lanzac', '46', 'FR'),
(17934, '46260', 'Larami�re', '46', 'FR'),
(17935, '46160', 'Larnagol', '46', 'FR'),
(17936, '46090', 'Laroque des Arcs', '46', 'FR'),
(17937, '46160', 'Larroque Toirac', '46', 'FR'),
(17938, '46800', 'Lascabanes', '46', 'FR'),
(17939, '46400', 'Latouille Lentillac', '46', 'FR'),
(17940, '46210', 'Latronqui�re', '46', 'FR'),
(17941, '46210', 'Lauresses', '46', 'FR'),
(17942, '46360', 'Lauz�s', '46', 'FR'),
(17943, '46130', 'Laval de C�re', '46', 'FR'),
(17944, '46340', 'Lavercanti�re', '46', 'FR'),
(17945, '46500', 'Lavergne', '46', 'FR'),
(17946, '46800', 'Lebreil', '46', 'FR'),
(17947, '46330', 'Lentillac Lauz�s', '46', 'FR'),
(17948, '46100', 'Lentillac Saint Blaise', '46', 'FR'),
(17949, '46300', 'L�obard', '46', 'FR'),
(17950, '46120', 'Leyme', '46', 'FR'),
(17951, '46150', 'Lherm', '46', 'FR'),
(17952, '46170', 'Lhospitalet', '46', 'FR'),
(17953, '46260', 'Limogne en Quercy', '46', 'FR'),
(17954, '46270', 'Linac', '46', 'FR'),
(17955, '46100', 'Lissac et Mouret', '46', 'FR'),
(17956, '46320', 'Livernon', '46', 'FR'),
(17957, '46130', 'Loubressac', '46', 'FR'),
(17958, '46350', 'Loupiac', '46', 'FR'),
(17959, '46260', 'Lugagnac', '46', 'FR'),
(17960, '46100', 'Lunan', '46', 'FR'),
(17961, '46240', 'Lunegarde', '46', 'FR'),
(17962, '46140', 'Luzech', '46', 'FR'),
(17963, '46160', 'Marcilhac sur C�l�', '46', 'FR'),
(17964, '46250', 'Marminiac', '46', 'FR'),
(17965, '46600', 'Martel', '46', 'FR'),
(17966, '46350', 'Masclat', '46', 'FR'),
(17967, '46700', 'Mauroux', '46', 'FR'),
(17968, '46090', 'Maxou', '46', 'FR'),
(17969, '46500', 'Mayrinhac Lentour', '46', 'FR'),
(17970, '46150', 'Mechmont', '46', 'FR'),
(17971, '46090', 'Mercu�s', '46', 'FR'),
(17972, '46200', 'Meyronne', '46', 'FR'),
(17973, '46500', 'Miers', '46', 'FR'),
(17974, '46300', 'Milhac', '46', 'FR'),
(17975, '46120', 'Moli�res', '46', 'FR'),
(17976, '46310', 'Montamel', '46', 'FR'),
(17977, '46090', 'Le Montat', '46', 'FR'),
(17978, '46160', 'Montbrun', '46', 'FR'),
(17979, '46700', 'Montcabrier', '46', 'FR'),
(17980, '46250', 'Montcl�ra', '46', 'FR'),
(17981, '46800', 'Montcuq', '46', 'FR'),
(17982, '46230', 'Montdoumerc', '46', 'FR'),
(17983, '46210', 'Montet et Bouxal', '46', 'FR'),
(17984, '46240', 'Montfaucon', '46', 'FR'),
(17985, '46150', 'Montgesty', '46', 'FR'),
(17986, '46800', 'Montlauzun', '46', 'FR'),
(17987, '46270', 'Montredon', '46', 'FR'),
(17988, '46600', 'Montvalent', '46', 'FR'),
(17989, '46350', 'Nadaillac de Rouge', '46', 'FR'),
(17990, '46360', 'Nadillac', '46', 'FR'),
(17991, '46150', 'Nuz�jouls', '46', 'FR'),
(17992, '46330', 'Orniac', '46', 'FR'),
(17993, '46500', 'Padirac', '46', 'FR'),
(17994, '46140', 'Parnac', '46', 'FR'),
(17995, '46350', 'Payrac', '46', 'FR'),
(17996, '46300', 'Payrignac', '46', 'FR'),
(17997, '46170', 'Pern', '46', 'FR'),
(17998, '46220', 'Pescadoires', '46', 'FR'),
(17999, '46310', 'Peyrilles', '46', 'FR'),
(18000, '46200', 'Pinsac', '46', 'FR'),
(18001, '46100', 'Planioles', '46', 'FR'),
(18002, '46250', 'Pomar�de', '46', 'FR'),
(18003, '46150', 'Pontcirq', '46', 'FR'),
(18004, '46090', 'Pradines', '46', 'FR'),
(18005, '46220', 'Prayssac', '46', 'FR'),
(18006, '46270', 'Prendeignes', '46', 'FR'),
(18007, '46260', 'Promilhanes', '46', 'FR'),
(18008, '46130', 'Prudhomat', '46', 'FR'),
(18009, '46130', 'Puybrun', '46', 'FR'),
(18010, '46260', 'Puyjourdes', '46', 'FR'),
(18011, '46700', 'Puy l''�v�que', '46', 'FR'),
(18012, '46110', 'Quatre Routes du Lot', '46', 'FR'),
(18013, '46320', 'Quissac', '46', 'FR'),
(18014, '46340', 'Rampoux', '46', 'FR'),
(18015, '46500', 'Reilhac', '46', 'FR'),
(18016, '46350', 'Reilhaguet', '46', 'FR'),
(18017, '46320', 'Reyrevignes', '46', 'FR'),
(18018, '46500', 'Rignac', '46', 'FR'),
(18019, '46200', 'Le Roc', '46', 'FR'),
(18020, '46500', 'Rocamadour', '46', 'FR'),
(18021, '46300', 'Rouffilhac', '46', 'FR'),
(18022, '46120', 'Rudelle', '46', 'FR'),
(18023, '46120', 'Rueyres', '46', 'FR'),
(18024, '46210', 'Sabadel Latronqui�re', '46', 'FR'),
(18025, '46360', 'Sabadel Lauz�s', '46', 'FR'),
(18026, '46500', 'Saignes', '46', 'FR'),
(18027, '46260', 'Saillac', '46', 'FR'),
(18028, '46170', 'Sainte Alauzie', '46', 'FR'),
(18029, '46120', 'Saint Bressou', '46', 'FR'),
(18030, '46250', 'Saint Caprais', '46', 'FR'),
(18031, '46400', 'Saint C�r�', '46', 'FR'),
(18032, '46360', 'Saint Cernin', '46', 'FR'),
(18033, '46310', 'Saint Chamarand', '46', 'FR'),
(18034, '46160', 'Saint Chels', '46', 'FR'),
(18035, '46210', 'Saint Cirgues', '46', 'FR'),
(18036, '46330', 'Saint Cirq Lapopie', '46', 'FR'),
(18037, '46300', 'Saint Cirq Madelon', '46', 'FR'),
(18038, '46300', 'Saint Cirq Souillaguet', '46', 'FR'),
(18039, '46300', 'Saint Clair', '46', 'FR'),
(18040, '46120', 'Sainte Colombe', '46', 'FR'),
(18041, '46800', 'Sainte Croix', '46', 'FR'),
(18042, '46800', 'Saint Cyprien', '46', 'FR'),
(18043, '46800', 'Saint Daun�s', '46', 'FR'),
(18044, '46150', 'Saint Denis Catus', '46', 'FR'),
(18045, '46600', 'Saint Denis l�s Martel', '46', 'FR'),
(18046, '46100', 'Saint F�lix', '46', 'FR'),
(18047, '46310', 'Saint Germain du Bel Air', '46', 'FR'),
(18048, '46330', 'Saint G�ry', '46', 'FR'),
(18049, '46210', 'St Hilaire', '46', 'FR'),
(18050, '46260', 'Saint Jean de Laur', '46', 'FR'),
(18051, '46400', 'Saint Jean Lespinasse', '46', 'FR'),
(18052, '46270', 'St Jean Mirabel', '46', 'FR'),
(18053, '46400', 'Saint Laurent les Tours', '46', 'FR'),
(18054, '46800', 'St Laurent Lolmie', '46', 'FR'),
(18055, '46360', 'Saint Martin de Vers', '46', 'FR'),
(18056, '46330', 'Saint Martin Labouval', '46', 'FR'),
(18057, '46700', 'Saint Martin le Redon', '46', 'FR'),
(18058, '46800', 'Saint Matr�', '46', 'FR'),
(18059, '46120', 'Saint Maurice en Quercy', '46', 'FR'),
(18060, '46150', 'St M�dard', '46', 'FR'),
(18061, '46400', 'Saint M�dard de Presque', '46', 'FR'),
(18062, '46210', 'Saint M�dard Nicourby', '46', 'FR'),
(18063, '46110', 'Saint Michel de Banni�res', '46', 'FR'),
(18064, '46130', 'Saint Michel Loub�jou', '46', 'FR'),
(18065, '46800', 'Saint Pantal�on', '46', 'FR'),
(18066, '46400', 'Saint Paul de Vern', '46', 'FR'),
(18067, '46170', 'St Paul de Loubressac', '46', 'FR'),
(18068, '46100', 'Saint Perdoux', '46', 'FR'),
(18069, '46160', 'Saint Pierre Toirac', '46', 'FR'),
(18070, '46300', 'St Projet', '46', 'FR'),
(18071, '46240', 'Saint Sauveur la Vall�e', '46', 'FR'),
(18072, '46320', 'Saint Simon', '46', 'FR'),
(18073, '46200', 'Saint Sozy', '46', 'FR'),
(18074, '46160', 'St Sulpice', '46', 'FR'),
(18075, '46400', 'Saint Vincent du Pendit', '46', 'FR'),
(18076, '46140', 'Saint Vincent Rive d''Olt', '46', 'FR'),
(18077, '46340', 'Salviac', '46', 'FR'),
(18078, '46600', 'Sarrazac', '46', 'FR'),
(18079, '46330', 'Sauliac sur C�l�', '46', 'FR'),
(18080, '46800', 'Saux', '46', 'FR'),
(18081, '46140', 'Sauzet', '46', 'FR'),
(18082, '46210', 'S�naillac Latronqui�re', '46', 'FR'),
(18083, '46360', 'S�naillac Lauz�s', '46', 'FR'),
(18084, '46240', 'S�niergues', '46', 'FR'),
(18085, '46700', 'S�rignac', '46', 'FR'),
(18086, '46320', 'Sonac', '46', 'FR'),
(18087, '46700', 'Soturac', '46', 'FR'),
(18088, '46300', 'Soucirac', '46', 'FR'),
(18089, '46200', 'Souillac', '46', 'FR'),
(18090, '46240', 'Soulom�s', '46', 'FR'),
(18091, '46190', 'Sousceyrac', '46', 'FR'),
(18092, '46110', 'Strenquels', '46', 'FR'),
(18093, '46130', 'Tauriac', '46', 'FR'),
(18094, '46120', 'Terrou', '46', 'FR'),
(18095, '46190', 'Teyssieu', '46', 'FR'),
(18096, '46150', 'Th�dirac', '46', 'FR'),
(18097, '46500', 'Th�gra', '46', 'FR'),
(18098, '46120', 'Th�mines', '46', 'FR'),
(18099, '46120', 'Th�minettes', '46', 'FR'),
(18100, '46330', 'Tour de Faure', '46', 'FR'),
(18101, '46700', 'Touzac', '46', 'FR'),
(18102, '46090', 'Trespoux Rassiels', '46', 'FR'),
(18103, '46240', 'Ussel', '46', 'FR'),
(18104, '46310', 'Uzech', '46', 'FR'),
(18105, '46240', 'Vaillac', '46', 'FR'),
(18106, '46800', 'Valprionde', '46', 'FR'),
(18107, '46090', 'Valroufi�', '46', 'FR'),
(18108, '46260', 'Varaire', '46', 'FR'),
(18109, '46230', 'Vaylats', '46', 'FR'),
(18110, '46110', 'Vayrac', '46', 'FR'),
(18111, '46090', 'Vers', '46', 'FR'),
(18112, '46100', 'Viazac', '46', 'FR'),
(18113, '46260', 'Vidaillac', '46', 'FR'),
(18114, '46300', 'Le Vigan', '46', 'FR'),
(18115, '46090', 'Villes�que', '46', 'FR'),
(18116, '46700', 'Vire sur Lot', '46', 'FR'),
(18117, '46200', 'Mayrac', '46', 'FR'),
(18118, '46210', 'Bessonies', '46', 'FR'),
(18119, '46400', 'St Jean Lagineste', '46', 'FR'),
(18120, '46090', 'Saint Pierre Lafeuille', '46', 'FR'),
(18121, '47000', 'Agen', '47', 'FR'),
(18122, '47350', 'Agm�', '47', 'FR'),
(18123, '47800', 'Agnac', '47', 'FR'),
(18124, '47190', 'Aiguillon', '47', 'FR'),
(18125, '47800', 'Allemans du Dropt', '47', 'FR'),
(18126, '47110', 'Allez et Cazeneuve', '47', 'FR'),
(18127, '47420', 'Allons', '47', 'FR'),
(18128, '47160', 'Ambrus', '47', 'FR'),
(18129, '47170', 'Andiran', '47', 'FR'),
(18130, '47700', 'Antagnac', '47', 'FR'),
(18131, '47370', 'Anth�', '47', 'FR'),
(18132, '47700', 'Anzex', '47', 'FR'),
(18133, '47250', 'Argenton', '47', 'FR'),
(18134, '47800', 'Armillac', '47', 'FR'),
(18135, '47220', 'Astaffort', '47', 'FR'),
(18136, '47310', 'Aubiac', '47', 'FR'),
(18137, '47140', 'Auradou', '47', 'FR'),
(18138, '47120', 'Auriac sur Dropt', '47', 'FR'),
(18139, '47480', 'Bajamont', '47', 'FR'),
(18140, '47120', 'Baleyssagues', '47', 'FR'),
(18141, '47230', 'Barbaste', '47', 'FR'),
(18142, '47130', 'Bazens', '47', 'FR'),
(18143, '47290', 'Beaugas', '47', 'FR'),
(18144, '47200', 'Beaupuy', '47', 'FR'),
(18145, '47470', 'Beauville', '47', 'FR'),
(18146, '47700', 'Beauziac', '47', 'FR'),
(18147, '47300', 'Bias', '47', 'FR'),
(18148, '47200', 'Birac sur Trec', '47', 'FR'),
(18149, '47500', 'Blanquefort sur Briolance', '47', 'FR'),
(18150, '47470', 'Blaymont', '47', 'FR'),
(18151, '47550', 'Bo�', '47', 'FR'),
(18152, '47240', 'Bon Encontre', '47', 'FR'),
(18153, '47290', 'Boudy de Beauregard', '47', 'FR'),
(18154, '47250', 'Bouglon', '47', 'FR'),
(18155, '47410', 'Bourgougnague', '47', 'FR'),
(18156, '47370', 'Bourlens', '47', 'FR'),
(18157, '47210', 'Bournel', '47', 'FR'),
(18158, '47320', 'Bourran', '47', 'FR'),
(18159, '47420', 'Bouss�s', '47', 'FR'),
(18160, '47310', 'Brax', '47', 'FR'),
(18161, '47130', 'Bruch', '47', 'FR'),
(18162, '47260', 'Brugnac', '47', 'FR'),
(18163, '47160', 'Buzet sur Ba�se', '47', 'FR'),
(18164, '47330', 'Cahuzac', '47', 'FR'),
(18165, '47600', 'Calignac', '47', 'FR'),
(18166, '47430', 'Calonges', '47', 'FR'),
(18167, '47350', 'Cambes', '47', 'FR'),
(18168, '47290', 'Cancon', '47', 'FR'),
(18169, '47440', 'Casseneuil', '47', 'FR'),
(18170, '47340', 'Cassignas', '47', 'FR'),
(18171, '47240', 'Castelculier', '47', 'FR'),
(18172, '47700', 'Casteljaloux', '47', 'FR'),
(18173, '47340', 'Castella', '47', 'FR'),
(18174, '47260', 'Castelmoron sur Lot', '47', 'FR'),
(18175, '47290', 'Castelnaud de Gratecambe', '47', 'FR'),
(18176, '47200', 'Castelnau sur Gupie', '47', 'FR'),
(18177, '47330', 'Castillonn�s', '47', 'FR'),
(18178, '47160', 'Caubeyres', '47', 'FR'),
(18179, '47120', 'Caubon Saint Sauveur', '47', 'FR'),
(18180, '47220', 'Caudecoste', '47', 'FR'),
(18181, '47430', 'Caumont sur Garonne', '47', 'FR'),
(18182, '47470', 'Cauzac', '47', 'FR'),
(18183, '47330', 'Cavarc', '47', 'FR'),
(18184, '47370', 'Cazideroque', '47', 'FR'),
(18185, '47320', 'Clairac', '47', 'FR'),
(18186, '47130', 'Clermont Dessous', '47', 'FR'),
(18187, '47270', 'Clermont Soubiran', '47', 'FR'),
(18188, '47250', 'Cocumont', '47', 'FR'),
(18189, '47450', 'Colayrac Saint Cirq', '47', 'FR'),
(18190, '47500', 'Condezaygues', '47', 'FR'),
(18191, '47260', 'Coulx', '47', 'FR'),
(18192, '47370', 'Courbiac', '47', 'FR'),
(18193, '47360', 'Cours', '47', 'FR'),
(18194, '47200', 'Couthures sur Garonne', '47', 'FR'),
(18195, '47340', 'La Croix Blanche', '47', 'FR'),
(18196, '47220', 'Cuq', '47', 'FR'),
(18197, '47500', 'Cuzorn', '47', 'FR'),
(18198, '47160', 'Damazan', '47', 'FR'),
(18199, '47140', 'Dausse', '47', 'FR'),
(18200, '47210', 'D�villac', '47', 'FR'),
(18201, '47110', 'Dolmayrac', '47', 'FR'),
(18202, '47470', 'Dondas', '47', 'FR'),
(18203, '47210', 'Doudrac', '47', 'FR'),
(18204, '47330', 'Douzains', '47', 'FR'),
(18205, '47420', 'Durance', '47', 'FR'),
(18206, '47120', 'Duras', '47', 'FR'),
(18207, '47470', 'Engayrac', '47', 'FR'),
(18208, '47350', 'Escassefort', '47', 'FR'),
(18209, '47120', 'Esclottes', '47', 'FR'),
(18210, '47600', 'Espiens', '47', 'FR'),
(18211, '47310', 'Estillac', '47', 'FR'),
(18212, '47220', 'Fals', '47', 'FR'),
(18213, '47700', 'Fargues sur Ourbise', '47', 'FR'),
(18214, '47400', 'Fauguerolles', '47', 'FR'),
(18215, '47400', 'Fauillet', '47', 'FR'),
(18216, '47330', 'Ferrensac', '47', 'FR'),
(18217, '47230', 'Feugarolles', '47', 'FR'),
(18218, '47600', 'Fieux', '47', 'FR'),
(18219, '47260', 'Fongrave', '47', 'FR'),
(18220, '47510', 'Foulayronnes', '47', 'FR'),
(18221, '47200', 'Fourques sur Garonne', '47', 'FR'),
(18222, '47600', 'Francescas', '47', 'FR'),
(18223, '47600', 'Fr�chou', '47', 'FR'),
(18224, '47360', 'Fr�gimont', '47', 'FR'),
(18225, '47140', 'Frespech', '47', 'FR'),
(18226, '47500', 'Fumel', '47', 'FR'),
(18227, '47190', 'Galapian', '47', 'FR'),
(18228, '47200', 'Gaujac', '47', 'FR'),
(18229, '47150', 'Gavaudun', '47', 'FR'),
(18230, '47400', 'Gontaud de Nogaret', '47', 'FR'),
(18231, '47260', 'Granges sur Lot', '47', 'FR'),
(18232, '47400', 'Grateloup', '47', 'FR'),
(18233, '47270', 'Grayssas', '47', 'FR'),
(18234, '47250', 'Gr�zet Cavagnan', '47', 'FR'),
(18235, '47250', 'Gu�rin', '47', 'FR'),
(18236, '47170', 'Gueyze', '47', 'FR'),
(18237, '47340', 'Hautefage la Tour', '47', 'FR'),
(18238, '47400', 'Hautesvignes', '47', 'FR'),
(18239, '47420', 'Houeill�s', '47', 'FR'),
(18240, '47200', 'Jusix', '47', 'FR'),
(18241, '47250', 'Labastide Castel Amouroux', '47', 'FR'),
(18242, '47350', 'Labretonie', '47', 'FR'),
(18243, '47150', 'Lacapelle Biron', '47', 'FR'),
(18244, '47150', 'Lacaussade', '47', 'FR'),
(18245, '47360', 'Lac�p�de', '47', 'FR'),
(18246, '47350', 'Lachapelle', '47', 'FR'),
(18247, '47320', 'Lafitte sur Lot', '47', 'FR'),
(18248, '47240', 'Lafox', '47', 'FR'),
(18249, '47190', 'Lagarrigue', '47', 'FR'),
(18250, '47400', 'Lagru�re', '47', 'FR'),
(18251, '47200', 'Lagupie', '47', 'FR'),
(18252, '47330', 'Lalandusse', '47', 'FR'),
(18253, '47310', 'Lamontjoie', '47', 'FR'),
(18254, '47170', 'Lannes', '47', 'FR'),
(18255, '47260', 'Laparade', '47', 'FR'),
(18256, '47800', 'Laperche', '47', 'FR'),
(18257, '47310', 'Laplume', '47', 'FR'),
(18258, '47340', 'Laroque Timbaut', '47', 'FR'),
(18259, '47600', 'Lasserre', '47', 'FR'),
(18260, '47360', 'Laugnac', '47', 'FR'),
(18261, '47150', 'Laussou', '47', 'FR'),
(18262, '47410', 'Lauzun', '47', 'FR'),
(18263, '47230', 'Lavardac', '47', 'FR'),
(18264, '47800', 'Lavergne', '47', 'FR'),
(18265, '47390', 'Layrac', '47', 'FR'),
(18266, '47300', 'L�dat', '47', 'FR'),
(18267, '47120', 'L�vignac de Guyenne', '47', 'FR'),
(18268, '47700', 'Leyritz Moncassin', '47', 'FR'),
(18269, '47170', 'Lisse', '47', 'FR'),
(18270, '47200', 'Longueville', '47', 'FR'),
(18271, '47120', 'Loub�s Bernac', '47', 'FR'),
(18272, '47290', 'Lougratte', '47', 'FR'),
(18273, '47360', 'Lusignan Petit', '47', 'FR'),
(18274, '47360', 'Madaillan', '47', 'FR'),
(18275, '47200', 'Marcellus', '47', 'FR'),
(18276, '47200', 'Marmande', '47', 'FR'),
(18277, '47220', 'Marmont Pachas', '47', 'FR'),
(18278, '47430', 'Le Mas d''Agenais', '47', 'FR'),
(18279, '47370', 'Masqui�res', '47', 'FR'),
(18280, '47140', 'Massels', '47', 'FR'),
(18281, '47140', 'Massoul�s', '47', 'FR'),
(18282, '47200', 'Mauvezin sur Gupie', '47', 'FR'),
(18283, '47210', 'Mazi�res Naresse', '47', 'FR'),
(18284, '47200', 'Meilhan sur Garonne', '47', 'FR'),
(18285, '47170', 'Meylan', '47', 'FR'),
(18286, '47170', 'M�zin', '47', 'FR'),
(18287, '47800', 'Miramont de Guyenne', '47', 'FR'),
(18288, '47310', 'oirax', '47', 'FR'),
(18289, '47290', 'Monbahus', '47', 'FR'),
(18290, '47340', 'Monbalen', '47', 'FR'),
(18291, '47310', 'Moncaut', '47', 'FR'),
(18292, '47380', 'Monclar', '47', 'FR'),
(18293, '47600', 'Moncrabeau', '47', 'FR'),
(18294, '47150', 'Monflanquin', '47', 'FR'),
(18295, '47230', 'Mongaillard', '47', 'FR'),
(18296, '47160', 'Monheurt', '47', 'FR'),
(18297, '47150', 'Mons�gur', '47', 'FR'),
(18298, '47500', 'Monsempron Libos', '47', 'FR'),
(18299, '47600', 'Montagnac sur Auvignon', '47', 'FR'),
(18300, '47150', 'Montagnac sur L�de', '47', 'FR'),
(18301, '47380', 'Montastruc', '47', 'FR'),
(18302, '47330', 'Montauriol', '47', 'FR'),
(18303, '47210', 'Montaut', '47', 'FR'),
(18304, '47500', 'Montayral', '47', 'FR'),
(18305, '47130', 'Montesquieu', '47', 'FR'),
(18306, '47120', 'Monteton', '47', 'FR'),
(18307, '47800', 'Montignac de Lauzun', '47', 'FR'),
(18308, '47350', 'Montignac Toupinerie', '47', 'FR'),
(18309, '47360', 'Montpezat', '47', 'FR'),
(18310, '47200', 'Montpouillan', '47', 'FR'),
(18311, '47290', 'Monviel', '47', 'FR'),
(18312, '47290', 'Moulinet', '47', 'FR'),
(18313, '47800', 'Moustier', '47', 'FR'),
(18314, '47600', 'N�rac', '47', 'FR'),
(18315, '47190', 'Nicole', '47', 'FR'),
(18316, '47600', 'Nomdieu', '47', 'FR'),
(18317, '47440', 'Pailloles', '47', 'FR'),
(18318, '47120', 'Pardaillan', '47', 'FR'),
(18319, '47210', 'Parranquet', '47', 'FR'),
(18320, '47520', 'Le Passage', '47', 'FR'),
(18321, '47150', 'Paulhiac', '47', 'FR'),
(18322, '47140', 'Penne d''Agenais', '47', 'FR'),
(18323, '47350', 'Peyri�re', '47', 'FR'),
(18324, '47700', 'Pind�res', '47', 'FR'),
(18325, '47380', 'Pinel Hauterive', '47', 'FR'),
(18326, '47230', 'Pompiey', '47', 'FR'),
(18327, '47420', 'Pompogne', '47', 'FR'),
(18328, '47480', 'Pont du Casse', '47', 'FR'),
(18329, '47130', 'Port Sainte Marie', '47', 'FR'),
(18330, '47170', 'Poudenas', '47', 'FR'),
(18331, '47700', 'Poussignac', '47', 'FR'),
(18332, '47360', 'Prayssas', '47', 'FR'),
(18333, '47160', 'Puch d''Agenais', '47', 'FR'),
(18334, '47300', 'Pujols', '47', 'FR'),
(18335, '47350', 'Puymiclan', '47', 'FR'),
(18336, '47270', 'Puymirol', '47', 'FR'),
(18337, '47800', 'Puysserampion', '47', 'FR'),
(18338, '47210', 'Rayet', '47', 'FR'),
(18339, '47160', 'Razimet', '47', 'FR'),
(18340, '47170', 'R�aup Lisse', '47', 'FR'),
(18341, '47700', 'R�union', '47', 'FR'),
(18342, '47210', 'Rives', '47', 'FR'),
(18343, '47250', 'Romestaing', '47', 'FR'),
(18344, '47310', 'Roquefort', '47', 'FR'),
(18345, '47800', 'Roumagne', '47', 'FR'),
(18346, '47700', 'Ruffiac', '47', 'FR'),
(18347, '47340', 'Saint Antoine de Ficalba', '47', 'FR'),
(18348, '47120', 'Saint Astier', '47', 'FR'),
(18349, '47150', 'St Aubin', '47', 'FR'),
(18350, '47350', 'Saint Avit', '47', 'FR'),
(18351, '47350', 'Saint Barth�l�my d''Agenais', '47', 'FR'),
(18352, '47200', 'Sainte Bazeille', '47', 'FR'),
(18353, '47270', 'Saint Caprais de Lerm', '47', 'FR'),
(18354, '47410', 'Saint Colomb de Lauzun', '47', 'FR'),
(18355, '47120', 'Sainte Colombe de Duras', '47', 'FR'),
(18356, '47300', 'Sainte Colombe de Villeneuve', '47', 'FR'),
(18357, '47310', 'Sainte Colombe en Bruilhois', '47', 'FR'),
(18358, '47380', 'Saint �tienne de Foug�res', '47', 'FR'),
(18359, '47210', 'Saint �tienne de Viller�al', '47', 'FR'),
(18360, '47210', 'Saint Eutrope de Born', '47', 'FR'),
(18361, '47500', 'Saint Front sur L�mance', '47', 'FR'),
(18362, '47400', 'Saint Gayrand', '47', 'FR'),
(18363, '47250', 'Sainte Gemme Martaillac', '47', 'FR'),
(18364, '47120', 'Saint G�raud', '47', 'FR'),
(18365, '47450', 'St Hilaire de Lusignan', '47', 'FR'),
(18366, '47120', 'Saint Jean de Duras', '47', 'FR'),
(18367, '47270', 'Saint Jean de Thurac', '47', 'FR'),
(18368, '47130', 'St Laurent', '47', 'FR'),
(18369, '47160', 'Saint L�ger', '47', 'FR'),
(18370, '47160', 'Saint L�on', '47', 'FR'),
(18371, '47110', 'Sainte Livrade sur Lot', '47', 'FR'),
(18372, '47430', 'Sainte Marthe', '47', 'FR'),
(18373, '47700', 'Saint Martin Curton', '47', 'FR'),
(18374, '47270', 'St Martin de Beauville', '47', 'FR'),
(18375, '47210', 'Saint Martin de Viller�al', '47', 'FR'),
(18376, '47200', 'Saint Martin Petit', '47', 'FR'),
(18377, '47170', 'Sainte Maure de Peyriac', '47', 'FR'),
(18378, '47290', 'Saint Maurice de Lestapel', '47', 'FR'),
(18379, '47270', 'Saint Maurin', '47', 'FR'),
(18380, '47220', 'Saint Nicolas de la Balerme', '47', 'FR'),
(18381, '47200', 'Saint Pardoux du Breuil', '47', 'FR'),
(18382, '47800', 'Saint Pardoux Isaac', '47', 'FR'),
(18383, '47290', 'Saint Pastour', '47', 'FR'),
(18384, '47170', 'St P� St Simon', '47', 'FR'),
(18385, '47160', 'Saint Pierre de Buzet', '47', 'FR'),
(18386, '47380', 'Saint Pierre de Caubel', '47', 'FR'),
(18387, '47270', 'Saint Pierre de Clairac', '47', 'FR'),
(18388, '47120', 'Saint Pierre sur Dropt', '47', 'FR'),
(18389, '47330', 'Saint Quentin du Dropt', '47', 'FR'),
(18390, '47340', 'Saint Robert', '47', 'FR'),
(18391, '47270', 'Saint Romain le Noble', '47', 'FR'),
(18392, '47360', 'Saint Salvy', '47', 'FR'),
(18393, '47360', 'Saint Sardos', '47', 'FR'),
(18394, '47200', 'Saint Sauveur de Meilhan', '47', 'FR'),
(18395, '47120', 'Saint Sernin', '47', 'FR'),
(18396, '47220', 'St Sixte', '47', 'FR'),
(18397, '47140', 'Saint Sylvestre sur Lot', '47', 'FR'),
(18398, '47270', 'Saint Urcisse', '47', 'FR'),
(18399, '47310', 'Saint Vincent de Lamontjoie', '47', 'FR'),
(18400, '47500', 'Saint Vite', '47', 'FR'),
(18401, '47150', 'Salles', '47', 'FR'),
(18402, '47250', 'Samazan', '47', 'FR'),
(18403, '47420', 'Saum�jan', '47', 'FR'),
(18404, '47600', 'Saumont', '47', 'FR'),
(18405, '47340', 'Sauvagnas', '47', 'FR'),
(18406, '47270', 'La Sauvetat de Sav�res', '47', 'FR'),
(18407, '47800', 'La Sauvetat du Dropt', '47', 'FR'),
(18408, '47150', 'La Sauvetat sur L�de', '47', 'FR'),
(18409, '47500', 'Sauveterre la L�mance', '47', 'FR'),
(18410, '47220', 'Sauveterre Saint Denis', '47', 'FR'),
(18411, '47120', 'Savignac de Duras', '47', 'FR'),
(18412, '47150', 'Savignac sur Leyze', '47', 'FR'),
(18413, '47410', 'S�galas', '47', 'FR'),
(18414, '47360', 'Sembas', '47', 'FR'),
(18415, '47430', 'S�nestis', '47', 'FR'),
(18416, '47410', 'S�rignac P�boudou', '47', 'FR'),
(18417, '47310', 'S�rignac sur Garonne', '47', 'FR'),
(18418, '47350', 'Seyches', '47', 'FR'),
(18419, '47170', 'Sos', '47', 'FR'),
(18420, '47120', 'Soumensac', '47', 'FR'),
(18421, '47200', 'Taillebourg', '47', 'FR'),
(18422, '47270', 'Tayrac', '47', 'FR'),
(18423, '47110', 'Le Temple sur Lot', '47', 'FR'),
(18424, '47370', 'Th�zac', '47', 'FR'),
(18425, '47230', 'Thouars sur Garonne', '47', 'FR'),
(18426, '47380', 'Tombeboeuf', '47', 'FR'),
(18427, '47400', 'Tonneins', '47', 'FR'),
(18428, '47210', 'Tourliac', '47', 'FR'),
(18429, '47370', 'Tournon d''Agenais', '47', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(18430, '47380', 'Tourtr�s', '47', 'FR'),
(18431, '47140', 'Tr�mons', '47', 'FR'),
(18432, '47140', 'Trentels', '47', 'FR'),
(18433, '47400', 'Var�s', '47', 'FR'),
(18434, '47260', 'Verteuil d''Agenais', '47', 'FR'),
(18435, '47230', 'Vianne', '47', 'FR'),
(18436, '47380', 'Villebramar', '47', 'FR'),
(18437, '47160', 'Villefranche du Queyran', '47', 'FR'),
(18438, '47120', 'Villeneuve de Duras', '47', 'FR'),
(18439, '47170', 'Villeneuve de M�zin', '47', 'FR'),
(18440, '47300', 'Villeneuve sur Lot', '47', 'FR'),
(18441, '47210', 'Viller�al', '47', 'FR'),
(18442, '47400', 'Villeton', '47', 'FR'),
(18443, '47200', 'Virazeil', '47', 'FR'),
(18444, '47230', 'Xaintrailles', '47', 'FR'),
(18445, '47370', 'St Georges', '47', 'FR'),
(18446, '48310', 'Albaret le Comtal', '48', 'FR'),
(18447, '48200', 'Albaret Sainte Marie', '48', 'FR'),
(18448, '48190', 'Allenc', '48', 'FR'),
(18449, '48800', 'Altier', '48', 'FR'),
(18450, '48100', 'Antrenas', '48', 'FR'),
(18451, '48200', 'Arcomie', '48', 'FR'),
(18452, '48310', 'Arzenc d''Apcher', '48', 'FR'),
(18453, '48170', 'Arzenc de Randon', '48', 'FR'),
(18454, '48130', 'Aumont Aubrac', '48', 'FR'),
(18455, '48600', 'Auroux', '48', 'FR'),
(18456, '48500', 'Auxillac', '48', 'FR'),
(18457, '48200', 'Monts Verts', '48', 'FR'),
(18458, '48000', 'Badaroux', '48', 'FR'),
(18459, '48190', 'Bagnols les Bains', '48', 'FR'),
(18460, '48800', 'Pied de Borne', '48', 'FR'),
(18461, '48000', 'Balsi�ges', '48', 'FR'),
(18462, '48500', 'Banassac', '48', 'FR'),
(18463, '48000', 'Barjac', '48', 'FR'),
(18464, '48400', 'Barre des C�vennes', '48', 'FR'),
(18465, '48400', 'Bassurels', '48', 'FR'),
(18466, '48250', 'La Bastide Puylaurent', '48', 'FR'),
(18467, '48400', 'B�dou�s', '48', 'FR'),
(18468, '48170', 'Belvezet', '48', 'FR'),
(18469, '48200', 'Berc', '48', 'FR'),
(18470, '48200', 'Les Bessons', '48', 'FR'),
(18471, '48200', 'Blavignac', '48', 'FR'),
(18472, '48190', 'Le Bleymard', '48', 'FR'),
(18473, '48400', 'Les Bondons', '48', 'FR'),
(18474, '48000', 'Le Born', '48', 'FR'),
(18475, '48000', 'Brenoux', '48', 'FR'),
(18476, '48310', 'Brion', '48', 'FR'),
(18477, '48100', 'Le Buisson', '48', 'FR'),
(18478, '48500', 'Canilhac', '48', 'FR'),
(18479, '48500', 'La Canourgue', '48', 'FR'),
(18480, '48500', 'La Capelle', '48', 'FR'),
(18481, '48400', 'Cassagnas', '48', 'FR'),
(18482, '48190', 'Chadenet', '48', 'FR'),
(18483, '48600', 'Chambon le Ch�teau', '48', 'FR'),
(18484, '48230', 'Chanac', '48', 'FR'),
(18485, '48250', 'Chasserad�s', '48', 'FR'),
(18486, '48300', 'Chastanier', '48', 'FR'),
(18487, '48000', 'Chastel Nouvel', '48', 'FR'),
(18488, '48170', 'Ch�teauneuf de Randon', '48', 'FR'),
(18489, '48310', 'Chauchailles', '48', 'FR'),
(18490, '48170', 'Chaudeyrac', '48', 'FR'),
(18491, '48140', 'Chaulhac', '48', 'FR'),
(18492, '48130', 'La Chaze de Peyre', '48', 'FR'),
(18493, '48300', 'Cheylard l''�v�que', '48', 'FR'),
(18494, '48100', 'Chirac', '48', 'FR'),
(18495, '48400', 'Cocur�s', '48', 'FR'),
(18496, '48160', 'Le Collet de D�ze', '48', 'FR'),
(18497, '48190', 'Cubi�res', '48', 'FR'),
(18498, '48190', 'Cubi�rettes', '48', 'FR'),
(18499, '48230', 'Cultures', '48', 'FR'),
(18500, '48230', 'Esclan�des', '48', 'FR'),
(18501, '48700', 'Estables', '48', 'FR'),
(18502, '48310', 'La Fage Montivernoux', '48', 'FR'),
(18503, '48200', 'La Fage Saint Julien', '48', 'FR'),
(18504, '48130', 'Fau de Peyre', '48', 'FR'),
(18505, '48400', 'Florac', '48', 'FR'),
(18506, '48300', 'Fontan�s', '48', 'FR'),
(18507, '48700', 'Fontans', '48', 'FR'),
(18508, '48310', 'Fournels', '48', 'FR'),
(18509, '48400', 'Fraissinet de Fourques', '48', 'FR'),
(18510, '48220', 'Fraissinet de Loz�re', '48', 'FR'),
(18511, '48110', 'Gabriac', '48', 'FR'),
(18512, '48100', 'Gabrias', '48', 'FR'),
(18513, '48150', 'Gatuzi�res', '48', 'FR'),
(18514, '48600', 'Grandrieu', '48', 'FR'),
(18515, '48260', 'Grandvals', '48', 'FR'),
(18516, '48100', 'Gr�zes', '48', 'FR'),
(18517, '48340', 'Les Hermaux', '48', 'FR'),
(18518, '48150', 'Hures la Parade', '48', 'FR'),
(18519, '48320', 'Ispagnac', '48', 'FR'),
(18520, '48130', 'Javols', '48', 'FR'),
(18521, '48140', 'Julianges', '48', 'FR'),
(18522, '48100', 'Lachamp', '48', 'FR'),
(18523, '48120', 'Lajo', '48', 'FR'),
(18524, '48300', 'Langogne', '48', 'FR'),
(18525, '48000', 'Lanu�jols', '48', 'FR'),
(18526, '48170', 'Laubert', '48', 'FR'),
(18527, '48700', 'es Laubies', '48', 'FR'),
(18528, '48600', 'Laval Atger', '48', 'FR'),
(18529, '48500', 'Laval du Tarn', '48', 'FR'),
(18530, '48250', 'Luc', '48', 'FR'),
(18531, '48270', 'Malbouzon', '48', 'FR'),
(18532, '48210', 'La Mal�ne', '48', 'FR'),
(18533, '48140', 'Malzieu Forain', '48', 'FR'),
(18534, '48140', 'Le Malzieu Ville', '48', 'FR'),
(18535, '48260', 'Marchastel', '48', 'FR'),
(18536, '48100', 'Marvejols', '48', 'FR'),
(18537, '48190', 'Mas d''Orci�res', '48', 'FR'),
(18538, '48500', 'Le Massegros', '48', 'FR'),
(18539, '48000', 'Mende', '48', 'FR'),
(18540, '48150', 'Meyrueis', '48', 'FR'),
(18541, '48110', 'Moissac Vall�e Fran�aise', '48', 'FR'),
(18542, '48110', 'Molezon', '48', 'FR'),
(18543, '48100', 'Monastier Pin Mori�s', '48', 'FR'),
(18544, '48170', 'Montbel', '48', 'FR'),
(18545, '48210', 'Montbrun', '48', 'FR'),
(18546, '48500', 'Montj�zieu', '48', 'FR'),
(18547, '48100', 'Montrodat', '48', 'FR'),
(18548, '48260', 'Nasbinals', '48', 'FR'),
(18549, '48300', 'Naussac', '48', 'FR'),
(18550, '48310', 'Noalhac', '48', 'FR'),
(18551, '48100', 'Palhers', '48', 'FR'),
(18552, '48600', 'La Panouse', '48', 'FR'),
(18553, '48140', 'Paulhac en Margeride', '48', 'FR'),
(18554, '48000', 'Pelouse', '48', 'FR'),
(18555, '48300', 'Pierrefiche', '48', 'FR'),
(18556, '48110', 'Le Pompidou', '48', 'FR'),
(18557, '48220', 'Le Pont de Montvert', '48', 'FR'),
(18558, '48800', 'Pourcharesses', '48', 'FR'),
(18559, '48210', 'Prades', '48', 'FR'),
(18560, '48800', 'Pr�vench�res', '48', 'FR'),
(18561, '48100', 'Prinsu�jols', '48', 'FR'),
(18562, '48200', 'Pruni�res', '48', 'FR'),
(18563, '48320', 'Qu�zac', '48', 'FR'),
(18564, '48260', 'Recoules d''Aubrac', '48', 'FR'),
(18565, '48100', 'Recoules de Fumas', '48', 'FR'),
(18566, '48500', 'Le Recoux', '48', 'FR'),
(18567, '48700', 'Ribennes', '48', 'FR'),
(18568, '48700', 'Rieutort de Randon', '48', 'FR'),
(18569, '48200', 'Rimeize', '48', 'FR'),
(18570, '48300', 'Rocles', '48', 'FR'),
(18571, '48400', 'Rousses', '48', 'FR'),
(18572, '48150', 'Le Rozier', '48', 'FR'),
(18573, '48120', 'Saint Alban sur Limagnole', '48', 'FR'),
(18574, '48700', 'Saint Amans', '48', 'FR'),
(18575, '48160', 'Saint And�ol de Clerguemort', '48', 'FR'),
(18576, '48800', 'Saint Andr� Capc�ze', '48', 'FR'),
(18577, '48240', 'Saint Andr� de Lancize', '48', 'FR'),
(18578, '48000', 'St Bauzile', '48', 'FR'),
(18579, '48100', 'Saint Bonnet de Chirac', '48', 'FR'),
(18580, '48600', 'Saint Bonnet de Montauroux', '48', 'FR'),
(18581, '48200', 'Saint Ch�ly d''Apcher', '48', 'FR'),
(18582, '48210', 'Mas Saint Ch�ly', '48', 'FR'),
(18583, '48130', 'Sainte Colombe de Peyre', '48', 'FR'),
(18584, '48110', 'Ste Croix Vall�e Fran�aise', '48', 'FR'),
(18585, '48700', 'St Denis en Margeride', '48', 'FR'),
(18586, '48210', 'Sainte �nimie', '48', 'FR'),
(18587, '48000', 'Saint �tienne du Valdonnez', '48', 'FR'),
(18588, '48330', 'St Etienne Vall�e Fran�aise', '48', 'FR'),
(18589, '48120', 'Sainte Eulalie', '48', 'FR'),
(18590, '48300', 'Saint Flour de Mercoire', '48', 'FR'),
(18591, '48170', 'Saint Fr�zal d''Albuges', '48', 'FR'),
(18592, '48240', 'Saint Fr�zal de Ventalon', '48', 'FR'),
(18593, '48700', 'Saint Gal', '48', 'FR'),
(18594, '48500', 'Saint Georges de L�v�jac', '48', 'FR'),
(18595, '48370', 'Saint Germain de Calberte', '48', 'FR'),
(18596, '48340', 'Saint Germain du Teil', '48', 'FR'),
(18597, '48190', 'Ste H�l�ne', '48', 'FR'),
(18598, '48160', 'Saint Hilaire de Lavit', '48', 'FR'),
(18599, '48170', 'Saint Jean la Fouillouse', '48', 'FR'),
(18600, '48310', 'Saint Ju�ry', '48', 'FR'),
(18601, '48400', 'Saint Julien d''Arpaon', '48', 'FR'),
(18602, '48160', 'Saint Julien des Points', '48', 'FR'),
(18603, '48190', 'Saint Julien du Tournel', '48', 'FR'),
(18604, '48100', 'Saint Laurent de Muret', '48', 'FR'),
(18605, '48400', 'Saint Laurent de Tr�ves', '48', 'FR'),
(18606, '48310', 'Saint Laurent de Veyr�s', '48', 'FR'),
(18607, '48100', 'Saint L�ger de Peyre', '48', 'FR'),
(18608, '48140', 'Saint L�ger du Malzieu', '48', 'FR'),
(18609, '48160', 'Saint Martin de Boubaux', '48', 'FR'),
(18610, '48110', 'Saint Martin de Lansuscle', '48', 'FR'),
(18611, '48220', 'Saint Maurice de Ventalon', '48', 'FR'),
(18612, '48160', 'Saint Michel de D�ze', '48', 'FR'),
(18613, '48600', 'Saint Paul le Froid', '48', 'FR'),
(18614, '48340', 'Saint Pierre de Nogaret', '48', 'FR'),
(18615, '48150', 'Saint Pierre des Tripiers', '48', 'FR'),
(18616, '48200', 'St Pierre le Vieux', '48', 'FR'),
(18617, '48240', 'Saint Privat de Vallongue', '48', 'FR'),
(18618, '48140', 'Saint Privat du Fau', '48', 'FR'),
(18619, '48500', 'Saint Rome de Dolan', '48', 'FR'),
(18620, '48500', 'Saint Saturnin', '48', 'FR'),
(18621, '48170', 'Saint Sauveur de Ginestoux', '48', 'FR'),
(18622, '48130', 'Saint Sauveur de Peyre', '48', 'FR'),
(18623, '48600', 'Saint Symphorien', '48', 'FR'),
(18624, '48230', 'Les Salelles', '48', 'FR'),
(18625, '48400', 'Salle Prunet', '48', 'FR'),
(18626, '48100', 'Les Salces', '48', 'FR'),
(18627, '48700', 'Serverette', '48', 'FR'),
(18628, '48000', 'Servi�res', '48', 'FR'),
(18629, '48310', 'Termes', '48', 'FR'),
(18630, '48500', 'La Tieule', '48', 'FR'),
(18631, '48340', 'Tr�lans', '48', 'FR'),
(18632, '48400', 'V�bron', '48', 'FR'),
(18633, '48220', 'Vialas', '48', 'FR'),
(18634, '48210', 'Les Vignes', '48', 'FR'),
(18635, '48230', 'Le Villard', '48', 'FR'),
(18636, '48700', 'La Villedieu', '48', 'FR'),
(18637, '48800', 'Villefort', '48', 'FR'),
(18638, '48200', 'La Garde', '48', 'FR'),
(18639, '48600', 'Chapeauroux', '48', 'FR'),
(18640, '48400', 'Les Vanels', '48', 'FR'),
(18641, '49320', 'Les Alleuds', '49', 'FR'),
(18642, '49650', 'Allonnes', '49', 'FR'),
(18643, '49700', 'Ambillou Ch�teau', '49', 'FR'),
(18644, '49800', 'Andard', '49', 'FR'),
(18645, '49220', 'Andign�', '49', 'FR'),
(18646, '49600', 'Andrez�', '49', 'FR'),
(18647, '49000', 'Angers', '49', 'FR'),
(18648, '49100', 'Angers', '49', 'FR'),
(18649, '49440', 'Angrie', '49', 'FR'),
(18650, '49260', 'Antoign�', '49', 'FR'),
(18651, '49420', 'Armaill�', '49', 'FR'),
(18652, '49260', 'Artannes sur Thouet', '49', 'FR'),
(18653, '49540', 'Aubign� sur Layon', '49', 'FR'),
(18654, '49490', 'Auverse', '49', 'FR'),
(18655, '49500', 'Avir�', '49', 'FR'),
(18656, '49240', 'Avrill�', '49', 'FR'),
(18657, '49400', 'Bagneux', '49', 'FR'),
(18658, '49430', 'Barac�', '49', 'FR'),
(18659, '49150', 'Baug�', '49', 'FR'),
(18660, '49140', 'Baun�', '49', 'FR'),
(18661, '49070', 'Beaucouz�', '49', 'FR'),
(18662, '49250', 'Beaufort en Vall�e', '49', 'FR'),
(18663, '49750', 'Beaulieu sur Layon', '49', 'FR'),
(18664, '49600', 'Beaupr�au', '49', 'FR'),
(18665, '49410', 'Beausse', '49', 'FR'),
(18666, '49140', 'Beauvau', '49', 'FR'),
(18667, '49370', 'B�con les Granits', '49', 'FR'),
(18668, '49122', 'B�grolles en Mauges', '49', 'FR'),
(18669, '49170', 'Behuard', '49', 'FR'),
(18670, '49320', 'Blaison Gohier', '49', 'FR'),
(18671, '49160', 'Blou', '49', 'FR'),
(18672, '49150', 'Boc�', '49', 'FR'),
(18673, '49800', 'La Bohalle', '49', 'FR'),
(18674, '49110', 'La Boissi�re sur Evre', '49', 'FR'),
(18675, '49110', 'Botz en Mauges', '49', 'FR'),
(18676, '49080', 'Bouchemaine', '49', 'FR'),
(18677, '49520', 'Bouill� M�nard', '49', 'FR'),
(18678, '49520', 'Bourg d''Ir�', '49', 'FR'),
(18679, '49520', 'Bourg l''�v�que', '49', 'FR'),
(18680, '49290', 'Bourgneuf en Mauges', '49', 'FR'),
(18681, '49530', 'Bouzill�', '49', 'FR'),
(18682, '49650', 'Brain sur Allonnes', '49', 'FR'),
(18683, '49800', 'Brain sur l''Authion', '49', 'FR'),
(18684, '49220', 'Brain sur Longuen�e', '49', 'FR'),
(18685, '49490', 'Breil', '49', 'FR'),
(18686, '49390', 'La Breille les Pins', '49', 'FR'),
(18687, '49260', 'Br�z�', '49', 'FR'),
(18688, '49700', 'Brign�', '49', 'FR'),
(18689, '49125', 'Briollay', '49', 'FR'),
(18690, '49250', 'Brion', '49', 'FR'),
(18691, '49320', 'Brissac Quinc�', '49', 'FR'),
(18692, '49330', 'Brissarthe', '49', 'FR'),
(18693, '49490', 'Broc', '49', 'FR'),
(18694, '49700', 'Brossay', '49', 'FR'),
(18695, '49440', 'Cand�', '49', 'FR'),
(18696, '49460', 'Cantenay �pinard', '49', 'FR'),
(18697, '49420', 'Carbay', '49', 'FR'),
(18698, '49310', 'Cernusson', '49', 'FR'),
(18699, '49360', 'Cerqueux de Maul�vrier', '49', 'FR'),
(18700, '49310', 'Cerqueux sous Passavant', '49', 'FR'),
(18701, '49400', 'Chac�', '49', 'FR'),
(18702, '49440', 'Challain la Potherie', '49', 'FR'),
(18703, '49490', 'Chalonnes sous le Lude', '49', 'FR'),
(18704, '49290', 'Chalonnes sur Loire', '49', 'FR'),
(18705, '49220', 'Chambellay', '49', 'FR'),
(18706, '49330', 'Champign�', '49', 'FR'),
(18707, '49380', 'Le Champ sur Layon', '49', 'FR'),
(18708, '49220', 'Champteuss� sur Baconne', '49', 'FR'),
(18709, '49123', 'Champtoc� sur Loire', '49', 'FR'),
(18710, '49270', 'Champtoceaux', '49', 'FR'),
(18711, '49340', 'Chanteloup les Bois', '49', 'FR'),
(18712, '49750', 'Chanzeaux', '49', 'FR'),
(18713, '49600', 'La Chapelle du Gen�t', '49', 'FR'),
(18714, '49860', 'La Chapelle Hullin', '49', 'FR'),
(18715, '49120', 'La Chapelle Rousselin', '49', 'FR'),
(18716, '49410', 'La Chapelle Saint Florent', '49', 'FR'),
(18717, '49140', 'La Chapelle Saint Laud', '49', 'FR'),
(18718, '49500', 'La Chapelle sur Oudon', '49', 'FR'),
(18719, '49320', 'Charc� St Ellier sur Aubance', '49', 'FR'),
(18720, '49150', 'Chartren�', '49', 'FR'),
(18721, '49330', 'Ch�teauneuf sur Sarthe', '49', 'FR'),
(18722, '49520', 'Ch�telais', '49', 'FR'),
(18723, '49290', 'Chaudefonds sur Layon', '49', 'FR'),
(18724, '49110', 'Chaudron en Mauges', '49', 'FR'),
(18725, '49140', 'Chaumont d''Anjou', '49', 'FR'),
(18726, '49600', 'La Chaussaire', '49', 'FR'),
(18727, '49380', 'Chavagnes', '49', 'FR'),
(18728, '49490', 'Chavaignes', '49', 'FR'),
(18729, '49860', 'Chaz� Henry', '49', 'FR'),
(18730, '49500', 'Chaz� sur Argos', '49', 'FR'),
(18731, '49125', 'Cheffes', '49', 'FR'),
(18732, '49320', 'Chemellier', '49', 'FR'),
(18733, '49120', 'Chemill�', '49', 'FR'),
(18734, '49640', 'Chemir� sur Sarthe', '49', 'FR'),
(18735, '49350', 'Ch�nehutte Tr�ves Cunault', '49', 'FR'),
(18736, '49220', 'Chenill� Chang�', '49', 'FR'),
(18737, '49330', 'Cherr�', '49', 'FR'),
(18738, '49150', 'Chevir� le Rouge', '49', 'FR'),
(18739, '49490', 'Chign�', '49', 'FR'),
(18740, '49280', 'Cholet', '49', 'FR'),
(18741, '49300', 'Cholet', '49', 'FR'),
(18742, '49700', 'Cizay la Madeleine', '49', 'FR'),
(18743, '49150', 'Clefs', '49', 'FR'),
(18744, '49560', 'Cl�r� sur Layon', '49', 'FR'),
(18745, '49520', 'Combr�e', '49', 'FR'),
(18746, '49700', 'Concourson sur Layon', '49', 'FR'),
(18747, '49330', 'Contign�', '49', 'FR'),
(18748, '49250', 'Corn�', '49', 'FR'),
(18749, '49140', 'Cornill� les Caves', '49', 'FR'),
(18750, '49440', 'La Cornuaille', '49', 'FR'),
(18751, '49690', 'Coron', '49', 'FR'),
(18752, '49140', 'Corz�', '49', 'FR'),
(18753, '49120', 'Coss� d''Anjou', '49', 'FR'),
(18754, '49260', 'Le Coudray Macouard', '49', 'FR'),
(18755, '49260', 'Courchamps', '49', 'FR'),
(18756, '49390', 'Courl�on', '49', 'FR'),
(18757, '49320', 'Coutures', '49', 'FR'),
(18758, '49150', 'Cuon', '49', 'FR'),
(18759, '49800', 'La Dagueni�re', '49', 'FR'),
(18760, '49400', 'Dampierre sur Loire', '49', 'FR'),
(18761, '49640', 'Daumeray', '49', 'FR'),
(18762, '49190', 'Den�e', '49', 'FR'),
(18763, '49700', 'Denez� sous Dou�', '49', 'FR'),
(18764, '49490', 'D�n�z� sous le Lude', '49', 'FR'),
(18765, '49400', 'Distr�', '49', 'FR'),
(18766, '49700', 'Dou� la Fontaine', '49', 'FR'),
(18767, '49530', 'Drain', '49', 'FR'),
(18768, '49430', 'Durtal', '49', 'FR'),
(18769, '49150', '�chemir�', '49', 'FR'),
(18770, '49000', '�couflant', '49', 'FR'),
(18771, '49460', '�cuill�', '49', 'FR'),
(18772, '49260', '�pieds', '49', 'FR'),
(18773, '49330', '�trich�', '49', 'FR'),
(18774, '49380', 'Faveraye Machelles', '49', 'FR'),
(18775, '49380', 'Faye d''Anjou', '49', 'FR'),
(18776, '49460', 'Feneu', '49', 'FR'),
(18777, '49500', 'La Ferri�re de Fl�e', '49', 'FR'),
(18778, '49600', 'Le Fief Sauvin', '49', 'FR'),
(18779, '49250', 'Fontaine Gu�rin', '49', 'FR'),
(18780, '49140', 'Fontaine Milon', '49', 'FR'),
(18781, '49590', 'Fontevraud l''Abbaye', '49', 'FR'),
(18782, '49700', 'Forges', '49', 'FR'),
(18783, '49540', 'La Fosse de Tign�', '49', 'FR'),
(18784, '49150', 'Fouger�', '49', 'FR'),
(18785, '49440', 'Freign�', '49', 'FR'),
(18786, '49270', 'Le Fuilet', '49', 'FR'),
(18787, '49120', 'Les Gardes', '49', 'FR'),
(18788, '49250', 'G�e', '49', 'FR'),
(18789, '49220', 'Gen�', '49', 'FR'),
(18790, '49350', 'Gennes', '49', 'FR'),
(18791, '49490', 'Genneteil', '49', 'FR'),
(18792, '49600', 'Gest�', '49', 'FR'),
(18793, '49320', 'Gohier', '49', 'FR'),
(18794, '49670', 'Valanjou', '49', 'FR'),
(18795, '49320', 'Gr�zill�', '49', 'FR'),
(18796, '49220', 'Grez Neuville', '49', 'FR'),
(18797, '49520', 'Grug� l''H�pital', '49', 'FR'),
(18798, '49150', 'Le Gu�d�niau', '49', 'FR'),
(18799, '49500', 'L''H�tellerie de Fl�e', '49', 'FR'),
(18800, '49430', 'Huill�', '49', 'FR'),
(18801, '49123', 'Ingrandes', '49', 'FR'),
(18802, '49220', 'La Jaille Yvon', '49', 'FR'),
(18803, '49510', 'Jallais', '49', 'FR'),
(18804, '49140', 'Jarz�', '49', 'FR'),
(18805, '49670', 'Jou� �tiau', '49', 'FR'),
(18806, '49510', 'La Jubaudi�re', '49', 'FR'),
(18807, '49460', 'Juign� Ben�', '49', 'FR'),
(18808, '49610', 'Juign� sur Loire', '49', 'FR'),
(18809, '49160', 'Jumelles', '49', 'FR'),
(18810, '49120', 'La Jumelli�re', '49', 'FR'),
(18811, '49330', 'Juvardeil', '49', 'FR'),
(18812, '49150', 'La Lande Chasles', '49', 'FR'),
(18813, '49270', 'Landemont', '49', 'FR'),
(18814, '49490', 'Lasse', '49', 'FR'),
(18815, '49430', 'L�zign�', '49', 'FR'),
(18816, '49490', 'Lini�res Bouton', '49', 'FR'),
(18817, '49220', 'Le Lion d''Angers', '49', 'FR'),
(18818, '49530', 'Lir�', '49', 'FR'),
(18819, '49440', 'Loir�', '49', 'FR'),
(18820, '49710', 'Le Longeron', '49', 'FR'),
(18821, '49160', 'Longu� Jumelles', '49', 'FR'),
(18822, '49700', 'Louerre', '49', 'FR'),
(18823, '49700', 'Louresse Rochemenier', '49', 'FR'),
(18824, '49370', 'Le Louroux B�connais', '49', 'FR'),
(18825, '49500', 'Louvaines', '49', 'FR'),
(18826, '49140', 'Lu� en Baugeois', '49', 'FR'),
(18827, '49320', 'Luign�', '49', 'FR'),
(18828, '49500', 'Marans', '49', 'FR'),
(18829, '49140', 'Marc�', '49', 'FR'),
(18830, '49330', 'Marign�', '49', 'FR'),
(18831, '49410', 'Le Marillais', '49', 'FR'),
(18832, '49540', 'Martign� Briand', '49', 'FR'),
(18833, '49360', 'Maul�vrier', '49', 'FR'),
(18834, '49122', 'Le May sur Èvre', '49', 'FR'),
(18835, '49250', 'Maz�', '49', 'FR'),
(18836, '49280', 'Mazi�res en Mauges', '49', 'FR'),
(18837, '49220', 'La Meignanne', '49', 'FR'),
(18838, '49490', 'Meign� le Vicomte', '49', 'FR'),
(18839, '49700', 'Meign�', '49', 'FR'),
(18840, '49120', 'Melay', '49', 'FR'),
(18841, '49220', 'Membrolle sur Longuen�e', '49', 'FR'),
(18842, '49250', 'La Menitr�', '49', 'FR'),
(18843, '49490', 'M�on', '49', 'FR'),
(18844, '49260', 'M�ron', '49', 'FR'),
(18845, '49410', 'Le Mesnil en Vall�e', '49', 'FR'),
(18846, '49330', 'Mir�', '49', 'FR'),
(18847, '49230', 'Montfaucon', '49', 'FR'),
(18848, '49700', 'Montfort', '49', 'FR'),
(18849, '49500', 'Montguillon', '49', 'FR'),
(18850, '49430', 'Montign� les Rairies', '49', 'FR'),
(18851, '49230', 'Montign� sur Moine', '49', 'FR'),
(18852, '49310', 'Montilliers', '49', 'FR'),
(18853, '49570', 'Montjean sur Loire', '49', 'FR'),
(18854, '49150', 'Montpollin', '49', 'FR'),
(18855, '49460', 'Montreuil Juign�', '49', 'FR'),
(18856, '49260', 'Montreuil Bellay', '49', 'FR'),
(18857, '49140', 'Montreuil sur Loir', '49', 'FR'),
(18858, '49220', 'Montreuil sur Maine', '49', 'FR'),
(18859, '49110', 'Montrevault', '49', 'FR'),
(18860, '49730', 'Montsoreau', '49', 'FR'),
(18861, '49640', 'Morannes', '49', 'FR'),
(18862, '49390', 'Mouliherne', '49', 'FR'),
(18863, '49610', 'Moz� sur Louet', '49', 'FR'),
(18864, '49130', 'M�rs �rign�', '49', 'FR'),
(18865, '49680', 'Neuill�', '49', 'FR'),
(18866, '49120', 'Neuvy en Mauges', '49', 'FR'),
(18867, '49520', 'No�llet', '49', 'FR'),
(18868, '49380', 'Notre Dame d''Allen�on', '49', 'FR'),
(18869, '49490', 'Noyant', '49', 'FR'),
(18870, '49520', 'Noyant la Gravoy�re', '49', 'FR'),
(18871, '49700', 'Noyant la Plaine', '49', 'FR'),
(18872, '49340', 'Nuaill�', '49', 'FR'),
(18873, '49560', 'Nueil sur Layon', '49', 'FR'),
(18874, '49500', 'Nyoiseau', '49', 'FR'),
(18875, '49390', 'Par�ay les Pins', '49', 'FR'),
(18876, '49730', 'Parnay', '49', 'FR'),
(18877, '49560', 'Passavant sur Layon', '49', 'FR'),
(18878, '49490', 'Pellerine', '49', 'FR'),
(18879, '49112', 'Pellouailles les Vignes', '49', 'FR'),
(18880, '49110', 'Le Pin en Mauges', '49', 'FR'),
(18881, '49360', 'La Plaine', '49', 'FR'),
(18882, '49124', 'Le Plessis Grammoire', '49', 'FR'),
(18883, '49220', 'Le Plessis Mac�', '49', 'FR'),
(18884, '49510', 'Poitevini�re', '49', 'FR'),
(18885, '49620', 'La Pommeraye', '49', 'FR'),
(18886, '49150', 'Pontign�', '49', 'FR'),
(18887, '49130', 'Les Ponts de C�', '49', 'FR'),
(18888, '49170', 'La Possonni�re', '49', 'FR'),
(18889, '49420', 'Pouanc�', '49', 'FR'),
(18890, '49370', 'La Pou�ze', '49', 'FR'),
(18891, '49420', 'La Pr�vi�re', '49', 'FR'),
(18892, '49220', 'Pruill�', '49', 'FR'),
(18893, '49600', 'Le Puiset Dor�', '49', 'FR'),
(18894, '49260', 'Le Puy Notre Dame', '49', 'FR'),
(18895, '49330', 'Querr�', '49', 'FR'),
(18896, '49750', 'Rablay sur Layon', '49', 'FR'),
(18897, '49430', 'Les Rairies', '49', 'FR'),
(18898, '49450', 'La Renaudi�re', '49', 'FR'),
(18899, '49190', 'Rochefort sur Loire', '49', 'FR'),
(18900, '49740', 'La Romagne', '49', 'FR'),
(18901, '49350', 'Rosiers sur Loire', '49', 'FR'),
(18902, '49400', 'Rou Marson', '49', 'FR'),
(18903, '49450', 'Roussay', '49', 'FR'),
(18904, '49450', 'Saint Andr� de la Marche', '49', 'FR'),
(18905, '49190', 'Saint Aubin de Luign�', '49', 'FR'),
(18906, '49170', 'Saint Augustin des Bois', '49', 'FR'),
(18907, '49124', 'Saint Barth�lemy d''Anjou', '49', 'FR'),
(18908, '49120', 'Ste Christine', '49', 'FR'),
(18909, '49280', 'Saint Christophe du Bois', '49', 'FR'),
(18910, '49270', 'St Christophe la Couperie', '49', 'FR'),
(18911, '49370', 'Saint Cl�ment de la Place', '49', 'FR'),
(18912, '49350', 'Saint Cl�ment des Lev�es', '49', 'FR'),
(18913, '49230', 'Saint Crespin sur Moine', '49', 'FR'),
(18914, '49260', 'Saint Cyr en Bourg', '49', 'FR'),
(18915, '49320', 'Saint Ellier', '49', 'FR'),
(18916, '49410', 'Saint Florent le Vieil', '49', 'FR'),
(18917, '49500', 'Ste Gemmes d''Andign�', '49', 'FR'),
(18918, '49130', 'Ste Gemmes sur Loire', '49', 'FR'),
(18919, '49350', 'Saint Georges des Sept Voies', '49', 'FR'),
(18920, '49250', 'Saint Georges du Bois', '49', 'FR'),
(18921, '49120', 'St Georges des Gardes', '49', 'FR'),
(18922, '49700', 'Saint Georges sur Layon', '49', 'FR'),
(18923, '49170', 'Saint Georges sur Loire', '49', 'FR'),
(18924, '49170', 'Saint Germain des Pr�s', '49', 'FR'),
(18925, '49230', 'Saint Germain sur Moine', '49', 'FR'),
(18926, '49310', 'Saint Hilaire du Bois', '49', 'FR'),
(18927, '49400', 'Saint Hilaire Saint Florent', '49', 'FR'),
(18928, '49130', 'Saint Jean de la Croix', '49', 'FR'),
(18929, '49070', 'St Jean de Lini�res', '49', 'FR'),
(18930, '49320', 'Saint Jean des Mauvrets', '49', 'FR'),
(18931, '49260', 'Saint Just sur Dive', '49', 'FR'),
(18932, '49750', 'Saint Lambert du Lattay', '49', 'FR'),
(18933, '49400', 'Saint Lambert des Lev�es', '49', 'FR'),
(18934, '49070', 'Saint Lambert la Potherie', '49', 'FR'),
(18935, '49290', 'Saint Laurent de la Plaine', '49', 'FR'),
(18936, '49270', 'Saint Laurent des Autels', '49', 'FR'),
(18937, '49410', 'Saint Laurent du Mottay', '49', 'FR'),
(18938, '49170', 'Saint L�ger des Bois', '49', 'FR'),
(18939, '49280', 'Saint L�ger sous Cholet', '49', 'FR'),
(18940, '49120', 'Saint L�zin', '49', 'FR'),
(18941, '49450', 'Saint Macaire en Mauges', '49', 'FR'),
(18942, '49260', 'Saint Macaire du Bois', '49', 'FR'),
(18943, '49150', 'Saint Martin d''Arc�', '49', 'FR'),
(18944, '49160', 'Saint Martin de la Place', '49', 'FR'),
(18945, '49500', 'Saint Martin du Bois', '49', 'FR'),
(18946, '49170', 'Saint Martin du Fouilloux', '49', 'FR'),
(18947, '49250', 'St Mathurin sur Loire', '49', 'FR'),
(18948, '49610', 'Saint M�laine sur Aubance', '49', 'FR'),
(18949, '49420', 'Saint Michel et Chanveaux', '49', 'FR'),
(18950, '49310', 'Saint Paul du Bois', '49', 'FR'),
(18951, '49160', 'Saint Philbert du Peuple', '49', 'FR'),
(18952, '49600', 'Saint Philbert en Mauges', '49', 'FR'),
(18953, '49110', 'Saint Pierre Montlimart', '49', 'FR'),
(18954, '49110', 'Saint Quentin en Mauges', '49', 'FR'),
(18955, '49150', 'St Quentin l�s Beaurepaire', '49', 'FR'),
(18956, '49110', 'Saint R�my en Mauges', '49', 'FR'),
(18957, '49250', 'Saint R�my la Varenne', '49', 'FR'),
(18958, '49320', 'Saint Saturnin sur Loire', '49', 'FR'),
(18959, '49500', 'Saint Sauveur de Fl�e', '49', 'FR'),
(18960, '49270', 'St Sauveur de Landemont', '49', 'FR'),
(18961, '49123', 'St Sigismond', '49', 'FR'),
(18962, '49320', 'St Sulpice', '49', 'FR'),
(18963, '49480', 'Saint Sylvain d''Anjou', '49', 'FR'),
(18964, '49110', 'Salle et Chapelle Aubry', '49', 'FR'),
(18965, '49310', 'La Salle de Vihiers', '49', 'FR'),
(18966, '49800', 'Sarrign�', '49', 'FR'),
(18967, '49320', 'Saulg� l''H�pital', '49', 'FR'),
(18968, '49400', 'Saumur', '49', 'FR'),
(18969, '49170', 'Savenni�res', '49', 'FR'),
(18970, '49330', 'Sceaux d''anjou', '49', 'FR'),
(18971, '49500', 'Segr�', '49', 'FR'),
(18972, '49280', 'La S�guini�re', '49', 'FR'),
(18973, '49140', 'Seiches sur le Loir', '49', 'FR'),
(18974, '49140', 'Sermaise', '49', 'FR'),
(18975, '49330', 'Soeurdres', '49', 'FR'),
(18976, '49360', 'Somloire', '49', 'FR'),
(18977, '49140', 'Soucelles', '49', 'FR'),
(18978, '49610', 'Soulaines sur Aubance', '49', 'FR'),
(18979, '49460', 'Soulaire et Bourg', '49', 'FR'),
(18980, '49400', 'Souzay Champigny', '49', 'FR'),
(18981, '49310', 'Tancoign�', '49', 'FR'),
(18982, '49280', 'La Tessoualle', '49', 'FR'),
(18983, '49220', 'Thorign� d''Anjou', '49', 'FR'),
(18984, '49380', 'Thouarc�', '49', 'FR'),
(18985, '49350', 'Le Thoureil', '49', 'FR'),
(18986, '49125', 'Tierc�', '49', 'FR'),
(18987, '49540', 'Tign�', '49', 'FR'),
(18988, '49230', 'Tilli�res', '49', 'FR'),
(18989, '49660', 'Torfou', '49', 'FR'),
(18990, '49120', 'La Tourlandry', '49', 'FR'),
(18991, '49360', 'Toutlemonde', '49', 'FR'),
(18992, '49800', 'Tr�laz�', '49', 'FR'),
(18993, '49520', 'Le Tremblay', '49', 'FR'),
(18994, '49340', 'Tr�mentines', '49', 'FR'),
(18995, '49310', 'Tr�mont', '49', 'FR'),
(18996, '49350', 'Tr�ves Cunault', '49', 'FR'),
(18997, '49730', 'Turquant', '49', 'FR'),
(18998, '49700', 'Les Ulmes', '49', 'FR'),
(18999, '49270', 'La Varenne', '49', 'FR'),
(19000, '49730', 'Varennes sur Loire', '49', 'FR'),
(19001, '49400', 'Varrains', '49', 'FR'),
(19002, '49320', 'Vauchr�tien', '49', 'FR'),
(19003, '49260', 'Vaudelnay', '49', 'FR'),
(19004, '49700', 'Les Verchers sur Layon', '49', 'FR'),
(19005, '49420', 'Vergonnes', '49', 'FR'),
(19006, '49220', 'Vern d''Anjou', '49', 'FR'),
(19007, '49390', 'Vernantes', '49', 'FR'),
(19008, '49390', 'Vernoil', '49', 'FR'),
(19009, '49400', 'Verrie', '49', 'FR'),
(19010, '49340', 'Vezins', '49', 'FR'),
(19011, '49150', 'Le Vieil Baug�', '49', 'FR'),
(19012, '49310', 'Vihiers', '49', 'FR'),
(19013, '49400', 'Villebernier', '49', 'FR'),
(19014, '49450', 'Villedieu la Blou�re', '49', 'FR'),
(19015, '49370', 'Villemoisan', '49', 'FR'),
(19016, '49140', 'Villev�que', '49', 'FR'),
(19017, '49680', 'Vivy', '49', 'FR'),
(19018, '49310', 'Le Voide', '49', 'FR'),
(19019, '49150', 'Vaulandry', '49', 'FR'),
(19020, '49360', 'Yzernay', '49', 'FR'),
(19021, '49300', 'Le Puy Saint Bonnet', '49', 'FR'),
(19022, '49520', 'Bel Air', '49', 'FR'),
(19023, '49170', '�pire', '49', 'FR'),
(19024, '49130', 'Sorges', '49', 'FR'),
(19025, '50440', 'Acqueville', '50', 'FR'),
(19026, '50180', 'Agneaux', '50', 'FR'),
(19027, '50230', 'Agon Coutainville', '50', 'FR'),
(19028, '50680', 'Airel', '50', 'FR'),
(19029, '50480', 'Amfreville', '50', 'FR'),
(19030, '50620', 'Amigny', '50', 'FR'),
(19031, '50200', 'Ancteville', '50', 'FR'),
(19032, '50400', 'Anctoville sur Boscq', '50', 'FR'),
(19033, '50530', 'Angey', '50', 'FR'),
(19034, '50480', 'Angoville au Plain', '50', 'FR'),
(19035, '50330', 'Angoville en Saire', '50', 'FR'),
(19036, '50430', 'Angoville sur Ay', '50', 'FR'),
(19037, '50760', 'Anneville en Saire', '50', 'FR'),
(19038, '50560', 'Anneville sur Mer', '50', 'FR'),
(19039, '50660', 'Annoville', '50', 'FR'),
(19040, '50500', 'Appeville', '50', 'FR'),
(19041, '50170', 'Ardevon', '50', 'FR'),
(19042, '50240', 'Argouges', '50', 'FR'),
(19043, '50170', 'Aucey la Plaine', '50', 'FR'),
(19044, '50440', 'Auderville', '50', 'FR'),
(19045, '50480', 'Audouville la Hubert', '50', 'FR'),
(19046, '50630', 'Aumeville Lestre', '50', 'FR'),
(19047, '50500', 'Auvers', '50', 'FR'),
(19048, '50500', 'Auxais', '50', 'FR'),
(19049, '50300', 'Avranches', '50', 'FR'),
(19050, '50310', 'Azeville', '50', 'FR'),
(19051, '50530', 'Bacilly', '50', 'FR'),
(19052, '50450', 'La Baleine', '50', 'FR'),
(19053, '50720', 'Barenton', '50', 'FR'),
(19054, '50760', 'Barfleur', '50', 'FR'),
(19055, '50270', 'Barneville Carteret', '50', 'FR'),
(19056, '50810', 'La Barre de Semilly', '50', 'FR'),
(19057, '50270', 'Beaubigny', '50', 'FR'),
(19058, '50000', 'Baudre', '50', 'FR'),
(19059, '50250', 'Baudreville', '50', 'FR'),
(19060, '50500', 'Baupte', '50', 'FR'),
(19061, '50520', 'La Bazoge', '50', 'FR'),
(19062, '50320', 'Beauchamps', '50', 'FR'),
(19063, '50420', 'Beaucoudray', '50', 'FR'),
(19064, '50150', 'Beauficel', '50', 'FR'),
(19065, '50440', 'Beaumont Hague', '50', 'FR'),
(19066, '50170', 'Beauvoir', '50', 'FR'),
(19067, '50520', 'Bellefontaine', '50', 'FR'),
(19068, '50210', 'Belval', '50', 'FR'),
(19069, '50340', 'Beno�tville', '50', 'FR'),
(19070, '50810', 'B�rigny', '50', 'FR'),
(19071, '50320', 'La Besli�re', '50', 'FR'),
(19072, '50800', 'Beslon', '50', 'FR'),
(19073, '50390', 'Besneville', '50', 'FR'),
(19074, '50420', 'Beuvrigny', '50', 'FR'),
(19075, '50480', 'Beuzeville au Plain', '50', 'FR'),
(19076, '50360', 'Beuzeville la Bastille', '50', 'FR'),
(19077, '50540', 'Les Biards', '50', 'FR'),
(19078, '50160', 'Bi�ville', '50', 'FR'),
(19079, '50390', 'Biniville', '50', 'FR'),
(19080, '50140', 'Bion', '50', 'FR'),
(19081, '50440', 'Biville', '50', 'FR'),
(19082, '50560', 'Blainville sur Mer', '50', 'FR'),
(19083, '50480', 'Blosville', '50', 'FR'),
(19084, '50800', 'La Blouti�re', '50', 'FR'),
(19085, '50200', 'Boisroger', '50', 'FR'),
(19086, '50800', 'Boisyvon', '50', 'FR'),
(19087, '50250', 'Bolleville', '50', 'FR'),
(19088, '50360', 'La Bonneville', '50', 'FR'),
(19089, '50170', 'Boucey', '50', 'FR'),
(19090, '50610', 'Jullouville', '50', 'FR'),
(19091, '50220', 'La Boulouze', '50', 'FR'),
(19092, '50800', 'Bourguenolles', '50', 'FR'),
(19093, '50480', 'Boutteville', '50', 'FR'),
(19094, '50870', 'Braffais', '50', 'FR'),
(19095, '50200', 'Brainville', '50', 'FR'),
(19096, '50440', 'Branville Hague', '50', 'FR'),
(19097, '50670', 'Br�cey', '50', 'FR'),
(19098, '50370', 'Br�cey', '50', 'FR'),
(19099, '50160', 'Brectouville', '50', 'FR'),
(19100, '50290', 'Br�hal', '50', 'FR'),
(19101, '50110', 'Bretteville', '50', 'FR'),
(19102, '50430', 'Bretteville sur Ay', '50', 'FR'),
(19103, '50260', 'Breuville', '50', 'FR'),
(19104, '50500', 'Br�vands', '50', 'FR'),
(19105, '50290', 'Br�ville sur Mer', '50', 'FR'),
(19106, '50260', 'Bricquebec', '50', 'FR'),
(19107, '50340', 'Bricquebosq', '50', 'FR'),
(19108, '50200', 'Bricqueville la Blouette', '50', 'FR'),
(19109, '50290', 'Bricqueville sur Mer', '50', 'FR'),
(19110, '50330', 'Brillevast', '50', 'FR'),
(19111, '50700', 'Brix', '50', 'FR'),
(19112, '50150', 'Brouains', '50', 'FR'),
(19113, '50480', 'Brucheville', '50', 'FR'),
(19114, '50640', 'Buais', '50', 'FR'),
(19115, '50200', 'Cambernon', '50', 'FR'),
(19116, '50570', 'Cametours', '50', 'FR'),
(19117, '50210', 'Camprond', '50', 'FR'),
(19118, '50860', 'Canisy', '50', 'FR'),
(19119, '50750', 'Canisy', '50', 'FR'),
(19120, '50330', 'Canteloup', '50', 'FR'),
(19121, '50580', 'Canville la Rocque', '50', 'FR'),
(19122, '50570', 'Carantilly', '50', 'FR'),
(19123, '50500', 'Carentan', '50', 'FR'),
(19124, '50240', 'Carnet', '50', 'FR'),
(19125, '50330', 'Carneville', '50', 'FR'),
(19126, '50740', 'Carolles', '50', 'FR'),
(19127, '50480', 'Carquebut', '50', 'FR'),
(19128, '50390', 'Catteville', '50', 'FR'),
(19129, '50620', 'Cavigny', '50', 'FR'),
(19130, '50500', 'Catz', '50', 'FR'),
(19131, '50220', 'C�aux', '50', 'FR'),
(19132, '50510', 'C�rences', '50', 'FR'),
(19133, '50680', 'Cerisy la For�t', '50', 'FR'),
(19134, '50810', 'Cerisy la For�t', '50', 'FR'),
(19135, '50210', 'Cerisy la Salle', '50', 'FR'),
(19136, '50370', 'La Chaise Beaudoin', '50', 'FR'),
(19137, '50540', 'Chalandrey', '50', 'FR'),
(19138, '50320', 'Les Chambres', '50', 'FR'),
(19139, '50320', 'Champcervon', '50', 'FR'),
(19140, '50530', 'Champcey', '50', 'FR'),
(19141, '50530', 'Champeaux', '50', 'FR'),
(19142, '50800', 'Champr�pus', '50', 'FR'),
(19143, '50620', 'Les Champs de Losque', '50', 'FR'),
(19144, '50510', 'Chanteloup', '50', 'FR'),
(19145, '50800', 'La Chapelle C�celin', '50', 'FR'),
(19146, '50160', 'La Chapelle du Fest', '50', 'FR'),
(19147, '50570', 'La Chapelle en Juger', '50', 'FR'),
(19148, '50370', 'La Chapelle Ur�e', '50', 'FR'),
(19149, '50520', 'Chasseguey', '50', 'FR'),
(19150, '50870', 'Chavoy', '50', 'FR'),
(19151, '50480', 'Chef du Pont', '50', 'FR'),
(19152, '50410', 'Le Chefresne', '50', 'FR'),
(19153, '50100', 'Cherbourg', '50', 'FR'),
(19154, '50800', 'Ch�renc� le H�ron', '50', 'FR'),
(19155, '50520', 'Ch�renc� le Roussel', '50', 'FR'),
(19156, '50220', 'Les Ch�ris', '50', 'FR'),
(19157, '50600', 'Ch�vreville', '50', 'FR'),
(19158, '50420', 'Chevry', '50', 'FR'),
(19159, '50330', 'Clitourps', '50', 'FR'),
(19160, '50250', 'Coigny', '50', 'FR'),
(19161, '50800', 'La Colombe', '50', 'FR'),
(19162, '50700', 'Colomby', '50', 'FR'),
(19163, '50890', 'Cond� sur Vire', '50', 'FR'),
(19164, '50660', 'Contri�res', '50', 'FR'),
(19165, '50170', 'Cormeray', '50', 'FR'),
(19166, '50330', 'Cosqueville', '50', 'FR'),
(19167, '50290', 'Coudeville sur Mer', '50', 'FR'),
(19168, '50670', 'Coulouvray Boisben�tre', '50', 'FR'),
(19169, '50200', 'Courcy', '50', 'FR'),
(19170, '50220', 'Courtils', '50', 'FR'),
(19171, '50200', 'Coutances', '50', 'FR'),
(19172, '50680', 'Couvains', '50', 'FR'),
(19173, '50690', 'Couville', '50', 'FR'),
(19174, '50630', 'Crasville', '50', 'FR'),
(19175, '50710', 'Cr�ances', '50', 'FR'),
(19176, '50770', 'Cr�ances', '50', 'FR'),
(19177, '50370', 'Les Cresnays', '50', 'FR'),
(19178, '50250', 'Cretteville', '50', 'FR'),
(19179, '50240', 'La Croix Avranchin', '50', 'FR'),
(19180, '50220', 'Crollon', '50', 'FR'),
(19181, '50360', 'Crosville sur Douve', '50', 'FR'),
(19182, '50170', 'Curey', '50', 'FR'),
(19183, '50670', 'Cuves', '50', 'FR'),
(19184, '50750', 'Dangy', '50', 'FR'),
(19185, '50580', 'Denneville', '50', 'FR'),
(19186, '50620', 'Le D�zert', '50', 'FR'),
(19187, '50110', 'Digosville', '50', 'FR'),
(19188, '50440', 'Digulleville', '50', 'FR'),
(19189, '50420', 'Domjean', '50', 'FR'),
(19190, '50350', 'Donville les Bains', '50', 'FR'),
(19191, '50250', 'Doville', '50', 'FR'),
(19192, '50530', 'Dragey Ronthon', '50', 'FR'),
(19193, '50220', 'Ducey', '50', 'FR'),
(19194, '50310', '�causseville', '50', 'FR'),
(19195, '50480', '�coqueneauville', '50', 'FR'),
(19196, '50440', '�culleville', '50', 'FR'),
(19197, '50310', '�mondeville', '50', 'FR'),
(19198, '50120', 'Equeurdreville Hainneville', '50', 'FR'),
(19199, '50320', '�quilly', '50', 'FR'),
(19200, '50310', '�roudeville', '50', 'FR'),
(19201, '50260', 'L''�tang Bertrand', '50', 'FR'),
(19202, '50360', '�tienville', '50', 'FR'),
(19203, '50840', 'Fermanville', '50', 'FR'),
(19204, '50640', 'Ferri�res', '50', 'FR'),
(19205, '50420', 'Fervaches', '50', 'FR'),
(19206, '50190', 'Feug�res', '50', 'FR'),
(19207, '50190', 'La Feuillie', '50', 'FR'),
(19208, '50580', 'Fierville les Mines', '50', 'FR'),
(19209, '50340', 'Flamanville', '50', 'FR'),
(19210, '50800', 'Fleury', '50', 'FR'),
(19211, '50700', 'Flottemanville', '50', 'FR'),
(19212, '50690', 'Flottemanville Hague', '50', 'FR'),
(19213, '50320', 'Folligny', '50', 'FR'),
(19214, '50140', 'Fontenay', '50', 'FR'),
(19215, '50310', 'Fontenay sur Mer', '50', 'FR'),
(19216, '50480', 'Foucarville', '50', 'FR'),
(19217, '50420', 'Fourneaux', '50', 'FR'),
(19218, '50850', 'Le Fresne Poret', '50', 'FR'),
(19219, '50310', 'Fresville', '50', 'FR'),
(19220, '50150', 'Gathemo', '50', 'FR'),
(19221, '50760', 'Gatteville le Phare', '50', 'FR'),
(19222, '50450', 'Gavray', '50', 'FR'),
(19223, '50560', 'Geffosses', '50', 'FR'),
(19224, '50530', 'Gen�ts', '50', 'FR'),
(19225, '50850', 'Ger', '50', 'FR'),
(19226, '50250', 'Gerville la For�t', '50', 'FR'),
(19227, '50160', 'Gi�ville', '50', 'FR'),
(19228, '50470', 'La Glacerie', '50', 'FR'),
(19229, '50250', 'Glatigny', '50', 'FR'),
(19230, '50300', 'La Godefroy', '50', 'FR'),
(19231, '50300', 'La Gohanni�re', '50', 'FR'),
(19232, '50390', 'Golleville', '50', 'FR'),
(19233, '50190', 'Gonfreville', '50', 'FR'),
(19234, '50330', 'Gonneville', '50', 'FR'),
(19235, '50190', 'Gorges', '50', 'FR'),
(19236, '50330', 'Gouberville', '50', 'FR'),
(19237, '50480', 'Gourbesville', '50', 'FR'),
(19238, '50750', 'Gourfaleur', '50', 'FR'),
(19239, '50420', 'Gouvets', '50', 'FR'),
(19240, '50560', 'Gouville sur Mer', '50', 'FR'),
(19241, '50620', 'Graignes', '50', 'FR'),
(19242, '50370', 'Le Grand Celland', '50', 'FR'),
(19243, '50400', 'Granville', '50', 'FR'),
(19244, '50200', 'Gratot', '50', 'FR'),
(19245, '50440', 'Gr�ville Hague', '50', 'FR'),
(19246, '50450', 'Grimesnil', '50', 'FR'),
(19247, '50340', 'Grosville', '50', 'FR'),
(19248, '50210', 'Gu�h�bert', '50', 'FR'),
(19249, '50160', 'Guilberville', '50', 'FR'),
(19250, '50410', 'Le Guislain', '50', 'FR'),
(19251, '50310', 'Le Ham', '50', 'FR'),
(19252, '50450', 'Hambye', '50', 'FR'),
(19253, '50730', 'Hamelin', '50', 'FR'),
(19254, '50690', 'Hardinvast', '50', 'FR'),
(19255, '50590', 'Hauteville sur Mer', '50', 'FR'),
(19256, '50570', 'Hauteville la Guichard', '50', 'FR'),
(19257, '50390', 'Hautteville Bocage', '50', 'FR'),
(19258, '50410', 'Haye Bellefond', '50', 'FR'),
(19259, '50270', 'La Haye d''Ectot', '50', 'FR'),
(19260, '50250', 'La Haye du Puits', '50', 'FR'),
(19261, '50320', 'La Haye Pesnel', '50', 'FR'),
(19262, '50340', 'H�auville', '50', 'FR'),
(19263, '50180', 'H�b�crevon', '50', 'FR'),
(19264, '50340', 'Helleville', '50', 'FR'),
(19265, '50700', 'H�mevez', '50', 'FR'),
(19266, '50440', 'Herqueville', '50', 'FR'),
(19267, '50200', 'Heugueville sur Sienne', '50', 'FR'),
(19268, '50660', 'H�renguerville', '50', 'FR'),
(19269, '50640', 'Heuss�', '50', 'FR'),
(19270, '50480', 'Hiesville', '50', 'FR'),
(19271, '50320', 'Hocquigny', '50', 'FR'),
(19272, '50620', 'Le Hommet d''Arthenay', '50', 'FR'),
(19273, '50480', 'Houesville', '50', 'FR'),
(19274, '50250', 'Houtteville', '50', 'FR'),
(19275, '50700', 'Huberville', '50', 'FR'),
(19276, '50510', 'Hudimesnil', '50', 'FR'),
(19277, '50170', 'Huisnes sur Mer', '50', 'FR'),
(19278, '50640', 'Husson', '50', 'FR'),
(19279, '50660', 'Hyenville', '50', 'FR'),
(19280, '50540', 'Isigny le Buat', '50', 'FR'),
(19281, '50440', 'Jobourg', '50', 'FR'),
(19282, '50310', 'Joganville', '50', 'FR'),
(19283, '50220', 'Juilley', '50', 'FR'),
(19284, '50520', 'Juvigny le Tertre', '50', 'FR'),
(19285, '50160', 'Lamberville', '50', 'FR'),
(19286, '50800', 'La Lande d''Airou', '50', 'FR'),
(19287, '50600', 'Lapenty', '50', 'FR'),
(19288, '50430', 'Laulne', '50', 'FR'),
(19289, '50510', 'Lengronne', '50', 'FR'),
(19290, '50430', 'Lessay', '50', 'FR'),
(19291, '50310', 'Lestre', '50', 'FR'),
(19292, '50480', 'Liesville sur Douve', '50', 'FR'),
(19293, '50700', 'Lieusaint', '50', 'FR'),
(19294, '50670', 'Lingeard', '50', 'FR'),
(19295, '50660', 'Lingreville', '50', 'FR'),
(19296, '50250', 'Lithaire', '50', 'FR'),
(19297, '50600', 'Les Loges Marchis', '50', 'FR'),
(19298, '50370', 'Les Loges sur Br�cey', '50', 'FR'),
(19299, '50530', 'Lolif', '50', 'FR'),
(19300, '50290', 'Longueville', '50', 'FR'),
(19301, '50510', 'Le Loreur', '50', 'FR'),
(19302, '50570', 'Le Lorey', '50', 'FR'),
(19303, '50570', 'Lozon', '50', 'FR'),
(19304, '50320', 'La Lucerne d''Outremer', '50', 'FR'),
(19305, '50870', 'Le Luot', '50', 'FR'),
(19306, '50680', 'La Luzerne', '50', 'FR'),
(19307, '50170', 'Macey', '50', 'FR'),
(19308, '50260', 'Magneville', '50', 'FR'),
(19309, '50540', 'La Mancelli�re', '50', 'FR'),
(19310, '50750', 'La Mancelli�re sur Vire', '50', 'FR'),
(19311, '50300', 'Marcey les Gr�ves', '50', 'FR'),
(19312, '50190', 'March�sieux', '50', 'FR'),
(19313, '50220', 'Marcilly', '50', 'FR'),
(19314, '50410', 'Margueray', '50', 'FR'),
(19315, '50570', 'Marigny', '50', 'FR'),
(19316, '50600', 'Martigny', '50', 'FR'),
(19317, '50690', 'Martinvast', '50', 'FR'),
(19318, '50410', 'Maupertuis', '50', 'FR'),
(19319, '50330', 'Maupertus sur Mer', '50', 'FR'),
(19320, '50880', 'La Meauffe', '50', 'FR'),
(19321, '50500', 'M�autis', '50', 'FR'),
(19322, '50580', 'Le Mesnil', '50', 'FR'),
(19323, '50520', 'Le Mesnil Adel�e', '50', 'FR'),
(19324, '50450', 'Le Mesnil Amand', '50', 'FR'),
(19325, '50570', 'Le Mesnil Amey', '50', 'FR'),
(19326, '50620', 'Le Mesnil Angot', '50', 'FR'),
(19327, '50510', 'Le Mesnil Aubert', '50', 'FR'),
(19328, '50110', 'Le Mesnil au Val', '50', 'FR'),
(19329, '50540', 'Le Mesnil Boeufs', '50', 'FR'),
(19330, '50450', 'Le Mesnil Bonant', '50', 'FR'),
(19331, '50490', 'Le Mesnilbus', '50', 'FR'),
(19332, '50320', 'Le Mesnil Drey', '50', 'FR'),
(19333, '50570', 'Le Mesnil Eury', '50', 'FR'),
(19334, '50450', 'Le Mesnil Garnier', '50', 'FR'),
(19335, '50670', 'Le Mesnil Gilbert', '50', 'FR'),
(19336, '50750', 'Le Mesnil Herman', '50', 'FR'),
(19337, '50450', 'Le Mesnil Hue', '50', 'FR'),
(19338, '50600', 'Le Mesnillard', '50', 'FR'),
(19339, '50860', 'Le Mesnil Opac', '50', 'FR'),
(19340, '50220', 'Le Mesnil Ozenne', '50', 'FR'),
(19341, '50520', 'Le Mesnil Rainfray', '50', 'FR'),
(19342, '50420', 'Le Mesnil Raoult', '50', 'FR'),
(19343, '50450', 'Le Mesnil Rogues', '50', 'FR'),
(19344, '50000', 'Le Mesnil Rouxelin', '50', 'FR'),
(19345, '50540', 'Le Mesnil Th�bault', '50', 'FR'),
(19346, '50520', 'Le Mesnil T�ve', '50', 'FR'),
(19347, '50620', 'Le Mesnil V�neron', '50', 'FR'),
(19348, '50570', 'Le Mesnil Vigot', '50', 'FR'),
(19349, '50450', 'Le Mesnil Villeman', '50', 'FR'),
(19350, '50510', 'La Meurdraqui�re', '50', 'FR'),
(19351, '50190', 'Milli�res', '50', 'FR'),
(19352, '50600', 'Milly', '50', 'FR'),
(19353, '50250', 'Mobecq', '50', 'FR'),
(19354, '50170', 'Moidrey', '50', 'FR'),
(19355, '50270', 'Les Moitiers d''Allonne', '50', 'FR'),
(19356, '50360', 'Les Moitiers en Bauptois', '50', 'FR'),
(19357, '50410', 'Montabot', '50', 'FR'),
(19358, '50700', 'Montaigu la Brisette', '50', 'FR'),
(19359, '50450', 'Montaigu les Bois', '50', 'FR'),
(19360, '50240', 'Montanel', '50', 'FR'),
(19361, '50410', 'Montbray', '50', 'FR'),
(19362, '50660', 'Montchaton', '50', 'FR'),
(19363, '50490', 'Montcuit', '50', 'FR'),
(19364, '50310', 'Montebourg', '50', 'FR'),
(19365, '50760', 'Montfarville', '50', 'FR'),
(19366, '50250', 'Montgardon', '50', 'FR'),
(19367, '50540', 'Montgothier', '50', 'FR'),
(19368, '50200', 'Monthuchon', '50', 'FR'),
(19369, '50240', 'Montjoie Saint Martin', '50', 'FR'),
(19370, '50620', 'Montmartin en Graignes', '50', 'FR'),
(19371, '50590', 'Montmartin sur Mer', '50', 'FR'),
(19372, '50210', 'Montpinchon', '50', 'FR'),
(19373, '50810', 'Montrabot', '50', 'FR'),
(19374, '50570', 'Montreuil sur Lozon', '50', 'FR'),
(19375, '50170', 'Mont St Michel', '50', 'FR'),
(19376, '50200', 'Montsurvent', '50', 'FR'),
(19377, '50530', 'Montviron', '50', 'FR'),
(19378, '50680', 'Moon sur Elle', '50', 'FR'),
(19379, '50410', 'Morigny', '50', 'FR'),
(19380, '50630', 'Morsalines', '50', 'FR'),
(19381, '50140', 'Mortain', '50', 'FR'),
(19382, '50700', 'Morville', '50', 'FR'),
(19383, '50320', 'La Mouche', '50', 'FR'),
(19384, '50600', 'Moulines', '50', 'FR'),
(19385, '50860', 'Moyon', '50', 'FR'),
(19386, '50490', 'Muneville le Bingard', '50', 'FR'),
(19387, '50290', 'Muneville sur Mer', '50', 'FR'),
(19388, '50540', 'Naftel', '50', 'FR'),
(19389, '50190', 'Nay', '50', 'FR'),
(19390, '50260', 'N�greville', '50', 'FR'),
(19391, '50390', 'N�hou', '50', 'FR'),
(19392, '50140', 'Le Neufbourg', '50', 'FR'),
(19393, '50250', 'Neufmesnil', '50', 'FR'),
(19394, '50480', 'Neuville au Plain', '50', 'FR'),
(19395, '50250', 'Neuville en Beaumont', '50', 'FR'),
(19396, '50330', 'N�ville sur Mer', '50', 'FR'),
(19397, '50200', 'Nicorps', '50', 'FR'),
(19398, '50320', 'Noirpalu', '50', 'FR'),
(19399, '50210', 'Notre Dame de Cenilly', '50', 'FR'),
(19400, '50370', 'Notre Dame de Livoye', '50', 'FR'),
(19401, '50810', 'Notre Dame d''Elle', '50', 'FR'),
(19402, '50140', 'Notre Dame du Touchet', '50', 'FR'),
(19403, '50690', 'Nouainville', '50', 'FR'),
(19404, '50130', 'Octeville', '50', 'FR'),
(19405, '50630', 'Octeville l''Avenel', '50', 'FR'),
(19406, '50440', 'Omonville la Petite', '50', 'FR'),
(19407, '50440', 'Omonville la Rogue', '50', 'FR'),
(19408, '50390', 'Orglandes', '50', 'FR'),
(19409, '50660', 'Orval', '50', 'FR'),
(19410, '50210', 'Ouville', '50', 'FR'),
(19411, '50310', 'Ozeville', '50', 'FR'),
(19412, '50600', 'Parigny', '50', 'FR'),
(19413, '50170', 'Les Pas', '50', 'FR'),
(19414, '50410', 'Percy', '50', 'FR'),
(19415, '50190', 'P�riers', '50', 'FR'),
(19416, '50630', 'La Pernelle', '50', 'FR'),
(19417, '50260', 'Les Perques', '50', 'FR'),
(19418, '50150', 'Perriers en Beauficel', '50', 'FR'),
(19419, '50160', 'Le Perron', '50', 'FR'),
(19420, '50370', 'Le Petit Celland', '50', 'FR'),
(19421, '50360', 'Picauville', '50', 'FR'),
(19422, '50340', 'Pierreville', '50', 'FR'),
(19423, '50340', 'Les Pieux', '50', 'FR'),
(19424, '50770', 'Pirou', '50', 'FR'),
(19425, '50160', 'Placy Montaigu', '50', 'FR'),
(19426, '50250', 'Plessis Lastelle', '50', 'FR'),
(19427, '50870', 'Plomb', '50', 'FR'),
(19428, '50220', 'Poilley', '50', 'FR'),
(19429, '50220', 'Pontaubault', '50', 'FR'),
(19430, '50880', 'Pont H�bert', '50', 'FR'),
(19431, '50170', 'Pontorson', '50', 'FR'),
(19432, '50300', 'Ponts', '50', 'FR'),
(19433, '50580', 'Portbail', '50', 'FR'),
(19434, '50220', 'Pr�cey', '50', 'FR'),
(19435, '50810', 'Pr�corbin', '50', 'FR'),
(19436, '50250', 'Pr�tot Sainte Suzanne', '50', 'FR'),
(19437, '50460', 'Querqueville', '50', 'FR'),
(19438, '50630', 'Quettehou', '50', 'FR'),
(19439, '50550', 'Quettehou', '50', 'FR'),
(19440, '50260', 'Quettetot', '50', 'FR'),
(19441, '50660', 'Quettreville sur Sienne', '50', 'FR'),
(19442, '50750', 'Quibou', '50', 'FR'),
(19443, '50310', 'Quin�ville', '50', 'FR'),
(19444, '50500', 'Raids', '50', 'FR'),
(19445, '50000', 'Rampan', '50', 'FR'),
(19446, '50140', 'Rancoudray', '50', 'FR'),
(19447, '50260', 'Rauville la Bigot', '50', 'FR'),
(19448, '50390', 'Rauville la Place', '50', 'FR'),
(19449, '50480', 'Ravenoville', '50', 'FR'),
(19450, '50520', 'Reffuveille', '50', 'FR'),
(19451, '50590', 'Regn�ville sur Mer', '50', 'FR'),
(19452, '50390', 'Reigneville Bocage', '50', 'FR'),
(19453, '50570', 'Remilly sur Lozon', '50', 'FR'),
(19454, '50330', 'R�th�ville', '50', 'FR'),
(19455, '50760', 'R�ville', '50', 'FR'),
(19456, '50530', 'La Rochelle Normande', '50', 'FR'),
(19457, '50260', 'Rocheville', '50', 'FR'),
(19458, '50140', 'Romagny', '50', 'FR'),
(19459, '50210', 'Roncey', '50', 'FR'),
(19460, '50490', 'La Ronde Haye', '50', 'FR'),
(19461, '50530', 'Ronthon', '50', 'FR'),
(19462, '50800', 'Rouffigny', '50', 'FR'),
(19463, '50810', 'Rouxeville', '50', 'FR'),
(19464, '50340', 'Le Rozel', '50', 'FR'),
(19465, '50170', 'Sacey', '50', 'FR'),
(19466, '50160', 'Saint Amand', '50', 'FR'),
(19467, '50500', 'Saint Andr� de Bohon', '50', 'FR'),
(19468, '50680', 'Saint Andr� de l''�pine', '50', 'FR'),
(19469, '50380', 'Saint Aubin des Pr�aux', '50', 'FR'),
(19470, '50111', 'Saint Aubin de Terregatte', '50', 'FR'),
(19471, '50490', 'Saint Aubin du Perron', '50', 'FR'),
(19472, '50140', 'Saint Barth�lemy', '50', 'FR'),
(19473, '50300', 'St Brice', '50', 'FR'),
(19474, '50730', 'Saint Brice de Landelles', '50', 'FR'),
(19475, '50800', 'Sainte C�cile', '50', 'FR'),
(19476, '50340', 'Saint Christophe du Foc', '50', 'FR'),
(19477, '50680', 'Saint Clair sur l''Elle', '50', 'FR'),
(19478, '50140', 'St Cl�ment Rancoudray', '50', 'FR'),
(19479, '50390', 'Sainte Colombe', '50', 'FR'),
(19480, '50500', 'Saint C�me du Mont', '50', 'FR'),
(19481, '50440', 'Sainte Croix Hague', '50', 'FR'),
(19482, '50310', 'Saint Cyr', '50', 'FR'),
(19483, '50720', 'Saint Cyr du Bailleul', '50', 'FR'),
(19484, '50450', 'Saint Denis le Gast', '50', 'FR'),
(19485, '50210', 'Saint Denis le V�tu', '50', 'FR'),
(19486, '50750', 'Saint �bremond de Bonfoss�', '50', 'FR'),
(19487, '50310', 'Saint Floxel', '50', 'FR'),
(19488, '50620', 'Saint Fromond', '50', 'FR'),
(19489, '50760', 'Sainte Genevi�ve', '50', 'FR'),
(19490, '50500', 'Saint Georges de Bohon', '50', 'FR'),
(19491, '50270', 'St Georges de la Rivi�re', '50', 'FR'),
(19492, '50370', 'Saint Georges de Livoye', '50', 'FR'),
(19493, '50680', 'Saint Georges d''Elle', '50', 'FR'),
(19494, '50720', 'Saint Georges de Rouelley', '50', 'FR'),
(19495, '50000', 'Saint Georges Montcocq', '50', 'FR'),
(19496, '50810', 'Saint Germain d''Elle', '50', 'FR'),
(19497, '50440', 'Saint Germain des Vaux', '50', 'FR'),
(19498, '50700', 'Saint Germain de Tournebut', '50', 'FR'),
(19499, '50480', 'Saint Germain de Varreville', '50', 'FR'),
(19500, '50340', 'Saint Germain le Gaillard', '50', 'FR'),
(19501, '50430', 'Saint Germain sur Ay', '50', 'FR'),
(19502, '50190', 'Saint Germain sur S�ves', '50', 'FR'),
(19503, '50180', 'Saint Gilles', '50', 'FR'),
(19504, '50600', 'Saint Hilaire du Harcou�t', '50', 'FR'),
(19505, '50500', 'Saint Hilaire Petitville', '50', 'FR'),
(19506, '50390', 'Saint Jacques de N�hou', '50', 'FR'),
(19507, '50240', 'Saint James', '50', 'FR'),
(19508, '50880', 'Saint Jean de Daye', '50', 'FR'),
(19509, '50620', 'Saint Jean de Daye', '50', 'FR'),
(19510, '50300', 'Saint Jean de la Haize', '50', 'FR'),
(19511, '50270', 'Saint Jean de la Rivi�re', '50', 'FR'),
(19512, '50680', 'Saint Jean de Savigny', '50', 'FR'),
(19513, '50810', 'Saint Jean des Baisants', '50', 'FR'),
(19514, '50320', 'Saint Jean des Champs', '50', 'FR'),
(19515, '50140', 'Saint Jean du Corail', '50', 'FR'),
(19516, '50370', 'St Jean du Corail des Bois', '50', 'FR'),
(19517, '50530', 'Saint Jean le Thomas', '50', 'FR'),
(19518, '50250', 'Saint Jores', '50', 'FR'),
(19519, '50700', 'Saint Joseph', '50', 'FR'),
(19520, '50670', 'Saint Laurent de Cuves', '50', 'FR'),
(19521, '50111', 'Saint Laurent de Terregatte', '50', 'FR'),
(19522, '50320', 'Saint L�ger', '50', 'FR'),
(19523, '50000', 'Saint L�', '50', 'FR'),
(19524, '50580', 'Saint Lo d''Ourville', '50', 'FR'),
(19525, '50420', 'Saint Louet sur Vire', '50', 'FR'),
(19526, '50300', 'Saint Loup', '50', 'FR'),
(19527, '50200', 'Saint Malo de la Lande', '50', 'FR'),
(19528, '50310', 'St Marcouf', '50', 'FR'),
(19529, '50640', 'Sainte Marie du Bois', '50', 'FR'),
(19530, '50480', 'Sainte Marie du Mont', '50', 'FR'),
(19531, '50190', 'Saint Martin d''Aubigny', '50', 'FR'),
(19532, '50310', 'Saint Martin d''Audouville', '50', 'FR'),
(19533, '50750', 'Saint Martin de Bonfoss�', '50', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(19534, '50210', 'Saint Martin de Cenilly', '50', 'FR'),
(19535, '50150', 'Chaulieu', '50', 'FR'),
(19536, '50730', 'Saint Martin de Landelles', '50', 'FR'),
(19537, '50300', 'Saint Martin des Champs', '50', 'FR'),
(19538, '50480', 'Saint Martin de Varreville', '50', 'FR'),
(19539, '50800', 'Saint Martin le Bouillant', '50', 'FR'),
(19540, '50690', 'Saint Martin le Gr�ard', '50', 'FR'),
(19541, '50800', 'Saint Maur des Bois', '50', 'FR'),
(19542, '50270', 'Saint Maurice en Cotentin', '50', 'FR'),
(19543, '50480', 'Sainte M�re �glise', '50', 'FR'),
(19544, '50490', 'Saint Michel de la Pierre', '50', 'FR'),
(19545, '50670', 'Saint Michel de Montjoie', '50', 'FR'),
(19546, '50740', 'Saint Michel des Loups', '50', 'FR'),
(19547, '50250', 'Saint Nicolas de Pierrepont', '50', 'FR'),
(19548, '50370', 'St Nicolas des Bois', '50', 'FR'),
(19549, '50300', 'St Ovin', '50', 'FR'),
(19550, '50380', 'Saint Pair sur Mer', '50', 'FR'),
(19551, '50190', 'Saint Patrice de Claids', '50', 'FR'),
(19552, '50500', 'Saint Pellerin', '50', 'FR'),
(19553, '50870', 'Sainte Pience', '50', 'FR'),
(19554, '50270', 'Saint Pierre d''Arth�glise', '50', 'FR'),
(19555, '50200', 'St Pierre de Coutances', '50', 'FR'),
(19556, '50810', 'Saint Pierre de Semilly', '50', 'FR'),
(19557, '50840', 'Saint Pierre �glise', '50', 'FR'),
(19558, '50330', 'Saint Pierre �glise', '50', 'FR'),
(19559, '50530', 'Saint Pierre Langers', '50', 'FR'),
(19560, '50400', 'Saint Planchers', '50', 'FR'),
(19561, '50670', 'Saint Pois', '50', 'FR'),
(19562, '50220', 'Saint Quentin sur le Homme', '50', 'FR'),
(19563, '50580', 'Saint R�my des Landes', '50', 'FR'),
(19564, '50750', 'Saint Romphaire', '50', 'FR'),
(19565, '50750', 'Saint Samson de Bonfoss�', '50', 'FR'),
(19566, '50150', 'Saint Sauveur de Chaulieu', '50', 'FR'),
(19567, '50250', 'Saint Sauveur de Pierrepont', '50', 'FR'),
(19568, '50510', 'Saint Sauveur la Pommeraye', '50', 'FR'),
(19569, '50490', 'Saint Sauveur Lendelin', '50', 'FR'),
(19570, '50390', 'Saint Sauveur le Vicomte', '50', 'FR'),
(19571, '50190', 'Saint S�bastien de Raids', '50', 'FR'),
(19572, '50240', 'Saint Senier de Beuvron', '50', 'FR'),
(19573, '50300', 'Saint Senier sous Avranches', '50', 'FR'),
(19574, '50250', 'Sainte Suzanne en Bauptois', '50', 'FR'),
(19575, '50750', 'Sainte Suzanne sur Vire', '50', 'FR'),
(19576, '50640', 'Saint Symphorien des Monts', '50', 'FR'),
(19577, '50250', 'Saint Symphorien le Valois', '50', 'FR'),
(19578, '50160', 'Saint Symphorien les Buttes', '50', 'FR'),
(19579, '50320', 'Saint Ursin', '50', 'FR'),
(19580, '50550', 'Saint Vaast la Hougue', '50', 'FR'),
(19581, '50420', 'Saint Vigor des Monts', '50', 'FR'),
(19582, '50500', 'Sainteny', '50', 'FR'),
(19583, '50530', 'Sartilly', '50', 'FR'),
(19584, '50700', 'Saussemesnil', '50', 'FR'),
(19585, '50200', 'Saussey', '50', 'FR'),
(19586, '50210', 'Savigny', '50', 'FR'),
(19587, '50640', 'Savigny le Vieux', '50', 'FR'),
(19588, '50480', 'S�beville', '50', 'FR'),
(19589, '50270', 'Senoville', '50', 'FR'),
(19590, '50200', 'Servigny', '50', 'FR'),
(19591, '50170', 'Servon', '50', 'FR'),
(19592, '50690', 'Sideville', '50', 'FR'),
(19593, '50340', 'Siouville Hague', '50', 'FR'),
(19594, '50270', 'Sortosville en Beaumont', '50', 'FR'),
(19595, '50310', 'Sortosville', '50', 'FR'),
(19596, '50260', 'Sottevast', '50', 'FR'),
(19597, '50820', 'Sottevast', '50', 'FR'),
(19598, '50340', 'Sotteville', '50', 'FR'),
(19599, '50750', 'Soulles', '50', 'FR'),
(19600, '50150', 'Sourdeval', '50', 'FR'),
(19601, '50850', 'Sourdeval', '50', 'FR'),
(19602, '50450', 'Sourdeval les Bois', '50', 'FR'),
(19603, '50870', 'Subligny', '50', 'FR'),
(19604, '50270', 'Surtainville', '50', 'FR'),
(19605, '50250', 'Surville', '50', 'FR'),
(19606, '50390', 'Taillepied', '50', 'FR'),
(19607, '50700', 'Tamerville', '50', 'FR'),
(19608, '50170', 'Tanis', '50', 'FR'),
(19609, '50320', 'Le Tanu', '50', 'FR'),
(19610, '50640', 'Le Teilleul', '50', 'FR'),
(19611, '50420', 'Tessy sur Vire', '50', 'FR'),
(19612, '50630', 'Teurth�ville Bocage', '50', 'FR'),
(19613, '50690', 'Teurth�ville Hague', '50', 'FR'),
(19614, '50330', 'Theil', '50', 'FR'),
(19615, '50330', 'Th�ville', '50', 'FR'),
(19616, '50870', 'Tirepied', '50', 'FR'),
(19617, '50330', 'Tocqueville', '50', 'FR'),
(19618, '50470', 'Tollevast', '50', 'FR'),
(19619, '50460', 'Tonneville', '50', 'FR'),
(19620, '50160', 'Torigni sur Vire', '50', 'FR'),
(19621, '50110', 'Tourlaville', '50', 'FR'),
(19622, '50200', 'Tourville sur Sienne', '50', 'FR'),
(19623, '50340', 'Tr�auville', '50', 'FR'),
(19624, '50660', 'Trelly', '50', 'FR'),
(19625, '50620', 'Tribehou', '50', 'FR'),
(19626, '50800', 'La Trinit�', '50', 'FR'),
(19627, '50420', 'Troisgots', '50', 'FR'),
(19628, '50480', 'Turqueville', '50', 'FR'),
(19629, '50700', 'Urville', '50', 'FR'),
(19630, '50460', 'Urville Nacqueville', '50', 'FR'),
(19631, '50300', 'Vains', '50', 'FR'),
(19632, '50760', 'Valcanville', '50', 'FR'),
(19633, '50260', 'Le Valdecie', '50', 'FR'),
(19634, '50700', 'Valognes', '50', 'FR'),
(19635, '50300', 'Le Val Saint P�re', '50', 'FR'),
(19636, '50250', 'Varenguebec', '50', 'FR'),
(19637, '50330', 'Varouville', '50', 'FR'),
(19638, '50630', 'Le Vast', '50', 'FR'),
(19639, '50440', 'Vasteville', '50', 'FR'),
(19640, '50310', 'Vaudreville', '50', 'FR'),
(19641, '50490', 'Vaudrimesnil', '50', 'FR'),
(19642, '50440', 'Vauville', '50', 'FR'),
(19643, '50200', 'La Vendel�e', '50', 'FR'),
(19644, '50150', 'Vengeons', '50', 'FR'),
(19645, '50450', 'Ver', '50', 'FR'),
(19646, '50240', 'Vergoncey', '50', 'FR'),
(19647, '50370', 'Vernix', '50', 'FR'),
(19648, '50430', 'Vesly', '50', 'FR'),
(19649, '50170', 'Vessey', '50', 'FR'),
(19650, '50500', 'Les Veys', '50', 'FR'),
(19651, '50540', 'Vezins', '50', 'FR'),
(19652, '50760', 'Le Vicel', '50', 'FR'),
(19653, '50630', 'Videcosville', '50', 'FR'),
(19654, '50810', 'Vidouville', '50', 'FR'),
(19655, '50480', 'Vierville', '50', 'FR'),
(19656, '50410', 'Villebaudon', '50', 'FR'),
(19657, '50140', 'Villechien', '50', 'FR'),
(19658, '50800', 'Villedieu les Po�les', '50', 'FR'),
(19659, '50240', 'Villiers le Pr�', '50', 'FR'),
(19660, '50680', 'Villiers Fossard', '50', 'FR'),
(19661, '50250', 'Vindefontaine', '50', 'FR'),
(19662, '50690', 'Virandeville', '50', 'FR'),
(19663, '50600', 'Virey', '50', 'FR'),
(19664, '50330', 'Vrasville', '50', 'FR'),
(19665, '50260', 'Le Vr�tot', '50', 'FR'),
(19666, '50400', 'Yquelon', '50', 'FR'),
(19667, '50700', 'Yvetot Bocage', '50', 'FR'),
(19668, '51240', 'Ablancourt', '51', 'FR'),
(19669, '51200', 'Saint Martin d''Ablois', '51', 'FR'),
(19670, '51150', 'Aigny', '51', 'FR'),
(19671, '51260', 'Allemanche Launay et Soyer', '51', 'FR'),
(19672, '51120', 'Allemant', '51', 'FR'),
(19673, '51250', 'Alliancelles', '51', 'FR'),
(19674, '51150', 'Ambonnay', '51', 'FR'),
(19675, '51290', 'Ambri�res', '51', 'FR'),
(19676, '51260', 'Anglure', '51', 'FR'),
(19677, '51230', 'Angluzelles et Courcelles', '51', 'FR'),
(19678, '51700', 'Anthenay', '51', 'FR'),
(19679, '51170', 'Aougny', '51', 'FR'),
(19680, '51170', 'Arcis le Ponsart', '51', 'FR'),
(19681, '51800', 'Argers', '51', 'FR'),
(19682, '51290', 'Arrigny', '51', 'FR'),
(19683, '51290', 'Arzilli�res Neuville', '51', 'FR'),
(19684, '51150', 'Athis', '51', 'FR'),
(19685, '51600', 'Aub�rive', '51', 'FR'),
(19686, '51170', 'Aubilly', '51', 'FR'),
(19687, '51130', 'Aulnay aux Planches', '51', 'FR'),
(19688, '51240', 'Aulnay l''A�tre', '51', 'FR'),
(19689, '51150', 'Aulnay sur Marne', '51', 'FR'),
(19690, '51130', 'Aulnizeux', '51', 'FR'),
(19691, '51110', 'Aum�nancourt', '51', 'FR'),
(19692, '51800', 'Auve', '51', 'FR'),
(19693, '51160', 'Avenay Val d''Or', '51', 'FR'),
(19694, '51190', 'Avize', '51', 'FR'),
(19695, '51160', 'Ay', '51', 'FR'),
(19696, '51400', 'Baconnes', '51', 'FR'),
(19697, '51260', 'Bagneux', '51', 'FR'),
(19698, '51270', 'Le Baizil', '51', 'FR'),
(19699, '51270', 'Bannay', '51', 'FR'),
(19700, '51230', 'Bannes', '51', 'FR'),
(19701, '51120', 'Barbonne Fayel', '51', 'FR'),
(19702, '51170', 'Baslieux l�s Fismes', '51', 'FR'),
(19703, '51700', 'Baslieux sous Ch�tillon', '51', 'FR'),
(19704, '51300', 'Bassu', '51', 'FR'),
(19705, '51300', 'Bassuet', '51', 'FR'),
(19706, '51260', 'Baudement', '51', 'FR'),
(19707, '51270', 'Baye', '51', 'FR'),
(19708, '51110', 'Bazancourt', '51', 'FR'),
(19709, '51360', 'Beaumont sur Vesle', '51', 'FR'),
(19710, '51270', 'Beaunay', '51', 'FR'),
(19711, '51490', 'Beine Nauroy', '51', 'FR'),
(19712, '51330', 'Belval en Argonne', '51', 'FR'),
(19713, '51480', 'Belval sous Ch�tillon', '51', 'FR'),
(19714, '51130', 'Berg�res l�s Vertus', '51', 'FR'),
(19715, '51210', 'Berg�res sous Montmirail', '51', 'FR'),
(19716, '51220', 'Berm�ricourt', '51', 'FR'),
(19717, '51420', 'Berru', '51', 'FR'),
(19718, '51800', 'Berzieux', '51', 'FR'),
(19719, '51490', 'B�theniville', '51', 'FR'),
(19720, '51450', 'B�theny', '51', 'FR'),
(19721, '51260', 'Bethon', '51', 'FR'),
(19722, '51330', 'Bettancourt la Longue', '51', 'FR'),
(19723, '51430', 'Bezannes', '51', 'FR'),
(19724, '51300', 'Bignicourt sur Marne', '51', 'FR'),
(19725, '51340', 'Bignicourt sur Saulx', '51', 'FR'),
(19726, '51400', 'Billy le Grand', '51', 'FR'),
(19727, '51800', 'Binarville', '51', 'FR'),
(19728, '51700', 'Binson et Orquigny', '51', 'FR'),
(19729, '51150', 'Bisseuil', '51', 'FR'),
(19730, '51300', 'Blacy', '51', 'FR'),
(19731, '51300', 'Blaise sous Arzilli�res', '51', 'FR'),
(19732, '51340', 'Blesme', '51', 'FR'),
(19733, '51170', 'Bligny', '51', 'FR'),
(19734, '51210', 'Boissy le Repos', '51', 'FR'),
(19735, '51310', 'Bouchy St Genest', '51', 'FR'),
(19736, '51390', 'Bouilly', '51', 'FR'),
(19737, '51170', 'Bouleuse', '51', 'FR'),
(19738, '51110', 'Boult sur Suippe', '51', 'FR'),
(19739, '51110', 'Bourgogne', '51', 'FR'),
(19740, '51480', 'Boursault', '51', 'FR'),
(19741, '51140', 'Bouvancourt', '51', 'FR'),
(19742, '51400', 'Bouy', '51', 'FR'),
(19743, '51150', 'Bouzy', '51', 'FR'),
(19744, '51290', 'Brandonvillers', '51', 'FR'),
(19745, '51140', 'Branscourt', '51', 'FR'),
(19746, '51800', 'Braux Sainte Cohi�re', '51', 'FR'),
(19747, '51800', 'Braux Saint R�my', '51', 'FR'),
(19748, '51320', 'Br�ban', '51', 'FR'),
(19749, '51210', 'Breuil', '51', 'FR'),
(19750, '51140', 'Breuil', '51', 'FR'),
(19751, '51240', 'Breuvery sur Coole', '51', 'FR'),
(19752, '51220', 'Brimont', '51', 'FR'),
(19753, '51170', 'Brouillet', '51', 'FR'),
(19754, '51230', 'Broussy le Grand', '51', 'FR'),
(19755, '51230', 'Broussy le Petit', '51', 'FR'),
(19756, '51120', 'Broyes', '51', 'FR'),
(19757, '51200', 'Brugny Vaudancourt', '51', 'FR'),
(19758, '51300', 'Brusson', '51', 'FR'),
(19759, '51300', 'Buisson', '51', 'FR'),
(19760, '51600', 'Bussy le Ch�teau', '51', 'FR'),
(19761, '51330', 'Bussy le Repos', '51', 'FR'),
(19762, '51320', 'Bussy Lettr�e', '51', 'FR'),
(19763, '51270', 'La Caure', '51', 'FR'),
(19764, '51110', 'Caurel', '51', 'FR'),
(19765, '51220', 'Cauroy l�s Hermonville', '51', 'FR'),
(19766, '51260', 'La Celle sous Chantemerle', '51', 'FR'),
(19767, '51800', 'Cernay en Dormois', '51', 'FR'),
(19768, '51420', 'Cernay l�s Reims', '51', 'FR'),
(19769, '51240', 'Cernon', '51', 'FR'),
(19770, '51130', 'Chaintrix Bierges', '51', 'FR'),
(19771, '51000', 'Ch�lons en Champagne', '51', 'FR'),
(19772, '51520', 'Ch�lons en Champagne', '51', 'FR'),
(19773, '51140', 'Ch�lons sur Vesle', '51', 'FR'),
(19774, '51130', 'Chaltrait', '51', 'FR'),
(19775, '51170', 'Chambrecy', '51', 'FR'),
(19776, '51500', 'Chamery', '51', 'FR'),
(19777, '51270', 'Champaubert', '51', 'FR'),
(19778, '51500', 'Champfleury', '51', 'FR'),
(19779, '51310', 'Champguyon', '51', 'FR'),
(19780, '51150', 'Champigneul Champagne', '51', 'FR'),
(19781, '51370', 'Champigny', '51', 'FR'),
(19782, '51160', 'Champillon', '51', 'FR'),
(19783, '51480', 'Champlat et Boujacourt', '51', 'FR'),
(19784, '51700', 'Champvoisy', '51', 'FR'),
(19785, '51300', 'Changy', '51', 'FR'),
(19786, '51260', 'Chantemerle', '51', 'FR'),
(19787, '51290', 'Chapelaine', '51', 'FR'),
(19788, '51800', 'La Chapelle Felcourt', '51', 'FR'),
(19789, '51260', 'La Chapelle Lasson', '51', 'FR'),
(19790, '51270', 'La Chapelle sous Orbais', '51', 'FR'),
(19791, '51120', 'Charleville', '51', 'FR'),
(19792, '51330', 'Charmont', '51', 'FR'),
(19793, '51330', 'Les Charmontois', '51', 'FR'),
(19794, '51330', 'Ch�telier', '51', 'FR'),
(19795, '51300', 'Ch�telraould Saint Louvent', '51', 'FR'),
(19796, '51290', 'Ch�tillon sur Brou�', '51', 'FR'),
(19797, '51700', 'Ch�tillon sur Marne', '51', 'FR'),
(19798, '51310', 'Ch�tillon sur Morin', '51', 'FR'),
(19799, '51800', 'Ch�trices', '51', 'FR'),
(19800, '51800', 'Chaudefontaine', '51', 'FR'),
(19801, '51170', 'Chaumuzy', '51', 'FR'),
(19802, '51240', 'La Chauss�e sur Marne', '51', 'FR'),
(19803, '51200', 'Chavot Courcourt', '51', 'FR'),
(19804, '51800', 'Le Chemin', '51', 'FR'),
(19805, '51250', 'Cheminon', '51', 'FR'),
(19806, '51140', 'Chenay', '51', 'FR'),
(19807, '51510', 'Cheniers', '51', 'FR'),
(19808, '51600', 'La Cheppe', '51', 'FR'),
(19809, '51240', 'Cheppes la Prairie', '51', 'FR'),
(19810, '51240', 'Chepy', '51', 'FR'),
(19811, '51150', 'Cherville', '51', 'FR'),
(19812, '51120', 'Chichey', '51', 'FR'),
(19813, '51500', 'Chigny les Roses', '51', 'FR'),
(19814, '51200', 'Chouilly', '51', 'FR'),
(19815, '51130', 'Clamanges', '51', 'FR'),
(19816, '51260', 'Clesles', '51', 'FR'),
(19817, '51300', 'Cloyes sur Marne', '51', 'FR'),
(19818, '51270', 'Coizard Joches', '51', 'FR'),
(19819, '51130', 'Val des Marais', '51', 'FR'),
(19820, '51510', 'Compertrix', '51', 'FR'),
(19821, '51150', 'Cond� sur Marne', '51', 'FR'),
(19822, '51260', 'Conflans sur Seine', '51', 'FR'),
(19823, '51270', 'Congy', '51', 'FR'),
(19824, '51230', 'Connantray Vaurefroy', '51', 'FR'),
(19825, '51230', 'Connantre', '51', 'FR'),
(19826, '51330', 'Contault', '51', 'FR'),
(19827, '51320', 'Coole', '51', 'FR'),
(19828, '51510', 'Coolus', '51', 'FR'),
(19829, '51320', 'Corbeil', '51', 'FR'),
(19830, '51210', 'Corf�lix', '51', 'FR'),
(19831, '51220', 'Cormicy', '51', 'FR'),
(19832, '51350', 'Cormontreuil', '51', 'FR'),
(19833, '51480', 'Cormoyeux', '51', 'FR'),
(19834, '51270', 'Corribert', '51', 'FR'),
(19835, '51210', 'Corrobert', '51', 'FR'),
(19836, '51230', 'Corroy', '51', 'FR'),
(19837, '51390', 'Coulommes la Montagne', '51', 'FR'),
(19838, '51240', 'Coupetz', '51', 'FR'),
(19839, '51240', 'Coup�ville', '51', 'FR'),
(19840, '51140', 'Courcelles Sapicourt', '51', 'FR'),
(19841, '51260', 'Courcemain', '51', 'FR'),
(19842, '51220', 'Courcy', '51', 'FR'),
(19843, '51300', 'Courdemanges', '51', 'FR'),
(19844, '51310', 'Courgivaux', '51', 'FR'),
(19845, '51270', 'Courjeonnet', '51', 'FR'),
(19846, '51170', 'Courlandon', '51', 'FR'),
(19847, '51390', 'Courmas', '51', 'FR'),
(19848, '51480', 'Courtagnon', '51', 'FR'),
(19849, '51800', 'Court�mont', '51', 'FR'),
(19850, '51700', 'Courthi�zy', '51', 'FR'),
(19851, '51460', 'Courtisols', '51', 'FR'),
(19852, '51170', 'Courville', '51', 'FR'),
(19853, '51300', 'Couvrot', '51', 'FR'),
(19854, '51200', 'Cramant', '51', 'FR'),
(19855, '51600', 'La Croix en Champagne', '51', 'FR'),
(19856, '51170', 'Crugny', '51', 'FR'),
(19857, '51480', 'Cuchery', '51', 'FR'),
(19858, '51200', 'Cuis', '51', 'FR'),
(19859, '51700', 'Cuisles', '51', 'FR'),
(19860, '51480', 'Cumi�res', '51', 'FR'),
(19861, '51400', 'Cuperly', '51', 'FR'),
(19862, '51480', 'Damery', '51', 'FR'),
(19863, '51400', 'Dampierre au Temple', '51', 'FR'),
(19864, '51330', 'Dampierre le Ch�teau', '51', 'FR'),
(19865, '51240', 'Dampierre sur Moivre', '51', 'FR'),
(19866, '51200', 'Dizy', '51', 'FR'),
(19867, '51800', 'Dommartin Dampierre', '51', 'FR'),
(19868, '51320', 'Dommartin Lettr�e', '51', 'FR'),
(19869, '51800', 'Dommartin sous Hans', '51', 'FR'),
(19870, '51330', 'Dommartin Varimont', '51', 'FR'),
(19871, '51300', 'Dompremy', '51', 'FR'),
(19872, '51490', 'Dontrien', '51', 'FR'),
(19873, '51700', 'Dormans', '51', 'FR'),
(19874, '51340', 'Val de Vi�re', '51', 'FR'),
(19875, '51290', 'Drosnay', '51', 'FR'),
(19876, '51300', 'Drouilly', '51', 'FR'),
(19877, '51800', '�claires', '51', 'FR'),
(19878, '51290', '�collemont', '51', 'FR'),
(19879, '51300', '�criennes', '51', 'FR'),
(19880, '51500', '�cueil', '51', 'FR'),
(19881, '51230', '�cury le Repos', '51', 'FR'),
(19882, '51240', '�cury sur Coole', '51', 'FR'),
(19883, '51800', 'Elise Daucourt', '51', 'FR'),
(19884, '51330', '�pense', '51', 'FR'),
(19885, '51200', '�pernay', '51', 'FR'),
(19886, '51530', '�pernay', '51', 'FR'),
(19887, '51460', 'L''�pine', '51', 'FR'),
(19888, '51490', '�poye', '51', 'FR'),
(19889, '51310', 'Escardes', '51', 'FR'),
(19890, '51260', 'Esclavolles Lurey', '51', 'FR'),
(19891, '51120', 'Les Essarts l�s S�zanne', '51', 'FR'),
(19892, '51310', 'Les Essarts le Vicomte', '51', 'FR'),
(19893, '51310', 'Esternay', '51', 'FR'),
(19894, '51270', '�toges', '51', 'FR'),
(19895, '51130', '�tr�chy', '51', 'FR'),
(19896, '51340', '�tr�py', '51', 'FR'),
(19897, '51230', 'Euvy', '51', 'FR'),
(19898, '51510', 'Fagni�res', '51', 'FR'),
(19899, '51230', 'Faux Fresnay', '51', 'FR'),
(19900, '51320', 'Faux V�signeul', '51', 'FR'),
(19901, '51170', 'Faverolles et Co�my', '51', 'FR'),
(19902, '51300', 'Favresse', '51', 'FR'),
(19903, '51270', 'F�rebrianges', '51', 'FR'),
(19904, '51230', 'F�re Champenoise', '51', 'FR'),
(19905, '51700', 'Festigny', '51', 'FR'),
(19906, '51170', 'Fismes', '51', 'FR'),
(19907, '51190', 'Flavigny', '51', 'FR'),
(19908, '51480', 'Fleury la Rivi�re', '51', 'FR'),
(19909, '51800', 'Florent en Argonne', '51', 'FR'),
(19910, '51120', 'Fontaine Denis Nuisy', '51', 'FR'),
(19911, '51800', 'Fontaine en Dormois', '51', 'FR'),
(19912, '51160', 'Fontaine sur Ay', '51', 'FR'),
(19913, '51320', 'Fontaine sur Coole', '51', 'FR'),
(19914, '51120', 'La Foresti�re', '51', 'FR'),
(19915, '51240', 'Francheville', '51', 'FR'),
(19916, '51240', 'Le Fresne', '51', 'FR'),
(19917, '51110', 'Fresnes l�s Reims', '51', 'FR'),
(19918, '51300', 'Frignicourt', '51', 'FR'),
(19919, '51210', 'Fromenti�res', '51', 'FR'),
(19920, '51210', 'Gault Soigny', '51', 'FR'),
(19921, '51120', 'Gaye', '51', 'FR'),
(19922, '51160', 'Germaine', '51', 'FR'),
(19923, '51390', 'Germigny', '51', 'FR'),
(19924, '51130', 'Germinon', '51', 'FR'),
(19925, '51290', 'Giffaumont Champaubert', '51', 'FR'),
(19926, '51290', 'Gigny Bussy', '51', 'FR'),
(19927, '51130', 'Gionges', '51', 'FR'),
(19928, '51330', 'Givry en Argonne', '51', 'FR'),
(19929, '51130', 'Givry l�s Loisy', '51', 'FR'),
(19930, '51800', 'Gizaucourt', '51', 'FR'),
(19931, '51300', 'Glannes', '51', 'FR'),
(19932, '51230', 'Gourgan�on', '51', 'FR'),
(19933, '51290', 'Ste Marie du Lac Nuisement', '51', 'FR'),
(19934, '51400', 'Les Grandes Loges', '51', 'FR'),
(19935, '51260', 'Granges sur Aube', '51', 'FR'),
(19936, '51800', 'Gratreuil', '51', 'FR'),
(19937, '51190', 'Grauves', '51', 'FR'),
(19938, '51390', 'Gueux', '51', 'FR'),
(19939, '51800', 'Hans', '51', 'FR'),
(19940, '51300', 'Haussign�mont', '51', 'FR'),
(19941, '51320', 'Haussimont', '51', 'FR'),
(19942, '51290', 'Hauteville', '51', 'FR'),
(19943, '51160', 'Hautvillers', '51', 'FR'),
(19944, '51300', 'Heiltz le Hutier', '51', 'FR'),
(19945, '51340', 'Heiltz le Maurupt', '51', 'FR'),
(19946, '51340', 'Heiltz l''�v�que', '51', 'FR'),
(19947, '51220', 'Hermonville', '51', 'FR'),
(19948, '51460', 'Herpont', '51', 'FR'),
(19949, '51110', 'Heutr�giville', '51', 'FR'),
(19950, '51140', 'Hourges', '51', 'FR'),
(19951, '51300', 'Huiron', '51', 'FR'),
(19952, '51320', 'Humbauville', '51', 'FR'),
(19953, '51700', 'Igny Comblizy', '51', 'FR'),
(19954, '51110', 'Isles sur Suippe', '51', 'FR'),
(19955, '51290', 'Isle sur Marne', '51', 'FR'),
(19956, '51150', 'Isse', '51', 'FR'),
(19957, '51190', 'Les Istres et Bury', '51', 'FR'),
(19958, '51150', 'J�lons', '51', 'FR'),
(19959, '51210', 'Janvilliers', '51', 'FR'),
(19960, '51390', 'Janvry', '51', 'FR'),
(19961, '51310', 'Joiselle', '51', 'FR'),
(19962, '51600', 'Jonchery sur Suippe', '51', 'FR'),
(19963, '51140', 'Jonchery sur Vesle', '51', 'FR'),
(19964, '51700', 'Jonquery', '51', 'FR'),
(19965, '51390', 'Jouy l�s Reims', '51', 'FR'),
(19966, '51340', 'Juss�court Minecourt', '51', 'FR'),
(19967, '51150', 'Juvigny', '51', 'FR'),
(19968, '51120', 'Lachy', '51', 'FR'),
(19969, '51170', 'Lagery', '51', 'FR'),
(19970, '51290', 'Landricourt', '51', 'FR'),
(19971, '51290', 'Larzicourt', '51', 'FR'),
(19972, '51600', 'Laval sur Tourbe', '51', 'FR'),
(19973, '51110', 'Lavannes', '51', 'FR'),
(19974, '51230', 'Lenharr�e', '51', 'FR'),
(19975, '51700', 'Leuvrigny', '51', 'FR'),
(19976, '51170', 'Lh�ry', '51', 'FR'),
(19977, '51290', 'Lignon', '51', 'FR'),
(19978, '51230', 'Linthelles', '51', 'FR'),
(19979, '51230', 'Linthes', '51', 'FR'),
(19980, '51300', 'Lisse en Champagne', '51', 'FR'),
(19981, '51400', 'Livry Louvercy', '51', 'FR'),
(19982, '51130', 'Loisy en Brie', '51', 'FR'),
(19983, '51300', 'Loisy sur Marne', '51', 'FR'),
(19984, '51220', 'Loivre', '51', 'FR'),
(19985, '51150', 'Louvois', '51', 'FR'),
(19986, '51270', 'Lucy', '51', 'FR'),
(19987, '51500', 'Ludes', '51', 'FR'),
(19988, '51300', 'Lux�mont et Villotte', '51', 'FR'),
(19989, '51210', 'Maclaunay', '51', 'FR'),
(19990, '51800', 'Maffr�court', '51', 'FR'),
(19991, '51170', 'Magneux', '51', 'FR'),
(19992, '51500', 'Mailly Champagne', '51', 'FR'),
(19993, '51240', 'Mairy sur Marne', '51', 'FR'),
(19994, '51300', 'Maisons en Champagne', '51', 'FR'),
(19995, '51800', 'Malmy', '51', 'FR'),
(19996, '51200', 'Mancy', '51', 'FR'),
(19997, '51260', 'Marcilly sur Seine', '51', 'FR'),
(19998, '51200', 'Mardeuil', '51', 'FR'),
(19999, '51270', 'Mareuil en Brie', '51', 'FR'),
(20000, '51700', 'Mareuil le Port', '51', 'FR'),
(20001, '51160', 'Mareuil sur Ay', '51', 'FR'),
(20002, '51170', 'Marfaux', '51', 'FR'),
(20003, '51290', 'Margerie Hancourt', '51', 'FR'),
(20004, '51210', 'Margny', '51', 'FR'),
(20005, '51230', 'Marigny', '51', 'FR'),
(20006, '51300', 'Marolles', '51', 'FR'),
(20007, '51260', 'Marsangis', '51', 'FR'),
(20008, '51240', 'Marson', '51', 'FR'),
(20009, '51800', 'Massiges', '51', 'FR'),
(20010, '51300', 'Matignicourt Goncourt', '51', 'FR'),
(20011, '51510', 'Matougues', '51', 'FR'),
(20012, '51340', 'Maurupt le Montois', '51', 'FR'),
(20013, '51210', 'M�cringes', '51', 'FR'),
(20014, '51120', 'Le Meix Saint �poing', '51', 'FR'),
(20015, '51320', 'Le Meix Tiercelin', '51', 'FR'),
(20016, '51220', 'Merfy', '51', 'FR'),
(20017, '51300', 'Merlaut', '51', 'FR'),
(20018, '51390', 'M�ry Pr�mecy', '51', 'FR'),
(20019, '51370', 'Les Mesneux', '51', 'FR'),
(20020, '51190', 'Le Mesnil sur Oger', '51', 'FR'),
(20021, '51800', 'Minaucourt le Mesnil l�s Hurlus', '51', 'FR'),
(20022, '51120', 'Moeurs Verdey', '51', 'FR'),
(20023, '51800', 'Moiremont', '51', 'FR'),
(20024, '51240', 'Moivre', '51', 'FR'),
(20025, '51470', 'Moncetz Longevas', '51', 'FR'),
(20026, '51290', 'Moncetz l''Abbaye', '51', 'FR'),
(20027, '51120', 'Mondement Montgivroux', '51', 'FR'),
(20028, '51500', 'Montbr�', '51', 'FR'),
(20029, '51260', 'Montgenost', '51', 'FR'),
(20030, '51320', 'Mont�preux', '51', 'FR'),
(20031, '51200', 'Monthelon', '51', 'FR'),
(20032, '51140', 'Montigny sur Vesle', '51', 'FR'),
(20033, '51210', 'Montmirail', '51', 'FR'),
(20034, '51270', 'Montmort Lucy', '51', 'FR'),
(20035, '51170', 'Mont sur Courville', '51', 'FR'),
(20036, '51200', 'Morangis', '51', 'FR'),
(20037, '51210', 'Morsains', '51', 'FR'),
(20038, '51200', 'Moslins', '51', 'FR'),
(20039, '51400', 'Mourmelon le Grand', '51', 'FR'),
(20040, '51400', 'Mourmelon le Petit', '51', 'FR'),
(20041, '51200', 'Moussy', '51', 'FR'),
(20042, '51140', 'Muizon', '51', 'FR'),
(20043, '51160', 'Mutigny', '51', 'FR'),
(20044, '51480', 'Nanteuil la For�t', '51', 'FR'),
(20045, '51120', 'Nesle la Reposte', '51', 'FR'),
(20046, '51700', 'Nesle le Repons', '51', 'FR'),
(20047, '51330', 'La Neuville aux Bois', '51', 'FR'),
(20048, '51480', 'La Neuville aux Larris', '51', 'FR'),
(20049, '51800', 'La Neuville au Pont', '51', 'FR'),
(20050, '51290', 'Neuville sous Arzilli�res', '51', 'FR'),
(20051, '51310', 'Neuvy', '51', 'FR'),
(20052, '51420', 'Nogent l''Abbesse', '51', 'FR'),
(20053, '51330', 'Noirlieu', '51', 'FR'),
(20054, '51230', 'Norm�e', '51', 'FR'),
(20055, '51300', 'Norrois', '51', 'FR'),
(20056, '51310', 'Noue', '51', 'FR'),
(20057, '51240', 'Nuisement sur Coole', '51', 'FR'),
(20058, '51480', 'Oeuilly', '51', 'FR'),
(20059, '51190', 'Oger', '51', 'FR'),
(20060, '51230', 'Ognes', '51', 'FR'),
(20061, '51200', 'Oiry', '51', 'FR'),
(20062, '51700', 'Olizy', '51', 'FR'),
(20063, '51240', 'Omey', '51', 'FR'),
(20064, '51270', 'Orbais l''Abbaye', '51', 'FR'),
(20065, '51300', 'Orconte', '51', 'FR'),
(20066, '51370', 'Ormes', '51', 'FR'),
(20067, '51290', 'Outines', '51', 'FR'),
(20068, '51300', 'Outrepont', '51', 'FR'),
(20069, '51120', 'Oyes', '51', 'FR'),
(20070, '51390', 'Pargny l�s Reims', '51', 'FR'),
(20071, '51340', 'Pargny sur Saulx', '51', 'FR'),
(20072, '51800', 'Passavant en Argonne', '51', 'FR'),
(20073, '51700', 'Passy Grigny', '51', 'FR'),
(20074, '51120', 'P�as', '51', 'FR'),
(20075, '51400', 'Les Petites Loges', '51', 'FR'),
(20076, '51140', 'P�vy', '51', 'FR'),
(20077, '51130', 'Pierre Morains', '51', 'FR'),
(20078, '51200', 'Pierry', '51', 'FR'),
(20079, '51230', 'Pleurs', '51', 'FR'),
(20080, '51300', 'Plichancourt', '51', 'FR'),
(20081, '51150', 'Plivot', '51', 'FR'),
(20082, '51130', 'Pocancy', '51', 'FR'),
(20083, '51240', 'Pogny', '51', 'FR'),
(20084, '51170', 'Poilly', '51', 'FR'),
(20085, '51460', 'Poix', '51', 'FR'),
(20086, '51110', 'Pomacle', '51', 'FR'),
(20087, '51490', 'Pontfaverger Moronvilliers', '51', 'FR'),
(20088, '51300', 'Ponthion', '51', 'FR'),
(20089, '51330', 'Possesse', '51', 'FR'),
(20090, '51260', 'Potangis', '51', 'FR'),
(20091, '51220', 'Pouillon', '51', 'FR'),
(20092, '51480', 'Pourcy', '51', 'FR'),
(20093, '51300', 'Pringy', '51', 'FR'),
(20094, '51400', 'Prosnes', '51', 'FR'),
(20095, '51140', 'Prouilly', '51', 'FR'),
(20096, '51360', 'Prunay', '51', 'FR'),
(20097, '51500', 'Puisieulx', '51', 'FR'),
(20098, '51120', 'Queudes', '51', 'FR'),
(20099, '51330', 'Raps�court', '51', 'FR'),
(20100, '51520', 'Recy', '51', 'FR'),
(20101, '51100', 'Reims', '51', 'FR'),
(20102, '51300', 'Reims la Brul�e', '51', 'FR'),
(20103, '51330', 'Remicourt', '51', 'FR'),
(20104, '51480', 'Reuil', '51', 'FR'),
(20105, '51120', 'Reuves', '51', 'FR'),
(20106, '51310', 'R�veillon', '51', 'FR'),
(20107, '51210', 'Rieux', '51', 'FR'),
(20108, '51500', 'Rilly la Montagne', '51', 'FR'),
(20109, '51300', 'Les Rivi�res Henruel', '51', 'FR'),
(20110, '51140', 'Romain', '51', 'FR'),
(20111, '51480', 'Romery', '51', 'FR'),
(20112, '51170', 'Romigny', '51', 'FR'),
(20113, '51390', 'Rosnay', '51', 'FR'),
(20114, '51130', 'Rouffy', '51', 'FR'),
(20115, '51800', 'Rouvroy Ripont', '51', 'FR'),
(20116, '51500', 'Sacy', '51', 'FR'),
(20117, '51300', 'Saint Amand sur Fion', '51', 'FR'),
(20118, '51310', 'Saint Bon', '51', 'FR'),
(20119, '51370', 'St Brice Courcelles', '51', 'FR'),
(20120, '51290', 'Saint Ch�ron', '51', 'FR'),
(20121, '51460', 'Saint �tienne au Temple', '51', 'FR'),
(20122, '51110', 'Saint �tienne sur Suippe', '51', 'FR'),
(20123, '52100', 'Saint Eulien', '52', 'FR'),
(20124, '51390', 'St Euphraise et Clairizet', '51', 'FR'),
(20125, '51700', 'Sainte Gemme', '51', 'FR'),
(20126, '51240', 'Saint Germain la Ville', '51', 'FR'),
(20127, '51510', 'Saint Gibrien', '51', 'FR'),
(20128, '51170', 'Saint Gilles', '51', 'FR'),
(20129, '51400', 'Saint Hilaire au Temple', '51', 'FR'),
(20130, '51600', 'Saint Hilaire le Grand', '51', 'FR'),
(20131, '51490', 'Saint Hilaire le Petit', '51', 'FR'),
(20132, '51160', 'Saint Imoges', '51', 'FR'),
(20133, '51330', 'Saint Jean devant Possesse', '51', 'FR'),
(20134, '51240', 'Saint Jean sur Moivre', '51', 'FR'),
(20135, '51600', 'Saint Jean sur Tourbe', '51', 'FR'),
(20136, '51260', 'Saint Just Sauvage', '51', 'FR'),
(20137, '51500', 'Saint L�onard', '51', 'FR'),
(20138, '51120', 'Saint Loup', '51', 'FR'),
(20139, '51300', 'Saint Lumier en Champagne', '51', 'FR'),
(20140, '51340', 'Saint Lumier la Populeuse', '51', 'FR'),
(20141, '51800', 'Saint Mard sur Auve', '51', 'FR'),
(20142, '51130', 'Saint Mard l�s Rouffy', '51', 'FR'),
(20143, '51330', 'Saint Mard sur le Mont', '51', 'FR'),
(20144, '51600', 'Sainte Marie �  Py', '51', 'FR'),
(20145, '51240', 'Saint Martin aux Champs', '51', 'FR'),
(20146, '51490', 'Saint Martin l''Heureux', '51', 'FR'),
(20147, '51520', 'Saint Martin sur le Pr�', '51', 'FR'),
(20148, '51490', 'Saint Masmes', '51', 'FR'),
(20149, '51470', 'Saint Memmie', '51', 'FR'),
(20150, '51800', 'Sainte Menehould', '51', 'FR'),
(20151, '51320', 'St Ouen Domprot', '51', 'FR'),
(20152, '51510', 'Saint Pierre', '51', 'FR'),
(20153, '51300', 'Saint Quentin les Marais', '51', 'FR'),
(20154, '51120', 'Saint Quentin le Verger', '51', 'FR'),
(20155, '51240', 'Saint Quentin sur Coole', '51', 'FR'),
(20156, '51290', 'St Remy en Bouzemont St Genest et Isson', '51', 'FR'),
(20157, '51120', 'Saint R�my sous Broyes', '51', 'FR'),
(20158, '51600', 'Saint R�my sur Bussy', '51', 'FR'),
(20159, '51260', 'Saint Saturnin', '51', 'FR'),
(20160, '51600', 'Saint Souplet sur Py', '51', 'FR'),
(20161, '51220', 'Saint Thierry', '51', 'FR'),
(20162, '51800', 'Saint Thomas en Argonne', '51', 'FR'),
(20163, '51290', 'Saint Utin', '51', 'FR'),
(20164, '51340', 'Saint Vrain', '51', 'FR'),
(20165, '52100', 'Sapignicourt', '52', 'FR'),
(20166, '51170', 'Sarcy', '51', 'FR'),
(20167, '51260', 'Saron sur Aube', '51', 'FR'),
(20168, '51520', 'Sarry', '51', 'FR'),
(20169, '51120', 'Saudoy', '51', 'FR'),
(20170, '51170', 'Savigny sur Ardres', '51', 'FR'),
(20171, '51340', 'Scrupt', '51', 'FR'),
(20172, '51490', 'Selles', '51', 'FR'),
(20173, '51400', 'Sept Saulx', '51', 'FR'),
(20174, '51250', 'Sermaize les Bains', '51', 'FR'),
(20175, '51500', 'Sermiers', '51', 'FR'),
(20176, '51800', 'Servon Melzicourt', '51', 'FR'),
(20177, '51170', 'Serzy et Prin', '51', 'FR'),
(20178, '51120', 'S�zanne', '51', 'FR'),
(20179, '51500', 'Sillery', '51', 'FR'),
(20180, '51800', 'Sivry Ante', '51', 'FR'),
(20181, '51520', 'Sogny aux Moulins', '51', 'FR'),
(20182, '51340', 'Sogny en l''Angle', '51', 'FR'),
(20183, '51700', 'Soilly', '51', 'FR'),
(20184, '51120', 'Soizy aux Bois', '51', 'FR'),
(20185, '51800', 'Somme Bionne', '51', 'FR'),
(20186, '51600', 'Sommepy Tahure', '51', 'FR'),
(20187, '51320', 'Sommesous', '51', 'FR'),
(20188, '51600', 'Somme Suippe', '51', 'FR'),
(20189, '51600', 'Somme Tourbe', '51', 'FR'),
(20190, '51460', 'Somme Vesle', '51', 'FR'),
(20191, '51330', 'Somme Y�vre', '51', 'FR'),
(20192, '51320', 'Sompuis', '51', 'FR'),
(20193, '51290', 'Somsois', '51', 'FR'),
(20194, '51240', 'Songy', '51', 'FR'),
(20195, '51600', 'Souain Perthes l�s Hurlus', '51', 'FR'),
(20196, '51320', 'Soud�', '51', 'FR'),
(20197, '51320', 'Soudron', '51', 'FR'),
(20198, '51300', 'Soulanges', '51', 'FR'),
(20199, '51130', 'Souli�res', '51', 'FR'),
(20200, '51600', 'Suippes', '51', 'FR'),
(20201, '51270', 'Suizy le Franc', '51', 'FR'),
(20202, '51500', 'Taissy', '51', 'FR'),
(20203, '51270', 'Talus Saint Prix', '51', 'FR'),
(20204, '51150', 'Tauxi�res Mutry', '51', 'FR'),
(20205, '51230', 'Thaas', '51', 'FR'),
(20206, '51510', 'Thibie', '51', 'FR'),
(20207, '51300', 'Thi�blemont Far�mont', '51', 'FR'),
(20208, '51220', 'Thil', '51', 'FR'),
(20209, '51370', 'Thillois', '51', 'FR'),
(20210, '51210', 'Le Thoult Trosnay', '51', 'FR'),
(20211, '51360', 'Val de Vesle', '51', 'FR'),
(20212, '51460', 'Tilloy et Bellay', '51', 'FR'),
(20213, '51430', 'Tinqueux', '51', 'FR'),
(20214, '51240', 'Togny aux Boeufs', '51', 'FR'),
(20215, '51130', 'Toulon la Montagne', '51', 'FR'),
(20216, '51150', 'Tours sur Marne', '51', 'FR'),
(20217, '51170', 'Tramery', '51', 'FR'),
(20218, '51130', 'Tr�con', '51', 'FR'),
(20219, '51210', 'Tr�fols', '51', 'FR'),
(20220, '51380', 'Tr�pail', '51', 'FR'),
(20221, '51140', 'Treslon', '51', 'FR'),
(20222, '51140', 'Trigny', '51', 'FR'),
(20223, '51340', 'Trois Fontaines l''Abbaye', '51', 'FR'),
(20224, '51500', 'Trois Puits', '51', 'FR'),
(20225, '51700', 'Troissy', '51', 'FR'),
(20226, '51170', 'Unchair', '51', 'FR'),
(20227, '51400', 'Vadenay', '51', 'FR'),
(20228, '51800', 'Valmy', '51', 'FR'),
(20229, '51330', 'Vanault le Ch�tel', '51', 'FR'),
(20230, '51340', 'Vanault les Dames', '51', 'FR'),
(20231, '51140', 'Vandeuil', '51', 'FR'),
(20232, '51700', 'Vandi�res', '51', 'FR'),
(20233, '51320', 'Vassimont et Chapelaine', '51', 'FR'),
(20234, '51320', 'Vatry', '51', 'FR'),
(20235, '51210', 'Vauchamps', '51', 'FR'),
(20236, '51480', 'Vauciennes', '51', 'FR'),
(20237, '51300', 'Vauclerc', '51', 'FR'),
(20238, '51380', 'Vaudemanges', '51', 'FR'),
(20239, '51600', 'Vaudesincourt', '51', 'FR'),
(20240, '51300', 'Vavray le Grand', '51', 'FR'),
(20241, '51300', 'Vavray le Petit', '51', 'FR'),
(20242, '51130', 'V�lye', '51', 'FR'),
(20243, '51140', 'Ventelay', '51', 'FR'),
(20244, '51480', 'Venteuil', '51', 'FR'),
(20245, '51210', 'Verdon', '51', 'FR'),
(20246, '51330', 'Vernancourt', '51', 'FR'),
(20247, '51700', 'Verneuil', '51', 'FR'),
(20248, '51800', 'Verri�res', '51', 'FR'),
(20249, '51130', 'Vert Toulon', '51', 'FR'),
(20250, '51130', 'Vertus', '51', 'FR'),
(20251, '51360', 'Verzenay', '51', 'FR'),
(20252, '51380', 'Verzy', '51', 'FR'),
(20253, '51240', 'V�signeul sur Marne', '51', 'FR'),
(20254, '51520', 'La Veuve', '51', 'FR'),
(20255, '51210', 'Le V�zier', '51', 'FR'),
(20256, '51330', 'Le Vieil Dampierre', '51', 'FR'),
(20257, '51800', 'Vienne la Ville', '51', 'FR'),
(20258, '51800', 'Vienne le Ch�teau', '51', 'FR'),
(20259, '51390', 'Ville Dommange', '51', 'FR'),
(20260, '51500', 'Ville en Selve', '51', 'FR'),
(20261, '51170', 'Ville en Tardenois', '51', 'FR'),
(20262, '51310', 'Villeneuve la Lionne', '51', 'FR'),
(20263, '51120', 'Villeneuve l�s Charleville', '51', 'FR'),
(20264, '51130', 'Villeneuve Renneville Chevigny', '51', 'FR'),
(20265, '51120', 'Villeneuve St Vistre et Villevotte', '51', 'FR'),
(20266, '51500', 'Villers Allerand', '51', 'FR'),
(20267, '51130', 'Villers aux Bois', '51', 'FR'),
(20268, '51500', 'Villers aux Noeuds', '51', 'FR'),
(20269, '51800', 'Villers en Argonne', '51', 'FR'),
(20270, '51220', 'Villers Franqueux', '51', 'FR'),
(20271, '51510', 'Villers le Ch�teau', '51', 'FR'),
(20272, '51250', 'Villers le Sec', '51', 'FR'),
(20273, '51380', 'Villers Marmery', '51', 'FR'),
(20274, '51700', 'Villers sous Ch�tillon', '51', 'FR'),
(20275, '51130', 'Villeseneux', '51', 'FR'),
(20276, '51270', 'La Ville sous Orbais', '51', 'FR'),
(20277, '51800', 'Ville sur Tourbe', '51', 'FR'),
(20278, '51270', 'Villevenard', '51', 'FR'),
(20279, '51260', 'Villiers aux Corneilles', '51', 'FR'),
(20280, '51200', 'Vinay', '51', 'FR'),
(20281, '51700', 'Vincelles', '51', 'FR'),
(20282, '51120', 'Vindey', '51', 'FR'),
(20283, '51800', 'Virginy', '51', 'FR'),
(20284, '51300', 'Vitry en Perthois', '51', 'FR'),
(20285, '51240', 'Vitry la Ville', '51', 'FR'),
(20286, '51300', 'Vitry le Fran�ois', '51', 'FR'),
(20287, '51800', 'Voilemont', '51', 'FR'),
(20288, '51130', 'Voipreux', '51', 'FR'),
(20289, '51260', 'Vouarces', '51', 'FR'),
(20290, '51240', 'Vouciennes', '51', 'FR'),
(20291, '51340', 'Vouillers', '51', 'FR'),
(20292, '51130', 'Vouzy', '51', 'FR'),
(20293, '51150', 'Vraux', '51', 'FR'),
(20294, '51390', 'Vrigny', '51', 'FR'),
(20295, '51330', 'Vroil', '51', 'FR'),
(20296, '51800', 'Wargemoulin Hurlus', '51', 'FR'),
(20297, '51110', 'Warmeriville', '51', 'FR'),
(20298, '51420', 'Witry l�s Reims', '51', 'FR'),
(20299, '51200', 'Magenta', '51', 'FR'),
(20300, '51700', 'Port �  Binson', '51', 'FR'),
(20301, '52340', 'Ageville', '52', 'FR'),
(20302, '52400', 'Aigremont', '52', 'FR'),
(20303, '52700', 'Aillianville', '52', 'FR'),
(20304, '52230', 'Aingoulaincourt', '52', 'FR'),
(20305, '52120', 'Aizanville', '52', 'FR'),
(20306, '52130', 'Allichamps', '52', 'FR'),
(20307, '52110', 'Ambonville', '52', 'FR'),
(20308, '52700', 'Andelot Blancheville', '52', 'FR'),
(20309, '52360', 'Andilly en Bassigny', '52', 'FR'),
(20310, '52220', 'Anglus', '52', 'FR'),
(20311, '52310', 'Ann�ville la Prairie', '52', 'FR'),
(20312, '52230', 'Annonville', '52', 'FR'),
(20313, '52500', 'Anrosey', '52', 'FR'),
(20314, '52250', 'Aprey', '52', 'FR'),
(20315, '52500', 'Arbigny sous Varennes', '52', 'FR'),
(20316, '52160', 'Arbot', '52', 'FR'),
(20317, '52210', 'Arc en Barrois', '52', 'FR'),
(20318, '52330', 'Argentolles', '52', 'FR'),
(20319, '52110', 'Arnancourt', '52', 'FR'),
(20320, '52400', 'Arnoncourt sur Apance', '52', 'FR'),
(20321, '52130', 'Attancourt', '52', 'FR'),
(20322, '52210', 'Aubepierre sur Aube', '52', 'FR'),
(20323, '52160', 'Auberive', '52', 'FR'),
(20324, '52240', 'Audeloncourt', '52', 'FR'),
(20325, '52270', 'Augeville', '52', 'FR'),
(20326, '52190', 'Aujeurres', '52', 'FR'),
(20327, '52160', 'Aulnoy sur Aube', '52', 'FR'),
(20328, '52300', 'Autigny le Grand', '52', 'FR'),
(20329, '52300', 'Autigny le Petit', '52', 'FR'),
(20330, '52120', 'Autreville sur la Renne', '52', 'FR'),
(20331, '52130', 'Avrainville', '52', 'FR'),
(20332, '52140', 'Avrecourt', '52', 'FR'),
(20333, '52130', 'Bailly aux Forges', '52', 'FR'),
(20334, '52250', 'Baissey', '52', 'FR'),
(20335, '52200', 'Balesmes sur Marne', '52', 'FR'),
(20336, '52360', 'Bannes', '52', 'FR'),
(20337, '52240', 'Bassoncourt', '52', 'FR'),
(20338, '52110', 'Baudrecourt', '52', 'FR'),
(20339, '52160', 'Bay sur Aube', '52', 'FR'),
(20340, '52400', 'Beaucharmoy', '52', 'FR'),
(20341, '52260', 'Beauchemin', '52', 'FR'),
(20342, '52500', 'Belmont', '52', 'FR'),
(20343, '52270', 'Roches Bettaincourt', '52', 'FR'),
(20344, '52100', 'Bettancourt la Ferr�e', '52', 'FR'),
(20345, '52230', 'Bettoncourt le Haut', '52', 'FR'),
(20346, '52110', 'Beurville', '52', 'FR'),
(20347, '52410', 'Bienville', '52', 'FR'),
(20348, '52330', 'Biernes', '52', 'FR'),
(20349, '52340', 'Biesles', '52', 'FR'),
(20350, '52500', 'Bize', '52', 'FR'),
(20351, '52330', 'Blaise', '52', 'FR'),
(20352, '52330', 'Blaisy', '52', 'FR'),
(20353, '52700', 'Blancheville', '52', 'FR'),
(20354, '52300', 'Bl�court', '52', 'FR'),
(20355, '52120', 'Blessonville', '52', 'FR'),
(20356, '52110', 'Blumeray', '52', 'FR'),
(20357, '52310', 'Bologne', '52', 'FR'),
(20358, '52360', 'Bonnecourt', '52', 'FR'),
(20359, '52400', 'Bourbonne les Bains', '52', 'FR'),
(20360, '52700', 'Bourdons sur Rognon', '52', 'FR'),
(20361, '52200', 'Bourg', '52', 'FR'),
(20362, '52150', 'Bourg Sainte Marie', '52', 'FR'),
(20363, '52150', 'Bourmont', '52', 'FR'),
(20364, '52110', 'Bouzancourt', '52', 'FR'),
(20365, '52110', 'Brachay', '52', 'FR'),
(20366, '52150', 'Brainville sur Meuse', '52', 'FR'),
(20367, '52290', 'Braucourt', '52', 'FR'),
(20368, '52120', 'Braux le Ch�tel', '52', 'FR'),
(20369, '52200', 'Brennes', '52', 'FR'),
(20370, '52230', 'Bressoncourt', '52', 'FR'),
(20371, '52000', 'Brethenay', '52', 'FR'),
(20372, '52170', 'Breuil sur Marne', '52', 'FR'),
(20373, '52240', 'Breuvannes en Bassigny', '52', 'FR'),
(20374, '52700', 'Briaucourt', '52', 'FR'),
(20375, '52120', 'Bricon', '52', 'FR'),
(20376, '52500', 'Broncourt', '52', 'FR'),
(20377, '52000', 'Brottes', '52', 'FR'),
(20378, '52130', 'Brousseval', '52', 'FR'),
(20379, '52230', 'Brouthi�res', '52', 'FR'),
(20380, '52330', 'Buchey', '52', 'FR'),
(20381, '52210', 'Bugni�res', '52', 'FR'),
(20382, '52500', 'Champsevraine', '52', 'FR'),
(20383, '52700', 'Busson', '52', 'FR'),
(20384, '52240', 'Buxi�res l�s Clefmont', '52', 'FR'),
(20385, '52320', 'Buxi�res l�s Froncles', '52', 'FR'),
(20386, '52000', 'Buxi�res l�s Villiers', '52', 'FR'),
(20387, '52220', 'Ceffonds', '52', 'FR'),
(20388, '52360', 'Celles en Bassigny', '52', 'FR'),
(20389, '52600', 'Celsoy', '52', 'FR'),
(20390, '52320', 'Cerisi�res', '52', 'FR'),
(20391, '52160', 'Chalancey', '52', 'FR'),
(20392, '52600', 'Chalindrey', '52', 'FR'),
(20393, '52160', 'Vals des Tilles', '52', 'FR'),
(20394, '52700', 'Chalvraines', '52', 'FR'),
(20395, '52000', 'Chamarandes', '52', 'FR'),
(20396, '52700', 'Chambroncourt', '52', 'FR'),
(20397, '52210', 'Chameroy', '52', 'FR'),
(20398, '52410', 'Chamouilley', '52', 'FR'),
(20399, '52330', 'Champcourt', '52', 'FR'),
(20400, '52150', 'Champigneulles en Bassigny', '52', 'FR'),
(20401, '52200', 'Champigny l�s Langres', '52', 'FR'),
(20402, '52400', 'Champigny sous Varennes', '52', 'FR'),
(20403, '52100', 'Chancenay', '52', 'FR'),
(20404, '52360', 'Changey', '52', 'FR'),
(20405, '52260', 'Chanoy', '52', 'FR'),
(20406, '52700', 'Chantraines', '52', 'FR'),
(20407, '52360', 'Charmes', '52', 'FR'),
(20408, '52110', 'Charmes en l''Angle', '52', 'FR'),
(20409, '52110', 'Charmes la Grande', '52', 'FR'),
(20410, '52260', 'Charmoilles', '52', 'FR'),
(20411, '52190', 'Chassigny', '52', 'FR'),
(20412, '52120', 'Ch�teauvillain', '52', 'FR'),
(20413, '52200', 'Ch�tenay M�cheron', '52', 'FR'),
(20414, '52360', 'Ch�tenay Vaudin', '52', 'FR'),
(20415, '52190', 'Chatoillenot', '52', 'FR'),
(20416, '52300', 'Chatonrupt Sommermont', '52', 'FR'),
(20417, '52600', 'Chaudenay', '52', 'FR'),
(20418, '52140', 'Chauffourt', '52', 'FR'),
(20419, '52000', 'Chaumont', '52', 'FR'),
(20420, '52150', 'Chaumont la Ville', '52', 'FR'),
(20421, '52170', 'Chevillon', '52', 'FR'),
(20422, '52400', 'Ch�zeaux', '52', 'FR'),
(20423, '52000', 'Chamarandes Choignes', '52', 'FR'),
(20424, '52190', 'Choilley Dardenay', '52', 'FR'),
(20425, '52240', 'Choiseul', '52', 'FR'),
(20426, '52700', 'Cirey l�s Mareilles', '52', 'FR'),
(20427, '52110', 'Cirey sur Blaise', '52', 'FR'),
(20428, '52370', 'Cirfontaines en Azois', '52', 'FR'),
(20429, '52230', 'Cirfontaines en Ornois', '52', 'FR'),
(20430, '52240', 'Clefmont', '52', 'FR'),
(20431, '52700', 'Clinchamp', '52', 'FR'),
(20432, '52600', 'Cohons', '52', 'FR'),
(20433, '52400', 'Coiffy le Bas', '52', 'FR'),
(20434, '52400', 'Coiffy le Haut', '52', 'FR'),
(20435, '52160', 'Colmier le Bas', '52', 'FR'),
(20436, '52160', 'Colmier le Haut', '52', 'FR'),
(20437, '52240', 'Colombey l�s Choiseul', '52', 'FR'),
(20438, '52330', 'Colombey les deux �glises', '52', 'FR'),
(20439, '52000', 'Condes', '52', 'FR'),
(20440, '52700', 'Consigny', '52', 'FR'),
(20441, '52500', 'Corgirnon', '52', 'FR'),
(20442, '52200', 'Corl�e', '52', 'FR'),
(20443, '52500', 'Coublanc', '52', 'FR'),
(20444, '52210', 'Coupray', '52', 'FR'),
(20445, '52200', 'Courcelles en Montagne', '52', 'FR'),
(20446, '52210', 'Courcelles sur Aujon', '52', 'FR'),
(20447, '52110', 'Courcelles sur Blaise', '52', 'FR'),
(20448, '52190', 'Courcelles Val d''Esnoms', '52', 'FR'),
(20449, '52210', 'Cour l''�v�que', '52', 'FR'),
(20450, '52120', 'Cr�ancey', '52', 'FR'),
(20451, '52000', 'Crenay', '52', 'FR'),
(20452, '52600', 'Culmont', '52', 'FR'),
(20453, '52300', 'Curel', '52', 'FR'),
(20454, '52330', 'Curmont', '52', 'FR'),
(20455, '52190', 'Cusey', '52', 'FR'),
(20456, '52240', 'Cuves', '52', 'FR'),
(20457, '52110', 'Daillancourt', '52', 'FR'),
(20458, '52240', 'Daillecourt', '52', 'FR'),
(20459, '52140', 'Dammartin sur Meuse', '52', 'FR'),
(20460, '52360', 'Dampierre', '52', 'FR'),
(20461, '52400', 'Damr�mont', '52', 'FR'),
(20462, '52210', 'Dancevoir', '52', 'FR'),
(20463, '52190', 'Dardenay', '52', 'FR'),
(20464, '52700', 'Darmannes', '52', 'FR'),
(20465, '52120', 'Dinteville', '52', 'FR'),
(20466, '52130', 'Domblain', '52', 'FR'),
(20467, '52190', 'Dommarien', '52', 'FR'),
(20468, '52110', 'Dommartin le Franc', '52', 'FR'),
(20469, '52110', 'Dommartin le Saint P�re', '52', 'FR'),
(20470, '52270', 'Domremy Land�ville', '52', 'FR'),
(20471, '52150', 'Doncourt sur Meuse', '52', 'FR'),
(20472, '52300', 'Donjeux', '52', 'FR'),
(20473, '52800', 'Donnemarie', '52', 'FR'),
(20474, '52270', 'Doulaincourt Saucourt', '52', 'FR'),
(20475, '52110', 'Doulevant le Ch�teau', '52', 'FR'),
(20476, '52130', 'Doulevant le Petit', '52', 'FR'),
(20477, '52220', 'Droyes', '52', 'FR'),
(20478, '52230', '�chenay', '52', 'FR'),
(20479, '52290', 'Eclaron Braucourt Ste Livi�re', '52', 'FR'),
(20480, '52700', '�cot la Combe', '52', 'FR'),
(20481, '52300', 'Effincourt', '52', 'FR'),
(20482, '52400', 'Enfonvelle', '52', 'FR'),
(20483, '52140', '�pinant', '52', 'FR'),
(20484, '52230', '�pizon', '52', 'FR'),
(20485, '52210', '�riseul', '52', 'FR'),
(20486, '52190', 'Val d''Esnoms', '52', 'FR'),
(20487, '52340', 'Esnouveaux', '52', 'FR'),
(20488, '52800', 'Essey les Eaux', '52', 'FR'),
(20489, '52120', 'Essey les Ponts', '52', 'FR'),
(20490, '52000', 'Euffigneix', '52', 'FR'),
(20491, '52410', 'Eurville Bienville', '52', 'FR'),
(20492, '52500', 'Farincourt', '52', 'FR'),
(20493, '52260', 'Faverolles', '52', 'FR'),
(20494, '52500', 'Fayl la For�t', '52', 'FR'),
(20495, '52130', 'Fays', '52', 'FR'),
(20496, '52300', 'Ferri�re et Lafolie', '52', 'FR'),
(20497, '52250', 'Flagey', '52', 'FR'),
(20498, '52110', 'Flammer�court', '52', 'FR'),
(20499, '52130', 'Flornoy', '52', 'FR'),
(20500, '52170', 'Fontaines sur Marne', '52', 'FR'),
(20501, '52700', 'Forcey', '52', 'FR'),
(20502, '52800', 'Foulain', '52', 'FR'),
(20503, '52220', 'Frampas', '52', 'FR'),
(20504, '52360', 'Fr�court', '52', 'FR'),
(20505, '52400', 'Fresnes sur Apance', '52', 'FR'),
(20506, '52400', 'Fresnoy en Bassigny', '52', 'FR'),
(20507, '52320', 'Froncles', '52', 'FR'),
(20508, '52300', 'Fronville', '52', 'FR'),
(20509, '52500', 'Genevri�res', '52', 'FR'),
(20510, '52320', 'La Genevroye', '52', 'FR'),
(20511, '52400', 'Genrupt', '52', 'FR'),
(20512, '52160', 'Germaines', '52', 'FR'),
(20513, '52150', 'Germainvilliers', '52', 'FR'),
(20514, '52230', 'Germay', '52', 'FR'),
(20515, '52230', 'Germisay', '52', 'FR'),
(20516, '52210', 'Giey sur Aujon', '52', 'FR'),
(20517, '52330', 'Gillancourt', '52', 'FR'),
(20518, '52230', 'Gillaum�', '52', 'FR'),
(20519, '52500', 'Gilley', '52', 'FR'),
(20520, '52150', 'Gonaincourt', '52', 'FR'),
(20521, '52150', 'Goncourt', '52', 'FR'),
(20522, '52170', 'Gourzon', '52', 'FR'),
(20523, '52150', 'Graffigny Chemin', '52', 'FR'),
(20524, '52600', 'Grandchamp', '52', 'FR'),
(20525, '52500', 'Grenant', '52', 'FR'),
(20526, '52320', 'Gudmont Villiers', '52', 'FR'),
(20527, '52300', 'Guindrecourt aux Ormes', '52', 'FR'),
(20528, '52330', 'Guindrecourt sur Blaise', '52', 'FR'),
(20529, '52400', 'Guyonvelle', '52', 'FR'),
(20530, '52150', 'H�court', '52', 'FR'),
(20531, '52100', 'Hallignicourt', '52', 'FR'),
(20532, '52230', 'Harm�ville', '52', 'FR'),
(20533, '52150', 'Harr�ville les Chanteurs', '52', 'FR'),
(20534, '52600', 'Heuilley Cotton', '52', 'FR'),
(20535, '52600', 'Heuilley le Grand', '52', 'FR'),
(20536, '52600', 'Haute Amance', '52', 'FR'),
(20537, '52150', 'Huilli�court', '52', 'FR'),
(20538, '52290', 'Humb�court', '52', 'FR'),
(20539, '52700', 'Humberville', '52', 'FR'),
(20540, '52200', 'Humes Jorquenay', '52', 'FR'),
(20541, '52150', 'Illoud', '52', 'FR'),
(20542, '52140', 'Is en Bassigny', '52', 'FR'),
(20543, '52190', 'Is�mes', '52', 'FR'),
(20544, '52300', 'Joinville', '52', 'FR'),
(20545, '52000', 'Jonchery', '52', 'FR'),
(20546, '52200', 'Jorquenay', '52', 'FR'),
(20547, '52330', 'Juzennecourt', '52', 'FR'),
(20548, '52330', 'Lachapelle en Blaisy', '52', 'FR'),
(20549, '52700', 'Lafauche', '52', 'FR'),
(20550, '52500', 'Lafert� sur Amance', '52', 'FR'),
(20551, '52120', 'Lafert� sur Aube', '52', 'FR'),
(20552, '52000', 'Laharmand', '52', 'FR'),
(20553, '52310', 'Lamancine', '52', 'FR'),
(20554, '52160', 'Lamargelle aux Bois', '52', 'FR'),
(20555, '52330', 'Lamothe en Blaisy', '52', 'FR'),
(20556, '52270', 'Land�ville', '52', 'FR'),
(20557, '52400', 'Laneuvelle', '52', 'FR'),
(20558, '52170', 'Bayard sur Marne', '52', 'FR'),
(20559, '52220', 'Laneuville �  R�my', '52', 'FR'),
(20560, '52100', 'Laneuville au Pont', '52', 'FR'),
(20561, '52200', 'Langres', '52', 'FR'),
(20562, '52260', 'Lannes', '52', 'FR'),
(20563, '52800', 'Lanques sur Rognon', '52', 'FR'),
(20564, '52120', 'Lanty sur Aube', '52', 'FR'),
(20565, '52400', 'Larivi�re Arnoncourt', '52', 'FR'),
(20566, '52120', 'Latrecey Ormoy sur Aube', '52', 'FR'),
(20567, '52140', 'Lavernoy', '52', 'FR'),
(20568, '52000', 'Laville aux Bois', '52', 'FR'),
(20569, '52140', 'Lavilleneuve', '52', 'FR'),
(20570, '52330', 'Lavilleneuve au Roi', '52', 'FR'),
(20571, '52330', 'Lavilleneuve aux Fresnes', '52', 'FR'),
(20572, '52360', 'Lecey', '52', 'FR'),
(20573, '52140', 'L�court', '52', 'FR'),
(20574, '52210', 'Leffonds', '52', 'FR'),
(20575, '52240', 'L�nizeul', '52', 'FR'),
(20576, '52110', 'Lesch�res sur le Blaiseron', '52', 'FR'),
(20577, '52190', 'Leuchey', '52', 'FR'),
(20578, '52700', 'Leurville', '52', 'FR'),
(20579, '52150', 'Lev�court', '52', 'FR'),
(20580, '52230', 'Lez�ville', '52', 'FR'),
(20581, '52700', 'Liffol le Petit', '52', 'FR'),
(20582, '52500', 'Les Loges', '52', 'FR'),
(20583, '52240', 'Longchamp', '52', 'FR'),
(20584, '52250', 'Longeau Percey', '52', 'FR'),
(20585, '52220', 'Longeville sur la Laines', '52', 'FR'),
(20586, '52130', 'Louvemont', '52', 'FR'),
(20587, '52800', 'Louvi�res', '52', 'FR'),
(20588, '52220', 'Louze', '52', 'FR'),
(20589, '52000', 'Luzy sur Marne', '52', 'FR'),
(20590, '52500', 'Ma�tz', '52', 'FR'),
(20591, '52300', 'Maconcourt', '52', 'FR'),
(20592, '52130', 'Magneux', '52', 'FR'),
(20593, '52240', 'Maisoncelles', '52', 'FR'),
(20594, '52300', 'Maizi�res', '52', 'FR'),
(20595, '52500', 'Maizi�res sur Amance', '52', 'FR'),
(20596, '52150', 'Malaincourt sur Meuse', '52', 'FR'),
(20597, '52800', 'Mandres la C�te', '52', 'FR'),
(20598, '52700', 'Manois', '52', 'FR'),
(20599, '52260', 'Marac', '52', 'FR'),
(20600, '52370', 'Maranville', '52', 'FR'),
(20601, '52310', 'Marault', '52', 'FR'),
(20602, '52320', 'Marb�ville', '52', 'FR'),
(20603, '52360', 'Marcilly en Bassigny', '52', 'FR'),
(20604, '52200', 'Mardor', '52', 'FR'),
(20605, '52700', 'Mareilles', '52', 'FR'),
(20606, '52120', 'Marmesse', '52', 'FR'),
(20607, '52800', 'Marnay sur Marne', '52', 'FR'),
(20608, '52300', 'Mathons', '52', 'FR'),
(20609, '52140', 'Maulain', '52', 'FR'),
(20610, '52400', 'Melay', '52', 'FR'),
(20611, '52240', 'Mennouveaux', '52', 'FR'),
(20612, '52240', 'Merrey', '52', 'FR'),
(20613, '52110', 'Mertrud', '52', 'FR'),
(20614, '52310', 'Meures', '52', 'FR'),
(20615, '52240', 'Meuvy', '52', 'FR'),
(20616, '52240', 'Milli�res', '52', 'FR'),
(20617, '52320', 'Mirbel', '52', 'FR'),
(20618, '52100', 'Mo�slains', '52', 'FR'),
(20619, '52400', 'Montcharvot', '52', 'FR'),
(20620, '52500', 'Montesson', '52', 'FR'),
(20621, '52330', 'Montheries', '52', 'FR'),
(20622, '52220', 'Montier en Der', '52', 'FR'),
(20623, '52140', 'Val de Meuse', '52', 'FR'),
(20624, '52600', 'Montlandon', '52', 'FR'),
(20625, '52700', 'Montot sur Rognon', '52', 'FR'),
(20626, '52130', 'Montreuil sur Blaise', '52', 'FR'),
(20627, '52230', 'Montreuil sur Thonnance', '52', 'FR'),
(20628, '52000', 'Montsaon', '52', 'FR'),
(20629, '52190', 'Montsaugeon', '52', 'FR'),
(20630, '52110', 'Morancourt', '52', 'FR'),
(20631, '52700', 'Morionvilliers', '52', 'FR'),
(20632, '52160', 'Mouilleron', '52', 'FR'),
(20633, '52160', 'Musseau', '52', 'FR'),
(20634, '52300', 'Mussey sur Marne', '52', 'FR'),
(20635, '52170', 'Narcy', '52', 'FR'),
(20636, '52360', 'Neuilly l''�v�que', '52', 'FR'),
(20637, '52000', 'Neuilly sur Suize', '52', 'FR'),
(20638, '52400', 'Neuvelle l�s Voisey', '52', 'FR'),
(20639, '52150', 'Nijon', '52', 'FR'),
(20640, '52800', 'Ninville', '52', 'FR'),
(20641, '52800', 'Nogent', '52', 'FR'),
(20642, '52600', 'Noidant Chatenoy', '52', 'FR'),
(20643, '52200', 'Noidant le Rocheux', '52', 'FR'),
(20644, '52300', 'Nom�court', '52', 'FR'),
(20645, '52230', 'Noncourt sur le Rongeant', '52', 'FR'),
(20646, '52240', 'Noyers', '52', 'FR'),
(20647, '52110', 'Nully Tr�milly', '52', 'FR'),
(20648, '52190', 'Occey', '52', 'FR'),
(20649, '52800', 'Odival', '52', 'FR'),
(20650, '52360', 'Orbigny au Mont', '52', 'FR'),
(20651, '52360', 'Orbigny au Val', '52', 'FR'),
(20652, '52250', 'Orcevaux', '52', 'FR'),
(20653, '52120', 'Orges', '52', 'FR'),
(20654, '52200', 'Ormancey', '52', 'FR'),
(20655, '52310', 'Ormoy l�s Sexfontaines', '52', 'FR'),
(20656, '52120', 'Ormoy sur Aube', '52', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(20657, '52700', 'Orquevaux', '52', 'FR'),
(20658, '52300', 'Osne le Val', '52', 'FR'),
(20659, '52310', 'Oudincourt', '52', 'FR'),
(20660, '52150', 'Outrem�court', '52', 'FR'),
(20661, '52700', 'Ozi�res', '52', 'FR'),
(20662, '52600', 'Le Pailly', '52', 'FR'),
(20663, '52600', 'Palaiseul', '52', 'FR'),
(20664, '52230', 'Pancey', '52', 'FR'),
(20665, '52400', 'Parnoy en Bassigny', '52', 'FR'),
(20666, '52300', 'Paroy sur Saulx', '52', 'FR'),
(20667, '52270', 'Pautaines Augeville', '52', 'FR'),
(20668, '52200', 'Peigney', '52', 'FR'),
(20669, '52250', 'Percey le Pautel', '52', 'FR'),
(20670, '52200', 'Perrancey les Vieux Moulins', '52', 'FR'),
(20671, '52160', 'Perrogney les Fontaines', '52', 'FR'),
(20672, '52240', 'Perrusse', '52', 'FR'),
(20673, '52100', 'Perthes', '52', 'FR'),
(20674, '52190', 'Pi�pape', '52', 'FR'),
(20675, '52500', 'Pierremont sur Amance', '52', 'FR'),
(20676, '52160', 'Pierrefontaines', '52', 'FR'),
(20677, '52500', 'Pisseloup', '52', 'FR'),
(20678, '52220', 'Planrupt', '52', 'FR'),
(20679, '52360', 'Plesnoy', '52', 'FR'),
(20680, '52160', 'Poinsenot', '52', 'FR'),
(20681, '52500', 'Poinson l�s Fayl', '52', 'FR'),
(20682, '52160', 'Poinson l�s Grancey', '52', 'FR'),
(20683, '52800', 'Poinson l�s Nogent', '52', 'FR'),
(20684, '52360', 'Poiseul', '52', 'FR'),
(20685, '52230', 'Poissons', '52', 'FR'),
(20686, '52120', 'Pont la Ville', '52', 'FR'),
(20687, '52400', 'Ch�telet sur Meuse', '52', 'FR'),
(20688, '52800', 'Poulangy', '52', 'FR'),
(20689, '52190', 'Prangey', '52', 'FR'),
(20690, '52160', 'Praslay', '52', 'FR'),
(20691, '52330', 'Pratz', '52', 'FR'),
(20692, '52190', 'Prauthoy', '52', 'FR'),
(20693, '52500', 'Pressigny', '52', 'FR'),
(20694, '52700', 'Prez sous Lafauche', '52', 'FR'),
(20695, '52170', 'Prez sur Marne', '52', 'FR'),
(20696, '52320', 'Provench�res sur Marne', '52', 'FR'),
(20697, '52140', 'Provench�res sur Meuse', '52', 'FR'),
(20698, '52220', 'Puellemontier', '52', 'FR'),
(20699, '52340', 'Le Puits des M�zes', '52', 'FR'),
(20700, '52130', 'Rachecourt Suz�mont', '52', 'FR'),
(20701, '52170', 'Rachecourt sur Marne', '52', 'FR'),
(20702, '52140', 'Ran�onni�res', '52', 'FR'),
(20703, '52140', 'Rangecourt', '52', 'FR'),
(20704, '52140', 'Ravennefontaines', '52', 'FR'),
(20705, '52140', 'R�court', '52', 'FR'),
(20706, '52370', 'Rennepont', '52', 'FR'),
(20707, '52700', 'Reynel', '52', 'FR'),
(20708, '52000', 'Riaucourt', '52', 'FR'),
(20709, '52120', 'Richebourg', '52', 'FR'),
(20710, '52700', 'Rimaucourt', '52', 'FR'),
(20711, '52600', 'Rivi�res le Bois', '52', 'FR'),
(20712, '52190', 'Rivi�res les Fosses', '52', 'FR'),
(20713, '52330', 'Rizaucourt Buchey', '52', 'FR'),
(20714, '52220', 'Robert Magny Laneuville �  R�my', '52', 'FR'),
(20715, '52700', 'Rochefort sur la C�te', '52', 'FR'),
(20716, '52410', 'Roches sur Marne', '52', 'FR'),
(20717, '52270', 'Roches sur Rognon', '52', 'FR'),
(20718, '52210', 'Rochetaill�e', '52', 'FR'),
(20719, '52260', 'Rolampont', '52', 'FR'),
(20720, '52150', 'Romain sur Meuse', '52', 'FR'),
(20721, '52310', 'Ro�court la C�te', '52', 'FR'),
(20722, '52600', 'Rosoy sur Amance', '52', 'FR'),
(20723, '52320', 'Rou�court', '52', 'FR'),
(20724, '52160', 'Rouelles', '52', 'FR'),
(20725, '52500', 'Rougeux', '52', 'FR'),
(20726, '52160', 'Rouvres sur Aube', '52', 'FR'),
(20727, '52300', 'Rouvroy sur Marne', '52', 'FR'),
(20728, '52220', 'Rozi�res', '52', 'FR'),
(20729, '52300', 'Rupt', '52', 'FR'),
(20730, '52230', 'Sailly', '52', 'FR'),
(20731, '52700', 'St Blin Semilly', '52', 'FR'),
(20732, '52190', 'Saint Broingt le Bois', '52', 'FR'),
(20733, '52190', 'Saint Broingt les Fosses', '52', 'FR'),
(20734, '52200', 'Saint Ciergues', '52', 'FR'),
(20735, '52100', 'Saint Dizier', '52', 'FR'),
(20736, '52200', 'Saint G�osmes', '52', 'FR'),
(20737, '52210', 'Saint Loup sur Aujon', '52', 'FR'),
(20738, '52330', 'Saint Martin sur la Renne', '52', 'FR'),
(20739, '52200', 'Saint Martin l�s Langres', '52', 'FR'),
(20740, '52200', 'Saint Maurice', '52', 'FR'),
(20741, '52190', 'Saint Michel', '52', 'FR'),
(20742, '52150', 'Saint Thi�bault', '52', 'FR'),
(20743, '52300', 'St Urbain Maconcourt', '52', 'FR'),
(20744, '52200', 'Saint Vallier sur Marne', '52', 'FR'),
(20745, '52160', 'Santenoge', '52', 'FR'),
(20746, '52800', 'Sarcey', '52', 'FR'),
(20747, '52000', 'Sarcicourt', '52', 'FR'),
(20748, '52140', 'Sarrey', '52', 'FR'),
(20749, '52270', 'Saucourt sur Rognon', '52', 'FR'),
(20750, '52230', 'Saudron', '52', 'FR'),
(20751, '52500', 'Saulles', '52', 'FR'),
(20752, '52140', 'Saulxures', '52', 'FR'),
(20753, '52220', 'Sauvage Magny', '52', 'FR'),
(20754, '52500', 'Savigny', '52', 'FR'),
(20755, '52700', 'Semilly', '52', 'FR'),
(20756, '52000', 'Semoutiers Montsaon', '52', 'FR'),
(20757, '52400', 'Serqueux', '52', 'FR'),
(20758, '52330', 'Sexfontaines', '52', 'FR'),
(20759, '52700', 'Sign�ville', '52', 'FR'),
(20760, '52120', 'Silvarouvres', '52', 'FR'),
(20761, '52130', 'Sommancourt', '52', 'FR'),
(20762, '52150', 'Sommer�court', '52', 'FR'),
(20763, '52300', 'Sommermont', '52', 'FR'),
(20764, '52170', 'Sommeville', '52', 'FR'),
(20765, '52220', 'Sommevoire', '52', 'FR'),
(20766, '52320', 'Soncourt sur Marne', '52', 'FR'),
(20767, '52230', 'Soulaincourt', '52', 'FR'),
(20768, '52150', 'Soulaucourt sur Mouzon', '52', 'FR'),
(20769, '52400', 'Soyers', '52', 'FR'),
(20770, '52300', 'Suzannecourt', '52', 'FR'),
(20771, '52210', 'Ternat', '52', 'FR'),
(20772, '52220', 'Thilleux', '52', 'FR'),
(20773, '52800', 'Thivet', '52', 'FR'),
(20774, '52240', 'Thol l�s Milli�res', '52', 'FR'),
(20775, '52300', 'Thonnance l�s Joinville', '52', 'FR'),
(20776, '52230', 'Thonnance les Moulins', '52', 'FR'),
(20777, '52600', 'Torcenay', '52', 'FR'),
(20778, '52500', 'Tornay', '52', 'FR'),
(20779, '52000', 'Treix', '52', 'FR'),
(20780, '52110', 'Tr�milly', '52', 'FR'),
(20781, '52600', 'Troischamps', '52', 'FR'),
(20782, '52130', 'Troisfontaines la Ville', '52', 'FR'),
(20783, '52260', 'Tronchoy', '52', 'FR'),
(20784, '52160', 'Vaillant', '52', 'FR'),
(20785, '52100', 'Valcourt', '52', 'FR'),
(20786, '52120', 'Valdelancourt', '52', 'FR'),
(20787, '52130', 'Valleret', '52', 'FR'),
(20788, '52500', 'Valleroy', '52', 'FR'),
(20789, '52400', 'Terre Natale', '52', 'FR'),
(20790, '52150', 'Vaudrecourt', '52', 'FR'),
(20791, '52330', 'Vaudr�mont', '52', 'FR'),
(20792, '52200', 'Vauxbons', '52', 'FR'),
(20793, '52400', 'Vaux la Douce', '52', 'FR'),
(20794, '52190', 'Vaux sous Aubigny', '52', 'FR'),
(20795, '52130', 'Vaux sur Blaise', '52', 'FR'),
(20796, '52300', 'Vaux sur Saint Urbain', '52', 'FR'),
(20797, '52300', 'Vecqueville', '52', 'FR'),
(20798, '52500', 'Velles', '52', 'FR'),
(20799, '52000', 'Verbiesles', '52', 'FR'),
(20800, '52250', 'Verseilles le Bas', '52', 'FR'),
(20801, '52250', 'Verseilles le Haut', '52', 'FR'),
(20802, '52700', 'Vesaignes sous Lafauche', '52', 'FR'),
(20803, '52800', 'Vesaignes sur Marne', '52', 'FR'),
(20804, '52190', 'Vesvres sous Chalancey', '52', 'FR'),
(20805, '52400', 'Vicq', '52', 'FR'),
(20806, '52200', 'Vieux Moulins', '52', 'FR'),
(20807, '52310', 'Vi�ville', '52', 'FR'),
(20808, '52700', 'Vignes la C�te', '52', 'FR'),
(20809, '52320', 'Vignory', '52', 'FR'),
(20810, '52120', 'Villars en Azois', '52', 'FR'),
(20811, '52160', 'Villars Santenoge', '52', 'FR'),
(20812, '52400', 'Villars Saint Marcellin', '52', 'FR'),
(20813, '52130', 'Ville en Blaisois', '52', 'FR'),
(20814, '52190', 'Villegusien le Lac', '52', 'FR'),
(20815, '52160', 'Villemervry', '52', 'FR'),
(20816, '52160', 'Villemoron', '52', 'FR'),
(20817, '52130', 'Villiers aux Bois', '52', 'FR'),
(20818, '52110', 'Villiers aux Ch�nes', '52', 'FR'),
(20819, '52100', 'Villiers en Lieu', '52', 'FR'),
(20820, '52000', 'Villiers le Sec', '52', 'FR'),
(20821, '52190', 'Villiers l�s Aprey', '52', 'FR'),
(20822, '52320', 'Villiers sur Marne', '52', 'FR'),
(20823, '52210', 'Villiers sur Suize', '52', 'FR'),
(20824, '52600', 'Violot', '52', 'FR'),
(20825, '52160', 'Vitry en Montagne', '52', 'FR'),
(20826, '52800', 'Vitry l�s Nogent', '52', 'FR'),
(20827, '52160', 'Vivey', '52', 'FR'),
(20828, '52130', 'Voillecomte', '52', 'FR'),
(20829, '52400', 'Voisey', '52', 'FR'),
(20830, '52200', 'Voisines', '52', 'FR'),
(20831, '52500', 'Voncourt', '52', 'FR'),
(20832, '52320', 'Vou�court', '52', 'FR'),
(20833, '52310', 'Vraincourt', '52', 'FR'),
(20834, '52240', 'Vroncourt la C�te', '52', 'FR'),
(20835, '52130', 'Wassy', '52', 'FR'),
(20836, '52290', 'Sainte Livi�re', '52', 'FR'),
(20837, '52270', 'Bettaincourt sur Rognon', '52', 'FR'),
(20838, '52500', 'Bussi�res l�s Belmont', '52', 'FR'),
(20839, '52160', 'Chalmessin', '52', 'FR'),
(20840, '52000', 'Choignes', '52', 'FR'),
(20841, '52190', 'Esnoms au Val', '52', 'FR'),
(20842, '52500', 'Fayl Billot', '52', 'FR'),
(20843, '52600', 'Hortes', '52', 'FR'),
(20844, '52170', 'Laneuville �  Bayard', '52', 'FR'),
(20845, '52250', 'Longeau', '52', 'FR'),
(20846, '52140', 'Montigny le Roi', '52', 'FR'),
(20847, '52400', 'Parnot', '52', 'FR'),
(20848, '52500', 'Pierrefaites', '52', 'FR'),
(20849, '52400', 'Pouilly en Bassigny', '52', 'FR'),
(20850, '52400', 'Varennes sur Amance', '52', 'FR'),
(20851, '52160', 'Villars Montroyer', '52', 'FR'),
(20852, '53940', 'Ahuill�', '53', 'FR'),
(20853, '53240', 'Alexain', '53', 'FR'),
(20854, '53300', 'Ambri�res les Vall�es', '53', 'FR'),
(20855, '53200', 'Ampoign�', '53', 'FR'),
(20856, '53240', 'Andouill�', '53', 'FR'),
(20857, '53290', 'Argenton Notre Dame', '53', 'FR'),
(20858, '53210', 'Argentr�', '53', 'FR'),
(20859, '53440', 'Aron', '53', 'FR'),
(20860, '53170', 'Arquenay', '53', 'FR'),
(20861, '53600', 'Ass� le B�renger', '53', 'FR'),
(20862, '53230', 'Astill�', '53', 'FR'),
(20863, '53400', 'Ath�e', '53', 'FR'),
(20864, '53700', 'Averton', '53', 'FR'),
(20865, '53200', 'Az�', '53', 'FR'),
(20866, '53240', 'La Baconni�re', '53', 'FR'),
(20867, '53160', 'Bais', '53', 'FR'),
(20868, '53340', 'Ball�e', '53', 'FR'),
(20869, '53350', 'Ballots', '53', 'FR'),
(20870, '53340', 'Bannes', '53', 'FR'),
(20871, '53110', 'La Baroche Gondouin', '53', 'FR'),
(20872, '53440', 'La Bazoge Montpin�on', '53', 'FR'),
(20873, '53170', 'La Bazouge de Chemer�', '53', 'FR'),
(20874, '53470', 'La Bazouge des Alleux', '53', 'FR'),
(20875, '53200', 'Bazouges', '53', 'FR'),
(20876, '53170', 'Bazougers', '53', 'FR'),
(20877, '53320', 'Beaulieu sur Oudon', '53', 'FR'),
(20878, '53290', 'Beaumont Pied de Boeuf', '53', 'FR'),
(20879, '53440', 'Belgeard', '53', 'FR'),
(20880, '53290', 'Biern�', '53', 'FR'),
(20881, '53170', 'Le Bignon du Maine', '53', 'FR'),
(20882, '53240', 'La Bigotti�re', '53', 'FR'),
(20883, '53270', 'Blandouet', '53', 'FR'),
(20884, '53800', 'Boissi�re', '53', 'FR'),
(20885, '53960', 'Bonchamp l�s Laval', '53', 'FR'),
(20886, '53800', 'Bouchamps l�s Craon', '53', 'FR'),
(20887, '53290', 'Bou�re', '53', 'FR'),
(20888, '53290', 'Bouessay', '53', 'FR'),
(20889, '53370', 'Boulay les Ifs', '53', 'FR'),
(20890, '53410', 'Le Bourgneuf la For�t', '53', 'FR'),
(20891, '53410', 'Bourgon', '53', 'FR'),
(20892, '53350', 'Brains sur les Marches', '53', 'FR'),
(20893, '53120', 'Br�c�', '53', 'FR'),
(20894, '53150', 'Br�e', '53', 'FR'),
(20895, '53110', 'Br�tignolles le Moulin', '53', 'FR'),
(20896, '53410', 'La Br�latte', '53', 'FR'),
(20897, '53170', 'Le Buret', '53', 'FR'),
(20898, '53120', 'Carelles', '53', 'FR'),
(20899, '53420', 'Chailland', '53', 'FR'),
(20900, '53470', 'Ch�lons du Maine', '53', 'FR'),
(20901, '53270', 'Chammes', '53', 'FR'),
(20902, '53640', 'Champ�on', '53', 'FR'),
(20903, '53370', 'Champfr�mont', '53', 'FR'),
(20904, '53160', 'Champgen�teux', '53', 'FR'),
(20905, '53810', 'Chang�', '53', 'FR'),
(20906, '53300', 'Chantrign�', '53', 'FR'),
(20907, '53950', 'La Chapelle Anthenaise', '53', 'FR'),
(20908, '53440', 'La Chapelle au Riboul', '53', 'FR'),
(20909, '53230', 'La Chapelle Craonnaise', '53', 'FR'),
(20910, '53150', 'La Chapelle Rainsouin', '53', 'FR'),
(20911, '53250', 'Les Chapelles', '53', 'FR'),
(20912, '53250', 'Charchign�', '53', 'FR'),
(20913, '53200', 'Ch�teau Gontier', '53', 'FR'),
(20914, '53200', 'Ch�telain', '53', 'FR'),
(20915, '53100', 'Ch�tillon sur Colmont', '53', 'FR'),
(20916, '53600', 'Ch�tres la For�t', '53', 'FR'),
(20917, '53200', 'Chemaz�', '53', 'FR'),
(20918, '53340', 'Ch�m�r� le Roi', '53', 'FR'),
(20919, '53400', 'Ch�ranc�', '53', 'FR'),
(20920, '53250', 'Chevaign� du Maine', '53', 'FR'),
(20921, '53300', 'Cign�', '53', 'FR'),
(20922, '53120', 'Colombiers du Plessis', '53', 'FR'),
(20923, '53470', 'Commer', '53', 'FR'),
(20924, '53800', 'Congrier', '53', 'FR'),
(20925, '53100', 'Contest', '53', 'FR'),
(20926, '53230', 'Cosmes', '53', 'FR'),
(20927, '53340', 'Coss� en Champagne', '53', 'FR'),
(20928, '53230', 'Coss� le Vivien', '53', 'FR'),
(20929, '53200', 'Coudray', '53', 'FR'),
(20930, '53300', 'Couesmes Vauc�', '53', 'FR'),
(20931, '53250', 'Couptrain', '53', 'FR'),
(20932, '53230', 'Courbeveille', '53', 'FR'),
(20933, '53700', 'Courcit�', '53', 'FR'),
(20934, '53400', 'Craon', '53', 'FR'),
(20935, '53700', 'Crennes sur Fraub�e', '53', 'FR'),
(20936, '53380', 'La Croixille', '53', 'FR'),
(20937, '53170', 'La Cropte', '53', 'FR'),
(20938, '53540', 'Cuill�', '53', 'FR'),
(20939, '53200', 'Daon', '53', 'FR'),
(20940, '53400', 'Denaz�', '53', 'FR'),
(20941, '53190', 'D�sertines', '53', 'FR'),
(20942, '53150', 'Deux �vailles', '53', 'FR'),
(20943, '53190', 'La Dor�e', '53', 'FR'),
(20944, '53260', 'Entrammes', '53', 'FR'),
(20945, '53340', '�pineux le S�guin', '53', 'FR'),
(20946, '53500', 'Ern�e', '53', 'FR'),
(20947, '53600', '�vron', '53', 'FR'),
(20948, '53350', 'Fontaine Couverte', '53', 'FR'),
(20949, '53260', 'Forc�', '53', 'FR'),
(20950, '53190', 'Fougerolles du Plessis', '53', 'FR'),
(20951, '53200', 'Fromenti�res', '53', 'FR'),
(20952, '53540', 'Gastines', '53', 'FR'),
(20953, '53940', 'Genest St Isle', '53', 'FR'),
(20954, '53200', 'Gennes sur Glaize', '53', 'FR'),
(20955, '53150', 'Gesnes', '53', 'FR'),
(20956, '53370', 'Gesvres', '53', 'FR'),
(20957, '53120', 'Gorron', '53', 'FR'),
(20958, '53410', 'La Gravelle', '53', 'FR'),
(20959, '53440', 'Grazay', '53', 'FR'),
(20960, '53290', 'Grez en Bou�re', '53', 'FR'),
(20961, '53300', 'La Haie Traversaine', '53', 'FR'),
(20962, '53250', 'Le Ham', '53', 'FR'),
(20963, '53160', 'Hambers', '53', 'FR'),
(20964, '53640', 'Hardanges', '53', 'FR'),
(20965, '53120', 'Herc�', '53', 'FR'),
(20966, '53640', 'Le Horps', '53', 'FR'),
(20967, '53360', 'Houssay', '53', 'FR'),
(20968, '53110', 'Housseau Br�tignolles', '53', 'FR'),
(20969, '53970', 'L''Huisserie', '53', 'FR'),
(20970, '53160', 'Iz�', '53', 'FR'),
(20971, '53250', 'Javron les Chapelles', '53', 'FR'),
(20972, '53160', 'Jublains', '53', 'FR'),
(20973, '53380', 'Juvign�', '53', 'FR'),
(20974, '53200', 'Laign�', '53', 'FR'),
(20975, '53190', 'Landivy', '53', 'FR'),
(20976, '53220', 'Larchamp', '53', 'FR'),
(20977, '53110', 'Lassay les Ch�teaux', '53', 'FR'),
(20978, '53540', 'Laubri�res', '53', 'FR'),
(20979, '53410', 'Launay Villiers', '53', 'FR'),
(20980, '53000', 'Laval', '53', 'FR'),
(20981, '53120', 'Lesbois', '53', 'FR'),
(20982, '53120', 'Levar�', '53', 'FR'),
(20983, '53140', 'Ligni�res Org�res', '53', 'FR'),
(20984, '53150', 'Livet', '53', 'FR'),
(20985, '53400', 'Livr�', '53', 'FR'),
(20986, '53200', 'Loign� sur Mayenne', '53', 'FR'),
(20987, '53320', 'Loiron', '53', 'FR'),
(20988, '53200', 'Longuefuye', '53', 'FR'),
(20989, '53700', 'Loupfoug�res', '53', 'FR'),
(20990, '53950', 'Louvern�', '53', 'FR'),
(20991, '53210', 'Louvign�', '53', 'FR'),
(20992, '53250', 'Madr�', '53', 'FR'),
(20993, '53170', 'Maisoncelles du Maine', '53', 'FR'),
(20994, '53440', 'Marcill� la Ville', '53', 'FR'),
(20995, '53200', 'Marign� Peuton', '53', 'FR'),
(20996, '53470', 'Martign� sur Mayenne', '53', 'FR'),
(20997, '53100', 'Mayenne', '53', 'FR'),
(20998, '53400', 'M�e', '53', 'FR'),
(20999, '53110', 'Melleray la Vall�e', '53', 'FR'),
(21000, '53200', 'M�nil', '53', 'FR'),
(21001, '53230', 'M�ral', '53', 'FR'),
(21002, '53170', 'Meslay du Maine', '53', 'FR'),
(21003, '53600', 'M�zangers', '53', 'FR'),
(21004, '53220', 'Montaudin', '53', 'FR'),
(21005, '53500', 'Montenay', '53', 'FR'),
(21006, '53240', 'Montflours', '53', 'FR'),
(21007, '53970', 'Montign� le Brillant', '53', 'FR'),
(21008, '53320', 'Montjean', '53', 'FR'),
(21009, '53150', 'Montourtier', '53', 'FR'),
(21010, '53640', 'Montreuil Poulay', '53', 'FR'),
(21011, '53150', 'Monts�rs', '53', 'FR'),
(21012, '53100', 'Moulay', '53', 'FR'),
(21013, '53150', 'Neau', '53', 'FR'),
(21014, '53250', 'Neuilly le Vendin', '53', 'FR'),
(21015, '53400', 'Niafles', '53', 'FR'),
(21016, '53110', 'Niort la Fontaine', '53', 'FR'),
(21017, '53210', 'Nuill� sur Ouette', '53', 'FR'),
(21018, '53970', 'Nuill� sur Vicoin', '53', 'FR'),
(21019, '53410', 'Olivet', '53', 'FR'),
(21020, '53300', 'Oisseau', '53', 'FR'),
(21021, '53140', 'Org�res la Roche', '53', 'FR'),
(21022, '53360', 'Orign�', '53', 'FR'),
(21023, '53140', 'La Pallu', '53', 'FR'),
(21024, '53100', 'Parign� sur Braye', '53', 'FR'),
(21025, '53260', 'Parn� sur Roc', '53', 'FR'),
(21026, '53300', 'Le Pas', '53', 'FR'),
(21027, '53220', 'Pellerine', '53', 'FR'),
(21028, '53360', 'Peuton', '53', 'FR'),
(21029, '53240', 'Plac�', '53', 'FR'),
(21030, '53400', 'Pommerieux', '53', 'FR'),
(21031, '53220', 'Pontmain', '53', 'FR'),
(21032, '53410', 'Port Brillet', '53', 'FR'),
(21033, '53640', 'Poulay', '53', 'FR'),
(21034, '53340', 'Pr�aux', '53', 'FR'),
(21035, '53140', 'Pr� en Pail', '53', 'FR'),
(21036, '53360', 'Quelaines St Gault', '53', 'FR'),
(21037, '61420', 'Ravigny', '61', 'FR'),
(21038, '53800', 'Renaz�', '53', 'FR'),
(21039, '53110', 'Rennes en Grenouilles', '53', 'FR'),
(21040, '53640', 'Le Ribay', '53', 'FR'),
(21041, '53350', 'La Ro�', '53', 'FR'),
(21042, '53390', 'La Rouaudi�re', '53', 'FR'),
(21043, '53170', 'Ruill� Froid Fonds', '53', 'FR'),
(21044, '53320', 'Ruill� le Gravelais', '53', 'FR'),
(21045, '53470', 'Sac�', '53', 'FR'),
(21046, '53250', 'Saint Aignan de Couptrain', '53', 'FR'),
(21047, '53390', 'Saint Aignan sur Ro�', '53', 'FR'),
(21048, '53700', 'Saint Aubin du D�sert', '53', 'FR'),
(21049, '53120', 'Saint Aubin Fosse Louvain', '53', 'FR'),
(21050, '53100', 'Saint Baudelle', '53', 'FR'),
(21051, '53940', 'St Berthevin', '53', 'FR'),
(21052, '53220', 'Saint Berthevin la Tanni�re', '53', 'FR'),
(21053, '53290', 'Saint Brice', '53', 'FR'),
(21054, '53140', 'Saint Calais du D�sert', '53', 'FR'),
(21055, '53150', 'Saint C�ner�', '53', 'FR'),
(21056, '53170', 'Saint Charles la For�t', '53', 'FR'),
(21057, '53150', 'Saint Christophe du Luat', '53', 'FR'),
(21058, '53140', 'Saint Cyr en Pail', '53', 'FR'),
(21059, '53320', 'Saint Cyr le Gravelais', '53', 'FR'),
(21060, '53290', 'Saint Denis d''Anjou', '53', 'FR'),
(21061, '53500', 'Saint Denis de Gastines', '53', 'FR'),
(21062, '53170', 'Saint Denis du Maine', '53', 'FR'),
(21063, '53220', 'Saint Ellier du Maine', '53', 'FR'),
(21064, '53390', 'Saint Erblon', '53', 'FR'),
(21065, '53200', 'Saint Fort', '53', 'FR'),
(21066, '53300', 'Saint Fraimbault de Pri�res', '53', 'FR'),
(21067, '53360', 'Saint Gault', '53', 'FR'),
(21068, '53600', 'Sainte Gemmes le Robert', '53', 'FR'),
(21069, '53100', 'Saint Georges Buttavent', '53', 'FR'),
(21070, '53480', 'Saint Georges le Fl�chard', '53', 'FR'),
(21071, '53600', 'Saint Georges sur Erve', '53', 'FR'),
(21072, '53240', 'Saint Germain d''Anxure', '53', 'FR'),
(21073, '53700', 'Saint Germain de Coulamer', '53', 'FR'),
(21074, '53240', 'Saint Germain le Fouilloux', '53', 'FR'),
(21075, '53240', 'Saint Germain le Guillaume', '53', 'FR'),
(21076, '53380', 'Saint Hilaire du Maine', '53', 'FR'),
(21077, '53940', 'Saint Isle', '53', 'FR'),
(21078, '53270', 'Saint Jean sur Erve', '53', 'FR'),
(21079, '53240', 'Saint Jean sur Mayenne', '53', 'FR'),
(21080, '53110', 'Saint Julien du Terroux', '53', 'FR'),
(21081, '53290', 'Saint Laurent des Mortiers', '53', 'FR'),
(21082, '53480', 'St L�ger', '53', 'FR'),
(21083, '53290', 'Saint Loup du Dorat', '53', 'FR'),
(21084, '53300', 'Saint Loup du Gast', '53', 'FR'),
(21085, '53110', 'Sainte Marie du Bois', '53', 'FR'),
(21086, '53700', 'St Mars du D�sert', '53', 'FR'),
(21087, '53300', 'Saint Mars sur Colmont', '53', 'FR'),
(21088, '53220', 'Saint Mars sur la Futaie', '53', 'FR'),
(21089, '53160', 'Saint Martin de Conn�e', '53', 'FR'),
(21090, '53800', 'Saint Martin du Limet', '53', 'FR'),
(21091, '53290', 'Saint Michel de Feins', '53', 'FR'),
(21092, '53350', 'Saint Michel de la Ro�', '53', 'FR'),
(21093, '53410', 'Saint Ouen des Toits', '53', 'FR'),
(21094, '53150', 'Saint Ouen des Vallons', '53', 'FR'),
(21095, '53500', 'Saint Pierre des Landes', '53', 'FR'),
(21096, '53370', 'Saint Pierre des Nids', '53', 'FR'),
(21097, '53410', 'Saint Pierre la Cour', '53', 'FR'),
(21098, '53270', 'Saint Pierre sur Erve', '53', 'FR'),
(21099, '53160', 'Saint Pierre sur Orthe', '53', 'FR'),
(21100, '53540', 'Saint Poix', '53', 'FR'),
(21101, '53400', 'Saint Quentin les Anges', '53', 'FR'),
(21102, '53140', 'Saint Samson', '53', 'FR'),
(21103, '53800', 'Saint Saturnin du Limet', '53', 'FR'),
(21104, '53360', 'Saint Sulpice', '53', 'FR'),
(21105, '53270', 'Sainte Suzanne', '53', 'FR'),
(21106, '53160', 'Saint Thomas de Courceriers', '53', 'FR'),
(21107, '53340', 'Saulges', '53', 'FR'),
(21108, '53800', 'La Selle Craonnaise', '53', 'FR'),
(21109, '53390', 'Senonnes', '53', 'FR'),
(21110, '53360', 'Simpl�', '53', 'FR'),
(21111, '53300', 'Souc�', '53', 'FR'),
(21112, '53210', 'Soulg� sur Ouette', '53', 'FR'),
(21113, '53110', 'Thuboeuf', '53', 'FR'),
(21114, '53270', 'Thorign� en Charnie', '53', 'FR'),
(21115, '53270', 'Torc� Viviers en Charnie', '53', 'FR'),
(21116, '53160', 'Trans', '53', 'FR'),
(21117, '53480', 'Vaiges', '53', 'FR'),
(21118, '53300', 'Vauc�', '53', 'FR'),
(21119, '53500', 'Vautorte', '53', 'FR'),
(21120, '53120', 'Vieuvy', '53', 'FR'),
(21121, '53700', 'Villaines la Juhel', '53', 'FR'),
(21122, '53250', 'Villepail', '53', 'FR'),
(21123, '53170', 'Villiers Charlemagne', '53', 'FR'),
(21124, '53160', 'Vimarc�', '53', 'FR'),
(21125, '53600', 'Voutr�', '53', 'FR'),
(21126, '54610', 'Abaucourt', '54', 'FR'),
(21127, '54800', 'Abb�ville l�s Conflans', '54', 'FR'),
(21128, '54115', 'Aboncourt', '54', 'FR'),
(21129, '54800', 'Affl�ville', '54', 'FR'),
(21130, '54740', 'Affracourt', '54', 'FR'),
(21131, '54770', 'Agincourt', '54', 'FR'),
(21132, '54460', 'Aingeray', '54', 'FR'),
(21133, '54170', 'Allain', '54', 'FR'),
(21134, '54800', 'Allamont', '54', 'FR'),
(21135, '54112', 'Allamps', '54', 'FR'),
(21136, '54260', 'Allondrelle la Malmaison', '54', 'FR'),
(21137, '54770', 'Amance', '54', 'FR'),
(21138, '54450', 'Amenoncourt', '54', 'FR'),
(21139, '54450', 'Ancerviller', '54', 'FR'),
(21140, '54560', 'Anderny', '54', 'FR'),
(21141, '54200', 'Andilly', '54', 'FR'),
(21142, '54540', 'Angomont', '54', 'FR'),
(21143, '54150', 'Anoux', '54', 'FR'),
(21144, '54470', 'Ansauville', '54', 'FR'),
(21145, '54110', 'Anthelupt', '54', 'FR'),
(21146, '54760', 'Armaucourt', '54', 'FR'),
(21147, '54530', 'Arnaville', '54', 'FR'),
(21148, '54370', 'Arracourt', '54', 'FR'),
(21149, '54760', 'Arraye et Han', '54', 'FR'),
(21150, '54510', 'Art sur Meurthe', '54', 'FR'),
(21151, '54370', 'Athienville', '54', 'FR'),
(21152, '54700', 'Atton', '54', 'FR'),
(21153, '54580', 'Aubou�', '54', 'FR'),
(21154, '54560', 'Audun le Roman', '54', 'FR'),
(21155, '54450', 'Autrepierre', '54', 'FR'),
(21156, '54380', 'Autreville sur Moselle', '54', 'FR'),
(21157, '54160', 'Autrey', '54', 'FR'),
(21158, '54490', 'Avillers', '54', 'FR'),
(21159, '54385', 'Avrainville', '54', 'FR'),
(21160, '54450', 'Avricourt', '54', 'FR'),
(21161, '54150', 'Avril', '54', 'FR'),
(21162, '54210', 'Azelot', '54', 'FR'),
(21163, '54122', 'Azerailles', '54', 'FR'),
(21164, '54120', 'Baccarat', '54', 'FR'),
(21165, '54540', 'Badonviller', '54', 'FR'),
(21166, '54170', 'Bagneux', '54', 'FR'),
(21167, '54290', 'Bainville aux Miroirs', '54', 'FR'),
(21168, '54550', 'Bainville sur Madon', '54', 'FR'),
(21169, '54450', 'Barbas', '54', 'FR'),
(21170, '54360', 'Barbonville', '54', 'FR'),
(21171, '54170', 'Barisey au Plain', '54', 'FR'),
(21172, '54170', 'Barisey la C�te', '54', 'FR'),
(21173, '54150', 'Les Baroches', '54', 'FR'),
(21174, '54620', 'Baslieux', '54', 'FR'),
(21175, '54370', 'Bathel�mont l�s Bauzemont', '54', 'FR'),
(21176, '54980', 'Batilly', '54', 'FR'),
(21177, '54115', 'Battigny', '54', 'FR'),
(21178, '54370', 'Bauzemont', '54', 'FR'),
(21179, '54290', 'Bayon', '54', 'FR'),
(21180, '54890', 'Bayonville sur Mad', '54', 'FR'),
(21181, '54620', 'Bazailles', '54', 'FR'),
(21182, '54470', 'Beaumont', '54', 'FR'),
(21183, '54800', 'B�champs', '54', 'FR'),
(21184, '54610', 'Belleau', '54', 'FR'),
(21185, '54940', 'Belleville', '54', 'FR'),
(21186, '54450', 'B�nam�nil', '54', 'FR'),
(21187, '54740', 'Benney', '54', 'FR'),
(21188, '54470', 'Bern�court', '54', 'FR'),
(21189, '54480', 'Bertrambois', '54', 'FR'),
(21190, '54120', 'Bertrichamps', '54', 'FR'),
(21191, '54640', 'Bettainvillers', '54', 'FR'),
(21192, '54620', 'Beuveille', '54', 'FR'),
(21193, '54115', 'Beuvezin', '54', 'FR'),
(21194, '54560', 'Beuvillers', '54', 'FR'),
(21195, '54760', 'Bey sur Seille', '54', 'FR'),
(21196, '54370', 'Bezange la Grande', '54', 'FR'),
(21197, '54380', 'Bezaumont', '54', 'FR'),
(21198, '54200', 'Bicqueley', '54', 'FR'),
(21199, '54300', 'Bienville la Petite', '54', 'FR'),
(21200, '54540', 'Bionville', '54', 'FR'),
(21201, '54360', 'Blainville sur l''Eau', '54', 'FR'),
(21202, '54450', 'Bl�mont', '54', 'FR'),
(21203, '54450', 'Bl�merey', '54', 'FR'),
(21204, '54700', 'Bl�nod l�s Pont �  Mousson', '54', 'FR'),
(21205, '54113', 'Bl�nod l�s Toul', '54', 'FR'),
(21206, '54620', 'Boismont', '54', 'FR'),
(21207, '54800', 'Boncourt', '54', 'FR'),
(21208, '54300', 'Bonviller', '54', 'FR'),
(21209, '54111', 'Mont Bonvillers', '54', 'FR'),
(21210, '54290', 'Borville', '54', 'FR'),
(21211, '54200', 'Boucq', '54', 'FR'),
(21212, '54470', 'Bouillonville', '54', 'FR'),
(21213, '54200', 'Bouvron', '54', 'FR'),
(21214, '54770', 'Bouxi�res aux Ch�nes', '54', 'FR'),
(21215, '54136', 'Bouxi�res aux Dames', '54', 'FR'),
(21216, '54700', 'Bouxi�res sous Froidmont', '54', 'FR'),
(21217, '54930', 'Bouzanville', '54', 'FR'),
(21218, '54800', 'Brainville', '54', 'FR'),
(21219, '54740', 'Bralleville', '54', 'FR'),
(21220, '54610', 'Bratte', '54', 'FR'),
(21221, '54190', 'Br�hain la Ville', '54', 'FR'),
(21222, '54540', 'Br�m�nil', '54', 'FR'),
(21223, '54290', 'Br�moncourt', '54', 'FR'),
(21224, '54150', 'Briey', '54', 'FR'),
(21225, '54280', 'Brin sur Seille', '54', 'FR'),
(21226, '54120', 'Brouville', '54', 'FR'),
(21227, '54200', 'Bruley', '54', 'FR'),
(21228, '54800', 'Bruville', '54', 'FR'),
(21229, '54110', 'Buissoncourt', '54', 'FR'),
(21230, '54113', 'Bulligny', '54', 'FR'),
(21231, '54370', 'Bures', '54', 'FR'),
(21232, '54450', 'Buriville', '54', 'FR'),
(21233, '54210', 'Burthecourt aux Ch�nes', '54', 'FR'),
(21234, '54134', 'Ceintrey', '54', 'FR'),
(21235, '54420', 'Cerville', '54', 'FR'),
(21236, '54230', 'Chaligny', '54', 'FR'),
(21237, '54890', 'Chambley Bussi�res', '54', 'FR'),
(21238, '54280', 'Champenoux', '54', 'FR'),
(21239, '54700', 'Champey sur Moselle', '54', 'FR'),
(21240, '54250', 'Champigneulles', '54', 'FR'),
(21241, '54300', 'Chanteheux', '54', 'FR'),
(21242, '54330', 'Chaouilley', '54', 'FR'),
(21243, '54260', 'Charency Vezin', '54', 'FR'),
(21244, '54470', 'Charey', '54', 'FR'),
(21245, '54113', 'Charmes la C�te', '54', 'FR'),
(21246, '54360', 'Charmois', '54', 'FR'),
(21247, '54200', 'Chaudeney sur Moselle', '54', 'FR'),
(21248, '54230', 'Chavigny', '54', 'FR'),
(21249, '54450', 'Chazelles sur Albe', '54', 'FR'),
(21250, '54122', 'Chenevi�res', '54', 'FR'),
(21251, '54610', 'Chenicourt', '54', 'FR'),
(21252, '54720', 'Ch�ni�res', '54', 'FR'),
(21253, '54200', 'Choloy M�nillot', '54', 'FR'),
(21254, '54480', 'Cirey sur Vezouze', '54', 'FR'),
(21255, '54290', 'Clayeures', '54', 'FR'),
(21256, '54610', 'Cl�mery', '54', 'FR'),
(21257, '54330', 'Cl�rey sur Br�non', '54', 'FR'),
(21258, '54370', 'Coincourt', '54', 'FR'),
(21259, '54260', 'Colmey', '54', 'FR'),
(21260, '54170', 'Colombey les Belles', '54', 'FR'),
(21261, '54800', 'Conflans en Jarnisy', '54', 'FR'),
(21262, '54870', 'Cons la Grandville', '54', 'FR'),
(21263, '54400', 'Cosnes et Romain', '54', 'FR'),
(21264, '54110', 'Courbesseaux', '54', 'FR'),
(21265, '54930', 'Courcelles', '54', 'FR'),
(21266, '54210', 'Coyviller', '54', 'FR'),
(21267, '54740', 'Crantenoy', '54', 'FR'),
(21268, '54170', 'Cr�pey', '54', 'FR'),
(21269, '54290', 'Cr�v�champs', '54', 'FR'),
(21270, '54110', 'Cr�vic', '54', 'FR'),
(21271, '54113', 'Cr�zilles', '54', 'FR'),
(21272, '54300', 'Crion', '54', 'FR'),
(21273, '54300', 'Croismare', '54', 'FR'),
(21274, '54680', 'Crusnes', '54', 'FR'),
(21275, '54670', 'Custines', '54', 'FR'),
(21276, '54720', 'Cutry', '54', 'FR'),
(21277, '54360', 'Damelevi�res', '54', 'FR'),
(21278, '54470', 'Dampvitoux', '54', 'FR'),
(21279, '54120', 'Deneuvre', '54', 'FR'),
(21280, '54370', 'Deuxville', '54', 'FR'),
(21281, '54930', 'Diarville', '54', 'FR'),
(21282, '54380', 'Dieulouard', '54', 'FR'),
(21283, '54170', 'Dolcourt', '54', 'FR'),
(21284, '54110', 'Dombasle sur Meurthe', '54', 'FR'),
(21285, '54385', 'Dom�vre en Haye', '54', 'FR'),
(21286, '54450', 'Dom�vre sur Vezouze', '54', 'FR'),
(21287, '54119', 'Domgermain', '54', 'FR'),
(21288, '54450', 'Domjevin', '54', 'FR'),
(21289, '54115', 'Dommarie Eulmont', '54', 'FR'),
(21290, '54130', 'Dommartemont', '54', 'FR'),
(21291, '54470', 'Dommartin la Chauss�e', '54', 'FR'),
(21292, '54200', 'Dommartin l�s Toul', '54', 'FR'),
(21293, '54770', 'Dommartin sous Amance', '54', 'FR'),
(21294, '54490', 'Domprix', '54', 'FR'),
(21295, '54290', 'Domptail en l''Air', '54', 'FR'),
(21296, '54800', 'Doncourt l�s Conflans', '54', 'FR'),
(21297, '54620', 'Doncourt l�s Longuyon', '54', 'FR'),
(21298, '54370', 'Drouville', '54', 'FR'),
(21299, '54200', '�crouves', '54', 'FR'),
(21300, '54360', 'Einvaux', '54', 'FR'),
(21301, '54370', 'Einville au Jard', '54', 'FR'),
(21302, '54370', 'Emberm�nil', '54', 'FR'),
(21303, '54260', '�piez sur Chiers', '54', 'FR'),
(21304, '54610', '�ply', '54', 'FR'),
(21305, '54280', 'Erb�viller sur Amezule', '54', 'FR'),
(21306, '54680', 'Errouville', '54', 'FR'),
(21307, '54470', 'Essey et Maizerais', '54', 'FR'),
(21308, '54830', 'Essey la C�te', '54', 'FR'),
(21309, '54270', 'Essey l�s Nancy', '54', 'FR'),
(21310, '54330', '�treval', '54', 'FR'),
(21311, '54690', 'Eulmont', '54', 'FR'),
(21312, '54470', 'Euvezin', '54', 'FR'),
(21313, '54760', 'Faulx', '54', 'FR'),
(21314, '54115', 'Favi�res', '54', 'FR'),
(21315, '54115', 'F�cocourt', '54', 'FR'),
(21316, '54540', 'Fenneviller', '54', 'FR'),
(21317, '54210', 'Ferri�res', '54', 'FR'),
(21318, '54470', 'Fey en Haye', '54', 'FR'),
(21319, '54560', 'Filli�res', '54', 'FR'),
(21320, '54110', 'Flainval', '54', 'FR'),
(21321, '54630', 'Flavigny sur Moselle', '54', 'FR'),
(21322, '54710', 'Fl�ville devant Nancy', '54', 'FR'),
(21323, '54150', 'Fl�ville Lixi�res', '54', 'FR'),
(21324, '54122', 'Flin', '54', 'FR'),
(21325, '54470', 'Flirey', '54', 'FR'),
(21326, '54122', 'Fontenoy la Jo�te', '54', 'FR'),
(21327, '54840', 'Fontenoy sur Moselle', '54', 'FR'),
(21328, '54330', 'Forcelles Saint Gorgon', '54', 'FR'),
(21329, '54930', 'Forcelles sous Gugney', '54', 'FR'),
(21330, '54570', 'Foug', '54', 'FR'),
(21331, '54300', 'Fraimbois', '54', 'FR'),
(21332, '54930', 'Fraisnes en Saintois', '54', 'FR'),
(21333, '54200', 'Francheville', '54', 'FR'),
(21334, '54830', 'Franconville', '54', 'FR'),
(21335, '54450', 'Fr�m�nil', '54', 'FR'),
(21336, '54450', 'Fr�monville', '54', 'FR'),
(21337, '54260', 'Fresnois la Montagne', '54', 'FR'),
(21338, '54800', 'Friauville', '54', 'FR'),
(21339, '54160', 'Frolois', '54', 'FR'),
(21340, '54390', 'Frouard', '54', 'FR'),
(21341, '54290', 'Froville', '54', 'FR'),
(21342, '54120', 'G�lacourt', '54', 'FR'),
(21343, '54115', 'G�laucourt', '54', 'FR'),
(21344, '54110', 'Gellenoncourt', '54', 'FR'),
(21345, '54115', 'G�monville', '54', 'FR'),
(21346, '54740', 'Gerb�court et Haplemont', '54', 'FR'),
(21347, '54830', 'Gerb�viller', '54', 'FR'),
(21348, '54170', 'Germiny', '54', 'FR'),
(21349, '54740', 'Germonville', '54', 'FR'),
(21350, '54380', 'G�zoncourt', '54', 'FR'),
(21351, '54112', 'Gibeaumeix', '54', 'FR'),
(21352, '54780', 'Giraumont', '54', 'FR'),
(21353, '54830', 'Giriviller', '54', 'FR'),
(21354, '54122', 'Glonville', '54', 'FR'),
(21355, '54450', 'Gogney', '54', 'FR'),
(21356, '54800', 'Gondrecourt Aix', '54', 'FR'),
(21357, '54840', 'Gondreville', '54', 'FR'),
(21358, '54450', 'Gondrexon', '54', 'FR'),
(21359, '54730', 'Gorcy', '54', 'FR'),
(21360, '54330', 'Goviller', '54', 'FR'),
(21361, '54260', 'Grand Failly', '54', 'FR'),
(21362, '54115', 'Grimonviller', '54', 'FR'),
(21363, '54290', 'Gripport', '54', 'FR'),
(21364, '54380', 'Griscourt', '54', 'FR'),
(21365, '54470', 'Grosrouvres', '54', 'FR'),
(21366, '54930', 'Gugney', '54', 'FR'),
(21367, '54113', 'Gye', '54', 'FR'),
(21368, '54120', 'Hablainville', '54', 'FR'),
(21369, '54470', 'Hag�ville', '54', 'FR'),
(21370, '54290', 'Haigneville', '54', 'FR'),
(21371, '54450', 'Halloville', '54', 'FR'),
(21372, '54330', 'Hammeville', '54', 'FR'),
(21373, '54470', 'Hamonville', '54', 'FR'),
(21374, '54800', 'Hannonville Suz�mont', '54', 'FR'),
(21375, '54110', 'Haraucourt', '54', 'FR'),
(21376, '54450', 'Harbouey', '54', 'FR'),
(21377, '54740', 'Harou�', '54', 'FR'),
(21378, '54800', 'Hatrize', '54', 'FR'),
(21379, '54860', 'Haucourt Moulaine', '54', 'FR'),
(21380, '54830', 'Haudonville', '54', 'FR'),
(21381, '54290', 'Haussonville', '54', 'FR'),
(21382, '54180', 'Heillecourt', '54', 'FR'),
(21383, '54370', 'H�nam�nil', '54', 'FR'),
(21384, '54450', 'Herb�viller', '54', 'FR'),
(21385, '54300', 'H�rim�nil', '54', 'FR'),
(21386, '54440', 'Herserange', '54', 'FR'),
(21387, '54370', 'Ho�ville', '54', 'FR'),
(21388, '54310', 'Hom�court', '54', 'FR'),
(21389, '54330', 'Houdelmont', '54', 'FR'),
(21390, '54180', 'Houd�mont', '54', 'FR'),
(21391, '54330', 'Houdreville', '54', 'FR'),
(21392, '54930', 'Houss�ville', '54', 'FR'),
(21393, '54110', 'Hudiviller', '54', 'FR'),
(21394, '54590', 'Hussigny Godbrange', '54', 'FR'),
(21395, '54450', 'Igney', '54', 'FR'),
(21396, '54200', 'Jaillon', '54', 'FR'),
(21397, '54800', 'Jarny', '54', 'FR'),
(21398, '54140', 'Jarville la Malgrange', '54', 'FR'),
(21399, '54470', 'Jaulny', '54', 'FR'),
(21400, '54114', 'Jeandelaincourt', '54', 'FR'),
(21401, '54800', 'Jeandelize', '54', 'FR'),
(21402, '54740', 'Jevoncourt', '54', 'FR'),
(21403, '54700', 'Jezainville', '54', 'FR'),
(21404, '54240', 'Joeuf', '54', 'FR'),
(21405, '54300', 'Jolivet', '54', 'FR'),
(21406, '54620', 'Jopp�court', '54', 'FR'),
(21407, '54800', 'Jouaville', '54', 'FR'),
(21408, '54490', 'Joudreville', '54', 'FR'),
(21409, '54370', 'Juvrecourt', '54', 'FR'),
(21410, '54800', 'Labry', '54', 'FR'),
(21411, '54120', 'Lachapelle', '54', 'FR'),
(21412, '54200', 'Lagney', '54', 'FR'),
(21413, '54770', 'Laitre sous Amance', '54', 'FR'),
(21414, '54720', 'Laix', '54', 'FR'),
(21415, '54115', 'Laloeuf', '54', 'FR'),
(21416, '54300', 'Lamath', '54', 'FR'),
(21417, '54360', 'Land�court', '54', 'FR'),
(21418, '54380', 'Landremont', '54', 'FR'),
(21419, '54970', 'Landres', '54', 'FR'),
(21420, '54280', 'Laneuvelotte', '54', 'FR'),
(21421, '54370', 'Laneuveville aux Bois', '54', 'FR'),
(21422, '54570', 'Laneuveville derri�re Foug', '54', 'FR'),
(21423, '54740', 'Laneuveville devant Bayon', '54', 'FR'),
(21424, '54410', 'Laneuveville devant Nancy', '54', 'FR'),
(21425, '54760', 'Lanfroicourt', '54', 'FR'),
(21426, '54150', 'Lant�fontaine', '54', 'FR'),
(21427, '54950', 'Laronxe', '54', 'FR'),
(21428, '54520', 'Laxou', '54', 'FR'),
(21429, '54690', 'Lay Saint Christophe', '54', 'FR'),
(21430, '54570', 'Lay Saint R�my', '54', 'FR'),
(21431, '54740', 'Lebeuville', '54', 'FR'),
(21432, '54450', 'Leintrey', '54', 'FR'),
(21433, '54740', 'Lemainville', '54', 'FR'),
(21434, '54740', 'Lem�nil Mitry', '54', 'FR'),
(21435, '54110', 'Lenoncourt', '54', 'FR'),
(21436, '54700', 'Lesm�nils', '54', 'FR'),
(21437, '54610', 'L�tricourt', '54', 'FR'),
(21438, '54720', 'Lexy', '54', 'FR'),
(21439, '54760', 'Leyr', '54', 'FR'),
(21440, '54470', 'Limey Remenauville', '54', 'FR'),
(21441, '54470', 'Lironville', '54', 'FR'),
(21442, '54460', 'Liverdun', '54', 'FR'),
(21443, '54610', 'Lixi�res', '54', 'FR'),
(21444, '54700', 'Loisy', '54', 'FR'),
(21445, '54810', 'Longlaville', '54', 'FR'),
(21446, '54260', 'Longuyon', '54', 'FR'),
(21447, '54400', 'Longwy', '54', 'FR'),
(21448, '54290', 'Lorey', '54', 'FR'),
(21449, '54290', 'Loromontzey', '54', 'FR'),
(21450, '54150', 'Lubey', '54', 'FR'),
(21451, '54200', 'Lucey', '54', 'FR'),
(21452, '54710', 'Ludres', '54', 'FR'),
(21453, '54300', 'Lun�ville', '54', 'FR'),
(21454, '54210', 'Lupcourt', '54', 'FR'),
(21455, '54129', 'Magni�res', '54', 'FR'),
(21456, '54700', 'Maidi�res', '54', 'FR'),
(21457, '54610', 'Mailly sur Seille', '54', 'FR'),
(21458, '54150', 'Mairy Mainville', '54', 'FR'),
(21459, '54370', 'Maixe', '54', 'FR'),
(21460, '54550', 'Maizi�res', '54', 'FR'),
(21461, '54560', 'Malavillers', '54', 'FR'),
(21462, '54670', 'Malleloy', '54', 'FR'),
(21463, '54220', 'Malz�ville', '54', 'FR'),
(21464, '54470', 'Mamey', '54', 'FR'),
(21465, '54150', 'Mance', '54', 'FR'),
(21466, '54790', 'Mancieulles', '54', 'FR'),
(21467, '54470', 'Mandres aux Quatre Tours', '54', 'FR'),
(21468, '54290', 'Mangonville', '54', 'FR'),
(21469, '54210', 'Manoncourt en Vermois', '54', 'FR'),
(21470, '54385', 'Manoncourt en Wo�vre', '54', 'FR'),
(21471, '54610', 'Manoncourt sur Seille', '54', 'FR'),
(21472, '54385', 'Manonville', '54', 'FR'),
(21473, '54300', 'Manonviller', '54', 'FR'),
(21474, '54300', 'Marainviller', '54', 'FR'),
(21475, '54820', 'Marbache', '54', 'FR'),
(21476, '54230', 'Maron', '54', 'FR'),
(21477, '54800', 'Mars la Tour', '54', 'FR'),
(21478, '54330', 'Marthemont', '54', 'FR'),
(21479, '54380', 'Martincourt', '54', 'FR'),
(21480, '54830', 'Mattexey', '54', 'FR'),
(21481, '54320', 'Max�ville', '54', 'FR'),
(21482, '54280', 'Mazerulles', '54', 'FR'),
(21483, '54360', 'M�honcourt', '54', 'FR'),
(21484, '54200', 'M�nil la Tour', '54', 'FR'),
(21485, '54200', 'M�nillot', '54', 'FR'),
(21486, '54960', 'Mercy le Bas', '54', 'FR'),
(21487, '54560', 'Mercy le Haut', '54', 'FR'),
(21488, '54850', 'M�r�ville', '54', 'FR'),
(21489, '54120', 'Merviller', '54', 'FR'),
(21490, '54850', 'Messein', '54', 'FR'),
(21491, '54135', 'Mexy', '54', 'FR'),
(21492, '54540', 'Mign�ville', '54', 'FR'),
(21493, '54670', 'Millery', '54', 'FR'),
(21494, '54385', 'Minorville', '54', 'FR'),
(21495, '54580', 'Moineville', '54', 'FR'),
(21496, '54760', 'Moivrons', '54', 'FR'),
(21497, '54300', 'Moncel l�s Lun�ville', '54', 'FR'),
(21498, '54280', 'Moncel sur Seille', '54', 'FR'),
(21499, '54700', 'Montauville', '54', 'FR'),
(21500, '54760', 'Montenoy', '54', 'FR'),
(21501, '54540', 'Montigny', '54', 'FR'),
(21502, '54870', 'Montigny sur Chiers', '54', 'FR'),
(21503, '54170', 'Mont l''�troit', '54', 'FR'),
(21504, '54113', 'Mont le Vignoble', '54', 'FR'),
(21505, '54450', 'Montreux', '54', 'FR'),
(21506, '54350', 'Mont Saint Martin', '54', 'FR'),
(21507, '54360', 'Mont sur Meurthe', '54', 'FR'),
(21508, '54610', 'Morey', '54', 'FR'),
(21509, '54920', 'Morfontaine', '54', 'FR'),
(21510, '54830', 'Moriviller', '54', 'FR'),
(21511, '54700', 'Morville sur Seille', '54', 'FR'),
(21512, '54370', 'Mouacourt', '54', 'FR'),
(21513, '54800', 'Mouaville', '54', 'FR'),
(21514, '54700', 'Mousson', '54', 'FR'),
(21515, '54660', 'Moutiers', '54', 'FR'),
(21516, '54113', 'Moutrot', '54', 'FR'),
(21517, '54118', 'Moyen', '54', 'FR'),
(21518, '54490', 'Murville', '54', 'FR'),
(21519, '54100', 'Nancy', '54', 'FR'),
(21520, '54000', 'Nancy', '54', 'FR'),
(21521, '54540', 'Neufmaisons', '54', 'FR'),
(21522, '54230', 'Neuves Maisons', '54', 'FR'),
(21523, '54540', 'Neuviller l�s Badonviller', '54', 'FR'),
(21524, '54290', 'Neuviller sur Moselle', '54', 'FR'),
(21525, '54610', 'Nom�ny', '54', 'FR'),
(21526, '54450', 'Nonhigny', '54', 'FR'),
(21527, '54150', 'Norroy le Sec', '54', 'FR'),
(21528, '54700', 'Norroy l�s Pont �  Mousson', '54', 'FR'),
(21529, '54385', 'Noviant aux Pr�s', '54', 'FR'),
(21530, '54170', 'Ochey', '54', 'FR'),
(21531, '54450', 'Og�viller', '54', 'FR'),
(21532, '54330', 'Ogn�ville', '54', 'FR'),
(21533, '54800', 'Olley', '54', 'FR'),
(21534, '54330', 'Omelmont', '54', 'FR'),
(21535, '54890', 'Onville', '54', 'FR'),
(21536, '54740', 'Ormes et Ville', '54', 'FR'),
(21537, '54260', 'Othe', '54', 'FR'),
(21538, '54150', 'Ozerailles', '54', 'FR'),
(21539, '54200', 'Pagney derri�re Barine', '54', 'FR'),
(21540, '54530', 'Pagny sur Moselle', '54', 'FR'),
(21541, '54470', 'Pannes', '54', 'FR'),
(21542, '54330', 'Parey Saint C�saire', '54', 'FR'),
(21543, '54370', 'Parroy', '54', 'FR'),
(21544, '54480', 'Parux', '54', 'FR'),
(21545, '54260', 'Petit Failly', '54', 'FR'),
(21546, '54480', 'Petitmont', '54', 'FR'),
(21547, '54120', 'Pettonville', '54', 'FR'),
(21548, '54540', 'Pexonne', '54', 'FR'),
(21549, '54610', 'Phlin', '54', 'FR'),
(21550, '54490', 'Piennes', '54', 'FR'),
(21551, '54200', 'Pierre la Treiche', '54', 'FR'),
(21552, '54540', 'Pierre Perc�e', '54', 'FR'),
(21553, '54620', 'Pierrepont', '54', 'FR'),
(21554, '54160', 'Pierreville', '54', 'FR'),
(21555, '54340', 'Pompey', '54', 'FR'),
(21556, '54700', 'Pont �  Mousson', '54', 'FR'),
(21557, '54550', 'Pont Saint Vincent', '54', 'FR'),
(21558, '54700', 'Port sur Seille', '54', 'FR'),
(21559, '54116', 'Praye', '54', 'FR'),
(21560, '54530', 'Pr�ny', '54', 'FR'),
(21561, '54490', 'Preutin Higny', '54', 'FR'),
(21562, '54160', 'Pulligny', '54', 'FR'),
(21563, '54115', 'Pulney', '54', 'FR'),
(21564, '54420', 'Pulnoy', '54', 'FR'),
(21565, '54800', 'Puxe', '54', 'FR'),
(21566, '54800', 'Puxieux', '54', 'FR'),
(21567, '54330', 'Qu�villoncourt', '54', 'FR'),
(21568, '54540', 'Raon l�s Leau', '54', 'FR'),
(21569, '54610', 'Raucourt', '54', 'FR'),
(21570, '54370', 'Raville sur S�non', '54', 'FR'),
(21571, '54370', 'R�chicourt la Petite', '54', 'FR'),
(21572, '54450', 'R�clonville', '54', 'FR'),
(21573, '54300', 'Rehainviller', '54', 'FR'),
(21574, '54120', 'Reherrey', '54', 'FR'),
(21575, '54430', 'R�hon', '54', 'FR'),
(21576, '54450', 'Reillon', '54', 'FR'),
(21577, '54470', 'Rembercourt sur Mad', '54', 'FR'),
(21578, '54830', 'Remenoville', '54', 'FR'),
(21579, '54110', 'R�m�r�ville', '54', 'FR'),
(21580, '54370', 'Remoncourt', '54', 'FR'),
(21581, '54450', 'Repaix', '54', 'FR'),
(21582, '54630', 'Richardm�nil', '54', 'FR'),
(21583, '54380', 'Rog�ville', '54', 'FR'),
(21584, '54360', 'Romain', '54', 'FR'),
(21585, '54110', 'Rosi�res aux Salines', '54', 'FR'),
(21586, '54385', 'Rosi�res en Haye', '54', 'FR'),
(21587, '54610', 'Rouves', '54', 'FR'),
(21588, '54290', 'Roville devant Bayon', '54', 'FR'),
(21589, '54200', 'Royaumeix', '54', 'FR'),
(21590, '54290', 'Rozelieures', '54', 'FR'),
(21591, '54210', 'Saffais', '54', 'FR'),
(21592, '54580', 'St Ail', '54', 'FR'),
(21593, '54470', 'Saint Baussant', '54', 'FR'),
(21594, '54290', 'Saint Boingt', '54', 'FR'),
(21595, '54950', 'Saint Cl�ment', '54', 'FR'),
(21596, '54930', 'Saint Firmin', '54', 'FR'),
(21597, '54700', 'Sainte Genevi�ve', '54', 'FR'),
(21598, '54290', 'Saint Germain', '54', 'FR'),
(21599, '54260', 'Saint Jean l�s Longuyon', '54', 'FR'),
(21600, '54470', 'Saint Julien l�s Gorze', '54', 'FR'),
(21601, '54800', 'Saint Marcel', '54', 'FR'),
(21602, '54290', 'Saint Mard', '54', 'FR'),
(21603, '54450', 'St Martin', '54', 'FR'),
(21604, '54540', 'Saint Maurice aux Forges', '54', 'FR'),
(21605, '54130', 'Saint Max', '54', 'FR'),
(21606, '54210', 'Saint Nicolas de Port', '54', 'FR'),
(21607, '54540', 'Sainte P�le', '54', 'FR'),
(21608, '54730', 'Saint Pancr�', '54', 'FR'),
(21609, '54740', 'St Remimont', '54', 'FR'),
(21610, '54290', 'Saint R�my aux Bois', '54', 'FR'),
(21611, '54480', 'Saint Sauveur', '54', 'FR'),
(21612, '54620', 'Saint Supplet', '54', 'FR'),
(21613, '54380', 'Saizerais', '54', 'FR'),
(21614, '54560', 'Sancy', '54', 'FR'),
(21615, '54200', 'Sanzey', '54', 'FR'),
(21616, '54650', 'Saulnes', '54', 'FR'),
(21617, '54115', 'Saulxerotte', '54', 'FR'),
(21618, '54420', 'Saulxures l�s Nancy', '54', 'FR'),
(21619, '54170', 'Saulxures l�s Vannes', '54', 'FR'),
(21620, '54330', 'Saxon Sion', '54', 'FR'),
(21621, '54280', 'Seichamps', '54', 'FR'),
(21622, '54470', 'Seicheprey', '54', 'FR'),
(21623, '54170', 'Selaincourt', '54', 'FR'),
(21624, '54830', 'S�ranville', '54', 'FR'),
(21625, '54370', 'Serres', '54', 'FR'),
(21626, '54610', 'Serri�res', '54', 'FR'),
(21627, '54560', 'Serrouville', '54', 'FR'),
(21628, '54550', 'Sexey aux Forges', '54', 'FR'),
(21629, '54840', 'Sexey les Bois', '54', 'FR'),
(21630, '54300', 'Sionviller', '54', 'FR'),
(21631, '54610', 'Sivry', '54', 'FR'),
(21632, '54110', 'Sommerviller', '54', 'FR'),
(21633, '54280', 'Sorn�ville', '54', 'FR'),
(21634, '54800', 'Sponville', '54', 'FR'),
(21635, '54480', 'Tanconville', '54', 'FR'),
(21636, '54116', 'Tantonville', '54', 'FR'),
(21637, '54260', 'Tellancourt', '54', 'FR'),
(21638, '54330', 'Thelod', '54', 'FR'),
(21639, '54930', 'They sous Vaud�mont', '54', 'FR'),
(21640, '54610', 'Th�zey Saint Martin', '54', 'FR'),
(21641, '54470', 'Thiaucourt Regni�ville', '54', 'FR'),
(21642, '54120', 'Thiaville sur Meurthe', '54', 'FR'),
(21643, '54300', 'Thi�baum�nil', '54', 'FR'),
(21644, '54880', 'Thil', '54', 'FR'),
(21645, '54115', 'Thorey Lyautey', '54', 'FR'),
(21646, '54170', 'Thuilley aux Groseilles', '54', 'FR'),
(21647, '54800', 'Thumer�ville', '54', 'FR'),
(21648, '54190', 'Tiercelet', '54', 'FR'),
(21649, '54510', 'Tomblaine', '54', 'FR'),
(21650, '54210', 'Tonnoy', '54', 'FR'),
(21651, '54200', 'Toul', '54', 'FR'),
(21652, '54115', 'Tramont �my', '54', 'FR'),
(21653, '54115', 'Tramont Lassus', '54', 'FR'),
(21654, '54115', 'Tramont Saint Andr�', '54', 'FR'),
(21655, '54385', 'Tremblecourt', '54', 'FR'),
(21656, '54750', 'Trieux', '54', 'FR'),
(21657, '54570', 'Trondes', '54', 'FR'),
(21658, '54800', 'Tronville', '54', 'FR'),
(21659, '54640', 'Tucquegnieux', '54', 'FR'),
(21660, '54870', 'Ugny', '54', 'FR'),
(21661, '54112', 'Uruffe', '54', 'FR'),
(21662, '54540', 'Vacqueville', '54', 'FR'),
(21663, '54480', 'Val et Ch�tillon', '54', 'FR'),
(21664, '54370', 'Valhey', '54', 'FR'),
(21665, '54910', 'Valleroy', '54', 'FR'),
(21666, '54830', 'Vallois', '54', 'FR'),
(21667, '54890', 'Vandelainville', '54', 'FR'),
(21668, '54115', 'Vandel�ville', '54', 'FR'),
(21669, '54121', 'Vandi�res', '54', 'FR'),
(21670, '54500', 'Vandoeuvre l�s Nancy', '54', 'FR'),
(21671, '54112', 'Vannes le Ch�tel', '54', 'FR'),
(21672, '54110', 'Varang�ville', '54', 'FR'),
(21673, '54122', 'Vathim�nil', '54', 'FR'),
(21674, '54370', 'Vaucourt', '54', 'FR'),
(21675, '54330', 'Vaud�mont', '54', 'FR'),
(21676, '54740', 'Vaudeville', '54', 'FR'),
(21677, '54740', 'Vaudigny', '54', 'FR'),
(21678, '54120', 'Vaxainville', '54', 'FR'),
(21679, '54450', 'V�ho', '54', 'FR'),
(21680, '54840', 'Velaine en Haye', '54', 'FR'),
(21681, '54280', 'Velaine sous Amance', '54', 'FR'),
(21682, '54290', 'Velle sur Moselle', '54', 'FR'),
(21683, '54540', 'Veney', '54', 'FR'),
(21684, '54830', 'Vennezey', '54', 'FR'),
(21685, '54450', 'Verdenal', '54', 'FR'),
(21686, '54330', 'V�zelise', '54', 'FR'),
(21687, '54470', 'Vi�ville en Haye', '54', 'FR'),
(21688, '54360', 'Vigneulles', '54', 'FR'),
(21689, '54700', 'Vilcey sur Trey', '54', 'FR'),
(21690, '54290', 'Villacourt', '54', 'FR'),
(21691, '54620', 'Ville au Montois', '54', 'FR'),
(21692, '54380', 'Ville au Val', '54', 'FR'),
(21693, '54890', 'Villecey sur Mad', '54', 'FR'),
(21694, '54210', 'Ville en Vermois', '54', 'FR'),
(21695, '54730', 'Ville Houdl�mont', '54', 'FR'),
(21696, '54380', 'Villers en Haye', '54', 'FR'),
(21697, '54870', 'Villers la Ch�vre', '54', 'FR'),
(21698, '54920', 'Villers la Montagne', '54', 'FR'),
(21699, '54260', 'Villers le Rond', '54', 'FR'),
(21700, '54760', 'Villers l�s Moivrons', '54', 'FR'),
(21701, '54600', 'Villers l�s Nancy', '54', 'FR'),
(21702, '54700', 'Villers sous Pr�ny', '54', 'FR'),
(21703, '54190', 'Villerupt', '54', 'FR'),
(21704, '54800', 'Ville sur Yron', '54', 'FR'),
(21705, '54260', 'Villette', '54', 'FR'),
(21706, '54840', 'Villey le Sec', '54', 'FR'),
(21707, '54200', 'Villey Saint �tienne', '54', 'FR'),
(21708, '54290', 'Virecourt', '54', 'FR'),
(21709, '54123', 'Viterne', '54', 'FR'),
(21710, '54330', 'Vitrey', '54', 'FR'),
(21711, '54300', 'Vitrimont', '54', 'FR'),
(21712, '54700', 'Vittonville', '54', 'FR'),
(21713, '54260', 'Viviers sur Chiers', '54', 'FR'),
(21714, '54134', 'Voin�mont', '54', 'FR'),
(21715, '54330', 'Vroncourt', '54', 'FR'),
(21716, '54890', 'Waville', '54', 'FR'),
(21717, '54470', 'Xammes', '54', 'FR'),
(21718, '54300', 'Xermam�nil', '54', 'FR'),
(21719, '54990', 'Xeuilley', '54', 'FR'),
(21720, '54740', 'Xirocourt', '54', 'FR'),
(21721, '54490', 'Xivry Circourt', '54', 'FR'),
(21722, '54800', 'Xonville', '54', 'FR'),
(21723, '54370', 'Xousse', '54', 'FR'),
(21724, '54370', 'Xures', '54', 'FR'),
(21725, '54560', 'Boudrezy', '54', 'FR'),
(21726, '54260', 'Braumont', '54', 'FR'),
(21727, '54190', 'Cantebonne', '54', 'FR'),
(21728, '54800', 'Droitaumont', '54', 'FR'),
(21729, '54870', 'Fermont', '54', 'FR'),
(21730, '54260', 'Flabeuville', '54', 'FR'),
(21731, '54410', 'La Madeleine', '54', 'FR'),
(21732, '54260', 'Revemont', '54', 'FR'),
(21733, '54260', 'Villancy', '54', 'FR'),
(21734, '55130', 'Abainville', '55', 'FR'),
(21735, '55400', 'Abaucourt Hautecourt', '55', 'FR'),
(21736, '55300', 'Ailly sur Meuse', '55', 'FR'),
(21737, '55110', 'Aincreville', '55', 'FR'),
(21738, '55130', 'Amanty', '55', 'FR'),
(21739, '55250', 'Amblaincourt', '55', 'FR'),
(21740, '55300', 'Ambly sur Meuse', '55', 'FR'),
(21741, '55230', 'Amel sur l''�tang', '55', 'FR'),
(21742, '55320', 'Ancemont', '55', 'FR'),
(21743, '55170', 'Ancerville', '55', 'FR'),
(21744, '55800', 'Andernay', '55', 'FR'),
(21745, '55300', 'Apremont la For�t', '55', 'FR'),
(21746, '55230', 'Arrancy sur Crusne', '55', 'FR'),
(21747, '55120', 'Aubr�ville', '55', 'FR'),
(21748, '55170', 'Aulnois en Perthois', '55', 'FR'),
(21749, '55200', 'Aulnois sous Vertuzey', '55', 'FR'),
(21750, '55120', 'Autrecourt sur Aire', '55', 'FR'),
(21751, '55700', 'Autr�ville Saint Lambert', '55', 'FR'),
(21752, '55800', 'Auz�court', '55', 'FR'),
(21753, '55120', 'Auz�ville en Argonne', '55', 'FR'),
(21754, '55210', 'Avillers Sainte Croix', '55', 'FR'),
(21755, '55600', 'Avioth', '55', 'FR'),
(21756, '55270', 'Avocourt', '55', 'FR'),
(21757, '55150', 'Azannes et Soumazannes', '55', 'FR'),
(21758, '55700', 'Ba�lon', '55', 'FR'),
(21759, '55130', 'Badonvilliers G�rauvilliers', '55', 'FR'),
(21760, '55300', 'Bannoncourt', '55', 'FR'),
(21761, '55110', 'Bantheville', '55', 'FR'),
(21762, '55000', 'Bar le Duc', '55', 'FR'),
(21763, '55130', 'Baudign�court', '55', 'FR'),
(21764, '55170', 'Baudonvilliers', '55', 'FR'),
(21765, '55260', 'Baudr�mont', '55', 'FR'),
(21766, '55270', 'Baulny', '55', 'FR'),
(21767, '55600', 'Bazeilles sur Othain', '55', 'FR'),
(21768, '55170', 'Bazincourt sur Saulx', '55', 'FR'),
(21769, '55700', 'Beauclair', '55', 'FR'),
(21770, '55700', 'Beaufort en Argonne', '55', 'FR'),
(21771, '55250', 'Beaulieu en Argonne', '55', 'FR'),
(21772, '55250', 'Beausite', '55', 'FR'),
(21773, '55000', 'Behonne', '55', 'FR'),
(21774, '55100', 'Belleray', '55', 'FR'),
(21775, '55430', 'Belleville sur Meuse', '55', 'FR'),
(21776, '55260', 'Belrain', '55', 'FR'),
(21777, '55100', 'Belrupt en Verdunois', '55', 'FR'),
(21778, '55210', 'Beney en Wo�vre', '55', 'FR'),
(21779, '55100', 'B�thelainville', '55', 'FR'),
(21780, '55270', 'B�thincourt', '55', 'FR'),
(21781, '55000', 'Beurey sur Saulx', '55', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(21782, '55290', 'Biencourt sur Orge', '55', 'FR'),
(21783, '55210', 'Billy sous les C�tes', '55', 'FR'),
(21784, '55230', 'Billy sous Mangiennes', '55', 'FR'),
(21785, '55300', 'Bisl�e', '55', 'FR'),
(21786, '55400', 'Blanz�e', '55', 'FR'),
(21787, '55120', 'Blercourt', '55', 'FR'),
(21788, '55400', 'Boinville en Wo�vre', '55', 'FR'),
(21789, '55200', 'Boncourt sur Meuse', '55', 'FR'),
(21790, '55130', 'Bonnet', '55', 'FR'),
(21791, '55160', 'Bonz�e', '55', 'FR'),
(21792, '55500', 'Le Bouchon sur Saulx', '55', 'FR'),
(21793, '55300', 'Bouconville sur Madt', '55', 'FR'),
(21794, '55240', 'Bouligny', '55', 'FR'),
(21795, '55300', 'Bouquemont', '55', 'FR'),
(21796, '55270', 'Boureuilles', '55', 'FR'),
(21797, '55190', 'Bov�e sur Barboure', '55', 'FR'),
(21798, '55500', 'Boviolles', '55', 'FR'),
(21799, '55120', 'Brabant en Argonne', '55', 'FR'),
(21800, '55800', 'Brabant le Roi', '55', 'FR'),
(21801, '55100', 'Brabant sur Meuse', '55', 'FR'),
(21802, '55150', 'Brandeville', '55', 'FR'),
(21803, '55400', 'Braquis', '55', 'FR'),
(21804, '55100', 'Bras sur Meuse', '55', 'FR'),
(21805, '55300', 'Brasseitte', '55', 'FR'),
(21806, '55170', 'Brauvilliers', '55', 'FR'),
(21807, '55150', 'Br�h�ville', '55', 'FR'),
(21808, '55600', 'Breux', '55', 'FR'),
(21809, '55110', 'Brieulles sur Meuse', '55', 'FR'),
(21810, '55000', 'Brillon en Barrois', '55', 'FR'),
(21811, '55140', 'Brixey aux Chanoines', '55', 'FR'),
(21812, '55250', 'Brizeaux', '55', 'FR'),
(21813, '55120', 'Brocourt en Argonne', '55', 'FR'),
(21814, '55700', 'Brouennes', '55', 'FR'),
(21815, '55190', 'Broussey en Blois', '55', 'FR'),
(21816, '55200', 'Broussey Raulecourt', '55', 'FR'),
(21817, '55250', 'Bulainville', '55', 'FR'),
(21818, '55290', 'Bure', '55', 'FR'),
(21819, '55140', 'Burey en Vaux', '55', 'FR'),
(21820, '55140', 'Burey la C�te', '55', 'FR'),
(21821, '55000', 'Bussy la C�te', '55', 'FR'),
(21822, '55160', 'Butgn�ville', '55', 'FR'),
(21823, '55300', 'Buxerulles', '55', 'FR'),
(21824, '55300', 'Buxi�res sous les C�tes', '55', 'FR'),
(21825, '55400', 'Buzy Darmont', '55', 'FR'),
(21826, '55700', 'Cesse', '55', 'FR'),
(21827, '55210', 'Chaillon', '55', 'FR'),
(21828, '55140', 'Chalaines', '55', 'FR'),
(21829, '55160', 'Champlon', '55', 'FR'),
(21830, '55100', 'Champneuville', '55', 'FR'),
(21831, '55140', 'Champougny', '55', 'FR'),
(21832, '55000', 'Chardogne', '55', 'FR'),
(21833, '55100', 'Charny sur Meuse', '55', 'FR'),
(21834, '55270', 'Charpentry', '55', 'FR'),
(21835, '55130', 'Chassey Beaupr�', '55', 'FR'),
(21836, '55400', 'Ch�tillon sous les C�tes', '55', 'FR'),
(21837, '55100', 'Chattancourt', '55', 'FR'),
(21838, '55150', 'Chaumont devant Damvillers', '55', 'FR'),
(21839, '55260', 'Chaumont sur Aire', '55', 'FR'),
(21840, '55600', 'Chauvency le Ch�teau', '55', 'FR'),
(21841, '55600', 'Chauvency Saint Hubert', '55', 'FR'),
(21842, '55300', 'Chauvoncourt', '55', 'FR'),
(21843, '55500', 'Chennevi�res', '55', 'FR'),
(21844, '55270', 'Cheppy', '55', 'FR'),
(21845, '55200', 'Chonville Malaumont', '55', 'FR'),
(21846, '55270', 'Cierges sous Montfaucon', '55', 'FR'),
(21847, '55120', 'Le Claon', '55', 'FR'),
(21848, '55120', 'Clermont en Argonne', '55', 'FR'),
(21849, '55110', 'Cl�ry Grand', '55', 'FR'),
(21850, '55110', 'Cl�ry Petit', '55', 'FR'),
(21851, '55000', 'Combles en Barrois', '55', 'FR'),
(21852, '55160', 'Combres sous les C�tes', '55', 'FR'),
(21853, '55200', 'Commercy', '55', 'FR'),
(21854, '55000', 'Hauts de Ch�e', '55', 'FR'),
(21855, '55110', 'Consenvoye', '55', 'FR'),
(21856, '55800', 'Contrisson', '55', 'FR'),
(21857, '55200', 'Corni�ville', '55', 'FR'),
(21858, '55260', 'Courcelles en Barrois', '55', 'FR'),
(21859, '55260', 'Courcelles sur Aire', '55', 'FR'),
(21860, '55260', 'Courouvre', '55', 'FR'),
(21861, '55500', 'Cousances aux Bois', '55', 'FR'),
(21862, '55170', 'Cousances les Forges', '55', 'FR'),
(21863, '55290', 'Couvertpuis', '55', 'FR'),
(21864, '55800', 'Couvonges', '55', 'FR'),
(21865, '55150', 'Cr�pion', '55', 'FR'),
(21866, '55210', 'Creu�', '55', 'FR'),
(21867, '55270', 'Cuisy', '55', 'FR'),
(21868, '55000', 'Culey', '55', 'FR'),
(21869, '55100', 'Cumi�res le Mort Homme', '55', 'FR'),
(21870, '55110', 'Cunel', '55', 'FR'),
(21871, '55500', 'Dagonville', '55', 'FR'),
(21872, '55130', 'Dainville Berthel�ville', '55', 'FR'),
(21873, '55400', 'Damloup', '55', 'FR'),
(21874, '55500', 'Dammarie sur Saulx', '55', 'FR'),
(21875, '55150', 'Damvillers', '55', 'FR'),
(21876, '55110', 'Dannevoux', '55', 'FR'),
(21877, '55400', 'Darmont', '55', 'FR'),
(21878, '55130', 'Delouze Rosi�res', '55', 'FR'),
(21879, '55150', 'Delut', '55', 'FR'),
(21880, '55130', 'Demange aux Eaux', '55', 'FR'),
(21881, '55300', 'Deuxnouds aux Bois', '55', 'FR'),
(21882, '55250', 'Deuxnouds devant Beauz�e', '55', 'FR'),
(21883, '55400', 'Dieppe sous Douaumont', '55', 'FR'),
(21884, '55320', 'Dieue sur Meuse', '55', 'FR'),
(21885, '55120', 'Dombasle en Argonne', '55', 'FR'),
(21886, '55150', 'Dombras', '55', 'FR'),
(21887, '55160', 'Dommartin la Montagne', '55', 'FR'),
(21888, '55240', 'Dommary Baroncourt', '55', 'FR'),
(21889, '55300', 'Dompcevrin', '55', 'FR'),
(21890, '55300', 'Dompierre aux Bois', '55', 'FR'),
(21891, '55500', 'Domr�my aux Bois', '55', 'FR'),
(21892, '55240', 'Domr�my la Canne', '55', 'FR'),
(21893, '55160', 'Doncourt aux Templiers', '55', 'FR'),
(21894, '55100', 'Douaumont', '55', 'FR'),
(21895, '55110', 'Doulcon', '55', 'FR'),
(21896, '55100', 'Dugny sur Meuse', '55', 'FR'),
(21897, '55110', 'Dun sur Meuse', '55', 'FR'),
(21898, '55230', 'Duzey', '55', 'FR'),
(21899, '55600', '�couviez', '55', 'FR'),
(21900, '55150', 'Ecurey en Verdunois', '55', 'FR'),
(21901, '55400', 'Eix', '55', 'FR'),
(21902, '55160', 'Les �parges', '55', 'FR'),
(21903, '55140', '�piez sur Meuse', '55', 'FR'),
(21904, '55270', '�pinonville', '55', 'FR'),
(21905, '55260', '�rize la Br�l�e', '55', 'FR'),
(21906, '55260', '�rize la Grande', '55', 'FR'),
(21907, '55260', '�rize la Petite', '55', 'FR'),
(21908, '55000', '�rize Saint Dizier', '55', 'FR'),
(21909, '55500', 'Erneville aux Bois', '55', 'FR'),
(21910, '55100', 'Esnes en Argonne', '55', 'FR'),
(21911, '55400', '�tain', '55', 'FR'),
(21912, '55240', '�ton', '55', 'FR'),
(21913, '55150', '�traye', '55', 'FR'),
(21914, '55200', 'Euville', '55', 'FR'),
(21915, '55250', '�vres', '55', 'FR'),
(21916, '55000', 'Fains V�el', '55', 'FR'),
(21917, '55150', 'Flabas', '55', 'FR'),
(21918, '55600', 'Flassigny', '55', 'FR'),
(21919, '55100', 'Fleury devant Douaumont', '55', 'FR'),
(21920, '55250', 'Fleury sur Aire', '55', 'FR'),
(21921, '55400', 'Foameix Ornel', '55', 'FR'),
(21922, '55110', 'Fontaines Saint Clair', '55', 'FR'),
(21923, '55110', 'Forges sur Meuse', '55', 'FR'),
(21924, '55250', 'Foucaucourt sur Thabas', '55', 'FR'),
(21925, '55500', 'Fouch�res aux Bois', '55', 'FR'),
(21926, '55200', 'Fr�mer�ville sous les C�tes', '55', 'FR'),
(21927, '55260', 'Fresnes au Mont', '55', 'FR'),
(21928, '55160', 'Fresnes en Wo�vre', '55', 'FR'),
(21929, '55120', 'Froidos', '55', 'FR'),
(21930, '55100', 'Fromer�ville les Vallons', '55', 'FR'),
(21931, '55400', 'Fromezey', '55', 'FR'),
(21932, '55120', 'Futeau', '55', 'FR'),
(21933, '55000', 'G�nicourt sous Cond�', '55', 'FR'),
(21934, '55320', 'G�nicourt sur Meuse', '55', 'FR'),
(21935, '55130', 'G�rauvilliers', '55', 'FR'),
(21936, '55110', 'Gercourt et Drillancourt', '55', 'FR'),
(21937, '55000', 'G�ry', '55', 'FR'),
(21938, '55110', 'Gesnes en Argonne', '55', 'FR'),
(21939, '55260', 'Gim�court', '55', 'FR'),
(21940, '55400', 'Gincrey', '55', 'FR'),
(21941, '55200', 'Girauvoisin', '55', 'FR'),
(21942, '55200', 'Gironville sous les C�tes', '55', 'FR'),
(21943, '55500', 'Givrauval', '55', 'FR'),
(21944, '55130', 'Gondrecourt le Ch�teau', '55', 'FR'),
(21945, '55230', 'Gouraincourt', '55', 'FR'),
(21946, '55140', 'Goussaincourt', '55', 'FR'),
(21947, '55150', 'Gremilly', '55', 'FR'),
(21948, '55400', 'Grimaucourt en Wo�vre', '55', 'FR'),
(21949, '55500', 'Grimaucourt pr�s Sampigny', '55', 'FR'),
(21950, '55000', 'Guerpont', '55', 'FR'),
(21951, '55400', 'Gussainville', '55', 'FR'),
(21952, '55000', 'Haironville', '55', 'FR'),
(21953, '55700', 'Halles sous les C�tes', '55', 'FR'),
(21954, '55600', 'Han l�s Juvigny', '55', 'FR'),
(21955, '54620', 'Han devant Pierrepont', '54', 'FR'),
(21956, '55210', 'Hannonville sous les C�tes', '55', 'FR'),
(21957, '55300', 'Han sur Meuse', '55', 'FR'),
(21958, '55110', 'Haraumont', '55', 'FR'),
(21959, '55000', 'Hargeville sur Ch�e', '55', 'FR'),
(21960, '55160', 'Harville', '55', 'FR'),
(21961, '55210', 'Hattonch�tel', '55', 'FR'),
(21962, '55210', 'Hattonville', '55', 'FR'),
(21963, '55230', 'Haucourt la Rigole', '55', 'FR'),
(21964, '55100', 'Haudainville', '55', 'FR'),
(21965, '55160', 'Haudiomont', '55', 'FR'),
(21966, '55210', 'Haumont l�s Lachauss�e', '55', 'FR'),
(21967, '55400', 'Hautecourt l�s Broville', '55', 'FR'),
(21968, '55220', 'Heippes', '55', 'FR'),
(21969, '55160', 'Hennemont', '55', 'FR'),
(21970, '55210', 'Herbeuville', '55', 'FR'),
(21971, '55400', 'Herm�ville en Wo�vre', '55', 'FR'),
(21972, '55210', 'Heudicourt sous les C�tes', '55', 'FR'),
(21973, '55290', 'H�villiers', '55', 'FR'),
(21974, '55130', 'Horville en Ornois', '55', 'FR'),
(21975, '55130', 'Houdelaincourt', '55', 'FR'),
(21976, '55230', 'Houdelaucourt sur Othain', '55', 'FR'),
(21977, '55700', 'Inor', '55', 'FR'),
(21978, '55220', 'Ipp�court', '55', 'FR'),
(21979, '55600', 'Ir� le Sec', '55', 'FR'),
(21980, '55120', 'Les Islettes', '55', 'FR'),
(21981, '55220', 'Trois Domaines', '55', 'FR'),
(21982, '55600', 'Jametz', '55', 'FR'),
(21983, '55160', 'Jonville en Wo�vre', '55', 'FR'),
(21984, '55120', 'Jouy en Argonne', '55', 'FR'),
(21985, '55200', 'Geville', '55', 'FR'),
(21986, '55120', 'Jub�court', '55', 'FR'),
(21987, '55120', 'Julv�court', '55', 'FR'),
(21988, '55170', 'Juvigny en Perthois', '55', 'FR'),
(21989, '55600', 'Juvigny sur Loison', '55', 'FR'),
(21990, '55300', 'Koeur la Grande', '55', 'FR'),
(21991, '55300', 'Koeur la Petite', '55', 'FR'),
(21992, '55160', 'Labeuville', '55', 'FR'),
(21993, '55120', 'Lachalade', '55', 'FR'),
(21994, '55210', 'Lachauss�e', '55', 'FR'),
(21995, '55300', 'Lacroix sur Meuse', '55', 'FR'),
(21996, '55260', 'Lahaymeix', '55', 'FR'),
(21997, '55300', 'Lahayville', '55', 'FR'),
(21998, '55800', 'Laheycourt', '55', 'FR'),
(21999, '55800', 'Laimont', '55', 'FR'),
(22000, '55210', 'Lamarche en Wo�vre', '55', 'FR'),
(22001, '55300', 'Lamorville', '55', 'FR'),
(22002, '55700', 'Lamouilly', '55', 'FR'),
(22003, '55100', 'Landrecourt Lempire', '55', 'FR'),
(22004, '55190', 'Laneuville au Rupt', '55', 'FR'),
(22005, '55700', 'Laneuville sur Meuse', '55', 'FR'),
(22006, '55400', 'Lanh�res', '55', 'FR'),
(22007, '55160', 'Latour en Wo�vre', '55', 'FR'),
(22008, '55260', 'Lavall�e', '55', 'FR'),
(22009, '55300', 'Lavign�ville', '55', 'FR'),
(22010, '55170', 'Lavincourt', '55', 'FR'),
(22011, '55120', 'Lavoye', '55', 'FR'),
(22012, '55220', 'Lemmes', '55', 'FR'),
(22013, '55100', 'Lempire aux Bois', '55', 'FR'),
(22014, '55200', 'L�rouville', '55', 'FR'),
(22015, '55260', 'Levoncourt', '55', 'FR'),
(22016, '55260', 'Ligni�res sur Aire', '55', 'FR'),
(22017, '55500', 'Ligny en Barrois', '55', 'FR'),
(22018, '55110', 'Liny devant Dun', '55', 'FR'),
(22019, '55110', 'Lion devant Dun', '55', 'FR'),
(22020, '55300', 'Liouville', '55', 'FR'),
(22021, '55250', 'Lisle en Barrois', '55', 'FR'),
(22022, '55000', 'Lisle en Rigault', '55', 'FR'),
(22023, '55150', 'Lissey', '55', 'FR'),
(22024, '55000', 'Loisey Culey', '55', 'FR'),
(22025, '55230', 'Loison', '55', 'FR'),
(22026, '55500', 'Longeaux', '55', 'FR'),
(22027, '55260', 'Longchamps sur Aire', '55', 'FR'),
(22028, '55000', 'Longeville en Barrois', '55', 'FR'),
(22029, '55300', 'Loupmont', '55', 'FR'),
(22030, '55800', 'Louppy le Ch�teau', '55', 'FR'),
(22031, '55000', 'Louppy sur Ch�e', '55', 'FR'),
(22032, '55600', 'Louppy sur Loison', '55', 'FR'),
(22033, '55500', 'Lox�ville', '55', 'FR'),
(22034, '55130', 'Lum�ville en Ornois', '55', 'FR'),
(22035, '55700', 'Luzy Saint Martin', '55', 'FR'),
(22036, '55160', 'Maizeray', '55', 'FR'),
(22037, '55300', 'Maizey', '55', 'FR'),
(22038, '55270', 'Malancourt', '55', 'FR'),
(22039, '55200', 'Malaumont', '55', 'FR'),
(22040, '55290', 'Mandres en Barrois', '55', 'FR'),
(22041, '55150', 'Mangiennes', '55', 'FR'),
(22042, '55160', 'Manheulles', '55', 'FR'),
(22043, '55000', 'Les Marats', '55', 'FR'),
(22044, '55300', 'Marbotte', '55', 'FR'),
(22045, '55160', 'March�ville en Wo�vre', '55', 'FR'),
(22046, '55100', 'Marre', '55', 'FR'),
(22047, '55190', 'Marson sur Barboure', '55', 'FR'),
(22048, '55700', 'Martincourt sur Meuse', '55', 'FR'),
(22049, '55600', 'Marville', '55', 'FR'),
(22050, '55400', 'Maucourt sur Orne', '55', 'FR'),
(22051, '55500', 'Maulan', '55', 'FR'),
(22052, '55190', 'Mauvages', '55', 'FR'),
(22053, '55140', 'Maxey sur Vaise', '55', 'FR'),
(22054, '55300', 'M�crin', '55', 'FR'),
(22055, '55190', 'M�ligny le Grand', '55', 'FR'),
(22056, '55190', 'M�ligny le Petit', '55', 'FR'),
(22057, '55500', 'Menaucourt', '55', 'FR'),
(22058, '55260', 'M�nil aux Bois', '55', 'FR'),
(22059, '55190', 'M�nil la Horgne', '55', 'FR'),
(22060, '55500', 'M�nil sur Saulx', '55', 'FR'),
(22061, '55150', 'Merles sur Loison', '55', 'FR'),
(22062, '55160', 'Mesnil sous les C�tes', '55', 'FR'),
(22063, '55110', 'Milly sur Bradon', '55', 'FR'),
(22064, '55400', 'Mogeville', '55', 'FR'),
(22065, '55800', 'Mogn�ville', '55', 'FR'),
(22066, '55150', 'Moirey Flabas Cr�pion', '55', 'FR'),
(22067, '55220', 'Mondrecourt', '55', 'FR'),
(22068, '55270', 'Montblainville', '55', 'FR'),
(22069, '55140', 'Montbras', '55', 'FR'),
(22070, '55110', 'Mont devant Sassey', '55', 'FR'),
(22071, '55270', 'Montfaucon d''Argonne', '55', 'FR'),
(22072, '55320', 'Les Monthairons', '55', 'FR'),
(22073, '55290', 'Montiers sur Saulx', '55', 'FR'),
(22074, '55110', 'Montigny devant Sassey', '55', 'FR'),
(22075, '55140', 'Montigny l�s Vaucouleurs', '55', 'FR'),
(22076, '55600', 'Montm�dy', '55', 'FR'),
(22077, '55000', 'Montplonne', '55', 'FR'),
(22078, '55300', 'Montsec', '55', 'FR'),
(22079, '55100', 'Montz�ville', '55', 'FR'),
(22080, '55400', 'Moranville', '55', 'FR'),
(22081, '55400', 'Morgemoulin', '55', 'FR'),
(22082, '55500', 'Chanteraine', '55', 'FR'),
(22083, '55290', 'Morley', '55', 'FR'),
(22084, '55320', 'Mouilly', '55', 'FR'),
(22085, '55400', 'Moulainville', '55', 'FR'),
(22086, '55700', 'Moulins Saint Hubert', '55', 'FR'),
(22087, '55160', 'Moulotte', '55', 'FR'),
(22088, '55700', 'Mouzay', '55', 'FR'),
(22089, '55110', 'Murvaux', '55', 'FR'),
(22090, '55000', 'Val d''Ornain', '55', 'FR'),
(22091, '55230', 'Muzeray', '55', 'FR'),
(22092, '55190', 'Naives en Blois', '55', 'FR'),
(22093, '55000', 'Naives Rosi�res', '55', 'FR'),
(22094, '55500', 'Naix aux Forges', '55', 'FR'),
(22095, '55500', 'Nan�ois le Grand', '55', 'FR'),
(22096, '55500', 'Nan�ois sur Ornain', '55', 'FR'),
(22097, '55500', 'Nant le Grand', '55', 'FR'),
(22098, '55500', 'Nant le Petit', '55', 'FR'),
(22099, '55270', 'Nantillois', '55', 'FR'),
(22100, '55500', 'Nantois', '55', 'FR'),
(22101, '55700', 'Nepvant', '55', 'FR'),
(22102, '55800', 'Nettancourt', '55', 'FR'),
(22103, '55120', 'Le Neufour', '55', 'FR'),
(22104, '55260', 'Neuville en Verdunois', '55', 'FR'),
(22105, '55140', 'Neuville l�s Vaucouleurs', '55', 'FR'),
(22106, '55800', 'Neuville sur Ornain', '55', 'FR'),
(22107, '55120', 'Neuvilly en Argonne', '55', 'FR'),
(22108, '55260', 'Nicey sur Aire', '55', 'FR'),
(22109, '55120', 'Nix�ville Blercourt', '55', 'FR'),
(22110, '55210', 'Nonsard Lamarche', '55', 'FR'),
(22111, '55230', 'Nouillonpont', '55', 'FR'),
(22112, '55800', 'Noyers Auz�court', '55', 'FR'),
(22113, '55250', 'Nub�court', '55', 'FR'),
(22114, '55500', 'O�y', '55', 'FR'),
(22115, '55700', 'Olizy sur Chiers', '55', 'FR'),
(22116, '55230', 'Olli�res', '55', 'FR'),
(22117, '55400', 'Ornel', '55', 'FR'),
(22118, '55150', 'Ornes', '55', 'FR'),
(22119, '55220', 'Osches', '55', 'FR'),
(22120, '55190', 'Ourches sur Meuse', '55', 'FR'),
(22121, '55140', 'Pagny la Blanche C�te', '55', 'FR'),
(22122, '55190', 'Pagny sur Meuse', '55', 'FR'),
(22123, '55160', 'Pareid', '55', 'FR'),
(22124, '55400', 'Parfondrupt', '55', 'FR'),
(22125, '55300', 'Les Paroches', '55', 'FR'),
(22126, '55120', 'Parois', '55', 'FR'),
(22127, '55150', 'Peuvillers', '55', 'FR'),
(22128, '55260', 'Pierrefitte sur Aire', '55', 'FR'),
(22129, '55230', 'Pillon', '55', 'FR'),
(22130, '55160', 'Pintheville', '55', 'FR'),
(22131, '55200', 'Pont sur Meuse', '55', 'FR'),
(22132, '55700', 'Pouilly sur Meuse', '55', 'FR'),
(22133, '55250', 'Pretz en Argonne', '55', 'FR'),
(22134, '55600', 'Quincy Landz�court', '55', 'FR'),
(22135, '55220', 'Rambluzin et Beno�te Vaux', '55', 'FR'),
(22136, '55300', 'Rambucourt', '55', 'FR'),
(22137, '55220', 'Rampont', '55', 'FR'),
(22138, '55800', 'Rancourt sur Ornain', '55', 'FR'),
(22139, '55300', 'Ranzi�res', '55', 'FR'),
(22140, '55120', 'Rar�court', '55', 'FR'),
(22141, '55200', 'Raulecourt', '55', 'FR'),
(22142, '55230', 'R�chicourt', '55', 'FR'),
(22143, '55120', 'R�cicourt', '55', 'FR'),
(22144, '55220', 'R�court le Creux', '55', 'FR'),
(22145, '55190', 'Reffroy', '55', 'FR'),
(22146, '55110', 'Regn�ville sur Meuse', '55', 'FR'),
(22147, '55250', 'Rembercourt Sommaisne', '55', 'FR'),
(22148, '55800', 'Remennecourt', '55', 'FR'),
(22149, '55600', 'R�moiville', '55', 'FR'),
(22150, '55000', 'Resson', '55', 'FR'),
(22151, '55800', 'Revigny sur Ornain', '55', 'FR'),
(22152, '55150', 'R�ville aux Bois', '55', 'FR'),
(22153, '55160', 'Riaville', '55', 'FR'),
(22154, '55290', 'Ribeaucourt', '55', 'FR'),
(22155, '55300', 'Richecourt', '55', 'FR'),
(22156, '55220', 'Rignaucourt', '55', 'FR'),
(22157, '55140', 'Rigny la Salle', '55', 'FR'),
(22158, '55140', 'Rigny Saint Martin', '55', 'FR'),
(22159, '55000', 'Robert Espagne', '55', 'FR'),
(22160, '55130', 'Les Roises', '55', 'FR'),
(22161, '55150', 'Romagne sous les C�tes', '55', 'FR'),
(22162, '55110', 'Romagne sous Montfaucon', '55', 'FR'),
(22163, '55160', 'Ronvaux', '55', 'FR'),
(22164, '55000', 'Rosi�res devant Bar', '55', 'FR'),
(22165, '55260', 'Raival', '55', 'FR'),
(22166, '55400', 'Rouvres en Wo�vre', '55', 'FR'),
(22167, '55300', 'Rouvrois sur Meuse', '55', 'FR'),
(22168, '55230', 'Rouvrois sur Othain', '55', 'FR'),
(22169, '55000', 'Rumont', '55', 'FR'),
(22170, '55170', 'Rupt aux Nonains', '55', 'FR'),
(22171, '55260', 'Rupt devant Saint Mihiel', '55', 'FR'),
(22172, '55320', 'Rupt en Wo�vre', '55', 'FR'),
(22173, '55150', 'Rupt sur Othain', '55', 'FR'),
(22174, '55500', 'Saint Amand sur Ornain', '55', 'FR'),
(22175, '55220', 'Saint Andr� en Barrois', '55', 'FR'),
(22176, '55500', 'Saint Aubin sur Aire', '55', 'FR'),
(22177, '55210', 'Saint Beno�t en Wo�vre', '55', 'FR'),
(22178, '55140', 'Saint Germain sur Meuse', '55', 'FR'),
(22179, '55160', 'Saint Hilaire en Wo�vre', '55', 'FR'),
(22180, '55400', 'Saint Jean l�s Buzy', '55', 'FR'),
(22181, '55130', 'Saint Joire', '55', 'FR'),
(22182, '55200', 'Saint Julien sous les C�tes', '55', 'FR'),
(22183, '55150', 'Saint Laurent sur Othain', '55', 'FR'),
(22184, '55210', 'Saint Maurice sous les C�tes', '55', 'FR'),
(22185, '55300', 'Saint Mihiel', '55', 'FR'),
(22186, '55230', 'St Pierrevillers', '55', 'FR'),
(22187, '55160', 'Saint R�my la Calonne', '55', 'FR'),
(22188, '55000', 'Salmagne', '55', 'FR'),
(22189, '55300', 'Sampigny', '55', 'FR'),
(22190, '55100', 'Samogneux', '55', 'FR'),
(22191, '55110', 'Sassey sur Meuse', '55', 'FR'),
(22192, '55000', 'Saudrupt', '55', 'FR'),
(22193, '55110', 'Saulmory et Villefranche', '55', 'FR'),
(22194, '55500', 'Saulvaux', '55', 'FR'),
(22195, '55160', 'Saulx l�s Champlon', '55', 'FR'),
(22196, '55140', 'Sauvigny', '55', 'FR'),
(22197, '55190', 'Sauvoy', '55', 'FR'),
(22198, '55000', 'Savonni�res devant Bar', '55', 'FR'),
(22199, '55170', 'Savonni�res en Perthois', '55', 'FR'),
(22200, '55300', 'Savonni�res en Wo�vre', '55', 'FR'),
(22201, '55000', 'Seigneulles', '55', 'FR'),
(22202, '55250', 'Senard', '55', 'FR'),
(22203, '55230', 'Senon', '55', 'FR'),
(22204, '55220', 'Senoncourt l�s Maujouy', '55', 'FR'),
(22205, '55300', 'Senonville', '55', 'FR'),
(22206, '55270', 'Septsarges', '55', 'FR'),
(22207, '55140', 'Sepvigny', '55', 'FR'),
(22208, '55250', 'Seraucourt', '55', 'FR'),
(22209, '55300', 'Seuzey', '55', 'FR'),
(22210, '55000', 'Silmont', '55', 'FR'),
(22211, '55100', 'Sivry la Perche', '55', 'FR'),
(22212, '55110', 'Sivry sur Meuse', '55', 'FR'),
(22213, '55250', 'Sommaisne', '55', 'FR'),
(22214, '55320', 'Sommedieue', '55', 'FR'),
(22215, '55800', 'Sommeilles', '55', 'FR'),
(22216, '55170', 'Sommelonne', '55', 'FR'),
(22217, '55230', 'Sorbey', '55', 'FR'),
(22218, '55190', 'Sorcy Saint Martin', '55', 'FR'),
(22219, '55220', 'Souhesmes Rampont', '55', 'FR'),
(22220, '55220', 'Souilly', '55', 'FR'),
(22221, '55300', 'Spada', '55', 'FR'),
(22222, '55230', 'Spincourt', '55', 'FR'),
(22223, '55500', 'Stainville', '55', 'FR'),
(22224, '55700', 'Stenay', '55', 'FR'),
(22225, '55140', 'Taillancourt', '55', 'FR'),
(22226, '55000', 'Tannois', '55', 'FR'),
(22227, '55840', 'Thierville sur Meuse', '55', 'FR'),
(22228, '55260', 'Thillombois', '55', 'FR'),
(22229, '55210', 'Thillot', '55', 'FR'),
(22230, '55600', 'Thonne la Long', '55', 'FR'),
(22231, '55600', 'Thonne le Thil', '55', 'FR'),
(22232, '55600', 'Thonne les Pr�s', '55', 'FR'),
(22233, '55600', 'Thonnelle', '55', 'FR'),
(22234, '55220', 'Tilly sur Meuse', '55', 'FR'),
(22235, '55130', 'Tourailles sous Bois', '55', 'FR'),
(22236, '55000', 'Tr�mont sur Saulx', '55', 'FR'),
(22237, '55160', 'Tr�sauvaux', '55', 'FR'),
(22238, '55130', 'Tr�veray', '55', 'FR'),
(22239, '55250', 'Seuil d''Argonne', '55', 'FR'),
(22240, '55500', 'Cousances l�s Triconville', '55', 'FR'),
(22241, '55310', 'Tronville en Barrois', '55', 'FR'),
(22242, '55190', 'Troussey', '55', 'FR'),
(22243, '55300', 'Troyon', '55', 'FR'),
(22244, '55140', 'Ugny sur Meuse', '55', 'FR'),
(22245, '55100', 'Vacherauville', '55', 'FR'),
(22246, '55190', 'Vacon', '55', 'FR'),
(22247, '55220', 'Vadelaincourt', '55', 'FR'),
(22248, '55200', 'Vadonville', '55', 'FR'),
(22249, '55270', 'Varennes en Argonne', '55', 'FR'),
(22250, '55300', 'Varn�ville', '55', 'FR'),
(22251, '55000', 'Varney', '55', 'FR'),
(22252, '55300', 'Valbois', '55', 'FR'),
(22253, '55800', 'Vassincourt', '55', 'FR'),
(22254, '55250', 'Vaubecourt', '55', 'FR'),
(22255, '55140', 'Vaucouleurs', '55', 'FR'),
(22256, '55130', 'Vaudeville le Haut', '55', 'FR'),
(22257, '55230', 'Vaudoncourt', '55', 'FR'),
(22258, '55270', 'Vauquois', '55', 'FR'),
(22259, '55400', 'Vaux devant Damloup', '55', 'FR'),
(22260, '55500', 'Vaux la Grande', '55', 'FR'),
(22261, '55500', 'Vaux la Petite', '55', 'FR'),
(22262, '55300', 'Vaux l�s Palameix', '55', 'FR'),
(22263, '55000', 'Vavincourt', '55', 'FR'),
(22264, '55000', 'V�el', '55', 'FR'),
(22265, '55500', 'Velaines', '55', 'FR'),
(22266, '55600', 'Velosnes', '55', 'FR'),
(22267, '55100', 'Verdun', '55', 'FR'),
(22268, '55600', 'Verneuil Grand', '55', 'FR'),
(22269, '55600', 'Verneuil Petit', '55', 'FR'),
(22270, '55200', 'Vertuzey', '55', 'FR'),
(22271, '55270', 'V�ry', '55', 'FR'),
(22272, '55210', 'Vi�ville sous les C�tes', '55', 'FR'),
(22273, '55210', 'Vigneulles l�s Hattonch�tel', '55', 'FR'),
(22274, '55600', 'Vigneul sous Montm�dy', '55', 'FR'),
(22275, '55200', 'Vignot', '55', 'FR'),
(22276, '55600', 'Vill�cloye', '55', 'FR'),
(22277, '55260', 'Ville devant Belrain', '55', 'FR'),
(22278, '55150', 'Ville devant Chaumont', '55', 'FR'),
(22279, '55160', 'Ville en Wo�vre', '55', 'FR'),
(22280, '55200', 'Ville Issey', '55', 'FR'),
(22281, '55190', 'Villeroy sur M�holle', '55', 'FR'),
(22282, '55800', 'Villers aux Vents', '55', 'FR'),
(22283, '55110', 'Villers devant Dun', '55', 'FR'),
(22284, '55500', 'Villers le Sec', '55', 'FR'),
(22285, '55150', 'Villers les Mangiennes', '55', 'FR'),
(22286, '55160', 'Villers sous Pareid', '55', 'FR'),
(22287, '55220', 'Villers sur Meuse', '55', 'FR'),
(22288, '55120', 'Ville sur Cousances', '55', 'FR'),
(22289, '55000', 'Ville sur Saulx', '55', 'FR'),
(22290, '55250', 'Villotte devant Louppy', '55', 'FR'),
(22291, '55260', 'Villotte sur Aire', '55', 'FR'),
(22292, '55110', 'Vilosnes Haraumont', '55', 'FR'),
(22293, '55150', 'Vittarville', '55', 'FR'),
(22294, '55190', 'Void Vacon', '55', 'FR'),
(22295, '55130', 'Vouthon Bas', '55', 'FR'),
(22296, '55130', 'Vouthon Haut', '55', 'FR'),
(22297, '55160', 'Wadonville en Wo�vre', '55', 'FR'),
(22298, '55250', 'Waly', '55', 'FR'),
(22299, '55400', 'Warcq', '55', 'FR'),
(22300, '55160', 'Watronville', '55', 'FR'),
(22301, '55150', 'Wavrille', '55', 'FR'),
(22302, '55500', 'Willeroncourt', '55', 'FR'),
(22303, '55700', 'Wiseppe', '55', 'FR'),
(22304, '55210', 'Wo�l', '55', 'FR'),
(22305, '55300', 'Woimbey', '55', 'FR'),
(22306, '55300', 'Woinville', '55', 'FR'),
(22307, '55300', 'Xivray et Marvoisin', '55', 'FR'),
(22308, '55250', 'Triaucourt en Argonne', '55', 'FR'),
(22309, '55220', 'Issoncourt', '55', 'FR'),
(22310, '56350', 'Allaire', '56', 'FR'),
(22311, '56190', 'Ambon', '56', 'FR'),
(22312, '56610', 'Arradon', '56', 'FR'),
(22313, '56190', 'Arzal', '56', 'FR'),
(22314, '56640', 'Arzon', '56', 'FR'),
(22315, '56800', 'Augan', '56', 'FR'),
(22316, '56400', 'Auray', '56', 'FR'),
(22317, '56870', 'Baden', '56', 'FR'),
(22318, '56360', 'Bangor', '56', 'FR'),
(22319, '56150', 'Baud', '56', 'FR'),
(22320, '56350', 'B�ganne', '56', 'FR'),
(22321, '56380', 'Beignon', '56', 'FR'),
(22322, '56550', 'Belz', '56', 'FR'),
(22323, '56240', 'Bern�', '56', 'FR'),
(22324, '56230', 'Berric', '56', 'FR'),
(22325, '56310', 'Bieuzy', '56', 'FR'),
(22326, '56500', 'Bignan', '56', 'FR'),
(22327, '56190', 'Billiers', '56', 'FR'),
(22328, '56420', 'Billio', '56', 'FR'),
(22329, '56140', 'Bohal', '56', 'FR'),
(22330, '56700', 'Brand�rion', '56', 'FR'),
(22331, '56390', 'Brandivy', '56', 'FR'),
(22332, '56400', 'Brech', '56', 'FR'),
(22333, '56580', 'Br�han', '56', 'FR'),
(22334, '56430', 'Brignac', '56', 'FR'),
(22335, '56310', 'Bubry', '56', 'FR'),
(22336, '56420', 'Bul�on', '56', 'FR'),
(22337, '56220', 'Caden', '56', 'FR'),
(22338, '56240', 'Calan', '56', 'FR'),
(22339, '56130', 'Camo�l', '56', 'FR'),
(22340, '56330', 'Camors', '56', 'FR'),
(22341, '56800', 'Camp�n�ac', '56', 'FR'),
(22342, '56910', 'Carentoir', '56', 'FR'),
(22343, '56340', 'Carnac', '56', 'FR'),
(22344, '56140', 'Caro', '56', 'FR'),
(22345, '56850', 'Caudan', '56', 'FR'),
(22346, '56460', 'Chapelle Caro', '56', 'FR'),
(22347, '56200', 'La Chapelle Gaceline', '56', 'FR'),
(22348, '56500', 'La Chapelle Neuve', '56', 'FR'),
(22349, '56620', 'Cl�guer', '56', 'FR'),
(22350, '56480', 'Cl�gu�rec', '56', 'FR'),
(22351, '56390', 'Colpo', '56', 'FR'),
(22352, '56430', 'Concoret', '56', 'FR'),
(22353, '56200', 'Cournon', '56', 'FR'),
(22354, '56230', 'Le Cours', '56', 'FR'),
(22355, '56950', 'Crach', '56', 'FR'),
(22356, '56580', 'Cr�din', '56', 'FR'),
(22357, '56540', 'Croisty', '56', 'FR'),
(22358, '56920', 'Croixanvec', '56', 'FR'),
(22359, '56120', 'La Croix Hell�an', '56', 'FR'),
(22360, '56420', 'Cruguel', '56', 'FR'),
(22361, '56750', 'Damgan', '56', 'FR'),
(22362, '56250', 'Elven', '56', 'FR'),
(22363, '56410', 'Erdeven', '56', 'FR'),
(22364, '56410', '�tel', '56', 'FR'),
(22365, '56490', '�vriguet', '56', 'FR'),
(22366, '56320', 'Le Faou�t', '56', 'FR'),
(22367, '56130', 'F�rel', '56', 'FR'),
(22368, '56120', 'Les Forges', '56', 'FR'),
(22369, '56200', 'Les Fouger�ts', '56', 'FR'),
(22370, '56200', 'La Gacilly', '56', 'FR'),
(22371, '56290', 'G�vres', '56', 'FR'),
(22372, '56830', 'Gestel', '56', 'FR'),
(22373, '56200', 'Gl�nac', '56', 'FR'),
(22374, '56800', 'Gourhel', '56', 'FR'),
(22375, '56110', 'Gourin', '56', 'FR'),
(22376, '56390', 'Grand Champ', '56', 'FR'),
(22377, '56120', 'La Gr�e Saint Laurent', '56', 'FR'),
(22378, '56590', 'Groix', '56', 'FR'),
(22379, '56120', 'Gu�gon', '56', 'FR'),
(22380, '56420', 'Gu�henno', '56', 'FR'),
(22381, '56920', 'Gueltas', '56', 'FR'),
(22382, '56160', 'Gu�m�n� sur Scorff', '56', 'FR'),
(22383, '56150', 'Gu�nin', '56', 'FR'),
(22384, '56380', 'Guer', '56', 'FR'),
(22385, '56310', 'Guern', '56', 'FR'),
(22386, '56190', 'Le Guerno', '56', 'FR'),
(22387, '56520', 'Guidel', '56', 'FR'),
(22388, '56800', 'Guillac', '56', 'FR'),
(22389, '56490', 'Guilliers', '56', 'FR'),
(22390, '56560', 'Guiscriff', '56', 'FR'),
(22391, '56120', 'Hell�an', '56', 'FR'),
(22392, '56700', 'Hennebont', '56', 'FR'),
(22393, '56450', 'Le H�zo', '56', 'FR'),
(22394, '56170', 'Ho�dic', '56', 'FR'),
(22395, '56170', 'Ile d''Houat', '56', 'FR'),
(22396, '56780', 'Ile aux Moines', '56', 'FR'),
(22397, '56840', 'Ile d''Arz', '56', 'FR'),
(22398, '56240', 'Inguiniel', '56', 'FR'),
(22399, '56650', 'Inzinzac Lochrist', '56', 'FR'),
(22400, '56120', 'Josselin', '56', 'FR'),
(22401, '56920', 'Kerfourn', '56', 'FR'),
(22402, '56300', 'Kergrist', '56', 'FR'),
(22403, '56700', 'Kervignac', '56', 'FR'),
(22404, '56690', 'Landaul', '56', 'FR'),
(22405, '56690', 'Land�vant', '56', 'FR'),
(22406, '56600', 'Lanester', '56', 'FR'),
(22407, '56160', 'Lango�lan', '56', 'FR'),
(22408, '56630', 'Langonnet', '56', 'FR'),
(22409, '56440', 'Languidic', '56', 'FR'),
(22410, '56120', 'Lanou�e', '56', 'FR'),
(22411, '56120', 'Lantillac', '56', 'FR'),
(22412, '56240', 'Lanvaudan', '56', 'FR'),
(22413, '56320', 'Lanv�n�gen', '56', 'FR'),
(22414, '56870', 'Larmor Baden', '56', 'FR'),
(22415, '56260', 'Larmor Plage', '56', 'FR'),
(22416, '56230', 'Larr�', '56', 'FR'),
(22417, '56190', 'Lauzach', '56', 'FR'),
(22418, '56160', 'Lignol', '56', 'FR'),
(22419, '56220', 'Limerzel', '56', 'FR'),
(22420, '56460', 'Lizio', '56', 'FR'),
(22421, '56160', 'Locmalo', '56', 'FR'),
(22422, '56360', 'Locmaria', '56', 'FR'),
(22423, '56390', 'Locmaria Grand Champ', '56', 'FR'),
(22424, '56740', 'Locmariaquer', '56', 'FR'),
(22425, '56500', 'Locmin�', '56', 'FR'),
(22426, '56570', 'Locmiqu�lic', '56', 'FR'),
(22427, '56550', 'Locoal Mendon', '56', 'FR'),
(22428, '56390', 'Locqueltas', '56', 'FR'),
(22429, '56100', 'Lorient', '56', 'FR'),
(22430, '56800', 'Loyat', '56', 'FR'),
(22431, '56220', 'Malansac', '56', 'FR'),
(22432, '56140', 'Malestroit', '56', 'FR'),
(22433, '56300', 'Malgu�nac', '56', 'FR'),
(22434, '56130', 'Marzan', '56', 'FR'),
(22435, '56430', 'Mauron', '56', 'FR'),
(22436, '56310', 'Melrand', '56', 'FR'),
(22437, '56490', 'M�n�ac', '56', 'FR'),
(22438, '56700', 'Merlevenez', '56', 'FR'),
(22439, '56320', 'Meslan', '56', 'FR'),
(22440, '56890', 'Meucon', '56', 'FR'),
(22441, '56140', 'Missiriac', '56', 'FR'),
(22442, '56490', 'Mohon', '56', 'FR'),
(22443, '56230', 'Molac', '56', 'FR'),
(22444, '56380', 'Monteneuf', '56', 'FR'),
(22445, '56250', 'Monterblanc', '56', 'FR'),
(22446, '56800', 'Monterrein', '56', 'FR'),
(22447, '56800', 'Montertelot', '56', 'FR'),
(22448, '56500', 'Mor�ac', '56', 'FR'),
(22449, '56500', 'Moustoir Ac', '56', 'FR'),
(22450, '56500', 'Moustoir Remungol', '56', 'FR'),
(22451, '56190', 'Muzillac', '56', 'FR'),
(22452, '56500', 'Naizin', '56', 'FR'),
(22453, '56430', 'N�ant sur Yvel', '56', 'FR'),
(22454, '56300', 'Neulliac', '56', 'FR'),
(22455, '56130', 'Nivillac', '56', 'FR'),
(22456, '56690', 'Nostang', '56', 'FR'),
(22457, '56190', 'Noyal Muzillac', '56', 'FR'),
(22458, '56450', 'Noyalo', '56', 'FR'),
(22459, '56920', 'Noyal Pontivy', '56', 'FR'),
(22460, '56360', 'Le Palais', '56', 'FR'),
(22461, '56130', 'P�aule', '56', 'FR'),
(22462, '56220', 'Peillac', '56', 'FR'),
(22463, '56760', 'P�nestin', '56', 'FR'),
(22464, '56160', 'Persquen', '56', 'FR'),
(22465, '56420', 'Plaudren', '56', 'FR'),
(22466, '56890', 'Plescop', '56', 'FR'),
(22467, '56140', 'Pleucadeuc', '56', 'FR'),
(22468, '56120', 'Pleugriffet', '56', 'FR'),
(22469, '56400', 'Ploemel', '56', 'FR'),
(22470, '56270', 'Ploemeur', '56', 'FR'),
(22471, '56160', 'Plo�rdut', '56', 'FR'),
(22472, '56880', 'Ploeren', '56', 'FR'),
(22473, '56800', 'Plo�rmel', '56', 'FR'),
(22474, '56240', 'Plouay', '56', 'FR'),
(22475, '56400', 'Plougoumelen', '56', 'FR'),
(22476, '56340', 'Plouharnel', '56', 'FR'),
(22477, '56680', 'Plouhinec', '56', 'FR'),
(22478, '56770', 'Plouray', '56', 'FR'),
(22479, '56220', 'Pluherlin', '56', 'FR'),
(22480, '56420', 'Plumelec', '56', 'FR'),
(22481, '56930', 'Plum�liau', '56', 'FR'),
(22482, '56500', 'Plumelin', '56', 'FR'),
(22483, '56400', 'Plumergat', '56', 'FR'),
(22484, '56400', 'Pluneret', '56', 'FR'),
(22485, '56330', 'Pluvigner', '56', 'FR'),
(22486, '56300', 'Pontivy', '56', 'FR'),
(22487, '56620', 'Pont Scorff', '56', 'FR'),
(22488, '56380', 'Porcaro', '56', 'FR'),
(22489, '56290', 'Port Louis', '56', 'FR'),
(22490, '56320', 'Priziac', '56', 'FR'),
(22491, '56910', 'Quelneuc', '56', 'FR'),
(22492, '56230', 'Questembert', '56', 'FR'),
(22493, '56530', 'Qu�ven', '56', 'FR'),
(22494, '56170', 'Quiberon', '56', 'FR'),
(22495, '56800', 'Quily', '56', 'FR'),
(22496, '56310', 'Quistinic', '56', 'FR'),
(22497, '56500', 'Radenac', '56', 'FR'),
(22498, '56500', 'R�guiny', '56', 'FR'),
(22499, '56140', 'R�miniac', '56', 'FR'),
(22500, '56500', 'Remungol', '56', 'FR'),
(22501, '56670', 'Riantec', '56', 'FR'),
(22502, '56350', 'Rieux', '56', 'FR'),
(22503, '56130', 'La Roche Bernard', '56', 'FR'),
(22504, '56220', 'Rochefort en Terre', '56', 'FR'),
(22505, '56460', 'Le Roc Saint Andr�', '56', 'FR'),
(22506, '56580', 'Rohan', '56', 'FR'),
(22507, '56110', 'Roudouallec', '56', 'FR'),
(22508, '56140', 'Ruffiac', '56', 'FR'),
(22509, '56110', 'Le Saint', '56', 'FR'),
(22510, '56140', 'Saint Abraham', '56', 'FR'),
(22511, '56480', 'Saint Aignan', '56', 'FR'),
(22512, '56500', 'Saint Allouestre', '56', 'FR'),
(22513, '56450', 'Saint Armel', '56', 'FR'),
(22514, '56890', 'Saint Av�', '56', 'FR'),
(22515, '56150', 'Saint Barth�lemy', '56', 'FR'),
(22516, '56430', 'Saint Brieuc de Mauron', '56', 'FR'),
(22517, '56480', 'Ste Brigitte', '56', 'FR'),
(22518, '56540', 'Saint Caradec Tr�gomel', '56', 'FR'),
(22519, '56140', 'Saint Congard', '56', 'FR'),
(22520, '56130', 'Saint Dolay', '56', 'FR'),
(22521, '56920', 'Saint G�rand', '56', 'FR'),
(22522, '56730', 'Saint Gildas de Rhuys', '56', 'FR'),
(22523, '56920', 'Saint Gonnery', '56', 'FR'),
(22524, '56350', 'Saint Gorgon', '56', 'FR'),
(22525, '56580', 'Saint Gouvry', '56', 'FR'),
(22526, '56220', 'Saint Grav�', '56', 'FR'),
(22527, '56460', 'Saint Guyomard', '56', 'FR'),
(22528, '56700', 'Sainte H�l�ne', '56', 'FR'),
(22529, '56220', 'Saint Jacut les Pins', '56', 'FR'),
(22530, '56660', 'Saint Jean Br�velay', '56', 'FR'),
(22531, '56350', 'Saint Jean la Poterie', '56', 'FR'),
(22532, '56140', 'St Laurent sur Oust', '56', 'FR'),
(22533, '56430', 'Saint L�ry', '56', 'FR'),
(22534, '56380', 'Saint Malo de Beignon', '56', 'FR'),
(22535, '56490', 'Saint Malo des Trois Fontaines', '56', 'FR'),
(22536, '56140', 'Saint Marcel', '56', 'FR'),
(22537, '56200', 'St Martin', '56', 'FR'),
(22538, '56910', 'Saint Nicolas du Tertre', '56', 'FR'),
(22539, '56250', 'Saint Nolff', '56', 'FR'),
(22540, '56350', 'Saint Perreux', '56', 'FR'),
(22541, '56470', 'Saint Philibert', '56', 'FR'),
(22542, '56510', 'Saint Pierre Quiberon', '56', 'FR'),
(22543, '56580', 'Saint Samson', '56', 'FR'),
(22544, '56120', 'Saint Servant', '56', 'FR'),
(22545, '56300', 'Saint Thuriau', '56', 'FR'),
(22546, '56540', 'St Tugdual', '56', 'FR'),
(22547, '56350', 'Saint Vincent sur Oust', '56', 'FR'),
(22548, '56370', 'Sarzeau', '56', 'FR'),
(22549, '56360', 'Sauzon', '56', 'FR'),
(22550, '56160', 'S�glien', '56', 'FR'),
(22551, '56860', 'S�n�', '56', 'FR'),
(22552, '56460', 'S�rent', '56', 'FR'),
(22553, '56480', 'Silfiac', '56', 'FR'),
(22554, '56300', 'Le Sourn', '56', 'FR'),
(22555, '56250', 'Sulniac', '56', 'FR'),
(22556, '56450', 'Surzur', '56', 'FR'),
(22557, '56800', 'Taupont', '56', 'FR'),
(22558, '56130', 'Th�hillac', '56', 'FR'),
(22559, '56450', 'Theix', '56', 'FR'),
(22560, '56370', 'Le Tour du Parc', '56', 'FR'),
(22561, '56140', 'Tr�al', '56', 'FR'),
(22562, '56250', 'Tr�dion', '56', 'FR'),
(22563, '56250', 'Treffl�an', '56', 'FR'),
(22564, '56430', 'Tr�horenteuc', '56', 'FR'),
(22565, '56710', 'La Trinit� Porho�t', '56', 'FR'),
(22566, '56470', 'La Trinit� sur Mer', '56', 'FR'),
(22567, '56190', 'La Trinit� Surzur', '56', 'FR'),
(22568, '56000', 'Vannes', '56', 'FR'),
(22569, '56250', 'La Vraie Croix', '56', 'FR'),
(22570, '56400', 'Bono', '56', 'FR'),
(22571, '56400', 'Ste Anne d''Auray', '56', 'FR'),
(22572, '56540', 'Kernascl�den', '56', 'FR'),
(22573, '56640', 'Port Navalo', '56', 'FR'),
(22574, '57920', 'Aboncourt', '57', 'FR'),
(22575, '57590', 'Aboncourt sur Seille', '57', 'FR'),
(22576, '57560', 'Abreschviller', '57', 'FR'),
(22577, '57340', 'Achain', '57', 'FR'),
(22578, '57410', 'Achen', '57', 'FR'),
(22579, '57580', 'Adaincourt', '57', 'FR'),
(22580, '57380', 'Adelange', '57', 'FR'),
(22581, '57590', 'Ajoncourt', '57', 'FR'),
(22582, '57590', 'Alaincourt la C�te', '57', 'FR'),
(22583, '57670', 'Albestroff', '57', 'FR'),
(22584, '57440', 'Algrange', '57', 'FR'),
(22585, '57520', 'Alsting', '57', 'FR'),
(22586, '57660', 'Altrippe', '57', 'FR'),
(22587, '57730', 'Altviller', '57', 'FR'),
(22588, '57320', 'Alzing', '57', 'FR'),
(22589, '57111', 'Amanvillers', '57', 'FR'),
(22590, '57170', 'Am�l�court', '57', 'FR'),
(22591, '57360', 'Amn�ville', '57', 'FR'),
(22592, '57580', 'Ancerville', '57', 'FR'),
(22593, '57130', 'Ancy sur Moselle', '57', 'FR'),
(22594, '57440', 'Angevillers', '57', 'FR'),
(22595, '57930', 'Angviller l�s Bisping', '57', 'FR'),
(22596, '57640', 'Antilly', '57', 'FR'),
(22597, '57320', 'Anzeling', '57', 'FR'),
(22598, '57480', 'Apach', '57', 'FR'),
(22599, '57380', 'Arraincourt', '57', 'FR'),
(22600, '57640', 'Argancy', '57', 'FR'),
(22601, '57580', 'Arriance', '57', 'FR'),
(22602, '57680', 'Arry', '57', 'FR'),
(22603, '57530', 'Ars Laquenexy', '57', 'FR'),
(22604, '57130', 'Ars sur Moselle', '57', 'FR'),
(22605, '57400', 'Arzviller', '57', 'FR'),
(22606, '57790', 'Aspach', '57', 'FR'),
(22607, '57810', 'Assenoncourt', '57', 'FR'),
(22608, '57170', 'Attilloncourt', '57', 'FR'),
(22609, '57580', 'Aube', '57', 'FR'),
(22610, '57390', 'Audun le Tiche', '57', 'FR'),
(22611, '57176', 'Augny', '57', 'FR'),
(22612, '57590', 'Aulnois sur Seille', '57', 'FR'),
(22613, '57710', 'Aumetz', '57', 'FR'),
(22614, '57810', 'Avricourt', '57', 'FR'),
(22615, '57300', 'Ay sur Moselle', '57', 'FR'),
(22616, '57810', 'Azoudange', '57', 'FR'),
(22617, '57590', 'Bacourt', '57', 'FR'),
(22618, '57230', 'Baerenthal', '57', 'FR'),
(22619, '57690', 'Bambiderstroff', '57', 'FR'),
(22620, '57220', 'Bannay', '57', 'FR'),
(22621, '57050', 'Ban Saint Martin', '57', 'FR'),
(22622, '57830', 'Barchain', '57', 'FR'),
(22623, '57340', 'Baronville', '57', 'FR'),
(22624, '57450', 'Barst', '57', 'FR'),
(22625, '57260', 'Bassing', '57', 'FR'),
(22626, '57580', 'Baudrecourt', '57', 'FR'),
(22627, '57530', 'Bazoncourt', '57', 'FR'),
(22628, '57830', 'B�bing', '57', 'FR'),
(22629, '57580', 'B�chy', '57', 'FR'),
(22630, '57460', 'Behren l�s Forbach', '57', 'FR'),
(22631, '57340', 'Bellange', '57', 'FR'),
(22632, '57670', 'B�nestroff', '57', 'FR'),
(22633, '57800', 'B�ning l�s Saint Avold', '57', 'FR'),
(22634, '57570', 'Berg sur Moselle', '57', 'FR'),
(22635, '57660', 'B�rig Vintrange', '57', 'FR'),
(22636, '57370', 'Berling', '57', 'FR'),
(22637, '57340', 'Bermering', '57', 'FR'),
(22638, '57930', 'Berthelming', '57', 'FR'),
(22639, '57310', 'Bertrange', '57', 'FR'),
(22640, '57550', 'Berviller en Moselle', '57', 'FR'),
(22641, '57220', 'Bettange', '57', 'FR'),
(22642, '57930', 'Bettborn', '57', 'FR'),
(22643, '57640', 'Bettelainville', '57', 'FR'),
(22644, '57800', 'Betting l�s Saint Avold', '57', 'FR'),
(22645, '57410', 'Bettviller', '57', 'FR'),
(22646, '57580', 'Beux', '57', 'FR'),
(22647, '57570', 'Beyren l�s Sierck', '57', 'FR'),
(22648, '57630', 'Bezange la Petite', '57', 'FR'),
(22649, '57320', 'Bibiche', '57', 'FR'),
(22650, '57370', 'Bickenholtz', '57', 'FR'),
(22651, '57260', 'Bidestroff', '57', 'FR'),
(22652, '57660', 'Biding', '57', 'FR'),
(22653, '57410', 'Bining', '57', 'FR'),
(22654, '57170', 'Bioncourt', '57', 'FR'),
(22655, '57220', 'Bionville sur Nied', '57', 'FR'),
(22656, '57930', 'Belles For�ts', '57', 'FR'),
(22657, '57220', 'Bisten en Lorraine', '57', 'FR'),
(22658, '57660', 'Bistroff', '57', 'FR'),
(22659, '57230', 'Bitche', '57', 'FR'),
(22660, '57260', 'Blanche �glise', '57', 'FR'),
(22661, '57200', 'Bliesbruck', '57', 'FR'),
(22662, '57200', 'Blies �bersing', '57', 'FR'),
(22663, '57200', 'Blies Guersviller', '57', 'FR'),
(22664, '57220', 'Boucheporn', '57', 'FR'),
(22665, '57113', 'Boulange', '57', 'FR'),
(22666, '57220', 'Boulay Moselle', '57', 'FR'),
(22667, '57260', 'Bourgaltroff', '57', 'FR'),
(22668, '57810', 'Bourdonnay', '57', 'FR'),
(22669, '57370', 'Bourscheid', '57', 'FR'),
(22670, '57460', 'Bousbach', '57', 'FR'),
(22671, '57310', 'Bousse', '57', 'FR'),
(22672, '57230', 'Bousseviller', '57', 'FR'),
(22673, '57570', 'Boust', '57', 'FR'),
(22674, '57380', 'Boustroff', '57', 'FR'),
(22675, '57320', 'Bouzonville', '57', 'FR'),
(22676, '57340', 'Br�hain', '57', 'FR'),
(22677, '57720', 'Breidenbach', '57', 'FR'),
(22678, '57570', 'Breistroff la Grande', '57', 'FR'),
(22679, '57320', 'Brettnach', '57', 'FR'),
(22680, '57159', 'Bronvaux', '57', 'FR'),
(22681, '57220', 'Brouck', '57', 'FR'),
(22682, '57116', 'Brouderdorff', '57', 'FR'),
(22683, '57119', 'Brouviller', '57', 'FR'),
(22684, '57340', 'Brulange', '57', 'FR'),
(22685, '57420', 'Buchy', '57', 'FR'),
(22686, '57920', 'Buding', '57', 'FR'),
(22687, '57110', 'Budling', '57', 'FR'),
(22688, '57400', 'Buhl Lorraine', '57', 'FR'),
(22689, '57170', 'Burlioncourt', '57', 'FR'),
(22690, '57220', 'Burtoncourt', '57', 'FR'),
(22691, '57450', 'Cappel', '57', 'FR'),
(22692, '57490', 'Carling', '57', 'FR'),
(22693, '57570', 'Cattenom', '57', 'FR'),
(22694, '57365', 'Chailly l�s Ennery', '57', 'FR'),
(22695, '57170', 'Chambrey', '57', 'FR'),
(22696, '57580', 'Chanville', '57', 'FR'),
(22697, '57220', 'Charleville sous Bois', '57', 'FR'),
(22698, '57640', 'Charly Oradour', '57', 'FR'),
(22699, '57340', 'Ch�teau Br�hain', '57', 'FR'),
(22700, '57320', 'Ch�teau Rouge', '57', 'FR'),
(22701, '57170', 'Ch�teau Salins', '57', 'FR'),
(22702, '57170', 'Ch�teau Vou�', '57', 'FR'),
(22703, '57160', 'Ch�tel Saint Germain', '57', 'FR'),
(22704, '57380', 'Ch�mery', '57', 'FR'),
(22705, '57320', 'Ch�mery les Deux', '57', 'FR'),
(22706, '57420', 'Cheminot', '57', 'FR'),
(22707, '57580', 'Chenois', '57', 'FR'),
(22708, '57420', 'Ch�risey', '57', 'FR'),
(22709, '57245', 'Chesny', '57', 'FR'),
(22710, '57590', 'Chicourt', '57', 'FR'),
(22711, '57070', 'Chieulles', '57', 'FR'),
(22712, '57120', 'Clouange', '57', 'FR'),
(22713, '57800', 'Cocheren', '57', 'FR'),
(22714, '57530', 'Coincy', '57', 'FR'),
(22715, '57420', 'Coin l�s Cuvry', '57', 'FR'),
(22716, '57420', 'Coin sur Seille', '57', 'FR'),
(22717, '57530', 'Colligny', '57', 'FR'),
(22718, '57320', 'Colmen', '57', 'FR'),
(22719, '57220', 'Cond� Northen', '57', 'FR'),
(22720, '57340', 'Conthil', '57', 'FR'),
(22721, '57480', 'Contz les Bains', '57', 'FR'),
(22722, '57680', 'Corny sur Moselle', '57', 'FR'),
(22723, '57220', 'Coume', '57', 'FR'),
(22724, '57530', 'Courcelles Chaussy', '57', 'FR'),
(22725, '57530', 'Courcelles sur Nied', '57', 'FR'),
(22726, '57590', 'Craincourt', '57', 'FR'),
(22727, '57690', 'Cr�hange', '57', 'FR'),
(22728, '57150', 'Creutzwald', '57', 'FR'),
(22729, '57260', 'Cutting', '57', 'FR'),
(22730, '57420', 'Cuvry', '57', 'FR'),
(22731, '57850', 'Dabo', '57', 'FR'),
(22732, '57550', 'Dalem', '57', 'FR'),
(22733, '57340', 'Dalhain', '57', 'FR'),
(22734, '57320', 'Dalstein', '57', 'FR'),
(22735, '57370', 'Danne et Quatre Vents', '57', 'FR'),
(22736, '57820', 'Dannelbourg', '57', 'FR'),
(22737, '57170', 'D�deling', '57', 'FR'),
(22738, '57590', 'Delme', '57', 'FR'),
(22739, '57220', 'Denting', '57', 'FR'),
(22740, '57930', 'Desseling', '57', 'FR'),
(22741, '57340', 'Destry', '57', 'FR'),
(22742, '57830', 'Diane Capelle', '57', 'FR'),
(22743, '57980', 'Diebling', '57', 'FR'),
(22744, '57260', 'Dieuze', '57', 'FR'),
(22745, '57660', 'Diffembach l�s Hellimer', '57', 'FR'),
(22746, '57134', 'Distroff', '57', 'FR'),
(22747, '57400', 'Dolving', '57', 'FR'),
(22748, '57260', 'Domnon l�s Dieuze', '57', 'FR'),
(22749, '57590', 'Donjeux', '57', 'FR'),
(22750, '57810', 'Donnelay', '57', 'FR'),
(22751, '57130', 'Dornot', '57', 'FR'),
(22752, '57320', 'Ebersviller', '57', 'FR'),
(22753, '57220', '�blange', '57', 'FR'),
(22754, '57230', '�guelshardt', '57', 'FR'),
(22755, '57340', 'Eincheville', '57', 'FR'),
(22756, '57690', 'Elvange', '57', 'FR'),
(22757, '57110', 'Elzange', '57', 'FR'),
(22758, '57410', 'Enchenberg', '57', 'FR'),
(22759, '57365', 'Ennery', '57', 'FR'),
(22760, '57330', 'Entrange', '57', 'FR'),
(22761, '57720', 'Epping', '57', 'FR'),
(22762, '57136', 'Erching', '57', 'FR'),
(22763, '57510', 'Ernestviller', '57', 'FR'),
(22764, '57660', 'Erstroff', '57', 'FR'),
(22765, '57330', 'Escherange', '57', 'FR'),
(22766, '57530', 'Les �tangs', '57', 'FR'),
(22767, '57410', 'Etting', '57', 'FR'),
(22768, '57460', 'Etzling', '57', 'FR'),
(22769, '57570', '�vrange', '57', 'FR'),
(22770, '57640', 'Failly', '57', 'FR'),
(22771, '57550', 'Falck', '57', 'FR'),
(22772, '57290', 'Fameck', '57', 'FR'),
(22773, '57450', 'Far�bersviller', '57', 'FR'),
(22774, '57450', 'Farschviller', '57', 'FR'),
(22775, '57380', 'Faulquemont', '57', 'FR'),
(22776, '57930', 'F�n�trange', '57', 'FR'),
(22777, '57210', 'F�ves', '57', 'FR'),
(22778, '57420', 'F�y', '57', 'FR'),
(22779, '57320', 'Filstroff', '57', 'FR'),
(22780, '57570', 'Fixem', '57', 'FR'),
(22781, '57320', 'Flastroff', '57', 'FR'),
(22782, '57119', 'Fleisheim', '57', 'FR'),
(22783, '57690', 'Fl�trange', '57', 'FR'),
(22784, '57420', 'Fleury', '57', 'FR'),
(22785, '57365', 'Fl�vy', '57', 'FR'),
(22786, '57580', 'Flocourt', '57', 'FR'),
(22787, '57190', 'Florange', '57', 'FR'),
(22788, '57600', 'Folkling', '57', 'FR'),
(22789, '57730', 'Folschviller', '57', 'FR'),
(22790, '57590', 'Fonteny', '57', 'FR'),
(22791, '57650', 'Fontoy', '57', 'FR'),
(22792, '57600', 'Forbach', '57', 'FR'),
(22793, '57590', 'Fossieux', '57', 'FR'),
(22794, '57830', 'Foulcrey', '57', 'FR'),
(22795, '57220', 'Fouligny', '57', 'FR'),
(22796, '57420', 'Foville', '57', 'FR'),
(22797, '57670', 'Francaltroff', '57', 'FR'),
(22798, '57790', 'Fraquelfing', '57', 'FR'),
(22799, '57200', 'Frauenberg', '57', 'FR'),
(22800, '57320', 'Freistroff', '57', 'FR'),
(22801, '57590', 'Fr�mery', '57', 'FR'),
(22802, '57660', 'Fr�mestroff', '57', 'FR'),
(22803, '57170', 'Fresnes en Saulnois', '57', 'FR'),
(22804, '57660', 'Freybouse', '57', 'FR'),
(22805, '57800', 'Freyming Merlebach', '57', 'FR'),
(22806, '57810', 'Fribourg', '57', 'FR'),
(22807, '57175', 'Gandrange', '57', 'FR'),
(22808, '57100', 'Garche', '57', 'FR'),
(22809, '57820', 'Garrebourg', '57', 'FR'),
(22810, '57570', 'Gavisse', '57', 'FR'),
(22811, '57260', 'G�lucourt', '57', 'FR'),
(22812, '57170', 'Gerb�court', '57', 'FR'),
(22813, '57670', 'Givrycourt', '57', 'FR'),
(22814, '57530', 'Glatigny', '57', 'FR'),
(22815, '57620', 'Goetzenbruck', '57', 'FR'),
(22816, '57420', 'Goin', '57', 'FR'),
(22817, '57220', 'Gomelange', '57', 'FR'),
(22818, '57142', 'Gondrexange', '57', 'FR'),
(22819, '57680', 'Gorze', '57', 'FR'),
(22820, '57930', 'Gosselming', '57', 'FR'),
(22821, '57130', 'Gravelotte', '57', 'FR'),
(22822, '57170', 'Gr�mecey', '57', 'FR'),
(22823, '57660', 'Gr�ning', '57', 'FR'),
(22824, '57480', 'Grindorff', '57', 'FR'),
(22825, '57520', 'Grosbliederstroff', '57', 'FR'),
(22826, '57410', 'Gros R�derching', '57', 'FR'),
(22827, '57660', 'Grostenquin', '57', 'FR'),
(22828, '57510', 'Grundviller', '57', 'FR'),
(22829, '57510', 'Guebenhouse', '57', 'FR'),
(22830, '57260', 'Gu�bestroff', '57', 'FR'),
(22831, '57260', 'Gu�blange l�s Dieuze', '57', 'FR'),
(22832, '57430', 'Le Val de Gu�blange', '57', 'FR'),
(22833, '57260', 'Gu�bling', '57', 'FR'),
(22834, '57310', 'Gu�nange', '57', 'FR'),
(22835, '57260', 'Val de Bride', '57', 'FR'),
(22836, '57470', 'Guenviller', '57', 'FR'),
(22837, '57810', 'Guermange', '57', 'FR'),
(22838, '57320', 'Guerstling', '57', 'FR'),
(22839, '57880', 'Guerting', '57', 'FR'),
(22840, '57380', 'Guessling H�mering', '57', 'FR'),
(22841, '57690', 'Guinglange', '57', 'FR'),
(22842, '57220', 'Guinkirchen', '57', 'FR'),
(22843, '57670', 'Guinzeling', '57', 'FR'),
(22844, '57220', 'Guirlange', '57', 'FR'),
(22845, '57400', 'Guntzviller', '57', 'FR'),
(22846, '57340', 'Haboudange', '57', 'FR'),
(22847, '57570', 'Hagen', '57', 'FR'),
(22848, '57300', 'Hagondange', '57', 'FR'),
(22849, '57690', 'Hallering', '57', 'FR'),
(22850, '57220', 'Halling l�s Boulay', '57', 'FR'),
(22851, '57480', 'Halstroff', '57', 'FR'),
(22852, '57110', 'Basse Ham', '57', 'FR'),
(22853, '57880', 'Ham sous Varsberg', '57', 'FR'),
(22854, '57910', 'Hambach', '57', 'FR'),
(22855, '57170', 'Hampont', '57', 'FR'),
(22856, '57370', 'Hangviller', '57', 'FR'),
(22857, '57590', 'Hannocourt', '57', 'FR'),
(22858, '57580', 'Han sur Nied', '57', 'FR'),
(22859, '57230', 'Hanviller', '57', 'FR'),
(22860, '57630', 'Haraucourt sur Seille', '57', 'FR'),
(22861, '57550', 'Hargarten aux Mines', '57', 'FR'),
(22862, '57340', 'Harprich', '57', 'FR'),
(22863, '57870', 'Harreberg', '57', 'FR'),
(22864, '57870', 'Hartzviller', '57', 'FR'),
(22865, '57850', 'Haselbourg', '57', 'FR'),
(22866, '57230', 'Haspelschiedt', '57', 'FR'),
(22867, '57790', 'Hattigny', '57', 'FR'),
(22868, '57210', 'Hauconcourt', '57', 'FR'),
(22869, '57400', 'Haut Clocher', '57', 'FR'),
(22870, '57650', 'Havange', '57', 'FR'),
(22871, '57700', 'Hayange', '57', 'FR'),
(22872, '57240', 'Hayange', '57', 'FR'),
(22873, '57530', 'Hayes', '57', 'FR'),
(22874, '57430', 'Hazembourg', '57', 'FR'),
(22875, '57320', 'Heining l�s Bouzonville', '57', 'FR'),
(22876, '57930', 'Hellering l�s F�n�trange', '57', 'FR'),
(22877, '57660', 'Hellimer', '57', 'FR'),
(22878, '57220', 'Helstroff', '57', 'FR'),
(22879, '57690', 'H�milly', '57', 'FR'),
(22880, '57830', 'H�ming', '57', 'FR'),
(22881, '57820', 'Henridorff', '57', 'FR'),
(22882, '57450', 'Henriville', '57', 'FR'),
(22883, '57119', 'H�range', '57', 'FR'),
(22884, '57790', 'Hermelange', '57', 'FR'),
(22885, '57580', 'Herny', '57', 'FR'),
(22886, '57830', 'Hertzing', '57', 'FR'),
(22887, '57400', 'Hesse', '57', 'FR'),
(22888, '57320', 'Hestroff', '57', 'FR'),
(22889, '57330', 'Hettange Grande', '57', 'FR'),
(22890, '57400', 'Hilbesheim', '57', 'FR'),
(22891, '57510', 'Hilsprich', '57', 'FR'),
(22892, '57220', 'Hinckange', '57', 'FR'),
(22893, '57380', 'Holacourt', '57', 'FR'),
(22894, '57220', 'Holling', '57', 'FR'),
(22895, '57510', 'Holving', '57', 'FR'),
(22896, '57920', 'Hombourg Budange', '57', 'FR'),
(22897, '57470', 'Hombourg Haut', '57', 'FR'),
(22898, '57400', 'Hommarting', '57', 'FR'),
(22899, '57870', 'Hommert', '57', 'FR'),
(22900, '57670', 'Honskirch', '57', 'FR'),
(22901, '57490', 'L''H�pital', '57', 'FR'),
(22902, '57510', 'Hoste', '57', 'FR'),
(22903, '57720', 'Hottviller', '57', 'FR'),
(22904, '57820', 'Hultehouse', '57', 'FR'),
(22905, '57990', 'Hundling', '57', 'FR'),
(22906, '57480', 'Hunting', '57', 'FR'),
(22907, '57830', 'Ibigny', '57', 'FR'),
(22908, '57110', 'Illange', '57', 'FR'),
(22909, '57400', 'Imling', '57', 'FR'),
(22910, '57110', 'Inglange', '57', 'FR'),
(22911, '57670', 'Insming', '57', 'FR'),
(22912, '57670', 'Insviller', '57', 'FR'),
(22913, '57990', 'Ippling', '57', 'FR'),
(22914, '57590', 'Jallaucourt', '57', 'FR'),
(22915, '57130', 'Jouy aux Arches', '57', 'FR'),
(22916, '57245', 'Jury', '57', 'FR'),
(22917, '57130', 'Jussy', '57', 'FR'),
(22918, '57630', 'Juvelize', '57', 'FR'),
(22919, '57590', 'Juville', '57', 'FR'),
(22920, '57410', 'Kalhausen', '57', 'FR'),
(22921, '57330', 'Kanfen', '57', 'FR'),
(22922, '57430', 'Kappelkinger', '57', 'FR'),
(22923, '57920', 'K�dange sur Canner', '57', 'FR'),
(22924, '57920', 'Kemplich', '57', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(22925, '57460', 'Kerbach', '57', 'FR'),
(22926, '57480', 'Kerling l�s Sierck', '57', 'FR'),
(22927, '57830', 'Kerprich aux Bois', '57', 'FR'),
(22928, '57260', 'Kerprich l�s Dieuze', '57', 'FR'),
(22929, '57480', 'Kirsch l�s Sierck', '57', 'FR'),
(22930, '57480', 'Kirschnaumen', '57', 'FR'),
(22931, '57430', 'Kirviller', '57', 'FR'),
(22932, '57920', 'Klang', '57', 'FR'),
(22933, '57240', 'Knutange', '57', 'FR'),
(22934, '57100', 'Koeking', '57', 'FR'),
(22935, '57110', 'Koenigsmacker', '57', 'FR'),
(22936, '57480', 'Haute Kontz', '57', 'FR'),
(22937, '57110', 'Kuntzig', '57', 'FR'),
(22938, '57730', 'Lachambre', '57', 'FR'),
(22939, '57560', 'Lafrimbolle', '57', 'FR'),
(22940, '57810', 'Lagarde', '57', 'FR'),
(22941, '57410', 'Lambach', '57', 'FR'),
(22942, '57830', 'Landange', '57', 'FR'),
(22943, '57530', 'Landonvillers', '57', 'FR'),
(22944, '57340', 'Landroff', '57', 'FR'),
(22945, '57790', 'Laneuveville l�s Lorquin', '57', 'FR'),
(22946, '57590', 'Laneuveville en Saulnois', '57', 'FR'),
(22947, '57400', 'Langatte', '57', 'FR'),
(22948, '57810', 'Languimberg', '57', 'FR'),
(22949, '57660', 'Laning', '57', 'FR'),
(22950, '57530', 'Laquenexy', '57', 'FR'),
(22951, '57114', 'Laudrefang', '57', 'FR'),
(22952, '57480', 'Laumesfeld', '57', 'FR'),
(22953, '57480', 'Launstroff', '57', 'FR'),
(22954, '57660', 'Lelling', '57', 'FR'),
(22955, '57620', 'Lemberg', '57', 'FR'),
(22956, '57590', 'Lemoncourt', '57', 'FR'),
(22957, '57580', 'Lemud', '57', 'FR'),
(22958, '57720', 'Lengelsheim', '57', 'FR'),
(22959, '57670', 'L�ning', '57', 'FR'),
(22960, '57580', 'Lesse', '57', 'FR'),
(22961, '57160', 'Lessy', '57', 'FR'),
(22962, '57810', 'Ley', '57', 'FR'),
(22963, '57660', 'Leyviller', '57', 'FR'),
(22964, '57630', 'Lezey', '57', 'FR'),
(22965, '57340', 'Lidrezing', '57', 'FR'),
(22966, '57230', 'Liederschiedt', '57', 'FR'),
(22967, '57420', 'Li�hon', '57', 'FR'),
(22968, '57260', 'Lindre Basse', '57', 'FR'),
(22969, '57260', 'Lindre Haute', '57', 'FR'),
(22970, '57590', 'Liocourt', '57', 'FR'),
(22971, '57119', 'Lixheim', '57', 'FR'),
(22972, '57520', 'Lixing l�s Rouhling', '57', 'FR'),
(22973, '57660', 'Lixing l�s Saint Avold', '57', 'FR'),
(22974, '57670', 'Lhor', '57', 'FR'),
(22975, '57650', 'Lommerange', '57', 'FR'),
(22976, '57050', 'Longeville l�s Metz', '57', 'FR'),
(22977, '57740', 'Longeville l�s Saint Avold', '57', 'FR'),
(22978, '57790', 'Lorquin', '57', 'FR'),
(22979, '57050', 'Lorry l�s Metz', '57', 'FR'),
(22980, '57420', 'Lorry Mardigny', '57', 'FR'),
(22981, '57670', 'Lostroff', '57', 'FR'),
(22982, '57670', 'Loudrefing', '57', 'FR'),
(22983, '57510', 'Loupershouse', '57', 'FR'),
(22984, '57220', 'Loutremange', '57', 'FR'),
(22985, '57720', 'Loutzviller', '57', 'FR'),
(22986, '57420', 'Louvigny', '57', 'FR'),
(22987, '57170', 'Lub�court', '57', 'FR'),
(22988, '57590', 'Lucy', '57', 'FR'),
(22989, '57580', 'Luppy', '57', 'FR'),
(22990, '57144', 'Luttange', '57', 'FR'),
(22991, '57820', 'Lutzelbourg', '57', 'FR'),
(22992, '57730', 'Macheren', '57', 'FR'),
(22993, '57380', 'Mainvillers', '57', 'FR'),
(22994, '57530', 'Maizeroy', '57', 'FR'),
(22995, '57530', 'Maizery', '57', 'FR'),
(22996, '57210', 'Maizi�res l�s Metz', '57', 'FR'),
(22997, '57810', 'Maizi�res l�s Vic', '57', 'FR'),
(22998, '57860', 'Malancourt la Montagne', '57', 'FR'),
(22999, '57590', 'Malaucourt sur Seille', '57', 'FR'),
(23000, '57480', 'Malling', '57', 'FR'),
(23001, '57640', 'Malroy', '57', 'FR'),
(23002, '57480', 'Manderen', '57', 'FR'),
(23003, '57590', 'Manhou�', '57', 'FR'),
(23004, '57100', 'Manom', '57', 'FR'),
(23005, '57380', 'Many', '57', 'FR'),
(23006, '57159', 'Marange Silvange', '57', 'FR'),
(23007, '57690', 'Marange Zondrange', '57', 'FR'),
(23008, '57420', 'Marieulles', '57', 'FR'),
(23009, '57670', 'Marimont l�s B�nestroff', '57', 'FR'),
(23010, '57157', 'Marly', '57', 'FR'),
(23011, '57630', 'Marsal', '57', 'FR'),
(23012, '57530', 'Marsilly', '57', 'FR'),
(23013, '57700', 'Marspich', '57', 'FR'),
(23014, '57340', 'Marthille', '57', 'FR'),
(23015, '57140', 'La Maxe', '57', 'FR'),
(23016, '57660', 'Maxstadt', '57', 'FR'),
(23017, '57245', 'M�cleuves', '57', 'FR'),
(23018, '57220', 'M�gange', '57', 'FR'),
(23019, '57960', 'Meisenthal', '57', 'FR'),
(23020, '57320', 'Menskirch', '57', 'FR'),
(23021, '57800', 'Merlebach', '57', 'FR'),
(23022, '57480', 'Merschweiller', '57', 'FR'),
(23023, '57550', 'Merten', '57', 'FR'),
(23024, '57560', 'M�tairies Saint Quirin', '57', 'FR'),
(23025, '57370', 'Metting', '57', 'FR'),
(23026, '57050', 'Metz', '57', 'FR'),
(23027, '57070', 'Metz', '57', 'FR'),
(23028, '57000', 'Metz', '57', 'FR'),
(23029, '57920', 'Metzeresche', '57', 'FR'),
(23030, '57940', 'Metzervisse', '57', 'FR'),
(23031, '57980', 'Metzing', '57', 'FR'),
(23032, '57070', 'Mey', '57', 'FR'),
(23033, '57370', 'Mittelbronn', '57', 'FR'),
(23034, '57930', 'Mittersheim', '57', 'FR'),
(23035, '57670', 'Molring', '57', 'FR'),
(23036, '57220', 'Momerstroff', '57', 'FR'),
(23037, '57420', 'Moncheux', '57', 'FR'),
(23038, '57810', 'Moncourt', '57', 'FR'),
(23039, '57300', 'Mondelange', '57', 'FR'),
(23040, '57570', 'Mondorff', '57', 'FR'),
(23041, '57920', 'Monneren', '57', 'FR'),
(23042, '57410', 'Montbronn', '57', 'FR'),
(23043, '57670', 'Montdidier', '57', 'FR'),
(23044, '57480', 'Montenach', '57', 'FR'),
(23045, '57158', 'Montigny l�s Metz', '57', 'FR'),
(23046, '57860', 'Montois la Montagne', '57', 'FR'),
(23047, '57117', 'Montoy Flanville', '57', 'FR'),
(23048, '57340', 'Morhange', '57', 'FR'),
(23049, '57600', 'Morsbach', '57', 'FR'),
(23050, '57170', 'Morville l�s Vic', '57', 'FR'),
(23051, '57590', 'Morville sur Nied', '57', 'FR'),
(23052, '57160', 'Moulins l�s Metz', '57', 'FR'),
(23053, '57770', 'Moussey', '57', 'FR'),
(23054, '57620', 'Mouterhouse', '57', 'FR'),
(23055, '57630', 'Moyenvic', '57', 'FR'),
(23056, '57250', 'Moyeuvre Grande', '57', 'FR'),
(23057, '57250', 'Moyeuvre Petite', '57', 'FR'),
(23058, '57260', 'Mulcey', '57', 'FR'),
(23059, '57670', 'Munster', '57', 'FR'),
(23060, '57220', 'Narb�fontaine', '57', 'FR'),
(23061, '57670', 'N�bing', '57', 'FR'),
(23062, '57670', 'Nelling', '57', 'FR'),
(23063, '57700', 'Neufchef', '57', 'FR'),
(23064, '57910', 'Neufgrange', '57', 'FR'),
(23065, '57830', 'Neufmoulins', '57', 'FR'),
(23066, '57670', 'Neufvillage', '57', 'FR'),
(23067, '57320', 'Neunkirchen l�s Bouzonville', '57', 'FR'),
(23068, '57560', 'Niderhoff', '57', 'FR'),
(23069, '57116', 'Niderviller', '57', 'FR'),
(23070, '57930', 'Niederstinzel', '57', 'FR'),
(23071, '57220', 'Niedervisse', '57', 'FR'),
(23072, '57240', 'Nilvange', '57', 'FR'),
(23073, '57790', 'Nitting', '57', 'FR'),
(23074, '57117', 'Noisseville', '57', 'FR'),
(23075, '57140', 'Norroy le Veneur', '57', 'FR'),
(23076, '57117', 'Nouilly', '57', 'FR'),
(23077, '57720', 'Nousseviller l�s Bitche', '57', 'FR'),
(23078, '57990', 'Nousseviller Saint Nabor', '57', 'FR'),
(23079, '57680', 'Nov�ant sur Moselle', '57', 'FR'),
(23080, '57320', 'Oberdorff', '57', 'FR'),
(23081, '57720', 'Obergailbach', '57', 'FR'),
(23082, '57930', 'Oberstinzel', '57', 'FR'),
(23083, '57220', 'Obervisse', '57', 'FR'),
(23084, '57170', 'Obreck', '57', 'FR'),
(23085, '57600', 'Oeting', '57', 'FR'),
(23086, '57100', 'Oeutrange', '57', 'FR'),
(23087, '57530', 'Ogy', '57', 'FR'),
(23088, '57810', 'Ommeray', '57', 'FR'),
(23089, '57590', 'Oriocourt', '57', 'FR'),
(23090, '57720', 'Ormersviller', '57', 'FR'),
(23091, '57420', 'Orny', '57', 'FR'),
(23092, '57590', 'Oron', '57', 'FR'),
(23093, '57840', 'Ottange', '57', 'FR'),
(23094, '57220', 'Ottonville', '57', 'FR'),
(23095, '57110', 'Oudrenne', '57', 'FR'),
(23096, '57420', 'Pagny l�s Goin', '57', 'FR'),
(23097, '57530', 'Pange', '57', 'FR'),
(23098, '57245', 'Peltre', '57', 'FR'),
(23099, '57410', 'Petit R�derching', '57', 'FR'),
(23100, '57660', 'Petit Tenquin', '57', 'FR'),
(23101, '57540', 'Petite Rosselle', '57', 'FR'),
(23102, '57170', 'Pettoncourt', '57', 'FR'),
(23103, '57340', 'P�vange', '57', 'FR'),
(23104, '57370', 'Phalsbourg', '57', 'FR'),
(23105, '57230', 'Philippsbourg', '57', 'FR'),
(23106, '57220', 'Piblange', '57', 'FR'),
(23107, '57120', 'Pierrevillers', '57', 'FR'),
(23108, '57870', 'Plaine de Walsch', '57', 'FR'),
(23109, '57050', 'Plappeville', '57', 'FR'),
(23110, '57140', 'Plesnois', '57', 'FR'),
(23111, '57420', 'Pomm�rieux', '57', 'FR'),
(23112, '57420', 'Pontoy', '57', 'FR'),
(23113, '57380', 'Pontpierre', '57', 'FR'),
(23114, '57890', 'Porcelette', '57', 'FR'),
(23115, '57930', 'Postroff', '57', 'FR'),
(23116, '57420', 'Pouilly', '57', 'FR'),
(23117, '57420', 'Pournoy la Ch�tive', '57', 'FR'),
(23118, '57420', 'Pournoy la Grasse', '57', 'FR'),
(23119, '57590', 'Pr�vocourt', '57', 'FR'),
(23120, '57510', 'Puttelange aux Lacs', '57', 'FR'),
(23121, '57570', 'Puttelange l�s Thionville', '57', 'FR'),
(23122, '57170', 'Puttigny', '57', 'FR'),
(23123, '57590', 'Puzieux', '57', 'FR'),
(23124, '57340', 'Racrange', '57', 'FR'),
(23125, '57410', 'Rahling', '57', 'FR'),
(23126, '57700', 'Ranguevaux', '57', 'FR'),
(23127, '57530', 'Raville', '57', 'FR'),
(23128, '57810', 'R�chicourt le Ch�teau', '57', 'FR'),
(23129, '57390', 'R�dange', '57', 'FR'),
(23130, '57444', 'R�ding', '57', 'FR'),
(23131, '57320', 'R�melfang', '57', 'FR'),
(23132, '57200', 'R�melfing', '57', 'FR'),
(23133, '57480', 'R�meling', '57', 'FR'),
(23134, '57550', 'R�mering', '57', 'FR'),
(23135, '57510', 'R�mering l�s Puttelange', '57', 'FR'),
(23136, '57580', 'R�milly', '57', 'FR'),
(23137, '57670', 'R�ning', '57', 'FR'),
(23138, '57570', 'Basse Rentgen', '57', 'FR'),
(23139, '57117', 'Retonfey', '57', 'FR'),
(23140, '57480', 'Rettel', '57', 'FR'),
(23141, '57230', 'Reyersviller', '57', 'FR'),
(23142, '57130', 'Rezonville', '57', 'FR'),
(23143, '57810', 'Rhodes', '57', 'FR'),
(23144, '57340', 'Riche', '57', 'FR'),
(23145, '57510', 'Richeling', '57', 'FR'),
(23146, '57270', 'Richemont', '57', 'FR'),
(23147, '57830', 'Richeval', '57', 'FR'),
(23148, '57136', 'Rimling', '57', 'FR'),
(23149, '57480', 'Ritzing', '57', 'FR'),
(23150, '57840', 'Rochonvillers', '57', 'FR'),
(23151, '57340', 'Rodalbe', '57', 'FR'),
(23152, '57570', 'Rodemack', '57', 'FR'),
(23153, '57410', 'Rohrbach l�s Bitche', '57', 'FR'),
(23154, '57720', 'Rolbing', '57', 'FR'),
(23155, '57120', 'Rombas', '57', 'FR'),
(23156, '57930', 'Romelfing', '57', 'FR'),
(23157, '57860', 'Roncourt', '57', 'FR'),
(23158, '57230', 'Roppeviller', '57', 'FR'),
(23159, '57260', 'Rorbach l�s Dieuze', '57', 'FR'),
(23160, '57800', 'Rosbruck', '57', 'FR'),
(23161, '57780', 'Rosselange', '57', 'FR'),
(23162, '57520', 'Rouhling', '57', 'FR'),
(23163, '57220', 'Roupeldange', '57', 'FR'),
(23164, '57330', 'Roussy le Village', '57', 'FR'),
(23165, '57160', 'Roz�rieulles', '57', 'FR'),
(23166, '57310', 'Rurange l�s Thionville', '57', 'FR'),
(23167, '57390', 'Russange', '57', 'FR'),
(23168, '57480', 'Rustroff', '57', 'FR'),
(23169, '57420', 'Sailly Ach�tel', '57', 'FR'),
(23170, '57500', 'Saint Avold', '57', 'FR'),
(23171, '57640', 'Ste Barbe', '57', 'FR'),
(23172, '57220', 'Saint Bernard', '57', 'FR'),
(23173, '57580', 'Saint Epvre', '57', 'FR'),
(23174, '57320', 'St Fran�ois Lacroix', '57', 'FR'),
(23175, '57830', 'Saint Georges', '57', 'FR'),
(23176, '57640', 'Saint Hubert', '57', 'FR'),
(23177, '57930', 'Saint Jean de Bassel', '57', 'FR'),
(23178, '57370', 'Saint Jean Kourtzerode', '57', 'FR'),
(23179, '57510', 'Saint Jean Rohrbach', '57', 'FR'),
(23180, '57070', 'Saint Julien l�s Metz', '57', 'FR'),
(23181, '57420', 'Saint Jure', '57', 'FR'),
(23182, '57820', 'Saint Louis', '57', 'FR'),
(23183, '57620', 'Saint Louis l�s Bitche', '57', 'FR'),
(23184, '57118', 'Sainte Marie aux Ch�nes', '57', 'FR'),
(23185, '57260', 'Saint M�dard', '57', 'FR'),
(23186, '57124', 'Saint Privat la Montagne', '57', 'FR'),
(23187, '57560', 'Saint Quirin', '57', 'FR'),
(23188, '57130', 'Sainte Ruffine', '57', 'FR'),
(23189, '57170', 'Salonnes', '57', 'FR'),
(23190, '57640', 'Sanry l�s Vigy', '57', 'FR'),
(23191, '57530', 'Sanry sur Nied', '57', 'FR'),
(23192, '57430', 'Sarralbe', '57', 'FR'),
(23193, '57400', 'Sarraltroff', '57', 'FR'),
(23194, '57400', 'Sarrebourg', '57', 'FR'),
(23195, '57200', 'Sarreguemines', '57', 'FR'),
(23196, '57115', 'Sarreinsming', '57', 'FR'),
(23197, '57140', 'Saulny', '57', 'FR'),
(23198, '57370', 'Schalbach', '57', 'FR'),
(23199, '57410', 'Schmittviller', '57', 'FR'),
(23200, '57400', 'Schneckenbusch', '57', 'FR'),
(23201, '57350', 'Schoeneck', '57', 'FR'),
(23202, '57230', 'Schorbach', '57', 'FR'),
(23203, '57320', 'Schwerdorff', '57', 'FR'),
(23204, '57720', 'Schweyen', '57', 'FR'),
(23205, '57160', 'Scy Chazelles', '57', 'FR'),
(23206, '57420', 'Secourt', '57', 'FR'),
(23207, '57450', 'Seingbouse', '57', 'FR'),
(23208, '57210', 'Sem�court', '57', 'FR'),
(23209, '57290', 'Ser�mange Erzange', '57', 'FR'),
(23210, '57530', 'Servigny l�s Raville', '57', 'FR'),
(23211, '57640', 'Servigny l�s Sainte Barbe', '57', 'FR'),
(23212, '57480', 'Sierck les Bains', '57', 'FR'),
(23213, '57410', 'Siersthal', '57', 'FR'),
(23214, '57420', 'Sillegny', '57', 'FR'),
(23215, '57420', 'Silly en Saulnois', '57', 'FR'),
(23216, '57530', 'Silly sur Nied', '57', 'FR'),
(23217, '57420', 'Solgne', '57', 'FR'),
(23218, '57580', 'Sorbey', '57', 'FR'),
(23219, '57170', 'Sotzeling', '57', 'FR'),
(23220, '57960', 'Soucht', '57', 'FR'),
(23221, '57350', 'Spicheren', '57', 'FR'),
(23222, '57350', 'Stiring Wendel', '57', 'FR'),
(23223, '57230', 'Sturzelbronn', '57', 'FR'),
(23224, '57340', 'Suisse', '57', 'FR'),
(23225, '57525', 'Talange', '57', 'FR'),
(23226, '57260', 'Tarquimpol', '57', 'FR'),
(23227, '57980', 'Tenteling', '57', 'FR'),
(23228, '57180', 'Terville', '57', 'FR'),
(23229, '57220', 'T�terchen', '57', 'FR'),
(23230, '57114', 'T�ting sur Nied', '57', 'FR'),
(23231, '57450', 'Th�ding', '57', 'FR'),
(23232, '57380', 'Thicourt', '57', 'FR'),
(23233, '57580', 'Thimonville', '57', 'FR'),
(23234, '57100', 'Thionville', '57', 'FR'),
(23235, '57380', 'Thonville', '57', 'FR'),
(23236, '57590', 'Tincry', '57', 'FR'),
(23237, '57670', 'Torcheville', '57', 'FR'),
(23238, '57580', 'Tragny', '57', 'FR'),
(23239, '57300', 'Tr�mery', '57', 'FR'),
(23240, '57710', 'Tressange', '57', 'FR'),
(23241, '57114', 'Tritteling', '57', 'FR'),
(23242, '57870', 'Troisfontaines', '57', 'FR'),
(23243, '57320', 'Tromborn', '57', 'FR'),
(23244, '57560', 'Turquestein Blancrupt', '57', 'FR'),
(23245, '57270', 'Uckange', '57', 'FR'),
(23246, '57660', 'Vahl Ebersing', '57', 'FR'),
(23247, '57670', 'Vahl l�s B�nestroff', '57', 'FR'),
(23248, '57380', 'Vahl l�s Faulquemont', '57', 'FR'),
(23249, '57340', 'Vallerange', '57', 'FR'),
(23250, '57110', 'Valmestroff', '57', 'FR'),
(23251, '57730', 'Valmont', '57', 'FR'),
(23252, '57220', 'Valmunster', '57', 'FR'),
(23253, '57340', 'Vannecourt', '57', 'FR'),
(23254, '57070', 'Vantoux', '57', 'FR'),
(23255, '57070', 'Vany', '57', 'FR'),
(23256, '57220', 'Varize', '57', 'FR'),
(23257, '57880', 'Varsberg', '57', 'FR'),
(23258, '57560', 'Vasperviller', '57', 'FR'),
(23259, '57580', 'Vatimont', '57', 'FR'),
(23260, '57320', 'Vaudreching', '57', 'FR'),
(23261, '57130', 'Vaux', '57', 'FR'),
(23262, '57170', 'Vaxy', '57', 'FR'),
(23263, '57370', 'Veckersviller', '57', 'FR'),
(23264, '57920', 'Veckring', '57', 'FR'),
(23265, '57220', 'Velving', '57', 'FR'),
(23266, '57260', 'Vergaville', '57', 'FR'),
(23267, '57130', 'Vern�ville', '57', 'FR'),
(23268, '57420', 'Verny', '57', 'FR'),
(23269, '57370', 'Vescheim', '57', 'FR'),
(23270, '57670', 'Vibersviller', '57', 'FR'),
(23271, '57630', 'Vic sur Seille', '57', 'FR'),
(23272, '57119', 'Vieux Lixheim', '57', 'FR'),
(23273, '57690', 'Haute Vigneulles', '57', 'FR'),
(23274, '57420', 'Vigny', '57', 'FR'),
(23275, '57640', 'Vigy', '57', 'FR'),
(23276, '57340', 'Viller', '57', 'FR'),
(23277, '57530', 'Villers Stoncourt', '57', 'FR'),
(23278, '57340', 'Villers sur Nied', '57', 'FR'),
(23279, '57550', 'Villing', '57', 'FR'),
(23280, '57370', 'Vilsberg', '57', 'FR'),
(23281, '57130', 'Vionville', '57', 'FR'),
(23282, '57340', 'Virming', '57', 'FR'),
(23283, '57120', 'Vitry sur Orne', '57', 'FR'),
(23284, '57670', 'Vittersbourg', '57', 'FR'),
(23285, '57580', 'Vittoncourt', '57', 'FR'),
(23286, '57590', 'Viviers', '57', 'FR'),
(23287, '57580', 'Voimhaut', '57', 'FR'),
(23288, '57220', 'Volm�range l�s Boulay', '57', 'FR'),
(23289, '57330', 'Volmerange les Mines', '57', 'FR'),
(23290, '57720', 'Volmunster', '57', 'FR'),
(23291, '57940', 'Volstroff', '57', 'FR'),
(23292, '57560', 'Voyer', '57', 'FR'),
(23293, '57640', 'Vr�my', '57', 'FR'),
(23294, '57640', 'Vry', '57', 'FR'),
(23295, '57420', 'Vulmont', '57', 'FR'),
(23296, '57720', 'Waldhouse', '57', 'FR'),
(23297, '57320', 'Waldweistroff', '57', 'FR'),
(23298, '57480', 'Waldwisse', '57', 'FR'),
(23299, '57720', 'Walschbronn', '57', 'FR'),
(23300, '57870', 'Walscheid', '57', 'FR'),
(23301, '57370', 'Waltembourg', '57', 'FR'),
(23302, '57200', 'Wiesviller', '57', 'FR'),
(23303, '57430', 'Willerwald', '57', 'FR'),
(23304, '57119', 'Wintersbourg', '57', 'FR'),
(23305, '57137', 'Wittring', '57', 'FR'),
(23306, '57320', 'Voelfling l�s Bouzonville', '57', 'FR'),
(23307, '57200', 'Woelfling l�s Sarreguemines', '57', 'FR'),
(23308, '57140', 'Woippy', '57', 'FR'),
(23309, '57915', 'Woustviller', '57', 'FR'),
(23310, '57170', 'Wuisse', '57', 'FR'),
(23311, '57630', 'Xanrey', '57', 'FR'),
(23312, '57590', 'Xocourt', '57', 'FR'),
(23313, '57830', 'Xouaxange', '57', 'FR'),
(23314, '57110', 'Yutz', '57', 'FR'),
(23315, '57340', 'Zarbeling', '57', 'FR'),
(23316, '57115', 'Zetting', '57', 'FR'),
(23317, '57370', 'Zilling', '57', 'FR'),
(23318, '57690', 'Zimming', '57', 'FR'),
(23319, '57260', 'Zommange', '57', 'FR'),
(23320, '57330', 'Zoufftgen', '57', 'FR'),
(23321, '57890', 'Diesen', '57', 'FR'),
(23322, '57110', 'Stuckange', '57', 'FR'),
(23323, '57620', 'Sarreinsberg', '57', 'FR'),
(23324, '57930', 'Bisping', '57', 'FR'),
(23325, '57870', 'Vallerysthal', '57', 'FR'),
(23326, '57190', '�bange', '57', 'FR'),
(23327, '57600', 'Marienau', '57', 'FR'),
(23328, '57710', 'Bure', '57', 'FR'),
(23329, '58110', 'Achun', '58', 'FR'),
(23330, '58200', 'Alligny Cosne', '58', 'FR'),
(23331, '58230', 'Alligny en Morvan', '58', 'FR'),
(23332, '58110', 'Alluy', '58', 'FR'),
(23333, '58190', 'Amazy', '58', 'FR'),
(23334, '58270', 'Anlezy', '58', 'FR'),
(23335, '58450', 'Annay', '58', 'FR'),
(23336, '58800', 'Anthien', '58', 'FR'),
(23337, '58350', 'Arbourse', '58', 'FR'),
(23338, '58430', 'Arleuf', '58', 'FR'),
(23339, '58500', 'Armes', '58', 'FR'),
(23340, '58310', 'Arquian', '58', 'FR'),
(23341, '58700', 'Arthel', '58', 'FR'),
(23342, '58700', 'Arzembouy', '58', 'FR'),
(23343, '58420', 'Asnan', '58', 'FR'),
(23344, '58190', 'Asnois', '58', 'FR'),
(23345, '58110', 'Aunay en Bazois', '58', 'FR'),
(23346, '58700', 'Authiou', '58', 'FR'),
(23347, '58170', 'Avr�e', '58', 'FR'),
(23348, '58300', 'Avril sur Loire', '58', 'FR'),
(23349, '58240', 'Azy le Vif', '58', 'FR'),
(23350, '58130', 'Balleray', '58', 'FR'),
(23351, '58190', 'Bazoches', '58', 'FR'),
(23352, '58110', 'Bazolles', '58', 'FR'),
(23353, '58160', 'B�ard', '58', 'FR'),
(23354, '58420', 'Beaulieu', '58', 'FR'),
(23355, '58700', 'Beaumont la Ferri�re', '58', 'FR'),
(23356, '58270', 'Beaumont Sardolles', '58', 'FR'),
(23357, '58210', 'Beuvron', '58', 'FR'),
(23358, '58110', 'Biches', '58', 'FR'),
(23359, '58270', 'Billy Chevannes', '58', 'FR'),
(23360, '58500', 'Billy sur Oisy', '58', 'FR'),
(23361, '58310', 'Bitry', '58', 'FR'),
(23362, '58120', 'Blismes', '58', 'FR'),
(23363, '58330', 'Bona', '58', 'FR'),
(23364, '58310', 'Bouhy', '58', 'FR'),
(23365, '58140', 'Brassy', '58', 'FR'),
(23366, '58460', 'Breugnon', '58', 'FR'),
(23367, '58530', 'Br�ves', '58', 'FR'),
(23368, '58110', 'Brinay', '58', 'FR'),
(23369, '58420', 'Brinon sur Beuvron', '58', 'FR'),
(23370, '58400', 'Bulcy', '58', 'FR'),
(23371, '58420', 'Bussy la Pesle', '58', 'FR'),
(23372, '58440', 'La Celle sur Loire', '58', 'FR'),
(23373, '58700', 'La Celle sur Ni�vre', '58', 'FR'),
(23374, '58340', 'Cercy la Tour', '58', 'FR'),
(23375, '58800', 'Cervon', '58', 'FR'),
(23376, '58220', 'Cessy les Bois', '58', 'FR'),
(23377, '58140', 'Chalaux', '58', 'FR'),
(23378, '58420', 'Challement', '58', 'FR'),
(23379, '58000', 'Challuy', '58', 'FR'),
(23380, '58420', 'Champallement', '58', 'FR'),
(23381, '58210', 'Champlemy', '58', 'FR'),
(23382, '58700', 'Champlin', '58', 'FR'),
(23383, '58300', 'Champvert', '58', 'FR'),
(23384, '58400', 'Champvoux', '58', 'FR'),
(23385, '58240', 'Chantenay Saint Imbert', '58', 'FR'),
(23386, '58210', 'La Chapelle Saint Andr�', '58', 'FR'),
(23387, '58400', 'Charit� sur Loire', '58', 'FR'),
(23388, '58300', 'Charrin', '58', 'FR'),
(23389, '58350', 'Chasnay', '58', 'FR'),
(23390, '58120', 'Ch�teau Chinon Ville', '58', 'FR'),
(23391, '58120', 'Ch�teau Chinon Campagne', '58', 'FR'),
(23392, '58350', 'Ch�teauneuf Val de Bargis', '58', 'FR'),
(23393, '58110', 'Ch�tillon en Bazois', '58', 'FR'),
(23394, '58120', 'Ch�tin', '58', 'FR'),
(23395, '58400', 'Chaulgnes', '58', 'FR'),
(23396, '58120', 'Chaumard', '58', 'FR'),
(23397, '58800', 'Chaumot', '58', 'FR'),
(23398, '58700', 'Chazeuil', '58', 'FR'),
(23399, '58420', 'Chevannes Changy', '58', 'FR'),
(23400, '58160', 'Chevenon', '58', 'FR'),
(23401, '58500', 'Chevroches', '58', 'FR'),
(23402, '58170', 'Chiddes', '58', 'FR'),
(23403, '58800', 'Chitry les Mines', '58', 'FR'),
(23404, '58110', 'Chougny', '58', 'FR'),
(23405, '58220', 'Ciez', '58', 'FR'),
(23406, '58270', 'Cizely', '58', 'FR'),
(23407, '58500', 'Clamecy', '58', 'FR'),
(23408, '58800', 'La Collancelle', '58', 'FR'),
(23409, '58350', 'Colm�ry', '58', 'FR'),
(23410, '58120', 'Corancy', '58', 'FR'),
(23411, '58800', 'Corbigny', '58', 'FR'),
(23412, '58210', 'Corvol d''Embernard', '58', 'FR'),
(23413, '58460', 'Corvol l''Orgueilleux', '58', 'FR'),
(23414, '58200', 'Cosne Cours sur Loire', '58', 'FR'),
(23415, '58300', 'Cossaye', '58', 'FR'),
(23416, '58660', 'Coulanges l�s Nevers', '58', 'FR'),
(23417, '58220', 'Couloutre', '58', 'FR'),
(23418, '58210', 'Courcelles', '58', 'FR'),
(23419, '58330', 'Crux la Ville', '58', 'FR'),
(23420, '58210', 'Cuncy l�s Varzy', '58', 'FR'),
(23421, '58310', 'Dampierre sous Bouhy', '58', 'FR'),
(23422, '58300', 'Decize', '58', 'FR'),
(23423, '58300', 'Devay', '58', 'FR'),
(23424, '58340', 'Diennes Aubigny', '58', 'FR'),
(23425, '58190', 'Dirol', '58', 'FR'),
(23426, '58120', 'Dommartin', '58', 'FR'),
(23427, '58420', 'Dompierre sur H�ry', '58', 'FR'),
(23428, '58350', 'Dompierre sur Ni�vre', '58', 'FR'),
(23429, '58220', 'Donzy', '58', 'FR'),
(23430, '58530', 'Dornecy', '58', 'FR'),
(23431, '58390', 'Dornes', '58', 'FR'),
(23432, '58160', 'Druy Parigny', '58', 'FR'),
(23433, '58230', 'Dun les Places', '58', 'FR'),
(23434, '58110', 'Dun sur Grandry', '58', 'FR'),
(23435, '58140', 'Empury', '58', 'FR'),
(23436, '58410', 'Entrains sur Nohain', '58', 'FR'),
(23437, '58800', '�piry', '58', 'FR'),
(23438, '58430', 'F�chin', '58', 'FR'),
(23439, '58160', 'La Fermet�', '58', 'FR'),
(23440, '58270', 'Fertr�ve', '58', 'FR'),
(23441, '58170', 'Fl�ty', '58', 'FR'),
(23442, '58240', 'Fleury sur Loire', '58', 'FR'),
(23443, '58190', 'Flez Cuzy', '58', 'FR'),
(23444, '58180', 'Fourchambault', '58', 'FR'),
(23445, '58600', 'Fourchambault', '58', 'FR'),
(23446, '58250', 'Fours', '58', 'FR'),
(23447, '58270', 'Frasnay Reugny', '58', 'FR'),
(23448, '58140', 'G�cogne', '58', 'FR'),
(23449, '58600', 'Garchizy', '58', 'FR'),
(23450, '58150', 'Garchy', '58', 'FR'),
(23451, '58800', 'Germenay', '58', 'FR'),
(23452, '58320', 'Germigny sur Loire', '58', 'FR'),
(23453, '58230', 'Gien sur Cure', '58', 'FR'),
(23454, '58470', 'Gimouille', '58', 'FR'),
(23455, '58700', 'Giry', '58', 'FR'),
(23456, '58370', 'Glux en Glenne', '58', 'FR'),
(23457, '58230', 'Gouloux', '58', 'FR'),
(23458, '58420', 'Grenois', '58', 'FR'),
(23459, '58130', 'Gu�rigny', '58', 'FR'),
(23460, '58420', 'Guipy', '58', 'FR'),
(23461, '58800', 'H�ry', '58', 'FR'),
(23462, '58160', 'Imphy', '58', 'FR'),
(23463, '58290', 'Isenay', '58', 'FR'),
(23464, '58330', 'Jailly', '58', 'FR'),
(23465, '58300', 'Lamenay sur Loire', '58', 'FR'),
(23466, '58240', 'Langeron', '58', 'FR'),
(23467, '58250', 'Lanty', '58', 'FR'),
(23468, '58370', 'Larochemillay', '58', 'FR'),
(23469, '58230', 'Lavault de Fr�toy', '58', 'FR'),
(23470, '58290', 'Limanton', '58', 'FR'),
(23471, '58270', 'Limon', '58', 'FR'),
(23472, '58240', 'Livry', '58', 'FR'),
(23473, '58140', 'Lormes', '58', 'FR'),
(23474, '58380', 'Lucenay l�s Aix', '58', 'FR'),
(23475, '58700', 'Lurcy le Bourg', '58', 'FR'),
(23476, '58240', 'Luthenay Uxeloup', '58', 'FR'),
(23477, '58170', 'Luzy', '58', 'FR'),
(23478, '58190', 'Lys', '58', 'FR'),
(23479, '58260', 'La Machine', '58', 'FR'),
(23480, '58470', 'Magny Cours', '58', 'FR'),
(23481, '58800', 'Magny Lormes', '58', 'FR'),
(23482, '58190', 'La Maison Dieu', '58', 'FR'),
(23483, '58400', 'La Marche', '58', 'FR'),
(23484, '58210', 'Marcy', '58', 'FR'),
(23485, '58140', 'Marigny l''�glise', '58', 'FR'),
(23486, '58240', 'Mars sur Allier', '58', 'FR'),
(23487, '58800', 'Marigny sur Yonne', '58', 'FR'),
(23488, '58180', 'Marzy', '58', 'FR'),
(23489, '58290', 'Maux', '58', 'FR'),
(23490, '58410', 'M�nestreau', '58', 'FR'),
(23491, '58210', 'Menou', '58', 'FR'),
(23492, '58400', 'Mesves sur Loire', '58', 'FR'),
(23493, '58190', 'Metz le Comte', '58', 'FR'),
(23494, '58140', 'Mh�re', '58', 'FR'),
(23495, '58420', 'Michaugues', '58', 'FR'),
(23496, '58170', 'Millay', '58', 'FR'),
(23497, '58190', 'Moissy Moulinot', '58', 'FR'),
(23498, '58190', 'Monceaux le Comte', '58', 'FR'),
(23499, '58110', 'Montapas', '58', 'FR'),
(23500, '58250', 'Montambert', '58', 'FR'),
(23501, '58250', 'Montaron', '58', 'FR'),
(23502, '58700', 'Montenoison', '58', 'FR'),
(23503, '58110', 'Mont et Marr�', '58', 'FR'),
(23504, '58130', 'Montigny aux Amognes', '58', 'FR'),
(23505, '58120', 'Montigny en Morvan', '58', 'FR'),
(23506, '58340', 'Montigny sur Canne', '58', 'FR'),
(23507, '58800', 'Montreuillon', '58', 'FR'),
(23508, '58230', 'Montsauche les Settons', '58', 'FR'),
(23509, '58420', 'Moraches', '58', 'FR'),
(23510, '58290', 'Moulins Engilbert', '58', 'FR'),
(23511, '58800', 'Mouron sur Yonne', '58', 'FR'),
(23512, '58700', 'Moussy', '58', 'FR'),
(23513, '58230', 'Moux en Morvan', '58', 'FR'),
(23514, '58700', 'Murlin', '58', 'FR'),
(23515, '58440', 'Myennes', '58', 'FR'),
(23516, '58350', 'Nannay', '58', 'FR'),
(23517, '58400', 'Narcy', '58', 'FR'),
(23518, '58190', 'Neuffontaines', '58', 'FR'),
(23519, '58420', 'Neuilly', '58', 'FR'),
(23520, '58300', 'Neuville l�s Decize', '58', 'FR'),
(23521, '58450', 'Neuvy sur Loire', '58', 'FR'),
(23522, '58000', 'Nevers', '58', 'FR'),
(23523, '58250', 'La Nocle Maulaix', '58', 'FR'),
(23524, '58700', 'Nolay', '58', 'FR'),
(23525, '58190', 'Nuars', '58', 'FR'),
(23526, '58500', 'Oisy', '58', 'FR'),
(23527, '58370', 'Onlay', '58', 'FR'),
(23528, '58500', 'Ouagne', '58', 'FR'),
(23529, '58210', 'Oudan', '58', 'FR'),
(23530, '58110', 'Ougny', '58', 'FR'),
(23531, '58700', 'Oulon', '58', 'FR'),
(23532, '58130', 'Ourou�r', '58', 'FR'),
(23533, '58230', 'Ouroux en Morvan', '58', 'FR'),
(23534, '58210', 'Parigny la Rose', '58', 'FR'),
(23535, '58320', 'Parigny les Vaux', '58', 'FR'),
(23536, '58800', 'Pazy', '58', 'FR'),
(23537, '58220', 'Perroy', '58', 'FR'),
(23538, '58230', 'Planchez', '58', 'FR'),
(23539, '58170', 'Poil', '58', 'FR'),
(23540, '58130', 'Poiseux', '58', 'FR'),
(23541, '58200', 'Pougny', '58', 'FR'),
(23542, '58320', 'Pougues les Eaux', '58', 'FR'),
(23543, '58150', 'Pouilly sur Loire', '58', 'FR'),
(23544, '58140', 'Pouques Lormes', '58', 'FR'),
(23545, '58500', 'Pousseaux', '58', 'FR'),
(23546, '58700', 'Pr�mery', '58', 'FR'),
(23547, '58360', 'Pr�porch�', '58', 'FR'),
(23548, '58400', 'Raveau', '58', 'FR'),
(23549, '58250', 'R�milly', '58', 'FR'),
(23550, '58500', 'Rix', '58', 'FR'),
(23551, '58110', 'Rouy', '58', 'FR'),
(23552, '58190', 'Ruages', '58', 'FR'),
(23553, '58470', 'Saincaize Meauce', '58', 'FR'),
(23554, '58230', 'St Agnan', '58', 'FR'),
(23555, '58310', 'Saint Amand en Puisaye', '58', 'FR'),
(23556, '58150', 'Saint Andelain', '58', 'FR'),
(23557, '58140', 'Saint Andr� en Morvan', '58', 'FR'),
(23558, '58190', 'Saint Aubin des Chaumes', '58', 'FR'),
(23559, '58130', 'Saint Aubin les Forges', '58', 'FR'),
(23560, '58270', 'Saint Benin d''Azy', '58', 'FR'),
(23561, '58330', 'Saint B�nin des Bois', '58', 'FR'),
(23562, '58700', 'Saint Bonnot', '58', 'FR'),
(23563, '58230', 'Saint Brisson', '58', 'FR'),
(23564, '58220', 'Ste Colombe des Bois', '58', 'FR'),
(23565, '58190', 'Saint Didier', '58', 'FR'),
(23566, '58000', 'Saint �loi', '58', 'FR'),
(23567, '58270', 'Saint Firmin', '58', 'FR'),
(23568, '58330', 'Saint Franchy', '58', 'FR'),
(23569, '58300', 'Saint Germain Chassenay', '58', 'FR'),
(23570, '58210', 'Saint Germain des Bois', '58', 'FR'),
(23571, '58340', 'Saint Gratien Savigny', '58', 'FR'),
(23572, '58120', 'Saint Hilaire en Morvan', '58', 'FR'),
(23573, '58300', 'Saint Hilaire Fontaine', '58', 'FR'),
(23574, '58360', 'St Honor� les Bains', '58', 'FR'),
(23575, '58270', 'Saint Jean aux Amognes', '58', 'FR'),
(23576, '58150', 'Saint Laurent l''Abbaye', '58', 'FR'),
(23577, '58120', 'Saint L�ger de Fougeret', '58', 'FR'),
(23578, '58300', 'Saint L�ger des Vignes', '58', 'FR'),
(23579, '58200', 'Saint Loup', '58', 'FR'),
(23580, '58350', 'Saint Malo en Donziois', '58', 'FR'),
(23581, '58330', 'Sainte Marie', '58', 'FR'),
(23582, '58130', 'Saint Martin d''Heuille', '58', 'FR'),
(23583, '58140', 'Saint Martin du Puy', '58', 'FR'),
(23584, '58150', 'Saint Martin sur Nohain', '58', 'FR'),
(23585, '58330', 'St Maurice', '58', 'FR'),
(23586, '58160', 'St Ouen sur Loire', '58', 'FR'),
(23587, '58300', 'Saint Parize en Viry', '58', 'FR'),
(23588, '58490', 'Saint Parize le Ch�tel', '58', 'FR'),
(23589, '58200', 'St P�re', '58', 'FR'),
(23590, '58110', 'Saint P�reuse', '58', 'FR'),
(23591, '58210', 'Saint Pierre du Mont', '58', 'FR'),
(23592, '58240', 'Saint Pierre le Mo�tier', '58', 'FR'),
(23593, '58150', 'Saint Quentin sur Nohain', '58', 'FR'),
(23594, '58420', 'Saint R�v�rien', '58', 'FR'),
(23595, '58330', 'Saint Saulge', '58', 'FR'),
(23596, '58250', 'Saint Seine', '58', 'FR'),
(23597, '58270', 'Saint Sulpice', '58', 'FR'),
(23598, '58310', 'Saint V�rain', '58', 'FR'),
(23599, '58190', 'Saizy', '58', 'FR'),
(23600, '58800', 'Sardy l�s �piry', '58', 'FR'),
(23601, '58160', 'Sauvigny les Bois', '58', 'FR'),
(23602, '58170', 'Savigny Poil Fol', '58', 'FR'),
(23603, '58330', 'Saxi Bourdon', '58', 'FR'),
(23604, '58360', 'S�melay', '58', 'FR'),
(23605, '58290', 'Sermages', '58', 'FR'),
(23606, '58000', 'Sermoise sur Loire', '58', 'FR'),
(23607, '58700', 'Sichamps', '58', 'FR'),
(23608, '58300', 'Sougy sur Loire', '58', 'FR'),
(23609, '58150', 'Suilly la Tour', '58', 'FR'),
(23610, '58500', 'Surgy', '58', 'FR'),
(23611, '58420', 'Taconnay', '58', 'FR'),
(23612, '58190', 'Talon', '58', 'FR'),
(23613, '58110', 'Tamnay en Bazois', '58', 'FR'),
(23614, '58190', 'Tannay', '58', 'FR'),
(23615, '58170', 'Tazilly', '58', 'FR'),
(23616, '58190', 'Teigny', '58', 'FR'),
(23617, '58250', 'Ternant', '58', 'FR'),
(23618, '58250', 'Thaix', '58', 'FR'),
(23619, '58260', 'Thianges', '58', 'FR'),
(23620, '58110', 'Tintury', '58', 'FR'),
(23621, '58300', 'Toury Lurcy', '58', 'FR'),
(23622, '58240', 'Toury sur Jour', '58', 'FR'),
(23623, '58150', 'Tracy sur Loire', '58', 'FR'),
(23624, '58240', 'Tresnay', '58', 'FR'),
(23625, '58260', 'Trois V�vres', '58', 'FR'),
(23626, '58400', 'Tronsanges', '58', 'FR'),
(23627, '58460', 'Trucy l''Orgueilleux', '58', 'FR'),
(23628, '58130', 'Urzy', '58', 'FR'),
(23629, '58290', 'Vandenesse', '58', 'FR'),
(23630, '58400', 'Varennes l�s Narcy', '58', 'FR'),
(23631, '58640', 'Varennes Vauzelles', '58', 'FR'),
(23632, '58210', 'Varzy', '58', 'FR'),
(23633, '58140', 'Vauclaix', '58', 'FR'),
(23634, '58300', 'Verneuil', '58', 'FR'),
(23635, '58150', 'Vielmanay', '58', 'FR'),
(23636, '58190', 'Vignol', '58', 'FR'),
(23637, '58370', 'Villapour�on', '58', 'FR'),
(23638, '58210', 'Villiers le Sec', '58', 'FR'),
(23639, '58270', 'Ville Langy', '58', 'FR'),
(23640, '58500', 'Villiers sur Yonne', '58', 'FR'),
(23641, '58420', 'Vitry Lach�', '58', 'FR'),
(23642, '58160', 'Forges', '58', 'FR'),
(23643, '58490', 'Moiry', '58', 'FR'),
(23644, '58500', 'Moulot', '58', 'FR'),
(23645, '58000', 'Plagny', '58', 'FR'),
(23646, '59265', 'Abancourt', '59', 'FR'),
(23647, '59215', 'Abscon', '59', 'FR'),
(23648, '59149', 'Aibes', '59', 'FR'),
(23649, '59310', 'Aix', '59', 'FR'),
(23650, '59251', 'Allennes les Marais', '59', 'FR'),
(23651, '59144', 'Amfroipret', '59', 'FR'),
(23652, '59194', 'Anhiers', '59', 'FR'),
(23653, '59580', 'Aniche', '59', 'FR'),
(23654, '59491', 'Villeneuve d''Ascq', '59', 'FR'),
(23655, '59650', 'Villeneuve d''Ascq', '59', 'FR'),
(23656, '59493', 'Villeneuve d''Ascq', '59', 'FR'),
(23657, '59400', 'Anneux', '59', 'FR'),
(23658, '59112', 'Annoeullin', '59', 'FR'),
(23659, '59186', 'Anor', '59', 'FR'),
(23660, '59152', 'Anstaing', '59', 'FR'),
(23661, '59410', 'Anzin', '59', 'FR'),
(23662, '59151', 'Arleux', '59', 'FR'),
(23663, '59380', 'Armbouts Cappel', '59', 'FR'),
(23664, '59280', 'Armenti�res', '59', 'FR'),
(23665, '59285', 'Arn�ke', '59', 'FR'),
(23666, '59269', 'Artres', '59', 'FR'),
(23667, '59600', 'Assevent', '59', 'FR'),
(23668, '59551', 'Attiches', '59', 'FR'),
(23669, '59265', 'Aubencheul au Bac', '59', 'FR'),
(23670, '59165', 'Auberchicourt', '59', 'FR'),
(23671, '59249', 'Aubers', '59', 'FR'),
(23672, '59265', 'Aubigny au Bac', '59', 'FR'),
(23673, '59494', 'Aubry du Hainaut', '59', 'FR'),
(23674, '59950', 'Auby', '59', 'FR'),
(23675, '59310', 'Auchy l�s Orchies', '59', 'FR'),
(23676, '59540', 'Audencourt', '59', 'FR'),
(23677, '59570', 'Audignies', '59', 'FR'),
(23678, '59300', 'Aulnoy lez Valenciennes', '59', 'FR'),
(23679, '59620', 'Aulnoye Aymeries', '59', 'FR'),
(23680, '59710', 'Avelin', '59', 'FR'),
(23681, '59440', 'Avesnelles', '59', 'FR'),
(23682, '59440', 'Avesnes sur Helpe', '59', 'FR'),
(23683, '59129', 'Avesnes l�s Aubert', '59', 'FR'),
(23684, '59296', 'Avesnes le Sec', '59', 'FR'),
(23685, '59400', 'Awoingt', '59', 'FR'),
(23686, '59138', 'Bachant', '59', 'FR'),
(23687, '59830', 'Bachy', '59', 'FR'),
(23688, '59270', 'Bailleul', '59', 'FR'),
(23689, '59780', 'Baisieux', '59', 'FR'),
(23690, '59132', 'Baives', '59', 'FR'),
(23691, '59470', 'Bambecque', '59', 'FR'),
(23692, '59266', 'Banteux', '59', 'FR'),
(23693, '59554', 'Bantigny', '59', 'FR'),
(23694, '59266', 'Bantouzelle', '59', 'FR'),
(23695, '59440', 'Bas Lieu', '59', 'FR'),
(23696, '59480', 'La Bass�e', '59', 'FR'),
(23697, '59221', 'Bauvin', '59', 'FR'),
(23698, '59570', 'Bavay', '59', 'FR'),
(23699, '59670', 'Bavinchove', '59', 'FR'),
(23700, '59360', 'Bazuel', '59', 'FR'),
(23701, '59134', 'Beaucamps Ligny', '59', 'FR'),
(23702, '59530', 'Beaudignies', '59', 'FR'),
(23703, '59330', 'Beaufort', '59', 'FR'),
(23704, '59540', 'Beaumont en Cambr�sis', '59', 'FR'),
(23705, '59730', 'Beaurain', '59', 'FR'),
(23706, '59550', 'Beaurepaire sur Sambre', '59', 'FR'),
(23707, '59740', 'Beaurieux', '59', 'FR'),
(23708, '59157', 'Beauvois en Cambr�sis', '59', 'FR'),
(23709, '59135', 'Bellaing', '59', 'FR'),
(23710, '59570', 'Bellignies', '59', 'FR'),
(23711, '59740', 'Berelles', '59', 'FR'),
(23712, '59380', 'Bergues', '59', 'FR'),
(23713, '59145', 'Berlaimont', '59', 'FR'),
(23714, '59213', 'Bermerain', '59', 'FR'),
(23715, '59570', 'Bermeries', '59', 'FR'),
(23716, '59235', 'Bers�e', '59', 'FR'),
(23717, '59600', 'Bersillies', '59', 'FR'),
(23718, '59270', 'Berthen', '59', 'FR'),
(23719, '59980', 'Bertry', '59', 'FR'),
(23720, '59540', 'B�thencourt', '59', 'FR'),
(23721, '59600', 'Bettignies', '59', 'FR'),
(23722, '59570', 'Bettrechies', '59', 'FR'),
(23723, '59216', 'Beugnies', '59', 'FR'),
(23724, '59192', 'Beuvrages', '59', 'FR'),
(23725, '59310', 'Beuvry la For�t', '59', 'FR'),
(23726, '59217', 'B�villers', '59', 'FR'),
(23727, '59380', 'Bierne', '59', 'FR'),
(23728, '59380', 'Bissezeele', '59', 'FR'),
(23729, '59173', 'Blaringhem', '59', 'FR'),
(23730, '59268', 'Bl�court', '59', 'FR'),
(23731, '59299', 'Boesch�pe', '59', 'FR'),
(23732, '59189', 'Boeseghem', '59', 'FR'),
(23733, '59280', 'Bois Grenier', '59', 'FR'),
(23734, '59470', 'Bollezeele', '59', 'FR'),
(23735, '59910', 'Bondues', '59', 'FR'),
(23736, '59190', 'Borre', '59', 'FR'),
(23737, '59111', 'Bouchain', '59', 'FR'),
(23738, '59440', 'Boulogne sur Helpe', '59', 'FR'),
(23739, '59630', 'Bourbourg', '59', 'FR'),
(23740, '59830', 'Bourghelles', '59', 'FR'),
(23741, '62147', 'Boursies', '62', 'FR'),
(23742, '59166', 'Bousbecque', '59', 'FR'),
(23743, '59222', 'Bousies', '59', 'FR'),
(23744, '59178', 'Bousignies', '59', 'FR'),
(23745, '59149', 'Bousignies sur Roc', '59', 'FR'),
(23746, '59217', 'Boussi�res en Cambr�sis', '59', 'FR'),
(23747, '59330', 'Boussi�res sur Sambre', '59', 'FR'),
(23748, '59168', 'Boussois', '59', 'FR'),
(23749, '59870', 'Bouvignies', '59', 'FR'),
(23750, '59830', 'Bouvines', '59', 'FR'),
(23751, '59123', 'Bray Dunes', '59', 'FR'),
(23752, '59730', 'Briastre', '59', 'FR'),
(23753, '59178', 'Brillon', '59', 'FR'),
(23754, '59630', 'Brouckerque', '59', 'FR'),
(23755, '59470', 'Broxeele', '59', 'FR'),
(23756, '59860', 'Bruay sur l''Escaut', '59', 'FR'),
(23757, '59490', 'Bruille lez Marchiennes', '59', 'FR'),
(23758, '59199', 'Bruille Saint Amand', '59', 'FR'),
(23759, '59151', 'Brun�mont', '59', 'FR'),
(23760, '59144', 'Bry', '59', 'FR'),
(23761, '59151', 'Bugnicourt', '59', 'FR'),
(23762, '59137', 'Busigny', '59', 'FR'),
(23763, '59285', 'Buysscheure', '59', 'FR'),
(23764, '59190', 'Ca�stre', '59', 'FR'),
(23765, '59161', 'Cagnoncles', '59', 'FR'),
(23766, '59400', 'Cambrai', '59', 'FR'),
(23767, '59133', 'Camphin en Carembault', '59', 'FR'),
(23768, '59780', 'Camphin en P�v�le', '59', 'FR'),
(23769, '59267', 'Cantaing sur Escaut', '59', 'FR'),
(23770, '59169', 'Cantin', '59', 'FR'),
(23771, '59213', 'Capelle', '59', 'FR'),
(23772, '59160', 'Capinghem', '59', 'FR'),
(23773, '59242', 'Cappelle en P�v�le', '59', 'FR'),
(23774, '59630', 'Cappelle Brouck', '59', 'FR'),
(23775, '59180', 'Cappelle la Grande', '59', 'FR'),
(23776, '59217', 'Carni�res', '59', 'FR'),
(23777, '59112', 'Carnin', '59', 'FR'),
(23778, '59244', 'Cartignies', '59', 'FR'),
(23779, '59670', 'Cassel', '59', 'FR'),
(23780, '59360', 'Cateau Cambr�sis', '59', 'FR'),
(23781, '59360', 'Catillon sur Sambre', '59', 'FR'),
(23782, '59217', 'Catteni�res', '59', 'FR'),
(23783, '59540', 'Caudry', '59', 'FR'),
(23784, '59191', 'Caullery', '59', 'FR'),
(23785, '59400', 'Cauroir', '59', 'FR'),
(23786, '59680', 'Cerfontaine', '59', 'FR'),
(23787, '59930', 'La Chapelle d''Armenti�res', '59', 'FR'),
(23788, '59230', 'Ch�teau l''Abbaye', '59', 'FR'),
(23789, '59147', 'Chemy', '59', 'FR'),
(23790, '59152', 'Ch�reng', '59', 'FR'),
(23791, '59740', 'Choisies', '59', 'FR'),
(23792, '59740', 'Clairfayts', '59', 'FR'),
(23793, '59225', 'Clary', '59', 'FR'),
(23794, '59830', 'Cobrieux', '59', 'FR'),
(23795, '59680', 'Colleret', '59', 'FR'),
(23796, '59560', 'Comines', '59', 'FR'),
(23797, '59163', 'Cond� sur l''Escaut', '59', 'FR'),
(23798, '59380', 'Coudekerque', '59', 'FR'),
(23799, '59210', 'Coudekerque Branche', '59', 'FR'),
(23800, '59552', 'Courchelettes', '59', 'FR'),
(23801, '59149', 'Cousolre', '59', 'FR'),
(23802, '59310', 'Coutiches', '59', 'FR'),
(23803, '59279', 'Craywick', '59', 'FR'),
(23804, '59154', 'Crespin', '59', 'FR'),
(23805, '59258', 'Cr�vecoeur sur l''Escaut', '59', 'FR'),
(23806, '59380', 'Crochte', '59', 'FR'),
(23807, '59170', 'Croix', '59', 'FR'),
(23808, '59222', 'Croix Caluyau', '59', 'FR'),
(23809, '59553', 'Cuincy', '59', 'FR'),
(23810, '59990', 'Curgies', '59', 'FR'),
(23811, '59554', 'Cuvillers', '59', 'FR'),
(23812, '59830', 'Cysoing', '59', 'FR'),
(23813, '59680', 'Damousies', '59', 'FR'),
(23814, '59187', 'D�chy', '59', 'FR'),
(23815, '59127', 'Deh�ries', '59', 'FR'),
(23816, '59220', 'Denain', '59', 'FR'),
(23817, '59890', 'De�lemont', '59', 'FR'),
(23818, '59740', 'Dimechaux', '59', 'FR'),
(23819, '59216', 'Dimont', '59', 'FR'),
(23820, '62147', 'Doignies', '62', 'FR'),
(23821, '59440', 'Dompierre sur Helpe', '59', 'FR'),
(23822, '59500', 'Douai', '59', 'FR'),
(23823, '59282', 'Douchy les Mines', '59', 'FR'),
(23824, '59940', 'Le Doulieu', '59', 'FR'),
(23825, '59440', 'Dourlers', '59', 'FR'),
(23826, '59630', 'Drincham', '59', 'FR'),
(23827, '59240', 'Dunkerque', '59', 'FR'),
(23828, '59140', 'Dunkerque', '59', 'FR'),
(23829, '59640', 'Dunkerque', '59', 'FR'),
(23830, '59173', 'Ebblinghem', '59', 'FR'),
(23831, '59176', '�caillon', '59', 'FR'),
(23832, '59740', 'Eccles', '59', 'FR'),
(23833, '59330', '�claibes', '59', 'FR'),
(23834, '59620', '�cuelin', '59', 'FR'),
(23835, '59114', 'Eecke', '59', 'FR'),
(23836, '59600', '�lesmes', '59', 'FR'),
(23837, '59127', '�lincourt', '59', 'FR'),
(23838, '59580', '�merchicourt', '59', 'FR'),
(23839, '59320', 'Emmerin', '59', 'FR'),
(23840, '59530', 'Englefontaine', '59', 'FR'),
(23841, '59320', 'Englos', '59', 'FR'),
(23842, '59320', 'Enneti�res en Weppes', '59', 'FR'),
(23843, '59710', 'Ennevelin', '59', 'FR'),
(23844, '59132', 'Eppe Sauvage', '59', 'FR'),
(23845, '59169', 'Erchin', '59', 'FR'),
(23846, '59470', 'Eringhem', '59', 'FR'),
(23847, '59320', 'Erquinghem le Sec', '59', 'FR'),
(23848, '59193', 'Erquinghem Lys', '59', 'FR'),
(23849, '59171', 'Erre', '59', 'FR'),
(23850, '59213', 'Escarmain', '59', 'FR'),
(23851, '59124', 'Escaudain', '59', 'FR'),
(23852, '59161', 'Escaudoeuvres', '59', 'FR'),
(23853, '59278', 'Escautpont', '59', 'FR'),
(23854, '59320', 'Escobecques', '59', 'FR'),
(23855, '59127', 'Esnes', '59', 'FR'),
(23856, '59470', 'Esquelbecq', '59', 'FR'),
(23857, '59553', 'Esquerchin', '59', 'FR'),
(23858, '59940', 'Estaires', '59', 'FR'),
(23859, '59400', 'Estourmel', '59', 'FR'),
(23860, '59151', 'Estr�es', '59', 'FR'),
(23861, '59990', 'Estreux', '59', 'FR'),
(23862, '59400', 'Eswars', '59', 'FR'),
(23863, '59144', 'Eth', '59', 'FR'),
(23864, '59219', '�troeungt', '59', 'FR'),
(23865, '59295', 'Estrun', '59', 'FR'),
(23866, '59155', 'F�ches Thumesnil', '59', 'FR'),
(23867, '59300', 'Famars', '59', 'FR'),
(23868, '59310', 'Faumont', '59', 'FR'),
(23869, '59550', 'Le Favril', '59', 'FR'),
(23870, '59247', 'F�chain', '59', 'FR'),
(23871, '59750', 'Feignies', '59', 'FR'),
(23872, '59740', 'Felleries', '59', 'FR'),
(23873, '59179', 'Fenain', '59', 'FR'),
(23874, '59169', 'F�rin', '59', 'FR'),
(23875, '59610', 'F�ron', '59', 'FR'),
(23876, '59680', 'Ferri�re la Grande', '59', 'FR'),
(23877, '59680', 'Ferri�re la Petite', '59', 'FR'),
(23878, '59570', 'La Flamengrie', '59', 'FR'),
(23879, '59440', 'Flaumont Waudrechies', '59', 'FR'),
(23880, '59128', 'Flers en Escrebieux', '59', 'FR'),
(23881, '59267', 'Flesqui�res', '59', 'FR'),
(23882, '59270', 'Fl�tre', '59', 'FR'),
(23883, '59158', 'Flines l�s Mortagne', '59', 'FR'),
(23884, '59148', 'Flines lez Raches', '59', 'FR'),
(23885, '59440', 'Floursies', '59', 'FR'),
(23886, '59219', 'Floyon', '59', 'FR'),
(23887, '59550', 'Fontaine au Bois', '59', 'FR'),
(23888, '59157', 'Fontaine au Pire', '59', 'FR'),
(23889, '59400', 'Fontaine Notre Dame', '59', 'FR'),
(23890, '59222', 'Forest en Cambr�sis', '59', 'FR'),
(23891, '59510', 'Forest sur Marque', '59', 'FR'),
(23892, '59430', 'Fort Mardyck', '59', 'FR'),
(23893, '59610', 'Fourmies', '59', 'FR'),
(23894, '59134', 'Fournes en Weppes', '59', 'FR'),
(23895, '59530', 'Frasnoy', '59', 'FR'),
(23896, '59236', 'Fr�linghien', '59', 'FR'),
(23897, '59970', 'Fresnes sur Escaut', '59', 'FR'),
(23898, '59234', 'Fressain', '59', 'FR'),
(23899, '59247', 'Fressies', '59', 'FR'),
(23900, '59273', 'Fretin', '59', 'FR'),
(23901, '59249', 'Fromelles', '59', 'FR'),
(23902, '59242', 'Genech', '59', 'FR'),
(23903, '59530', 'Ghissignies', '59', 'FR'),
(23904, '59254', 'Ghyvelde', '59', 'FR'),
(23905, '59132', 'Glageon', '59', 'FR'),
(23906, '59270', 'Godewaersvelde', '59', 'FR'),
(23907, '59169', 'Goeulzin', '59', 'FR'),
(23908, '59600', 'Gognies Chauss�e', '59', 'FR'),
(23909, '59144', 'Gommegnies', '59', 'FR'),
(23910, '59147', 'Gondecourt', '59', 'FR'),
(23911, '59231', 'Gonnelieu', '59', 'FR'),
(23912, '59253', 'La Gorgue', '59', 'FR'),
(23913, '59231', 'Gouzeaucourt', '59', 'FR'),
(23914, '59244', 'Grand Fayt', '59', 'FR'),
(23915, '59760', 'Grande Synthe', '59', 'FR'),
(23916, '59153', 'Grand Fort Philippe', '59', 'FR'),
(23917, '59820', 'Gravelines', '59', 'FR'),
(23918, '59360', 'La Groise', '59', 'FR'),
(23919, '59152', 'Gruson', '59', 'FR'),
(23920, '59287', 'Guesnain', '59', 'FR'),
(23921, '59570', 'Gussignies', '59', 'FR'),
(23922, '59320', 'Hallennes lez Haubourdin', '59', 'FR'),
(23923, '59250', 'Halluin', '59', 'FR'),
(23924, '59151', 'Hamel', '59', 'FR'),
(23925, '59496', 'Hantay', '59', 'FR'),
(23926, '59670', 'Hardifort', '59', 'FR'),
(23927, '59138', 'Hargnies', '59', 'FR'),
(23928, '59178', 'Hasnon', '59', 'FR'),
(23929, '59198', 'Haspres', '59', 'FR'),
(23930, '59320', 'Haubourdin', '59', 'FR'),
(23931, '59191', 'Haucourt en Cambr�sis', '59', 'FR'),
(23932, '59121', 'Haulchin', '59', 'FR'),
(23933, '59294', 'Haussy', '59', 'FR'),
(23934, '59440', 'Haut Lieu', '59', 'FR'),
(23935, '59330', 'Hautmont', '59', 'FR'),
(23936, '59255', 'Haveluy', '59', 'FR'),
(23937, '62350', 'Haverskerque', '62', 'FR'),
(23938, '59265', 'Haynecourt', '59', 'FR'),
(23939, '59190', 'Hazebrouck', '59', 'FR'),
(23940, '59530', 'Hecq', '59', 'FR'),
(23941, '59171', 'H�lesmes', '59', 'FR'),
(23942, '59260', 'Hellemmes Lille', '59', 'FR'),
(23943, '59510', 'Hem', '59', 'FR'),
(23944, '59247', 'Hem Lenglet', '59', 'FR'),
(23945, '59199', 'Hergnies', '59', 'FR'),
(23946, '59195', 'H�rin', '59', 'FR'),
(23947, '59134', 'Herlies', '59', 'FR'),
(23948, '59147', 'Herrin', '59', 'FR'),
(23949, '59470', 'Herzeele', '59', 'FR'),
(23950, '59740', 'Hestrud', '59', 'FR'),
(23951, '59143', 'Holque', '59', 'FR'),
(23952, '59190', 'Hondeghem', '59', 'FR'),
(23953, '59122', 'Hondschoote', '59', 'FR'),
(23954, '59570', 'Hon Hergies', '59', 'FR'),
(23955, '59980', 'Honnechy', '59', 'FR'),
(23956, '59266', 'Honnecourt sur Escaut', '59', 'FR'),
(23957, '59111', 'Hordain', '59', 'FR'),
(23958, '59171', 'Hornaing', '59', 'FR'),
(23959, '59570', 'Houdain lez Bavay', '59', 'FR'),
(23960, '59263', 'Houplin Ancoisne', '59', 'FR'),
(23961, '59116', 'Houplines', '59', 'FR'),
(23962, '59470', 'Houtkerque', '59', 'FR'),
(23963, '59492', 'Hoymille', '59', 'FR'),
(23964, '59480', 'Illies', '59', 'FR'),
(23965, '59540', 'Inchy', '59', 'FR'),
(23966, '59141', 'Iwuy', '59', 'FR'),
(23967, '59144', 'Jenlain', '59', 'FR'),
(23968, '59460', 'Jeumont', '59', 'FR'),
(23969, '59530', 'Jolimetz', '59', 'FR'),
(23970, '59122', 'Killem', '59', 'FR'),
(23971, '59167', 'Lallaing', '59', 'FR'),
(23972, '59130', 'Lambersart', '59', 'FR'),
(23973, '59552', 'Lambres lez Douai', '59', 'FR'),
(23974, '59310', 'Landas', '59', 'FR'),
(23975, '59550', 'Landrecies', '59', 'FR'),
(23976, '59390', 'Lannoy', '59', 'FR'),
(23977, '59219', 'Larouillies', '59', 'FR'),
(23978, '59553', 'Lauwin Planque', '59', 'FR'),
(23979, '59226', 'Lecelles', '59', 'FR'),
(23980, '59259', 'L�cluse', '59', 'FR'),
(23981, '59143', 'Lederzeele', '59', 'FR'),
(23982, '59470', 'Ledringhem', '59', 'FR'),
(23983, '59115', 'Leers', '59', 'FR'),
(23984, '59495', 'Leffrinckoucke', '59', 'FR'),
(23985, '59258', 'Lesdain', '59', 'FR'),
(23986, '59740', 'Lez Fontaine', '59', 'FR'),
(23987, '59810', 'Lesquin', '59', 'FR'),
(23988, '59620', 'Leval', '59', 'FR'),
(23989, '59287', 'Lewarde', '59', 'FR'),
(23990, '59260', 'Lezennes', '59', 'FR'),
(23991, '59740', 'Liessies', '59', 'FR'),
(23992, '59111', 'Lieu Saint Amand', '59', 'FR'),
(23993, '59191', 'Ligny Haucourt', '59', 'FR'),
(23994, '59800', 'Lille', '59', 'FR'),
(23995, '59000', 'Lille', '59', 'FR'),
(23996, '59330', 'Limont Fontaine', '59', 'FR'),
(23997, '59126', 'Linselles', '59', 'FR'),
(23998, '59530', 'Locquignol', '59', 'FR'),
(23999, '59182', 'Loffre', '59', 'FR'),
(24000, '59160', 'Lomme', '59', 'FR'),
(24001, '59840', 'Lompret', '59', 'FR'),
(24002, '59570', 'La Longueville', '59', 'FR'),
(24003, '59630', 'Looberghe', '59', 'FR'),
(24004, '59279', 'Loon Plage', '59', 'FR'),
(24005, '59120', 'Loos', '59', 'FR'),
(24006, '59156', 'Lourches', '59', 'FR'),
(24007, '59570', 'Louvignies Bavay', '59', 'FR'),
(24008, '59530', 'Louvignies Quesnoy', '59', 'FR'),
(24009, '59830', 'Louvil', '59', 'FR'),
(24010, '59720', 'Louvroil', '59', 'FR'),
(24011, '59173', 'Lynde', '59', 'FR'),
(24012, '59390', 'Lys lez Lannoy', '59', 'FR'),
(24013, '59110', 'La Madeleine', '59', 'FR'),
(24014, '59233', 'Maing', '59', 'FR'),
(24015, '59600', 'Mairieux', '59', 'FR'),
(24016, '59134', 'Le Maisnil', '59', 'FR'),
(24017, '59127', 'Malincourt', '59', 'FR'),
(24018, '59240', 'Malo les Bains', '59', 'FR'),
(24019, '59440', 'Marbaix', '59', 'FR'),
(24020, '59870', 'Marchiennes', '59', 'FR'),
(24021, '59159', 'Marcoing', '59', 'FR'),
(24022, '59700', 'Marcq en Baroeul', '59', 'FR'),
(24023, '59252', 'Marcq en Ostrevent', '59', 'FR'),
(24024, '59279', 'Mardyck', '59', 'FR'),
(24025, '59990', 'Maresches', '59', 'FR'),
(24026, '59238', 'Maretz', '59', 'FR'),
(24027, '59770', 'Marly', '59', 'FR'),
(24028, '59550', 'Maroilles', '59', 'FR'),
(24029, '59164', 'Marpent', '59', 'FR'),
(24030, '59520', 'Marquette lez Lille', '59', 'FR'),
(24031, '59252', 'Marquette en Ostrevent', '59', 'FR'),
(24032, '59274', 'Marquillies', '59', 'FR'),
(24033, '59241', 'Masni�res', '59', 'FR'),
(24034, '59176', 'Masny', '59', 'FR'),
(24035, '59172', 'Mastaing', '59', 'FR'),
(24036, '59600', 'Maubeuge', '59', 'FR'),
(24037, '59158', 'Maulde', '59', 'FR'),
(24038, '59980', 'Maurois', '59', 'FR'),
(24039, '59360', 'Mazinghien', '59', 'FR'),
(24040, '59570', 'Mecquignies', '59', 'FR'),
(24041, '59470', 'Merckeghem', '59', 'FR'),
(24042, '59710', 'M�rignies', '59', 'FR'),
(24043, '59270', 'Merris', '59', 'FR'),
(24044, '59660', 'Merville', '59', 'FR'),
(24045, '59270', 'M�t�ren', '59', 'FR'),
(24046, '59143', 'Millam', '59', 'FR'),
(24047, '59178', 'Millonfosse', '59', 'FR'),
(24048, '59122', 'Les Mo�res', '59', 'FR'),
(24049, '62147', 'Moeuvres', '62', 'FR'),
(24050, '59620', 'Monceau Saint Waast', '59', 'FR'),
(24051, '59224', 'Monchaux sur �caillon', '59', 'FR'),
(24052, '59283', 'Moncheaux', '59', 'FR'),
(24053, '59234', 'Monchecourt', '59', 'FR'),
(24054, '59370', 'Mons en Baroeul', '59', 'FR'),
(24055, '59246', 'Mons en P�v�le', '59', 'FR'),
(24056, '59360', 'Montay', '59', 'FR'),
(24057, '59225', 'Montigny en Cambr�sis', '59', 'FR'),
(24058, '59182', 'Montigny en Ostrevent', '59', 'FR'),
(24059, '59227', 'Montr�court', '59', 'FR'),
(24060, '59190', 'Morbecque', '59', 'FR'),
(24061, '59158', 'Mortagne du Nord', '59', 'FR'),
(24062, '59310', 'Mouchin', '59', 'FR'),
(24063, '59132', 'Moustier en Fagne', '59', 'FR'),
(24064, '59420', 'Mouvaux', '59', 'FR'),
(24065, '59161', 'Naves', '59', 'FR'),
(24066, '59940', 'Neuf Berquin', '59', 'FR'),
(24067, '59330', 'Neuf Mesnil', '59', 'FR'),
(24068, '59218', 'Neuville en Avesnois', '59', 'FR'),
(24069, '59960', 'Neuville en Ferrain', '59', 'FR'),
(24070, '59239', 'La Neuville', '59', 'FR'),
(24071, '59554', 'Neuville Saint R�my', '59', 'FR'),
(24072, '59293', 'Neuville sur Escaut', '59', 'FR'),
(24073, '59360', 'Neuvilly', '59', 'FR'),
(24074, '59850', 'Nieppe', '59', 'FR'),
(24075, '59400', 'Niergnies', '59', 'FR'),
(24076, '59143', 'Nieurlet', '59', 'FR'),
(24077, '59230', 'Nivelle', '59', 'FR'),
(24078, '59310', 'Nomain', '59', 'FR'),
(24079, '59670', 'Noordpeene', '59', 'FR'),
(24080, '59139', 'Noyelles l�s Seclin', '59', 'FR'),
(24081, '59159', 'Noyelles sur Escaut', '59', 'FR'),
(24082, '59550', 'Noyelles sur Sambre', '59', 'FR'),
(24083, '59282', 'Noyelles sur Selle', '59', 'FR'),
(24084, '59570', 'Obies', '59', 'FR'),
(24085, '59680', 'Obrechies', '59', 'FR'),
(24086, '59670', 'Ochtezeele', '59', 'FR'),
(24087, '59970', 'Odomez', '59', 'FR'),
(24088, '59132', 'Ohain', '59', 'FR'),
(24089, '59195', 'Oisy', '59', 'FR'),
(24090, '59264', 'Onnaing', '59', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(24091, '59122', 'Oost Cappel', '59', 'FR'),
(24092, '59310', 'Orchies', '59', 'FR'),
(24093, '59360', 'Ors', '59', 'FR'),
(24094, '59530', 'Orsinval', '59', 'FR'),
(24095, '59162', 'Ostricourt', '59', 'FR'),
(24096, '59670', 'Oudezeele', '59', 'FR'),
(24097, '59670', 'Oxelaere', '59', 'FR'),
(24098, '59295', 'Paillencourt', '59', 'FR'),
(24099, '59146', 'Pecquencourt', '59', 'FR'),
(24100, '59840', 'P�renchies', '59', 'FR'),
(24101, '59273', 'P�ronne en M�lantois', '59', 'FR'),
(24102, '59494', 'Petite For�t', '59', 'FR'),
(24103, '59640', 'Petite Synthe', '59', 'FR'),
(24104, '59244', 'Petit Fayt', '59', 'FR'),
(24105, '59133', 'Phalempin', '59', 'FR'),
(24106, '59284', 'Pitgam', '59', 'FR'),
(24107, '59218', 'Poix du Nord', '59', 'FR'),
(24108, '59360', 'Pommereuil', '59', 'FR'),
(24109, '59710', 'Pont �  Marcq', '59', 'FR'),
(24110, '59138', 'Pont sur Sambre', '59', 'FR'),
(24111, '59530', 'Potelle', '59', 'FR'),
(24112, '59190', 'Pradelles', '59', 'FR'),
(24113, '59840', 'Pr�mesques', '59', 'FR'),
(24114, '59990', 'Pr�seau', '59', 'FR'),
(24115, '59288', 'Preux au Bois', '59', 'FR'),
(24116, '59144', 'Preux au Sart', '59', 'FR'),
(24117, '59550', 'Prisches', '59', 'FR'),
(24118, '59121', 'Prouvy', '59', 'FR'),
(24119, '59267', 'Proville', '59', 'FR'),
(24120, '59185', 'Provin', '59', 'FR'),
(24121, '59380', 'Qua�dypre', '59', 'FR'),
(24122, '59243', 'Quarouble', '59', 'FR'),
(24123, '59269', 'Qu�r�naing', '59', 'FR'),
(24124, '59530', 'Le Quesnoy', '59', 'FR'),
(24125, '59890', 'Quesnoy sur De�le', '59', 'FR'),
(24126, '59680', 'Qui�velon', '59', 'FR'),
(24127, '59920', 'Qui�vrechain', '59', 'FR'),
(24128, '59214', 'Qui�vy', '59', 'FR'),
(24129, '59194', 'R�ches', '59', 'FR'),
(24130, '59320', 'Radinghem en Weppes', '59', 'FR'),
(24131, '59554', 'Raillencourt Ste Olle', '59', 'FR'),
(24132, '59283', 'Raimbeaucourt', '59', 'FR'),
(24133, '59177', 'Rainsars', '59', 'FR'),
(24134, '59590', 'Raismes', '59', 'FR'),
(24135, '59161', 'Ramillies', '59', 'FR'),
(24136, '59177', 'Ramousies', '59', 'FR'),
(24137, '59530', 'Raucourt au Bois', '59', 'FR'),
(24138, '59245', 'Recquignies', '59', 'FR'),
(24139, '59360', 'Rejet de Beaulieu', '59', 'FR'),
(24140, '59173', 'Renescure', '59', 'FR'),
(24141, '59980', 'Reumont', '59', 'FR'),
(24142, '59122', 'Rexpo�de', '59', 'FR'),
(24143, '59159', 'Rib�court la Tour', '59', 'FR'),
(24144, '59870', 'Rieulay', '59', 'FR'),
(24145, '59277', 'Rieux en Cambr�sis', '59', 'FR'),
(24146, '59550', 'Robersart', '59', 'FR'),
(24147, '59172', 'Roeulx', '59', 'FR'),
(24148, '59990', 'Rombies et Marchipont', '59', 'FR'),
(24149, '59730', 'Romeries', '59', 'FR'),
(24150, '59790', 'Ronchin', '59', 'FR'),
(24151, '59223', 'Roncq', '59', 'FR'),
(24152, '59286', 'Roost Warendin', '59', 'FR'),
(24153, '59240', 'Rosenda�l', '59', 'FR'),
(24154, '59230', 'Rosult', '59', 'FR'),
(24155, '59100', 'Roubaix', '59', 'FR'),
(24156, '59169', 'Roucourt', '59', 'FR'),
(24157, '59131', 'Rousies', '59', 'FR'),
(24158, '59220', 'Rouvignies', '59', 'FR'),
(24159, '59285', 'Rubrouck', '59', 'FR'),
(24160, '59258', 'Les Rues des Vignes', '59', 'FR'),
(24161, '59530', 'Ruesnes', '59', 'FR'),
(24162, '59226', 'Rumegies', '59', 'FR'),
(24163, '59281', 'Rumilly en Cambr�sis', '59', 'FR'),
(24164, '59554', 'Sailly lez Cambrai', '59', 'FR'),
(24165, '59390', 'Sailly lez Lannoy', '59', 'FR'),
(24166, '59262', 'Sainghin en M�lantois', '59', 'FR'),
(24167, '59184', 'Sainghin en Weppes', '59', 'FR'),
(24168, '59177', 'Sains du Nord', '59', 'FR'),
(24169, '59230', 'Saint Amand les Eaux', '59', 'FR'),
(24170, '59350', 'St Andr� lez Lille', '59', 'FR'),
(24171, '59188', 'Saint Aubert', '59', 'FR'),
(24172, '59440', 'St Aubin', '59', 'FR'),
(24173, '59163', 'Saint Aybert', '59', 'FR'),
(24174, '59360', 'Saint Benin', '59', 'FR'),
(24175, '59820', 'Saint Georges sur l''Aa', '59', 'FR'),
(24176, '59292', 'St Hilaire lez Cambrai', '59', 'FR'),
(24177, '59440', 'Saint Hilaire sur Helpe', '59', 'FR'),
(24178, '59270', 'Saint Jans Cappel', '59', 'FR'),
(24179, '59670', 'Sainte Marie Cappel', '59', 'FR'),
(24180, '59213', 'Saint Martin sur �caillon', '59', 'FR'),
(24181, '59143', 'Saint Momelin', '59', 'FR'),
(24182, '59630', 'Saint Pierre Brouck', '59', 'FR'),
(24183, '59430', 'Saint Pol sur Mer', '59', 'FR'),
(24184, '59730', 'Saint Python', '59', 'FR'),
(24185, '59620', 'Saint Remy Chauss�e', '59', 'FR'),
(24186, '59330', 'Saint R�my du Nord', '59', 'FR'),
(24187, '59880', 'Saint Saulve', '59', 'FR'),
(24188, '59360', 'Saint Souplet', '59', 'FR'),
(24189, '59114', 'Saint Sylvestre Cappel', '59', 'FR'),
(24190, '59188', 'St Vaast en Cambr�sis', '59', 'FR'),
(24191, '59570', 'St Waast', '59', 'FR'),
(24192, '59218', 'Salesches', '59', 'FR'),
(24193, '59496', 'Salom�', '59', 'FR'),
(24194, '59310', 'Sam�on', '59', 'FR'),
(24195, '59265', 'Sancourt', '59', 'FR'),
(24196, '59211', 'Santes', '59', 'FR'),
(24197, '59230', 'Sars et Rosi�res', '59', 'FR'),
(24198, '59216', 'Sars Poteries', '59', 'FR'),
(24199, '59145', 'Sassegnies', '59', 'FR'),
(24200, '59990', 'Saultain', '59', 'FR'),
(24201, '59227', 'Saulzoir', '59', 'FR'),
(24202, '59990', 'Sebourg', '59', 'FR'),
(24203, '59113', 'Seclin', '59', 'FR'),
(24204, '59127', 'Selvigny', '59', 'FR'),
(24205, '59440', 'S�meries', '59', 'FR'),
(24206, '59440', 'Semousies', '59', 'FR'),
(24207, '59174', 'La Sentinelle', '59', 'FR'),
(24208, '59269', 'Sepmeries', '59', 'FR'),
(24209, '59320', 'Sequedin', '59', 'FR'),
(24210, '59400', 'S�ranvillers Forenville', '59', 'FR'),
(24211, '59173', 'Sercus', '59', 'FR'),
(24212, '59450', 'Sin le Noble', '59', 'FR'),
(24213, '59380', 'Socx', '59', 'FR'),
(24214, '59730', 'Solesmes', '59', 'FR'),
(24215, '59740', 'Solre le Ch�teau', '59', 'FR'),
(24216, '59740', 'Solrinnes', '59', 'FR'),
(24217, '59490', 'Somain', '59', 'FR'),
(24218, '59213', 'Sommaing', '59', 'FR'),
(24219, '59380', 'Spycker', '59', 'FR'),
(24220, '59190', 'Staple', '59', 'FR'),
(24221, '59189', 'Steenbecque', '59', 'FR'),
(24222, '59380', 'Steene', '59', 'FR'),
(24223, '59114', 'Steenvoorde', '59', 'FR'),
(24224, '59181', 'Steenwerck', '59', 'FR'),
(24225, '59270', 'Strazeele', '59', 'FR'),
(24226, '59550', 'Taisni�res en Thi�rache', '59', 'FR'),
(24227, '59570', 'Taisni�res sur Hon', '59', 'FR'),
(24228, '59175', 'Templemars', '59', 'FR'),
(24229, '59242', 'Templeuve', '59', 'FR'),
(24230, '59114', 'Terdeghem', '59', 'FR'),
(24231, '59229', 'T�teghem', '59', 'FR'),
(24232, '59224', 'Thiant', '59', 'FR'),
(24233, '59189', 'Thiennes', '59', 'FR'),
(24234, '59163', 'Thivencelle', '59', 'FR'),
(24235, '59239', 'Thumeries', '59', 'FR'),
(24236, '59141', 'Thun l''Ev�que', '59', 'FR'),
(24237, '59158', 'Thun Saint Amand', '59', 'FR'),
(24238, '59141', 'Thun Saint Martin', '59', 'FR'),
(24239, '59870', 'Tilloy lez Marchiennes', '59', 'FR'),
(24240, '59554', 'Tilloy lez Cambrai', '59', 'FR'),
(24241, '59390', 'Toufflers', '59', 'FR'),
(24242, '59200', 'Tourcoing', '59', 'FR'),
(24243, '59551', 'Tourmignies', '59', 'FR'),
(24244, '59132', 'Tr�lon', '59', 'FR'),
(24245, '59152', 'Tressin', '59', 'FR'),
(24246, '59125', 'Trith Saint L�ger', '59', 'FR'),
(24247, '59980', 'Troisvilles', '59', 'FR'),
(24248, '59229', 'Uxem', '59', 'FR'),
(24249, '59300', 'Valenciennes', '59', 'FR'),
(24250, '59218', 'Vendegies au Bois', '59', 'FR'),
(24251, '59213', 'Vendegies sur �caillon', '59', 'FR'),
(24252, '59175', 'Vendeville', '59', 'FR'),
(24253, '59227', 'Verchain Maugr�', '59', 'FR'),
(24254, '59237', 'Verlinghem', '59', 'FR'),
(24255, '59730', 'Vertain', '59', 'FR'),
(24256, '59970', 'Vicq', '59', 'FR'),
(24257, '59271', 'Viesly', '59', 'FR'),
(24258, '59232', 'Vieux Berquin', '59', 'FR'),
(24259, '59690', 'Vieux Cond�', '59', 'FR'),
(24260, '59138', 'Vieux Mesnil', '59', 'FR'),
(24261, '59600', 'Vieux Reng', '59', 'FR'),
(24262, '59530', 'Villereau', '59', 'FR'),
(24263, '59234', 'Villers au Tertre', '59', 'FR'),
(24264, '59188', 'Villers en Cauchies', '59', 'FR'),
(24265, '59297', 'Villers Guislain', '59', 'FR'),
(24266, '59142', 'Villers Outr�aux', '59', 'FR'),
(24267, '59231', 'Villers Plouich', '59', 'FR'),
(24268, '59530', 'Villers Pol', '59', 'FR'),
(24269, '59600', 'Villers Sire Nicole', '59', 'FR'),
(24270, '59470', 'Volckerinckhove', '59', 'FR'),
(24271, '59870', 'Vred', '59', 'FR'),
(24272, '59261', 'Wahagnies', '59', 'FR'),
(24273, '59127', 'Walincourt Selvigny', '59', 'FR'),
(24274, '59135', 'Wallers', '59', 'FR'),
(24275, '59132', 'Wallers Tr�lon', '59', 'FR'),
(24276, '59190', 'Wallon Cappel', '59', 'FR'),
(24277, '59400', 'Wambaix', '59', 'FR'),
(24278, '59118', 'Wambrechies', '59', 'FR'),
(24279, '59870', 'Wandignies Hamage', '59', 'FR'),
(24280, '59830', 'Wannehain', '59', 'FR'),
(24281, '59144', 'Wargnies le Grand', '59', 'FR'),
(24282, '59144', 'Wargnies le Petit', '59', 'FR'),
(24283, '59380', 'Warhem', '59', 'FR'),
(24284, '59870', 'Warlaing', '59', 'FR'),
(24285, '59560', 'Warneton', '59', 'FR'),
(24286, '59252', 'Wasnes au Bac', '59', 'FR'),
(24287, '59290', 'Wasquehal', '59', 'FR'),
(24288, '59143', 'Watten', '59', 'FR'),
(24289, '59139', 'Wattignies', '59', 'FR'),
(24290, '59680', 'Wattignies la Victoire', '59', 'FR'),
(24291, '59150', 'Wattrelos', '59', 'FR'),
(24292, '59220', 'Wavrechain sous Denain', '59', 'FR'),
(24293, '59111', 'Wavrechain sous Faulx', '59', 'FR'),
(24294, '59136', 'Wavrin', '59', 'FR'),
(24295, '59119', 'Waziers', '59', 'FR'),
(24296, '59670', 'Wemaers Cappel', '59', 'FR'),
(24297, '59117', 'Wervicq Sud', '59', 'FR'),
(24298, '59380', 'West Cappel', '59', 'FR'),
(24299, '59134', 'Wicres', '59', 'FR'),
(24300, '59212', 'Wignehies', '59', 'FR'),
(24301, '59780', 'Willems', '59', 'FR'),
(24302, '59740', 'Willies', '59', 'FR'),
(24303, '59670', 'Winnezeele', '59', 'FR'),
(24304, '59470', 'Wormhout', '59', 'FR'),
(24305, '59143', 'Wulverdinghe', '59', 'FR'),
(24306, '59380', 'Wylder', '59', 'FR'),
(24307, '59470', 'Zegerscappel', '59', 'FR'),
(24308, '59670', 'Zermezeele', '59', 'FR'),
(24309, '59123', 'Zuydcoote', '59', 'FR'),
(24310, '59670', 'Zuytpeene', '59', 'FR'),
(24311, '59272', 'Don', '59', 'FR'),
(24312, '59920', 'Blanc Misseron', '59', 'FR'),
(24313, '59181', 'Croix du Bac', '59', 'FR'),
(24314, '59500', 'Dorignies', '59', 'FR'),
(24315, '59500', 'Frais Marais', '59', 'FR'),
(24316, '60220', 'Abancourt', '60', 'FR'),
(24317, '60430', 'Abbecourt', '60', 'FR'),
(24318, '60480', 'Abbeville Saint Lucien', '60', 'FR'),
(24319, '60690', 'Achy', '60', 'FR'),
(24320, '60620', 'Acy en Multien', '60', 'FR'),
(24321, '60700', 'Les Ageux', '60', 'FR'),
(24322, '60600', 'Agnetz', '60', 'FR'),
(24323, '60600', 'Airion', '60', 'FR'),
(24324, '60000', 'Allonne', '60', 'FR'),
(24325, '60110', 'Amblainville', '60', 'FR'),
(24326, '60310', 'Amy', '60', 'FR'),
(24327, '60570', 'Andeville', '60', 'FR'),
(24328, '60940', 'Angicourt', '60', 'FR'),
(24329, '60130', 'Angivillers', '60', 'FR'),
(24330, '60250', 'Angy', '60', 'FR'),
(24331, '60250', 'Ansacq', '60', 'FR'),
(24332, '60120', 'Ansauvillers', '60', 'FR'),
(24333, '60540', 'Anserville', '60', 'FR'),
(24334, '60162', 'Antheuil Portes', '60', 'FR'),
(24335, '60620', 'Antilly', '60', 'FR'),
(24336, '60400', 'Appilly', '60', 'FR'),
(24337, '60300', 'Apremont', '60', 'FR'),
(24338, '60880', 'Armancourt', '60', 'FR'),
(24339, '60190', 'Arsy', '60', 'FR'),
(24340, '60350', 'Attichy', '60', 'FR'),
(24341, '60360', 'Auchy la Montagne', '60', 'FR'),
(24342, '60800', 'Auger Saint Vincent', '60', 'FR'),
(24343, '60300', 'Aumont en Halatte', '60', 'FR'),
(24344, '60390', 'Auneuil', '60', 'FR'),
(24345, '60390', 'Auteuil', '60', 'FR'),
(24346, '60890', 'Autheuil en Valois', '60', 'FR'),
(24347, '60350', 'Autr�ches', '60', 'FR'),
(24348, '60300', 'Avilly Saint L�onard', '60', 'FR'),
(24349, '60130', 'Avrechy', '60', 'FR'),
(24350, '60310', 'Avricourt', '60', 'FR'),
(24351, '60190', 'Avrigny', '60', 'FR'),
(24352, '60400', 'Baboeuf', '60', 'FR'),
(24353, '60240', 'Bachivillers', '60', 'FR'),
(24354, '60120', 'Bacou�l', '60', 'FR'),
(24355, '60190', 'Bailleul le Soc', '60', 'FR'),
(24356, '60930', 'Bailleul sur Th�rain', '60', 'FR'),
(24357, '60140', 'Bailleval', '60', 'FR'),
(24358, '60170', 'Bailly', '60', 'FR'),
(24359, '60250', 'Balagny sur Th�rain', '60', 'FR'),
(24360, '60810', 'Barbery', '60', 'FR'),
(24361, '60620', 'Bargny', '60', 'FR'),
(24362, '60300', 'Baron', '60', 'FR'),
(24363, '60113', 'Baugy', '60', 'FR'),
(24364, '60190', 'Baugy', '60', 'FR'),
(24365, '60380', 'Bazancourt', '60', 'FR'),
(24366, '60700', 'Bazicourt', '60', 'FR'),
(24367, '60210', 'Beaud�duit', '60', 'FR'),
(24368, '60640', 'Beaugies sous Bois', '60', 'FR'),
(24369, '60310', 'Beaulieu les Fontaines', '60', 'FR'),
(24370, '60390', 'Beaumont les Nonains', '60', 'FR'),
(24371, '60400', 'Beaurains l�s Noyon', '60', 'FR'),
(24372, '60700', 'Beaurepaire', '60', 'FR'),
(24373, '60155', 'Beauvais', '60', 'FR'),
(24374, '60000', 'Beauvais', '60', 'FR'),
(24375, '60120', 'Beauvoir', '60', 'FR'),
(24376, '60400', 'B�h�ricourt', '60', 'FR'),
(24377, '60540', 'Belle �glise', '60', 'FR'),
(24378, '60490', 'Belloy', '60', 'FR'),
(24379, '60640', 'Berlancourt', '60', 'FR'),
(24380, '60390', 'Berneuil en Bray', '60', 'FR'),
(24381, '60350', 'Berneuil sur Aisne', '60', 'FR'),
(24382, '60370', 'Berthecourt', '60', 'FR'),
(24383, '60129', 'B�thancourt en Valois', '60', 'FR'),
(24384, '60320', 'B�thisy Saint Martin', '60', 'FR'),
(24385, '60320', 'B�thisy Saint Pierre', '60', 'FR'),
(24386, '60620', 'Betz', '60', 'FR'),
(24387, '60200', 'Bienville', '60', 'FR'),
(24388, '60490', 'Biermont', '60', 'FR'),
(24389, '60350', 'Bitry', '60', 'FR'),
(24390, '60650', 'Blacourt', '60', 'FR'),
(24391, '60460', 'Blaincourt l�s Pr�cy', '60', 'FR'),
(24392, '60120', 'Blancfoss�', '60', 'FR'),
(24393, '60220', 'Blargies', '60', 'FR'),
(24394, '60860', 'Blicourt', '60', 'FR'),
(24395, '60190', 'Blincourt', '60', 'FR'),
(24396, '60440', 'Boissy Fresnoy', '60', 'FR'),
(24397, '60240', 'Boissy le Bois', '60', 'FR'),
(24398, '60510', 'Bonlier', '60', 'FR'),
(24399, '60120', 'Bonneuil les Eaux', '60', 'FR'),
(24400, '60123', 'Bonneuil en Valois', '60', 'FR'),
(24401, '60112', 'Bonni�res', '60', 'FR'),
(24402, '60120', 'Bonvillers', '60', 'FR'),
(24403, '60820', 'Boran sur Oise', '60', 'FR'),
(24404, '60300', 'Borest', '60', 'FR'),
(24405, '60540', 'Bornel', '60', 'FR'),
(24406, '60240', 'Boubiers', '60', 'FR'),
(24407, '60240', 'Bouconvillers', '60', 'FR'),
(24408, '60620', 'Bouillancy', '60', 'FR'),
(24409, '60620', 'Boullarre', '60', 'FR'),
(24410, '60490', 'Boulogne la Grasse', '60', 'FR'),
(24411, '60141', 'Boursonne', '60', 'FR'),
(24412, '60240', 'Boury en Vexin', '60', 'FR'),
(24413, '60220', 'Boutavent', '60', 'FR'),
(24414, '60590', 'Boutencourt', '60', 'FR'),
(24415, '60220', 'Bouvresse', '60', 'FR'),
(24416, '60113', 'Braisnes', '60', 'FR'),
(24417, '60810', 'Brasseuse', '60', 'FR'),
(24418, '60440', 'Br�gy', '60', 'FR'),
(24419, '60870', 'Brenouille', '60', 'FR'),
(24420, '60510', 'Bresles', '60', 'FR'),
(24421, '60120', 'Breteuil', '60', 'FR'),
(24422, '60400', 'Br�tigny', '60', 'FR'),
(24423, '60600', 'Breuil le Sec', '60', 'FR'),
(24424, '60600', 'Breuil le Vert', '60', 'FR'),
(24425, '60210', 'Briot', '60', 'FR'),
(24426, '60210', 'Brombos', '60', 'FR'),
(24427, '60220', 'Broquiers', '60', 'FR'),
(24428, '60120', 'Broyes', '60', 'FR'),
(24429, '60130', 'Brunvillers la Motte', '60', 'FR'),
(24430, '60480', 'Bucamps', '60', 'FR'),
(24431, '60380', 'Buicourt', '60', 'FR'),
(24432, '60130', 'Bulles', '60', 'FR'),
(24433, '60250', 'Bury', '60', 'FR'),
(24434, '60400', 'Bussy', '60', 'FR'),
(24435, '60400', 'Caisnes', '60', 'FR'),
(24436, '60170', 'Cambronne l�s Rib�court', '60', 'FR'),
(24437, '60290', 'Cambronne l�s Clermont', '60', 'FR'),
(24438, '60640', 'Campagne', '60', 'FR'),
(24439, '60220', 'Campeaux', '60', 'FR'),
(24440, '60480', 'Campremy', '60', 'FR'),
(24441, '60310', 'Candor', '60', 'FR'),
(24442, '60680', 'Canly', '60', 'FR'),
(24443, '60310', 'Cannectancourt', '60', 'FR'),
(24444, '60310', 'Canny sur Matz', '60', 'FR'),
(24445, '60220', 'Canny sur Th�rain', '60', 'FR'),
(24446, '60170', 'Carlepont', '60', 'FR'),
(24447, '60600', 'Catenoy', '60', 'FR'),
(24448, '60360', 'Catheux', '60', 'FR'),
(24449, '60640', 'Catigny', '60', 'FR'),
(24450, '60130', 'Catillon Fumechon', '60', 'FR'),
(24451, '60290', 'Cauffry', '60', 'FR'),
(24452, '60730', 'Cauvigny', '60', 'FR'),
(24453, '60210', 'Cempuis', '60', 'FR'),
(24454, '60190', 'Cernoy', '60', 'FR'),
(24455, '60300', 'Chamant', '60', 'FR'),
(24456, '60230', 'Chambly', '60', 'FR'),
(24457, '60240', 'Chambors', '60', 'FR'),
(24458, '60500', 'Chantilly', '60', 'FR'),
(24459, '60520', 'La Chapelle en Serval', '60', 'FR'),
(24460, '60240', 'Chaumont en Vexin', '60', 'FR'),
(24461, '60240', 'Chaven�on', '60', 'FR'),
(24462, '60350', 'Chelles', '60', 'FR'),
(24463, '60120', 'Chepoix', '60', 'FR'),
(24464, '60150', 'Chevincourt', '60', 'FR'),
(24465, '60440', 'Ch�vreville', '60', 'FR'),
(24466, '60710', 'Chevri�res', '60', 'FR'),
(24467, '60138', 'Chiry Ourscamps', '60', 'FR'),
(24468, '60750', 'Choisy au Bac', '60', 'FR'),
(24469, '60190', 'Choisy la Victoire', '60', 'FR'),
(24470, '60360', 'Choqueuse les B�nards', '60', 'FR'),
(24471, '60940', 'Cinqueux', '60', 'FR'),
(24472, '60660', 'Cires l�s Mello', '60', 'FR'),
(24473, '60200', 'Clairoix', '60', 'FR'),
(24474, '60600', 'Clermont', '60', 'FR'),
(24475, '60420', 'Coivrel', '60', 'FR'),
(24476, '60200', 'Compi�gne', '60', 'FR'),
(24477, '60490', 'Conchy les Pots', '60', 'FR'),
(24478, '60360', 'Conteville', '60', 'FR'),
(24479, '60110', 'Corbeil Cerf', '60', 'FR'),
(24480, '60120', 'Cormeilles', '60', 'FR'),
(24481, '60850', 'Le Coudray Saint Germer', '60', 'FR'),
(24482, '60790', 'Le Coudray sur Thelle', '60', 'FR'),
(24483, '60150', 'Coudun', '60', 'FR'),
(24484, '60350', 'Couloisy', '60', 'FR'),
(24485, '60420', 'Courcelles �payelles', '60', 'FR'),
(24486, '60240', 'Courcelles l�s Gisors', '60', 'FR'),
(24487, '60300', 'Courteuil', '60', 'FR'),
(24488, '60350', 'Courtieux', '60', 'FR'),
(24489, '60580', 'Coye la For�t', '60', 'FR'),
(24490, '60660', 'Cramoisy', '60', 'FR'),
(24491, '60310', 'Crapeaumesnil', '60', 'FR'),
(24492, '60100', 'Creil', '60', 'FR'),
(24493, '60800', 'Cr�py en Valois', '60', 'FR'),
(24494, '60190', 'Cressonsacq', '60', 'FR'),
(24495, '60360', 'Cr�vecoeur le Grand', '60', 'FR'),
(24496, '60420', 'Cr�vecoeur le Petit', '60', 'FR'),
(24497, '60112', 'Crillon', '60', 'FR'),
(24498, '60400', 'Crisolles', '60', 'FR'),
(24499, '60120', 'Le Crocq', '60', 'FR'),
(24500, '60120', 'Croissy sur Celle', '60', 'FR'),
(24501, '60350', 'Croutoy', '60', 'FR'),
(24502, '60530', 'Crouy en Thelle', '60', 'FR'),
(24503, '60130', 'Cuigni�res', '60', 'FR'),
(24504, '60850', 'Cuigy en Bray', '60', 'FR'),
(24505, '60350', 'Cuise la Motte', '60', 'FR'),
(24506, '60400', 'Cuts', '60', 'FR'),
(24507, '60620', 'Cuvergnon', '60', 'FR'),
(24508, '60490', 'Cuvilly', '60', 'FR'),
(24509, '60310', 'Cuy', '60', 'FR'),
(24510, '60210', 'Dameraucourt', '60', 'FR'),
(24511, '60210', 'Dargies', '60', 'FR'),
(24512, '60240', 'D�lincourt', '60', 'FR'),
(24513, '60790', 'Le D�luge', '60', 'FR'),
(24514, '60530', 'Dieudonne', '60', 'FR'),
(24515, '60310', 'Dives', '60', 'FR'),
(24516, '60360', 'Dom�liers', '60', 'FR'),
(24517, '60420', 'Domfront', '60', 'FR'),
(24518, '60420', 'Dompierre', '60', 'FR'),
(24519, '60800', 'Duvy', '60', 'FR'),
(24520, '60310', '�cuvilly', '60', 'FR'),
(24521, '60210', '�lencourt', '60', 'FR'),
(24522, '60157', '�lincourt Sainte Marguerite', '60', 'FR'),
(24523, '60123', '�m�ville', '60', 'FR'),
(24524, '60590', '�nencourt L�age', '60', 'FR'),
(24525, '60240', '�nencourt le Sec', '60', 'FR'),
(24526, '60190', '�pineuse', '60', 'FR'),
(24527, '60590', '�ragny sur Epte', '60', 'FR'),
(24528, '60530', 'Ercuis', '60', 'FR'),
(24529, '60950', 'Ermenonville', '60', 'FR'),
(24530, '60380', 'Ernemont Boutavent', '60', 'FR'),
(24531, '60600', 'Erquery', '60', 'FR'),
(24532, '60130', 'Erquinvillers', '60', 'FR'),
(24533, '60380', 'Escames', '60', 'FR'),
(24534, '60110', 'Esches', '60', 'FR'),
(24535, '60220', 'Escles Saint Pierre', '60', 'FR'),
(24536, '60650', 'Espaubourg', '60', 'FR'),
(24537, '60120', 'Esquennoy', '60', 'FR'),
(24538, '60510', 'Essuiles', '60', 'FR'),
(24539, '60190', 'Estr�es Saint Denis', '60', 'FR'),
(24540, '60620', '�tavigny', '60', 'FR'),
(24541, '60600', '�touy', '60', 'FR'),
(24542, '60330', '�ve', '60', 'FR'),
(24543, '60310', '�vricourt', '60', 'FR'),
(24544, '60240', 'Fay les �tangs', '60', 'FR'),
(24545, '60680', 'Le Fayel', '60', 'FR'),
(24546, '60510', 'Le Fay Saint Quentin', '60', 'FR'),
(24547, '60800', 'Feigneux', '60', 'FR'),
(24548, '60420', 'Ferri�res', '60', 'FR'),
(24549, '60960', 'Feuqui�res', '60', 'FR'),
(24550, '60600', 'Fitz James', '60', 'FR'),
(24551, '60590', 'Flavacourt', '60', 'FR'),
(24552, '60640', 'Flavy le Meldeux', '60', 'FR'),
(24553, '60120', 'Fl�chy', '60', 'FR'),
(24554, '60700', 'Fleurines', '60', 'FR'),
(24555, '60240', 'leury', '60', 'FR'),
(24556, '60360', 'Fontaine Bonneleau', '60', 'FR'),
(24557, '60300', 'Fontaine Cha�lis', '60', 'FR'),
(24558, '60690', 'Fontaine Lavaganne', '60', 'FR'),
(24559, '60480', 'Fontaine Saint Lucien', '60', 'FR'),
(24560, '60380', 'Fontenay Torcy', '60', 'FR'),
(24561, '60220', 'Formerie', '60', 'FR'),
(24562, '60540', 'Fosseuse', '60', 'FR'),
(24563, '60190', 'Fouilleuse', '60', 'FR'),
(24564, '60220', 'Fouilloy', '60', 'FR'),
(24565, '60250', 'Foulangues', '60', 'FR'),
(24566, '60000', 'Fouquenies', '60', 'FR'),
(24567, '60510', 'Fouquerolles', '60', 'FR'),
(24568, '60130', 'Fournival', '60', 'FR'),
(24569, '60480', 'Francastel', '60', 'FR'),
(24570, '60190', 'Franci�res', '60', 'FR'),
(24571, '60640', 'Fr�niches', '60', 'FR'),
(24572, '60240', 'Fresneaux Montchevreuil', '60', 'FR'),
(24573, '60240', 'Fresne L�guillon', '60', 'FR'),
(24574, '60310', 'Fresni�res', '60', 'FR'),
(24575, '60530', 'Fresnoy en Thelle', '60', 'FR'),
(24576, '60127', 'Fresnoy la Rivi�re', '60', 'FR'),
(24577, '60800', 'Fresnoy le Luat', '60', 'FR'),
(24578, '60420', 'Le Frestoy Vaux', '60', 'FR'),
(24579, '60640', 'Fr�toy le Ch�teau', '60', 'FR'),
(24580, '60000', 'Frocourt', '60', 'FR'),
(24581, '60480', 'Froissy', '60', 'FR'),
(24582, '60360', 'Le Gallet', '60', 'FR'),
(24583, '60120', 'Gannes', '60', 'FR'),
(24584, '60210', 'Gaudechart', '60', 'FR'),
(24585, '60400', 'Genvry', '60', 'FR'),
(24586, '60380', 'Gerberoy', '60', 'FR'),
(24587, '60129', 'Gilocourt', '60', 'FR'),
(24588, '60150', 'Giraumont', '60', 'FR'),
(24589, '60129', 'Glaignes', '60', 'FR'),
(24590, '60650', 'Glatigny', '60', 'FR'),
(24591, '60420', 'Godenvillers', '60', 'FR'),
(24592, '60000', 'Goincourt', '60', 'FR'),
(24593, '60640', 'Golancourt', '60', 'FR'),
(24594, '60117', 'Gondreville', '60', 'FR'),
(24595, '60220', 'Gourchelles', '60', 'FR'),
(24596, '60190', 'Gournay sur Aronde', '60', 'FR'),
(24597, '60270', 'Gouvieux', '60', 'FR'),
(24598, '60120', 'Gouy les Groseillers', '60', 'FR'),
(24599, '60680', 'Grandfresnoy', '60', 'FR'),
(24600, '60190', 'Grandvillers aux Bois', '60', 'FR'),
(24601, '60210', 'Grandvilliers', '60', 'FR'),
(24602, '60400', 'Grandr�', '60', 'FR'),
(24603, '60380', 'Gr�m�villers', '60', 'FR'),
(24604, '60210', 'Grez', '60', 'FR'),
(24605, '60480', 'Guignecourt', '60', 'FR'),
(24606, '60640', 'Guiscard', '60', 'FR'),
(24607, '60310', 'Gury', '60', 'FR'),
(24608, '60240', 'Hadancourt le Haut Clocher', '60', 'FR'),
(24609, '60490', 'Hainvillers', '60', 'FR'),
(24610, '60210', 'Halloy', '60', 'FR'),
(24611, '60650', 'Hannaches', '60', 'FR'),
(24612, '60210', 'Hamel', '60', 'FR'),
(24613, '60650', 'Hanvoile', '60', 'FR'),
(24614, '60120', 'Hardivillers', '60', 'FR'),
(24615, '60240', 'Hardivillers en Vexin', '60', 'FR'),
(24616, '60112', 'Haucourt', '60', 'FR'),
(24617, '60510', 'Haudivillers', '60', 'FR'),
(24618, '60210', 'Hautbos', '60', 'FR'),
(24619, '60690', 'Haute �pine', '60', 'FR'),
(24620, '60350', 'Hautefontaine', '60', 'FR'),
(24621, '60380', 'H�court', '60', 'FR'),
(24622, '60250', 'Heilles', '60', 'FR'),
(24623, '60190', 'H�m�villers', '60', 'FR'),
(24624, '60119', 'H�nonville', '60', 'FR'),
(24625, '60112', 'Herchies', '60', 'FR'),
(24626, '60120', 'La H�relle', '60', 'FR'),
(24627, '60380', 'H�ricourt sur Th�rain', '60', 'FR'),
(24628, '60370', 'Hermes', '60', 'FR'),
(24629, '60360', 'H�tomesnil', '60', 'FR'),
(24630, '60650', 'Hodenc en Bray', '60', 'FR'),
(24631, '60430', 'Hodenc l''Ev�que', '60', 'FR'),
(24632, '60250', 'Hondainville', '60', 'FR'),
(24633, '60710', 'Houdancourt', '60', 'FR'),
(24634, '60390', 'La Houssoye', '60', 'FR'),
(24635, '60141', 'Ivors', '60', 'FR'),
(24636, '60173', 'Ivry le Temple', '60', 'FR'),
(24637, '60240', 'Jam�ricourt', '60', 'FR'),
(24638, '60150', 'Janville', '60', 'FR'),
(24639, '60350', 'Jaulzy', '60', 'FR'),
(24640, '60880', 'Jaux', '60', 'FR'),
(24641, '60680', 'Jonqui�res', '60', 'FR'),
(24642, '60240', 'Jouy sous Thelle', '60', 'FR'),
(24643, '60112', 'Juvignies', '60', 'FR'),
(24644, '60310', 'Laberli�re', '60', 'FR'),
(24645, '60570', 'Laboissi�re en Thelle', '60', 'FR'),
(24646, '60590', 'Labosse', '60', 'FR'),
(24647, '60140', 'Labruy�re', '60', 'FR'),
(24648, '60650', 'Lachapelle aux Pots', '60', 'FR'),
(24649, '60730', 'Lachapelle Saint Pierre', '60', 'FR'),
(24650, '60380', 'Lachapelle sous Gerberoy', '60', 'FR'),
(24651, '60480', 'Lachauss�e du Bois d''Ecu', '60', 'FR'),
(24652, '60190', 'Lachelle', '60', 'FR'),
(24653, '60610', 'Lacroix Saint Ouen', '60', 'FR'),
(24654, '60510', 'Lafraye', '60', 'FR'),
(24655, '60310', 'Lagny', '60', 'FR'),
(24656, '60330', 'Lagny le Sec', '60', 'FR'),
(24657, '60290', 'Laigneville', '60', 'FR'),
(24658, '60590', 'Lalande en Son', '60', 'FR'),
(24659, '60850', 'Lalandelle', '60', 'FR'),
(24660, '60600', 'Lam�court', '60', 'FR'),
(24661, '60260', 'Lamorlaye', '60', 'FR'),
(24662, '60220', 'Lannoy Cuill�re', '60', 'FR'),
(24663, '60400', 'Larbroye', '60', 'FR'),
(24664, '60310', 'Lassigny', '60', 'FR'),
(24665, '60490', 'Lataule', '60', 'FR'),
(24666, '60240', 'Lattainville', '60', 'FR'),
(24667, '60120', 'Lavacquerie', '60', 'FR'),
(24668, '60210', 'Laverri�re', '60', 'FR'),
(24669, '60510', 'Laversines', '60', 'FR'),
(24670, '60240', 'Lavilletertre', '60', 'FR'),
(24671, '60420', 'L�glantiers', '60', 'FR'),
(24672, '60800', 'Levignen', '60', 'FR'),
(24673, '60650', 'Lh�raule', '60', 'FR'),
(24674, '60140', 'Liancourt', '60', 'FR'),
(24675, '60240', 'Liancourt Saint Pierre', '60', 'FR'),
(24676, '60640', 'Libermont', '60', 'FR'),
(24677, '60240', 'Lierville', '60', 'FR'),
(24678, '60130', 'Lieuvillers', '60', 'FR'),
(24679, '60360', 'Lihus', '60', 'FR'),
(24680, '60510', 'Litz', '60', 'FR'),
(24681, '60240', 'Loconville', '60', 'FR'),
(24682, '60150', 'Longueil Annel', '60', 'FR'),
(24683, '60126', 'Longueil Sainte Marie', '60', 'FR'),
(24684, '60110', 'Lormaison', '60', 'FR'),
(24685, '60380', 'Loueuse', '60', 'FR'),
(24686, '60360', 'Luchy', '60', 'FR'),
(24687, '60150', 'Machemont', '60', 'FR'),
(24688, '60420', 'Maignelay Montigny', '60', 'FR'),
(24689, '60600', 'Maimbeville', '60', 'FR'),
(24690, '60112', 'Maisoncelle Saint Pierre', '60', 'FR'),
(24691, '60480', 'Maisoncelle Tuilerie', '60', 'FR'),
(24692, '60490', 'Marest sur Matz', '60', 'FR'),
(24693, '60490', 'Mareuil la Motte', '60', 'FR'),
(24694, '60890', 'Mareuil sur Ourcq', '60', 'FR'),
(24695, '60310', 'Margny aux Cerises', '60', 'FR'),
(24696, '60280', 'Margny l�s Compi�gne', '60', 'FR'),
(24697, '60490', 'Margny sur Matz', '60', 'FR'),
(24698, '60890', 'Marolles', '60', 'FR'),
(24699, '60490', 'Marqu�glise', '60', 'FR'),
(24700, '60860', 'Marseille en Beauvaisis', '60', 'FR'),
(24701, '60690', 'Marseille en Beauvaisis', '60', 'FR'),
(24702, '60112', 'Martincourt', '60', 'FR'),
(24703, '60640', 'Maucourt', '60', 'FR'),
(24704, '60480', 'Maulers', '60', 'FR'),
(24705, '60660', 'Maysel', '60', 'FR'),
(24706, '60150', 'M�licocq', '60', 'FR'),
(24707, '60660', 'Mello', '60', 'FR'),
(24708, '60420', 'M�n�villers', '60', 'FR'),
(24709, '60110', 'M�ru', '60', 'FR'),
(24710, '60420', 'M�ry la Bataille', '60', 'FR'),
(24711, '60210', 'Le Mesnil Conteville', '60', 'FR'),
(24712, '60530', 'Le Mesnil en Thelle', '60', 'FR'),
(24713, '60120', 'Le Mesnil Saint Firmin', '60', 'FR'),
(24714, '60130', 'Le Mesnil sur Bulles', '60', 'FR'),
(24715, '60240', 'Le Mesnil Th�ribus', '60', 'FR'),
(24716, '60880', 'Le Meux', '60', 'FR'),
(24717, '60112', 'Milly sur Th�rain', '60', 'FR'),
(24718, '60140', 'Mogneville', '60', 'FR'),
(24719, '60220', 'Moliens', '60', 'FR'),
(24720, '60940', 'Monceaux', '60', 'FR'),
(24721, '60220', 'Monceaux l''Abbaye', '60', 'FR'),
(24722, '60113', 'Monchy Humi�res', '60', 'FR'),
(24723, '60290', 'Monchy Saint �loi', '60', 'FR'),
(24724, '60400', 'Mondescourt', '60', 'FR'),
(24725, '60240', 'Monneville', '60', 'FR'),
(24726, '60240', 'Montagny en Vexin', '60', 'FR'),
(24727, '60950', 'Montagny Ste F�licit�', '60', 'FR'),
(24728, '60160', 'Montataire', '60', 'FR'),
(24729, '60810', 'Mont�pilloy', '60', 'FR'),
(24730, '60420', 'Montg�rain', '60', 'FR'),
(24731, '60790', 'Montherlant', '60', 'FR'),
(24732, '60190', 'Montiers', '60', 'FR'),
(24733, '60240', 'Montjavoult', '60', 'FR'),
(24734, '60300', 'Mont l''Ev�que', '60', 'FR'),
(24735, '60300', 'Montlognon', '60', 'FR'),
(24736, '60150', 'Montmacq', '60', 'FR'),
(24737, '60190', 'Montmartin', '60', 'FR'),
(24738, '60480', 'Montreuil sur Br�che', '60', 'FR'),
(24739, '60134', 'Montreuil sur Th�rain', '60', 'FR'),
(24740, '60119', 'Monts', '60', 'FR'),
(24741, '60650', 'Le Mont Saint Adrien', '60', 'FR'),
(24742, '60530', 'Morangles', '60', 'FR'),
(24743, '60127', 'Morienval', '60', 'FR'),
(24744, '60400', 'Morlincourt', '60', 'FR'),
(24745, '60128', 'Mortefontaine', '60', 'FR'),
(24746, '60570', 'Mortefontaine en Thelle', '60', 'FR'),
(24747, '60490', 'Mortemer', '60', 'FR'),
(24748, '60380', 'Morvillers', '60', 'FR'),
(24749, '60120', 'Mory Montcrux', '60', 'FR'),
(24750, '60250', 'Mouchy le Ch�tel', '60', 'FR'),
(24751, '60350', 'Moulin sous Touvent', '60', 'FR'),
(24752, '60250', 'Mouy', '60', 'FR'),
(24753, '60190', 'Moyenneville', '60', 'FR'),
(24754, '60190', 'Moyvillers', '60', 'FR'),
(24755, '60480', 'Muidorge', '60', 'FR'),
(24756, '60640', 'Muirancourt', '60', 'FR'),
(24757, '60220', 'Mureaumont', '60', 'FR'),
(24758, '60400', 'Nampcel', '60', 'FR'),
(24759, '60440', 'Nanteuil le Haudouin', '60', 'FR'),
(24760, '60320', 'N�ry', '60', 'FR'),
(24761, '60890', 'Neufchelles', '60', 'FR'),
(24762, '60190', 'Neufvy sur Aronde', '60', 'FR'),
(24763, '60530', 'Neuilly en Thelle', '60', 'FR'),
(24764, '60290', 'Neuilly sous Clermont', '60', 'FR'),
(24765, '60119', 'Neuville Bosc', '60', 'FR'),
(24766, '60790', 'La Neuville d''Aumont', '60', 'FR'),
(24767, '60510', 'La Neuville en Hez', '60', 'FR'),
(24768, '60390', 'La Neuville Garnier', '60', 'FR'),
(24769, '60190', 'Laneuvilleroy', '60', 'FR'),
(24770, '60480', 'La Neuville Saint Pierre', '60', 'FR'),
(24771, '60690', 'La Neuville sur Oudeuil', '60', 'FR'),
(24772, '60490', 'Neuville sur Ressons', '60', 'FR'),
(24773, '60112', 'La Neuville Vault', '60', 'FR'),
(24774, '60510', 'Nivillers', '60', 'FR'),
(24775, '60430', 'Noailles', '60', 'FR'),
(24776, '60180', 'Nogent sur Oise', '60', 'FR'),
(24777, '60600', 'Nointel', '60', 'FR'),
(24778, '60480', 'Noir�mont', '60', 'FR'),
(24779, '60130', 'Noroy', '60', 'FR'),
(24780, '60130', 'Nourard le Franc', '60', 'FR'),
(24781, '60730', 'Novillers', '60', 'FR'),
(24782, '60480', 'Noyers Saint Martin', '60', 'FR'),
(24783, '60400', 'Noyon', '60', 'FR'),
(24784, '60210', 'Offoy', '60', 'FR'),
(24785, '60440', 'Ognes', '60', 'FR'),
(24786, '60310', 'Ognolles', '60', 'FR'),
(24787, '60810', 'Ognon', '60', 'FR'),
(24788, '60220', 'Om�court', '60', 'FR'),
(24789, '60650', 'Ons en Bray', '60', 'FR'),
(24790, '60620', 'Ormoy le Davien', '60', 'FR'),
(24791, '60800', 'Ormoy Villers', '60', 'FR'),
(24792, '60510', 'Oro�r', '60', 'FR'),
(24793, '60129', 'Orrouy', '60', 'FR'),
(24794, '60560', 'Orry la Ville', '60', 'FR'),
(24795, '60490', 'Orvillers Sorel', '60', 'FR'),
(24796, '60860', 'Oudeuil', '60', 'FR'),
(24797, '60480', 'Ourcel Maison', '60', 'FR'),
(24798, '60120', 'Paillart', '60', 'FR'),
(24799, '60240', 'Parnes', '60', 'FR'),
(24800, '60400', 'Passel', '60', 'FR'),
(24801, '60440', 'P�roy les Gombries', '60', 'FR'),
(24802, '60112', 'Pierrefitte en Beauvaisis', '60', 'FR'),
(24803, '60350', 'Pierrefonds', '60', 'FR'),
(24804, '60170', 'Pimprez', '60', 'FR'),
(24805, '60860', 'Pisseleu', '60', 'FR'),
(24806, '60128', 'Plailly', '60', 'FR'),
(24807, '60130', 'Plainval', '60', 'FR'),
(24808, '60120', 'Plainville', '60', 'FR'),
(24809, '60130', 'Le Plessier sur Bulles', '60', 'FR'),
(24810, '60130', 'Le Plessier sur Saint Just', '60', 'FR'),
(24811, '60310', 'Plessis de Roye', '60', 'FR'),
(24812, '60330', 'Le Plessis Belleville', '60', 'FR'),
(24813, '60150', 'Le Plessis Brion', '60', 'FR'),
(24814, '60640', 'Plessis Patte d''Oie', '60', 'FR'),
(24815, '60420', 'Le Ployron', '60', 'FR'),
(24816, '60430', 'Ponchon', '60', 'FR'),
(24817, '60520', 'Pontarm�', '60', 'FR'),
(24818, '60400', 'Pont l''�v�que', '60', 'FR'),
(24819, '60400', 'Pontoise l�s Noyon', '60', 'FR'),
(24820, '60700', 'Pontpoint', '60', 'FR'),
(24821, '60700', 'Pont Sainte Maxence', '60', 'FR'),
(24822, '60390', 'Porcheux', '60', 'FR'),
(24823, '60400', 'Porqu�ricourt', '60', 'FR'),
(24824, '60790', 'Pouilly', '60', 'FR'),
(24825, '60460', 'Pr�cy sur Oise', '60', 'FR'),
(24826, '60360', 'Pr�villers', '60', 'FR'),
(24827, '60190', 'Pronleroy', '60', 'FR'),
(24828, '60850', 'Puiseux en Bray', '60', 'FR'),
(24829, '60540', 'Puiseux le Hauberger', '60', 'FR'),
(24830, '60480', 'Puits la Vall�e', '60', 'FR'),
(24831, '60640', 'Quesmy', '60', 'FR'),
(24832, '60480', 'Le Quesnel Aubry', '60', 'FR'),
(24833, '60220', 'Quincampoix Fleuzy', '60', 'FR'),
(24834, '60130', 'Quinquempoix', '60', 'FR'),
(24835, '60650', 'Rainvillers', '60', 'FR'),
(24836, '60155', 'Rainvillers', '60', 'FR'),
(24837, '60290', 'Rantigny', '60', 'FR'),
(24838, '60810', 'Raray', '60', 'FR'),
(24839, '60130', 'Ravenel', '60', 'FR'),
(24840, '60620', 'R�ez Fosse Martin', '60', 'FR'),
(24841, '60240', 'Reilly', '60', 'FR'),
(24842, '60600', 'R�m�court', '60', 'FR'),
(24843, '60510', 'R�m�rangles', '60', 'FR'),
(24844, '60190', 'R�my', '60', 'FR'),
(24845, '60790', 'Ressons l''Abbaye', '60', 'FR'),
(24846, '60490', 'Ressons sur Matz', '60', 'FR'),
(24847, '60153', 'Rethondes', '60', 'FR'),
(24848, '60480', 'Reuil sur Br�che', '60', 'FR'),
(24849, '60410', 'Rhuis', '60', 'FR'),
(24850, '60170', 'Rib�court Dreslincourt', '60', 'FR'),
(24851, '60490', 'Ricquebourg', '60', 'FR'),
(24852, '60870', 'Rieux', '60', 'FR'),
(24853, '60126', 'Rivecourt', '60', 'FR'),
(24854, '60410', 'Roberval', '60', 'FR'),
(24855, '60510', 'Rochy Cond�', '60', 'FR'),
(24856, '60800', 'Rocquemont', '60', 'FR'),
(24857, '60120', 'Rocquencourt', '60', 'FR'),
(24858, '60220', 'Romescamps', '60', 'FR'),
(24859, '60440', 'Rosi�res', '60', 'FR'),
(24860, '60140', 'Rosoy', '60', 'FR'),
(24861, '60620', 'Rosoy en Multien', '60', 'FR'),
(24862, '60360', 'Rotangy', '60', 'FR'),
(24863, '60690', 'Rothois', '60', 'FR'),
(24864, '60660', 'Rousseloy', '60', 'FR'),
(24865, '60800', 'Rouville', '60', 'FR'),
(24866, '60190', 'Rouvillers', '60', 'FR'),
(24867, '60620', 'Rouvres en Multien', '60', 'FR'),
(24868, '60120', 'Rouvroy les Merles', '60', 'FR'),
(24869, '60420', 'Royaucourt', '60', 'FR'),
(24870, '60690', 'Roy Boissy', '60', 'FR'),
(24871, '60310', 'Roye sur Matz', '60', 'FR'),
(24872, '60510', 'La Rue Saint Pierre', '60', 'FR'),
(24873, '60810', 'Rully', '60', 'FR'),
(24874, '60117', 'Russy B�mont', '60', 'FR'),
(24875, '60700', 'Sacy le Grand', '60', 'FR'),
(24876, '60190', 'Sacy le Petit', '60', 'FR'),
(24877, '60420', 'Sains Morainvillers', '60', 'FR'),
(24878, '60480', 'Saint Andr� Farivillers', '60', 'FR'),
(24879, '60220', 'Saint Arnoult', '60', 'FR'),
(24880, '60650', 'Saint Aubin en Bray', '60', 'FR'),
(24881, '60600', 'Saint Aubin sous Erquery', '60', 'FR'),
(24882, '60170', 'Saint Cr�pin aux Bois', '60', 'FR'),
(24883, '60149', 'Saint Cr�pin Ibouvillers', '60', 'FR'),
(24884, '60790', 'Saint Cr�pin Ibouvillers', '60', 'FR'),
(24885, '60380', 'Saint Deniscourt', '60', 'FR'),
(24886, '60350', 'Saint Etienne Roilaye', '60', 'FR'),
(24887, '60480', 'Sainte Eusoye', '60', 'FR'),
(24888, '60370', 'Saint F�lix', '60', 'FR'),
(24889, '60730', 'Sainte Genevi�ve', '60', 'FR'),
(24890, '60650', 'Saint Germain la Poterie', '60', 'FR'),
(24891, '60850', 'Saint Germer de Fly', '60', 'FR'),
(24892, '60410', 'Saintines', '60', 'FR'),
(24893, '60350', 'Saint Jean aux Bois', '60', 'FR'),
(24894, '60130', 'Saint Just en Chauss�e', '60', 'FR'),
(24895, '60170', 'Saint L�ger aux Bois', '60', 'FR'),
(24896, '60155', 'Saint L�ger en Bray', '60', 'FR'),
(24897, '60340', 'Saint Leu d''Esserent', '60', 'FR'),
(24898, '60420', 'Saint Martin aux Bois', '60', 'FR'),
(24899, '60000', 'Saint Martin le Noeud', '60', 'FR'),
(24900, '60700', 'Saint Martin Longueau', '60', 'FR'),
(24901, '60210', 'Saint Maur', '60', 'FR'),
(24902, '60740', 'Saint Maximin', '60', 'FR'),
(24903, '60860', 'Saint Omer en Chauss�e', '60', 'FR'),
(24904, '60650', 'Saint Paul', '60', 'FR'),
(24905, '60850', 'St Pierre es Champs', '60', 'FR'),
(24906, '60350', 'Saint Pierre l�s Bitry', '60', 'FR'),
(24907, '60380', 'Saint Quentin des Pr�s', '60', 'FR'),
(24908, '60130', 'Saint R�my en l''Eau', '60', 'FR'),
(24909, '60220', 'St Samson la Poterie', '60', 'FR'),
(24910, '60320', 'Saint Sauveur', '60', 'FR'),
(24911, '60430', 'Saint Sulpice', '60', 'FR'),
(24912, '60210', 'Saint Thibault', '60', 'FR'),
(24913, '60410', 'Saint Vaast de Longmont', '60', 'FR'),
(24914, '60660', 'Saint Vaast l�s Mello', '60', 'FR'),
(24915, '60220', 'St Valery', '60', 'FR'),
(24916, '60400', 'Salency', '60', 'FR'),
(24917, '60210', 'Sarcus', '60', 'FR'),
(24918, '60210', 'Sarnois', '60', 'FR'),
(24919, '60112', 'Sauqueuse Saint Lucien', '60', 'FR'),
(24920, '60360', 'Saulchoy', '60', 'FR'),
(24921, '60650', 'Savignies', '60', 'FR'),
(24922, '60400', 'Sempigny', '60', 'FR'),
(24923, '60650', 'Senantes', '60', 'FR'),
(24924, '60300', 'Senlis', '60', 'FR'),
(24925, '60240', 'Senots', '60', 'FR'),
(24926, '60240', 'Serans', '60', 'FR'),
(24927, '60120', 'S�r�villers', '60', 'FR'),
(24928, '60590', 'S�rifontaine', '60', 'FR'),
(24929, '60400', 'Sermaize', '60', 'FR'),
(24930, '60800', 'S�ry Magneval', '60', 'FR'),
(24931, '60330', 'Silly le Long', '60', 'FR'),
(24932, '60430', 'Silly Tillard', '60', 'FR'),
(24933, '60310', 'Solente', '60', 'FR'),
(24934, '60210', 'Sommereux', '60', 'FR'),
(24935, '60380', 'Songeons', '60', 'FR'),
(24936, '60380', 'Sully', '60', 'FR'),
(24937, '60400', 'Suzoy', '60', 'FR'),
(24938, '60590', 'Talmontiers', '60', 'FR'),
(24939, '60120', 'Tartigny', '60', 'FR'),
(24940, '60510', 'Therdonne', '60', 'FR'),
(24941, '60380', 'Th�rines', '60', 'FR'),
(24942, '60240', 'Thibivillers', '60', 'FR'),
(24943, '60520', 'Thiers sur Th�ve', '60', 'FR'),
(24944, '60310', 'Thiescourt', '60', 'FR'),
(24945, '60210', 'Thieuloy Saint Antoine', '60', 'FR'),
(24946, '60480', 'Thieux', '60', 'FR'),
(24947, '60160', 'Thiverny', '60', 'FR'),
(24948, '60150', 'Thourotte', '60', 'FR'),
(24949, '60890', 'Thury en Valois', '60', 'FR'),
(24950, '60250', 'Thury sous Clermont', '60', 'FR'),
(24951, '60000', 'Till�', '60', 'FR'),
(24952, '60240', 'Tourly', '60', 'FR'),
(24953, '60170', 'Tracy le Mont', '60', 'FR'),
(24954, '60170', 'Tracy le Val', '60', 'FR'),
(24955, '60420', 'Tricot', '60', 'FR'),
(24956, '60590', 'Trie Ch�teau', '60', 'FR'),
(24957, '60590', 'Trie la Ville', '60', 'FR'),
(24958, '60112', 'Troissereux', '60', 'FR'),
(24959, '60350', 'Trosly Breuil', '60', 'FR'),
(24960, '60120', 'Troussencourt', '60', 'FR'),
(24961, '60390', 'Troussures', '60', 'FR'),
(24962, '60800', 'Trumilly', '60', 'FR'),
(24963, '60730', 'Ully Saint Georges', '60', 'FR'),
(24964, '60790', 'Valdampierre', '60', 'FR'),
(24965, '60130', 'Valescourt', '60', 'FR'),
(24966, '60490', 'Vand�licourt', '60', 'FR'),
(24967, '60400', 'Varesnes', '60', 'FR'),
(24968, '60890', 'Varinfroy', '60', 'FR'),
(24969, '60400', 'Vauchelles', '60', 'FR'),
(24970, '60117', 'Vauciennes', '60', 'FR'),
(24971, '60240', 'Vaudancourt', '60', 'FR'),
(24972, '60590', 'Le Vaumain', '60', 'FR'),
(24973, '60117', 'Vaumoise', '60', 'FR'),
(24974, '60390', 'Le Vauroux', '60', 'FR'),
(24975, '60510', 'Velennes', '60', 'FR'),
(24976, '60120', 'Vendeuil Caply', '60', 'FR'),
(24977, '60200', 'Venette', '60', 'FR'),
(24978, '60950', 'Ver sur Launette', '60', 'FR'),
(24979, '60410', 'Verberie', '60', 'FR'),
(24980, '60112', 'Verderel l�s Sauqueuse', '60', 'FR'),
(24981, '60140', 'Verderonne', '60', 'FR'),
(24982, '60550', 'Verneuil en Halatte', '60', 'FR'),
(24983, '60440', 'Versigny', '60', 'FR'),
(24984, '60117', 'Vez', '60', 'FR'),
(24985, '60360', 'Viefvillers', '60', 'FR'),
(24986, '60350', 'Vieux Moulin', '60', 'FR'),
(24987, '60162', 'Vignemont', '60', 'FR'),
(24988, '60400', 'Ville', '60', 'FR'),
(24989, '60650', 'Villembray', '60', 'FR'),
(24990, '60175', 'Villeneuve les Sablons', '60', 'FR'),
(24991, '60890', 'Villeneuve sous Thury', '60', 'FR'),
(24992, '60410', 'Villeneuve sur Verberie', '60', 'FR'),
(24993, '60650', 'Villers Saint Barth�lemy', '60', 'FR'),
(24994, '60810', 'Villers Saint Frambourg', '60', 'FR'),
(24995, '60620', 'Villers Saint Genest', '60', 'FR'),
(24996, '60870', 'Villers Saint Paul', '60', 'FR'),
(24997, '60134', 'Villers Saint S�pulcre', '60', 'FR'),
(24998, '60340', 'Villers sous Saint Leu', '60', 'FR'),
(24999, '60650', 'Villers sur Auchy', '60', 'FR'),
(25000, '60860', 'Villers sur Bonni�res', '60', 'FR'),
(25001, '60150', 'Villers sur Coudun', '60', 'FR'),
(25002, '60590', 'Villers sur Trie', '60', 'FR'),
(25003, '60380', 'Villers Vermont', '60', 'FR'),
(25004, '60120', 'Villers Vicomte', '60', 'FR'),
(25005, '60640', 'Villeselve', '60', 'FR'),
(25006, '60390', 'Villotran', '60', 'FR'),
(25007, '60500', 'Vineuil Saint Firmin', '60', 'FR'),
(25008, '60112', 'Vrocourt', '60', 'FR'),
(25009, '60420', 'Wacquemoulin', '60', 'FR'),
(25010, '60380', 'Wambez', '60', 'FR'),
(25011, '60430', 'Warluis', '60', 'FR'),
(25012, '60130', 'Wavignies', '60', 'FR'),
(25013, '60420', 'Welles P�rennes', '60', 'FR'),
(25014, '60000', 'Aux Marais', '60', 'FR'),
(25015, '61000', 'Alen�on', '61', 'FR'),
(25016, '61570', 'Almen�ches', '61', 'FR'),
(25017, '61550', 'Anceins', '61', 'FR'),
(25018, '61410', 'Antoigny', '61', 'FR'),
(25019, '61130', 'Appenai sous Bell�me', '61', 'FR'),
(25020, '61200', 'Argentan', '61', 'FR'),
(25021, '61430', 'Athis de l''Orne', '61', 'FR'),
(25022, '61270', 'Aube', '61', 'FR'),
(25023, '61160', 'Aubry en Exmes', '61', 'FR'),
(25024, '61120', 'Aubry le Panthou', '61', 'FR'),
(25025, '61100', 'Aubusson', '61', 'FR'),
(25026, '61270', 'Auguaise', '61', 'FR'),
(25027, '61500', 'Aunay les Bois', '61', 'FR'),
(25028, '61200', 'Aunou le Faucon', '61', 'FR'),
(25029, '61500', 'Aunou sur Orne', '61', 'FR'),
(25030, '61190', 'Autheuil', '61', 'FR'),
(25031, '61240', 'Les Authieux du Puits', '61', 'FR'),
(25032, '61470', 'Avernes Saint Gourgon', '61', 'FR'),
(25033, '61310', 'Avernes sous Exmes', '61', 'FR'),
(25034, '61150', 'Avoine', '61', 'FR'),
(25035, '61700', 'Avrilly', '61', 'FR'),
(25036, '61140', 'Bagnoles de l''Orne', '61', 'FR'),
(25037, '61160', 'Bailleul', '61', 'FR'),
(25038, '61450', 'Banvou', '61', 'FR'),
(25039, '61330', 'La Baroche sous Luc�', '61', 'FR'),
(25040, '61170', 'Barville', '61', 'FR'),
(25041, '61150', 'Batilly', '61', 'FR'),
(25042, '61210', 'Bazoches au Houlme', '61', 'FR'),
(25043, '61560', 'Bazoches sur Ho�ne', '61', 'FR'),
(25044, '61100', 'Bazoque', '61', 'FR'),
(25045, '61800', 'Beauch�ne', '61', 'FR'),
(25046, '61270', 'Beaufai', '61', 'FR'),
(25047, '61140', 'Beaulandais', '61', 'FR'),
(25048, '61190', 'Beaulieu', '61', 'FR'),
(25049, '61600', 'Beauvain', '61', 'FR'),
(25050, '61500', 'Belfonds', '61', 'FR'),
(25051, '61360', 'Bellavilliers', '61', 'FR'),
(25052, '61130', 'Bell�me', '61', 'FR'),
(25053, '61570', 'La Belli�re', '61', 'FR'),
(25054, '61220', 'Bellou en Houlme', '61', 'FR'),
(25055, '61130', 'Bellou le Trichard', '61', 'FR'),
(25056, '61110', 'Bellou sur Huisne', '61', 'FR'),
(25057, '61340', 'Berd''huis', '61', 'FR'),
(25058, '61430', 'Berjou', '61', 'FR'),
(25059, '61190', 'Bivilliers', '61', 'FR'),
(25060, '61290', 'Bizou', '61', 'FR'),
(25061, '61550', 'Bocquenc�', '61', 'FR'),
(25062, '61560', 'Bo�c�', '61', 'FR'),
(25063, '61570', 'Boissei la Lande', '61', 'FR'),
(25064, '61110', 'Boissy Maugis', '61', 'FR'),
(25065, '61500', 'Boitron', '61', 'FR'),
(25066, '61270', 'Bonnefoi', '61', 'FR'),
(25067, '61380', 'Bonsmoulins', '61', 'FR'),
(25068, '61470', 'Le Bosc Renoult', '61', 'FR'),
(25069, '61570', 'Bouc�', '61', 'FR'),
(25070, '61500', 'Le Bouillon', '61', 'FR'),
(25071, '61310', 'Bourg St L�onard', '61', 'FR'),
(25072, '61100', 'Br�el', '61', 'FR'),
(25073, '61190', 'Br�solettes', '61', 'FR'),
(25074, '61270', 'Br�thel', '61', 'FR'),
(25075, '61110', 'Bretoncelles', '61', 'FR'),
(25076, '61160', 'Brieux', '61', 'FR'),
(25077, '61220', 'Briouze', '61', 'FR'),
(25078, '61390', 'Brullemail', '61', 'FR'),
(25079, '61190', 'Bubertr�', '61', 'FR'),
(25080, '61170', 'Bur�', '61', 'FR'),
(25081, '61170', 'Bures', '61', 'FR'),
(25082, '61500', 'Bursard', '61', 'FR'),
(25083, '61430', 'Cahan', '61', 'FR'),
(25084, '61100', 'Caligny', '61', 'FR'),
(25085, '61120', 'Camembert', '61', 'FR'),
(25086, '61120', 'Canapville', '61', 'FR'),
(25087, '61100', 'La Carneille', '61', 'FR'),
(25088, '61320', 'Carrouges', '61', 'FR'),
(25089, '61330', 'C�auc�', '61', 'FR'),
(25090, '61500', 'Le Cercueil', '61', 'FR'),
(25091, '61000', 'C�ris�', '61', 'FR'),
(25092, '61100', 'Cerisy Belle Etoile', '61', 'FR'),
(25093, '61260', 'Ceton', '61', 'FR'),
(25094, '61320', 'Chahains', '61', 'FR'),
(25095, '61500', 'Chaillou�', '61', 'FR'),
(25096, '61390', 'Le Chalange', '61', 'FR'),
(25097, '61160', 'Chambois', '61', 'FR'),
(25098, '61210', 'Champcerie', '61', 'FR'),
(25099, '61320', 'Le Champ de la Pierre', '61', 'FR'),
(25100, '61120', 'Les Champeaux', '61', 'FR'),
(25101, '61560', 'Champeaux sur Sarthe', '61', 'FR'),
(25102, '61240', 'Champ Haut', '61', 'FR'),
(25103, '61120', 'Champosoult', '61', 'FR'),
(25104, '61190', 'Champs', '61', 'FR'),
(25105, '61700', 'Champsecret', '61', 'FR'),
(25106, '61300', 'Chandai', '61', 'FR'),
(25107, '61800', 'Chanu', '61', 'FR'),
(25108, '61100', 'La Chapelle au Moine', '61', 'FR'),
(25109, '61100', 'La Chapelle Biche', '61', 'FR'),
(25110, '61140', 'Chapelle d''Andaine', '61', 'FR'),
(25111, '61400', 'La Chapelle Montligeon', '61', 'FR'),
(25112, '61500', 'La Chapelle pr�s S�es', '61', 'FR'),
(25113, '61130', 'La Chapelle Sou�f', '61', 'FR'),
(25114, '61270', 'La Chapelle Viel', '61', 'FR'),
(25115, '61570', 'Le Ch�teau d''Almen�ches', '61', 'FR'),
(25116, '61450', 'Le Ch�tellier', '61', 'FR'),
(25117, '61230', 'Chaumont', '61', 'FR'),
(25118, '61600', 'La Chaux', '61', 'FR'),
(25119, '61360', 'Chemilli', '61', 'FR'),
(25120, '61210', 'Ch�nedouit', '61', 'FR'),
(25121, '61320', 'Ciral', '61', 'FR'),
(25122, '61230', 'Cisai Saint Aubin', '61', 'FR'),
(25123, '61800', 'Clairefoug�re', '61', 'FR'),
(25124, '61310', 'La Coch�re', '61', 'FR'),
(25125, '61250', 'Colombiers', '61', 'FR'),
(25126, '61340', 'Colonard Corubert', '61', 'FR'),
(25127, '61400', 'Comblot', '61', 'FR'),
(25128, '61200', 'Commeaux', '61', 'FR'),
(25129, '61110', 'Condeau', '61', 'FR'),
(25130, '61110', 'Cond� sur Huisne', '61', 'FR'),
(25131, '61250', 'Cond� sur Sarthe', '61', 'FR'),
(25132, '61400', 'Corbon', '61', 'FR'),
(25133, '61160', 'Coudehard', '61', 'FR'),
(25134, '61360', 'Coulimer', '61', 'FR'),
(25135, '61230', 'Coulmer', '61', 'FR'),
(25136, '61160', 'Coulonces', '61', 'FR'),
(25137, '61220', 'La Coulonche', '61', 'FR'),
(25138, '61110', 'Coulonges les Sablons', '61', 'FR'),
(25139, '61170', 'Coulonges sur Sarthe', '61', 'FR'),
(25140, '61150', 'La Courbe', '61', 'FR'),
(25141, '61340', 'Courcerault', '61', 'FR'),
(25142, '61400', 'Courgeon', '61', 'FR'),
(25143, '61560', 'Courgeout', '61', 'FR'),
(25144, '61310', 'Courm�nil', '61', 'FR'),
(25145, '61390', 'Courtomer', '61', 'FR'),
(25146, '61410', 'Couterne', '61', 'FR'),
(25147, '61550', 'Couvains', '61', 'FR'),
(25148, '61220', 'Cr�m�nil', '61', 'FR'),
(25149, '61230', 'Croisilles', '61', 'FR'),
(25150, '61120', 'Crouttes', '61', 'FR'),
(25151, '61300', 'Crulai', '61', 'FR'),
(25152, '61250', 'Cuissai', '61', 'FR'),
(25153, '61130', 'Dame Marie', '61', 'FR'),
(25154, '61250', 'Damigny', '61', 'FR'),
(25155, '61340', 'Danc�', '61', 'FR'),
(25156, '61700', 'Domfront', '61', 'FR'),
(25157, '61700', 'Dompierre', '61', 'FR'),
(25158, '61110', 'Dorceau', '61', 'FR'),
(25159, '61100', 'Durcet', '61', 'FR'),
(25160, '61440', '�chalou', '61', 'FR'),
(25161, '61370', '�chauffour', '61', 'FR'),
(25162, '61270', '�corcei', '61', 'FR'),
(25163, '61160', '�corches', '61', 'FR'),
(25164, '61150', '�couch�', '61', 'FR'),
(25165, '61400', '�perrais', '61', 'FR'),
(25166, '61350', 'L''�pinay le Comte', '61', 'FR'),
(25167, '61500', 'Essay', '61', 'FR'),
(25168, '61310', 'Exmes', '61', 'FR'),
(25169, '61600', 'Faverolles', '61', 'FR'),
(25170, '61390', 'Fay', '61', 'FR'),
(25171, '61400', 'Feings', '61', 'FR'),
(25172, '61160', 'Fel', '61', 'FR'),
(25173, '61380', 'La Ferri�re au Doyen', '61', 'FR'),
(25174, '61450', 'La Ferri�re aux �tangs', '61', 'FR'),
(25175, '61500', 'La Ferri�re B�chet', '61', 'FR'),
(25176, '61420', 'La Ferri�re Bochard', '61', 'FR'),
(25177, '61390', 'Ferri�res la Verrerie', '61', 'FR'),
(25178, '61550', 'La Fert� Fr�nel', '61', 'FR'),
(25179, '61600', 'La Fert� Mac�', '61', 'FR'),
(25180, '61100', 'Flers', '61', 'FR'),
(25181, '61200', 'Fleur�', '61', 'FR'),
(25182, '61160', 'Fontaine les Bassets', '61', 'FR'),
(25183, '61420', 'Fontenai les Louvets', '61', 'FR'),
(25184, '61200', 'Fontenai sur Orne', '61', 'FR'),
(25185, '61210', 'La For�t Auvray', '61', 'FR'),
(25186, '61250', 'Forges', '61', 'FR'),
(25187, '61570', 'Francheville', '61', 'FR'),
(25188, '61800', 'Fr�nes', '61', 'FR'),
(25189, '61230', 'La Fresnaie Fayel', '61', 'FR'),
(25190, '61210', 'La Fresnaye au Sauvage', '61', 'FR'),
(25191, '61120', 'Fresnay le Samson', '61', 'FR'),
(25192, '61230', 'Gac�', '61', 'FR'),
(25193, '61420', 'Gandelain', '61', 'FR'),
(25194, '61390', 'G�pr�e', '61', 'FR'),
(25195, '61550', 'Gauville', '61', 'FR'),
(25196, '61130', 'G�mages', '61', 'FR'),
(25197, '61140', 'Geneslay', '61', 'FR'),
(25198, '61270', 'Les Genettes', '61', 'FR'),
(25199, '61240', 'La G�nevraie', '61', 'FR'),
(25200, '61210', 'Giel Courteilles', '61', 'FR'),
(25201, '61310', 'Ginai', '61', 'FR'),
(25202, '61550', 'Glos la Ferri�re', '61', 'FR'),
(25203, '61240', 'Godisson', '61', 'FR'),
(25204, '61550', 'La Gonfri�re', '61', 'FR'),
(25205, '61150', 'Goulet', '61', 'FR'),
(25206, '61600', 'Le Grais', '61', 'FR'),
(25207, '61130', 'Le Gu� de la Cha�ne', '61', 'FR'),
(25208, '61160', 'Gu�prei', '61', 'FR'),
(25209, '61120', 'Guerquesalles', '61', 'FR'),
(25210, '61210', 'Habloville', '61', 'FR'),
(25211, '61410', 'Haleine', '61', 'FR'),
(25212, '61700', 'La Haute Chapelle', '61', 'FR'),
(25213, '61250', 'Hauterive', '61', 'FR'),
(25214, '61250', 'H�loup', '61', 'FR'),
(25215, '61260', 'L''Hermiti�re', '61', 'FR'),
(25216, '61470', 'Heugon', '61', 'FR'),
(25217, '61290', 'L''H�me Chamondot', '61', 'FR'),
(25218, '61130', 'Ig�', '61', 'FR'),
(25219, '61190', 'Irai', '61', 'FR'),
(25220, '61320', 'Jou� du Bois', '61', 'FR'),
(25221, '61150', 'Jou� du Plain', '61', 'FR'),
(25222, '61140', 'Juvigny sous Andaine', '61', 'FR'),
(25223, '61200', 'Juvigny sur Orne', '61', 'FR'),
(25224, '61320', 'Lalacelle', '61', 'FR'),
(25225, '61300', 'L''Aigle', '61', 'FR'),
(25226, '61170', 'Laleu', '61', 'FR'),
(25227, '61320', 'La Lande de Goult', '61', 'FR'),
(25228, '61210', 'La Lande de Loug�', '61', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(25229, '61100', 'La Lande Patry', '61', 'FR'),
(25230, '61100', 'La Lande Saint Sim�on', '61', 'FR'),
(25231, '61290', 'La Lande sur Eure', '61', 'FR'),
(25232, '61100', 'Landigou', '61', 'FR'),
(25233, '61100', 'Landisacq', '61', 'FR'),
(25234, '61800', 'Larchamp', '61', 'FR'),
(25235, '61250', 'Larr�', '61', 'FR'),
(25236, '61240', 'Lign�res', '61', 'FR'),
(25237, '61190', 'Lignerolles', '61', 'FR'),
(25238, '61220', 'Lignou', '61', 'FR'),
(25239, '61420', 'Livaie', '61', 'FR'),
(25240, '61400', 'Loisail', '61', 'FR'),
(25241, '61290', 'Longny au Perche', '61', 'FR'),
(25242, '61320', 'Longueno�', '61', 'FR'),
(25243, '61700', 'Lonlay l''Abbaye', '61', 'FR'),
(25244, '61600', 'Lonlay le Tesson', '61', 'FR'),
(25245, '61250', 'Lonrai', '61', 'FR'),
(25246, '61330', 'Lor�', '61', 'FR'),
(25247, '61150', 'Louc�', '61', 'FR'),
(25248, '61150', 'Loug� sur Maire', '61', 'FR'),
(25249, '61160', 'Louvi�res en Auge', '61', 'FR'),
(25250, '61330', 'Luc�', '61', 'FR'),
(25251, '61500', 'Mac�', '61', 'FR'),
(25252, '61110', 'La Madeleine Bouvet', '61', 'FR'),
(25253, '61290', 'Le Mage', '61', 'FR'),
(25254, '61600', 'Magny le D�sert', '61', 'FR'),
(25255, '61380', 'Mah�ru', '61', 'FR'),
(25256, '61110', 'Maison Maugis', '61', 'FR'),
(25257, '61260', 'M�le', '61', 'FR'),
(25258, '61290', 'Mal�table', '61', 'FR'),
(25259, '61350', 'Mantilly', '61', 'FR'),
(25260, '61570', 'Marcei', '61', 'FR'),
(25261, '61290', 'Marchainville', '61', 'FR'),
(25262, '61170', 'Marchemaisons', '61', 'FR'),
(25263, '61230', 'Mardilly', '61', 'FR'),
(25264, '61240', 'Marmouille', '61', 'FR'),
(25265, '61550', 'Marnefer', '61', 'FR'),
(25266, '61400', 'Mauves sur Huisne', '61', 'FR'),
(25267, '61570', 'M�davy', '61', 'FR'),
(25268, '61410', 'M�houdin', '61', 'FR'),
(25269, '61170', 'Le M�le sur Sarthe', '61', 'FR'),
(25270, '61270', 'Le M�nil B�rard', '61', 'FR'),
(25271, '61220', 'Le M�nil de Briouze', '61', 'FR'),
(25272, '61250', 'Le M�nil Brout', '61', 'FR'),
(25273, '61800', 'Le M�nil Ciboult', '61', 'FR'),
(25274, '61250', 'M�nil Erreux', '61', 'FR'),
(25275, '61240', 'M�nil Froger', '61', 'FR'),
(25276, '61210', 'M�nil Gondouin', '61', 'FR'),
(25277, '61170', 'Le M�nil Guyon', '61', 'FR'),
(25278, '61210', 'M�nil Hermei', '61', 'FR'),
(25279, '61230', 'M�nil Hubert en Exmes', '61', 'FR'),
(25280, '61430', 'M�nil Hubert sur Orne', '61', 'FR'),
(25281, '61210', 'M�nil Jean', '61', 'FR'),
(25282, '61320', 'Le M�nil Scelleur', '61', 'FR'),
(25283, '61240', 'Le M�nil Vicomte', '61', 'FR'),
(25284, '61210', 'M�nil Vin', '61', 'FR'),
(25285, '61290', 'Les Menus', '61', 'FR'),
(25286, '61240', 'Le Merlerault', '61', 'FR'),
(25287, '61160', 'Merri', '61', 'FR'),
(25288, '61560', 'Mesni�re', '61', 'FR'),
(25289, '61440', 'Messei', '61', 'FR'),
(25290, '61250', 'Mieuxc�', '61', 'FR'),
(25291, '61290', 'Monceaux au Perche', '61', 'FR'),
(25292, '61800', 'Moncy', '61', 'FR'),
(25293, '61470', 'Monnai', '61', 'FR'),
(25294, '61160', 'Montabard', '61', 'FR'),
(25295, '61170', 'Montchevrel', '61', 'FR'),
(25296, '61150', 'Montgaroult', '61', 'FR'),
(25297, '61360', 'Montgaudry', '61', 'FR'),
(25298, '61100', 'Montilly sur Noireau', '61', 'FR'),
(25299, '61570', 'Montmerrei', '61', 'FR'),
(25300, '61160', 'Mont Ormel', '61', 'FR'),
(25301, '61210', 'Montreuil au Houlme', '61', 'FR'),
(25302, '61160', 'Montreuil la Cambe', '61', 'FR'),
(25303, '61800', 'Montsecret', '61', 'FR'),
(25304, '61400', 'Mortagne au Perche', '61', 'FR'),
(25305, '61570', 'Mortr�e', '61', 'FR'),
(25306, '61600', 'La Motte Fouquet', '61', 'FR'),
(25307, '61290', 'Moulicent', '61', 'FR'),
(25308, '61380', 'Moulins la Marche', '61', 'FR'),
(25309, '61200', 'Moulins sur Orne', '61', 'FR'),
(25310, '61190', 'Moussonvilliers', '61', 'FR'),
(25311, '61110', 'Moutiers au Perche', '61', 'FR'),
(25312, '61500', 'Neauphe sous Essai', '61', 'FR'),
(25313, '61160', 'Neauphe sur Dive', '61', 'FR'),
(25314, '61160', 'N�cy', '61', 'FR'),
(25315, '61250', 'Neuilly le Bisson', '61', 'FR'),
(25316, '61290', 'Neuilly sur Eure', '61', 'FR'),
(25317, '61500', 'Neuville pr�s S�es', '61', 'FR'),
(25318, '61120', 'Neuville sur Touques', '61', 'FR'),
(25319, '61210', 'Neuvy au Houlme', '61', 'FR'),
(25320, '61340', 'Noc�', '61', 'FR'),
(25321, '61240', 'Nonant le Pin', '61', 'FR'),
(25322, '61190', 'Normandel', '61', 'FR'),
(25323, '61100', 'Notre Dame du Rocher', '61', 'FR'),
(25324, '61200', 'Occagnes', '61', 'FR'),
(25325, '61160', 'Omm�el', '61', 'FR'),
(25326, '61160', 'Ommoy', '61', 'FR'),
(25327, '61230', 'Org�res', '61', 'FR'),
(25328, '61130', 'Origny le Butin', '61', 'FR'),
(25329, '61130', 'Origny le Roux', '61', 'FR'),
(25330, '61120', 'Orville', '61', 'FR'),
(25331, '61250', 'Pac�', '61', 'FR'),
(25332, '61400', 'Parfondeval', '61', 'FR'),
(25333, '61290', 'Le Pas Saint l''Homer', '61', 'FR'),
(25334, '61350', 'Passais', '61', 'FR'),
(25335, '61360', 'La Perri�re', '61', 'FR'),
(25336, '61700', 'Perrou', '61', 'FR'),
(25337, '61360', 'Pervench�res', '61', 'FR'),
(25338, '61310', 'Le Pin au Haras', '61', 'FR'),
(25339, '61400', 'Le Pin la Garenne', '61', 'FR'),
(25340, '61370', 'Planches', '61', 'FR'),
(25341, '61170', 'Le Plantis', '61', 'FR'),
(25342, '61220', 'Pointel', '61', 'FR'),
(25343, '61120', 'Pontchardon', '61', 'FR'),
(25344, '61190', 'La Poterie au Perche', '61', 'FR'),
(25345, '61130', 'Pouvrai', '61', 'FR'),
(25346, '61340', 'Pr�aux du Perche', '61', 'FR'),
(25347, '61190', 'Pr�potin', '61', 'FR'),
(25348, '61210', 'Putanges Pont Ecrepin', '61', 'FR'),
(25349, '61210', 'Rabodanges', '61', 'FR'),
(25350, '61250', 'Radon', '61', 'FR'),
(25351, '61270', 'Rai', '61', 'FR'),
(25352, '61190', 'Randonnai', '61', 'FR'),
(25353, '61150', 'R�nes', '61', 'FR'),
(25354, '61110', 'R�malard', '61', 'FR'),
(25355, '61120', 'Le Renouard', '61', 'FR'),
(25356, '61230', 'R�senlieu', '61', 'FR'),
(25357, '61400', 'R�veillon', '61', 'FR'),
(25358, '61210', 'Ri', '61', 'FR'),
(25359, '61420', 'La Roche Mabile', '61', 'FR'),
(25360, '61120', 'Roiville', '61', 'FR'),
(25361, '61160', 'R�nai', '61', 'FR'),
(25362, '61100', 'Ronfeugerai', '61', 'FR'),
(25363, '61210', 'Les Rotours', '61', 'FR'),
(25364, '61700', 'Rouell�', '61', 'FR'),
(25365, '61260', 'La Rouge', '61', 'FR'),
(25366, '61320', 'Rouperroux', '61', 'FR'),
(25367, '61200', 'Sai', '61', 'FR'),
(25368, '61340', 'Saint Agnan sur Erre', '61', 'FR'),
(25369, '61170', 'Saint Agnan sur Sarthe', '61', 'FR'),
(25370, '61220', 'Saint Andr� de Briouze', '61', 'FR'),
(25371, '61440', 'Saint Andr� de Messei', '61', 'FR'),
(25372, '61380', 'Saint Aquilin de Corbion', '61', 'FR'),
(25373, '61210', 'Saint Aubert sur Orne', '61', 'FR'),
(25374, '61170', 'Saint Aubin d''Appenai', '61', 'FR'),
(25375, '61470', 'Saint Aubin de Bonneval', '61', 'FR'),
(25376, '61560', 'Saint Aubin de Courteraie', '61', 'FR'),
(25377, '61340', 'Saint Aubin des Grois', '61', 'FR'),
(25378, '61700', 'Saint B�mer les Forges', '61', 'FR'),
(25379, '61700', 'Saint Brice', '61', 'FR'),
(25380, '61150', 'Saint Brice sous R�nes', '61', 'FR'),
(25381, '61250', 'Saint C�neri le G�rei', '61', 'FR'),
(25382, '61380', 'Sainte C�ronne l�s Mortagne', '61', 'FR'),
(25383, '61800', 'Saint Christophe de Chaulieu', '61', 'FR'),
(25384, '61570', 'Saint Christophe le Jajolet', '61', 'FR'),
(25385, '61490', 'Saint Clair de Halouze', '61', 'FR'),
(25386, '61800', 'Saint Cornier des Landes', '61', 'FR'),
(25387, '61210', 'Sainte Croix sur Orne', '61', 'FR'),
(25388, '61130', 'Saint Cyr la Rosi�re', '61', 'FR'),
(25389, '61330', 'Saint Denis de Villenette', '61', 'FR'),
(25390, '61400', 'Saint Denis sur Huisne', '61', 'FR'),
(25391, '61420', 'Saint Denis sur Sarthon', '61', 'FR'),
(25392, '61320', 'Saint Didier sous �couves', '61', 'FR'),
(25393, '61320', 'Saint Ellier les Bois', '61', 'FR'),
(25394, '61230', 'Saint �vroult de Montfort', '61', 'FR'),
(25395, '61550', 'Saint �vroult Notre Dame du Bois', '61', 'FR'),
(25396, '61350', 'St Fraimbault', '61', 'FR'),
(25397, '61130', 'Saint Fulgent des Ormes', '61', 'FR'),
(25398, '61370', 'Ste Gauburge Ste Colombe', '61', 'FR'),
(25399, '61600', 'Saint Georges d''Annebecq', '61', 'FR'),
(25400, '61100', 'St Georges des Groseillers', '61', 'FR'),
(25401, '61470', 'Saint Germain d''Aunay', '61', 'FR'),
(25402, '61240', 'Saint Germain de Clairefeuille', '61', 'FR'),
(25403, '61130', 'Saint Germain de la Coudre', '61', 'FR'),
(25404, '61110', 'Saint Germain des Grois', '61', 'FR'),
(25405, '61560', 'Saint Germain de Martigny', '61', 'FR'),
(25406, '61000', 'Saint Germain du Corb�is', '61', 'FR'),
(25407, '61390', 'Saint Germain le Vieux', '61', 'FR'),
(25408, '61160', 'Saint Gervais des Sablons', '61', 'FR'),
(25409, '61500', 'Saint Gervais du Perron', '61', 'FR'),
(25410, '61700', 'Saint Gilles des Marais', '61', 'FR'),
(25411, '61220', 'Saint Hilaire de Briouze', '61', 'FR'),
(25412, '61500', 'St Hilaire la G�rard', '61', 'FR'),
(25413, '61400', 'Saint Hilaire le Ch�tel', '61', 'FR'),
(25414, '61340', 'Saint Hilaire sur Erre', '61', 'FR'),
(25415, '61270', 'Saint Hilaire sur R�le', '61', 'FR'),
(25416, '61430', 'Sainte Honorine la Chardonne', '61', 'FR'),
(25417, '61210', 'Sainte Honorine la Guillaume', '61', 'FR'),
(25418, '61340', 'Saint Jean de la For�t', '61', 'FR'),
(25419, '61800', 'Saint Jean des Bois', '61', 'FR'),
(25420, '61360', 'Saint Jouin de Blavou', '61', 'FR'),
(25421, '61170', 'Saint Julien sur Sarthe', '61', 'FR'),
(25422, '61160', 'St Lambert sur Dive', '61', 'FR'),
(25423, '61400', 'Saint Langis l�s Mortagne', '61', 'FR'),
(25424, '61170', 'Saint L�ger sur Sarthe', '61', 'FR'),
(25425, '61390', 'Saint L�onard des Parcs', '61', 'FR'),
(25426, '61570', 'Saint Loyer des Champs', '61', 'FR'),
(25427, '61400', 'Saint Mard de R�no', '61', 'FR'),
(25428, '61320', 'Sainte Marguerite de Carrouges', '61', 'FR'),
(25429, '61320', 'Sainte Marie la Robert', '61', 'FR'),
(25430, '61350', 'Saint Mars d''�grenne', '61', 'FR'),
(25431, '61270', 'Aspres', '61', 'FR'),
(25432, '61300', 'Saint Martin d''�cublei', '61', 'FR'),
(25433, '61320', 'Saint Martin des Landes', '61', 'FR'),
(25434, '61380', 'Saint Martin des P�z�rits', '61', 'FR'),
(25435, '61130', 'St Martin du Vieux Bell�me', '61', 'FR'),
(25436, '61320', 'Saint Martin l''Aiguillon', '61', 'FR'),
(25437, '61600', 'Saint Maurice du D�sert', '61', 'FR'),
(25438, '61190', 'Saint Maurice l�s Charencey', '61', 'FR'),
(25439, '61110', 'Saint Maurice sur Huisne', '61', 'FR'),
(25440, '61600', 'Saint Michel des Andaines', '61', 'FR'),
(25441, '61300', 'St Michel Tuboeuf', '61', 'FR'),
(25442, '61250', 'Saint Nicolas des Bois', '61', 'FR'),
(25443, '61550', 'Saint Nicolas des Laitiers', '61', 'FR'),
(25444, '61550', 'Saint Nicolas de Sommaire', '61', 'FR'),
(25445, '61100', 'Sainte Opportune', '61', 'FR'),
(25446, '61130', 'Saint ouen de la Cour', '61', 'FR'),
(25447, '61560', 'Saint Ouen de S�cherouvre', '61', 'FR'),
(25448, '61410', 'Saint Ouen le Brisoult', '61', 'FR'),
(25449, '61300', 'Saint Ouen sur Iton', '61', 'FR'),
(25450, '61150', 'Saint Ouen sur Maire', '61', 'FR'),
(25451, '61600', 'Saint Patrice du D�sert', '61', 'FR'),
(25452, '61100', 'Saint Paul', '61', 'FR'),
(25453, '61430', 'Saint Philbert sur Orne', '61', 'FR'),
(25454, '61800', 'Saint Pierre d''Entremont', '61', 'FR'),
(25455, '61370', 'Saint Pierre des Loges', '61', 'FR'),
(25456, '61790', 'Saint Pierre du Regard', '61', 'FR'),
(25457, '61340', 'Saint Pierre la Bruy�re', '61', 'FR'),
(25458, '61310', 'Saint Pierre la Rivi�re', '61', 'FR'),
(25459, '61360', 'Saint Quentin de Blavou', '61', 'FR'),
(25460, '61800', 'St Quentin les Chardonnets', '61', 'FR'),
(25461, '61350', 'Saint Roch sur �grenne', '61', 'FR'),
(25462, '61320', 'Saint Sauveur de Carrouges', '61', 'FR'),
(25463, '61170', 'Sainte Scolasse sur Sarthe', '61', 'FR'),
(25464, '61350', 'Saint Sim�on', '61', 'FR'),
(25465, '61300', 'St Sulpice sur Risle', '61', 'FR'),
(25466, '61300', 'St Symphorien des Bruy�res', '61', 'FR'),
(25467, '61290', 'Saint Victor de R�no', '61', 'FR'),
(25468, '61220', 'Saires la Verrerie', '61', 'FR'),
(25469, '61470', 'Le Sap', '61', 'FR'),
(25470, '61230', 'Le Sap Andr�', '61', 'FR'),
(25471, '61200', 'Sarceaux', '61', 'FR'),
(25472, '61600', 'La Sauvag�re', '61', 'FR'),
(25473, '61500', 'S�es', '61', 'FR'),
(25474, '61100', 'S�grie Fontaine', '61', 'FR'),
(25475, '61100', 'La Selle la Forge', '61', 'FR'),
(25476, '61250', 'Semall�', '61', 'FR'),
(25477, '61150', 'Sentilly', '61', 'FR'),
(25478, '61330', 'Sept Forges', '61', 'FR'),
(25479, '61150', 'S�rans', '61', 'FR'),
(25480, '61130', 'S�rigny', '61', 'FR'),
(25481, '61200', 'S�vigny', '61', 'FR'),
(25482, '61150', 'Sevrai', '61', 'FR'),
(25483, '61310', 'Silly en Gouffern', '61', 'FR'),
(25484, '61380', 'Soligny la Trappe', '61', 'FR'),
(25485, '61360', 'Sur�', '61', 'FR'),
(25486, '61310', 'Survie', '61', 'FR'),
(25487, '61100', 'Taillebois', '61', 'FR'),
(25488, '61150', 'Tanques', '61', 'FR'),
(25489, '61500', 'Tanville', '61', 'FR'),
(25490, '61390', 'Telli�res le Plessis', '61', 'FR'),
(25491, '61410', 'Tess� Froulay', '61', 'FR'),
(25492, '61140', 'Tess� la Madeleine', '61', 'FR'),
(25493, '61260', 'Theil', '61', 'FR'),
(25494, '61120', 'Ticheville', '61', 'FR'),
(25495, '61800', 'Tinchebray', '61', 'FR'),
(25496, '61330', 'Torchamp', '61', 'FR'),
(25497, '61550', 'Touquettes', '61', 'FR'),
(25498, '61100', 'Les Tourailles', '61', 'FR'),
(25499, '61160', 'Tournai sur Dive', '61', 'FR'),
(25500, '61190', 'Tourouvre', '61', 'FR'),
(25501, '61390', 'Tr�mont', '61', 'FR'),
(25502, '61230', 'La Trinit� des Laitiers', '61', 'FR'),
(25503, '61160', 'Trun', '61', 'FR'),
(25504, '61200', 'Urou et Crennes', '61', 'FR'),
(25505, '61250', 'Valframbert', '61', 'FR'),
(25506, '61130', 'Vaunoise', '61', 'FR'),
(25507, '61170', 'Les Ventes de Bourse', '61', 'FR'),
(25508, '61190', 'La Ventrouze', '61', 'FR'),
(25509, '61110', 'Verri�res', '61', 'FR'),
(25510, '61360', 'Vidai', '61', 'FR'),
(25511, '61150', 'Vieux Pont', '61', 'FR'),
(25512, '61310', 'Villebadin', '61', 'FR'),
(25513, '61160', 'Villedieu l�s Bailleul', '61', 'FR'),
(25514, '61550', 'Villers en Ouche', '61', 'FR'),
(25515, '61400', 'Villiers sous Mortagne', '61', 'FR'),
(25516, '61120', 'Vimoutiers', '61', 'FR'),
(25517, '61250', 'Vingt Hanaps', '61', 'FR'),
(25518, '61300', 'Vitrai sous Laigle', '61', 'FR'),
(25519, '61570', 'Vrigny', '61', 'FR'),
(25520, '61210', 'Les Yveteaux', '61', 'FR'),
(25521, '61800', 'Yvrandes', '61', 'FR'),
(25522, '62153', 'Ablain Saint Nazaire', '62', 'FR'),
(25523, '62116', 'Ablainzevelle', '62', 'FR'),
(25524, '62320', 'Acheville', '62', 'FR'),
(25525, '62217', 'Achicourt', '62', 'FR'),
(25526, '62121', 'Achiet le Grand', '62', 'FR'),
(25527, '62121', 'Achiet le Petit', '62', 'FR'),
(25528, '62144', 'Acq', '62', 'FR'),
(25529, '62380', 'Acquin Westb�court', '62', 'FR'),
(25530, '62116', 'Adinfer', '62', 'FR'),
(25531, '62380', 'Affringues', '62', 'FR'),
(25532, '62161', 'Agnez l�s Duisans', '62', 'FR'),
(25533, '62690', 'Agni�res', '62', 'FR'),
(25534, '62217', 'Agny', '62', 'FR'),
(25535, '62120', 'Aire sur la Lys', '62', 'FR'),
(25536, '62180', 'Airon Notre Dame', '62', 'FR'),
(25537, '62180', 'Airon Saint Vaast', '62', 'FR'),
(25538, '62650', 'Aix en Ergny', '62', 'FR'),
(25539, '62170', 'Aix en Issart', '62', 'FR'),
(25540, '62160', 'Aix Noulette', '62', 'FR'),
(25541, '62850', 'Alembon', '62', 'FR'),
(25542, '62650', 'Alette', '62', 'FR'),
(25543, '62142', 'Alincthun', '62', 'FR'),
(25544, '62157', 'Allouagne', '62', 'FR'),
(25545, '62850', 'Alquines', '62', 'FR'),
(25546, '62164', 'Ambleteuse', '62', 'FR'),
(25547, '62310', 'Ambricourt', '62', 'FR'),
(25548, '62127', 'Ambrines', '62', 'FR'),
(25549, '62190', 'Ames', '62', 'FR'),
(25550, '62260', 'Amettes', '62', 'FR'),
(25551, '62760', 'Amplier', '62', 'FR'),
(25552, '62340', 'Andres', '62', 'FR'),
(25553, '62143', 'Angres', '62', 'FR'),
(25554, '62880', 'Annay', '62', 'FR'),
(25555, '62149', 'Annequin', '62', 'FR'),
(25556, '62232', 'Annezin', '62', 'FR'),
(25557, '62134', 'Anvin', '62', 'FR'),
(25558, '62223', 'Anzin Saint Aubin', '62', 'FR'),
(25559, '62610', 'Ardres', '62', 'FR'),
(25560, '62580', 'Arleux en Gohelle', '62', 'FR'),
(25561, '62510', 'Arques', '62', 'FR'),
(25562, '62000', 'Arras', '62', 'FR'),
(25563, '62223', 'Athies', '62', 'FR'),
(25564, '62730', 'Les Attaques', '62', 'FR'),
(25565, '62170', 'Attin', '62', 'FR'),
(25566, '62690', 'Aubigny en Artois', '62', 'FR'),
(25567, '62140', 'Aubin Saint Vaast', '62', 'FR'),
(25568, '62390', 'Aubrometz', '62', 'FR'),
(25569, '62260', 'Auchel', '62', 'FR'),
(25570, '62190', 'Auchy au Bois', '62', 'FR'),
(25571, '62770', 'Auchy l�s Hesdin', '62', 'FR'),
(25572, '62138', 'Auchy les Mines', '62', 'FR'),
(25573, '62250', 'Audembert', '62', 'FR'),
(25574, '62560', 'Audincthun', '62', 'FR'),
(25575, '62179', 'Audinghen', '62', 'FR'),
(25576, '62890', 'Audrehem', '62', 'FR'),
(25577, '62164', 'Audresselles', '62', 'FR'),
(25578, '62370', 'Audruicq', '62', 'FR'),
(25579, '62550', 'Aumerval', '62', 'FR'),
(25580, '62610', 'Autingues', '62', 'FR'),
(25581, '62390', 'Auxi le Ch�teau', '62', 'FR'),
(25582, '62127', 'Averdoingt', '62', 'FR'),
(25583, '62650', 'Avesnes', '62', 'FR'),
(25584, '62810', 'Avesnes le Comte', '62', 'FR'),
(25585, '62450', 'Avesnes l�s Bapaume', '62', 'FR'),
(25586, '62210', 'Avion', '62', 'FR'),
(25587, '62310', 'Avondance', '62', 'FR'),
(25588, '62560', 'Avroult', '62', 'FR'),
(25589, '62116', 'Ayette', '62', 'FR'),
(25590, '62310', 'Azincourt', '62', 'FR'),
(25591, '62127', 'Bailleul aux Cornailles', '62', 'FR'),
(25592, '62550', 'Bailleul l�s Pernes', '62', 'FR'),
(25593, '62123', 'Bailleulmont', '62', 'FR'),
(25594, '62580', 'Bailleul Sir Berthoult', '62', 'FR'),
(25595, '62123', 'Bailleulval', '62', 'FR'),
(25596, '62360', 'Baincthun', '62', 'FR'),
(25597, '62850', 'Bainghen', '62', 'FR'),
(25598, '62150', 'Bajus', '62', 'FR'),
(25599, '62610', 'Balinghem', '62', 'FR'),
(25600, '62450', 'Bancourt', '62', 'FR'),
(25601, '62450', 'Bapaume', '62', 'FR'),
(25602, '62860', 'Baralle', '62', 'FR'),
(25603, '62124', 'Barastre', '62', 'FR'),
(25604, '62620', 'Barlin', '62', 'FR'),
(25605, '62810', 'Barly', '62', 'FR'),
(25606, '62123', 'Basseux', '62', 'FR'),
(25607, '62158', 'Bavincourt', '62', 'FR'),
(25608, '62910', 'Bayenghem l�s �perlecques', '62', 'FR'),
(25609, '62380', 'Bayenghem l�s Seninghem', '62', 'FR'),
(25610, '62250', 'Bazinghen', '62', 'FR'),
(25611, '62770', 'B�alencourt', '62', 'FR'),
(25612, '62810', 'Beaudricourt', '62', 'FR'),
(25613, '62810', 'Beaufort Blavincourt', '62', 'FR'),
(25614, '62450', 'B�aulencourt', '62', 'FR'),
(25615, '62170', 'Beaumerie Saint Martin', '62', 'FR'),
(25616, '62960', 'Beaumetz l�s Aire', '62', 'FR'),
(25617, '62124', 'Beaumetz l�s Cambrai', '62', 'FR'),
(25618, '62123', 'Beaumetz l�s Loges', '62', 'FR'),
(25619, '62217', 'Beaurains', '62', 'FR'),
(25620, '62990', 'Beaurainville', '62', 'FR'),
(25621, '62130', 'Beauvois', '62', 'FR'),
(25622, '62240', 'B�court', '62', 'FR'),
(25623, '62121', 'B�hagnies', '62', 'FR'),
(25624, '62142', 'Bellebrune', '62', 'FR'),
(25625, '62142', 'Belle et Houllefort', '62', 'FR'),
(25626, '62490', 'Bellonne', '62', 'FR'),
(25627, '62410', 'B�nifontaine', '62', 'FR'),
(25628, '62600', 'Berck', '62', 'FR'),
(25629, '62134', 'Bergueneuse', '62', 'FR'),
(25630, '62330', 'Berguette', '62', 'FR'),
(25631, '62810', 'Berlencourt le Cauroy', '62', 'FR'),
(25632, '62123', 'Berles au Bois', '62', 'FR'),
(25633, '62690', 'Berles Monchel', '62', 'FR'),
(25634, '62130', 'Bermicourt', '62', 'FR'),
(25635, '62123', 'Berneville', '62', 'FR'),
(25636, '62170', 'Bernieulles', '62', 'FR'),
(25637, '62124', 'Bertincourt', '62', 'FR'),
(25638, '62690', 'B�thonsart', '62', 'FR'),
(25639, '62400', 'B�thune', '62', 'FR'),
(25640, '62150', 'Beugin', '62', 'FR'),
(25641, '62450', 'Beugn�tre', '62', 'FR'),
(25642, '62124', 'Beugny', '62', 'FR'),
(25643, '62170', 'Beussent', '62', 'FR'),
(25644, '62170', 'Beutin', '62', 'FR'),
(25645, '62250', 'Beuvrequen', '62', 'FR'),
(25646, '62660', 'Beuvry', '62', 'FR'),
(25647, '62650', 'Bezinghem', '62', 'FR'),
(25648, '62118', 'Biache Saint Vaast', '62', 'FR'),
(25649, '62450', 'Biefvillers l�s Bapaume', '62', 'FR'),
(25650, '62111', 'Bienvillers au Bois', '62', 'FR'),
(25651, '62121', 'Bihucourt', '62', 'FR'),
(25652, '62138', 'Billy Berclau', '62', 'FR'),
(25653, '62420', 'Billy Montigny', '62', 'FR'),
(25654, '62650', 'Bimont', '62', 'FR'),
(25655, '62173', 'Blairville', '62', 'FR'),
(25656, '62270', 'Blangermont', '62', 'FR'),
(25657, '62270', 'Blangerval Blangermont', '62', 'FR'),
(25658, '62770', 'Blangy sur Ternoise', '62', 'FR'),
(25659, '62575', 'Blendecques', '62', 'FR'),
(25660, '62380', 'Bl�quin', '62', 'FR'),
(25661, '62120', 'Blessy', '62', 'FR'),
(25662, '62770', 'Blingel', '62', 'FR'),
(25663, '62390', 'Boffles', '62', 'FR'),
(25664, '62128', 'Boiry Becquerelle', '62', 'FR'),
(25665, '62156', 'Boiry Notre Dame', '62', 'FR'),
(25666, '62175', 'Boiry Saint Martin', '62', 'FR'),
(25667, '62175', 'Boiry Sainte Rictrude', '62', 'FR'),
(25668, '62320', 'Bois Bernard', '62', 'FR'),
(25669, '62500', 'Boisdinghem', '62', 'FR'),
(25670, '62170', 'Boisjean', '62', 'FR'),
(25671, '62175', 'Boisleux au Mont', '62', 'FR'),
(25672, '62175', 'Boisleux Saint Marc', '62', 'FR'),
(25673, '62960', 'Bomy', '62', 'FR'),
(25674, '62270', 'Bonni�res', '62', 'FR'),
(25675, '62890', 'Bonningues l�s Ardres', '62', 'FR'),
(25676, '62340', 'Bonningues l�s Calais', '62', 'FR'),
(25677, '62990', 'Boubers l�s Hesmond', '62', 'FR'),
(25678, '62270', 'Boubers sur Canche', '62', 'FR'),
(25679, '62140', 'Bouin', '62', 'FR'),
(25680, '62200', 'Boulogne sur Mer', '62', 'FR'),
(25681, '62340', 'Bouquehault', '62', 'FR'),
(25682, '62190', 'Bourecq', '62', 'FR'),
(25683, '62270', 'Bouret sur Canche', '62', 'FR'),
(25684, '62860', 'Bourlon', '62', 'FR'),
(25685, '62240', 'Bournonville', '62', 'FR'),
(25686, '62550', 'Bours', '62', 'FR'),
(25687, '62132', 'Boursin', '62', 'FR'),
(25688, '62650', 'Bourthes', '62', 'FR'),
(25689, '62380', 'Bouvelinghem', '62', 'FR'),
(25690, '62172', 'Bouvigny Boyeffles', '62', 'FR'),
(25691, '62134', 'Boyaval', '62', 'FR'),
(25692, '62128', 'Boyelles', '62', 'FR'),
(25693, '62117', 'Br�bi�res', '62', 'FR'),
(25694, '62610', 'Br�mes', '62', 'FR'),
(25695, '62140', 'Br�villers', '62', 'FR'),
(25696, '62170', 'Br�xent �nocq', '62', 'FR'),
(25697, '62170', 'Brimeux', '62', 'FR'),
(25698, '62700', 'Bruay la Buissi�re', '62', 'FR'),
(25699, '62240', 'Brunembert', '62', 'FR'),
(25700, '62130', 'Bryas', '62', 'FR'),
(25701, '62116', 'Bucquoy', '62', 'FR'),
(25702, '62390', 'Buire au Bois', '62', 'FR'),
(25703, '62870', 'Buire le Sec', '62', 'FR'),
(25704, '62860', 'Buissy', '62', 'FR'),
(25705, '62128', 'Bullecourt', '62', 'FR'),
(25706, '62160', 'Bully les Mines', '62', 'FR'),
(25707, '62130', 'Buneville', '62', 'FR'),
(25708, '62151', 'Burbure', '62', 'FR'),
(25709, '62124', 'Bus', '62', 'FR'),
(25710, '62350', 'Busnes', '62', 'FR'),
(25711, '62132', 'Caffiers', '62', 'FR'),
(25712, '62182', 'Cagnicourt', '62', 'FR'),
(25713, '62100', 'Calais', '62', 'FR'),
(25714, '62470', 'Calonne Ricouart', '62', 'FR'),
(25715, '62350', 'Calonne sur la Lys', '62', 'FR'),
(25716, '62170', 'La Calotterie', '62', 'FR'),
(25717, '62470', 'Camblain Ch�telain', '62', 'FR'),
(25718, '62690', 'Cambligneul', '62', 'FR'),
(25719, '62690', 'Camblain l''Abb�', '62', 'FR'),
(25720, '62149', 'Cambrin', '62', 'FR'),
(25721, '62176', 'Camiers', '62', 'FR'),
(25722, '62650', 'Campagne l�s Boulonnais', '62', 'FR'),
(25723, '62340', 'Campagne l�s Gu�nes', '62', 'FR'),
(25724, '62870', 'Campagne l�s Hesdin', '62', 'FR'),
(25725, '62120', 'Campagne l�s Wardrecques', '62', 'FR'),
(25726, '62170', 'Campigneulles les Grandes', '62', 'FR'),
(25727, '62170', 'Campigneulles les Petites', '62', 'FR'),
(25728, '62270', 'Canettemont', '62', 'FR'),
(25729, '62310', 'Canlers', '62', 'FR'),
(25730, '62270', 'Canteleux', '62', 'FR'),
(25731, '62690', 'Capelle Fermont', '62', 'FR'),
(25732, '62140', 'Capelle l�s Hesdin', '62', 'FR'),
(25733, '62144', 'Carency', '62', 'FR'),
(25734, '62830', 'Carly', '62', 'FR'),
(25735, '62220', 'Carvin', '62', 'FR'),
(25736, '62158', 'La Cauchie', '62', 'FR'),
(25737, '62260', 'Cauchy �  la Tour', '62', 'FR'),
(25738, '62150', 'Caucourt', '62', 'FR'),
(25739, '62140', 'Caumont', '62', 'FR'),
(25740, '62140', 'Cavron Saint Martin', '62', 'FR'),
(25741, '62127', 'Chelers', '62', 'FR'),
(25742, '62140', 'Ch�riennes', '62', 'FR'),
(25743, '62128', 'Ch�risy', '62', 'FR'),
(25744, '62920', 'Chocques', '62', 'FR'),
(25745, '62500', 'Clairmarais', '62', 'FR'),
(25746, '62129', 'Clarques', '62', 'FR'),
(25747, '62650', 'Clenleu', '62', 'FR'),
(25748, '62890', 'Clerques', '62', 'FR'),
(25749, '62380', 'Cl�ty', '62', 'FR'),
(25750, '62142', 'Colembert', '62', 'FR'),
(25751, '62180', 'Colline Beaumont', '62', 'FR'),
(25752, '62150', 'La Comt�', '62', 'FR'),
(25753, '62180', 'Conchil le Temple', '62', 'FR'),
(25754, '62270', 'Conchy sur Canche', '62', 'FR'),
(25755, '62360', 'Condette', '62', 'FR'),
(25756, '62990', 'Contes', '62', 'FR'),
(25757, '62126', 'Conteville l�s Boulogne', '62', 'FR'),
(25758, '62130', 'Conteville en Ternois', '62', 'FR'),
(25759, '62231', 'Coquelles', '62', 'FR'),
(25760, '62112', 'Corbehem', '62', 'FR'),
(25761, '62630', 'Cormont', '62', 'FR'),
(25762, '62760', 'Couin', '62', 'FR'),
(25763, '62158', 'Coullemont', '62', 'FR'),
(25764, '62137', 'Coulogne', '62', 'FR'),
(25765, '62380', 'Coulomby', '62', 'FR'),
(25766, '62310', 'Coupelle Neuve', '62', 'FR'),
(25767, '62310', 'Coupelle Vieille', '62', 'FR'),
(25768, '62121', 'Courcelles le Comte', '62', 'FR'),
(25769, '62970', 'Courcelles les Lens', '62', 'FR'),
(25770, '62710', 'Courri�res', '62', 'FR'),
(25771, '62240', 'Courset', '62', 'FR'),
(25772, '62136', 'La Couture', '62', 'FR'),
(25773, '62158', 'Couturelle', '62', 'FR'),
(25774, '62560', 'Coyecques', '62', 'FR'),
(25775, '62240', 'Cr�marest', '62', 'FR'),
(25776, '62310', 'Cr�py', '62', 'FR'),
(25777, '62310', 'Cr�quy', '62', 'FR'),
(25778, '62130', 'Croisette', '62', 'FR'),
(25779, '62128', 'Croisilles', '62', 'FR'),
(25780, '62130', 'Croix en Ternois', '62', 'FR'),
(25781, '62780', 'Cucq', '62', 'FR'),
(25782, '62149', 'Cuinchy', '62', 'FR'),
(25783, '62000', 'Dainville', '62', 'FR'),
(25784, '62187', 'Dannes', '62', 'FR'),
(25785, '62129', 'Delettes', '62', 'FR'),
(25786, '62810', 'Denier', '62', 'FR'),
(25787, '62560', 'Dennebroeucq', '62', 'FR'),
(25788, '62240', 'Desvres', '62', 'FR'),
(25789, '62460', 'Di�val', '62', 'FR'),
(25790, '62460', 'Divion', '62', 'FR'),
(25791, '62380', 'Dohem', '62', 'FR'),
(25792, '62116', 'Douchy l�s Ayette', '62', 'FR'),
(25793, '62830', 'Doudeauville', '62', 'FR'),
(25794, '62119', 'Dourges', '62', 'FR'),
(25795, '62870', 'Douriez', '62', 'FR'),
(25796, '62138', 'Douvrin', '62', 'FR'),
(25797, '62320', 'Drocourt', '62', 'FR'),
(25798, '62131', 'Drouvin le Marais', '62', 'FR'),
(25799, '62161', 'Duisans', '62', 'FR'),
(25800, '62156', 'Dury', '62', 'FR'),
(25801, '62360', 'Echinghen', '62', 'FR'),
(25802, '62770', '�climeux', '62', 'FR'),
(25803, '62270', '�coivres', '62', 'FR'),
(25804, '62860', '�court Saint Quentin', '62', 'FR'),
(25805, '62128', '�coust Saint Mein', '62', 'FR'),
(25806, '62190', 'Ecquedecques', '62', 'FR'),
(25807, '62129', 'Ecques', '62', 'FR'),
(25808, '62170', '�cuires', '62', 'FR'),
(25809, '62223', '�curie', '62', 'FR'),
(25810, '62300', '�leu dit Leauwette', '62', 'FR'),
(25811, '62380', 'Elnes', '62', 'FR'),
(25812, '62990', 'Embry', '62', 'FR'),
(25813, '62145', 'Enguinegatte', '62', 'FR'),
(25814, '62145', 'Enquin les Mines', '62', 'FR'),
(25815, '62650', 'Enquin sur Baillons', '62', 'FR'),
(25816, '62910', '�perlecques', '62', 'FR'),
(25817, '62860', 'Epinoy', '62', 'FR'),
(25818, '62134', 'Eps', '62', 'FR'),
(25819, '62224', '�quihen Plage', '62', 'FR'),
(25820, '62134', '�quirre', '62', 'FR'),
(25821, '62650', 'Ergny', '62', 'FR'),
(25822, '62134', '�rin', '62', 'FR'),
(25823, '62960', 'Erny Saint Julien', '62', 'FR'),
(25824, '62140', 'Erqui�res', '62', 'FR'),
(25825, '62121', 'Ervillers', '62', 'FR'),
(25826, '62179', 'Escalles', '62', 'FR'),
(25827, '62850', 'Escoeuilles', '62', 'FR'),
(25828, '62380', 'Esquerdes', '62', 'FR'),
(25829, '62400', 'Essars', '62', 'FR'),
(25830, '62880', 'Estevelles', '62', 'FR'),
(25831, '62170', 'Estr�e', '62', 'FR'),
(25832, '62145', 'Estr�e Blanche', '62', 'FR'),
(25833, '62690', 'Estr�e Cauchy', '62', 'FR'),
(25834, '62170', 'Estr�elles', '62', 'FR'),
(25835, '62810', 'Estr�e Wamin', '62', 'FR'),
(25836, '62156', '�taing', '62', 'FR'),
(25837, '62630', '�taples', '62', 'FR'),
(25838, '62156', '�terpigny', '62', 'FR'),
(25839, '62161', '�trun', '62', 'FR'),
(25840, '62141', '�vin Malmaison', '62', 'FR'),
(25841, '62760', 'Famechon', '62', 'FR'),
(25842, '62118', 'Fampoux', '62', 'FR'),
(25843, '62580', 'Farbus', '62', 'FR'),
(25844, '62560', 'Fauquembergues', '62', 'FR'),
(25845, '62450', 'Favreuil', '62', 'FR'),
(25846, '62960', 'Febvin Palfart', '62', 'FR'),
(25847, '62260', 'Ferfay', '62', 'FR'),
(25848, '62250', 'Ferques', '62', 'FR'),
(25849, '62149', 'Festubert', '62', 'FR'),
(25850, '62223', 'Feuchy', '62', 'FR'),
(25851, '62173', 'Ficheux', '62', 'FR'),
(25852, '62134', 'Fiefs', '62', 'FR'),
(25853, '62132', 'Fiennes', '62', 'FR'),
(25854, '62770', 'Filli�vres', '62', 'FR'),
(25855, '62960', 'Fl�chin', '62', 'FR'),
(25856, '62270', 'Flers', '62', 'FR'),
(25857, '62840', 'Fleurbaix', '62', 'FR'),
(25858, '62134', 'Fleury', '62', 'FR'),
(25859, '62550', 'Floringhem', '62', 'FR'),
(25860, '62111', 'Foncquevillers', '62', 'FR'),
(25861, '62134', 'Fontaine l�s Boulans', '62', 'FR'),
(25862, '62128', 'Fontaine l�s Croisilles', '62', 'FR'),
(25863, '62550', 'Fontaine l�s Hermans', '62', 'FR'),
(25864, '62390', 'Fontaine l''Etalon', '62', 'FR'),
(25865, '62270', 'Fortel en Artois', '62', 'FR'),
(25866, '62810', 'Fosseux', '62', 'FR'),
(25867, '62130', 'Foufflin Ricametz', '62', 'FR'),
(25868, '62232', 'Fouquereuil', '62', 'FR'),
(25869, '62232', 'Fouqui�res l�s B�thune', '62', 'FR'),
(25870, '62740', 'Fouqui�res l�s Lens', '62', 'FR'),
(25871, '62130', 'Framecourt', '62', 'FR'),
(25872, '62450', 'Fr�micourt', '62', 'FR'),
(25873, '62630', 'Frencq', '62', 'FR'),
(25874, '62490', 'Fresnes l�s Montauban', '62', 'FR'),
(25875, '62150', 'Fresnicourt le Dolmen', '62', 'FR'),
(25876, '62770', 'Fresnoy', '62', 'FR'),
(25877, '62580', 'Fresnoy en Gohelle', '62', 'FR'),
(25878, '62140', 'Fressin', '62', 'FR'),
(25879, '62185', 'Fr�thun', '62', 'FR'),
(25880, '62270', 'Fr�vent', '62', 'FR'),
(25881, '62127', 'Fr�villers', '62', 'FR'),
(25882, '62690', 'Fr�vin Capelle', '62', 'FR'),
(25883, '62310', 'Fruges', '62', 'FR'),
(25884, '62770', 'Galametz', '62', 'FR'),
(25885, '62150', 'Gauchin L�gal', '62', 'FR'),
(25886, '62130', 'Gauchin Verloingt', '62', 'FR'),
(25887, '62760', 'Gaudiempr�', '62', 'FR'),
(25888, '62580', 'Gavrelle', '62', 'FR'),
(25889, '62390', 'Gennes Ivergny', '62', 'FR'),
(25890, '62580', 'Givenchy en Gohelle', '62', 'FR'),
(25891, '62810', 'Givenchy le Noble', '62', 'FR'),
(25892, '62149', 'Givenchy l�s la Bass�e', '62', 'FR'),
(25893, '62121', 'Gomi�court', '62', 'FR'),
(25894, '62111', 'Gomm�court', '62', 'FR'),
(25895, '62920', 'Gonnehem', '62', 'FR'),
(25896, '62199', 'Gosnay', '62', 'FR'),
(25897, '62123', 'Gouves', '62', 'FR'),
(25898, '62123', 'Gouy en Artois', '62', 'FR'),
(25899, '62530', 'Gouy Servins', '62', 'FR'),
(25900, '62127', 'Gouy en Ternois', '62', 'FR'),
(25901, '62870', 'Gouy Saint Andr�', '62', 'FR'),
(25902, '62112', 'Gouy sous Bellonne', '62', 'FR'),
(25903, '62147', 'Graincourt l�s Havrincourt', '62', 'FR'),
(25904, '62810', 'Grand Rullecourt', '62', 'FR'),
(25905, '62160', 'Grenay', '62', 'FR'),
(25906, '62450', 'Gr�villers', '62', 'FR'),
(25907, '62140', 'Grigny', '62', 'FR'),
(25908, '62760', 'Grincourt l�s Pas', '62', 'FR'),
(25909, '62600', 'Groffliers', '62', 'FR'),
(25910, '62330', 'Guarbecque', '62', 'FR'),
(25911, '62128', 'Gu�mappe', '62', 'FR'),
(25912, '62370', 'Guemps', '62', 'FR'),
(25913, '62140', 'Guigny', '62', 'FR'),
(25914, '62130', 'Guinecourt', '62', 'FR'),
(25915, '62340', 'Gu�nes', '62', 'FR'),
(25916, '62140', 'Guisy', '62', 'FR'),
(25917, '62123', 'Habarcq', '62', 'FR'),
(25918, '62940', 'Haillicourt', '62', 'FR'),
(25919, '62138', 'Haisnes', '62', 'FR'),
(25920, '62830', 'Halinghen', '62', 'FR'),
(25921, '62570', 'Hallines', '62', 'FR'),
(25922, '62760', 'Halloy', '62', 'FR'),
(25923, '62118', 'Hamblain les Pr�s', '62', 'FR'),
(25924, '62121', 'Hamelincourt', '62', 'FR'),
(25925, '62190', 'Ham en Artois', '62', 'FR'),
(25926, '62340', 'Hames Boucres', '62', 'FR'),
(25927, '62111', 'Hannescamps', '62', 'FR'),
(25928, '62124', 'Haplincourt', '62', 'FR'),
(25929, '62390', 'Haravesnes', '62', 'FR'),
(25930, '62132', 'Hardinghen', '62', 'FR'),
(25931, '62440', 'Harnes', '62', 'FR'),
(25932, '62156', 'Haucourt', '62', 'FR'),
(25933, '62144', 'Haute Avesnes', '62', 'FR'),
(25934, '62130', 'Hautecloque', '62', 'FR'),
(25935, '62270', 'Hautec�te', '62', 'FR'),
(25936, '62810', 'Hauteville', '62', 'FR'),
(25937, '62850', 'Haut Loquin', '62', 'FR'),
(25938, '62390', 'Haut Ma�nil', '62', 'FR'),
(25939, '62147', 'Havrincourt', '62', 'FR'),
(25940, '62111', 'H�buterne', '62', 'FR'),
(25941, '62570', 'Helfaut', '62', 'FR'),
(25942, '62182', 'Hendecourt l�s Cagnicourt', '62', 'FR'),
(25943, '62175', 'Hendecourt l�s Ransart', '62', 'FR'),
(25944, '62128', 'H�ninel', '62', 'FR'),
(25945, '62110', 'H�nin Beaumont', '62', 'FR'),
(25946, '62128', 'H�nin sur Cojeul', '62', 'FR'),
(25947, '62142', 'Henneveux', '62', 'FR'),
(25948, '62760', 'H�nu', '62', 'FR'),
(25949, '62129', 'Herbelles', '62', 'FR'),
(25950, '62850', 'Herbinghen', '62', 'FR'),
(25951, '62130', 'H�ricourt', '62', 'FR'),
(25952, '62158', 'La Herli�re', '62', 'FR'),
(25953, '62130', 'Herlincourt', '62', 'FR'),
(25954, '62130', 'Herlin le Sec', '62', 'FR'),
(25955, '62650', 'Herly', '62', 'FR'),
(25956, '62690', 'Hermaville', '62', 'FR'),
(25957, '62132', 'Hermelinghen', '62', 'FR'),
(25958, '62147', 'Hermies', '62', 'FR'),
(25959, '62150', 'Hermin', '62', 'FR'),
(25960, '62130', 'Hernicourt', '62', 'FR'),
(25961, '62530', 'Hersin Coupigny', '62', 'FR'),
(25962, '62179', 'Hervelinghen', '62', 'FR'),
(25963, '62196', 'Hesdigneul l�s B�thune', '62', 'FR'),
(25964, '62360', 'Hesdigneul l�s Boulogne', '62', 'FR'),
(25965, '62140', 'Hesdin', '62', 'FR'),
(25966, '62360', 'Hesdin l''Abb�', '62', 'FR'),
(25967, '62990', 'Hesmond', '62', 'FR'),
(25968, '62550', 'Hestrus', '62', 'FR'),
(25969, '62134', 'Heuchin', '62', 'FR'),
(25970, '62575', 'Heuringhem', '62', 'FR'),
(25971, '62310', 'Hezecques', '62', 'FR'),
(25972, '62232', 'Hinges', '62', 'FR'),
(25973, '62850', 'Hocquinghen', '62', 'FR'),
(25974, '62620', 'Houchin', '62', 'FR'),
(25975, '62150', 'Houdain', '62', 'FR'),
(25976, '62910', 'Houlle', '62', 'FR'),
(25977, '62270', 'Houvin Houvigneul', '62', 'FR'),
(25978, '62630', 'Hubersent', '62', 'FR'),
(25979, '62140', 'Huby Saint Leu', '62', 'FR'),
(25980, '62130', 'Huclier', '62', 'FR'),
(25981, '62650', 'Hucqueliers', '62', 'FR'),
(25982, '62410', 'Hulluch', '62', 'FR'),
(25983, '62158', 'Humbercamps', '62', 'FR'),
(25984, '62650', 'Humbert', '62', 'FR'),
(25985, '62130', 'Humeroeuille', '62', 'FR'),
(25986, '62130', 'Humi�res', '62', 'FR'),
(25987, '62860', 'Inchy en Artois', '62', 'FR'),
(25988, '62770', 'Incourt', '62', 'FR'),
(25989, '62129', 'Inghem', '62', 'FR'),
(25990, '62170', 'Inxent', '62', 'FR'),
(25991, '62330', 'Isbergues', '62', 'FR'),
(25992, '62360', 'Isques', '62', 'FR'),
(25993, '62810', 'Ivergny', '62', 'FR'),
(25994, '62490', 'Izel l�s �querchin', '62', 'FR'),
(25995, '62690', 'Izel l�s Hameaux', '62', 'FR'),
(25996, '62850', 'Journy', '62', 'FR'),
(25997, '62122', 'Labeuvri�re', '62', 'FR'),
(25998, '62113', 'Labourse', '62', 'FR'),
(25999, '62140', 'Labroye', '62', 'FR'),
(26000, '62700', 'Labuissi�re', '62', 'FR'),
(26001, '62830', 'Lacres', '62', 'FR'),
(26002, '62159', 'Lagnicourt Marcel', '62', 'FR'),
(26003, '62960', 'Laires', '62', 'FR'),
(26004, '62120', 'Lambres', '62', 'FR'),
(26005, '62250', 'Landrethun le Nord', '62', 'FR'),
(26006, '62610', 'Landrethun l�s Ardres', '62', 'FR'),
(26007, '62122', 'Lapugnoy', '62', 'FR'),
(26008, '62810', 'Lattre Saint Quentin', '62', 'FR'),
(26009, '62840', 'Laventie', '62', 'FR'),
(26010, '62990', 'Lebiez', '62', 'FR'),
(26011, '62124', 'Lebucqui�re', '62', 'FR'),
(26012, '62124', 'L�chelle', '62', 'FR'),
(26013, '62380', 'Ledinghem', '62', 'FR'),
(26014, '62630', 'Lefaux', '62', 'FR'),
(26015, '62790', 'Leforest', '62', 'FR'),
(26016, '62300', 'Lens', '62', 'FR'),
(26017, '62170', 'L�pine', '62', 'FR'),
(26018, '62190', 'Lespesses', '62', 'FR'),
(26019, '62990', 'Lespinoy', '62', 'FR'),
(26020, '62136', 'Lestrem', '62', 'FR'),
(26021, '62250', 'Leubringhen', '62', 'FR'),
(26022, '62500', 'Leulinghem', '62', 'FR'),
(26023, '62250', 'Leulinghen Bernes', '62', 'FR'),
(26024, '62850', 'Licques', '62', 'FR'),
(26025, '62810', 'Liencourt', '62', 'FR'),
(26026, '62190', 'Li�res', '62', 'FR'),
(26027, '62145', 'Liettres', '62', 'FR'),
(26028, '62800', 'Li�vin', '62', 'FR'),
(26029, '62810', 'Lignereuil', '62', 'FR'),
(26030, '62960', 'Ligny l�s Aire', '62', 'FR'),
(26031, '62270', 'Ligny sur Canche', '62', 'FR'),
(26032, '62127', 'Ligny Saint Flochel', '62', 'FR'),
(26033, '62450', 'Ligny Thilloy', '62', 'FR'),
(26034, '62190', 'Lillers', '62', 'FR'),
(26035, '62120', 'Linghem', '62', 'FR'),
(26036, '62270', 'Linzeux', '62', 'FR'),
(26037, '62134', 'Lisbourg', '62', 'FR'),
(26038, '62400', 'Locon', '62', 'FR'),
(26039, '62140', 'La Loge', '62', 'FR'),
(26040, '62990', 'Loison sur Cr�quoise', '62', 'FR'),
(26041, '62218', 'Loison sous Lens', '62', 'FR'),
(26042, '62240', 'Longfoss�', '62', 'FR'),
(26043, '62219', 'Longuenesse', '62', 'FR'),
(26044, '62142', 'Longueville', '62', 'FR'),
(26045, '62630', 'Longvillers', '62', 'FR'),
(26046, '62750', 'Loos en Gohelle', '62', 'FR'),
(26047, '62840', 'Lorgies', '62', 'FR'),
(26048, '62240', 'Lottinghen', '62', 'FR'),
(26049, '62610', 'Louches', '62', 'FR'),
(26050, '62540', 'Lozinghem', '62', 'FR'),
(26051, '62310', 'Lugy', '62', 'FR'),
(26052, '62380', 'Lumbres', '62', 'FR'),
(26053, '62170', 'Madelaine sous Montreuil', '62', 'FR'),
(26054, '62127', 'Magnicourt en Comt�', '62', 'FR'),
(26055, '62270', 'Magnicourt sur Canche', '62', 'FR'),
(26056, '62870', 'Maintenay', '62', 'FR'),
(26057, '62130', 'Maisnil', '62', 'FR'),
(26058, '62620', 'Maisnil l�s Ruitz', '62', 'FR'),
(26059, '62310', 'Maisoncelle', '62', 'FR'),
(26060, '62127', 'Maizi�res', '62', 'FR'),
(26061, '62120', 'Mametz', '62', 'FR'),
(26062, '62810', 'Manin', '62', 'FR'),
(26063, '62650', 'Maninghem', '62', 'FR'),
(26064, '62250', 'Maninghen Henne', '62', 'FR'),
(26065, '62170', 'Marant', '62', 'FR'),
(26066, '62730', 'Marck', '62', 'FR'),
(26067, '62140', 'Marconne', '62', 'FR'),
(26068, '62140', 'Marconnelle', '62', 'FR'),
(26069, '62990', 'Marenla', '62', 'FR'),
(26070, '62990', 'Maresquel Ecquemicourt', '62', 'FR'),
(26071, '62550', 'Marest', '62', 'FR'),
(26072, '62630', 'Maresville', '62', 'FR'),
(26073, '62540', 'Marles les Mines', '62', 'FR'),
(26074, '62170', 'Marles sur Canche', '62', 'FR'),
(26075, '62161', 'Maroeuil', '62', 'FR'),
(26076, '62127', 'Marquay', '62', 'FR'),
(26077, '62860', 'Marquion', '62', 'FR'),
(26078, '62250', 'Marquise', '62', 'FR'),
(26079, '62450', 'Martinpuich', '62', 'FR'),
(26080, '62310', 'Matringhem', '62', 'FR'),
(26081, '62670', 'Mazingarbe', '62', 'FR'),
(26082, '62120', 'Mazinghem', '62', 'FR'),
(26083, '62310', 'Mencas', '62', 'FR'),
(26084, '62240', 'Menneville', '62', 'FR'),
(26085, '62890', 'Mentque Nortb�court', '62', 'FR'),
(26086, '62217', 'Mercatel', '62', 'FR'),
(26087, '62560', 'Merck Saint Li�vin', '62', 'FR'),
(26088, '62680', 'M�ricourt', '62', 'FR'),
(26089, '62155', 'Merlimont', '62', 'FR'),
(26090, '62124', 'Metz en Couture', '62', 'FR'),
(26091, '62410', 'Meurchin', '62', 'FR'),
(26092, '62690', 'Mingoval', '62', 'FR'),
(26093, '62330', 'Molinghem', '62', 'FR'),
(26094, '62270', 'Moncheaux l�s Fr�vent', '62', 'FR'),
(26095, '62270', 'Monchel sur Canche', '62', 'FR'),
(26096, '62123', 'Monchiet', '62', 'FR'),
(26097, '62111', 'Monchy au Bois', '62', 'FR'),
(26098, '62127', 'Monchy Breton', '62', 'FR'),
(26099, '62134', 'Monchy Cayeux', '62', 'FR'),
(26100, '62118', 'Monchy le Preux', '62', 'FR'),
(26101, '62760', 'Mondicourt', '62', 'FR'),
(26102, '62350', 'Mont Bernanchon', '62', 'FR'),
(26103, '62170', 'Montcavrel', '62', 'FR'),
(26104, '62123', 'Montenescourt', '62', 'FR'),
(26105, '62640', 'Montigny en Gohelle', '62', 'FR'),
(26106, '62170', 'Montreuil', '62', 'FR'),
(26107, '62144', 'Mont Saint �loi', '62', 'FR'),
(26108, '62130', 'Monts en Ternois', '62', 'FR'),
(26109, '62124', 'Morchies', '62', 'FR'),
(26110, '62910', 'Moringhem', '62', 'FR'),
(26111, '62450', 'Morval', '62', 'FR'),
(26112, '62159', 'Mory', '62', 'FR'),
(26113, '62910', 'Moulle', '62', 'FR'),
(26114, '62140', 'Mouriez', '62', 'FR'),
(26115, '62121', 'Moyenneville', '62', 'FR'),
(26116, '62890', 'Muncq Nieurlet', '62', 'FR'),
(26117, '62142', 'Nabringhen', '62', 'FR'),
(26118, '62550', 'N�don', '62', 'FR'),
(26119, '62550', 'N�donchel', '62', 'FR'),
(26120, '62180', 'Nempont Saint Firmin', '62', 'FR'),
(26121, '62152', 'Nesles', '62', 'FR'),
(26122, '62152', 'Neufch�tel Hardelot', '62', 'FR'),
(26123, '62770', 'Neulette', '62', 'FR'),
(26124, '62840', 'Neuve Chapelle', '62', 'FR'),
(26125, '62130', 'Neuville au Cornet', '62', 'FR'),
(26126, '62124', 'Neuville Bourjonval', '62', 'FR'),
(26127, '62580', 'Neuville Saint Vaast', '62', 'FR'),
(26128, '62170', 'Neuville sous Montreuil', '62', 'FR'),
(26129, '62217', 'Neuville Vitasse', '62', 'FR'),
(26130, '62580', 'Neuvireuil', '62', 'FR'),
(26131, '62380', 'Nielles l�s Bl�quin', '62', 'FR'),
(26132, '62610', 'Nielles l�s Ardres', '62', 'FR'),
(26133, '62185', 'Nielles l�s Calais', '62', 'FR'),
(26134, '62390', 'Noeux l�s Auxi', '62', 'FR'),
(26135, '62290', 'Noeux les Mines', '62', 'FR'),
(26136, '62890', 'Nordausques', '62', 'FR'),
(26137, '62128', 'Noreuil', '62', 'FR'),
(26138, '62120', 'Norrent Font�s', '62', 'FR'),
(26139, '62370', 'Nortkerque', '62', 'FR'),
(26140, '62890', 'Nort Leulinghem', '62', 'FR'),
(26141, '62370', 'Nouvelle �glise', '62', 'FR'),
(26142, '62950', 'Noyelles Godault', '62', 'FR'),
(26143, '62770', 'Noyelles l�s Humi�res', '62', 'FR'),
(26144, '62980', 'Noyelles l�s Vermelles', '62', 'FR'),
(26145, '62490', 'Noyelles sous Bellonne', '62', 'FR'),
(26146, '62221', 'Noyelles sous Lens', '62', 'FR'),
(26147, '62123', 'Noyellette', '62', 'FR'),
(26148, '62810', 'Noyelle Vion', '62', 'FR'),
(26149, '62270', 'Nuncq Hautecote', '62', 'FR'),
(26150, '62920', 'Oblinghem', '62', 'FR'),
(26151, '62130', 'Oeuf en Ternois', '62', 'FR'),
(26152, '62370', 'Offekerque', '62', 'FR'),
(26153, '62990', 'Offin', '62', 'FR'),
(26154, '62250', 'Offrethun', '62', 'FR'),
(26155, '62590', 'Oignies', '62', 'FR'),
(26156, '62860', 'Oisy le Verger', '62', 'FR'),
(26157, '62580', 'Oppy', '62', 'FR'),
(26158, '62760', 'Orville', '62', 'FR'),
(26159, '62130', 'Ostreville', '62', 'FR'),
(26160, '62460', 'Ourton', '62', 'FR'),
(26161, '62230', 'Outreau', '62', 'FR'),
(26162, '62380', 'Ouve Wirquin', '62', 'FR'),
(26163, '62215', 'Oye Plage', '62', 'FR'),
(26164, '62860', 'Palluel', '62', 'FR'),
(26165, '62770', 'Le Parcq', '62', 'FR'),
(26166, '62650', 'Parenty', '62', 'FR'),
(26167, '62760', 'Pas en Artois', '62', 'FR'),
(26168, '62118', 'Pelves', '62', 'FR'),
(26169, '62127', 'Penin', '62', 'FR'),
(26170, '62550', 'Pernes', '62', 'FR'),
(26171, '62126', 'Pernes l�s Boulogne', '62', 'FR'),
(26172, '62231', 'Peuplingues', '62', 'FR'),
(26173, '62130', 'Pierremont', '62', 'FR'),
(26174, '62570', 'Pihem', '62', 'FR'),
(26175, '62340', 'Pihen l�s Gu�nes', '62', 'FR'),
(26176, '62126', 'Pittefaux', '62', 'FR'),
(26177, '62310', 'Planques', '62', 'FR'),
(26178, '62118', 'Plouvain', '62', 'FR'),
(26179, '62140', 'Bouin Plumoison', '62', 'FR'),
(26180, '62370', 'Polincove', '62', 'FR'),
(26181, '62760', 'Pommera', '62', 'FR'),
(26182, '62111', 'Pommier', '62', 'FR'),
(26183, '62390', 'Le Ponchel', '62', 'FR'),
(26184, '62880', 'Pont �  Vendin', '62', 'FR'),
(26185, '62480', 'Le Portel', '62', 'FR'),
(26186, '62134', 'Pr�defin', '62', 'FR'),
(26187, '62550', 'Pressy', '62', 'FR'),
(26188, '62650', 'Preures', '62', 'FR'),
(26189, '62860', 'Pronville', '62', 'FR'),
(26190, '62116', 'Puisieux', '62', 'FR'),
(26191, '62860', 'Qu�ant', '62', 'FR'),
(26192, '62500', 'Quelmes', '62', 'FR'),
(26193, '62380', 'Quercamps', '62', 'FR'),
(26194, '62120', 'Quernes', '62', 'FR'),
(26195, '62140', 'Le Quesnoy en Artois', '62', 'FR'),
(26196, '62240', 'Quesques', '62', 'FR'),
(26197, '62830', 'Questrecques', '62', 'FR'),
(26198, '62490', 'Qui�ry la Motte', '62', 'FR'),
(26199, '62120', 'Quiest�de', '62', 'FR'),
(26200, '62650', 'Quilen', '62', 'FR'),
(26201, '62390', 'Quoeux Haut Mainil', '62', 'FR'),
(26202, '62120', 'Racquinghem', '62', 'FR'),
(26203, '62310', 'Radinghem', '62', 'FR'),
(26204, '62130', 'Ramecourt', '62', 'FR'),
(26205, '62150', 'Ranchicourt', '62', 'FR'),
(26206, '62180', 'Rang du Fliers', '62', 'FR'),
(26207, '62173', 'Ransart', '62', 'FR'),
(26208, '62140', 'Raye sur Authie', '62', 'FR'),
(26209, '62120', 'Rebecques', '62', 'FR'),
(26210, '62850', 'Rebergues', '62', 'FR'),
(26211, '62150', 'Rebreuve Ranchicourt', '62', 'FR'),
(26212, '62270', 'Rebreuve sur Canche', '62', 'FR'),
(26213, '62270', 'R�breuviette', '62', 'FR'),
(26214, '62560', 'R�clinghem', '62', 'FR'),
(26215, '62860', 'R�court', '62', 'FR'),
(26216, '62170', 'Recques sur Course', '62', 'FR'),
(26217, '62890', 'Recques sur Hem', '62', 'FR'),
(26218, '62140', 'R�gnauville', '62', 'FR'),
(26219, '62120', 'Rely', '62', 'FR'),
(26220, '62380', 'Remilly Wirquin', '62', 'FR'),
(26221, '62156', 'R�my', '62', 'FR'),
(26222, '62560', 'Renty', '62', 'FR'),
(26223, '62720', 'R�ty', '62', 'FR'),
(26224, '62136', 'Richebourg', '62', 'FR'),
(26225, '62450', 'Riencourt l�s Bapaume', '62', 'FR'),
(26226, '62182', 'Riencourt l�s Cagnicourt', '62', 'FR'),
(26227, '62990', 'Rimboval', '62', 'FR'),
(26228, '62720', 'Rinxent', '62', 'FR'),
(26229, '62173', 'Rivi�re', '62', 'FR'),
(26230, '62350', 'Robecq', '62', 'FR'),
(26231, '62223', 'Roclincourt', '62', 'FR'),
(26232, '62450', 'Rocquigny', '62', 'FR'),
(26233, '62610', 'Rodelinghem', '62', 'FR'),
(26234, '62130', 'Ro�llecourt', '62', 'FR'),
(26235, '62118', 'Roeux', '62', 'FR'),
(26236, '62770', 'Rollancourt', '62', 'FR'),
(26237, '62120', 'Rombly', '62', 'FR'),
(26238, '62120', 'Roquetoire', '62', 'FR'),
(26239, '62390', 'Rougefay', '62', 'FR'),
(26240, '62870', 'Roussent', '62', 'FR'),
(26241, '62320', 'Rouvroy', '62', 'FR'),
(26242, '62990', 'Royon', '62', 'FR'),
(26243, '62310', 'Ruisseauville', '62', 'FR'),
(26244, '62620', 'Ruitz', '62', 'FR'),
(26245, '62860', 'Rumaucourt', '62', 'FR'),
(26246, '62650', 'Rumilly', '62', 'FR'),
(26247, '62370', 'Ruminghem', '62', 'FR'),
(26248, '62124', 'Ruyaulcourt', '62', 'FR'),
(26249, '62550', 'Sachin', '62', 'FR'),
(26250, '62111', 'Sailly au Bois', '62', 'FR'),
(26251, '62490', 'Sailly en Ostrevent', '62', 'FR'),
(26252, '62113', 'Sailly Labourse', '62', 'FR'),
(26253, '62840', 'Sailly sur la Lys', '62', 'FR'),
(26254, '62114', 'Sains en Gohelle', '62', 'FR'),
(26255, '62310', 'Sains l�s Fressin', '62', 'FR'),
(26256, '62860', 'Sains l�s Marquion', '62', 'FR'),
(26257, '62550', 'Sains l�s Pernes', '62', 'FR'),
(26258, '62760', 'Saint Amand', '62', 'FR'),
(26259, '62170', 'Saint Aubin', '62', 'FR'),
(26260, '62140', 'Sainte Austreberthe', '62', 'FR'),
(26261, '62223', 'Sainte Catherine', '62', 'FR'),
(26262, '62990', 'Saint Denoeux', '62', 'FR'),
(26263, '62360', 'Saint �tienne au Mont', '62', 'FR'),
(26264, '62350', 'Saint Floris', '62', 'FR'),
(26265, '62370', 'Saint Folquin', '62', 'FR'),
(26266, '62770', 'Saint Georges', '62', 'FR'),
(26267, '62120', 'Saint Hilaire Cottes', '62', 'FR'),
(26268, '62250', 'Saint Inglevert', '62', 'FR'),
(26269, '62170', 'Saint Josse', '62', 'FR'),
(26270, '62223', 'Saint Laurent Blangy', '62', 'FR'),
(26271, '62128', 'Saint L�ger', '62', 'FR'),
(26272, '62360', 'Saint L�onard', '62', 'FR'),
(26273, '62370', 'Sainte Marie Kerque', '62', 'FR'),
(26274, '62500', 'Saint Martin au La�rt', '62', 'FR'),
(26275, '62280', 'Saint Martin Boulogne', '62', 'FR'),
(26276, '62240', 'Saint Martin Choquel', '62', 'FR'),
(26277, '62560', 'Saint Martin d''Hardinghem', '62', 'FR'),
(26278, '62128', 'St Martin sur Cojeul', '62', 'FR'),
(26279, '62650', 'Saint Michel sous Bois', '62', 'FR'),
(26280, '62130', 'St Michel sur Ternoise', '62', 'FR'),
(26281, '62223', 'Saint Nicolas des Bois', '62', 'FR'),
(26282, '62500', 'Saint Omer', '62', 'FR'),
(26283, '62162', 'Saint Omer Capelle', '62', 'FR'),
(26284, '62130', 'Saint Pol sur Ternoise', '62', 'FR'),
(26285, '62870', 'St R�my au Bois', '62', 'FR'),
(26286, '62185', 'Saint Tricat', '62', 'FR'),
(26287, '62350', 'Saint Venant', '62', 'FR'),
(26288, '62430', 'Sallaumines', '62', 'FR'),
(26289, '62500', 'Salperwick', '62', 'FR'),
(26290, '62830', 'Samer', '62', 'FR'),
(26291, '62231', 'Sangatte', '62', 'FR'),
(26292, '62850', 'Sanghen', '62', 'FR'),
(26293, '62121', 'Sapignies', '62', 'FR'),
(26294, '62450', 'Le Sars', '62', 'FR'),
(26295, '62810', 'Sars le Bois', '62', 'FR'),
(26296, '62760', 'Sarton', '62', 'FR'),
(26297, '62860', 'Sauchy Cauchy', '62', 'FR'),
(26298, '62860', 'Sauchy Lestr�e', '62', 'FR'),
(26299, '62860', 'Saudemont', '62', 'FR'),
(26300, '62870', 'Saulchoy', '62', 'FR'),
(26301, '62158', 'Saulty', '62', 'FR'),
(26302, '62690', 'Savy Berlette', '62', 'FR'),
(26303, '62240', 'Selles', '62', 'FR'),
(26304, '62170', 'Sempy', '62', 'FR'),
(26305, '62380', 'Seninghem', '62', 'FR'),
(26306, '62240', 'Senlecques', '62', 'FR'),
(26307, '62310', 'Senlis', '62', 'FR'),
(26308, '62270', 'S�ricourt', '62', 'FR'),
(26309, '62910', 'Serques', '62', 'FR'),
(26310, '62530', 'Servins', '62', 'FR'),
(26311, '62380', 'Setques', '62', 'FR'),
(26312, '62270', 'Sibiville', '62', 'FR'),
(26313, '62123', 'Simencourt', '62', 'FR'),
(26314, '62130', 'Siracourt', '62', 'FR'),
(26315, '62810', 'Sombrin', '62', 'FR'),
(26316, '62170', 'Sorrus', '62', 'FR'),
(26317, '62111', 'Souastre', '62', 'FR'),
(26318, '62153', 'Souchez', '62', 'FR'),
(26319, '62810', 'Le Souich', '62', 'FR'),
(26320, '62850', 'Surques', '62', 'FR'),
(26321, '62810', 'Sus Saint L�ger', '62', 'FR'),
(26322, '62550', 'Tangry', '62', 'FR'),
(26323, '62179', 'Tardinghen', '62', 'FR'),
(26324, '62500', 'Tatinghem', '62', 'FR'),
(26325, '62134', 'Teneur', '62', 'FR'),
(26326, '62127', 'Ternas', '62', 'FR'),
(26327, '62580', 'Th�lus', '62', 'FR'),
(26328, '62129', 'Th�rouanne', '62', 'FR'),
(26329, '62560', 'Thiembronne', '62', 'FR'),
(26330, '62130', 'La Thieuloye', '62', 'FR'),
(26331, '62760', 'Thi�vres', '62', 'FR'),
(26332, '62180', 'Tigny Noyelle', '62', 'FR'),
(26333, '62690', 'Tilloy l�s Hermaville', '62', 'FR'),
(26334, '62217', 'Tilloy l�s Mofflaines', '62', 'FR'),
(26335, '62134', 'Tilly Capelle', '62', 'FR'),
(26336, '62500', 'Tilques', '62', 'FR'),
(26337, '62127', 'Tincques', '62', 'FR'),
(26338, '62830', 'Tingry', '62', 'FR'),
(26339, '62390', 'Tollent', '62', 'FR'),
(26340, '62310', 'Torcy', '62', 'FR'),
(26341, '62140', 'Tortefontaine', '62', 'FR'),
(26342, '62490', 'Tortequesne', '62', 'FR'),
(26343, '62520', 'Le Touquet Paris Plage', '62', 'FR'),
(26344, '62890', 'Tournehem sur la Hem', '62', 'FR'),
(26345, '62310', 'Tramecourt', '62', 'FR'),
(26346, '62450', 'Transloy', '62', 'FR'),
(26347, '62147', 'Trescault', '62', 'FR'),
(26348, '62130', 'Troisvaux', '62', 'FR'),
(26349, '62630', 'Tubersent', '62', 'FR'),
(26350, '62270', 'Vacquerie le Boucq', '62', 'FR'),
(26351, '62140', 'Vacqueriette Erqui�res', '62', 'FR'),
(26352, '62550', 'Valhuon', '62', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(26353, '62131', 'Vaudricourt', '62', 'FR'),
(26354, '62380', 'Vaudringhem', '62', 'FR'),
(26355, '62390', 'Vaulx', '62', 'FR'),
(26356, '62159', 'Vaulx Vraucourt', '62', 'FR'),
(26357, '62124', 'V�lu', '62', 'FR'),
(26358, '62232', 'Vendin l�s B�thune', '62', 'FR'),
(26359, '62880', 'Vendin le Vieil', '62', 'FR'),
(26360, '62310', 'Verchin', '62', 'FR'),
(26361, '62560', 'Verchocq', '62', 'FR'),
(26362, '62830', 'Verlincthun', '62', 'FR'),
(26363, '62980', 'Vermelles', '62', 'FR'),
(26364, '62113', 'Verquigneul', '62', 'FR'),
(26365, '62131', 'Verquin', '62', 'FR'),
(26366, '62180', 'Verton', '62', 'FR'),
(26367, '62770', 'Vieil Hesdin', '62', 'FR'),
(26368, '62136', 'Vieille Chapelle', '62', 'FR'),
(26369, '62162', 'Vieille �glise', '62', 'FR'),
(26370, '62240', 'Vieil Moutier', '62', 'FR'),
(26371, '62144', 'Villers au Bois', '62', 'FR'),
(26372, '62450', 'Villers au Flos', '62', 'FR'),
(26373, '62690', 'Villers Br�lin', '62', 'FR'),
(26374, '62690', 'Villers Ch�tel', '62', 'FR'),
(26375, '62182', 'Villers l�s Cagnicourt', '62', 'FR'),
(26376, '62390', 'Villers l''H�pital', '62', 'FR'),
(26377, '62127', 'Villers Sir Simon', '62', 'FR'),
(26378, '62580', 'Vimy', '62', 'FR'),
(26379, '62310', 'Vincly', '62', 'FR'),
(26380, '62138', 'Violaines', '62', 'FR'),
(26381, '62156', 'Vis en Artois', '62', 'FR'),
(26382, '62490', 'Vitry en Artois', '62', 'FR'),
(26383, '62180', 'Waben', '62', 'FR'),
(26384, '62250', 'Wacquinghen', '62', 'FR'),
(26385, '62770', 'Wail', '62', 'FR'),
(26386, '62217', 'Wailly', '62', 'FR'),
(26387, '62170', 'Wailly Beaucamp', '62', 'FR'),
(26388, '62140', 'Wambercourt', '62', 'FR'),
(26389, '62770', 'Wamin', '62', 'FR'),
(26390, '62128', 'Wancourt', '62', 'FR'),
(26391, '62123', 'Wanquetin', '62', 'FR'),
(26392, '62120', 'Wardrecques', '62', 'FR'),
(26393, '62450', 'Warlencourt Eaucourt', '62', 'FR'),
(26394, '62760', 'Warlincourt l�s Pas', '62', 'FR'),
(26395, '62123', 'Warlus', '62', 'FR'),
(26396, '62810', 'Warluzel', '62', 'FR'),
(26397, '62142', 'Le Wast', '62', 'FR'),
(26398, '62390', 'Beauvoir Wavans', '62', 'FR'),
(26399, '62380', 'Wavrans sur l''Aa', '62', 'FR'),
(26400, '62130', 'Wavrans sur Ternoise', '62', 'FR'),
(26401, '62380', 'Westb�court', '62', 'FR'),
(26402, '62960', 'Westrehem', '62', 'FR'),
(26403, '62650', 'Wicquinghem', '62', 'FR'),
(26404, '62630', 'Widehem', '62', 'FR'),
(26405, '62830', 'Wierre au Bois', '62', 'FR'),
(26406, '62720', 'Wierre Effroy', '62', 'FR'),
(26407, '62770', 'Willeman', '62', 'FR'),
(26408, '62390', 'Willencourt', '62', 'FR'),
(26409, '62580', 'Willerval', '62', 'FR'),
(26410, '62930', 'Wimereux', '62', 'FR'),
(26411, '62126', 'Wimille', '62', 'FR'),
(26412, '62410', 'Wingles', '62', 'FR'),
(26413, '62240', 'Wirwignes', '62', 'FR'),
(26414, '62380', 'Wismes', '62', 'FR'),
(26415, '62219', 'Wisques', '62', 'FR'),
(26416, '62179', 'Wissant', '62', 'FR'),
(26417, '62120', 'Witternesse', '62', 'FR'),
(26418, '62120', 'Wittes', '62', 'FR'),
(26419, '62570', 'Wizernes', '62', 'FR'),
(26420, '62650', 'Zoteux', '62', 'FR'),
(26421, '62890', 'Zouafques', '62', 'FR'),
(26422, '62500', 'Zudausques', '62', 'FR'),
(26423, '62370', 'Zutkerque', '62', 'FR'),
(26424, '62820', 'Libercourt', '62', 'FR'),
(26425, '62360', 'La Capelle l�s Boulogne', '62', 'FR'),
(26426, '62124', 'Ytres', '62', 'FR'),
(26427, '62610', 'Bois en Ardres', '62', 'FR'),
(26428, '62780', 'Tr�pied', '62', 'FR'),
(26429, '62152', 'Hardelot Plage', '62', 'FR'),
(26430, '63260', 'Aigueperse', '63', 'FR'),
(26431, '63980', 'Aix la Fayette', '63', 'FR'),
(26432, '63600', 'Ambert', '63', 'FR'),
(26433, '63770', 'Les Ancizes Comps', '63', 'FR'),
(26434, '63340', 'Antoingt', '63', 'FR'),
(26435, '63420', 'Anzat le Luguet', '63', 'FR'),
(26436, '63420', 'Apchat', '63', 'FR'),
(26437, '63250', 'Arconsat', '63', 'FR'),
(26438, '63420', 'Ardes', '63', 'FR'),
(26439, '63220', 'Arlanc', '63', 'FR'),
(26440, '63700', 'Ars les Favets', '63', 'FR'),
(26441, '63460', 'Artonne', '63', 'FR'),
(26442, '63260', 'Aubiat', '63', 'FR'),
(26443, '63170', 'Aubi�re', '63', 'FR'),
(26444, '63120', 'Aubusson d''Auvergne', '63', 'FR'),
(26445, '63930', 'Augerolles', '63', 'FR'),
(26446, '63340', 'Augnat', '63', 'FR'),
(26447, '63500', 'Aulhat Saint Privat', '63', 'FR'),
(26448, '63510', 'Aulnat', '63', 'FR'),
(26449, '63210', 'Auri�res', '63', 'FR'),
(26450, '63730', 'Auth�zat', '63', 'FR'),
(26451, '63570', 'Auzat sur Allier', '63', 'FR'),
(26452, '63590', 'Auzelles', '63', 'FR'),
(26453, '63690', 'Av�ze', '63', 'FR'),
(26454, '63390', 'Ayat sur Sioule', '63', 'FR'),
(26455, '63970', 'Aydat', '63', 'FR'),
(26456, '63600', 'Baffie', '63', 'FR'),
(26457, '63810', 'Bagnols', '63', 'FR'),
(26458, '63570', 'Bansat', '63', 'FR'),
(26459, '63310', 'Bas et Lezat', '63', 'FR'),
(26460, '63570', 'Beaulieu', '63', 'FR'),
(26461, '63110', 'Beaumont', '63', 'FR'),
(26462, '63310', 'Beaumont l�s Randan', '63', 'FR'),
(26463, '63116', 'Beauregard l''�v�que', '63', 'FR'),
(26464, '63460', 'Beauregard Vendon', '63', 'FR'),
(26465, '63500', 'Bergonne', '63', 'FR'),
(26466, '63480', 'Bertignat', '63', 'FR'),
(26467, '63610', 'Besse et St Anastaise', '63', 'FR'),
(26468, '63220', 'Beuri�res', '63', 'FR'),
(26469, '63160', 'Billom', '63', 'FR'),
(26470, '63640', 'Biollet', '63', 'FR'),
(26471, '63112', 'Blanzat', '63', 'FR'),
(26472, '63440', 'Blot l''�glise', '63', 'FR'),
(26473, '63160', 'Bongheat', '63', 'FR'),
(26474, '63190', 'Bort l''�tang', '63', 'FR'),
(26475, '63340', 'Boudes', '63', 'FR'),
(26476, '63150', 'La Bourboule', '63', 'FR'),
(26477, '63760', 'Bourg Lastic', '63', 'FR'),
(26478, '63910', 'Bouzel', '63', 'FR'),
(26479, '63570', 'Brassac les Mines', '63', 'FR'),
(26480, '63500', 'Brenat', '63', 'FR'),
(26481, '63340', 'Le Breuil sur Couze', '63', 'FR'),
(26482, '63820', 'Briffons', '63', 'FR'),
(26483, '63500', 'Le Broc', '63', 'FR'),
(26484, '63230', 'Bromont Lamothe', '63', 'FR'),
(26485, '63490', 'Brousse', '63', 'FR'),
(26486, '63880', 'Le Brugeron', '63', 'FR'),
(26487, '63350', 'Bulhon', '63', 'FR'),
(26488, '63270', 'Buss�ol', '63', 'FR'),
(26489, '63330', 'Bussi�res', '63', 'FR'),
(26490, '63260', 'Bussi�res et Pruns', '63', 'FR'),
(26491, '63700', 'Buxi�res sous Montaigut', '63', 'FR'),
(26492, '63118', 'C�bazat', '63', 'FR'),
(26493, '63620', 'Celle', '63', 'FR'),
(26494, '63520', 'Ceilloux', '63', 'FR'),
(26495, '63250', 'Celles sur Durolle', '63', 'FR'),
(26496, '63330', 'La Cellette', '63', 'FR'),
(26497, '63200', 'Cellule', '63', 'FR'),
(26498, '63670', 'Le Cendre', '63', 'FR'),
(26499, '63122', 'Ceyrat', '63', 'FR'),
(26500, '63210', 'Ceyssat', '63', 'FR'),
(26501, '63250', 'Chabreloche', '63', 'FR'),
(26502, '63320', 'Chadeleuf', '63', 'FR'),
(26503, '63340', 'Chalus', '63', 'FR'),
(26504, '63400', 'Chamali�res', '63', 'FR'),
(26505, '63980', 'Chambon sur Dolore', '63', 'FR'),
(26506, '63790', 'Chambon sur Lac', '63', 'FR'),
(26507, '63580', 'Cham�ane', '63', 'FR'),
(26508, '63580', 'Champagnat le Jeune', '63', 'FR'),
(26509, '63320', 'Champeix', '63', 'FR'),
(26510, '63600', 'Champ�ti�res', '63', 'FR'),
(26511, '63440', 'Champs', '63', 'FR'),
(26512, '63530', 'Chanat la Mouteyre', '63', 'FR'),
(26513, '63450', 'Chanonat', '63', 'FR'),
(26514, '63230', 'Chapdes Beaufort', '63', 'FR'),
(26515, '63590', 'Chapelle Agnon', '63', 'FR'),
(26516, '63420', 'La Chapelle Marcousse', '63', 'FR'),
(26517, '63580', 'La Chapelle sur Usson', '63', 'FR'),
(26518, '63720', 'Chappes', '63', 'FR'),
(26519, '63260', 'Chaptuzat', '63', 'FR'),
(26520, '63340', 'Charbonnier les Mines', '63', 'FR'),
(26521, '63410', 'Charbonni�res les Varennes', '63', 'FR'),
(26522, '63410', 'Charbonni�res les Vieilles', '63', 'FR'),
(26523, '63640', 'Charensat', '63', 'FR'),
(26524, '63290', 'Charnat', '63', 'FR'),
(26525, '63160', 'Chas', '63', 'FR'),
(26526, '63320', 'Chassagne', '63', 'FR'),
(26527, '63680', 'Chastreix', '63', 'FR'),
(26528, '63119', 'Ch�teaugay', '63', 'FR'),
(26529, '63390', 'Ch�teauneuf les Bains', '63', 'FR'),
(26530, '63330', 'Ch�teau sur Cher', '63', 'FR'),
(26531, '63290', 'Ch�teldon', '63', 'FR'),
(26532, '63140', 'Ch�telguyon', '63', 'FR'),
(26533, '63660', 'La Chaulme', '63', 'FR'),
(26534, '63220', 'Chaumont le Bourg', '63', 'FR'),
(26535, '63117', 'Chauriat', '63', 'FR'),
(26536, '63720', 'Chavaroux', '63', 'FR'),
(26537, '63200', 'Cheix', '63', 'FR'),
(26538, '63320', 'Chidrac', '63', 'FR'),
(26539, '63740', 'Cisternes la For�t', '63', 'FR'),
(26540, '63320', 'Cl�mensat', '63', 'FR'),
(26541, '63720', 'Clerlande', '63', 'FR'),
(26542, '63000', 'Clermont Ferrand', '63', 'FR'),
(26543, '63100', 'Clermont Ferrand', '63', 'FR'),
(26544, '63340', 'Collanges', '63', 'FR'),
(26545, '63380', 'Combrailles', '63', 'FR'),
(26546, '63460', 'Combronde', '63', 'FR'),
(26547, '63610', 'Compains', '63', 'FR'),
(26548, '63380', 'Condat en Combraille', '63', 'FR'),
(26549, '63490', 'Condat l�s Montboissier', '63', 'FR'),
(26550, '63730', 'Corent', '63', 'FR'),
(26551, '63114', 'Coudes', '63', 'FR'),
(26552, '63320', 'Courgoul', '63', 'FR'),
(26553, '63450', 'Cournols', '63', 'FR'),
(26554, '63800', 'Cournon d''Auvergne', '63', 'FR'),
(26555, '63120', 'Courpi�re', '63', 'FR'),
(26556, '63450', 'Le Crest', '63', 'FR'),
(26557, '63320', 'Creste', '63', 'FR'),
(26558, '63350', 'Crevant Laveine', '63', 'FR'),
(26559, '63810', 'Cros', '63', 'FR'),
(26560, '63700', 'La Crouzille', '63', 'FR'),
(26561, '63350', 'Culhat', '63', 'FR'),
(26562, '63590', 'Cunlhat', '63', 'FR'),
(26563, '63111', 'Dallet', '63', 'FR'),
(26564, '63340', 'Dauzat sur Vodable', '63', 'FR'),
(26565, '63200', 'Davayat', '63', 'FR'),
(26566, '63520', 'Domaize', '63', 'FR'),
(26567, '63220', 'Doranges', '63', 'FR'),
(26568, '63300', 'Dorat', '63', 'FR'),
(26569, '63220', 'Dore l''�glise', '63', 'FR'),
(26570, '63700', 'Durmignat', '63', 'FR'),
(26571, '63830', 'Durtol', '63', 'FR'),
(26572, '63980', '�chandelys', '63', 'FR'),
(26573, '63260', 'Effiat', '63', 'FR'),
(26574, '63850', 'Egliseneuve d''Entraigues', '63', 'FR'),
(26575, '63490', '�gliseneuve des Liards', '63', 'FR'),
(26576, '63160', '�gliseneuve pr�s Billom', '63', 'FR'),
(26577, '63840', '�glisolles', '63', 'FR'),
(26578, '63720', 'Ennezat', '63', 'FR'),
(26579, '63720', 'Entraigues', '63', 'FR'),
(26580, '63530', 'Enval', '63', 'FR'),
(26581, '63300', 'Escoutoux', '63', 'FR'),
(26582, '63390', 'Espinasse', '63', 'FR'),
(26583, '63850', 'Espinchal', '63', 'FR'),
(26584, '63160', 'Espirat', '63', 'FR'),
(26585, '63520', 'Estandeuil', '63', 'FR'),
(26586, '63570', 'Esteil', '63', 'FR'),
(26587, '63160', 'Fayet le Ch�teau', '63', 'FR'),
(26588, '63630', 'Fayet Ronaye', '63', 'FR'),
(26589, '63620', 'Ferno�l', '63', 'FR'),
(26590, '63500', 'Flat', '63', 'FR'),
(26591, '63600', 'La Forie', '63', 'FR'),
(26592, '63980', 'Fournols', '63', 'FR'),
(26593, '63740', 'Gelles', '63', 'FR'),
(26594, '63360', 'Gerzat', '63', 'FR'),
(26595, '63620', 'Giat', '63', 'FR'),
(26596, '63340', 'Gignat', '63', 'FR'),
(26597, '63200', 'Gimeaux', '63', 'FR'),
(26598, '63160', 'Glaine Montaigut', '63', 'FR'),
(26599, '63850', 'La Godivelle', '63', 'FR'),
(26600, '63230', 'Goutelle', '63', 'FR'),
(26601, '63390', 'Goutti�res', '63', 'FR'),
(26602, '63320', 'Grandeyrolles', '63', 'FR'),
(26603, '63600', 'Grandrif', '63', 'FR'),
(26604, '63890', 'Grandval', '63', 'FR'),
(26605, '63470', 'Herment', '63', 'FR'),
(26606, '63210', 'Heume l''�glise', '63', 'FR'),
(26607, '63270', 'Isserteaux', '63', 'FR'),
(26608, '63500', 'Issoire', '63', 'FR'),
(26609, '63990', 'Job', '63', 'FR'),
(26610, '63350', 'Joze', '63', 'FR'),
(26611, '63460', 'Joserand', '63', 'FR'),
(26612, '63570', 'Jumeaux', '63', 'FR'),
(26613, '63690', 'Labessette', '63', 'FR'),
(26614, '63290', 'Lachaux', '63', 'FR'),
(26615, '63570', 'Lamontgie', '63', 'FR'),
(26616, '63380', 'Landogne', '63', 'FR'),
(26617, '63700', 'Lapeyrouse', '63', 'FR'),
(26618, '63270', 'Laps', '63', 'FR'),
(26619, '63820', 'Laqueuille', '63', 'FR'),
(26620, '63690', 'Larodde', '63', 'FR'),
(26621, '63760', 'Lastic', '63', 'FR'),
(26622, '63680', 'La Tour d''Auvergne', '63', 'FR'),
(26623, '63370', 'Lempdes', '63', 'FR'),
(26624, '63190', 'Lempty', '63', 'FR'),
(26625, '63190', 'Lezoux', '63', 'FR'),
(26626, '63290', 'Limons', '63', 'FR'),
(26627, '63440', 'Lisseuil', '63', 'FR'),
(26628, '63410', 'Loubeyrat', '63', 'FR'),
(26629, '63320', 'Ludesse', '63', 'FR'),
(26630, '63360', 'Lussat', '63', 'FR'),
(26631, '63350', 'Luzillat', '63', 'FR'),
(26632, '63340', 'Madriat', '63', 'FR'),
(26633, '63200', 'Malauzat', '63', 'FR'),
(26634, '63510', 'Malintrat', '63', 'FR'),
(26635, '63270', 'Manglieu', '63', 'FR'),
(26636, '63410', 'Manzat', '63', 'FR'),
(26637, '63480', 'Marat', '63', 'FR'),
(26638, '63440', 'Marcillat', '63', 'FR'),
(26639, '63340', 'Mareugheol', '63', 'FR'),
(26640, '63350', 'Maringues', '63', 'FR'),
(26641, '63940', 'Marsac en Livradois', '63', 'FR'),
(26642, '63200', 'Marsat', '63', 'FR'),
(26643, '63430', 'Martres d''Arti�re', '63', 'FR'),
(26644, '63730', 'Martres de Veyre', '63', 'FR'),
(26645, '63720', 'Martres sur Morge', '63', 'FR'),
(26646, '63160', 'Mauzun', '63', 'FR'),
(26647, '63420', 'La Mayrand', '63', 'FR'),
(26648, '63220', 'Mayres', '63', 'FR'),
(26649, '63230', 'Mazaye', '63', 'FR'),
(26650, '63420', 'Mazoires', '63', 'FR'),
(26651, '63220', 'Medeyrolles', '63', 'FR'),
(26652, '63320', 'Meilhaud', '63', 'FR'),
(26653, '63560', 'Menat', '63', 'FR'),
(26654, '63200', 'M�n�trol', '63', 'FR'),
(26655, '63750', 'Messeix', '63', 'FR'),
(26656, '63115', 'Mezel', '63', 'FR'),
(26657, '63730', 'Mirefleurs', '63', 'FR'),
(26658, '63380', 'Miremont', '63', 'FR'),
(26659, '63190', 'Moissat', '63', 'FR'),
(26660, '63890', 'Le Monestier', '63', 'FR'),
(26661, '63650', 'La Monnerie le Montel', '63', 'FR'),
(26662, '63310', 'Mons', '63', 'FR'),
(26663, '63700', 'Montaigut', '63', 'FR'),
(26664, '63320', 'Montaigut le Blanc', '63', 'FR'),
(26665, '63460', 'Montcel', '63', 'FR'),
(26666, '63240', 'Mont Dore', '63', 'FR'),
(26667, '63380', 'Montel de Gelat', '63', 'FR'),
(26668, '63230', 'Montfermy', '63', 'FR'),
(26669, '63160', 'Montmorin', '63', 'FR'),
(26670, '63260', 'Montpensier', '63', 'FR'),
(26671, '63114', 'Montpeyroux', '63', 'FR'),
(26672, '63340', 'Moriat', '63', 'FR'),
(26673, '63700', 'Moureuille', '63', 'FR'),
(26674, '63200', 'La Moutade', '63', 'FR'),
(26675, '63200', 'Mozac', '63', 'FR'),
(26676, '63150', 'Murat le Quaire', '63', 'FR'),
(26677, '63790', 'Murol', '63', 'FR'),
(26678, '63210', 'N�bouzat', '63', 'FR'),
(26679, '63120', 'N�ronde sur Dore', '63', 'FR'),
(26680, '63320', 'Neschers', '63', 'FR'),
(26681, '63560', 'Neuf �glise', '63', 'FR'),
(26682, '63160', 'Neuville', '63', 'FR'),
(26683, '63290', 'Noalhat', '63', 'FR'),
(26684, '63830', 'Nohanent', '63', 'FR'),
(26685, '63340', 'Nonette', '63', 'FR'),
(26686, '63220', 'Novacelles', '63', 'FR'),
(26687, '63210', 'Olby', '63', 'FR'),
(26688, '63880', 'Olliergues', '63', 'FR'),
(26689, '63450', 'Olloix', '63', 'FR'),
(26690, '63880', 'Olmet', '63', 'FR'),
(26691, '63500', 'Orbeil', '63', 'FR'),
(26692, '63670', 'Orcet', '63', 'FR'),
(26693, '63870', 'Orcines', '63', 'FR'),
(26694, '63210', 'Orcival', '63', 'FR'),
(26695, '63190', 'Orl�at', '63', 'FR'),
(26696, '63340', 'Orsonnette', '63', 'FR'),
(26697, '63550', 'Palladuc', '63', 'FR'),
(26698, '63500', 'Pardines', '63', 'FR'),
(26699, '63270', 'Parent', '63', 'FR'),
(26700, '63500', 'Parentignat', '63', 'FR'),
(26701, '63290', 'Pasli�res', '63', 'FR'),
(26702, '63170', 'P�rignat l�s Sarli�ve', '63', 'FR'),
(26703, '63800', 'P�rignat sur Allier', '63', 'FR'),
(26704, '63210', 'Perpezat', '63', 'FR'),
(26705, '63500', 'Perrier', '63', 'FR'),
(26706, '63920', 'Peschadoires', '63', 'FR'),
(26707, '63580', 'Pesli�res', '63', 'FR'),
(26708, '63200', 'Pessat Villeneuve', '63', 'FR'),
(26709, '63113', 'Picherande', '63', 'FR'),
(26710, '63270', 'Pignols', '63', 'FR'),
(26711, '63330', 'Pionsat', '63', 'FR'),
(26712, '63730', 'Plauzat', '63', 'FR'),
(26713, '63380', 'Pontaumur', '63', 'FR'),
(26714, '63430', 'Pont du Ch�teau', '63', 'FR'),
(26715, '63230', 'Pontgibaud', '63', 'FR'),
(26716, '63440', 'Pouzol', '63', 'FR'),
(26717, '63500', 'Les Pradeaux', '63', 'FR'),
(26718, '63200', 'Prompsat', '63', 'FR'),
(26719, '63470', 'Prondines', '63', 'FR'),
(26720, '63230', 'Pulv�ri�res', '63', 'FR'),
(26721, '63290', 'Puy Guillaume', '63', 'FR'),
(26722, '63470', 'Puy Saint Gulmier', '63', 'FR'),
(26723, '63330', 'Le Quartier', '63', 'FR'),
(26724, '63780', 'Queuille', '63', 'FR'),
(26725, '63310', 'Randan', '63', 'FR'),
(26726, '63190', 'Ravel', '63', 'FR'),
(26727, '63160', 'Reignat', '63', 'FR'),
(26728, '63930', 'La Renaudie', '63', 'FR'),
(26729, '63420', 'Renti�res', '63', 'FR'),
(26730, '63200', 'Riom', '63', 'FR'),
(26731, '63290', 'Ris', '63', 'FR'),
(26732, '63670', 'La Roche Blanche', '63', 'FR'),
(26733, '63420', 'Roche Charles la Mayrand', '63', 'FR'),
(26734, '63330', 'Roche d''Agoux', '63', 'FR'),
(26735, '63210', 'Rochefort Montagne', '63', 'FR'),
(26736, '63800', 'La Roche Noire', '63', 'FR'),
(26737, '63540', 'Romagnat', '63', 'FR'),
(26738, '63130', 'Royat', '63', 'FR'),
(26739, '63840', 'Saillant', '63', 'FR'),
(26740, '63120', 'Sainte Agathe', '63', 'FR'),
(26741, '63260', 'Saint Agoulin', '63', 'FR'),
(26742, '63220', 'Saint Alyre d''Arlanc', '63', 'FR'),
(26743, '63420', 'Saint Alyre �s Montagne', '63', 'FR'),
(26744, '63890', 'Saint Amant Roche Savine', '63', 'FR'),
(26745, '63450', 'Saint Amant Tallende', '63', 'FR'),
(26746, '63610', 'Saint Anastaise', '63', 'FR'),
(26747, '63310', 'Saint Andr� le Coq', '63', 'FR'),
(26748, '63410', 'St Angel', '63', 'FR'),
(26749, '63660', 'Saint Anth�me', '63', 'FR'),
(26750, '63380', 'Saint Avit', '63', 'FR'),
(26751, '63500', 'Saint Babel', '63', 'FR'),
(26752, '63360', 'Saint Beauzire', '63', 'FR'),
(26753, '63630', 'Saint Bonnet le Bourg', '63', 'FR'),
(26754, '63630', 'Saint Bonnet le Chastel', '63', 'FR'),
(26755, '63800', 'Saint Bonnet l�s Allier', '63', 'FR'),
(26756, '63210', 'Saint Bonnet pr�s Orcival', '63', 'FR'),
(26757, '63200', 'Saint Bonnet pr�s Riom', '63', 'FR'),
(26758, '63580', 'Sainte Catherine', '63', 'FR'),
(26759, '63390', 'Sainte Christine', '63', 'FR'),
(26760, '63320', 'Saint Cirgues sur Couze', '63', 'FR'),
(26761, '63660', 'St Cl�ment de Valorgue', '63', 'FR'),
(26762, '63310', 'Saint Cl�ment de R�gnat', '63', 'FR'),
(26763, '63310', 'Saint Denis Combarnazat', '63', 'FR'),
(26764, '63520', 'Saint Dier d''Auvergne', '63', 'FR'),
(26765, '63320', 'Saint Di�ry', '63', 'FR'),
(26766, '63680', 'Saint Donat', '63', 'FR'),
(26767, '63890', 'St Eloy la Glaci�re', '63', 'FR'),
(26768, '63700', 'Saint �loy les Mines', '63', 'FR'),
(26769, '63380', 'Saint �tienne des Champs', '63', 'FR'),
(26770, '63580', 'Saint �tienne sur Usson', '63', 'FR'),
(26771, '63600', 'Saint Ferr�ol des C�tes', '63', 'FR'),
(26772, '63320', 'Saint Floret', '63', 'FR'),
(26773, '63520', 'Saint Flour', '63', 'FR'),
(26774, '63440', 'Saint Gal sur Sioule', '63', 'FR'),
(26775, '63122', 'Saint Gen�s Champanelle', '63', 'FR'),
(26776, '63850', 'Saint Gen�s Champespe', '63', 'FR'),
(26777, '63260', 'Saint Gen�s du Retz', '63', 'FR'),
(26778, '63580', 'Saint Gen�s la Tourette', '63', 'FR'),
(26779, '63780', 'Saint Georges de Mons', '63', 'FR'),
(26780, '63800', 'Saint Georges sur Allier', '63', 'FR'),
(26781, '63470', 'Saint Germain pr�s Herment', '63', 'FR'),
(26782, '63340', 'Saint Germain Lembron', '63', 'FR'),
(26783, '63630', 'Saint Germain l''Herm', '63', 'FR'),
(26784, '63390', 'Saint Gervais d''Auvergne', '63', 'FR'),
(26785, '63880', 'Saint Gervais sous Meymont', '63', 'FR'),
(26786, '63340', 'Saint Gervazy', '63', 'FR'),
(26787, '63340', 'Saint H�rent', '63', 'FR'),
(26788, '63440', 'Saint Hilaire la Croix', '63', 'FR'),
(26789, '63380', 'Saint Hilaire les Monges', '63', 'FR'),
(26790, '63330', 'Saint Hilaire pr�s Pionsat', '63', 'FR'),
(26791, '63140', 'Saint Hippolyte', '63', 'FR'),
(26792, '63720', 'Saint Ignat', '63', 'FR'),
(26793, '63230', 'Saint Jacques d''Ambur', '63', 'FR'),
(26794, '63190', 'Saint Jean d''Heurs', '63', 'FR'),
(26795, '63520', 'Saint Jean des Olli�res', '63', 'FR'),
(26796, '63490', 'Saint Jean en Val', '63', 'FR'),
(26797, '63570', 'Saint Jean Saint Gervais', '63', 'FR'),
(26798, '63160', 'Saint Julien de Coppel', '63', 'FR'),
(26799, '63390', 'Saint Julien la Geneste', '63', 'FR'),
(26800, '63820', 'Saint Julien Puy Lav�ze', '63', 'FR'),
(26801, '63600', 'Saint Just', '63', 'FR'),
(26802, '63350', 'Saint Laure', '63', 'FR'),
(26803, '63330', 'Saint Maigner', '63', 'FR'),
(26804, '63600', 'Saint Martin des Olmes', '63', 'FR'),
(26805, '63570', 'Saint Martin des Plains', '63', 'FR'),
(26806, '63580', 'Saint Martin d''Olli�res', '63', 'FR'),
(26807, '63330', 'Saint Maurice pr�s Pionsat', '63', 'FR'),
(26808, '63270', 'Saint Maurice', '63', 'FR'),
(26809, '63460', 'Saint Myon', '63', 'FR'),
(26810, '63710', 'Saint Nectaire', '63', 'FR'),
(26811, '63230', 'Saint Ours', '63', 'FR'),
(26812, '63440', 'St Pardoux', '63', 'FR'),
(26813, '63610', 'Saint Pierre Colamine', '63', 'FR'),
(26814, '63480', 'Saint Pierre la Bourlhonne', '63', 'FR'),
(26815, '63230', 'Saint Pierre le Chastel', '63', 'FR'),
(26816, '63210', 'Saint Pierre Roche', '63', 'FR'),
(26817, '63310', 'Saint Priest Bramefant', '63', 'FR'),
(26818, '63640', 'Saint Priest des Champs', '63', 'FR'),
(26819, '63490', 'Saint Quentin sur Sauxillanges', '63', 'FR'),
(26820, '63440', 'Saint Quintin sur Sioule', '63', 'FR'),
(26821, '63440', 'Saint R�my de Blot', '63', 'FR'),
(26822, '63500', 'Saint R�my de Chargnat', '63', 'FR'),
(26823, '63550', 'Saint R�my sur Durolle', '63', 'FR'),
(26824, '63660', 'Saint Romain', '63', 'FR'),
(26825, '63450', 'Saint Sandoux', '63', 'FR'),
(26826, '63450', 'Saint Saturnin', '63', 'FR'),
(26827, '63950', 'Saint Sauves d''Auvergne', '63', 'FR'),
(26828, '63220', 'St Sauveur la Sagne', '63', 'FR'),
(26829, '63760', 'Saint Sulpice', '63', 'FR'),
(26830, '63310', 'Saint Sylvestre Pragoulin', '63', 'FR'),
(26831, '63790', 'St Victor la Rivi�re', '63', 'FR'),
(26832, '63550', 'Saint Victor Montvianeix', '63', 'FR'),
(26833, '63320', 'Saint Vincent', '63', 'FR'),
(26834, '63500', 'Saint Yvoine', '63', 'FR'),
(26835, '63270', 'Sall�des', '63', 'FR'),
(26836, '63260', 'Sardon', '63', 'FR'),
(26837, '63970', 'Saulzet le Froid', '63', 'FR'),
(26838, '63390', 'Sauret Besserve', '63', 'FR'),
(26839, '63320', 'Saurier', '63', 'FR'),
(26840, '63470', 'Sauvagnat', '63', 'FR'),
(26841, '63500', 'Sauvagnat Sainte Marthe', '63', 'FR'),
(26842, '63840', 'Sauvessanges', '63', 'FR'),
(26843, '63730', 'La Sauvetat', '63', 'FR'),
(26844, '63120', 'Sauviat', '63', 'FR'),
(26845, '63490', 'Sauxillanges', '63', 'FR'),
(26846, '63750', 'Savennes', '63', 'FR'),
(26847, '63530', 'Sayat', '63', 'FR'),
(26848, '63120', 'Sermentizon', '63', 'FR'),
(26849, '63560', 'Servant', '63', 'FR'),
(26850, '63190', 'Seychalles', '63', 'FR'),
(26851, '63690', 'Singles', '63', 'FR'),
(26852, '63500', 'Solignat', '63', 'FR'),
(26853, '63490', 'Sug�res', '63', 'FR'),
(26854, '63720', 'Surat', '63', 'FR'),
(26855, '63450', 'Tallende', '63', 'FR'),
(26856, '63690', 'Tauves', '63', 'FR'),
(26857, '63460', 'Teilh�de', '63', 'FR'),
(26858, '63560', 'Teilhet', '63', 'FR'),
(26859, '63340', 'Ternant les Eaux', '63', 'FR'),
(26860, '63300', 'Thiers', '63', 'FR'),
(26861, '63600', 'Thioli�res', '63', 'FR'),
(26862, '63260', 'Thuret', '63', 'FR'),
(26863, '63470', 'Tortebesse', '63', 'FR'),
(26864, '63590', 'Tours sur Meymont', '63', 'FR'),
(26865, '63320', 'Tourzel Ronzi�res', '63', 'FR'),
(26866, '63380', 'Tralaigues', '63', 'FR'),
(26867, '63810', 'Tr�mouille Saint Loup', '63', 'FR'),
(26868, '63520', 'Tr�zioux', '63', 'FR'),
(26869, '63490', 'Usson', '63', 'FR'),
(26870, '63610', 'Valbeleix', '63', 'FR'),
(26871, '63600', 'Valcivi�res', '63', 'FR'),
(26872, '63580', 'Valz sous Ch�teauneuf', '63', 'FR'),
(26873, '63720', 'Varennes sur Morge', '63', 'FR'),
(26874, '63500', 'Varennes sur Usson', '63', 'FR'),
(26875, '63910', 'Vassel', '63', 'FR'),
(26876, '63260', 'Vensat', '63', 'FR'),
(26877, '63330', 'Vergheas', '63', 'FR'),
(26878, '63580', 'Vernet la Varenne', '63', 'FR'),
(26879, '63710', 'Le Vernet Sainte Marguerite', '63', 'FR'),
(26880, '63470', 'Verneugheol', '63', 'FR'),
(26881, '63210', 'Vernines', '63', 'FR'),
(26882, '63320', 'Verri�res', '63', 'FR'),
(26883, '63910', 'Vertaizon', '63', 'FR'),
(26884, '63480', 'Vertolaye', '63', 'FR'),
(26885, '63960', 'Veyre Monton', '63', 'FR'),
(26886, '63340', 'Vichel', '63', 'FR'),
(26887, '63270', 'Vic le Comte', '63', 'FR'),
(26888, '63340', 'Villeneuve', '63', 'FR'),
(26889, '63310', 'Villeneuve l�s Cerfs', '63', 'FR'),
(26890, '63380', 'Villosanges', '63', 'FR'),
(26891, '63350', 'Vinzelles', '63', 'FR'),
(26892, '63330', 'Virlet', '63', 'FR'),
(26893, '63250', 'Viscomtat', '63', 'FR'),
(26894, '63410', 'Vitrac', '63', 'FR'),
(26895, '63840', 'Viverols', '63', 'FR'),
(26896, '63500', 'Vodable', '63', 'FR'),
(26897, '63620', 'Voingt', '63', 'FR'),
(26898, '63120', 'Vollore Montagne', '63', 'FR'),
(26899, '63120', 'Vollore Ville', '63', 'FR'),
(26900, '63530', 'Volvic', '63', 'FR'),
(26901, '63700', 'Youx', '63', 'FR'),
(26902, '63270', 'Yronde et Buron', '63', 'FR'),
(26903, '63200', 'Yssac la Tourette', '63', 'FR'),
(26904, '63122', 'Boiss�jour', '63', 'FR'),
(26905, '63260', 'Chazelles', '63', 'FR'),
(26906, '63570', 'La Combelle', '63', 'FR'),
(26907, '63250', 'Les Sarraix', '63', 'FR'),
(26908, '63700', 'Montjoie', '63', 'FR'),
(26909, '63540', 'Saulzet le Chaud', '63', 'FR'),
(26910, '63920', 'Pont de Dore', '63', 'FR'),
(26911, '63122', 'Berzet', '63', 'FR'),
(26912, '63122', 'Manson', '63', 'FR'),
(26913, '63122', 'Theix', '63', 'FR'),
(26914, '64460', 'Aast', '64', 'FR'),
(26915, '64160', 'Ab�re', '64', 'FR'),
(26916, '64150', 'Abidos', '64', 'FR'),
(26917, '64390', 'Abitain', '64', 'FR'),
(26918, '64360', 'Abos', '64', 'FR'),
(26919, '64490', 'Accous', '64', 'FR'),
(26920, '64400', 'Agnos', '64', 'FR'),
(26921, '64220', 'Ahaxe Alciette Bascassan', '64', 'FR'),
(26922, '64210', 'Ahetze', '64', 'FR'),
(26923, '64120', 'A�cirits Camou Suhast', '64', 'FR'),
(26924, '64220', 'Aincille', '64', 'FR'),
(26925, '64130', 'Ainharp', '64', 'FR'),
(26926, '64220', 'Ainhice Mongelos', '64', 'FR'),
(26927, '64250', 'A�nhoa', '64', 'FR'),
(26928, '64470', 'Al�ay Al�ab�h�ty Sunharette', '64', 'FR'),
(26929, '64430', 'Aldudes', '64', 'FR'),
(26930, '64470', 'Alos Sibas Abense', '64', 'FR'),
(26931, '64120', 'Amendeuix Oneix', '64', 'FR'),
(26932, '64120', 'Amorots Succos', '64', 'FR'),
(26933, '64570', 'Ance', '64', 'FR'),
(26934, '64420', 'Andoins', '64', 'FR'),
(26935, '64390', 'Andrein', '64', 'FR'),
(26936, '64510', 'Anga�s', '64', 'FR'),
(26937, '64600', 'Anglet', '64', 'FR'),
(26938, '64190', 'Angous', '64', 'FR'),
(26939, '64220', 'Anhaux', '64', 'FR'),
(26940, '64160', 'Anos', '64', 'FR'),
(26941, '64350', 'Anoye', '64', 'FR'),
(26942, '64570', 'Aramits', '64', 'FR'),
(26943, '64300', 'Arance', '64', 'FR'),
(26944, '64270', 'Arancou', '64', 'FR'),
(26945, '64190', 'Araujuzon', '64', 'FR'),
(26946, '64190', 'Araux', '64', 'FR'),
(26947, '64120', 'Arberats Sill�gue', '64', 'FR'),
(26948, '64210', 'Arbonne', '64', 'FR'),
(26949, '64120', 'Arbouet Sussaute', '64', 'FR'),
(26950, '64230', 'Arbus', '64', 'FR'),
(26951, '64200', 'Arcangues', '64', 'FR'),
(26952, '64400', 'Aren', '64', 'FR'),
(26953, '64570', 'Arette', '64', 'FR'),
(26954, '64320', 'Aressy', '64', 'FR'),
(26955, '64300', 'Argagnon', '64', 'FR'),
(26956, '64450', 'Argelos', '64', 'FR'),
(26957, '64410', 'Arget', '64', 'FR'),
(26958, '64120', 'Arhansus', '64', 'FR'),
(26959, '64640', 'Armendarits', '64', 'FR'),
(26960, '64220', 'Arn�guy', '64', 'FR'),
(26961, '64370', 'Arnos', '64', 'FR'),
(26962, '64120', 'Aroue Ithorots Olha�by', '64', 'FR'),
(26963, '64130', 'Arrast Larrebieu', '64', 'FR'),
(26964, '64120', 'Arraute Charritte', '64', 'FR'),
(26965, '64350', 'Arricau Bordes', '64', 'FR'),
(26966, '64420', 'Arrien', '64', 'FR'),
(26967, '64800', 'Arros de Nay', '64', 'FR'),
(26968, '64660', 'Arros d''Oloron', '64', 'FR'),
(26969, '64350', 'Arros�s', '64', 'FR'),
(26970, '64370', 'Arthez de B�arn', '64', 'FR'),
(26971, '64800', 'Arthez d''Asson', '64', 'FR'),
(26972, '64420', 'Artigueloutan', '64', 'FR'),
(26973, '64230', 'Artiguelouve', '64', 'FR'),
(26974, '64170', 'Artix', '64', 'FR'),
(26975, '64260', 'Arudy', '64', 'FR'),
(26976, '64410', 'Arzacq Arraziguet', '64', 'FR'),
(26977, '64660', 'Asasp Arros', '64', 'FR'),
(26978, '64310', 'Ascain', '64', 'FR'),
(26979, '64220', 'Ascarat', '64', 'FR'),
(26980, '64510', 'Assat', '64', 'FR'),
(26981, '64800', 'Asson', '64', 'FR'),
(26982, '64260', 'Aste B�on', '64', 'FR'),
(26983, '64450', 'Astis', '64', 'FR'),
(26984, '64390', 'Athos Aspis', '64', 'FR'),
(26985, '64290', 'Aubertin', '64', 'FR'),
(26986, '64230', 'Aubin', '64', 'FR'),
(26987, '64330', 'Aubous', '64', 'FR'),
(26988, '64190', 'Audaux', '64', 'FR'),
(26989, '64170', 'Aud�jos', '64', 'FR'),
(26990, '64450', 'Auga', '64', 'FR'),
(26991, '64450', 'Auriac', '64', 'FR'),
(26992, '64350', 'Aurions Idernes', '64', 'FR'),
(26993, '64230', 'Aussevielle', '64', 'FR'),
(26994, '64130', 'Aussurucq', '64', 'FR'),
(26995, '64270', 'Auterrive', '64', 'FR'),
(26996, '64390', 'Autevielle Saint Martin Bideren', '64', 'FR'),
(26997, '64330', 'Aydie', '64', 'FR'),
(26998, '64490', 'Aydius', '64', 'FR'),
(26999, '64240', 'Ayherre', '64', 'FR'),
(27000, '64300', 'Baigts de B�arn', '64', 'FR'),
(27001, '64300', 'Balansun', '64', 'FR'),
(27002, '64460', 'Baleix', '64', 'FR'),
(27003, '64330', 'Baliracq Maumusson', '64', 'FR'),
(27004, '64510', 'Baliros', '64', 'FR'),
(27005, '64430', 'Banca', '64', 'FR'),
(27006, '64130', 'Barcus', '64', 'FR'),
(27007, '64520', 'Bardos', '64', 'FR'),
(27008, '64160', 'Barinque', '64', 'FR'),
(27009, '64390', 'Barraute Camu', '64', 'FR'),
(27010, '64530', 'Barzun', '64', 'FR'),
(27011, '64350', 'Bassillon Vauz�', '64', 'FR'),
(27012, '64190', 'Bastan�s', '64', 'FR'),
(27013, '64200', 'Bassussarry', '64', 'FR'),
(27014, '64800', 'Baudreix', '64', 'FR'),
(27015, '64100', 'Bayonne', '64', 'FR'),
(27016, '64460', 'Bedeille', '64', 'FR'),
(27017, '64490', 'Bedous', '64', 'FR'),
(27018, '64120', 'B�guios', '64', 'FR'),
(27019, '64120', 'B�hasque Lapiste', '64', 'FR'),
(27020, '64220', 'B�horl�guy', '64', 'FR'),
(27021, '64270', 'Bellocq', '64', 'FR'),
(27022, '64800', 'B�n�jacq', '64', 'FR'),
(27023, '64440', 'B�ost', '64', 'FR'),
(27024, '64460', 'Bentayou S�r�e', '64', 'FR'),
(27025, '64300', 'Berenx', '64', 'FR'),
(27026, '64270', 'Bergouey Viellenave', '64', 'FR'),
(27027, '64160', 'Bernadets', '64', 'FR'),
(27028, '64130', 'Berrogain Laruns', '64', 'FR'),
(27029, '64260', 'Bescat', '64', 'FR'),
(27030, '64150', 'B�singrand', '64', 'FR'),
(27031, '64350', 'B�tracq', '64', 'FR'),
(27032, '64800', 'Beuste', '64', 'FR'),
(27033, '64120', 'Beyrie sur Joyeuse', '64', 'FR'),
(27034, '64230', 'Beyrie en B�arn', '64', 'FR'),
(27035, '64200', 'Biarritz', '64', 'FR'),
(27036, '64520', 'Bidache', '64', 'FR'),
(27037, '64780', 'Bidarray', '64', 'FR'),
(27038, '64210', 'Bidart', '64', 'FR'),
(27039, '64400', 'Bidos', '64', 'FR'),
(27040, '64260', 'Bielle', '64', 'FR'),
(27041, '64260', 'Bilh�res', '64', 'FR'),
(27042, '64140', 'Bill�re', '64', 'FR'),
(27043, '64700', 'Biriatou', '64', 'FR'),
(27044, '64300', 'Biron', '64', 'FR'),
(27045, '64320', 'Bizanos', '64', 'FR'),
(27046, '64510', 'Boeil Bezing', '64', 'FR'),
(27047, '64240', 'Bonloc', '64', 'FR'),
(27048, '64300', 'Bonnut', '64', 'FR'),
(27049, '64490', 'Borce', '64', 'FR'),
(27050, '64800', 'Bord�res', '64', 'FR'),
(27051, '64510', 'Bordes', '64', 'FR'),
(27052, '64290', 'Bosdarros', '64', 'FR'),
(27053, '64340', 'Boucau', '64', 'FR'),
(27054, '64330', 'Boueilh Boueilho Lasque', '64', 'FR'),
(27055, '64230', 'Bougarber', '64', 'FR'),
(27056, '64410', 'Bouillon', '64', 'FR'),
(27057, '64370', 'Boumourt', '64', 'FR'),
(27058, '64800', 'Bourdettes', '64', 'FR'),
(27059, '64450', 'Bournos', '64', 'FR'),
(27060, '64240', 'Briscous', '64', 'FR'),
(27061, '64800', 'Bruges Capbis Mifaget', '64', 'FR'),
(27062, '64190', 'Bugnein', '64', 'FR'),
(27063, '64120', 'Bunus', '64', 'FR'),
(27064, '64390', 'Burgaronne', '64', 'FR'),
(27065, '64160', 'Buros', '64', 'FR'),
(27066, '64330', 'Burosse Mendousse', '64', 'FR'),
(27067, '64220', 'Bussunarits Sarrasquette', '64', 'FR'),
(27068, '64220', 'Bustince Iriberry', '64', 'FR'),
(27069, '64680', 'Buziet', '64', 'FR'),
(27070, '64260', 'Buzy', '64', 'FR'),
(27071, '64410', 'Cabidos', '64', 'FR'),
(27072, '64330', 'Cadillon', '64', 'FR'),
(27073, '64250', 'Cambo les Bains', '64', 'FR'),
(27074, '64520', 'Came', '64', 'FR'),
(27075, '64470', 'Camou Cihigue', '64', 'FR'),
(27076, '64120', 'Camou Mixe Suhast', '64', 'FR'),
(27077, '64800', 'Capbis', '64', 'FR'),
(27078, '64360', 'Cardesse', '64', 'FR'),
(27079, '64220', 'Caro', '64', 'FR'),
(27080, '64160', 'Carr�re', '64', 'FR'),
(27081, '64270', 'Carresse Cassaber', '64', 'FR'),
(27082, '64270', 'Cassaber', '64', 'FR'),
(27083, '64270', 'Castagn�de', '64', 'FR'),
(27084, '64170', 'Casteide Cami', '64', 'FR'),
(27085, '64370', 'Casteide Candau', '64', 'FR'),
(27086, '64460', 'Casteide Doat', '64', 'FR'),
(27087, '64460', 'Cast�ra Loubix', '64', 'FR'),
(27088, '64260', 'Castet', '64', 'FR'),
(27089, '64190', 'Castetbon', '64', 'FR'),
(27090, '64300', 'Cast�tis', '64', 'FR'),
(27091, '64190', 'Castetnau Camblong', '64', 'FR'),
(27092, '64300', 'Castetner', '64', 'FR'),
(27093, '64330', 'Castetpugon', '64', 'FR'),
(27094, '64370', 'Castillon(d''Arthez de B�arn)', '64', 'FR'),
(27095, '64350', 'Castillon(lembeye)', '64', 'FR'),
(27096, '64230', 'Caubios Loos', '64', 'FR'),
(27097, '64170', 'Cescau', '64', 'FR'),
(27098, '64490', 'Cette Eygun', '64', 'FR'),
(27099, '64190', 'Charre', '64', 'FR'),
(27100, '64130', 'Charritte de Bas', '64', 'FR'),
(27101, '64130', 'Ch�raute', '64', 'FR'),
(27102, '64500', 'Ciboure', '64', 'FR'),
(27103, '64330', 'Claracq', '64', 'FR'),
(27104, '64800', 'Coarraze', '64', 'FR'),
(27105, '64330', 'Conchez de B�arn', '64', 'FR'),
(27106, '64350', 'Corb�re Ab�res', '64', 'FR'),
(27107, '64160', 'Cosl�da�  Lube Boast', '64', 'FR'),
(27108, '64410', 'Coublucq', '64', 'FR'),
(27109, '64350', 'Crouseilles', '64', 'FR'),
(27110, '64360', 'Cuqueron', '64', 'FR'),
(27111, '64230', 'Denguin', '64', 'FR'),
(27112, '64330', 'Diusse', '64', 'FR'),
(27113, '64370', 'Doazon', '64', 'FR'),
(27114, '64190', 'Dognen', '64', 'FR'),
(27115, '64120', 'Domezain Berraute', '64', 'FR'),
(27116, '64450', 'Doumy', '64', 'FR'),
(27117, '64440', 'Eaux Bonnes', '64', 'FR'),
(27118, '64270', 'Escos', '64', 'FR'),
(27119, '64490', 'Escot', '64', 'FR'),
(27120, '64870', 'Escou', '64', 'FR'),
(27121, '64160', 'Escoub�s', '64', 'FR'),
(27122, '64870', 'Escout', '64', 'FR'),
(27123, '64350', 'Escur�s', '64', 'FR'),
(27124, '64420', 'Eslourenties Daban', '64', 'FR'),
(27125, '64160', 'Esp�ch�de', '64', 'FR'),
(27126, '64250', 'Espelette', '64', 'FR'),
(27127, '64130', 'Esp�s Undurein', '64', 'FR'),
(27128, '64390', 'Espiute', '64', 'FR'),
(27129, '64420', 'Espoey', '64', 'FR'),
(27130, '64400', 'Esquiule', '64', 'FR'),
(27131, '64220', 'Esteren�uby', '64', 'FR'),
(27132, '64290', 'Estialescq', '64', 'FR'),
(27133, '64400', 'Estos', '64', 'FR'),
(27134, '64120', 'Etcharry', '64', 'FR'),
(27135, '64470', 'Etchebar', '64', 'FR'),
(27136, '64490', 'Etsaut', '64', 'FR'),
(27137, '64400', 'Eysus', '64', 'FR'),
(27138, '64570', 'F�as', '64', 'FR'),
(27139, '64410', 'Fichous Riumayou', '64', 'FR'),
(27140, '64160', 'Gabaston', '64', 'FR'),
(27141, '64120', 'Gabat', '64', 'FR'),
(27142, '64220', 'Gamarthe', '64', 'FR'),
(27143, '64290', 'Gan', '64', 'FR'),
(27144, '64130', 'Garindein', '64', 'FR'),
(27145, '64450', 'Garl�de Mondebat', '64', 'FR'),
(27146, '64330', 'Garlin', '64', 'FR'),
(27147, '64410', 'Garos', '64', 'FR'),
(27148, '64120', 'Garris', '64', 'FR'),
(27149, '64350', 'Gayon', '64', 'FR'),
(27150, '64110', 'G�los', '64', 'FR'),
(27151, '64530', 'Ger', '64', 'FR'),
(27152, '64160', 'Gerderest', '64', 'FR'),
(27153, '64260', 'G�re Belesten', '64', 'FR'),
(27154, '64400', 'G�ronce', '64', 'FR'),
(27155, '64190', 'Gestas', '64', 'FR'),
(27156, '64370', 'G�us d''Arzacq', '64', 'FR'),
(27157, '64400', 'G�us d''Oloron', '64', 'FR'),
(27158, '64400', 'Go�s', '64', 'FR'),
(27159, '64420', 'Gomer', '64', 'FR'),
(27160, '64130', 'Gotein Libarrenx', '64', 'FR'),
(27161, '64300', 'Gouze', '64', 'FR'),
(27162, '64210', 'Gu�thary', '64', 'FR'),
(27163, '64520', 'Guiche', '64', 'FR'),
(27164, '64390', 'Guinarthe Parenties', '64', 'FR'),
(27165, '64400', 'Gurmen�on', '64', 'FR'),
(27166, '64190', 'Gurs', '64', 'FR'),
(27167, '64370', 'Hagetaubin', '64', 'FR'),
(27168, '64480', 'Halsou', '64', 'FR'),
(27169, '64240', 'Hasparren', '64', 'FR'),
(27170, '64800', 'Haut de Bosdarros', '64', 'FR'),
(27171, '64470', 'Haux', '64', 'FR'),
(27172, '64640', 'H�lette', '64', 'FR'),
(27173, '64700', 'Hendaye', '64', 'FR'),
(27174, '64680', 'Herr�re', '64', 'FR'),
(27175, '64160', 'Higu�res Souye', '64', 'FR'),
(27176, '64270', 'L''H�pital d''Orion', '64', 'FR'),
(27177, '64130', 'L''H�pital Saint Blaise', '64', 'FR'),
(27178, '64120', 'Hosta', '64', 'FR'),
(27179, '64420', 'Hours', '64', 'FR'),
(27180, '64120', 'Ibarrolle', '64', 'FR'),
(27181, '64130', 'Idaux Mendy', '64', 'FR'),
(27182, '64320', 'Idron Ousse Sendets', '64', 'FR'),
(27183, '64800', 'Igon', '64', 'FR'),
(27184, '64640', 'Iholdy', '64', 'FR'),
(27185, '64120', 'Ilharre', '64', 'FR'),
(27186, '64780', 'Irissarry', '64', 'FR'),
(27187, '64220', 'Iroul�guy', '64', 'FR'),
(27188, '64220', 'Ispoure', '64', 'FR'),
(27189, '64570', 'Issor', '64', 'FR'),
(27190, '64240', 'Isturits', '64', 'FR'),
(27191, '64120', 'Ithorots Olha�by', '64', 'FR'),
(27192, '64250', 'Itxassou', '64', 'FR'),
(27193, '64260', 'Izeste', '64', 'FR'),
(27194, '64190', 'Jasses', '64', 'FR'),
(27195, '64480', 'Jatxou', '64', 'FR'),
(27196, '64220', 'Jaxu', '64', 'FR'),
(27197, '64110', 'Juran�on', '64', 'FR'),
(27198, '64120', 'Juxue', '64', 'FR'),
(27199, '64300', 'Laa Mondrans', '64', 'FR'),
(27200, '64390', 'Laas', '64', 'FR'),
(27201, '64170', 'Labastide C�z�racq', '64', 'FR'),
(27202, '64240', 'Bastide Clairence', '64', 'FR'),
(27203, '64170', 'Labastide Monrejeau', '64', 'FR'),
(27204, '64270', 'Labastide Villefranche', '64', 'FR'),
(27205, '64530', 'Labatmale', '64', 'FR'),
(27206, '64460', 'Labatut', '64', 'FR'),
(27207, '64120', 'Labets Biscay', '64', 'FR'),
(27208, '64300', 'Labeyrie', '64', 'FR'),
(27209, '64300', 'Lacad�e', '64', 'FR'),
(27210, '64220', 'Lacarre', '64', 'FR'),
(27211, '64470', 'Lacarry Arhan Charritte de Haut', '64', 'FR'),
(27212, '64360', 'Lacommande', '64', 'FR'),
(27213, '64170', 'Lacq', '64', 'FR'),
(27214, '64150', 'Lagor', '64', 'FR'),
(27215, '64800', 'Lagos', '64', 'FR'),
(27216, '64470', 'Laguinge Restoue', '64', 'FR'),
(27217, '64990', 'Lahonce', '64', 'FR'),
(27218, '64270', 'Lahontan', '64', 'FR'),
(27219, '64150', 'Lahourcade', '64', 'FR'),
(27220, '64350', 'Lalongue', '64', 'FR'),
(27221, '64450', 'Lalonquette', '64', 'FR'),
(27222, '64460', 'Lamayou', '64', 'FR'),
(27223, '64570', 'Lanne en Bar�tous', '64', 'FR'),
(27224, '64350', 'Lannecaube', '64', 'FR'),
(27225, '64300', 'Lanneplaa', '64', 'FR'),
(27226, '64640', 'Lantabat', '64', 'FR'),
(27227, '64120', 'Larceveau Arros Cibits', '64', 'FR'),
(27228, '64110', 'Laroin', '64', 'FR'),
(27229, '64560', 'Larrau', '64', 'FR'),
(27230, '64480', 'Larressore', '64', 'FR'),
(27231, '64410', 'Larreule', '64', 'FR'),
(27232, '64120', 'Larribar Sorhapuru', '64', 'FR'),
(27233, '64440', 'Laruns', '64', 'FR'),
(27234, '64450', 'Lasclaveries', '64', 'FR'),
(27235, '64220', 'Lasse', '64', 'FR'),
(27236, '64350', 'Lasserre', '64', 'FR'),
(27237, '64290', 'Lasseube', '64', 'FR'),
(27238, '64290', 'Lasseubetat', '64', 'FR'),
(27239, '64190', 'Lay Lamidou', '64', 'FR'),
(27240, '64220', 'Lecumberry', '64', 'FR'),
(27241, '64400', 'Ledeuix', '64', 'FR'),
(27242, '64320', 'L�e', '64', 'FR'),
(27243, '64490', 'L�es Athas', '64', 'FR'),
(27244, '64350', 'Lembeye', '64', 'FR'),
(27245, '64450', 'L�me', '64', 'FR'),
(27246, '64300', 'Lendresse', '64', 'FR'),
(27247, '64270', 'L�ren', '64', 'FR'),
(27248, '64230', 'Lescar', '64', 'FR'),
(27249, '64490', 'Lescun', '64', 'FR'),
(27250, '64350', 'Lespielle', '64', 'FR'),
(27251, '64160', 'Lespourcy', '64', 'FR'),
(27252, '64800', 'Lestelle B�tharram', '64', 'FR'),
(27253, '64470', 'Lichans Sunhar', '64', 'FR'),
(27254, '64130', 'Lichos', '64', 'FR'),
(27255, '64560', 'Licq Ath�rey', '64', 'FR'),
(27256, '64420', 'Limendous', '64', 'FR'),
(27257, '64530', 'Livron', '64', 'FR'),
(27258, '64120', 'Lohitzun Oyhercq', '64', 'FR'),
(27259, '64160', 'Lombia', '64', 'FR'),
(27260, '64410', 'Lon�on', '64', 'FR'),
(27261, '64140', 'Lons', '64', 'FR'),
(27262, '64300', 'Loubieng', '64', 'FR'),
(27263, '64250', 'Louhossoa', '64', 'FR'),
(27264, '64570', 'Lourdios Ich�re', '64', 'FR'),
(27265, '64420', 'Lourenties', '64', 'FR'),
(27266, '64260', 'Louvie Juzon', '64', 'FR'),
(27267, '64440', 'Louvie Soubiron', '64', 'FR'),
(27268, '64410', 'Louvigny', '64', 'FR'),
(27269, '64350', 'Luc Armau', '64', 'FR'),
(27270, '64350', 'Lucarr�', '64', 'FR'),
(27271, '64420', 'Lucgarier', '64', 'FR'),
(27272, '64360', 'Lucq de B�arn', '64', 'FR'),
(27273, '64660', 'Lurbe Saint Christau', '64', 'FR'),
(27274, '64160', 'Lussagnet Lusson', '64', 'FR'),
(27275, '64120', 'Luxe Sumberraute', '64', 'FR'),
(27276, '64260', 'Lys', '64', 'FR'),
(27277, '64240', 'Macaye', '64', 'FR'),
(27278, '64410', 'Malaussanne', '64', 'FR'),
(27279, '64330', 'Mascaraas Haron', '64', 'FR'),
(27280, '64300', 'Maslacq', '64', 'FR'),
(27281, '64120', 'Masparraute', '64', 'FR'),
(27282, '64350', 'Maspie Lalonqu�re Juillacq', '64', 'FR'),
(27283, '64160', 'Maucor', '64', 'FR'),
(27284, '64130', 'Maul�on Licharre', '64', 'FR'),
(27285, '64460', 'Maure', '64', 'FR'),
(27286, '64110', 'Maz�res Lezons', '64', 'FR'),
(27287, '64230', 'Mazerolles', '64', 'FR'),
(27288, '64120', 'M�harin', '64', 'FR'),
(27289, '64510', 'Meillon', '64', 'FR'),
(27290, '64240', 'Mendionde', '64', 'FR'),
(27291, '64130', 'Menditte', '64', 'FR'),
(27292, '64220', 'Mendive', '64', 'FR'),
(27293, '64410', 'M�racq', '64', 'FR'),
(27294, '64190', 'M�ritein', '64', 'FR'),
(27295, '64370', 'Mespl�de', '64', 'FR'),
(27296, '64410', 'Mialos', '64', 'FR'),
(27297, '64800', 'Mifaget', '64', 'FR'),
(27298, '64450', 'Miossens Lanusse', '64', 'FR'),
(27299, '64800', 'Mirepeix', '64', 'FR'),
(27300, '64230', 'Momas', '64', 'FR'),
(27301, '64350', 'Momy', '64', 'FR'),
(27302, '64160', 'Monassut Audiracq', '64', 'FR'),
(27303, '64350', 'Moncaup', '64', 'FR'),
(27304, '64130', 'Moncayolle Larrory Mendibieu', '64', 'FR'),
(27305, '64330', 'Moncla', '64', 'FR'),
(27306, '64360', 'Monein', '64', 'FR'),
(27307, '64350', 'Monp�zat', '64', 'FR'),
(27308, '64460', 'Mons�gur', '64', 'FR'),
(27309, '64300', 'Mont', '64', 'FR'),
(27310, '64410', 'Montagut', '64', 'FR'),
(27311, '64460', 'Montaner', '64', 'FR'),
(27312, '64121', 'Montardon', '64', 'FR'),
(27313, '64800', 'Montaut', '64', 'FR'),
(27314, '64330', 'Mont Disse', '64', 'FR'),
(27315, '64300', 'Montestrucq', '64', 'FR'),
(27316, '64190', 'Montfort', '64', 'FR'),
(27317, '64470', 'Montory', '64', 'FR'),
(27318, '64160', 'Morlaas', '64', 'FR'),
(27319, '64370', 'Morlanne', '64', 'FR'),
(27320, '64990', 'Mouguerre', '64', 'FR'),
(27321, '64330', 'Mouhous', '64', 'FR'),
(27322, '64400', 'Moumour', '64', 'FR'),
(27323, '64150', 'Mourenx', '64', 'FR'),
(27324, '64130', 'Musculdy', '64', 'FR'),
(27325, '64190', 'Nabas', '64', 'FR'),
(27326, '64510', 'Narcastet', '64', 'FR'),
(27327, '64190', 'Narp', '64', 'FR'),
(27328, '64450', 'Navailles Angos', '64', 'FR'),
(27329, '64190', 'Navarrenx', '64', 'FR'),
(27330, '64800', 'Nay Bourdettes', '64', 'FR'),
(27331, '64150', 'Nogu�res', '64', 'FR'),
(27332, '64420', 'Nousty', '64', 'FR'),
(27333, '64190', 'Ogenne Camptort', '64', 'FR'),
(27334, '64680', 'Ogeu les Bains', '64', 'FR'),
(27335, '64400', 'Oloron Sainte Marie', '64', 'FR'),
(27336, '64390', 'Oraas', '64', 'FR'),
(27337, '64130', 'Ordiarp', '64', 'FR'),
(27338, '64120', 'Or�gue', '64', 'FR'),
(27339, '64400', 'Orin', '64', 'FR'),
(27340, '64390', 'Orion', '64', 'FR'),
(27341, '64390', 'Orriule', '64', 'FR'),
(27342, '64120', 'Orsanco', '64', 'FR'),
(27343, '64300', 'Orthez', '64', 'FR'),
(27344, '64150', 'Os Marsillon', '64', 'FR'),
(27345, '64470', 'Ossas Suhare', '64', 'FR'),
(27346, '64490', 'Osse en Aspe', '64', 'FR'),
(27347, '64190', 'Ossenx', '64', 'FR'),
(27348, '64390', 'Osserain Rivareyte', '64', 'FR'),
(27349, '64780', 'Oss�s', '64', 'FR'),
(27350, '64120', 'Ostabat Asme', '64', 'FR'),
(27351, '64160', 'Ouillon', '64', 'FR'),
(27352, '64320', 'Ousse', '64', 'FR'),
(27353, '64300', 'Ozenx Montestrucq', '64', 'FR'),
(27354, '64120', 'Pagolle', '64', 'FR'),
(27355, '64360', 'Parbayse', '64', 'FR'),
(27356, '64150', 'Pardies', '64', 'FR'),
(27357, '64800', 'Pardies Pi�tat', '64', 'FR'),
(27358, '64000', 'Pau', '64', 'FR'),
(27359, '64350', 'Peyrelongue Abos', '64', 'FR'),
(27360, '64410', 'Piets Plasence Moustrou', '64', 'FR'),
(27361, '64230', 'Poey de Lescar', '64', 'FR'),
(27362, '64400', 'Poey d''Oloron', '64', 'FR'),
(27363, '64370', 'Pomps', '64', 'FR'),
(27364, '64460', 'Ponson Debat Pouts', '64', 'FR'),
(27365, '64460', 'Ponson Dessus', '64', 'FR'),
(27366, '64530', 'Pontacq', '64', 'FR'),
(27367, '64460', 'Pontiacq Viellepinte', '64', 'FR'),
(27368, '64330', 'Portet', '64', 'FR'),
(27369, '64410', 'Pouliacq', '64', 'FR'),
(27370, '64410', 'Poursiugues Boucoue', '64', 'FR'),
(27371, '64190', 'Pr�chacq Josbaig', '64', 'FR'),
(27372, '64190', 'Pr�chacq Navarrenx', '64', 'FR'),
(27373, '64400', 'Pr�cilhon', '64', 'FR'),
(27374, '64270', 'Puyo�', '64', 'FR'),
(27375, '64270', 'Ramous', '64', 'FR'),
(27376, '64260', 'R�b�nacq', '64', 'FR'),
(27377, '64330', 'Ribarrouy', '64', 'FR'),
(27378, '64160', 'Riupeyrous', '64', 'FR'),
(27379, '64190', 'Rivehaute', '64', 'FR'),
(27380, '64110', 'Rontignon', '64', 'FR'),
(27381, '64130', 'Roquiague', '64', 'FR'),
(27382, '64800', 'Saint Abit', '64', 'FR'),
(27383, '64160', 'Saint Armou', '64', 'FR'),
(27384, '64300', 'Saint Bo�s', '64', 'FR'),
(27385, '64160', 'Saint Castin', '64', 'FR'),
(27386, '64260', 'Sainte Colome', '64', 'FR'),
(27387, '64270', 'Saint Dos', '64', 'FR'),
(27388, '64560', 'Sainte Engr�ce', '64', 'FR'),
(27389, '64640', 'Saint Esteben', '64', 'FR'),
(27390, '64430', 'Saint �tienne de Ba�gorry', '64', 'FR'),
(27391, '64110', 'Saint Faust', '64', 'FR'),
(27392, '64300', 'Saint Girons', '64', 'FR'),
(27393, '64390', 'Saint Gladie Arrive Munein', '64', 'FR'),
(27394, '64400', 'Saint Goin', '64', 'FR'),
(27395, '64160', 'Saint Jammes', '64', 'FR'),
(27396, '64500', 'Saint Jean de Luz', '64', 'FR'),
(27397, '64220', 'Saint Jean le Vieux', '64', 'FR'),
(27398, '64220', 'Saint Jean Pied de Port', '64', 'FR'),
(27399, '64330', 'Saint Jean Poudge', '64', 'FR'),
(27400, '64120', 'Saint Just Ibarre', '64', 'FR'),
(27401, '64160', 'Saint Laurent Bretagne', '64', 'FR'),
(27402, '64640', 'Saint Martin d''Arberoue', '64', 'FR'),
(27403, '64780', 'Saint Martin d''Arrossa', '64', 'FR'),
(27404, '64370', 'Saint M�dard', '64', 'FR'),
(27405, '64220', 'Saint Michel', '64', 'FR'),
(27406, '64120', 'Saint Palais', '64', 'FR'),
(27407, '64270', 'Saint P� de L�ren', '64', 'FR'),
(27408, '64310', 'Saint P�e sur Nivelle', '64', 'FR'),
(27409, '64990', 'Saint Pierre d''Irube', '64', 'FR'),
(27410, '64300', 'Sainte Suzanne', '64', 'FR'),
(27411, '64800', 'Saint Vincent', '64', 'FR'),
(27412, '64270', 'Salies de B�arn', '64', 'FR'),
(27413, '64300', 'Salles Mongiscard', '64', 'FR'),
(27414, '64300', 'Sallespisse', '64', 'FR'),
(27415, '64520', 'Sames', '64', 'FR'),
(27416, '64350', 'Samsons Lion', '64', 'FR'),
(27417, '64310', 'Sare', '64', 'FR'),
(27418, '64300', 'Sarpourenx', '64', 'FR'),
(27419, '64490', 'Sarrance', '64', 'FR'),
(27420, '64420', 'Saubole', '64', 'FR'),
(27421, '64400', 'Sauc�de', '64', 'FR'),
(27422, '64470', 'Sauguis Saint �tienne', '64', 'FR'),
(27423, '64300', 'Sault de Navailles', '64', 'FR'),
(27424, '64230', 'Sauvagnon', '64', 'FR'),
(27425, '64150', 'Sauvelade', '64', 'FR'),
(27426, '64390', 'Sauveterre de B�arn', '64', 'FR'),
(27427, '64410', 'S�by', '64', 'FR'),
(27428, '64160', 'Sedze Maubecq', '64', 'FR'),
(27429, '64160', 'Sedz�re', '64', 'FR'),
(27430, '64350', 'S�m�acq Blachon', '64', 'FR'),
(27431, '64121', 'Serres Castet', '64', 'FR'),
(27432, '64160', 'Serres Morlaas', '64', 'FR'),
(27433, '64170', 'Serres Sainte Marie', '64', 'FR'),
(27434, '64260', 'S�vignacq Meyracq', '64', 'FR'),
(27435, '64160', 'S�vignacq', '64', 'FR'),
(27436, '64350', 'Simacourbe', '64', 'FR'),
(27437, '64230', 'Siros', '64', 'FR'),
(27438, '64420', 'Soumoulou', '64', 'FR'),
(27439, '64250', 'Soura�de', '64', 'FR'),
(27440, '64780', 'Suhescun', '64', 'FR'),
(27441, '64190', 'Sus', '64', 'FR'),
(27442, '64190', 'Susmiou', '64', 'FR'),
(27443, '64190', 'Tabaille Usquain', '64', 'FR'),
(27444, '64330', 'Tadousse Ussau', '64', 'FR'),
(27445, '64470', 'Tardets Sorholus', '64', 'FR'),
(27446, '64330', 'Taron Sadirac Viellenave', '64', 'FR'),
(27447, '64360', 'Tarsacq', '64', 'FR'),
(27448, '64450', 'Th�ze', '64', 'FR'),
(27449, '64470', 'Trois Villes', '64', 'FR'),
(27450, '64220', 'Uhart Cize', '64', 'FR'),
(27451, '64120', 'Uhart Mixe', '64', 'FR'),
(27452, '64990', 'Urcuit', '64', 'FR'),
(27453, '64370', 'Urd�s', '64', 'FR'),
(27454, '64490', 'Urdos', '64', 'FR'),
(27455, '64430', 'Urepel', '64', 'FR'),
(27456, '64160', 'Urost', '64', 'FR'),
(27457, '64122', 'Urrugne', '64', 'FR'),
(27458, '64240', 'Urt', '64', 'FR'),
(27459, '64480', 'Ustaritz', '64', 'FR'),
(27460, '64370', 'Uzan', '64', 'FR'),
(27461, '64230', 'Uzein', '64', 'FR'),
(27462, '64110', 'Uzos', '64', 'FR'),
(27463, '64400', 'Verdets', '64', 'FR'),
(27464, '64330', 'Vialer', '64', 'FR'),
(27465, '64270', 'Viellenave sur Bidouze', '64', 'FR'),
(27466, '64170', 'Viellenave d''Arthez', '64', 'FR'),
(27467, '64190', 'Viellenave de Navarrenx', '64', 'FR'),
(27468, '64150', 'Vielles�gure', '64', 'FR'),
(27469, '64410', 'Vignes', '64', 'FR'),
(27470, '64990', 'Villefranque', '64', 'FR'),
(27471, '64130', 'Viodos Abense de Bas', '64', 'FR'),
(27472, '64450', 'Viven', '64', 'FR'),
(27473, '64440', 'Gabas', '64', 'FR'),
(27474, '64700', 'B�hobie', '64', 'FR'),
(27475, '64440', 'Gourette', '64', 'FR'),
(27476, '65260', 'Adast', '65', 'FR'),
(27477, '65100', 'Ad�', '65', 'FR'),
(27478, '65240', 'Adervielle Pouchergues', '65', 'FR'),
(27479, '65400', 'Agos Vidalos', '65', 'FR'),
(27480, '65360', 'Allier', '65', 'FR'),
(27481, '65440', 'Ancizan', '65', 'FR'),
(27482, '65390', 'Andrest', '65', 'FR'),
(27483, '65510', 'An�ran Camors', '65', 'FR'),
(27484, '65150', 'An�res', '65', 'FR'),
(27485, '65690', 'Angos', '65', 'FR'),
(27486, '65100', 'Les Angles', '65', 'FR'),
(27487, '65370', 'Anla', '65', 'FR'),
(27488, '65140', 'Ansost', '65', 'FR'),
(27489, '65370', 'Antichan', '65', 'FR'),
(27490, '65220', 'Antin', '65', 'FR'),
(27491, '65200', 'Antist', '65', 'FR'),
(27492, '65170', 'Aragnouet', '65', 'FR'),
(27493, '65560', 'Arb�ost', '65', 'FR'),
(27494, '65360', 'Arcizac Adour', '65', 'FR'),
(27495, '65100', 'Arcizac ez Angles', '65', 'FR'),
(27496, '65400', 'Arcizans Avant', '65', 'FR'),
(27497, '65400', 'Arcizans Dessus', '65', 'FR'),
(27498, '65240', 'Ardengost', '65', 'FR'),
(27499, '65200', 'Argel�s', '65', 'FR'),
(27500, '65400', 'Argel�s Gazost', '65', 'FR'),
(27501, '65230', 'Aries Esp�nan', '65', 'FR'),
(27502, '65510', 'Armenteule', '65', 'FR'),
(27503, '65670', 'Arn�', '65', 'FR'),
(27504, '65400', 'Arras en Lavedan', '65', 'FR'),
(27505, '65240', 'Arreau', '65', 'FR'),
(27506, '65400', 'Arrens Marsous', '65', 'FR'),
(27507, '65100', 'Arrodets ez Angles', '65', 'FR'),
(27508, '65130', 'Arrodets', '65', 'FR'),
(27509, '65500', 'Artagnan', '65', 'FR'),
(27510, '65400', 'Artalens Souin', '65', 'FR'),
(27511, '65130', 'Artiguemy', '65', 'FR'),
(27512, '65100', 'Artigues', '65', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(27513, '65240', 'Aspin Aure', '65', 'FR'),
(27514, '65100', 'Aspin en Lavedan', '65', 'FR'),
(27515, '65130', 'Asque', '65', 'FR'),
(27516, '65200', 'Ast�', '65', 'FR'),
(27517, '65200', 'Astugue', '65', 'FR'),
(27518, '65350', 'Aubar�de', '65', 'FR'),
(27519, '65400', 'Aucun', '65', 'FR'),
(27520, '65440', 'Aulon', '65', 'FR'),
(27521, '65800', 'Aureilhan', '65', 'FR'),
(27522, '65390', 'Aurensan', '65', 'FR'),
(27523, '65700', 'Auri�bat', '65', 'FR'),
(27524, '65240', 'Avajan', '65', 'FR'),
(27525, '65660', 'Aventignan', '65', 'FR'),
(27526, '65380', 'Averan', '65', 'FR'),
(27527, '65370', 'Aveux', '65', 'FR'),
(27528, '65130', 'Avezac Prat Lahitte', '65', 'FR'),
(27529, '65400', 'Ayros Arbouix', '65', 'FR'),
(27530, '65400', 'Ayzac Ost', '65', 'FR'),
(27531, '65380', 'Azereix', '65', 'FR'),
(27532, '65170', 'Azet', '65', 'FR'),
(27533, '65200', 'Bagn�res de Bigorre', '65', 'FR'),
(27534, '65200', 'Banios', '65', 'FR'),
(27535, '65140', 'Barbachen', '65', 'FR'),
(27536, '65690', 'Barbazan Debat', '65', 'FR'),
(27537, '65360', 'Barbazan Dessus', '65', 'FR'),
(27538, '65240', 'areilles', '65', 'FR'),
(27539, '65100', 'Barlest', '65', 'FR'),
(27540, '65240', 'Barrancoueu', '65', 'FR'),
(27541, '65380', 'Barry', '65', 'FR'),
(27542, '65230', 'Barthe', '65', 'FR'),
(27543, '65250', 'La Barthe de Neste', '65', 'FR'),
(27544, '65100', 'Bartr�s', '65', 'FR'),
(27545, '65130', 'Bats�re', '65', 'FR'),
(27546, '65460', 'Bazet', '65', 'FR'),
(27547, '65140', 'Bazillac', '65', 'FR'),
(27548, '65670', 'Bazordan', '65', 'FR'),
(27549, '65170', 'Bazus Aure', '65', 'FR'),
(27550, '65250', 'Bazus Neste', '65', 'FR'),
(27551, '65400', 'Beaucens', '65', 'FR'),
(27552, '65710', 'Beaud�an', '65', 'FR'),
(27553, '65190', 'B�gole', '65', 'FR'),
(27554, '65380', 'B�nac', '65', 'FR'),
(27555, '65130', 'Benqu�', '65', 'FR'),
(27556, '65100', 'Berb�rust Lias', '65', 'FR'),
(27557, '65360', 'Bernac Debat', '65', 'FR'),
(27558, '65360', 'Bernac Dessus', '65', 'FR'),
(27559, '65220', 'Bernadets Debat', '65', 'FR'),
(27560, '65190', 'Bernadets Dessus', '65', 'FR'),
(27561, '65370', 'Bertren', '65', 'FR'),
(27562, '65230', 'Betb�ze', '65', 'FR'),
(27563, '65120', 'Betpouey', '65', 'FR'),
(27564, '65230', 'Betpouy', '65', 'FR'),
(27565, '65130', 'Bettes', '65', 'FR'),
(27566, '65410', 'Beyr�de Jumet', '65', 'FR'),
(27567, '65150', 'Bize', '65', 'FR'),
(27568, '65150', 'Bizous', '65', 'FR'),
(27569, '65220', 'Bonnefont', '65', 'FR'),
(27570, '65130', 'Bonnemazon', '65', 'FR'),
(27571, '65330', 'Bonrepos', '65', 'FR'),
(27572, '65400', 'B�o Silhen', '65', 'FR'),
(27573, '65590', 'Bord�res Louron', '65', 'FR'),
(27574, '65320', 'Bord�res sur l''�chez', '65', 'FR'),
(27575, '65190', 'Bordes', '65', 'FR'),
(27576, '65140', 'Bouilh Devant', '65', 'FR'),
(27577, '65350', 'Bouilh Pereuilh', '65', 'FR'),
(27578, '65350', 'Boulin', '65', 'FR'),
(27579, '65130', 'Bourg de Bigorre', '65', 'FR'),
(27580, '65170', 'Bourisp', '65', 'FR'),
(27581, '65100', 'Bourr�ac', '65', 'FR'),
(27582, '65460', 'Bours', '65', 'FR'),
(27583, '65370', 'Bramevaque', '65', 'FR'),
(27584, '65220', 'Bugard', '65', 'FR'),
(27585, '65130', 'Bulan', '65', 'FR'),
(27586, '65400', 'Bun', '65', 'FR'),
(27587, '65190', 'Burg', '65', 'FR'),
(27588, '65140', 'Buzon', '65', 'FR'),
(27589, '65350', 'Cabanac', '65', 'FR'),
(27590, '65240', 'Cad�ac', '65', 'FR'),
(27591, '65170', 'Cadeilhan Trach�re', '65', 'FR'),
(27592, '65190', 'Caharet', '65', 'FR'),
(27593, '65500', 'Caixon', '65', 'FR'),
(27594, '65190', 'Calavant�', '65', 'FR'),
(27595, '65500', 'Camal�s', '65', 'FR'),
(27596, '65410', 'Camous', '65', 'FR'),
(27597, '65710', 'Campan', '65', 'FR'),
(27598, '65170', 'Camparan', '65', 'FR'),
(27599, '65300', 'Campistrous', '65', 'FR'),
(27600, '65230', 'Campuzan', '65', 'FR'),
(27601, '65130', 'Capvern', '65', 'FR'),
(27602, '65330', 'Castelbajac', '65', 'FR'),
(27603, '65230', 'Castelnau Magnoac', '65', 'FR'),
(27604, '65700', 'Castelnau Rivi�re Basse', '65', 'FR'),
(27605, '65350', 'Castelvieilh', '65', 'FR'),
(27606, '65190', 'Castera Lanusse', '65', 'FR'),
(27607, '65350', 'Castera Lou', '65', 'FR'),
(27608, '65230', 'Casterets', '65', 'FR'),
(27609, '65130', 'Castillon', '65', 'FR'),
(27610, '65230', 'Caubous', '65', 'FR'),
(27611, '65700', 'Caussade Rivi�re', '65', 'FR'),
(27612, '65110', 'Cauterets', '65', 'FR'),
(27613, '65370', 'Cazarilh', '65', 'FR'),
(27614, '65590', 'Cazaux Debat', '65', 'FR'),
(27615, '65510', 'Cazaux Fr�chet An�ran Camors', '65', 'FR'),
(27616, '65350', 'Chelle Debat', '65', 'FR'),
(27617, '65130', 'Chelle Spou', '65', 'FR'),
(27618, '65100', 'Cheust', '65', 'FR'),
(27619, '65120', 'Ch�ze', '65', 'FR'),
(27620, '65800', 'Chis', '65', 'FR'),
(27621, '65200', 'Cieutat', '65', 'FR'),
(27622, '65230', 'Cizos', '65', 'FR'),
(27623, '65190', 'Clarac', '65', 'FR'),
(27624, '65300', 'Clarens', '65', 'FR'),
(27625, '65350', 'Collongues', '65', 'FR'),
(27626, '65350', 'Coussan', '65', 'FR'),
(27627, '65370', 'Cr�chets', '65', 'FR'),
(27628, '65230', 'Dev�ze', '65', 'FR'),
(27629, '65350', 'Dours', '65', 'FR'),
(27630, '65170', 'Ens', '65', 'FR'),
(27631, '65370', 'Esbareich', '65', 'FR'),
(27632, '65250', 'Escala', '65', 'FR'),
(27633, '65500', 'Escaunets', '65', 'FR'),
(27634, '65140', 'Escondeaux', '65', 'FR'),
(27635, '65130', 'Esconnets', '65', 'FR'),
(27636, '65130', 'Escots', '65', 'FR'),
(27637, '65100', 'Escoub�s Pouts', '65', 'FR'),
(27638, '65130', 'Esparros', '65', 'FR'),
(27639, '65130', 'Esp�che', '65', 'FR'),
(27640, '65130', 'Espieilh', '65', 'FR'),
(27641, '65120', 'Esqui�ze S�re', '65', 'FR'),
(27642, '65400', 'Estaing', '65', 'FR'),
(27643, '65220', 'Estampures', '65', 'FR'),
(27644, '65510', 'Estarvielle', '65', 'FR'),
(27645, '65170', 'Estensan', '65', 'FR'),
(27646, '65120', 'Esterre', '65', 'FR'),
(27647, '65700', 'Estirac', '65', 'FR'),
(27648, '65370', 'Ferr�re', '65', 'FR'),
(27649, '65560', 'Ferri�res', '65', 'FR'),
(27650, '65220', 'Fontrailles', '65', 'FR'),
(27651, '65220', 'Fr�ch�de', '65', 'FR'),
(27652, '65130', 'Fr�chendets', '65', 'FR'),
(27653, '65240', 'Fr�chet Aure', '65', 'FR'),
(27654, '65190', 'Fr�chou Fr�chet', '65', 'FR'),
(27655, '65400', 'Gaillagos', '65', 'FR'),
(27656, '65330', 'Galan', '65', 'FR'),
(27657, '65330', 'Galez', '65', 'FR'),
(27658, '65320', 'Gard�res', '65', 'FR'),
(27659, '65370', 'Gaudent', '65', 'FR'),
(27660, '65670', 'Gaussan', '65', 'FR'),
(27661, '65120', 'Gavarnie', '65', 'FR'),
(27662, '65320', 'Gayan', '65', 'FR'),
(27663, '65250', 'Gazave', '65', 'FR'),
(27664, '65100', 'Gazost', '65', 'FR'),
(27665, '65120', 'G�dre', '65', 'FR'),
(27666, '65370', 'Gembrie', '65', 'FR'),
(27667, '65150', 'G�n�rest', '65', 'FR'),
(27668, '65510', 'G�nos', '65', 'FR'),
(27669, '65140', 'Gensac', '65', 'FR'),
(27670, '65100', 'Ger', '65', 'FR'),
(27671, '65200', 'Gerde', '65', 'FR'),
(27672, '65510', 'Germ', '65', 'FR'),
(27673, '65200', 'Germs sur l''Oussouet', '65', 'FR'),
(27674, '65100', 'Geu', '65', 'FR'),
(27675, '65400', 'Gez', '65', 'FR'),
(27676, '65100', 'Gez ez Angles', '65', 'FR'),
(27677, '65350', 'Gonez', '65', 'FR'),
(27678, '65440', 'Gouaux', '65', 'FR'),
(27679, '65190', 'Goudon', '65', 'FR'),
(27680, '65130', 'Gourgue', '65', 'FR'),
(27681, '65170', 'Grailhen', '65', 'FR'),
(27682, '65440', 'Gr�zian', '65', 'FR'),
(27683, '65120', 'Grust', '65', 'FR'),
(27684, '65170', 'Guchan', '65', 'FR'),
(27685, '65440', 'Guchen', '65', 'FR'),
(27686, '65230', 'Guizerix', '65', 'FR'),
(27687, '65230', 'Hachan', '65', 'FR'),
(27688, '65700', 'Hagedet', '65', 'FR'),
(27689, '65200', 'Hauban', '65', 'FR'),
(27690, '65150', 'Hautaget', '65', 'FR'),
(27691, '65250', 'H�ches', '65', 'FR'),
(27692, '65700', 'H�res', '65', 'FR'),
(27693, '65380', 'Hibarette', '65', 'FR'),
(27694, '65200', 'Hiis', '65', 'FR'),
(27695, '65190', 'Hitte', '65', 'FR'),
(27696, '65310', 'Horgues', '65', 'FR'),
(27697, '65330', 'Houeydets', '65', 'FR'),
(27698, '65350', 'Hourc', '65', 'FR'),
(27699, '65420', 'Ibos', '65', 'FR'),
(27700, '65590', 'Ilhan', '65', 'FR'),
(27701, '65410', 'Ilhet', '65', 'FR'),
(27702, '65370', 'Ilheu', '65', 'FR'),
(27703, '65370', 'Izaourt', '65', 'FR'),
(27704, '65250', 'Izaux', '65', 'FR'),
(27705, '65350', 'Jacque', '65', 'FR'),
(27706, '65100', 'Jarret', '65', 'FR'),
(27707, '65240', 'J�zeau', '65', 'FR'),
(27708, '65290', 'Juillan', '65', 'FR'),
(27709, '65100', 'Julos', '65', 'FR'),
(27710, '65100', 'Juncalas', '65', 'FR'),
(27711, '65200', 'Labass�re', '65', 'FR'),
(27712, '65130', 'Labastide', '65', 'FR'),
(27713, '65700', 'Labatut Rivi�re', '65', 'FR'),
(27714, '65130', 'Laborde', '65', 'FR'),
(27715, '65140', 'Lacassagne', '65', 'FR'),
(27716, '65700', 'Lafitole', '65', 'FR'),
(27717, '65320', 'Lagarde', '65', 'FR'),
(27718, '65300', 'Lagrange', '65', 'FR'),
(27719, '65130', 'Lahitte', '65', 'FR'),
(27720, '65100', 'Lahitte ez Angles', '65', 'FR'),
(27721, '65700', 'Lahitte Toupi�re', '65', 'FR'),
(27722, '65230', 'Lalanne', '65', 'FR'),
(27723, '65220', 'Lalanne Trie', '65', 'FR'),
(27724, '65310', 'Laloub�re', '65', 'FR'),
(27725, '65380', 'Lamarque Pontacq', '65', 'FR'),
(27726, '65220', 'Lamarque Rustaing', '65', 'FR'),
(27727, '65140', 'Lam�ac', '65', 'FR'),
(27728, '65240', 'Lan�on', '65', 'FR'),
(27729, '65190', 'Lanesp�de', '65', 'FR'),
(27730, '65380', 'Lanne', '65', 'FR'),
(27731, '65300', 'Lannemezan', '65', 'FR'),
(27732, '65350', 'Lansac', '65', 'FR'),
(27733, '65220', 'Lapeyre', '65', 'FR'),
(27734, '65670', 'Laran', '65', 'FR'),
(27735, '65700', 'Larreule', '65', 'FR'),
(27736, '65230', 'Larroque', '65', 'FR'),
(27737, '65700', 'Lascaz�res', '65', 'FR'),
(27738, '65350', 'Laslades', '65', 'FR'),
(27739, '65670', 'Lassales', '65', 'FR'),
(27740, '65400', 'Lau Balagnas', '65', 'FR'),
(27741, '65380', 'Layrisse', '65', 'FR'),
(27742, '65140', 'Lescurry', '65', 'FR'),
(27743, '65190', 'Lespouey', '65', 'FR'),
(27744, '65100', 'L�zignan', '65', 'FR'),
(27745, '65190', 'Lhez', '65', 'FR'),
(27746, '65140', 'Liac', '65', 'FR'),
(27747, '65330', 'Libaros', '65', 'FR'),
(27748, '65200', 'Lies', '65', 'FR'),
(27749, '65350', 'Lizos', '65', 'FR'),
(27750, '65150', 'Lombr�s', '65', 'FR'),
(27751, '65130', 'Lomn�', '65', 'FR'),
(27752, '65250', 'Lortet', '65', 'FR'),
(27753, '65100', 'Loubajac', '65', 'FR'),
(27754, '65200', 'Loucrup', '65', 'FR'),
(27755, '65510', 'Loudenvielle', '65', 'FR'),
(27756, '65510', 'Loudervielle', '65', 'FR'),
(27757, '65290', 'Louey', '65', 'FR'),
(27758, '65350', 'Louit', '65', 'FR'),
(27759, '65100', 'Lourdes', '65', 'FR'),
(27760, '65370', 'Loures Barousse', '65', 'FR'),
(27761, '65220', 'Lubret Saint Luc', '65', 'FR'),
(27762, '65220', 'Luby Betmont', '65', 'FR'),
(27763, '65190', 'Luc', '65', 'FR'),
(27764, '65100', 'Lugagnan', '65', 'FR'),
(27765, '65320', 'Luquet', '65', 'FR'),
(27766, '65220', 'Lustar', '65', 'FR'),
(27767, '65300', 'Lutilhous', '65', 'FR'),
(27768, '65120', 'Luz Saint Sauveur', '65', 'FR'),
(27769, '65700', 'Madiran', '65', 'FR'),
(27770, '65140', 'Mansan', '65', 'FR'),
(27771, '65350', 'Marquerie', '65', 'FR'),
(27772, '65500', 'Marsac', '65', 'FR'),
(27773, '65200', 'Marsas', '65', 'FR'),
(27774, '65350', 'Marseillan', '65', 'FR'),
(27775, '65400', 'Marsous', '65', 'FR'),
(27776, '65190', 'Mascaras', '65', 'FR'),
(27777, '65700', 'Maubourguet', '65', 'FR'),
(27778, '65370', 'Maul�on Barousse', '65', 'FR'),
(27779, '65130', 'Mauvezin', '65', 'FR'),
(27780, '65660', 'Maz�res de Neste', '65', 'FR'),
(27781, '65220', 'Mazerolles', '65', 'FR'),
(27782, '65250', 'Mazouau', '65', 'FR'),
(27783, '65200', 'M�rilheu', '65', 'FR'),
(27784, '65140', 'Mingot', '65', 'FR'),
(27785, '65130', 'Mol�re', '65', 'FR'),
(27786, '65360', 'Mom�res', '65', 'FR'),
(27787, '65140', 'Monfaucon', '65', 'FR'),
(27788, '65670', 'Monl�on Magnoac', '65', 'FR'),
(27789, '65670', 'Monlong', '65', 'FR'),
(27790, '65510', 'Mont', '65', 'FR'),
(27791, '65330', 'Montastruc', '65', 'FR'),
(27792, '65150', 'Mont�gut', '65', 'FR'),
(27793, '65200', 'Montgaillard', '65', 'FR'),
(27794, '65690', 'Montignac', '65', 'FR'),
(27795, '65250', 'Montouss�', '65', 'FR'),
(27796, '65150', 'Monts�ri�', '65', 'FR'),
(27797, '65190', 'Mouledous', '65', 'FR'),
(27798, '65140', 'Moumoulous', '65', 'FR'),
(27799, '65350', 'Mun', '65', 'FR'),
(27800, '65150', 'Nestier', '65', 'FR'),
(27801, '65200', 'Neuilh', '65', 'FR'),
(27802, '65150', 'Nistos', '65', 'FR'),
(27803, '65500', 'Nouilhan', '65', 'FR'),
(27804, '65310', 'Odos', '65', 'FR'),
(27805, '65350', 'Ol�ac Debat', '65', 'FR'),
(27806, '65190', 'Ol�ac Dessus', '65', 'FR'),
(27807, '65100', 'Omex', '65', 'FR'),
(27808, '65200', 'Ordizan', '65', 'FR'),
(27809, '65230', 'Organ', '65', 'FR'),
(27810, '65190', 'Orieux', '65', 'FR'),
(27811, '65200', 'Orignac', '65', 'FR'),
(27812, '65380', 'Orincles', '65', 'FR'),
(27813, '65800', 'Orleix', '65', 'FR'),
(27814, '65320', 'Oroix', '65', 'FR'),
(27815, '65350', 'Osmets', '65', 'FR'),
(27816, '65100', 'Ossen', '65', 'FR'),
(27817, '65380', 'Ossun', '65', 'FR'),
(27818, '65100', 'Ossun ez Angles', '65', 'FR'),
(27819, '65190', 'Oueilloux', '65', 'FR'),
(27820, '65370', 'Ourde', '65', 'FR'),
(27821, '65100', 'Ourdis Cotdoussan', '65', 'FR'),
(27822, '65100', 'Ourdon', '65', 'FR'),
(27823, '65490', 'Oursbelille', '65', 'FR'),
(27824, '65100', 'Oust�', '65', 'FR'),
(27825, '65400', 'Ouzous', '65', 'FR'),
(27826, '65190', 'Ozon', '65', 'FR'),
(27827, '65240', 'Pailhac', '65', 'FR'),
(27828, '65100', 'Par�ac', '65', 'FR'),
(27829, '65130', 'P�r�', '65', 'FR'),
(27830, '65190', 'Peyraube', '65', 'FR'),
(27831, '65230', 'Peyret Saint Andr�', '65', 'FR'),
(27832, '65350', 'Peyrigu�re', '65', 'FR'),
(27833, '65270', 'Peyrouse', '65', 'FR'),
(27834, '65140', 'Peyrun', '65', 'FR'),
(27835, '65260', 'Pierrefitte Nestalas', '65', 'FR'),
(27836, '65300', 'Pinas', '65', 'FR'),
(27837, '65320', 'Pintac', '65', 'FR'),
(27838, '65240', 'Pouchergues', '65', 'FR'),
(27839, '65100', 'Poueyferr�', '65', 'FR'),
(27840, '65190', 'Poumarous', '65', 'FR'),
(27841, '65230', 'Pouy', '65', 'FR'),
(27842, '65350', 'Pouyastruc', '65', 'FR'),
(27843, '65200', 'Pouzac', '65', 'FR'),
(27844, '65400', 'Pr�chac', '65', 'FR'),
(27845, '65500', 'Pujo', '65', 'FR'),
(27846, '65230', 'Puntous', '65', 'FR'),
(27847, '65220', 'Puydarrieux', '65', 'FR'),
(27848, '65140', 'Rabastens de Bigorre', '65', 'FR'),
(27849, '65330', 'Recurt', '65', 'FR'),
(27850, '65300', 'R�jaumont', '65', 'FR'),
(27851, '65190', 'Ricaud', '65', 'FR'),
(27852, '65590', 'Ris', '65', 'FR'),
(27853, '65350', 'Sabalos', '65', 'FR'),
(27854, '65330', 'Sabarros', '65', 'FR'),
(27855, '65370', 'Sacou�', '65', 'FR'),
(27856, '65220', 'Sadournin', '65', 'FR'),
(27857, '65170', 'Sailhan', '65', 'FR'),
(27858, '65250', 'Saint Arroman', '65', 'FR'),
(27859, '65100', 'Saint Cr�ac', '65', 'FR'),
(27860, '65700', 'Saint Lanne', '65', 'FR'),
(27861, '65170', 'Saint Lary Soulan', '65', 'FR'),
(27862, '65150', 'Saint Laurent de Neste', '65', 'FR'),
(27863, '65500', 'Saint Lezer', '65', 'FR'),
(27864, '65370', 'Ste Marie', '65', 'FR'),
(27865, '65360', 'Saint Martin', '65', 'FR'),
(27866, '65400', 'Saint Pastous', '65', 'FR'),
(27867, '65150', 'St Paul', '65', 'FR'),
(27868, '65270', 'Saint P� de Bigorre', '65', 'FR'),
(27869, '65400', 'Saint Savin', '65', 'FR'),
(27870, '65140', 'Saint Sever de Rustan', '65', 'FR'),
(27871, '65370', 'Sal�chan', '65', 'FR'),
(27872, '65120', 'Saligos', '65', 'FR'),
(27873, '65400', 'Salles', '65', 'FR'),
(27874, '65360', 'Salles Adour', '65', 'FR'),
(27875, '65370', 'Samuran', '65', 'FR'),
(27876, '65500', 'Sanous', '65', 'FR'),
(27877, '65230', 'Sariac Magnoac', '65', 'FR'),
(27878, '65130', 'Sarlabous', '65', 'FR'),
(27879, '65390', 'Sarniguet', '65', 'FR'),
(27880, '65370', 'Sarp', '65', 'FR'),
(27881, '65410', 'Sarrancolin', '65', 'FR'),
(27882, '65140', 'Sarriac Bigorre', '65', 'FR'),
(27883, '65600', 'Sarrouilles', '65', 'FR'),
(27884, '65120', 'Sassis', '65', 'FR'),
(27885, '65700', 'Sauveterre', '65', 'FR'),
(27886, '65120', 'Sazos', '65', 'FR'),
(27887, '65140', 'S�galas', '65', 'FR'),
(27888, '65100', 'S�gus', '65', 'FR'),
(27889, '65150', 'Seich', '65', 'FR'),
(27890, '65600', 'S�m�ac', '65', 'FR'),
(27891, '65140', 'S�nac', '65', 'FR'),
(27892, '65330', 'Sentous', '65', 'FR'),
(27893, '65400', 'S�re en Lavedan', '65', 'FR'),
(27894, '65100', 'S�re Lanso', '65', 'FR'),
(27895, '65320', 'S�ron', '65', 'FR'),
(27896, '65220', 'S�re Rustaing', '65', 'FR'),
(27897, '65120', 'Sers', '65', 'FR'),
(27898, '65500', 'Siarrouy', '65', 'FR'),
(27899, '65190', 'Sinzos', '65', 'FR'),
(27900, '65370', 'Siradan', '65', 'FR'),
(27901, '65400', 'Sireix', '65', 'FR'),
(27902, '65700', 'Sombrun', '65', 'FR'),
(27903, '65350', 'Sor�ac', '65', 'FR'),
(27904, '65370', 'Sost', '65', 'FR'),
(27905, '65700', 'Soublecause', '65', 'FR'),
(27906, '65430', 'Soues', '65', 'FR'),
(27907, '65260', 'Soulom', '65', 'FR'),
(27908, '65350', 'Souyeaux', '65', 'FR'),
(27909, '65300', 'Tajan', '65', 'FR'),
(27910, '65500', 'Talazac', '65', 'FR'),
(27911, '65320', 'Tarasteix', '65', 'FR'),
(27912, '65000', 'Tarbes', '65', 'FR'),
(27913, '65370', 'Th�be', '65', 'FR'),
(27914, '65230', 'Thermes Magnoac', '65', 'FR'),
(27915, '65350', 'Thuy', '65', 'FR'),
(27916, '65660', 'Tibiran Jaunac', '65', 'FR'),
(27917, '65130', 'Tilhouse', '65', 'FR'),
(27918, '65140', 'Tostat', '65', 'FR'),
(27919, '65190', 'Tournay', '65', 'FR'),
(27920, '65220', 'Tournous Darr�', '65', 'FR'),
(27921, '65330', 'Tournous Devant', '65', 'FR'),
(27922, '65170', 'Trameza�gues', '65', 'FR'),
(27923, '65200', 'Tr�bons', '65', 'FR'),
(27924, '65220', 'Trie sur Ba�se', '65', 'FR'),
(27925, '65370', 'Troubat', '65', 'FR'),
(27926, '65140', 'Trouley Labarthe', '65', 'FR'),
(27927, '65150', 'Tuzaguet', '65', 'FR'),
(27928, '65300', 'Uglas', '65', 'FR'),
(27929, '65140', 'Ugnouas', '65', 'FR'),
(27930, '65400', 'Uz', '65', 'FR'),
(27931, '65200', 'Uzer', '65', 'FR'),
(27932, '65500', 'Vic en Bigorre', '65', 'FR'),
(27933, '65220', 'Vidou', '65', 'FR'),
(27934, '65700', 'Vidouze', '65', 'FR'),
(27935, '65120', 'Viella', '65', 'FR'),
(27936, '65360', 'Vielle Adour', '65', 'FR'),
(27937, '65170', 'Vielle Aure', '65', 'FR'),
(27938, '65240', 'Vielle Louron', '65', 'FR'),
(27939, '65400', 'Vier Bordes', '65', 'FR'),
(27940, '65230', 'Vieuzos', '65', 'FR'),
(27941, '65120', 'Viey', '65', 'FR'),
(27942, '65100', 'Viger', '65', 'FR'),
(27943, '65170', 'Vignec', '65', 'FR'),
(27944, '65700', 'Villefranque', '65', 'FR'),
(27945, '65260', 'Villelongue', '65', 'FR'),
(27946, '65220', 'Villembits', '65', 'FR'),
(27947, '65230', 'Villemur', '65', 'FR'),
(27948, '65500', 'Villenave pr�s B�arn', '65', 'FR'),
(27949, '65500', 'Villenave pr�s Marsac', '65', 'FR'),
(27950, '65120', 'Viscos', '65', 'FR'),
(27951, '65200', 'Visker', '65', 'FR'),
(27952, '65120', 'Vizos', '65', 'FR'),
(27953, '65120', 'Bar�ges', '65', 'FR'),
(27954, '65150', 'Cantaous', '65', 'FR'),
(27955, '65710', 'Gripp', '65', 'FR'),
(27956, '65250', 'Rebouc', '65', 'FR'),
(27957, '65710', 'Sainte Marie de Campan', '65', 'FR'),
(27958, '65510', 'Cazaux Fr�chet', '65', 'FR'),
(27959, '66480', 'L''Alb�re', '66', 'FR'),
(27960, '66200', 'Al�nya', '66', 'FR'),
(27961, '66110', 'Am�lie les Bains Palalda', '66', 'FR'),
(27962, '66210', 'Angles', '66', 'FR'),
(27963, '66760', 'Angoustrine Villeneuve des Escaldes', '66', 'FR'),
(27964, '66220', 'Ansignan', '66', 'FR'),
(27965, '66320', 'Arboussols', '66', 'FR'),
(27966, '66700', 'Argel�s sur Mer', '66', 'FR'),
(27967, '66150', 'Arles sur Tech', '66', 'FR'),
(27968, '66360', 'Ayguat�bia Talau', '66', 'FR'),
(27969, '66670', 'Bages', '66', 'FR'),
(27970, '66540', 'Baho', '66', 'FR'),
(27971, '66320', 'Baillestavy', '66', 'FR'),
(27972, '66390', 'Baixas', '66', 'FR'),
(27973, '66300', 'Banyuls dels Aspres', '66', 'FR'),
(27974, '66650', 'Banyuls sur Mer', '66', 'FR'),
(27975, '66420', 'Le Barcar�s', '66', 'FR'),
(27976, '66110', 'La Bastide', '66', 'FR'),
(27977, '66720', 'B�lesta', '66', 'FR'),
(27978, '66210', 'Bolqu�re', '66', 'FR'),
(27979, '66430', 'Bompas', '66', 'FR'),
(27980, '66130', 'Boule d''Amont', '66', 'FR'),
(27981, '66130', 'Bouletern�re', '66', 'FR'),
(27982, '66160', 'Le Boulou', '66', 'FR'),
(27983, '66760', 'Bourg Madame', '66', 'FR'),
(27984, '66620', 'Brouilla', '66', 'FR'),
(27985, '66210', 'La Cabanasse', '66', 'FR'),
(27986, '66330', 'Cabestany', '66', 'FR'),
(27987, '66300', 'Caixas', '66', 'FR'),
(27988, '66600', 'Calce', '66', 'FR'),
(27989, '66760', 'Cald�gas', '66', 'FR'),
(27990, '66400', 'Calmeilles', '66', 'FR'),
(27991, '66300', 'Cam�las', '66', 'FR'),
(27992, '66500', 'Camp�me', '66', 'FR'),
(27993, '66730', 'Campoussy', '66', 'FR'),
(27994, '66360', 'Canaveilles', '66', 'FR'),
(27995, '66140', 'Canet en Roussillon', '66', 'FR'),
(27996, '66680', 'Canoh�s', '66', 'FR'),
(27997, '66720', 'Caramany', '66', 'FR'),
(27998, '66130', 'Casefabre', '66', 'FR'),
(27999, '66600', 'Cases de P�ne', '66', 'FR'),
(28000, '66720', 'Cassagnes', '66', 'FR'),
(28001, '66820', 'Casteil', '66', 'FR'),
(28002, '66300', 'Castelnou', '66', 'FR'),
(28003, '66500', 'Catllar', '66', 'FR'),
(28004, '66220', 'Caudi�s de Fenouill�des', '66', 'FR'),
(28005, '66360', 'Caudi�s de Conflent', '66', 'FR'),
(28006, '66290', 'Cerb�re', '66', 'FR'),
(28007, '66400', 'C�ret', '66', 'FR'),
(28008, '66530', 'Claira', '66', 'FR'),
(28009, '66500', 'Clara', '66', 'FR'),
(28010, '66500', 'Codalet', '66', 'FR'),
(28011, '66190', 'Collioure', '66', 'FR'),
(28012, '66500', 'Conat', '66', 'FR'),
(28013, '66130', 'Corb�re', '66', 'FR'),
(28014, '66130', 'Corb�re les Cabanes', '66', 'FR'),
(28015, '66820', 'Corneilla de Conflent', '66', 'FR'),
(28016, '66550', 'Corneilla la Rivi�re', '66', 'FR'),
(28017, '66200', 'Corneilla del Vercol', '66', 'FR'),
(28018, '66150', 'Corsavy', '66', 'FR'),
(28019, '66260', 'Coustouges', '66', 'FR'),
(28020, '66760', 'Dorres', '66', 'FR'),
(28021, '66480', 'Cluses', '66', 'FR'),
(28022, '66120', '�gat', '66', 'FR'),
(28023, '66200', 'Elne', '66', 'FR'),
(28024, '66760', 'Enveitg', '66', 'FR'),
(28025, '66800', 'Err', '66', 'FR'),
(28026, '66360', 'Escaro', '66', 'FR'),
(28027, '66600', 'Espira de l''Agly', '66', 'FR'),
(28028, '66320', 'Espira de Conflent', '66', 'FR'),
(28029, '66310', 'Estagel', '66', 'FR'),
(28030, '66800', 'Estavar', '66', 'FR'),
(28031, '66320', 'Estoher', '66', 'FR'),
(28032, '66500', 'Eus', '66', 'FR'),
(28033, '66800', 'Eyne', '66', 'FR'),
(28034, '66730', 'Felluns', '66', 'FR'),
(28035, '66220', 'Fenouillet', '66', 'FR'),
(28036, '66820', 'Fillols', '66', 'FR'),
(28037, '66320', 'Finestret', '66', 'FR'),
(28038, '66360', 'Fontp�drouse', '66', 'FR'),
(28039, '66210', 'Fontrabiouse', '66', 'FR'),
(28040, '66210', 'Formigu�res', '66', 'FR'),
(28041, '66220', 'Fosse', '66', 'FR'),
(28042, '66300', 'Fourques', '66', 'FR'),
(28043, '66820', 'Fuilla', '66', 'FR'),
(28044, '66320', 'Glorianes', '66', 'FR'),
(28045, '66480', 'Las Illas', '66', 'FR'),
(28046, '66130', 'Ille sur T�t', '66', 'FR'),
(28047, '66320', 'Joch', '66', 'FR'),
(28048, '66360', 'Jujols', '66', 'FR'),
(28049, '66230', 'Laman�re', '66', 'FR'),
(28050, '66720', 'Lansac', '66', 'FR'),
(28051, '66740', 'Laroque des Alb�res', '66', 'FR'),
(28052, '66200', 'Latour Bas Elne', '66', 'FR'),
(28053, '66760', 'Latour de Carol', '66', 'FR'),
(28054, '66720', 'Latour de France', '66', 'FR'),
(28055, '66220', 'Lesquerde', '66', 'FR'),
(28056, '66210', 'La Llagonne', '66', 'FR'),
(28057, '66300', 'Llauro', '66', 'FR'),
(28058, '66800', 'Llo', '66', 'FR'),
(28059, '66300', 'Llupia', '66', 'FR'),
(28060, '66360', 'Mantet', '66', 'FR'),
(28061, '66320', 'Marquixanes', '66', 'FR'),
(28062, '66500', 'Los Masos', '66', 'FR'),
(28063, '66210', 'Matemale', '66', 'FR'),
(28064, '66480', 'Maureillas las Illas', '66', 'FR'),
(28065, '66460', 'Maury', '66', 'FR'),
(28066, '66170', 'Millas', '66', 'FR'),
(28067, '66500', 'Molitg les Bains', '66', 'FR'),
(28068, '66130', 'Montalba le Ch�teau', '66', 'FR'),
(28069, '66300', 'Montauriol', '66', 'FR'),
(28070, '66110', 'Montbolo', '66', 'FR'),
(28071, '66200', 'Montescot', '66', 'FR'),
(28072, '66740', 'Montesquieu des Alb�res', '66', 'FR'),
(28073, '66150', 'Montferrer', '66', 'FR'),
(28074, '66210', 'Mont Louis', '66', 'FR'),
(28075, '66720', 'Montner', '66', 'FR'),
(28076, '66500', 'Mosset', '66', 'FR'),
(28077, '66340', 'Nahuja', '66', 'FR'),
(28078, '66170', 'N�fiach', '66', 'FR'),
(28079, '66500', 'Noh�des', '66', 'FR'),
(28080, '66360', 'Nyer', '66', 'FR'),
(28081, '66120', 'Font Romeu Odeillo Via', '66', 'FR'),
(28082, '66360', 'Olette', '66', 'FR'),
(28083, '66400', 'Oms', '66', 'FR'),
(28084, '66600', 'Opoul P�rillos', '66', 'FR'),
(28085, '66360', 'Oreilla', '66', 'FR'),
(28086, '66560', 'Ortaffa', '66', 'FR'),
(28087, '66340', 'Oss�ja', '66', 'FR'),
(28088, '66340', 'Palau de Cerdagne', '66', 'FR'),
(28089, '66690', 'Palau del Vidre', '66', 'FR'),
(28090, '66300', 'Passa', '66', 'FR'),
(28091, '66600', 'P�rillos', '66', 'FR'),
(28092, '66100', 'Perpignan', '66', 'FR'),
(28093, '66000', 'Perpignan', '66', 'FR'),
(28094, '66480', 'Le Perthus', '66', 'FR'),
(28095, '66600', 'Peyrestortes', '66', 'FR'),
(28096, '66730', 'P�zilla de Conflent', '66', 'FR'),
(28097, '66370', 'P�zilla la Rivi�re', '66', 'FR'),
(28098, '66380', 'Pia', '66', 'FR'),
(28099, '66210', 'Plan�s', '66', 'FR'),
(28100, '66720', 'Plan�zes', '66', 'FR'),
(28101, '66450', 'Pollestres', '66', 'FR'),
(28102, '66300', 'Ponteilla', '66', 'FR'),
(28103, '66760', 'Porta', '66', 'FR'),
(28104, '66760', 'Port� Puymorens', '66', 'FR'),
(28105, '66660', 'Port Vendres', '66', 'FR'),
(28106, '66500', 'Prades', '66', 'FR'),
(28107, '66230', 'Prats de Mollo la Preste', '66', 'FR'),
(28108, '66730', 'Prats de Sournia', '66', 'FR'),
(28109, '66220', 'Prugnanes', '66', 'FR'),
(28110, '66130', 'Prunet et Belpuig', '66', 'FR'),
(28111, '66210', 'Puyvalador', '66', 'FR'),
(28112, '66360', 'Py', '66', 'FR'),
(28113, '66730', 'Rabouillet', '66', 'FR'),
(28114, '66360', 'Railleu', '66', 'FR'),
(28115, '66720', 'Rasigu�res', '66', 'FR'),
(28116, '66210', 'R�al', '66', 'FR'),
(28117, '66400', 'Reyn�s', '66', 'FR'),
(28118, '66500', 'Ria Sirach', '66', 'FR'),
(28119, '66320', 'Rigarda', '66', 'FR'),
(28120, '66480', 'Riunogu�s', '66', 'FR'),
(28121, '66600', 'Rivesaltes', '66', 'FR'),
(28122, '66320', 'Rod�s', '66', 'FR'),
(28123, '66360', 'Sahorre', '66', 'FR'),
(28124, '66800', 'Saillagouse', '66', 'FR'),
(28125, '66690', 'aint Andr�', '66', 'FR'),
(28126, '66220', 'Saint Arnac', '66', 'FR'),
(28127, '66300', 'Ste Colombe de la Commanderie', '66', 'FR'),
(28128, '66750', 'Saint Cyprien', '66', 'FR'),
(28129, '66240', 'Saint Est�ve', '66', 'FR'),
(28130, '66170', 'Saint F�liu d''Amont', '66', 'FR'),
(28131, '66170', 'Saint F�liu d''Avall', '66', 'FR'),
(28132, '66740', 'St G�nis des Fontaines', '66', 'FR'),
(28133, '66510', 'Saint Hippolyte', '66', 'FR'),
(28134, '66300', 'Saint Jean Lasseille', '66', 'FR'),
(28135, '66400', 'Saint Jean Pla de Corts', '66', 'FR'),
(28136, '66260', 'Saint Laurent de Cerdans', '66', 'FR'),
(28137, '66250', 'Saint Laurent de la Salanque', '66', 'FR'),
(28138, '66800', 'Sainte L�ocadie', '66', 'FR'),
(28139, '66470', 'Ste Marie', '66', 'FR'),
(28140, '66110', 'Saint Marsal', '66', 'FR'),
(28141, '66220', 'Saint Martin', '66', 'FR'),
(28142, '66130', 'Saint Michel de Llotes', '66', 'FR'),
(28143, '66140', 'St Nazaire', '66', 'FR'),
(28144, '66220', 'Saint Paul de Fenouillet', '66', 'FR'),
(28145, '66210', 'Saint Pierre dels Forcats', '66', 'FR'),
(28146, '66280', 'Saleilles', '66', 'FR'),
(28147, '66600', 'Salses le Ch�teau', '66', 'FR'),
(28148, '66360', 'Sansa', '66', 'FR'),
(28149, '66210', 'Sauto', '66', 'FR'),
(28150, '66360', 'Serdinya', '66', 'FR'),
(28151, '66230', 'Serralongue', '66', 'FR'),
(28152, '66270', 'Le Soler', '66', 'FR'),
(28153, '66690', 'Sor�de', '66', 'FR'),
(28154, '66360', 'Souanyas', '66', 'FR'),
(28155, '66730', 'Sournia', '66', 'FR'),
(28156, '66400', 'Taillet', '66', 'FR'),
(28157, '66360', 'Talau', '66', 'FR'),
(28158, '66320', 'Tarerach', '66', 'FR'),
(28159, '66120', 'Targassonne', '66', 'FR'),
(28160, '66110', 'Taulis', '66', 'FR'),
(28161, '66500', 'Taurinya', '66', 'FR'),
(28162, '66720', 'Tautavel', '66', 'FR'),
(28163, '66230', 'Le Tech', '66', 'FR'),
(28164, '66300', 'Terrats', '66', 'FR'),
(28165, '66200', 'Th�za', '66', 'FR'),
(28166, '66360', 'Thu�s entre Valls', '66', 'FR'),
(28167, '66300', 'Thuir', '66', 'FR'),
(28168, '66300', 'Tord�res', '66', 'FR'),
(28169, '66440', 'Torreilles', '66', 'FR'),
(28170, '66350', 'Toulouges', '66', 'FR'),
(28171, '66300', 'Tresserre', '66', 'FR'),
(28172, '66130', 'Tr�villach', '66', 'FR'),
(28173, '66220', 'Trilla', '66', 'FR'),
(28174, '66300', 'Trouillas', '66', 'FR'),
(28175, '66760', 'Ur', '66', 'FR'),
(28176, '66500', 'Urbanya', '66', 'FR'),
(28177, '66340', 'Valceboll�re', '66', 'FR'),
(28178, '66320', 'Valmanya', '66', 'FR'),
(28179, '66820', 'Vernet les Bains', '66', 'FR'),
(28180, '66500', 'Villefranche de Conflent', '66', 'FR'),
(28181, '66410', 'Villelongue de la Salanque', '66', 'FR'),
(28182, '66740', 'Villelongue dels Monts', '66', 'FR'),
(28183, '66300', 'Villemolaque', '66', 'FR'),
(28184, '66180', 'Villeneuve de la Raho', '66', 'FR'),
(28185, '66610', 'Villeneuve la Rivi�re', '66', 'FR'),
(28186, '66760', 'Villeneuve des Escaldes', '66', 'FR'),
(28187, '66320', 'Vin�a', '66', 'FR'),
(28188, '66600', 'Vingrau', '66', 'FR'),
(28189, '66220', 'Vira', '66', 'FR'),
(28190, '66400', 'Viv�s', '66', 'FR'),
(28191, '66730', 'Le Vivier', '66', 'FR'),
(28192, '66140', 'Canet Plage', '66', 'FR'),
(28193, '66750', 'Saint Cyprien Plage', '66', 'FR'),
(28194, '66120', 'Odeillo Via', '66', 'FR'),
(28195, '67204', 'Achenheim', '67', 'FR'),
(28196, '67320', 'Adamswiller', '67', 'FR'),
(28197, '67220', 'Alb�', '67', 'FR'),
(28198, '67310', 'Allenwiller', '67', 'FR'),
(28199, '67270', 'Alteckendorf', '67', 'FR'),
(28200, '67490', 'Altenheim', '67', 'FR'),
(28201, '67160', 'Altenstadt', '67', 'FR'),
(28202, '67120', 'Altorf', '67', 'FR'),
(28203, '67260', 'Altwiller', '67', 'FR'),
(28204, '67140', 'Andlau', '67', 'FR'),
(28205, '67390', 'Artolsheim', '67', 'FR'),
(28206, '67250', 'Aschbach', '67', 'FR'),
(28207, '67320', 'Asswiller', '67', 'FR'),
(28208, '67480', 'Auenheim', '67', 'FR'),
(28209, '67370', 'Avenheim', '67', 'FR'),
(28210, '67120', 'Avolsheim', '67', 'FR'),
(28211, '67320', 'Baerendorf', '67', 'FR'),
(28212, '67310', 'Balbronn', '67', 'FR'),
(28213, '67600', 'Baldenheim', '67', 'FR'),
(28214, '67130', 'Barembach', '67', 'FR'),
(28215, '67140', 'Barr', '67', 'FR'),
(28216, '67220', 'Bassemberg', '67', 'FR'),
(28217, '67500', 'Batzendorf', '67', 'FR'),
(28218, '67370', 'Behlenheim', '67', 'FR'),
(28219, '67930', 'Beinheim', '67', 'FR'),
(28220, '67130', 'Bellefosse', '67', 'FR'),
(28221, '67130', 'Belmont', '67', 'FR'),
(28222, '67230', 'Benfeld', '67', 'FR'),
(28223, '67320', 'Berg', '67', 'FR'),
(28224, '67310', 'Bergbieten', '67', 'FR'),
(28225, '67210', 'Bernardswiller', '67', 'FR'),
(28226, '67140', 'Bernardvill�', '67', 'FR'),
(28227, '67170', 'Bernolsheim', '67', 'FR'),
(28228, '67370', 'Berstett', '67', 'FR'),
(28229, '67170', 'Berstheim', '67', 'FR'),
(28230, '67320', 'Bettwiller', '67', 'FR'),
(28231, '67360', 'Biblisheim', '67', 'FR'),
(28232, '67720', 'Bietlenheim', '67', 'FR'),
(28233, '67170', 'Bilwisheim', '67', 'FR'),
(28234, '67600', 'Bindernheim', '67', 'FR'),
(28235, '67440', 'Birkenwald', '67', 'FR'),
(28236, '67160', 'Birlenbach', '67', 'FR'),
(28237, '67800', 'Bischheim', '67', 'FR'),
(28238, '67340', 'Bischholtz', '67', 'FR'),
(28239, '67870', 'Bischoffsheim', '67', 'FR'),
(28240, '67240', 'Bischwiller', '67', 'FR'),
(28241, '67260', 'Bissert', '67', 'FR'),
(28242, '67350', 'Bitschhoffen', '67', 'FR'),
(28243, '67113', 'Blaesheim', '67', 'FR'),
(28244, '67130', 'Blancherupt', '67', 'FR'),
(28245, '67650', 'Blienschwiller', '67', 'FR'),
(28246, '67530', 'Boersch', '67', 'FR'),
(28247, '67390', 'Boesenbiesen', '67', 'FR'),
(28248, '67150', 'Bolsenheim', '67', 'FR'),
(28249, '67860', 'Boofzheim', '67', 'FR'),
(28250, '67390', 'Bootzheim', '67', 'FR'),
(28251, '67330', 'Bosselshausen', '67', 'FR'),
(28252, '67270', 'Bossendorf', '67', 'FR'),
(28253, '67420', 'Bourg Bruche', '67', 'FR'),
(28254, '67140', 'Bourgheim', '67', 'FR'),
(28255, '67330', 'Bouxwiller', '67', 'FR'),
(28256, '67220', 'Breitenau', '67', 'FR'),
(28257, '67220', 'Breitenbach', '67', 'FR'),
(28258, '67160', 'Bremmelbach', '67', 'FR'),
(28259, '67112', 'Breuschwickersheim', '67', 'FR'),
(28260, '67130', 'La Broque', '67', 'FR'),
(28261, '67570', 'La Broque', '67', 'FR'),
(28262, '67170', 'Brumath', '67', 'FR'),
(28263, '67350', 'Buswiller', '67', 'FR'),
(28264, '67470', 'Buhl', '67', 'FR'),
(28265, '67260', 'Burbach', '67', 'FR'),
(28266, '67320', 'Bust', '67', 'FR'),
(28267, '67430', 'Butten', '67', 'FR'),
(28268, '67730', 'Ch�tenois', '67', 'FR'),
(28269, '67160', 'Cleebourg', '67', 'FR'),
(28270, '67510', 'Climbach', '67', 'FR'),
(28271, '67420', 'Colroy la Roche', '67', 'FR'),
(28272, '67310', 'Cosswiller', '67', 'FR'),
(28273, '67310', 'Crastatt', '67', 'FR'),
(28274, '67470', 'Croettwiller', '67', 'FR'),
(28275, '67120', 'Dachstein', '67', 'FR'),
(28276, '67310', 'Dahlenheim', '67', 'FR'),
(28277, '67770', 'Dalhunden', '67', 'FR'),
(28278, '67110', 'Dambach', '67', 'FR'),
(28279, '67650', 'Dambach la Ville', '67', 'FR'),
(28280, '67310', 'Dangolsheim', '67', 'FR'),
(28281, '67150', 'Daubensand', '67', 'FR'),
(28282, '67350', 'Dauendorf', '67', 'FR'),
(28283, '67430', 'Dehlingen', '67', 'FR'),
(28284, '67490', 'Dettwiller', '67', 'FR'),
(28285, '67230', 'Diebolsheim', '67', 'FR'),
(28286, '67260', 'Diedendorf', '67', 'FR'),
(28287, '67220', 'Dieffenbach au Val', '67', 'FR'),
(28288, '67360', 'Dieffenbach l�s Woerth', '67', 'FR'),
(28289, '67650', 'Dieffenthal', '67', 'FR'),
(28290, '67430', 'Diemeringen', '67', 'FR'),
(28291, '67440', 'Dimbsthal', '67', 'FR'),
(28292, '67370', 'Dingsheim', '67', 'FR'),
(28293, '67190', 'Dinsheim', '67', 'FR'),
(28294, '67430', 'Domfessel', '67', 'FR'),
(28295, '67170', 'Donnenheim', '67', 'FR'),
(28296, '67120', 'Dorlisheim', '67', 'FR'),
(28297, '67117', 'Dossenheim Kochersberg', '67', 'FR'),
(28298, '67330', 'Dossenheim sur Zinsel', '67', 'FR'),
(28299, '67160', 'Drachenbronn Birlenbach', '67', 'FR'),
(28300, '67320', 'Drulingen', '67', 'FR'),
(28301, '67410', 'Drusenheim', '67', 'FR'),
(28302, '67270', 'Duntzenheim', '67', 'FR'),
(28303, '67120', 'Duppigheim', '67', 'FR'),
(28304, '67270', 'Durningen', '67', 'FR'),
(28305, '67360', 'Durrenbach', '67', 'FR'),
(28306, '67320', 'Durstel', '67', 'FR'),
(28307, '67120', 'Duttlenheim', '67', 'FR'),
(28308, '67470', 'Eberbach Seltz', '67', 'FR'),
(28309, '67600', 'Ebersheim', '67', 'FR'),
(28310, '67600', 'Ebersmunster', '67', 'FR'),
(28311, '67700', 'Eckartswiller', '67', 'FR'),
(28312, '67201', 'Eckbolsheim', '67', 'FR'),
(28313, '67550', 'Eckwersheim', '67', 'FR'),
(28314, '67140', 'Eichhoffen', '67', 'FR'),
(28315, '67390', 'Elsenheim', '67', 'FR'),
(28316, '67710', 'Wangenbourg Engenthal', '67', 'FR'),
(28317, '67350', 'Engwiller', '67', 'FR'),
(28318, '67960', 'Entzheim', '67', 'FR'),
(28319, '67680', 'Epfig', '67', 'FR'),
(28320, '67290', 'Erckartswiller', '67', 'FR'),
(28321, '67120', 'Ergersheim', '67', 'FR'),
(28322, '67120', 'Ernolsheim Bruche', '67', 'FR'),
(28323, '67330', 'Ernolsheim l�s Saverne', '67', 'FR'),
(28324, '67150', 'Erstein', '67', 'FR'),
(28325, '67114', 'Eschau', '67', 'FR'),
(28326, '67360', 'Eschbach', '67', 'FR'),
(28327, '67320', 'Eschbourg', '67', 'FR'),
(28328, '67320', 'Eschwiller', '67', 'FR'),
(28329, '67350', 'Ettendorf', '67', 'FR'),
(28330, '67320', 'Eywiller', '67', 'FR'),
(28331, '67640', 'Fegersheim', '67', 'FR'),
(28332, '67117', 'Fessenheim le Bas', '67', 'FR'),
(28333, '67310', 'Flexbourg', '67', 'FR'),
(28334, '67480', 'Forstfeld', '67', 'FR'),
(28335, '67580', 'Forstheim', '67', 'FR'),
(28336, '67480', 'Fort Louis', '67', 'FR'),
(28337, '67220', 'Fouchy', '67', 'FR'),
(28338, '67130', 'Fouday', '67', 'FR'),
(28339, '67490', 'Friedolsheim', '67', 'FR'),
(28340, '67860', 'Friesenheim', '67', 'FR'),
(28341, '67360', 'Froeschwiller', '67', 'FR'),
(28342, '67290', 'Frohmuhl', '67', 'FR'),
(28343, '67700', 'Furchhausen', '67', 'FR'),
(28344, '67117', 'Furdenheim', '67', 'FR'),
(28345, '67760', 'Gambsheim', '67', 'FR'),
(28346, '67400', 'Geispolsheim', '67', 'FR'),
(28347, '67270', 'Geiswiller', '67', 'FR'),
(28348, '67150', 'Gerstheim', '67', 'FR'),
(28349, '67140', 'Gertwiller', '67', 'FR'),
(28350, '67170', 'Geudertheim', '67', 'FR'),
(28351, '67370', 'Gimbrett', '67', 'FR'),
(28352, '67270', 'Gingsheim', '67', 'FR'),
(28353, '67320', 'Goerlingen', '67', 'FR'),
(28354, '67360', 'Goersdorf', '67', 'FR'),
(28355, '67700', 'Gottenhouse', '67', 'FR'),
(28356, '67490', 'Gottesheim', '67', 'FR'),
(28357, '67270', 'Gougenheim', '67', 'FR'),
(28358, '67210', 'Goxwiller', '67', 'FR'),
(28359, '67130', 'Grandfontaine', '67', 'FR'),
(28360, '67350', 'Grassendorf', '67', 'FR'),
(28361, '67190', 'Grendelbruch', '67', 'FR'),
(28362, '67190', 'Gresswiller', '67', 'FR'),
(28363, '67240', 'Gries', '67', 'FR'),
(28364, '67110', 'Griesbach', '67', 'FR'),
(28365, '67330', 'Griesbach le Bastberg', '67', 'FR'),
(28366, '67210', 'Griesheim pr�s Molsheim', '67', 'FR'),
(28367, '67370', 'Griesheim sur Souffel', '67', 'FR'),
(28368, '67110', 'Gumbrechtshoffen', '67', 'FR'),
(28369, '67110', 'Gundershoffen', '67', 'FR'),
(28370, '67360', 'Gunstett', '67', 'FR'),
(28371, '67320', 'Gungwiller', '67', 'FR'),
(28372, '67700', 'Haegen', '67', 'FR'),
(28373, '67500', 'Haguenau', '67', 'FR'),
(28374, '67117', 'Handschuheim', '67', 'FR'),
(28375, '67980', 'Hangenbieten', '67', 'FR'),
(28376, '67260', 'Harskirchen', '67', 'FR'),
(28377, '67690', 'Hatten', '67', 'FR'),
(28378, '67330', 'Hattmatt', '67', 'FR'),
(28379, '67360', 'Hegeney', '67', 'FR'),
(28380, '67390', 'Heidolsheim', '67', 'FR'),
(28381, '67190', 'Heiligenberg', '67', 'FR'),
(28382, '67140', 'Heiligenstein', '67', 'FR'),
(28383, '67440', 'Hengwiller', '67', 'FR'),
(28384, '67260', 'Herbitzheim', '67', 'FR'),
(28385, '67230', 'Herbsheim', '67', 'FR'),
(28386, '67250', 'Hermerswiller', '67', 'FR'),
(28387, '67850', 'Herrlisheim', '67', 'FR'),
(28388, '67390', 'Hessenheim', '67', 'FR'),
(28389, '67600', 'Hilsenheim', '67', 'FR'),
(28390, '67150', 'Hindisheim', '67', 'FR'),
(28391, '67290', 'Hinsbourg', '67', 'FR'),
(28392, '67260', 'Hinsingen', '67', 'FR'),
(28393, '67150', 'Hipsheim', '67', 'FR'),
(28394, '67320', 'Hirschland', '67', 'FR'),
(28395, '67270', 'Hochfelden', '67', 'FR'),
(28396, '67170', 'Hochstett', '67', 'FR'),
(28397, '67800', 'Hoenheim', '67', 'FR'),
(28398, '67720', 'Hoerdt', '67', 'FR'),
(28399, '67250', 'Hoffen', '67', 'FR'),
(28400, '67170', 'Hohatzenheim', '67', 'FR'),
(28401, '67310', 'Hohengoeft', '67', 'FR'),
(28402, '67270', 'Hohfrankenheim', '67', 'FR'),
(28403, '67140', 'Le Hohwald', '67', 'FR'),
(28404, '67250', 'Hohwiller', '67', 'FR'),
(28405, '67810', 'Holtzheim', '67', 'FR'),
(28406, '67250', 'Hunspach', '67', 'FR'),
(28407, '67117', 'Hurtigheim', '67', 'FR'),
(28408, '67270', 'Huttendorf', '67', 'FR'),
(28409, '67230', 'Huttenheim', '67', 'FR'),
(28410, '67640', 'Ichtratzheim', '67', 'FR'),
(28411, '67400', 'Illkirch Graffenstaden', '67', 'FR'),
(28412, '67330', 'Imbsheim', '67', 'FR'),
(28413, '67270', 'Ingenheim', '67', 'FR'),
(28414, '67250', 'Ingolsheim', '67', 'FR'),
(28415, '67340', 'Ingwiller', '67', 'FR'),
(28416, '67880', 'Innenheim', '67', 'FR'),
(28417, '67310', 'Irmstett', '67', 'FR'),
(28418, '67330', 'Issenhausen', '67', 'FR'),
(28419, '67117', 'Ittenheim', '67', 'FR'),
(28420, '67140', 'Itterswiller', '67', 'FR'),
(28421, '67370', 'Neugartheim Ittlenheim', '67', 'FR'),
(28422, '67440', 'Jetterswiller', '67', 'FR'),
(28423, '67240', 'Kaltenhouse', '67', 'FR'),
(28424, '67480', 'Kauffenheim', '67', 'FR'),
(28425, '67250', 'Keffenach', '67', 'FR'),
(28426, '67230', 'Kertzfeld', '67', 'FR'),
(28427, '67260', 'Keskastel', '67', 'FR'),
(28428, '67930', 'Kesseldorf', '67', 'FR'),
(28429, '67270', 'Kienheim', '67', 'FR'),
(28430, '67840', 'Kilstett', '67', 'FR'),
(28431, '67350', 'Kindwiller', '67', 'FR'),
(28432, '67600', 'Kintzheim', '67', 'FR'),
(28433, '67520', 'Kirchheim', '67', 'FR'),
(28434, '67320', 'Kirrberg', '67', 'FR'),
(28435, '67330', 'Kirrwiller Bosselshausen', '67', 'FR'),
(28436, '67370', 'Kleinfrankenheim', '67', 'FR'),
(28437, '67440', 'Kleingoeft', '67', 'FR'),
(28438, '67310', 'Knoersheim', '67', 'FR'),
(28439, '67230', 'Kogenheim', '67', 'FR'),
(28440, '67120', 'Kolbsheim', '67', 'FR'),
(28441, '67880', 'Krautergersheim', '67', 'FR'),
(28442, '67170', 'Krautwiller', '67', 'FR'),
(28443, '67170', 'Kriegsheim', '67', 'FR'),
(28444, '67660', 'Kuhlendorf', '67', 'FR'),
(28445, '67240', 'Kurtzenhouse', '67', 'FR'),
(28446, '67520', 'Kuttolsheim', '67', 'FR'),
(28447, '67250', 'Kutzenhausen', '67', 'FR'),
(28448, '67220', 'Lalaye', '67', 'FR'),
(28449, '67450', 'Lampertheim', '67', 'FR'),
(28450, '67250', 'Lampertsloch', '67', 'FR'),
(28451, '67700', 'Landersheim', '67', 'FR'),
(28452, '67360', 'Langensoultzbach', '67', 'FR'),
(28453, '67580', 'Laubach', '67', 'FR'),
(28454, '67630', 'Lauterbourg', '67', 'FR'),
(28455, '67250', 'Leiterswiller', '67', 'FR'),
(28456, '67510', 'Lembach', '67', 'FR'),
(28457, '67480', 'Leutenheim', '67', 'FR'),
(28458, '67340', 'Lichtenberg', '67', 'FR'),
(28459, '67150', 'Limersheim', '67', 'FR'),
(28460, '67380', 'Lingolsheim', '67', 'FR'),
(28461, '67640', 'Lipsheim', '67', 'FR'),
(28462, '67490', 'Littenheim', '67', 'FR'),
(28463, '67270', 'Lixhausen', '67', 'FR'),
(28464, '67250', 'Lobsann', '67', 'FR'),
(28465, '67440', 'Lochwiller', '67', 'FR'),
(28466, '67290', 'Lohr', '67', 'FR'),
(28467, '67430', 'Lorentzen', '67', 'FR'),
(28468, '67490', 'Lupstein', '67', 'FR'),
(28469, '67130', 'Lutzelhouse', '67', 'FR'),
(28470, '67390', 'Mackenheim', '67', 'FR'),
(28471, '67430', 'Mackwiller', '67', 'FR'),
(28472, '67700', 'Maennolsheim', '67', 'FR'),
(28473, '67220', 'Maisonsgoutte', '67', 'FR'),
(28474, '67390', 'Marckolsheim', '67', 'FR'),
(28475, '67520', 'Marlenheim', '67', 'FR'),
(28476, '67440', 'Marmoutier', '67', 'FR'),
(28477, '67510', 'Mattstall', '67', 'FR'),
(28478, '67150', 'Matzenheim', '67', 'FR'),
(28479, '67210', 'Meistratzheim', '67', 'FR'),
(28480, '67270', 'Melsheim', '67', 'FR'),
(28481, '67250', 'Memmelshoffen', '67', 'FR'),
(28482, '67340', 'Menchhoffen', '67', 'FR'),
(28483, '67250', 'Merkwiller Pechelbronn', '67', 'FR'),
(28484, '67580', 'Mertzwiller', '67', 'FR'),
(28485, '67580', 'Mietesheim', '67', 'FR'),
(28486, '67270', 'Minversheim', '67', 'FR'),
(28487, '67360', 'Mitschdorf', '67', 'FR'),
(28488, '67140', 'Mittelbergheim', '67', 'FR'),
(28489, '67206', 'Mittelhausbergen', '67', 'FR'),
(28490, '67170', 'Mittelhausen', '67', 'FR'),
(28491, '67170', 'Mittelschaeffolsheim', '67', 'FR'),
(28492, '67190', 'Mollkirch', '67', 'FR'),
(28493, '67120', 'Molsheim', '67', 'FR'),
(28494, '67670', 'Mommenheim', '67', 'FR'),
(28495, '67700', 'Monswiller', '67', 'FR'),
(28496, '67360', 'Morsbronn les Bains', '67', 'FR'),
(28497, '67350', 'Morschwiller', '67', 'FR'),
(28498, '67470', 'Mothern', '67', 'FR'),
(28499, '67130', 'Muhlbach sur Bruche', '67', 'FR'),
(28500, '67350', 'Mulhausen', '67', 'FR'),
(28501, '67470', 'Munchhausen', '67', 'FR'),
(28502, '67450', 'Mundolsheim', '67', 'FR'),
(28503, '67600', 'Mussig', '67', 'FR'),
(28504, '67600', 'Muttersholtz', '67', 'FR'),
(28505, '67270', 'Mutzenhouse', '67', 'FR'),
(28506, '67190', 'Mutzig', '67', 'FR'),
(28507, '67130', 'Natzwiller', '67', 'FR'),
(28508, '67630', 'Neewiller pr�s Lauterbourg', '67', 'FR'),
(28509, '67220', 'Neubois', '67', 'FR'),
(28510, '67370', 'Neugartheim', '67', 'FR'),
(28511, '67480', 'Neuhaeusel', '67', 'FR'),
(28512, '67220', 'Neuve �glise', '67', 'FR'),
(28513, '67130', 'Neuviller la Roche', '67', 'FR'),
(28514, '67330', 'Neuwiller l�s Saverne', '67', 'FR'),
(28515, '67110', 'Niederbronn les Bains', '67', 'FR'),
(28516, '67280', 'Niederhaslach', '67', 'FR'),
(28517, '67207', 'Niederhausbergen', '67', 'FR'),
(28518, '67630', 'Niederlauterbach', '67', 'FR'),
(28519, '67350', 'Niedermodern', '67', 'FR'),
(28520, '67210', 'Niedernai', '67', 'FR'),
(28521, '67470', 'Niederroedern', '67', 'FR'),
(28522, '67500', 'Niederschaeffolsheim', '67', 'FR'),
(28523, '67160', 'Niederseebach', '67', 'FR'),
(28524, '67330', 'Niedersoultzbach', '67', 'FR'),
(28525, '67510', 'Niedersteinbach', '67', 'FR'),
(28526, '67520', 'Nordheim', '67', 'FR'),
(28527, '67150', 'Nordhouse', '67', 'FR'),
(28528, '67680', 'Nothalten', '67', 'FR'),
(28529, '67230', 'Obenheim', '67', 'FR'),
(28530, '67660', 'Betschdorf', '67', 'FR'),
(28531, '67110', 'Oberbronn', '67', 'FR'),
(28532, '67360', 'Oberdorf Spachbach', '67', 'FR'),
(28533, '67280', 'Oberhaslach', '67', 'FR'),
(28534, '67205', 'Oberhausbergen', '67', 'FR'),
(28535, '67160', 'Oberhoffen l�s Wissembourg', '67', 'FR'),
(28536, '67240', 'Oberhoffen sur Moder', '67', 'FR'),
(28537, '67160', 'Oberlauterbach', '67', 'FR'),
(28538, '67330', 'Obermodern Zutzendorf', '67', 'FR'),
(28539, '67210', 'Obernai', '67', 'FR'),
(28540, '67250', 'Oberroedern', '67', 'FR'),
(28541, '67203', 'Oberschaeffolsheim', '67', 'FR'),
(28542, '67160', 'Seebach', '67', 'FR'),
(28543, '67330', 'Obersoultzbach', '67', 'FR'),
(28544, '67510', 'Obersteinbach', '67', 'FR'),
(28545, '67520', 'Odratzheim', '67', 'FR'),
(28546, '67970', 'Oermingen', '67', 'FR'),
(28547, '67850', 'Offendorf', '67', 'FR'),
(28548, '67370', 'Offenheim', '67', 'FR'),
(28549, '67340', 'Offwiller', '67', 'FR'),
(28550, '67590', 'Ohlungen', '67', 'FR'),
(28551, '67390', 'Ohnenheim', '67', 'FR'),
(28552, '67170', 'Olwisheim', '67', 'FR'),
(28553, '67600', 'Orschwiller', '67', 'FR'),
(28554, '67990', 'Osthoffen', '67', 'FR'),
(28555, '67150', 'Osthouse', '67', 'FR'),
(28556, '67540', 'Ostwald', '67', 'FR'),
(28557, '67700', 'Ottersthal', '67', 'FR'),
(28558, '67700', 'Otterswiller', '67', 'FR'),
(28559, '67530', 'Ottrott', '67', 'FR'),
(28560, '67320', 'Ottwiller', '67', 'FR'),
(28561, '67290', 'Petersbach', '67', 'FR'),
(28562, '67290', 'La Petite Pierre', '67', 'FR'),
(28563, '67350', 'Pfaffenhoffen', '67', 'FR'),
(28564, '67320', 'Pfalzweyer', '67', 'FR'),
(28565, '67370', 'Pfettisheim', '67', 'FR'),
(28566, '67370', 'Pfulgriesheim', '67', 'FR'),
(28567, '67260', 'Bischtroff sur Sarre', '67', 'FR'),
(28568, '67420', 'Plaine', '67', 'FR'),
(28569, '67115', 'Plobsheim', '67', 'FR'),
(28570, '67250', 'Preuschdorf', '67', 'FR'),
(28571, '67490', 'Printzheim', '67', 'FR'),
(28572, '67290', 'Puberg', '67', 'FR'),
(28573, '67117', 'Quatzenheim', '67', 'FR'),
(28574, '67310', 'Rangen', '67', 'FR'),
(28575, '67420', 'Ranrupt', '67', 'FR'),
(28576, '67430', 'Ratzwiller', '67', 'FR'),
(28577, '67320', 'Rauwiller', '67', 'FR'),
(28578, '67140', 'Reichsfeld', '67', 'FR'),
(28579, '67110', 'Reichshoffen', '67', 'FR'),
(28580, '67116', 'Reichstett', '67', 'FR'),
(28581, '67660', 'Reimerswiller', '67', 'FR'),
(28582, '67440', 'Reinhardsmunster', '67', 'FR'),
(28583, '67340', 'Reipertswiller', '67', 'FR'),
(28584, '67370', 'Reitwiller', '67', 'FR'),
(28585, '67250', 'Retschwiller', '67', 'FR'),
(28586, '67440', 'Reutenbourg', '67', 'FR'),
(28587, '67320', 'Rexingen', '67', 'FR'),
(28588, '67860', 'Rhinau', '67', 'FR'),
(28589, '67390', 'Richtolsheim', '67', 'FR'),
(28590, '67330', 'Riedheim', '67', 'FR'),
(28591, '67160', 'Riedseltz', '67', 'FR'),
(28592, '67260', 'Rimsdorf', '67', 'FR'),
(28593, '67350', 'Ringeldorf', '67', 'FR'),
(28594, '67350', 'Ringendorf', '67', 'FR'),
(28595, '67690', 'Rittershoffen', '67', 'FR'),
(28596, '67480', 'Roeschwoog', '67', 'FR'),
(28597, '67270', 'Rohr', '67', 'FR'),
(28598, '67410', 'Rohrwiller', '67', 'FR'),
(28599, '67310', 'Romanswiller', '67', 'FR'),
(28600, '67480', 'Roppenheim', '67', 'FR'),
(28601, '67560', 'Rosenwiller', '67', 'FR'),
(28602, '67190', 'Rosheim', '67', 'FR'),
(28603, '67560', 'Rosheim', '67', 'FR'),
(28604, '67230', 'Rossfeld', '67', 'FR'),
(28605, '67290', 'Rosteig', '67', 'FR'),
(28606, '67570', 'Rothau', '67', 'FR'),
(28607, '67340', 'Rothbach', '67', 'FR'),
(28608, '67160', 'Rott', '67', 'FR'),
(28609, '67170', 'Rottelsheim', '67', 'FR'),
(28610, '67480', 'Rountzenheim', '67', 'FR'),
(28611, '67370', 'Rumersheim', '67', 'FR'),
(28612, '67130', 'Russ', '67', 'FR'),
(28613, '67420', 'Saales', '67', 'FR'),
(28614, '67390', 'Saasenheim', '67', 'FR'),
(28615, '67270', 'Saessolsheim', '67', 'FR'),
(28616, '67420', 'Saint Blaise la Roche', '67', 'FR'),
(28617, '67700', 'Saint Jean Saverne', '67', 'FR'),
(28618, '67220', 'Saint Martin', '67', 'FR'),
(28619, '67220', 'Saint Maurice', '67', 'FR'),
(28620, '67530', 'Saint Nabor', '67', 'FR'),
(28621, '67140', 'Saint Pierre', '67', 'FR'),
(28622, '67220', 'Saint Pierre Bois', '67', 'FR'),
(28623, '67440', 'Salenthal', '67', 'FR'),
(28624, '67160', 'Salmbach', '67', 'FR'),
(28625, '67230', 'Sand', '67', 'FR'),
(28626, '67260', 'Sarre Union', '67', 'FR'),
(28627, '67260', 'Sarrewerden', '67', 'FR'),
(28628, '67420', 'Saulxures', '67', 'FR'),
(28629, '67700', 'Saverne', '67', 'FR'),
(28630, '67150', 'Schaeffersheim', '67', 'FR'),
(28631, '67270', 'Schaffhouse sur Zorn', '67', 'FR'),
(28632, '67470', 'Schaffhouse pr�s Seltz', '67', 'FR'),
(28633, '67350', 'Schalkendorf', '67', 'FR'),
(28634, '67310', 'Scharrachbergheim Irmstett', '67', 'FR'),
(28635, '67630', 'Scheibenhard', '67', 'FR'),
(28636, '67270', 'Scherlenheim', '67', 'FR'),
(28637, '67750', 'Scherwiller', '67', 'FR'),
(28638, '67340', 'Schillersdorf', '67', 'FR'),
(28639, '67300', 'Schiltigheim', '67', 'FR'),
(28640, '67130', 'Schirmeck', '67', 'FR'),
(28641, '67240', 'Schirrhein', '67', 'FR'),
(28642, '67240', 'Schirrhoffen', '67', 'FR'),
(28643, '67160', 'Schleithal', '67', 'FR'),
(28644, '67370', 'Schnersheim', '67', 'FR'),
(28645, '67390', 'Schoenau', '67', 'FR'),
(28646, '67320', 'Schoenbourg', '67', 'FR'),
(28647, '67250', 'Schoenenbourg', '67', 'FR'),
(28648, '67260', 'Schopperten', '67', 'FR'),
(28649, '67660', 'Schwabwiller', '67', 'FR'),
(28650, '67590', 'Schweighouse sur Moder', '67', 'FR'),
(28651, '67440', 'Schwenheim', '67', 'FR'),
(28652, '67270', 'Schwindratzheim', '67', 'FR'),
(28653, '67390', 'Schwobsheim', '67', 'FR'),
(28654, '67600', 'S�lestat', '67', 'FR'),
(28655, '67470', 'Seltz', '67', 'FR'),
(28656, '67230', 'Sermersheim', '67', 'FR'),
(28657, '67770', 'Sessenheim', '67', 'FR'),
(28658, '67160', 'Siegen', '67', 'FR'),
(28659, '67320', 'Siewiller', '67', 'FR'),
(28660, '67260', 'Siltzheim', '67', 'FR'),
(28661, '67440', 'Singrist', '67', 'FR'),
(28662, '67130', 'Solbach', '67', 'FR'),
(28663, '67460', 'Souffelweyersheim', '67', 'FR'),
(28664, '67620', 'Soufflenheim', '67', 'FR'),
(28665, '67120', 'Soultz les Bains', '67', 'FR'),
(28666, '67250', 'Soultz sous For�ts', '67', 'FR'),
(28667, '67340', 'Sparsbach', '67', 'FR'),
(28668, '67770', 'Stattmatten', '67', 'FR'),
(28669, '67220', 'Steige', '67', 'FR'),
(28670, '67790', 'Steinbourg', '67', 'FR'),
(28671, '67160', 'Steinseltz', '67', 'FR'),
(28672, '67190', 'Still', '67', 'FR'),
(28673, '67140', 'Stotzheim', '67', 'FR'),
(28674, '67000', 'Strasbourg', '67', 'FR'),
(28675, '67200', 'Strasbourg', '67', 'FR'),
(28676, '67100', 'Strasbourg', '67', 'FR'),
(28677, '67290', 'Struth', '67', 'FR'),
(28678, '67250', 'Stundwiller', '67', 'FR'),
(28679, '67370', 'Stutzheim Offenheim', '67', 'FR'),
(28680, '67920', 'Sundhouse', '67', 'FR'),
(28681, '67250', 'Surbourg', '67', 'FR'),
(28682, '67320', 'Thal Drulingen', '67', 'FR'),
(28683, '67440', 'Thal Marmoutier', '67', 'FR'),
(28684, '67220', 'Thanvill�', '67', 'FR'),
(28685, '67290', 'Tieffenbach', '67', 'FR'),
(28686, '67310', 'Traenheim', '67', 'FR'),
(28687, '67220', 'Triembach au Val', '67', 'FR'),
(28688, '67470', 'Trimbach', '67', 'FR'),
(28689, '67370', 'Truchtersheim', '67', 'FR'),
(28690, '67350', 'Uberach', '67', 'FR'),
(28691, '67350', 'Uhlwiller', '67', 'FR'),
(28692, '67350', 'Uhrwiller', '67', 'FR'),
(28693, '67220', 'Urbeis', '67', 'FR'),
(28694, '67280', 'Urmatt', '67', 'FR'),
(28695, '67150', 'Uttenheim', '67', 'FR'),
(28696, '67110', 'Uttenhoffen', '67', 'FR'),
(28697, '67330', 'Uttwiller', '67', 'FR'),
(28698, '67210', 'Valff', '67', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(28699, '67730', 'La Vancelle', '67', 'FR'),
(28700, '67550', 'Vendenheim', '67', 'FR'),
(28701, '67220', 'Vill�', '67', 'FR'),
(28702, '67430', 'Voellerdingen', '67', 'FR'),
(28703, '67290', 'Volksberg', '67', 'FR'),
(28704, '67170', 'Wahlenheim', '67', 'FR'),
(28705, '67360', 'Walbourg', '67', 'FR'),
(28706, '67350', 'La Walck', '67', 'FR'),
(28707, '67130', 'Waldersbach', '67', 'FR'),
(28708, '67430', 'Waldhambach', '67', 'FR'),
(28709, '67700', 'Waldolwisheim', '67', 'FR'),
(28710, '67670', 'Waltenheim sur Zorn', '67', 'FR'),
(28711, '67520', 'Wangen', '67', 'FR'),
(28712, '67710', 'Wangenbourg', '67', 'FR'),
(28713, '67610', 'La Wantzenau', '67', 'FR'),
(28714, '67310', 'Wasselonne', '67', 'FR'),
(28715, '67340', 'Weinbourg', '67', 'FR'),
(28716, '67290', 'Weislingen', '67', 'FR'),
(28717, '67500', 'Weitbruch', '67', 'FR'),
(28718, '67340', 'Weiterswiller', '67', 'FR'),
(28719, '67310', 'Westhoffen', '67', 'FR'),
(28720, '67230', 'Westhouse', '67', 'FR'),
(28721, '67440', 'Westhouse Marmoutier', '67', 'FR'),
(28722, '67320', 'Weyer', '67', 'FR'),
(28723, '67720', 'Weyersheim', '67', 'FR'),
(28724, '67270', 'Wickersheim Wilshausen', '67', 'FR'),
(28725, '67130', 'Wildersbach', '67', 'FR'),
(28726, '67370', 'Willgottheim', '67', 'FR'),
(28727, '67270', 'Wilshausen', '67', 'FR'),
(28728, '67270', 'Wilwisheim', '67', 'FR'),
(28729, '67290', 'Wimmenau', '67', 'FR'),
(28730, '67110', 'Windstein', '67', 'FR'),
(28731, '67510', 'Wingen', '67', 'FR'),
(28732, '67290', 'Wingen sur Moder', '67', 'FR'),
(28733, '67170', 'Wingersheim', '67', 'FR'),
(28734, '67590', 'Wintershouse', '67', 'FR'),
(28735, '67470', 'Wintzenbach', '67', 'FR'),
(28736, '67370', 'Wintzenheim Kochersberg', '67', 'FR'),
(28737, '67130', 'Wisches', '67', 'FR'),
(28738, '67160', 'Wissembourg', '67', 'FR'),
(28739, '67230', 'Witternheim', '67', 'FR'),
(28740, '67670', 'Wittersheim', '67', 'FR'),
(28741, '67820', 'Wittisheim', '67', 'FR'),
(28742, '67370', 'Wiwersheim', '67', 'FR'),
(28743, '67370', 'Woellenheim', '67', 'FR'),
(28744, '67360', 'Woerth', '67', 'FR'),
(28745, '67202', 'Wolfisheim', '67', 'FR'),
(28746, '67260', 'Wolfskirchen', '67', 'FR'),
(28747, '67700', 'Wolschheim', '67', 'FR'),
(28748, '67120', 'Wolxheim', '67', 'FR'),
(28749, '67310', 'Zehnacker', '67', 'FR'),
(28750, '67310', 'Zeinheim', '67', 'FR'),
(28751, '67140', 'Zellwiller', '67', 'FR'),
(28752, '67110', 'Zinswiller', '67', 'FR'),
(28753, '67290', 'Zittersheim', '67', 'FR'),
(28754, '67270', 'Zoebersdorf', '67', 'FR'),
(28755, '67260', 'Zollingen', '67', 'FR'),
(28756, '67330', 'Zutzendorf', '67', 'FR'),
(28757, '67320', 'Graufthal', '67', 'FR'),
(28758, '67420', 'Champenay', '67', 'FR'),
(28759, '67710', 'Engenthal', '67', 'FR'),
(28760, '67130', 'Fr�conrupt', '67', 'FR'),
(28761, '67130', 'Hersbach', '67', 'FR'),
(28762, '67370', 'Ittlenheim', '67', 'FR'),
(28763, '67150', 'Krafft', '67', 'FR'),
(28764, '67130', 'Netzenbach', '67', 'FR'),
(28765, '67330', 'Obermodern', '67', 'FR'),
(28766, '67160', 'Oberseebach', '67', 'FR'),
(28767, '67640', 'Ohnheim', '67', 'FR'),
(28768, '67130', 'Steinbach', '67', 'FR'),
(28769, '67220', 'Wagenbach', '67', 'FR'),
(28770, '67130', 'Wackenbach', '67', 'FR'),
(28771, '67530', 'Klingenthal', '67', 'FR'),
(28772, '67500', 'Marienthal', '67', 'FR'),
(28773, '68600', 'Algolsheim', '68', 'FR'),
(28774, '68210', 'Altenach', '68', 'FR'),
(28775, '68760', 'Altenbach', '68', 'FR'),
(28776, '68130', 'Altkirch', '68', 'FR'),
(28777, '68770', 'Ammerschwihr', '68', 'FR'),
(28778, '68210', 'Ammerzwiller', '68', 'FR'),
(28779, '68280', 'Andolsheim', '68', 'FR'),
(28780, '68280', 'Appenwihr', '68', 'FR'),
(28781, '68320', 'Artzenheim', '68', 'FR'),
(28782, '68130', 'Aspach', '68', 'FR'),
(28783, '68700', 'Aspach le Bas', '68', 'FR'),
(28784, '68700', 'Aspach le Haut', '68', 'FR'),
(28785, '68220', 'Attenschwiller', '68', 'FR'),
(28786, '68150', 'Aubure', '68', 'FR'),
(28787, '68390', 'Baldersheim', '68', 'FR'),
(28788, '68740', 'Balgau', '68', 'FR'),
(28789, '68210', 'Ballersdorf', '68', 'FR'),
(28790, '68210', 'Balschwiller', '68', 'FR'),
(28791, '68320', 'Baltzenheim', '68', 'FR'),
(28792, '68490', 'Bantzenheim', '68', 'FR'),
(28793, '68870', 'Bartenheim', '68', 'FR'),
(28794, '68390', 'Battenheim', '68', 'FR'),
(28795, '68980', 'Beblenheim', '68', 'FR'),
(28796, '68210', 'Bellemagny', '68', 'FR'),
(28797, '68480', 'Bendorf', '68', 'FR'),
(28798, '68630', 'Bennwihr', '68', 'FR'),
(28799, '68130', 'Berentzwiller', '68', 'FR'),
(28800, '68750', 'Bergheim', '68', 'FR'),
(28801, '68500', 'Bergholtz', '68', 'FR'),
(28802, '68500', 'Bergholtz Zell', '68', 'FR'),
(28803, '68210', 'Bernwiller', '68', 'FR'),
(28804, '68500', 'Berrwiller', '68', 'FR'),
(28805, '68560', 'Bettendorf', '68', 'FR'),
(28806, '68480', 'Bettlach', '68', 'FR'),
(28807, '68480', 'Biederthal', '68', 'FR'),
(28808, '68600', 'Biesheim', '68', 'FR'),
(28809, '68250', 'Bilzheim', '68', 'FR'),
(28810, '68320', 'Bischwihr', '68', 'FR'),
(28811, '68580', 'Bisel', '68', 'FR'),
(28812, '68620', 'Bitschwiller l�s Thann', '68', 'FR'),
(28813, '68740', 'Blodelsheim', '68', 'FR'),
(28814, '68730', 'Blotzheim', '68', 'FR'),
(28815, '68540', 'Bollwiller', '68', 'FR'),
(28816, '68650', 'Le Bonhomme', '68', 'FR'),
(28817, '68290', 'Bourbach le Bas', '68', 'FR'),
(28818, '68290', 'Bourbach le Haut', '68', 'FR'),
(28819, '68300', 'Bourgfelden', '68', 'FR'),
(28820, '68480', 'Bouxwiller', '68', 'FR'),
(28821, '68210', 'Br�chaumont', '68', 'FR'),
(28822, '68380', 'Breitenbach Haut Rhin', '68', 'FR'),
(28823, '68780', 'Bretten', '68', 'FR'),
(28824, '68720', 'Brinighoffen', '68', 'FR'),
(28825, '68870', 'Brinckheim', '68', 'FR'),
(28826, '68440', 'Bruebach', '68', 'FR'),
(28827, '68350', 'Brunstatt', '68', 'FR'),
(28828, '68210', 'Buethwiller', '68', 'FR'),
(28829, '68530', 'Buhl', '68', 'FR'),
(28830, '68520', 'Burnhaupt le Bas', '68', 'FR'),
(28831, '68520', 'Burnhaupt le Haut', '68', 'FR'),
(28832, '68220', 'Buschwiller', '68', 'FR'),
(28833, '68130', 'Carspach', '68', 'FR'),
(28834, '68700', 'Cernay', '68', 'FR'),
(28835, '68490', 'Chalamp�', '68', 'FR'),
(28836, '68210', 'Chavannes sur l''�tang', '68', 'FR'),
(28837, '68000', 'Colmar', '68', 'FR'),
(28838, '68480', 'Courtavon', '68', 'FR'),
(28839, '68210', 'Dannemarie', '68', 'FR'),
(28840, '68600', 'Dessenheim', '68', 'FR'),
(28841, '68350', 'Didenheim', '68', 'FR'),
(28842, '68780', 'Diefmatten', '68', 'FR'),
(28843, '68440', 'Dietwiller', '68', 'FR'),
(28844, '68290', 'Dolleren', '68', 'FR'),
(28845, '68480', 'Durlinsdorf', '68', 'FR'),
(28846, '68480', 'Durmenach', '68', 'FR'),
(28847, '68320', 'Durrenentzen', '68', 'FR'),
(28848, '68720', 'Eglingen', '68', 'FR'),
(28849, '68420', 'Eguisheim', '68', 'FR'),
(28850, '68210', 'Elbach', '68', 'FR'),
(28851, '68130', 'Emlingen', '68', 'FR'),
(28852, '68720', 'St Bernard', '68', 'FR'),
(28853, '68190', 'Ensisheim', '68', 'FR'),
(28854, '68140', 'Eschbach au Val', '68', 'FR'),
(28855, '68440', 'Eschentzwiller', '68', 'FR'),
(28856, '68210', '�teimbes', '68', 'FR'),
(28857, '68210', 'Falkwiller', '68', 'FR'),
(28858, '68640', 'Feldbach', '68', 'FR'),
(28859, '68540', 'Feldkirch', '68', 'FR'),
(28860, '68470', 'Fellering', '68', 'FR'),
(28861, '68480', 'Ferrette', '68', 'FR'),
(28862, '68740', 'Fessenheim', '68', 'FR'),
(28863, '68480', 'Fislis', '68', 'FR'),
(28864, '68720', 'Flaxlanden', '68', 'FR'),
(28865, '68220', 'Folgensbourg', '68', 'FR'),
(28866, '68320', 'Fortschwihr', '68', 'FR'),
(28867, '68130', 'Franken', '68', 'FR'),
(28868, '68240', 'Fr�land', '68', 'FR'),
(28869, '68580', 'Friesen', '68', 'FR'),
(28870, '68720', 'Froeningen', '68', 'FR'),
(28871, '68210', 'Fulleren', '68', 'FR'),
(28872, '68990', 'Galfingue', '68', 'FR'),
(28873, '68690', 'Geishouse', '68', 'FR'),
(28874, '68510', 'Geispitzen', '68', 'FR'),
(28875, '68600', 'Geiswasser', '68', 'FR'),
(28876, '68210', 'Gildwiller', '68', 'FR'),
(28877, '68760', 'Goldbach Altenbach', '68', 'FR'),
(28878, '68210', 'Gommersdorf', '68', 'FR'),
(28879, '68960', 'Grentzingen', '68', 'FR'),
(28880, '68140', 'Griesbach au Val', '68', 'FR'),
(28881, '68320', 'Grussenheim', '68', 'FR'),
(28882, '68420', 'Gueberschwihr', '68', 'FR'),
(28883, '68500', 'Guebwiller', '68', 'FR'),
(28884, '68970', 'Gu�mar', '68', 'FR'),
(28885, '68210', 'Guevenatten', '68', 'FR'),
(28886, '68116', 'Guewenheim', '68', 'FR'),
(28887, '68250', 'Gundolsheim', '68', 'FR'),
(28888, '68140', 'Gunsbach', '68', 'FR'),
(28889, '68440', 'Habsheim', '68', 'FR'),
(28890, '68210', 'Hagenbach', '68', 'FR'),
(28891, '68220', 'Hagenthal le Bas', '68', 'FR'),
(28892, '68220', 'Hagenthal le Haut', '68', 'FR'),
(28893, '68500', 'Hartmannswiller', '68', 'FR'),
(28894, '68420', 'Hattstatt', '68', 'FR'),
(28895, '68130', 'Hausgauen', '68', 'FR'),
(28896, '68210', 'Hecken', '68', 'FR'),
(28897, '68220', 'H�genheim', '68', 'FR'),
(28898, '68720', 'Heidwiller', '68', 'FR'),
(28899, '68560', 'Heimersdorf', '68', 'FR'),
(28900, '68990', 'Heimsbrunn', '68', 'FR'),
(28901, '68600', 'Heiteren', '68', 'FR'),
(28902, '68130', 'Heiwiller', '68', 'FR'),
(28903, '68510', 'Helfrantzkirch', '68', 'FR'),
(28904, '68960', 'Henflingen', '68', 'FR'),
(28905, '68420', 'Herrlisheim pr�s Colmar', '68', 'FR'),
(28906, '68220', 'H�singue', '68', 'FR'),
(28907, '68600', 'Hettenschlag', '68', 'FR'),
(28908, '68580', 'Hindlingen', '68', 'FR'),
(28909, '68560', 'Hirsingue', '68', 'FR'),
(28910, '68118', 'Hirtzbach', '68', 'FR'),
(28911, '68740', 'Hirtzfelden', '68', 'FR'),
(28912, '68720', 'Hochstatt', '68', 'FR'),
(28913, '68140', 'Hohrod', '68', 'FR'),
(28914, '68320', 'Holtzwihr', '68', 'FR'),
(28915, '68490', 'Hombourg', '68', 'FR'),
(28916, '68180', 'Horbourg Wihr', '68', 'FR'),
(28917, '68125', 'Houssen', '68', 'FR'),
(28918, '68150', 'Hunawihr', '68', 'FR'),
(28919, '68130', 'Hundsbach', '68', 'FR'),
(28920, '68330', 'Huningue', '68', 'FR'),
(28921, '68420', 'Husseren les Ch�teaux', '68', 'FR'),
(28922, '68470', 'Husseren Wesserling', '68', 'FR'),
(28923, '68720', 'Illfurth', '68', 'FR'),
(28924, '68970', 'Illhaeusern', '68', 'FR'),
(28925, '68110', 'Illzach', '68', 'FR'),
(28926, '68040', 'Ingersheim', '68', 'FR'),
(28927, '68500', 'Issenheim', '68', 'FR'),
(28928, '68320', 'Jebsheim', '68', 'FR'),
(28929, '68130', 'Jettingen', '68', 'FR'),
(28930, '68500', 'Jungholtz', '68', 'FR'),
(28931, '68510', 'Kappelen', '68', 'FR'),
(28932, '68230', 'Katzenthal', '68', 'FR'),
(28933, '68240', 'Kaysersberg', '68', 'FR'),
(28934, '68680', 'Kembs', '68', 'FR'),
(28935, '68240', 'Kientzheim', '68', 'FR'),
(28936, '68480', 'Kiffis', '68', 'FR'),
(28937, '68260', 'Kingersheim', '68', 'FR'),
(28938, '68290', 'Kirchberg', '68', 'FR'),
(28939, '68220', 'Knoeringue', '68', 'FR'),
(28940, '68480', 'Koestlach', '68', 'FR'),
(28941, '68510', 'Koetzingue', '68', 'FR'),
(28942, '68820', 'Kruth', '68', 'FR'),
(28943, '68320', 'Kunheim', '68', 'FR'),
(28944, '68910', 'Labaroche', '68', 'FR'),
(28945, '68440', 'Landser', '68', 'FR'),
(28946, '68650', 'Lapoutroie', '68', 'FR'),
(28947, '68580', 'Largitzen', '68', 'FR'),
(28948, '68610', 'Lautenbach', '68', 'FR'),
(28949, '68610', 'Lautenbachzell', '68', 'FR'),
(28950, '68290', 'Lauw', '68', 'FR'),
(28951, '68800', 'Leimbach', '68', 'FR'),
(28952, '68480', 'L�voncourt', '68', 'FR'),
(28953, '68220', 'Leymen', '68', 'FR'),
(28954, '68220', 'Liebenswiller', '68', 'FR'),
(28955, '68480', 'Liebsdorf', '68', 'FR'),
(28956, '68660', 'Li�pvre', '68', 'FR'),
(28957, '68480', 'Ligsdorf', '68', 'FR'),
(28958, '68480', 'Linsdorf', '68', 'FR'),
(28959, '68610', 'Linthal', '68', 'FR'),
(28960, '68280', 'Logelheim', '68', 'FR'),
(28961, '68480', 'Lucelle', '68', 'FR'),
(28962, '68720', 'Luemschwiller', '68', 'FR'),
(28963, '68210', 'Valdieu Lutran', '68', 'FR'),
(28964, '68140', 'Luttenbach pr�s Munster', '68', 'FR'),
(28965, '68480', 'Lutter', '68', 'FR'),
(28966, '68460', 'Lutterbach', '68', 'FR'),
(28967, '68210', 'Magny', '68', 'FR'),
(28968, '68510', 'Magstatt le Bas', '68', 'FR'),
(28969, '68510', 'Magstatt le Haut', '68', 'FR'),
(28970, '68550', 'Malmerspach', '68', 'FR'),
(28971, '68210', 'Manspach', '68', 'FR'),
(28972, '68290', 'Masevaux', '68', 'FR'),
(28973, '68210', 'Mertzen', '68', 'FR'),
(28974, '68500', 'Merxheim', '68', 'FR'),
(28975, '68380', 'Metzeral', '68', 'FR'),
(28976, '68890', 'Meyenheim', '68', 'FR'),
(28977, '68700', 'Michelbach', '68', 'FR'),
(28978, '68730', 'Michelbach le Bas', '68', 'FR'),
(28979, '68220', 'Michelbach le Haut', '68', 'FR'),
(28980, '68630', 'Mittelwihr', '68', 'FR'),
(28981, '68380', 'Mittlach', '68', 'FR'),
(28982, '68470', 'Mitzach', '68', 'FR'),
(28983, '68480', 'Moernach', '68', 'FR'),
(28984, '68470', 'Mollau', '68', 'FR'),
(28985, '68210', 'Montreux Jeune', '68', 'FR'),
(28986, '68210', 'Montreux Vieux', '68', 'FR'),
(28987, '68580', 'Mooslargue', '68', 'FR'),
(28988, '68690', 'Moosch', '68', 'FR'),
(28989, '68790', 'Morschwiller le Bas', '68', 'FR'),
(28990, '68780', 'Mortzwiller', '68', 'FR'),
(28991, '68640', 'Moyen Muespach', '68', 'FR'),
(28992, '68640', 'Muespach', '68', 'FR'),
(28993, '68640', 'Muespach le Haut', '68', 'FR'),
(28994, '68380', 'Muhlbach sur Munster', '68', 'FR'),
(28995, '68100', 'Mulhouse', '68', 'FR'),
(28996, '68200', 'Mulhouse', '68', 'FR'),
(28997, '68740', 'Munchhouse', '68', 'FR'),
(28998, '68140', 'Munster', '68', 'FR'),
(28999, '68320', 'Muntzenheim', '68', 'FR'),
(29000, '68250', 'Munwiller', '68', 'FR'),
(29001, '68530', 'Murbach', '68', 'FR'),
(29002, '68740', 'Nambsheim', '68', 'FR'),
(29003, '68600', 'Neuf Brisach', '68', 'FR'),
(29004, '68220', 'Neuwiller', '68', 'FR'),
(29005, '68290', 'Niederbruck', '68', 'FR'),
(29006, '68250', 'Niederentzen', '68', 'FR'),
(29007, '68127', 'Niederhergheim', '68', 'FR'),
(29008, '68580', 'Niederlarg', '68', 'FR'),
(29009, '68230', 'Niedermorschwihr', '68', 'FR'),
(29010, '68680', 'Niffer', '68', 'FR'),
(29011, '68290', 'Oberbruck', '68', 'FR'),
(29012, '68960', 'Oberdorf', '68', 'FR'),
(29013, '68250', 'Oberentzen', '68', 'FR'),
(29014, '68127', 'Oberhergheim', '68', 'FR'),
(29015, '68480', 'Oberlarg', '68', 'FR'),
(29016, '68420', 'Obermorschwihr', '68', 'FR'),
(29017, '68130', 'Obermorschwiller', '68', 'FR'),
(29018, '68600', 'Obersaasheim', '68', 'FR'),
(29019, '68830', 'Oderen', '68', 'FR'),
(29020, '68480', 'Oltingue', '68', 'FR'),
(29021, '68370', 'Orbey', '68', 'FR'),
(29022, '68500', 'Orschwihr', '68', 'FR'),
(29023, '68570', 'Osenbach', '68', 'FR'),
(29024, '68150', 'Ostheim', '68', 'FR'),
(29025, '68490', 'Ottmarsheim', '68', 'FR'),
(29026, '68490', 'Petit Landau', '68', 'FR'),
(29027, '68250', 'Pfaffenheim', '68', 'FR'),
(29028, '68120', 'Pfastatt', '68', 'FR'),
(29029, '68480', 'Pfetterhouse', '68', 'FR'),
(29030, '68840', 'Pulversheim', '68', 'FR'),
(29031, '68480', 'Raedersdorf', '68', 'FR'),
(29032, '68190', 'Raedersheim', '68', 'FR'),
(29033, '68800', 'Rammersmatt', '68', 'FR'),
(29034, '68470', 'Ranspach', '68', 'FR'),
(29035, '68730', 'Ranspach le Bas', '68', 'FR'),
(29036, '68220', 'Ranspach le Haut', '68', 'FR'),
(29037, '68510', 'Rantzwiller', '68', 'FR'),
(29038, '68890', 'Reguisheim', '68', 'FR'),
(29039, '68950', 'Reiningue', '68', 'FR'),
(29040, '68210', 'Retzwiller', '68', 'FR'),
(29041, '68150', 'Ribeauvill�', '68', 'FR'),
(29042, '68120', 'Richwiller', '68', 'FR'),
(29043, '68400', 'Riedisheim', '68', 'FR'),
(29044, '68320', 'Riedwihr', '68', 'FR'),
(29045, '68640', 'Riespach', '68', 'FR'),
(29046, '68500', 'Rimbach pr�s Guebwiller', '68', 'FR'),
(29047, '68290', 'Rimbach pr�s Masevaux', '68', 'FR'),
(29048, '68500', 'Rimbachzell', '68', 'FR'),
(29049, '68340', 'Riquewihr', '68', 'FR'),
(29050, '68170', 'Rixheim', '68', 'FR'),
(29051, '68800', 'Roderen', '68', 'FR'),
(29052, '68590', 'Rodern', '68', 'FR'),
(29053, '68740', 'Roggenhouse', '68', 'FR'),
(29054, '68210', 'Romagny', '68', 'FR'),
(29055, '68660', 'Rombach le Franc', '68', 'FR'),
(29056, '68480', 'Roppentzwiller', '68', 'FR'),
(29057, '68590', 'Rorschwihr', '68', 'FR'),
(29058, '68128', 'Rosenau', '68', 'FR'),
(29059, '68250', 'Rouffach', '68', 'FR'),
(29060, '68560', 'Ruederbach', '68', 'FR'),
(29061, '68270', 'Ruelisheim', '68', 'FR'),
(29062, '68740', 'Rustenhart', '68', 'FR'),
(29063, '68740', 'Rumersheim le Haut', '68', 'FR'),
(29064, '68550', 'Saint Amarin', '68', 'FR'),
(29065, '68210', 'Saint Cosme', '68', 'FR'),
(29066, '68160', 'Sainte Croix aux Mines', '68', 'FR'),
(29067, '68127', 'Sainte Croix en Plaine', '68', 'FR'),
(29068, '68590', 'Saint Hippolyte', '68', 'FR'),
(29069, '68128', 'Saint Louis', '68', 'FR'),
(29070, '68300', 'Saint Louis', '68', 'FR'),
(29071, '68160', 'Sainte Marie aux Mines', '68', 'FR'),
(29072, '68210', 'Saint Ulrich', '68', 'FR'),
(29073, '68390', 'Sausheim', '68', 'FR'),
(29074, '68440', 'Schlierbach', '68', 'FR'),
(29075, '68520', 'Schweighouse Thann', '68', 'FR'),
(29076, '68130', 'Schwoben', '68', 'FR'),
(29077, '68780', 'Sentheim', '68', 'FR'),
(29078, '68580', 'Seppois le Bas', '68', 'FR'),
(29079, '68580', 'Seppois le Haut', '68', 'FR'),
(29080, '68290', 'Sewen', '68', 'FR'),
(29081, '68290', 'Sickert', '68', 'FR'),
(29082, '68510', 'Sierentz', '68', 'FR'),
(29083, '68240', 'Sigolsheim', '68', 'FR'),
(29084, '68380', 'Sondernach', '68', 'FR'),
(29085, '68480', 'Sondersdorf', '68', 'FR'),
(29086, '68780', 'Soppe le Bas', '68', 'FR'),
(29087, '68780', 'Soppe le Haut', '68', 'FR'),
(29088, '68360', 'Soultz Haut Rhin', '68', 'FR'),
(29089, '68230', 'Soultzbach les Bains', '68', 'FR'),
(29090, '68140', 'Soultzeren', '68', 'FR'),
(29091, '68570', 'Soultzmatt', '68', 'FR'),
(29092, '68720', 'Spechbach le Bas', '68', 'FR'),
(29093, '68720', 'Spechbach le Haut', '68', 'FR'),
(29094, '68850', 'Staffelfelden', '68', 'FR'),
(29095, '68700', 'Steinbach', '68', 'FR'),
(29096, '68440', 'Steinbrunn le Bas', '68', 'FR'),
(29097, '68440', 'Steinbrunn le Haut', '68', 'FR'),
(29098, '68640', 'Steinsoultz', '68', 'FR'),
(29099, '68780', 'Sternenberg', '68', 'FR'),
(29100, '68510', 'Stetten', '68', 'FR'),
(29101, '68470', 'Storckensohn', '68', 'FR'),
(29102, '68140', 'Stosswihr', '68', 'FR'),
(29103, '68580', 'Strueth', '68', 'FR'),
(29104, '68280', 'Sundhoffen', '68', 'FR'),
(29105, '68720', 'Tagolsheim', '68', 'FR'),
(29106, '68130', 'Tagsdorf', '68', 'FR'),
(29107, '68800', 'Thann', '68', 'FR'),
(29108, '68590', 'Thannenkirch', '68', 'FR'),
(29109, '68210', 'Traubach le Bas', '68', 'FR'),
(29110, '68210', 'Traubach le Haut', '68', 'FR'),
(29111, '68230', 'Turckheim', '68', 'FR'),
(29112, '68210', 'Ueberkumen', '68', 'FR'),
(29113, '68580', 'Ueberstrass', '68', 'FR'),
(29114, '68510', 'Uffheim', '68', 'FR'),
(29115, '68700', 'Uffholtz', '68', 'FR'),
(29116, '68190', 'Ungersheim', '68', 'FR'),
(29117, '68121', 'Urb�s', '68', 'FR'),
(29118, '68320', 'Urschenheim', '68', 'FR'),
(29119, '68210', 'Valdieu', '68', 'FR'),
(29120, '68480', 'Vieux Ferrette', '68', 'FR'),
(29121, '68800', 'Vieux Thann', '68', 'FR'),
(29122, '68128', 'Village Neuf', '68', 'FR'),
(29123, '68420', 'Voegtlinshoffen', '68', 'FR'),
(29124, '68600', 'Vogelgrun', '68', 'FR'),
(29125, '68600', 'Volgelsheim', '68', 'FR'),
(29126, '68130', 'Wahlbach', '68', 'FR'),
(29127, '68230', 'Walbach', '68', 'FR'),
(29128, '68640', 'Waldighofen', '68', 'FR'),
(29129, '68130', 'Walheim', '68', 'FR'),
(29130, '68510', 'Waltenheim', '68', 'FR'),
(29131, '68230', 'Wasserbourg', '68', 'FR'),
(29132, '68700', 'Wattwiller', '68', 'FR'),
(29133, '68600', 'Weckolsheim', '68', 'FR'),
(29134, '68290', 'Wegscheid', '68', 'FR'),
(29135, '68220', 'Wentzwiller', '68', 'FR'),
(29136, '68480', 'Werentzhouse', '68', 'FR'),
(29137, '68250', 'Westhalten', '68', 'FR'),
(29138, '68920', 'Wettolsheim', '68', 'FR'),
(29139, '68320', 'Wickerschwihr', '68', 'FR'),
(29140, '68320', 'Widensohlen', '68', 'FR'),
(29141, '68230', 'Wihr au Val', '68', 'FR'),
(29142, '68180', 'Wihr en Plaine', '68', 'FR'),
(29143, '68820', 'Wildenstein', '68', 'FR'),
(29144, '68960', 'Willer', '68', 'FR'),
(29145, '68760', 'Willer sur Thur', '68', 'FR'),
(29146, '68480', 'Winkel', '68', 'FR'),
(29147, '68920', 'Wintzenheim', '68', 'FR'),
(29148, '68310', 'Wittelsheim', '68', 'FR'),
(29149, '68270', 'Wittenheim', '68', 'FR'),
(29150, '68130', 'Wittersdorf', '68', 'FR'),
(29151, '68210', 'Wolfersdorf', '68', 'FR'),
(29152, '68600', 'Wolfgantzen', '68', 'FR'),
(29153, '68480', 'Wolschwiller', '68', 'FR'),
(29154, '68500', 'Wuenheim', '68', 'FR'),
(29155, '68130', 'Zaessingue', '68', 'FR'),
(29156, '68340', 'Zellenberg', '68', 'FR'),
(29157, '68720', 'Zillisheim', '68', 'FR'),
(29158, '68230', 'Zimmerbach', '68', 'FR'),
(29159, '68440', 'Zimmersheim', '68', 'FR'),
(29160, '68410', 'Trois �pis', '68', 'FR'),
(29161, '68570', 'Wintzfelden', '68', 'FR'),
(29162, '68124', 'Logelbach', '68', 'FR'),
(29163, '68160', '�chery', '68', 'FR'),
(29164, '69170', 'Affoux', '69', 'FR'),
(29165, '69790', 'Aigueperse', '69', 'FR'),
(29166, '69250', 'Albigny sur Sa�ne', '69', 'FR'),
(29167, '69380', 'Alix', '69', 'FR'),
(29168, '69480', 'Amb�rieux', '69', 'FR'),
(29169, '69550', 'Amplepuis', '69', 'FR'),
(29170, '69420', 'Ampuis', '69', 'FR'),
(29171, '69490', 'Ancy', '69', 'FR'),
(29172, '69480', 'Anse', '69', 'FR'),
(29173, '69210', 'L''Arbresle', '69', 'FR'),
(29174, '69460', 'Arbuissonnas', '69', 'FR'),
(29175, '69430', 'Les Ardillats', '69', 'FR'),
(29176, '69400', 'Arnas', '69', 'FR'),
(29177, '69610', 'Aveize', '69', 'FR'),
(29178, '69430', 'Avenas', '69', 'FR'),
(29179, '69790', 'Azolette', '69', 'FR'),
(29180, '69620', 'Bagnols', '69', 'FR'),
(29181, '69430', 'Beaujeu', '69', 'FR'),
(29182, '69220', 'Belleville', '69', 'FR'),
(29183, '69380', 'Belmont', '69', 'FR'),
(29184, '69690', 'Bessenay', '69', 'FR'),
(29185, '69690', 'Bibost', '69', 'FR'),
(29186, '69460', 'Blac�', '69', 'FR'),
(29187, '69620', 'Le Bois d''Oingt', '69', 'FR'),
(29188, '69240', 'Bourg de Thizy', '69', 'FR'),
(29189, '69620', 'Le Breuil', '69', 'FR'),
(29190, '69530', 'Brignais', '69', 'FR'),
(29191, '69126', 'Brindas', '69', 'FR'),
(29192, '69500', 'Bron', '69', 'FR'),
(29193, '69690', 'Brullioles', '69', 'FR'),
(29194, '69690', 'Brussieu', '69', 'FR'),
(29195, '69210', 'Bully', '69', 'FR'),
(29196, '69270', 'Cailloux sur Fontaines', '69', 'FR'),
(29197, '69300', 'Caluire et Cuire', '69', 'FR'),
(29198, '69840', 'Cenves', '69', 'FR'),
(29199, '69220', 'Cerci�', '69', 'FR'),
(29200, '69870', 'Chambost Alli�res', '69', 'FR'),
(29201, '69770', 'Chambost Longessaigne', '69', 'FR'),
(29202, '69620', 'Chamelet', '69', 'FR'),
(29203, '69410', 'Champagne au Mont d''Or', '69', 'FR'),
(29204, '69240', 'La Chapelle de Mardore', '69', 'FR'),
(29205, '69590', 'La Chapelle sur Coise', '69', 'FR'),
(29206, '69630', 'Chaponost', '69', 'FR'),
(29207, '69260', 'Charbonni�res les Bains', '69', 'FR'),
(29208, '69220', 'Charentay', '69', 'FR'),
(29209, '69390', 'Charly', '69', 'FR'),
(29210, '69380', 'Charnay', '69', 'FR'),
(29211, '69700', 'Chassagny', '69', 'FR'),
(29212, '69380', 'Chasselay', '69', 'FR'),
(29213, '69380', 'Ch�tillon', '69', 'FR'),
(29214, '69440', 'Chaussan', '69', 'FR'),
(29215, '69380', 'Chazay d''Azergues', '69', 'FR'),
(29216, '69840', 'Ch�nas', '69', 'FR'),
(29217, '69430', 'Ch�nelette', '69', 'FR'),
(29218, '69380', 'Les Ch�res', '69', 'FR'),
(29219, '69380', 'Chessy', '69', 'FR'),
(29220, '69210', 'Chevinay', '69', 'FR'),
(29221, '69115', 'Chiroubles', '69', 'FR'),
(29222, '69380', 'Civrieux d''Azergues', '69', 'FR'),
(29223, '69870', 'Claveisolles', '69', 'FR'),
(29224, '69640', 'Cogny', '69', 'FR'),
(29225, '69590', 'Coise', '69', 'FR'),
(29226, '69660', 'Collonges au Mont d''Or', '69', 'FR'),
(29227, '69420', 'Condrieu', '69', 'FR'),
(29228, '69220', 'Corcelles en Beaujolais', '69', 'FR'),
(29229, '69470', 'Cours la Ville', '69', 'FR'),
(29230, '69690', 'Courzieu', '69', 'FR'),
(29231, '69270', 'Couzon au Mont d''Or', '69', 'FR'),
(29232, '69290', 'Craponne', '69', 'FR'),
(29233, '69550', 'Cublize', '69', 'FR'),
(29234, '69250', 'Curis au Mont d''Or', '69', 'FR'),
(29235, '69570', 'Dardilly', '69', 'FR'),
(29236, '69490', 'Dareiz�', '69', 'FR'),
(29237, '69640', 'Denic�', '69', 'FR'),
(29238, '69170', 'Di�me', '69', 'FR'),
(29239, '69380', 'Dommartin', '69', 'FR'),
(29240, '69220', 'Drac�', '69', 'FR'),
(29241, '69850', 'Duerne', '69', 'FR'),
(29242, '69430', 'Durette', '69', 'FR'),
(29243, '69700', '�chalas', '69', 'FR'),
(29244, '69130', '�cully', '69', 'FR'),
(29245, '69840', '�meringes', '69', 'FR'),
(29246, '69210', '�veux', '69', 'FR'),
(29247, '69820', 'Fleurie', '69', 'FR'),
(29248, '69250', 'Fleurieu sur Sa�ne', '69', 'FR'),
(29249, '69210', 'Fleurieux sur l''Arbresle', '69', 'FR'),
(29250, '69270', 'Fontaines Saint Martin', '69', 'FR'),
(29251, '69270', 'Fontaines sur Sa�ne', '69', 'FR'),
(29252, '69340', 'Francheville', '69', 'FR'),
(29253, '69620', 'Frontenas', '69', 'FR'),
(29254, '69700', 'Givors', '69', 'FR'),
(29255, '69400', 'Gleiz�', '69', 'FR'),
(29256, '69870', 'Grandris', '69', 'FR'),
(29257, '69290', 'Gr�zieu la Varenne', '69', 'FR'),
(29258, '69610', 'Gr�zieu le March�', '69', 'FR'),
(29259, '69520', 'Grigny', '69', 'FR'),
(29260, '69420', 'Les Haies', '69', 'FR'),
(29261, '69610', 'Les Halles', '69', 'FR'),
(29262, '69610', 'Haute Rivoire', '69', 'FR'),
(29263, '69540', 'Irigny', '69', 'FR'),
(29264, '69640', 'Jarnioux', '69', 'FR'),
(29265, '69170', 'Joux', '69', 'FR'),
(29266, '69840', 'Juli�nas', '69', 'FR'),
(29267, '69840', 'Julli�', '69', 'FR'),
(29268, '69640', 'Lacenas', '69', 'FR'),
(29269, '69480', 'Lachassagne', '69', 'FR'),
(29270, '69870', 'Lamure sur Azergues', '69', 'FR'),
(29271, '69220', 'Lanci�', '69', 'FR'),
(29272, '69430', 'Lantigni�', '69', 'FR'),
(29273, '69590', 'Larajasse', '69', 'FR'),
(29274, '69620', 'L�gny', '69', 'FR'),
(29275, '69210', 'Lentilly', '69', 'FR'),
(29276, '69620', 'L�tra', '69', 'FR'),
(29277, '69400', 'Liergues', '69', 'FR'),
(29278, '69400', 'Limas', '69', 'FR'),
(29279, '69760', 'Limonest', '69', 'FR'),
(29280, '69380', 'Lissieu', '69', 'FR'),
(29281, '69700', 'Loire sur Rh�ne', '69', 'FR'),
(29282, '69420', 'Longes', '69', 'FR'),
(29283, '69770', 'Longessaigne', '69', 'FR'),
(29284, '69380', 'Lozanne', '69', 'FR'),
(29285, '69480', 'Lucenay', '69', 'FR'),
(29287, '69430', 'Marchampt', '69', 'FR'),
(29288, '69380', 'Marcilly d''Azergues', '69', 'FR'),
(29289, '69480', 'Marcy', '69', 'FR'),
(29290, '69280', 'Marcy l''�toile', '69', 'FR'),
(29291, '69240', 'Mardore', '69', 'FR'),
(29292, '69240', 'Marnand', '69', 'FR'),
(29293, '69550', 'Meaux la Montagne', '69', 'FR'),
(29294, '69510', 'Messimy', '69', 'FR'),
(29295, '69610', 'Meys', '69', 'FR'),
(29296, '69390', 'Millery', '69', 'FR'),
(29297, '69620', 'Moir�', '69', 'FR'),
(29298, '69860', 'Monsols', '69', 'FR'),
(29299, '69700', 'Montagny', '69', 'FR'),
(29300, '69640', 'Montm�las Saint Sorlin', '69', 'FR'),
(29301, '69610', 'Montromant', '69', 'FR'),
(29302, '69770', 'Montrottier', '69', 'FR'),
(29303, '69480', 'Moranc�', '69', 'FR'),
(29304, '69440', 'Mornant', '69', 'FR'),
(29305, '69350', 'La Mulati�re', '69', 'FR'),
(29306, '69250', 'Neuville sur Sa�ne', '69', 'FR'),
(29307, '69210', 'Nuelles', '69', 'FR'),
(29308, '69460', 'Odenas', '69', 'FR'),
(29309, '69620', 'Oingt', '69', 'FR'),
(29310, '69490', 'Les Olmes', '69', 'FR'),
(29311, '69530', 'Orli�nas', '69', 'FR'),
(29312, '69600', 'Oullins', '69', 'FR'),
(29313, '69860', 'Ouroux', '69', 'FR'),
(29314, '69460', 'Le Perr�on', '69', 'FR'),
(29315, '69310', 'Pierre B�nite', '69', 'FR'),
(29316, '69250', 'Poleymieux au Mont d''Or', '69', 'FR'),
(29317, '69290', 'Pollionnay', '69', 'FR'),
(29318, '69590', 'Pomeys', '69', 'FR'),
(29319, '69480', 'Pommiers', '69', 'FR'),
(29320, '69490', 'Pontcharra sur Turdine', '69', 'FR'),
(29321, '69240', 'Pont Trambouze', '69', 'FR'),
(29322, '69400', 'Pouilly le Monial', '69', 'FR'),
(29323, '69870', 'Poule l�s �charmeaux', '69', 'FR'),
(29324, '69790', 'Propi�res', '69', 'FR'),
(29325, '69430', 'Quinci� en Beaujolais', '69', 'FR'),
(29326, '69650', 'Quincieux', '69', 'FR'),
(29327, '69470', 'Ranchal', '69', 'FR'),
(29328, '69430', 'R�gni� Durette', '69', 'FR'),
(29329, '69440', 'Riverie', '69', 'FR'),
(29330, '69640', 'Rivolet', '69', 'FR'),
(29331, '69270', 'Rochetaill�e sur Sa�ne', '69', 'FR'),
(29332, '69550', 'Ronno', '69', 'FR'),
(29333, '69510', 'Rontalon', '69', 'FR'),
(29334, '69210', 'Sain Bel', '69', 'FR'),
(29335, '69460', 'Salles Arbuissonnas en Beaujolais', '69', 'FR'),
(29336, '69490', 'Sarcey', '69', 'FR'),
(29337, '69170', 'Sauvages', '69', 'FR'),
(29338, '69210', 'Savigny', '69', 'FR'),
(29339, '69510', 'Soucieu en Jarrest', '69', 'FR'),
(29340, '69210', 'Sourcieux les Mines', '69', 'FR'),
(29341, '69610', 'Souzy', '69', 'FR'),
(29342, '69700', 'Saint And�ol le Ch�teau', '69', 'FR'),
(29343, '69440', 'Saint Andr� la C�te', '69', 'FR'),
(29344, '69170', 'Saint Appolinaire', '69', 'FR'),
(29345, '69790', 'Saint Bonnet des Bruy�res', '69', 'FR'),
(29346, '69870', 'Saint Bonnet le Troncy', '69', 'FR'),
(29347, '69440', 'Ste Catherine', '69', 'FR'),
(29348, '69860', 'St Christophe', '69', 'FR'),
(29349, '69790', 'Saint Cl�ment de Vers', '69', 'FR'),
(29350, '69930', 'Saint Cl�ment les Places', '69', 'FR'),
(29351, '69170', 'Saint Cl�ment sur Valsonne', '69', 'FR'),
(29352, '69560', 'Sainte Colombe', '69', 'FR'),
(29353, '69280', 'Sainte Consorce', '69', 'FR'),
(29354, '69450', 'Saint Cyr au Mont d''Or', '69', 'FR'),
(29355, '69870', 'Saint Cyr le Chatoux', '69', 'FR'),
(29356, '69560', 'Saint Cyr sur le Rh�ne', '69', 'FR'),
(29357, '69370', 'Saint Didier au Mont d''Or', '69', 'FR'),
(29358, '69440', 'Saint Didier sous Riverie', '69', 'FR'),
(29359, '69430', 'Saint Didier sur Beaujeu', '69', 'FR'),
(29360, '69460', 'Saint �tienne des Oulli�res', '69', 'FR'),
(29361, '69460', 'Saint �tienne la Varenne', '69', 'FR'),
(29362, '69190', 'Saint Fons', '69', 'FR'),
(29363, '69490', 'Saint Forgeux', '69', 'FR'),
(29364, '69610', 'Sainte Foy l''Argenti�re', '69', 'FR'),
(29365, '69110', 'Sainte Foy l�s Lyon', '69', 'FR'),
(29366, '69610', 'Saint Genis l''Argenti�re', '69', 'FR'),
(29367, '69230', 'Saint Genis Laval', '69', 'FR'),
(29368, '69290', 'Saint Genis les Olli�res', '69', 'FR'),
(29369, '69830', 'Saint Georges de Reneins', '69', 'FR'),
(29370, '69650', 'Saint Germain au Mont d''Or', '69', 'FR'),
(29371, '69210', 'Saint Germain sur l''Arbresle', '69', 'FR'),
(29372, '69790', 'Saint Igny de Vers', '69', 'FR'),
(29373, '69860', 'Saint Jacques des Arr�ts', '69', 'FR'),
(29374, '69220', 'Saint Jean d''Ardi�res', '69', 'FR'),
(29375, '69380', 'Saint Jean des Vignes', '69', 'FR'),
(29376, '69700', 'Saint Jean de Touslas', '69', 'FR'),
(29377, '69550', 'Saint Jean la Bussi�re', '69', 'FR'),
(29378, '69640', 'Saint Julien', '69', 'FR'),
(29379, '69690', 'Saint Julien sur Bibost', '69', 'FR'),
(29380, '69870', 'Saint Just d''Avray', '69', 'FR'),
(29381, '69220', 'Saint Lager', '69', 'FR'),
(29382, '69440', 'Saint Laurent d''Agny', '69', 'FR'),
(29383, '69930', 'Saint Laurent de Chamousset', '69', 'FR'),
(29384, '69670', 'Saint Laurent de Vaux', '69', 'FR'),
(29385, '69620', 'Saint Laurent d''Oingt', '69', 'FR'),
(29386, '69490', 'Saint Loup', '69', 'FR'),
(29387, '69860', 'Saint Mamert', '69', 'FR'),
(29388, '69170', 'Saint Marcel l''�clair�', '69', 'FR'),
(29389, '69850', 'Saint Martin en Haut', '69', 'FR'),
(29390, '42800', 'Saint Maurice sur Dargoire', '42', 'FR'),
(29391, '69440', 'Saint Maurice sur Dargoire', '69', 'FR'),
(29392, '69870', 'Saint Nizier d''Azergues', '69', 'FR'),
(29393, '69620', 'Sainte Paule', '69', 'FR'),
(29394, '69210', 'Saint Pierre la Palud', '69', 'FR'),
(29395, '69270', 'Saint Romain au Mont d''Or', '69', 'FR'),
(29396, '69490', 'Saint Romain de Popey', '69', 'FR'),
(29397, '69560', 'Saint Romain en Gal', '69', 'FR'),
(29398, '69700', 'Saint Romain en Gier', '69', 'FR'),
(29399, '69440', 'Saint Sorlin', '69', 'FR'),
(29400, '69590', 'Saint Symphorien sur Coise', '69', 'FR'),
(29401, '69620', 'Saint V�rand', '69', 'FR'),
(29402, '69240', 'Saint Vincent de Reins', '69', 'FR'),
(29403, '69440', 'Taluyers', '69', 'FR'),
(29404, '69220', 'Taponas', '69', 'FR'),
(29405, '69170', 'Tarare', '69', 'FR'),
(29406, '69160', 'Tassin la Demi Lune', '69', 'FR'),
(29407, '69620', 'Ternand', '69', 'FR'),
(29408, '69620', 'Theiz�', '69', 'FR'),
(29409, '69470', 'Thel', '69', 'FR'),
(29410, '69240', 'Thizy', '69', 'FR'),
(29411, '69510', 'Thurins', '69', 'FR'),
(29412, '69890', 'La Tour de Salvagny', '69', 'FR'),
(29413, '69860', 'Trades', '69', 'FR'),
(29414, '69420', 'Tr�ves', '69', 'FR'),
(29415, '69420', 'Tupin et Semons', '69', 'FR'),
(29416, '69170', 'Valsonne', '69', 'FR'),
(29417, '69670', 'Vaugneray', '69', 'FR'),
(29418, '69120', 'Vaulx en Velin', '69', 'FR'),
(29419, '69460', 'Vaux en Beaujolais', '69', 'FR'),
(29420, '69820', 'Vauxrenard', '69', 'FR'),
(29421, '69200', 'V�nissieux', '69', 'FR'),
(29422, '69390', 'ernaison', '69', 'FR'),
(29423, '69430', 'Vernay', '69', 'FR'),
(29424, '69770', 'Villechen�ve', '69', 'FR'),
(29425, '69400', 'Villefranche sur Sa�ne', '69', 'FR'),
(29426, '69640', 'Ville sur Jarnioux', '69', 'FR'),
(29427, '69100', 'Villeurbanne', '69', 'FR'),
(29428, '69910', 'Villi� Morgon', '69', 'FR'),
(29429, '69390', 'Vourles', '69', 'FR'),
(29430, '69510', 'Yzeron', '69', 'FR'),
(29431, '69970', 'Chaponnay', '69', 'FR'),
(29432, '69680', 'Chassieu', '69', 'FR'),
(29433, '69360', 'Communay', '69', 'FR'),
(29434, '69960', 'Corbas', '69', 'FR'),
(29435, '69140', 'Cr�pieux la Pape', '69', 'FR'),
(29436, '69150', 'D�cines Charpieu', '69', 'FR'),
(29437, '69320', 'Feyzin', '69', 'FR'),
(29438, '69740', 'Genas', '69', 'FR'),
(29439, '69730', 'Genay', '69', 'FR'),
(29440, '69330', 'Jonage', '69', 'FR'),
(29441, '69330', 'Jons', '69', 'FR'),
(29442, '69970', 'Marennes', '69', 'FR'),
(29443, '69330', 'Meyzieu', '69', 'FR'),
(29444, '69780', 'Mions', '69', 'FR'),
(29445, '69250', 'Montanay', '69', 'FR'),
(29446, '69330', 'Pusignan', '69', 'FR'),
(29447, '69140', 'Rillieux la Pape', '69', 'FR'),
(29448, '69720', 'Saint Bonnet de Mure', '69', 'FR'),
(29449, '69720', 'Saint Laurent de Mure', '69', 'FR'),
(29450, '69780', 'Saint Pierre de Chandieu', '69', 'FR'),
(29451, '69800', 'Saint Priest', '69', 'FR'),
(29452, '69360', 'Saint Symphorien d''Ozon', '69', 'FR'),
(29453, '69580', 'Sathonay Camp', '69', 'FR'),
(29454, '69580', 'Sathonay Village', '69', 'FR'),
(29455, '69360', 'S�r�zin du Rh�ne', '69', 'FR'),
(29456, '69360', 'Simandres', '69', 'FR'),
(29457, '69360', 'Solaize', '69', 'FR'),
(29458, '69360', 'Ternay', '69', 'FR'),
(29459, '69780', 'Toussieu', '69', 'FR'),
(29460, '69124', 'Colombier Saugnieu', '69', 'FR'),
(29461, '69001', 'lyon 1er arrondissement', '69', 'FR'),
(29462, '69002', 'lyon 2eme arrondissement', '69', 'FR'),
(29463, '69003', 'lyon 3eme arrondissement', '69', 'FR'),
(29464, '69004', 'lyon 4eme arrondissement', '69', 'FR'),
(29465, '69005', 'lyon 5eme arrondissement', '69', 'FR'),
(29466, '69006', 'lyon 6eme arrondissement', '69', 'FR'),
(29467, '69007', 'lyon 7eme arrondissement', '69', 'FR'),
(29468, '69008', 'lyon 8eme arrondissement', '69', 'FR'),
(29469, '69009', 'lyon 9eme arrondissement', '69', 'FR'),
(29470, '69850', 'Glay', '69', 'FR'),
(29471, '69440', 'Dargoire', '69', 'FR'),
(29472, '69440', 'Fillonni�re', '69', 'FR'),
(29473, '69440', 'La Flach�re', '69', 'FR'),
(29474, '69440', 'Saint Vincent', '69', 'FR'),
(29475, '69690', 'Lurcieux', '69', 'FR'),
(29476, '69690', 'Les Roches', '69', 'FR'),
(29477, '69870', 'Les �charmeaux', '69', 'FR'),
(29478, '69700', 'Sourzy', '69', 'FR'),
(29479, '69700', 'Saint Martin de Cornas', '69', 'FR'),
(29480, '69124', 'Saugnieu', '69', 'FR'),
(29481, '70300', 'Abelcourt', '70', 'FR'),
(29482, '70500', 'Aboncourt Gesincourt', '70', 'FR'),
(29483, '70180', 'Achey', '70', 'FR'),
(29484, '70200', 'Adelans et le Val de Bithaine', '70', 'FR'),
(29485, '70110', 'Aillevans', '70', 'FR'),
(29486, '70320', 'Aillevillers et Lyaumont', '70', 'FR'),
(29487, '70300', 'Ailloncourt', '70', 'FR'),
(29488, '70800', 'Ainvelle', '70', 'FR'),
(29489, '70500', 'Aisey et Richecourt', '70', 'FR'),
(29490, '70210', 'Alaincourt', '70', 'FR'),
(29491, '70280', 'Amage', '70', 'FR'),
(29492, '70160', 'Amance', '70', 'FR'),
(29493, '70210', 'Ambi�villers', '70', 'FR'),
(29494, '70200', 'Amblans et Velotte', '70', 'FR'),
(29495, '70170', 'Amoncourt', '70', 'FR'),
(29496, '70310', 'Amont et Effreney', '70', 'FR'),
(29497, '70210', 'Anchenoncourt et Chazel', '70', 'FR'),
(29498, '70100', 'Ancier', '70', 'FR'),
(29499, '70000', 'Andelarre', '70', 'FR'),
(29500, '70000', 'Andelarrot', '70', 'FR'),
(29501, '70200', 'Andornay', '70', 'FR'),
(29502, '70700', 'Angirey', '70', 'FR'),
(29503, '70800', 'Anjeux', '70', 'FR'),
(29504, '70100', 'Apremont', '70', 'FR'),
(29505, '70160', 'Arbecey', '70', 'FR'),
(29506, '70100', 'Arc l�s Gray', '70', 'FR'),
(29507, '70600', 'Argilli�res', '70', 'FR'),
(29508, '70360', 'Aroz', '70', 'FR'),
(29509, '70200', 'Arpenans', '70', 'FR'),
(29510, '70100', 'Arsans', '70', 'FR'),
(29511, '70110', 'Athesans Etroitefontaine', '70', 'FR'),
(29512, '70100', 'Attricourt', '70', 'FR'),
(29513, '70190', 'Aubertans', '70', 'FR'),
(29514, '70140', 'Aubigney', '70', 'FR'),
(29515, '70500', 'Augicourt', '70', 'FR'),
(29516, '70190', 'Aulx l�s Cromary', '70', 'FR'),
(29517, '70180', 'Autet', '70', 'FR'),
(29518, '70190', 'Authoison', '70', 'FR'),
(29519, '70700', 'Autoreille', '70', 'FR'),
(29520, '70110', 'Autrey l�s Cerre', '70', 'FR'),
(29521, '70100', 'Autrey l�s Gray', '70', 'FR'),
(29522, '70110', 'Autrey le Vay', '70', 'FR'),
(29523, '70100', 'Auvet et la Chapelotte', '70', 'FR'),
(29524, '70000', 'Auxon', '70', 'FR'),
(29525, '70150', 'Avrigney Virey', '70', 'FR'),
(29526, '70200', 'Les Aynans', '70', 'FR'),
(29527, '70000', 'Baignes', '70', 'FR'),
(29528, '70140', 'Bard l�s Pesmes', '70', 'FR'),
(29529, '70500', 'Barges', '70', 'FR'),
(29530, '70190', 'Barre', '70', 'FR'),
(29531, '70210', 'La Basse Vaivre', '70', 'FR'),
(29532, '70800', 'Bassigney', '70', 'FR'),
(29533, '70130', 'Les B�ties', '70', 'FR'),
(29534, '70100', 'Battrans', '70', 'FR'),
(29535, '70300', 'Baudoncourt', '70', 'FR'),
(29536, '70160', 'Baulay', '70', 'FR'),
(29537, '70150', 'Bay', '70', 'FR'),
(29538, '70100', 'Beaujeu St Vallier Pierrejux et Quit', '70', 'FR'),
(29539, '70190', 'Beaumotte Aubertans', '70', 'FR'),
(29540, '70150', 'Beaumotte l�s Pin', '70', 'FR'),
(29541, '70290', 'Belfahy', '70', 'FR'),
(29542, '70270', 'Belmont', '70', 'FR'),
(29543, '70270', 'Belonchamp', '70', 'FR'),
(29544, '70400', 'Belverne', '70', 'FR'),
(29545, '70230', 'Besnans', '70', 'FR'),
(29546, '70500', 'B�taucourt', '70', 'FR'),
(29547, '70300', 'Betoncourt l�s Brotte', '70', 'FR'),
(29548, '70120', 'B�toncourt les M�n�triers', '70', 'FR'),
(29549, '70210', 'Betoncourt Saint Pancras', '70', 'FR'),
(29550, '70500', 'Betoncourt sur Mance', '70', 'FR'),
(29551, '70310', 'Beulotte Saint Laurent', '70', 'FR'),
(29552, '70110', 'Beveuge', '70', 'FR'),
(29553, '70500', 'Blondefontaine', '70', 'FR'),
(29554, '70150', 'Bonboillon', '70', 'FR'),
(29555, '70700', 'Bonnevent Velloreille', '70', 'FR'),
(29556, '70110', 'Borey', '70', 'FR'),
(29557, '70500', 'Bougey', '70', 'FR'),
(29558, '70170', 'Bougnon', '70', 'FR'),
(29559, '70100', 'Bouhans et Feurg', '70', 'FR'),
(29560, '70200', 'Bouhans l�s Lure', '70', 'FR'),
(29561, '70230', 'Bouhans l�s Montbozon', '70', 'FR'),
(29562, '70800', 'Bouligney', '70', 'FR'),
(29563, '70190', 'Boulot', '70', 'FR'),
(29564, '70190', 'Boult', '70', 'FR'),
(29565, '70500', 'Bourb�velle', '70', 'FR'),
(29566, '70800', 'Bourguignon l�s Conflans', '70', 'FR'),
(29567, '70190', 'Bourguignon l�s la Charit�', '70', 'FR'),
(29568, '70120', 'Bourguignon l�s Morey', '70', 'FR'),
(29569, '70000', 'Boursi�res', '70', 'FR'),
(29570, '70500', 'Bousseraucourt', '70', 'FR'),
(29571, '70140', 'Br�silley', '70', 'FR'),
(29572, '70300', 'Breuches', '70', 'FR'),
(29573, '70280', 'Breuchotte', '70', 'FR'),
(29574, '70160', 'Breurey l�s Faverney', '70', 'FR'),
(29575, '70400', 'Brevilliers', '70', 'FR'),
(29576, '70800', 'Briaucourt', '70', 'FR'),
(29577, '70300', 'Brotte l�s Luxeuil', '70', 'FR'),
(29578, '70180', 'Brotte l�s Ray', '70', 'FR'),
(29579, '70100', 'Broye les Loups et Verfontaine', '70', 'FR'),
(29580, '70140', 'Broye Aubigney Montseugny', '70', 'FR'),
(29581, '70150', 'Brussey', '70', 'FR'),
(29582, '70280', 'La Bruy�re', '70', 'FR'),
(29583, '70700', 'Bucey l�s Gy', '70', 'FR'),
(29584, '70360', 'Bucey l�s Traves', '70', 'FR'),
(29585, '70500', 'Buffign�court', '70', 'FR'),
(29586, '70190', 'Bussi�res', '70', 'FR'),
(29587, '70400', 'Bussurel', '70', 'FR'),
(29588, '70190', 'Buthiers', '70', 'FR'),
(29589, '70400', 'Byans', '70', 'FR'),
(29590, '70240', 'Calmoutier', '70', 'FR'),
(29591, '70500', 'Cemboing', '70', 'FR'),
(29592, '70230', 'Cenans', '70', 'FR'),
(29593, '70500', 'Cendrecourt', '70', 'FR'),
(29594, '70000', 'Cerre l�s Noroy', '70', 'FR'),
(29595, '70400', 'Chagey', '70', 'FR'),
(29596, '70400', 'Ch�lonvillars', '70', 'FR'),
(29597, '70190', 'Chambornay les Bellevaux', '70', 'FR'),
(29598, '70150', 'Chambornay l�s Pin', '70', 'FR'),
(29599, '70290', 'Champagney', '70', 'FR'),
(29600, '70400', 'Champey', '70', 'FR'),
(29601, '70600', 'Champlitte', '70', 'FR'),
(29602, '70600', 'Champlitte la Ville', '70', 'FR'),
(29603, '70100', 'Champtonnay', '70', 'FR'),
(29604, '70100', 'Champvans', '70', 'FR'),
(29605, '70140', 'Chancey', '70', 'FR'),
(29606, '70360', 'Chantes', '70', 'FR'),
(29607, '70300', 'La Chapelle l�s Luxeuil', '70', 'FR'),
(29608, '70700', 'La Chapelle Saint Quillain', '70', 'FR'),
(29609, '70700', 'Charcenne', '70', 'FR'),
(29610, '70130', 'Charentenay', '70', 'FR'),
(29611, '70100', 'Chargey l�s Gray', '70', 'FR'),
(29612, '70170', 'Chargey l�s Port', '70', 'FR'),
(29613, '70000', 'Chariez', '70', 'FR'),
(29614, '70120', 'Charmes Saint Valbert', '70', 'FR'),
(29615, '70000', 'Charmoille', '70', 'FR'),
(29616, '70230', 'Chassey l�s Montbozon', '70', 'FR'),
(29617, '70360', 'Chassey l�s Scey', '70', 'FR'),
(29618, '70440', 'Ch�teau Lambert', '70', 'FR'),
(29619, '70240', 'Ch�teney', '70', 'FR'),
(29620, '70240', 'Ch�tenois', '70', 'FR'),
(29621, '70140', 'Chaumercenne', '70', 'FR'),
(29622, '70500', 'Chauvirey le Ch�tel', '70', 'FR'),
(29623, '70500', 'Chauvirey le Vieil', '70', 'FR'),
(29624, '70190', 'Chaux la Loti�re', '70', 'FR'),
(29625, '70170', 'Chaux l�s Port', '70', 'FR'),
(29626, '70400', 'Chavanne', '70', 'FR'),
(29627, '70360', 'Chemilly', '70', 'FR'),
(29628, '70400', 'Chenebier', '70', 'FR'),
(29629, '70150', 'Chenevrey et Morogne', '70', 'FR'),
(29630, '70140', 'Chevigney', '70', 'FR'),
(29631, '70700', 'Choye', '70', 'FR'),
(29632, '70120', 'Cintrey', '70', 'FR'),
(29633, '70190', 'Cirey', '70', 'FR'),
(29634, '70300', 'Citers', '70', 'FR'),
(29635, '70700', 'Citey', '70', 'FR'),
(29636, '70200', 'Clairegoutte', '70', 'FR'),
(29637, '70000', 'Clans', '70', 'FR'),
(29638, '70230', 'Cogni�res', '70', 'FR'),
(29639, '70400', 'Coisevaux', '70', 'FR'),
(29640, '70200', 'Colombe l�s Bithaine', '70', 'FR'),
(29641, '70000', 'Colombe l�s Vesoul', '70', 'FR'),
(29642, '70000', 'Colombier', '70', 'FR'),
(29643, '70240', 'Colombotte', '70', 'FR'),
(29644, '70120', 'Combeaufontaine', '70', 'FR'),
(29645, '70000', 'Comberjon', '70', 'FR'),
(29646, '70170', 'Conflandey', '70', 'FR'),
(29647, '70800', 'Conflans sur Lanterne', '70', 'FR'),
(29648, '70120', 'Confracourt', '70', 'FR'),
(29649, '70160', 'Contr�glise', '70', 'FR'),
(29650, '70320', 'Corbenay', '70', 'FR'),
(29651, '70300', 'La Corbi�re', '70', 'FR'),
(29652, '70400', 'Corcelles', '70', 'FR'),
(29653, '70190', 'Cordonnet', '70', 'FR'),
(29654, '70120', 'Cornot', '70', 'FR'),
(29655, '70310', 'Corravillers', '70', 'FR'),
(29656, '70500', 'Corre', '70', 'FR'),
(29657, '70200', 'La C�te', '70', 'FR'),
(29658, '70000', 'Coulevon', '70', 'FR'),
(29659, '70110', 'Courchaton', '70', 'FR'),
(29660, '70150', 'Courcuire', '70', 'FR'),
(29661, '70400', 'Courmont', '70', 'FR'),
(29662, '70600', 'Courtesoult et Gatey', '70', 'FR'),
(29663, '70400', 'Couthenans', '70', 'FR'),
(29664, '70100', 'Cr�sancey', '70', 'FR'),
(29665, '70240', 'La Creuse', '70', 'FR'),
(29666, '70400', 'Crevans et la Chapelle l�s Granges', '70', 'FR'),
(29667, '70240', 'Creveney', '70', 'FR'),
(29668, '70190', 'Cromary', '70', 'FR'),
(29669, '70160', 'Cubry l�s Faverney', '70', 'FR'),
(29670, '70130', 'Cubry l�s Soing', '70', 'FR'),
(29671, '70700', 'Cugney', '70', 'FR'),
(29672, '70150', 'Cult', '70', 'FR'),
(29673, '70800', 'Cuve', '70', 'FR'),
(29674, '70200', 'Dambeno�t l�s Colombe', '70', 'FR'),
(29675, '70800', 'Dampierre l�s Conflans', '70', 'FR'),
(29676, '70230', 'Dampierre sur Linotte', '70', 'FR'),
(29677, '70180', 'Dampierre sur Salon', '70', 'FR'),
(29678, '70000', 'Dampvalley l�s Colombe', '70', 'FR'),
(29679, '70210', 'Dampvalley Saint Pancras', '70', 'FR'),
(29680, '70180', 'Delain', '70', 'FR'),
(29681, '70210', 'Demangevelle', '70', 'FR'),
(29682, '70000', 'La Demie', '70', 'FR'),
(29683, '70180', 'Den�vre', '70', 'FR'),
(29684, '70400', '�chavanne', '70', 'FR'),
(29685, '70400', 'Echenans sous Mont Vaudois', '70', 'FR'),
(29686, '70000', '�chenoz la M�line', '70', 'FR'),
(29687, '70000', '�chenoz le Sec', '70', 'FR'),
(29688, '70270', '�cromagny', '70', 'FR'),
(29689, '70600', '�cuelle', '70', 'FR'),
(29690, '70300', '�huns', '70', 'FR'),
(29691, '70160', '�quevilley', '70', 'FR'),
(29692, '70400', 'Errevet', '70', 'FR'),
(29693, '70300', 'Esboz Brest', '70', 'FR'),
(29694, '70310', 'Esmouli�res', '70', 'FR'),
(29695, '70100', 'Esmoulins', '70', 'FR'),
(29696, '70110', 'Esprels', '70', 'FR'),
(29697, '70100', 'Essertenne et Cecey', '70', 'FR'),
(29698, '70400', '�tobon', '70', 'FR'),
(29699, '70700', 'Etrelles et la Montbleuse', '70', 'FR'),
(29700, '70150', '�tuz', '70', 'FR'),
(29701, '70100', 'Fahy l�s Autrey', '70', 'FR'),
(29702, '70110', 'Fallon', '70', 'FR'),
(29703, '70310', 'Faucogney et la Mer', '70', 'FR'),
(29704, '70160', 'Faverney', '70', 'FR'),
(29705, '70200', 'Faymont', '70', 'FR'),
(29706, '70120', 'F�dry', '70', 'FR'),
(29707, '70130', 'Ferri�res l�s Ray', '70', 'FR'),
(29708, '70360', 'Ferri�res l�s Scey', '70', 'FR'),
(29709, '70310', 'Fessey', '70', 'FR'),
(29710, '70230', 'Filain', '70', 'FR'),
(29711, '70000', 'Flagy', '70', 'FR'),
(29712, '70160', 'Fleurey l�s Faverney', '70', 'FR'),
(29713, '70120', 'Fleurey l�s Lavoncourt', '70', 'FR'),
(29714, '70800', 'Fleurey l�s Saint Loup', '70', 'FR'),
(29715, '70190', 'Fondremand', '70', 'FR'),
(29716, '70800', 'Fontaine l�s Luxeuil', '70', 'FR'),
(29717, '70190', 'Les Fontenis', '70', 'FR'),
(29718, '70210', 'Fontenois la Ville', '70', 'FR'),
(29719, '70230', 'Fontenois l�s Montbozon', '70', 'FR'),
(29720, '70160', 'Fouch�court', '70', 'FR'),
(29721, '70220', 'Fougerolles', '70', 'FR'),
(29722, '70600', 'Fouvent le Bas', '70', 'FR'),
(29723, '70600', 'Fouvent St Andoche', '70', 'FR'),
(29724, '70400', 'Frahier et Ch�tebier', '70', 'FR'),
(29725, '70800', 'Francalmont', '70', 'FR'),
(29726, '70200', 'Franchevelle', '70', 'FR'),
(29727, '70180', 'Francourt', '70', 'FR'),
(29728, '70600', 'Framont', '70', 'FR'),
(29729, '70700', 'Frasne le Ch�teau', '70', 'FR'),
(29730, '70200', 'Fr�d�ric Fontaine', '70', 'FR'),
(29731, '70130', 'Fresne Saint Mam�s', '70', 'FR'),
(29732, '70270', 'Fresse', '70', 'FR'),
(29733, '70130', 'Fretigney et Velloreille', '70', 'FR'),
(29734, '70300', 'Froideconche', '70', 'FR'),
(29735, '70200', 'Froideterre', '70', 'FR'),
(29736, '70200', 'Frotey l�s Lure', '70', 'FR'),
(29737, '70000', 'Frotey l�s Vesoul', '70', 'FR'),
(29738, '70240', 'Genevreuille', '70', 'FR'),
(29739, '70240', 'Genevrey', '70', 'FR'),
(29740, '70110', 'Georfans', '70', 'FR'),
(29741, '70100', 'Germigney', '70', 'FR'),
(29742, '70500', 'Gevigney et Mercey', '70', 'FR'),
(29743, '70700', 'G�zier et Fontenelay', '70', 'FR'),
(29744, '70210', 'Girefontaine', '70', 'FR'),
(29745, '70400', 'Gonvillars', '70', 'FR'),
(29746, '70110', 'Gouhenans', '70', 'FR'),
(29747, '70120', 'Gourgeon', '70', 'FR'),
(29748, '70110', 'Grammont', '70', 'FR'),
(29749, '70120', 'Grandecourt', '70', 'FR'),
(29750, '70190', 'Grandvelle et le Perrenot', '70', 'FR'),
(29751, '70400', 'Granges la Ville', '70', 'FR'),
(29752, '70400', 'Granges le Bourg', '70', 'FR'),
(29753, '70170', 'Grattery', '70', 'FR'),
(29754, '70100', 'Gray', '70', 'FR'),
(29755, '70100', 'Gray la Ville', '70', 'FR'),
(29756, '70130', 'Greucourt', '70', 'FR'),
(29757, '70700', 'Gy', '70', 'FR'),
(29758, '70440', 'Haut du Them Ch�teau Lambert', '70', 'FR'),
(29759, '70800', 'Hautevelle', '70', 'FR'),
(29760, '70400', 'H�ricourt', '70', 'FR'),
(29761, '70150', 'Hugier', '70', 'FR'),
(29762, '70210', 'Hurecourt', '70', 'FR'),
(29763, '70190', 'Hyet', '70', 'FR'),
(29764, '70700', 'Igny', '70', 'FR'),
(29765, '70800', 'Jasney', '70', 'FR'),
(29766, '70500', 'Jonvelle', '70', 'FR'),
(29767, '70500', 'Jussey', '70', 'FR'),
(29768, '70500', 'Lambrey', '70', 'FR'),
(29769, '70200', 'Lantenot', '70', 'FR'),
(29770, '70270', 'Lanterne et les Armonts', '70', 'FR'),
(29771, '70230', 'Larians et Munans', '70', 'FR'),
(29772, '70600', 'Larr�t', '70', 'FR'),
(29773, '70120', 'Lavigney', '70', 'FR'),
(29774, '70120', 'Lavoncourt', '70', 'FR'),
(29775, '70600', 'Leffond', '70', 'FR'),
(29776, '70190', 'Lieffrans', '70', 'FR'),
(29777, '70140', 'Lieucourt', '70', 'FR'),
(29778, '70240', 'Li�vans', '70', 'FR'),
(29779, '70200', 'Linexert', '70', 'FR'),
(29780, '70100', 'Loeuilley', '70', 'FR'),
(29781, '70200', 'Lomont', '70', 'FR'),
(29782, '70110', 'Longevelle', '70', 'FR'),
(29783, '70310', 'La Longine', '70', 'FR'),
(29784, '70230', 'Loulans Verchamp', '70', 'FR'),
(29785, '70200', 'Lure', '70', 'FR'),
(29786, '70300', 'Luxeuil les Bains', '70', 'FR'),
(29787, '70400', 'Luze', '70', 'FR'),
(29788, '70200', 'Lyoffans', '70', 'FR'),
(29789, '70300', 'Magnivray', '70', 'FR'),
(29790, '70800', 'Magnoncourt', '70', 'FR'),
(29791, '70000', 'Le Magnoray', '70', 'FR'),
(29792, '70110', 'Les Magny', '70', 'FR'),
(29793, '70200', 'Magny Danigon', '70', 'FR'),
(29794, '70200', 'Magny Jobert', '70', 'FR'),
(29795, '70500', 'Magny l�s Jussey', '70', 'FR'),
(29796, '70200', 'Magny Vernois', '70', 'FR'),
(29797, '70240', 'Mailleroncourt Charette', '70', 'FR'),
(29798, '70210', 'Mailleroncourt Saint Pancras', '70', 'FR'),
(29799, '70000', 'Mailley et Chazelot', '70', 'FR'),
(29800, '70190', 'Maizi�res', '70', 'FR'),
(29801, '70190', 'La Malach�re', '70', 'FR'),
(29802, '70140', 'Malans', '70', 'FR'),
(29803, '70200', 'Malbouhans', '70', 'FR'),
(29804, '70120', 'Malvillers', '70', 'FR'),
(29805, '70400', 'Mandrevillars', '70', 'FR'),
(29806, '70100', 'Mantoche', '70', 'FR'),
(29807, '70110', 'Marast', '70', 'FR'),
(29808, '70600', 'Margilley', '70', 'FR'),
(29809, '70150', 'Marnay', '70', 'FR'),
(29810, '70230', 'Maussans', '70', 'FR'),
(29811, '70110', 'M�lecey', '70', 'FR'),
(29812, '70120', 'Melin', '70', 'FR'),
(29813, '70210', 'Melincourt', '70', 'FR'),
(29814, '70270', 'M�lisey', '70', 'FR'),
(29815, '70180', 'Membrey', '70', 'FR'),
(29816, '70160', 'Menoux', '70', 'FR'),
(29817, '70130', 'Mercey sur Sa�ne', '70', 'FR'),
(29818, '70160', 'Mersuay', '70', 'FR'),
(29819, '70300', 'Meurcourt', '70', 'FR'),
(29820, '70440', 'Miellin', '70', 'FR'),
(29821, '70110', 'Mignafans', '70', 'FR'),
(29822, '70400', 'Mignavillers', '70', 'FR'),
(29823, '70200', 'Moffans et Vacheresse', '70', 'FR'),
(29824, '70110', 'Moimay', '70', 'FR'),
(29825, '70120', 'Molay', '70', 'FR'),
(29826, '70240', 'Mollans', '70', 'FR'),
(29827, '70310', 'La Montagne', '70', 'FR'),
(29828, '70140', 'Montagney', '70', 'FR'),
(29829, '70190', 'Montarlot l�s Rioz', '70', 'FR'),
(29830, '70700', 'Montboillon', '70', 'FR'),
(29831, '70230', 'Montbozon', '70', 'FR'),
(29832, '70000', 'Montcey', '70', 'FR'),
(29833, '70500', 'Montcourt', '70', 'FR'),
(29834, '70210', 'Montdor�', '70', 'FR'),
(29835, '70270', 'Montessaux', '70', 'FR'),
(29836, '70500', 'Montigny l�s Cherlieu', '70', 'FR'),
(29837, '70000', 'Montigny l�s Vesoul', '70', 'FR'),
(29838, '70110', 'Montjustin et Velotte', '70', 'FR'),
(29839, '70600', 'Mont le Fr�nois', '70', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(29840, '70700', 'Villers Chemin et Mont l�s Etrelles', '70', 'FR'),
(29841, '70000', 'Mont le Vernois', '70', 'FR'),
(29842, '70180', 'Montot', '70', 'FR'),
(29843, '70120', 'Mont Saint L�ger', '70', 'FR'),
(29844, '70140', 'Montseugny', '70', 'FR'),
(29845, '70100', 'Montureux et Prantigny', '70', 'FR'),
(29846, '70500', 'Montureux l�s Baulay', '70', 'FR'),
(29847, '70120', 'Roche Morey', '70', 'FR'),
(29848, '70140', 'Motey Besuche', '70', 'FR'),
(29849, '70130', 'Motey sur Sa�ne', '70', 'FR'),
(29850, '70100', 'Nantilly', '70', 'FR'),
(29851, '70100', 'Nantouard', '70', 'FR'),
(29852, '70000', 'Navenne', '70', 'FR'),
(29853, '70160', 'Neurey en Vaux', '70', 'FR'),
(29854, '70000', 'Neurey l�s la Demie', '70', 'FR'),
(29855, '70600', 'Neuvelle l�s Champlitte', '70', 'FR'),
(29856, '70190', 'Neuvelle l�s Cromary', '70', 'FR'),
(29857, '70130', 'Neuvelle l�s la Charit�', '70', 'FR'),
(29858, '70200', 'La Neuvelle l�s Lure', '70', 'FR'),
(29859, '70360', 'La Neuvelle l�s Scey', '70', 'FR'),
(29860, '70130', 'Noidans le Ferroux', '70', 'FR'),
(29861, '70000', 'Noidans l�s Vesoul', '70', 'FR'),
(29862, '70100', 'Noiron', '70', 'FR'),
(29863, '70000', 'Noroy le Bourg', '70', 'FR'),
(29864, '70500', 'Noroy l�s Jussey', '70', 'FR'),
(29865, '70120', 'Oigney', '70', 'FR'),
(29866, '70700', 'Oiselay et Grachaux', '70', 'FR'),
(29867, '70100', 'Onay', '70', 'FR'),
(29868, '70110', 'Oppenans', '70', 'FR'),
(29869, '70110', 'Oricourt', '70', 'FR'),
(29870, '70230', 'Ormenans', '70', 'FR'),
(29871, '70300', 'Ormoiche', '70', 'FR'),
(29872, '70500', 'Ormoy', '70', 'FR'),
(29873, '70500', 'Ouge', '70', 'FR'),
(29874, '70360', 'Ovanches', '70', 'FR'),
(29875, '70600', 'Oyri�res', '70', 'FR'),
(29876, '70200', 'Palante', '70', 'FR'),
(29877, '70210', 'Passavant la Roch�re', '70', 'FR'),
(29878, '70190', 'Pennesi�res', '70', 'FR'),
(29879, '70600', 'Percey le Grand', '70', 'FR'),
(29880, '70190', 'Perrouse', '70', 'FR'),
(29881, '70140', 'Pesmes', '70', 'FR'),
(29882, '70600', 'Pierrecourt', '70', 'FR'),
(29883, '70150', 'Pin', '70', 'FR'),
(29884, '70800', 'La Pisseure', '70', 'FR'),
(29885, '70800', 'Plainemont', '70', 'FR'),
(29886, '70290', 'Plancher Bas', '70', 'FR'),
(29887, '70290', 'Plancher les Mines', '70', 'FR'),
(29888, '70210', 'Polaincourt et Clairefontaine', '70', 'FR'),
(29889, '70240', 'Pomoy', '70', 'FR'),
(29890, '70360', 'Pontcey', '70', 'FR'),
(29891, '70130', 'Le Pont de Planches', '70', 'FR'),
(29892, '70210', 'Pont du Bois', '70', 'FR'),
(29893, '70110', 'Pont sur l''Ognon', '70', 'FR'),
(29894, '70170', 'Port sur Sa�ne', '70', 'FR'),
(29895, '70100', 'Poyans', '70', 'FR'),
(29896, '70120', 'Preigney', '70', 'FR'),
(29897, '70230', 'Presle', '70', 'FR'),
(29898, '70310', 'La Proiseli�re et Langle', '70', 'FR'),
(29899, '70170', 'Provench�re', '70', 'FR'),
(29900, '70160', 'Purgerot', '70', 'FR'),
(29901, '70000', 'Pusey', '70', 'FR'),
(29902, '70000', 'Pusy et �penoux', '70', 'FR'),
(29903, '70120', 'La Quarte', '70', 'FR'),
(29904, '70190', 'Quenoche', '70', 'FR'),
(29905, '70200', 'Quers', '70', 'FR'),
(29906, '70000', 'Quincey', '70', 'FR'),
(29907, '70100', 'Quitteur', '70', 'FR'),
(29908, '70280', 'Raddon et Chapendu', '70', 'FR'),
(29909, '70500', 'Raincourt', '70', 'FR'),
(29910, '70500', 'Ranzevelle', '70', 'FR'),
(29911, '70130', 'Ray sur Sa�ne', '70', 'FR'),
(29912, '70000', 'Raze', '70', 'FR'),
(29913, '70130', 'Recologne', '70', 'FR'),
(29914, '70190', 'Recologne l�s Rioz', '70', 'FR'),
(29915, '70120', 'Renaucourt', '70', 'FR'),
(29916, '70140', 'La Grande R�sie', '70', 'FR'),
(29917, '70140', 'La R�sie Saint Martin', '70', 'FR'),
(29918, '70200', 'Rignovelle', '70', 'FR'),
(29919, '70100', 'Rigny', '70', 'FR'),
(29920, '70190', 'Rioz', '70', 'FR'),
(29921, '70180', 'Roche et Raucourt', '70', 'FR'),
(29922, '70230', 'Roche sur Linotte et Sorans les Cordier', '70', 'FR'),
(29923, '70120', 'La Rochelle', '70', 'FR'),
(29924, '70250', 'Ronchamp', '70', 'FR'),
(29925, '70000', 'Rosey', '70', 'FR'),
(29926, '70310', 'La Rosi�re', '70', 'FR'),
(29927, '70500', 'Rosi�res sur Mance', '70', 'FR'),
(29928, '70200', 'Roye', '70', 'FR'),
(29929, '70190', 'Ruhans', '70', 'FR'),
(29930, '70360', 'Rupt sur Sa�ne', '70', 'FR'),
(29931, '70600', 'Saint Andoche', '70', 'FR'),
(29932, '70270', 'Saint Barth�lemy', '70', 'FR'),
(29933, '70280', 'Saint Bresson', '70', 'FR'),
(29934, '70100', 'Saint Broing', '70', 'FR'),
(29935, '70110', 'Saint Ferjeux', '70', 'FR'),
(29936, '70130', 'Saint Gand', '70', 'FR'),
(29937, '70200', 'Saint Germain', '70', 'FR'),
(29938, '70100', 'Saint Loup Nantouard', '70', 'FR'),
(29939, '70800', 'Saint Loup sur Semouse', '70', 'FR'),
(29940, '70500', 'Saint Marcel', '70', 'FR'),
(29941, '70310', 'Sainte Marie en Chanois', '70', 'FR'),
(29942, '70300', 'Sainte Marie en Chaux', '70', 'FR'),
(29943, '70700', 'Sainte Reine', '70', 'FR'),
(29944, '70160', 'Saint R�my', '70', 'FR'),
(29945, '70300', 'Saint Sauveur', '70', 'FR'),
(29946, '70110', 'Saint Sulpice', '70', 'FR'),
(29947, '70300', 'Saint Valbert', '70', 'FR'),
(29948, '70210', 'Saponcourt', '70', 'FR'),
(29949, '70400', 'Saulnot', '70', 'FR'),
(29950, '70240', 'Saulx', '70', 'FR'),
(29951, '70100', 'Sauvigney l�s Gray', '70', 'FR'),
(29952, '70140', 'Sauvigney l�s Pesmes', '70', 'FR'),
(29953, '70130', 'Savoyeux', '70', 'FR'),
(29954, '70360', 'Scey sur Sa�ne et Saint Albin', '70', 'FR'),
(29955, '70170', 'Scye', '70', 'FR'),
(29956, '70400', 'Secenans', '70', 'FR'),
(29957, '70210', 'Selles', '70', 'FR'),
(29958, '70120', 'Semmadon', '70', 'FR'),
(29959, '70110', 'Senargent Mignafans', '70', 'FR'),
(29960, '70160', 'Senoncourt', '70', 'FR'),
(29961, '70440', 'Servance', '70', 'FR'),
(29962, '70240', 'Servigney', '70', 'FR'),
(29963, '70130', 'Seveux', '70', 'FR'),
(29964, '70130', 'Soing Cubry Charentenay', '70', 'FR'),
(29965, '70190', 'Sorans l�s Breurey', '70', 'FR'),
(29966, '70150', 'Sornay', '70', 'FR'),
(29967, '70120', 'Suaucourt et Pisseloup', '70', 'FR'),
(29968, '70500', 'Tart�court', '70', 'FR'),
(29969, '70400', 'Tavey', '70', 'FR'),
(29970, '70270', 'Ternuay Melay et St Hilaire', '70', 'FR'),
(29971, '70120', 'Theuley', '70', 'FR'),
(29972, '70230', 'Thieffrans', '70', 'FR'),
(29973, '70230', 'Thi�nans', '70', 'FR'),
(29974, '70120', 'Tincey et Pontrebeau', '70', 'FR'),
(29975, '70190', 'Traiti�fontaine', '70', 'FR'),
(29976, '70360', 'Traves', '70', 'FR'),
(29977, '70100', 'Le Tremblois', '70', 'FR'),
(29978, '70400', 'Tr�moins', '70', 'FR'),
(29979, '70190', 'Tr�silley', '70', 'FR'),
(29980, '70230', 'Trevey', '70', 'FR'),
(29981, '70150', 'Tromarey', '70', 'FR'),
(29982, '70140', 'Vadans', '70', 'FR'),
(29983, '70180', 'Va�te', '70', 'FR'),
(29984, '70320', 'Vaivre', '70', 'FR'),
(29985, '70000', 'Vaivre et Montoille', '70', 'FR'),
(29986, '70140', 'Valay', '70', 'FR'),
(29987, '70200', 'Le Val de Gouhenans', '70', 'FR'),
(29988, '70000', 'Vallerois le Bois', '70', 'FR'),
(29989, '70000', 'Vallerois Lorioz', '70', 'FR'),
(29990, '70160', 'Val St Eloi', '70', 'FR'),
(29991, '70190', 'Vandelans', '70', 'FR'),
(29992, '70130', 'Vanne', '70', 'FR'),
(29993, '70700', 'Vantoux et Longevelle', '70', 'FR'),
(29994, '70240', 'Varogne', '70', 'FR'),
(29995, '70600', 'Vars', '70', 'FR'),
(29996, '70170', 'Vauchoux', '70', 'FR'),
(29997, '70120', 'Vauconcourt Nervezain', '70', 'FR'),
(29998, '70210', 'Vauvillers', '70', 'FR'),
(29999, '70700', 'Vaux le Moncelot', '70', 'FR'),
(30000, '70100', 'Velesmes Echevanne', '70', 'FR'),
(30001, '70100', 'Velet', '70', 'FR'),
(30002, '70110', 'Vellechevreux et Courbenans', '70', 'FR'),
(30003, '70700', 'Velleclaire', '70', 'FR'),
(30004, '70000', 'Vellefaux', '70', 'FR'),
(30005, '70700', 'Vellefrey et Vellefrange', '70', 'FR'),
(30006, '70240', 'Vellefrie', '70', 'FR'),
(30007, '70000', 'Velleguindry et Levrecey', '70', 'FR'),
(30008, '70000', 'Velle le Ch�tel', '70', 'FR'),
(30009, '70240', 'Velleminfroy', '70', 'FR'),
(30010, '70700', 'Vellemoz', '70', 'FR'),
(30011, '70130', 'Vellexon Queutrey et Vaudey', '70', 'FR'),
(30012, '70700', 'Velloreille l�s Choye', '70', 'FR'),
(30013, '70300', 'Velorcey', '70', 'FR'),
(30014, '70100', 'Ven�re', '70', 'FR'),
(30015, '70230', 'Verchamp', '70', 'FR'),
(30016, '70200', 'La Vergenne', '70', 'FR'),
(30017, '70500', 'Venisey', '70', 'FR'),
(30018, '70180', 'V�reux', '70', 'FR'),
(30019, '70400', 'Verlans', '70', 'FR'),
(30020, '70500', 'Vernois sur Mance', '70', 'FR'),
(30021, '70130', 'La Vernotte', '70', 'FR'),
(30022, '70000', 'Vesoul', '70', 'FR'),
(30023, '70130', 'Vezet', '70', 'FR'),
(30024, '70110', 'Villafans', '70', 'FR'),
(30025, '70110', 'Villargent', '70', 'FR'),
(30026, '70500', 'Villars le Pautel', '70', 'FR'),
(30027, '70160', 'Villedieu en Fontenette', '70', 'FR'),
(30028, '70700', 'Villefrancon', '70', 'FR'),
(30029, '70240', 'Villeneuve Bellenoye et la Maize', '70', 'FR'),
(30030, '70000', 'Villeparois', '70', 'FR'),
(30031, '70190', 'Villers Bouton', '70', 'FR'),
(30032, '70110', 'Villersexel', '70', 'FR'),
(30033, '70110', 'Villers la Ville', '70', 'FR'),
(30034, '70000', 'Villers le Sec', '70', 'FR'),
(30035, '70300', 'Villers l�s Luxeuil', '70', 'FR'),
(30036, '70190', 'Villers Pater', '70', 'FR'),
(30037, '70170', 'Villers sur Port', '70', 'FR'),
(30038, '70400', 'Villers sur Saulnot', '70', 'FR'),
(30039, '70120', 'Villers Vaudey', '70', 'FR'),
(30040, '70240', 'Vilory', '70', 'FR'),
(30041, '70150', 'Virey', '70', 'FR'),
(30042, '70300', 'Visoncourt', '70', 'FR'),
(30043, '70500', 'Vitrey sur Mance', '70', 'FR'),
(30044, '70310', 'La Voivre', '70', 'FR'),
(30045, '70180', 'Volon', '70', 'FR'),
(30046, '70190', 'Voray sur l''Ognon', '70', 'FR'),
(30047, '70500', 'Voug�court', '70', 'FR'),
(30048, '70200', 'Vouhenans', '70', 'FR'),
(30049, '70150', 'Vr�gille', '70', 'FR'),
(30050, '70400', 'Vyans le Val', '70', 'FR'),
(30051, '70130', 'Vy le Ferroux', '70', 'FR'),
(30052, '70200', 'Vy l�s Lure', '70', 'FR'),
(30053, '70120', 'Vy l�s Rupt', '70', 'FR'),
(30054, '70230', 'Vy l�s Filain', '70', 'FR'),
(30055, '70600', 'Frettes', '70', 'FR'),
(30056, '70160', 'Port d''Atelier', '70', 'FR'),
(30057, '71290', 'L''Abergement de Cuisery', '71', 'FR'),
(30058, '71370', 'Abergement Ste Colombe', '71', 'FR'),
(30059, '71350', 'Allerey sur Sa�ne', '71', 'FR'),
(30060, '71380', 'All�riot', '71', 'FR'),
(30061, '71510', 'Aluze', '71', 'FR'),
(30062, '71610', 'Amanz�', '71', 'FR'),
(30063, '71460', 'Ameugny', '71', 'FR'),
(30064, '71170', 'Anglure sous Dun', '71', 'FR'),
(30065, '71550', 'Anost', '71', 'FR'),
(30066, '71400', 'Antully', '71', 'FR'),
(30067, '71110', 'Anzy le Duc', '71', 'FR'),
(30068, '71110', 'Artaix', '71', 'FR'),
(30069, '71270', 'Authumes', '71', 'FR'),
(30070, '71400', 'Autun', '71', 'FR'),
(30071, '71400', 'Auxy', '71', 'FR'),
(30072, '71260', 'Az�', '71', 'FR'),
(30073, '71220', 'Ballore', '71', 'FR'),
(30074, '71500', 'Bantanges', '71', 'FR'),
(30075, '71640', 'Barizey', '71', 'FR'),
(30076, '71540', 'Barnay', '71', 'FR'),
(30077, '71120', 'Baron', '71', 'FR'),
(30078, '71800', 'Baudemont', '71', 'FR'),
(30079, '71370', 'Baudri�res', '71', 'FR'),
(30080, '71110', 'Baugy', '71', 'FR'),
(30081, '71220', 'Beaubery', '71', 'FR'),
(30082, '71240', 'Beaumont sur Grosne', '71', 'FR'),
(30083, '71580', 'Beaurepaire en Bresse', '71', 'FR'),
(30084, '71270', 'Beauvernois', '71', 'FR'),
(30085, '71270', 'Bellevesvre', '71', 'FR'),
(30086, '71250', 'Bergesserin', '71', 'FR'),
(30087, '71960', 'Berz� le Ch�tel', '71', 'FR'),
(30088, '71960', 'Berz� la Ville', '71', 'FR'),
(30089, '71620', 'Bey', '71', 'FR'),
(30090, '71390', 'Bissey sous Cruchaud', '71', 'FR'),
(30091, '71260', 'Bissy la M�connaise', '71', 'FR'),
(30092, '71460', 'Bissy sous Uxelles', '71', 'FR'),
(30093, '71460', 'Bissy sur Fley', '71', 'FR'),
(30094, '71710', 'Les Bizots', '71', 'FR'),
(30095, '71250', 'Blanot', '71', 'FR'),
(30096, '71450', 'Blanzy', '71', 'FR'),
(30097, '71800', 'Bois Sainte Marie', '71', 'FR'),
(30098, '71460', 'Bonnay', '71', 'FR'),
(30099, '71350', 'Bordes', '71', 'FR'),
(30100, '71330', 'Bosjean', '71', 'FR'),
(30101, '71330', 'Bouhans', '71', 'FR'),
(30102, '71320', 'La Boulaye', '71', 'FR'),
(30103, '71140', 'Bourbon Lancy', '71', 'FR'),
(30104, '71110', 'Bourg le Comte', '71', 'FR'),
(30105, '71640', 'Bourgneuf Val d''Or', '71', 'FR'),
(30106, '71630', 'Bourgvilain', '71', 'FR'),
(30107, '71150', 'Bouzeron', '71', 'FR'),
(30108, '71700', 'Boyer', '71', 'FR'),
(30109, '71430', 'Bragny en Charollais', '71', 'FR'),
(30110, '71350', 'Bragny sur Sa�ne', '71', 'FR'),
(30111, '71520', 'Brandon', '71', 'FR'),
(30112, '71500', 'Branges', '71', 'FR'),
(30113, '71250', 'Bray', '71', 'FR'),
(30114, '71460', 'Bresse sur Grosne', '71', 'FR'),
(30115, '71670', 'Le Breuil', '71', 'FR'),
(30116, '71110', 'Briant', '71', 'FR'),
(30117, '71290', 'Brienne', '71', 'FR'),
(30118, '71190', 'Brion', '71', 'FR'),
(30119, '71190', 'Broye', '71', 'FR'),
(30120, '71500', 'Bruailles', '71', 'FR'),
(30121, '71250', 'Buffi�res', '71', 'FR'),
(30122, '71260', 'Burgy', '71', 'FR'),
(30123, '71460', 'Burnand', '71', 'FR'),
(30124, '71460', 'Burzy', '71', 'FR'),
(30125, '71960', 'Bussi�res', '71', 'FR'),
(30126, '71390', 'Buxy', '71', 'FR'),
(30127, '71110', 'C�ron', '71', 'FR'),
(30128, '71390', 'Cersot', '71', 'FR'),
(30129, '71150', 'Chagny', '71', 'FR'),
(30130, '71570', 'Chaintr�', '71', 'FR'),
(30131, '71140', 'Chalmoux', '71', 'FR'),
(30132, '71530', 'Chalon sur Sa�ne', '71', 'FR'),
(30133, '71100', 'Chalon sur Sa�ne', '71', 'FR'),
(30134, '71110', 'Chambilly', '71', 'FR'),
(30135, '71510', 'Chamilly', '71', 'FR'),
(30136, '71480', 'Champagnat', '71', 'FR'),
(30137, '71460', 'Champagny sous Uxelles', '71', 'FR'),
(30138, '71530', 'Champforgeuil', '71', 'FR'),
(30139, '71120', 'Champlecy', '71', 'FR'),
(30140, '71240', 'Champlieu', '71', 'FR'),
(30141, '71570', 'Ch�nes', '71', 'FR'),
(30142, '21340', 'Change', '21', 'FR'),
(30143, '71120', 'Changy', '71', 'FR'),
(30144, '71460', 'Chapaize', '71', 'FR'),
(30145, '71130', 'La Chapelle au Mans', '71', 'FR'),
(30146, '71240', 'La Chapelle de Bragny', '71', 'FR'),
(30147, '71570', 'La Chapelle de Guinchay', '71', 'FR'),
(30148, '71520', 'Chapelle du Mont de France', '71', 'FR'),
(30149, '71500', 'La Chapelle Naude', '71', 'FR'),
(30150, '71310', 'La Chapelle Saint Sauveur', '71', 'FR'),
(30151, '71700', 'La Chapelle sous Brancion', '71', 'FR'),
(30152, '71800', 'La Chapelle sous Dun', '71', 'FR'),
(30153, '71190', 'La Chapelle sous Uchon', '71', 'FR'),
(30154, '71470', 'La Chapelle Th�cle', '71', 'FR'),
(30155, '71320', 'Charbonnat', '71', 'FR'),
(30156, '71260', 'Charbonni�res', '71', 'FR'),
(30157, '71700', 'Chardonnay', '71', 'FR'),
(30158, '71270', 'Charette', '71', 'FR'),
(30159, '71100', 'La Charm�e', '71', 'FR'),
(30160, '71710', 'Charmoy', '71', 'FR'),
(30161, '71350', 'Charnay l�s Chalon', '71', 'FR'),
(30162, '71850', 'Charnay l�s M�con', '71', 'FR'),
(30163, '71120', 'Charolles', '71', 'FR'),
(30164, '71510', 'Charrecey', '71', 'FR'),
(30165, '71570', 'Chasselas', '71', 'FR'),
(30166, '71150', 'Chassey le Camp', '71', 'FR'),
(30167, '71170', 'Chassigny sous Dun', '71', 'FR'),
(30168, '71130', 'Chassy', '71', 'FR'),
(30169, '71250', 'Ch�teau', '71', 'FR'),
(30170, '71740', 'Ch�teauneuf', '71', 'FR'),
(30171, '71500', 'Ch�teaurenaud', '71', 'FR'),
(30172, '71510', 'Ch�tel Moron', '71', 'FR'),
(30173, '71800', 'Ch�tenay', '71', 'FR'),
(30174, '71380', 'Ch�tenoy en Bresse', '71', 'FR'),
(30175, '71880', 'Ch�tenoy le Royal', '71', 'FR'),
(30176, '71150', 'Chaudenay', '71', 'FR'),
(30177, '71170', 'Chauffailles', '71', 'FR'),
(30178, '71310', 'La Chaux', '71', 'FR'),
(30179, '71150', 'Cheilly l�s Maranges', '71', 'FR'),
(30180, '71340', 'Chenay le Ch�tel', '71', 'FR'),
(30181, '71940', 'Chenoves', '71', 'FR'),
(30182, '71250', 'Ch�rizet', '71', 'FR'),
(30183, '71960', 'Chevagny les Chevri�res', '71', 'FR'),
(30184, '71220', 'Chevagny sur Guye', '71', 'FR'),
(30185, '71220', 'Chiddes', '71', 'FR'),
(30186, '71540', 'Chissey en Morvan', '71', 'FR'),
(30187, '71460', 'Chissey l�s M�con', '71', 'FR'),
(30188, '71350', 'Ciel', '71', 'FR'),
(30189, '71420', 'Ciry le Noble', '71', 'FR'),
(30190, '71800', 'La Clayette', '71', 'FR'),
(30191, '71520', 'Clermain', '71', 'FR'),
(30192, '71260', 'Cless�', '71', 'FR'),
(30193, '71130', 'Clessy', '71', 'FR'),
(30194, '71250', 'Cluny', '71', 'FR'),
(30195, '71270', 'Clux', '71', 'FR'),
(30196, '71460', 'Collonge en Charollais', '71', 'FR'),
(30197, '71360', 'Collonge la Madeleine', '71', 'FR'),
(30198, '71800', 'Colombier en Brionnais', '71', 'FR'),
(30199, '71990', 'La Comelle', '71', 'FR'),
(30200, '71480', 'Condal', '71', 'FR'),
(30201, '71540', 'Cordesse', '71', 'FR'),
(30202, '71460', 'Cormatin', '71', 'FR'),
(30203, '71250', 'Cortambert', '71', 'FR'),
(30204, '71460', 'Cortevaix', '71', 'FR'),
(30205, '71170', 'Coublanc', '71', 'FR'),
(30206, '71490', 'Couches', '71', 'FR'),
(30207, '71680', 'Cr�ches sur Sa�ne', '71', 'FR'),
(30208, '71490', 'Cr�ot', '71', 'FR'),
(30209, '71760', 'Cressy sur Somme', '71', 'FR'),
(30210, '71200', 'Le Creusot', '71', 'FR'),
(30211, '71530', 'Crissey', '71', 'FR'),
(30212, '71140', 'Cronat', '71', 'FR'),
(30213, '71260', 'Cruzille', '71', 'FR'),
(30214, '71480', 'Cuiseaux', '71', 'FR'),
(30215, '71290', 'Cuisery', '71', 'FR'),
(30216, '71460', 'Culles les Roches', '71', 'FR'),
(30217, '71800', 'Curbigny', '71', 'FR'),
(30218, '71130', 'Curdin', '71', 'FR'),
(30219, '71400', 'Curgy', '71', 'FR'),
(30220, '71520', 'Curtil sous Buffi�res', '71', 'FR'),
(30221, '71460', 'Curtil sous Burnand', '71', 'FR'),
(30222, '71550', 'Cussy en Morvan', '71', 'FR'),
(30223, '71320', 'Cuzy', '71', 'FR'),
(30224, '71620', 'Damerey', '71', 'FR'),
(30225, '71310', 'Dampierre en Bresse', '71', 'FR'),
(30226, '71960', 'Davay�', '71', 'FR'),
(30227, '71150', 'Demigny', '71', 'FR'),
(30228, '71510', 'Dennevy', '71', 'FR'),
(30229, '71190', 'Dettey', '71', 'FR'),
(30230, '71330', 'Devrouze', '71', 'FR'),
(30231, '71150', 'Dezize l�s Maranges', '71', 'FR'),
(30232, '71330', 'Diconne', '71', 'FR'),
(30233, '71160', 'Digoin', '71', 'FR'),
(30234, '71480', 'Dommartin l�s Cuiseaux', '71', 'FR'),
(30235, '71520', 'Dompierre les Ormes', '71', 'FR'),
(30236, '71420', 'Dompierre sous Sanvignes', '71', 'FR'),
(30237, '71250', 'Donzy le National', '71', 'FR'),
(30238, '71250', 'Donzy le Pertuis', '71', 'FR'),
(30239, '71640', 'Dracy le Fort', '71', 'FR'),
(30240, '71490', 'Dracy l�s Couches', '71', 'FR'),
(30241, '71400', 'Dracy Saint Loup', '71', 'FR'),
(30242, '71610', 'Dyo', '71', 'FR'),
(30243, '71350', '�cuelles', '71', 'FR'),
(30244, '71210', '�cuisses', '71', 'FR'),
(30245, '71360', '�pertully', '71', 'FR'),
(30246, '71380', '�pervans', '71', 'FR'),
(30247, '71360', 'Epinac', '71', 'FR'),
(30248, '71510', 'Essertenne', '71', 'FR'),
(30249, '71190', '�tang sur Arroux', '71', 'FR'),
(30250, '71240', '�trigny', '71', 'FR'),
(30251, '71150', 'Farges l�s Chalon', '71', 'FR'),
(30252, '71700', 'Farges l�s M�con', '71', 'FR'),
(30253, '71580', 'Fay', '71', 'FR'),
(30254, '71000', 'Flac� l�s M�con', '71', 'FR'),
(30255, '71580', 'Flacey en Bresse', '71', 'FR'),
(30256, '71250', 'Flagy', '71', 'FR'),
(30257, '71340', 'Fleury la Montagne', '71', 'FR'),
(30258, '71390', 'Fley', '71', 'FR'),
(30259, '71150', 'Fontaines', '71', 'FR'),
(30260, '71120', 'Fontenay', '71', 'FR'),
(30261, '71530', 'Fragnes', '71', 'FR'),
(30262, '71330', 'Frangy en Bresse', '71', 'FR'),
(30263, '71440', 'La Frette', '71', 'FR'),
(30264, '71270', 'Fretterans', '71', 'FR'),
(30265, '71270', 'Frontenard', '71', 'FR'),
(30266, '71580', 'Frontenaud', '71', 'FR'),
(30267, '71960', 'Fuiss�', '71', 'FR'),
(30268, '71133', 'G�anges', '71', 'FR'),
(30269, '71420', 'G�nelard', '71', 'FR'),
(30270, '71290', 'La Gen�te', '71', 'FR'),
(30271, '71460', 'Genouilly', '71', 'FR'),
(30272, '71590', 'Gergy', '71', 'FR'),
(30273, '71460', 'Germagny', '71', 'FR'),
(30274, '71630', 'Germolles sur Grosne', '71', 'FR'),
(30275, '71800', 'Gibles', '71', 'FR'),
(30276, '71240', 'Gigny sur Sa�ne', '71', 'FR'),
(30277, '71160', 'Gilly sur Loire', '71', 'FR'),
(30278, '71640', 'Givry', '71', 'FR'),
(30279, '71690', 'Gourdon', '71', 'FR'),
(30280, '71990', 'La Grande Verri�re', '71', 'FR'),
(30281, '71430', 'Grandvaux', '71', 'FR'),
(30282, '71390', 'Granges', '71', 'FR'),
(30283, '71700', 'Grevilly', '71', 'FR'),
(30284, '71760', 'Grury', '71', 'FR'),
(30285, '71620', 'Guerfand', '71', 'FR'),
(30286, '71160', 'Les Guerreaux', '71', 'FR'),
(30287, '71130', 'Gueugnon', '71', 'FR'),
(30288, '71220', 'La Guiche', '71', 'FR'),
(30289, '71600', 'Hautefond', '71', 'FR'),
(30290, '71600', 'L''H�pital le Mercier', '71', 'FR'),
(30291, '71290', 'Huilly sur Seille', '71', 'FR'),
(30292, '71870', 'Hurigny', '71', 'FR'),
(30293, '71960', 'Ig�', '71', 'FR'),
(30294, '71540', 'Igornay', '71', 'FR'),
(30295, '71340', 'Iguerande', '71', 'FR'),
(30296, '71760', 'Issy l''�v�que', '71', 'FR'),
(30297, '71250', 'Jalogny', '71', 'FR'),
(30298, '71640', 'Jambles', '71', 'FR'),
(30299, '71460', 'Joncy', '71', 'FR'),
(30300, '71480', 'Joudes', '71', 'FR'),
(30301, '71290', 'Jouven�on', '71', 'FR'),
(30302, '71240', 'Jugy', '71', 'FR'),
(30303, '71440', 'Juif', '71', 'FR'),
(30304, '71390', 'Jully l�s Buxy', '71', 'FR'),
(30305, '71700', 'Lacrost', '71', 'FR'),
(30306, '71240', 'Laives', '71', 'FR'),
(30307, '71870', 'Laiz�', '71', 'FR'),
(30308, '71190', 'Laizy', '71', 'FR'),
(30309, '71240', 'Lalheue', '71', 'FR'),
(30310, '71380', 'Lans', '71', 'FR'),
(30311, '71270', 'Lays sur le Doubs', '71', 'FR'),
(30312, '71140', 'Lesme', '71', 'FR'),
(30313, '71440', 'Lessard en Bresse', '71', 'FR'),
(30314, '71530', 'Lessard le National', '71', 'FR'),
(30315, '71570', 'Leynes', '71', 'FR'),
(30316, '71110', 'Ligny en Brionnais', '71', 'FR'),
(30317, '71000', 'Loch�', '71', 'FR'),
(30318, '71290', 'Loisy', '71', 'FR'),
(30319, '71270', 'Longepierre', '71', 'FR'),
(30320, '71500', 'Louhans', '71', 'FR'),
(30321, '71250', 'Lournand', '71', 'FR'),
(30322, '71530', 'La Loy�re', '71', 'FR'),
(30323, '71540', 'Lucenay l''�v�que', '71', 'FR'),
(30324, '71260', 'Lugny', '71', 'FR'),
(30325, '71120', 'Lugny l�s Charolles', '71', 'FR'),
(30326, '71100', 'Lux', '71', 'FR'),
(30327, '71870', 'M�con', '71', 'FR'),
(30328, '71118', 'M�con', '71', 'FR'),
(30329, '71000', 'M�con', '71', 'FR'),
(30330, '71340', 'Mailly', '71', 'FR'),
(30331, '71460', 'Malay', '71', 'FR'),
(30332, '71140', 'Maltat', '71', 'FR'),
(30333, '71240', 'Mancey', '71', 'FR'),
(30334, '71110', 'Marcigny', '71', 'FR'),
(30335, '71120', 'Marcilly la Gueurce', '71', 'FR'),
(30336, '71390', 'Marcilly l�s Buxy', '71', 'FR'),
(30337, '71690', 'Marigny', '71', 'FR'),
(30338, '71220', 'Marizy', '71', 'FR'),
(30339, '71760', 'Marly sous Issy', '71', 'FR'),
(30340, '71420', 'Marly sur Arroux', '71', 'FR'),
(30341, '71710', 'Marmagne', '71', 'FR'),
(30342, '71240', 'Marnay', '71', 'FR'),
(30343, '71700', 'Martailly l�s Brancion', '71', 'FR'),
(30344, '71220', 'Martigny le Comte', '71', 'FR'),
(30345, '71690', 'Mary', '71', 'FR'),
(30346, '71250', 'Massilly', '71', 'FR'),
(30347, '71250', 'Massy', '71', 'FR'),
(30348, '71520', 'Matour', '71', 'FR'),
(30349, '71250', 'Mazill�', '71', 'FR'),
(30350, '71340', 'Melay', '71', 'FR'),
(30351, '71640', 'Mellecey', '71', 'FR'),
(30352, '71470', 'M�n�treuil', '71', 'FR'),
(30353, '71640', 'Mercurey', '71', 'FR'),
(30354, '71310', 'Mervans', '71', 'FR'),
(30355, '71940', 'Messey sur Grosne', '71', 'FR'),
(30356, '71190', 'Mesvres', '71', 'FR'),
(30357, '71520', 'Meulin', '71', 'FR'),
(30358, '71960', 'Milly Lamartine', '71', 'FR'),
(30359, '71480', 'Le Miroir', '71', 'FR'),
(30360, '71140', 'Mont', '71', 'FR'),
(30361, '71390', 'Montagny l�s Buxy', '71', 'FR'),
(30362, '71500', 'Montagny pr�s Louhans', '71', 'FR'),
(30363, '71520', 'Montagny sur Grosne', '71', 'FR'),
(30364, '71260', 'Montbellet', '71', 'FR'),
(30365, '71300', 'Montceau les Mines', '71', 'FR'),
(30366, '71110', 'Montceaux l''�toile', '71', 'FR'),
(30367, '71240', 'Montceaux Ragny', '71', 'FR'),
(30368, '71710', 'Montcenis', '71', 'FR'),
(30369, '71210', 'Montchanin', '71', 'FR'),
(30370, '71500', 'Montcony', '71', 'FR'),
(30371, '71620', 'Montcoy', '71', 'FR'),
(30372, '71400', 'Monthelon', '71', 'FR'),
(30373, '71310', 'Montjay', '71', 'FR'),
(30374, '71270', 'Mont l�s Seurre', '71', 'FR'),
(30375, '71520', 'Montmelard', '71', 'FR'),
(30376, '71320', 'Montmort', '71', 'FR'),
(30377, '71470', 'Montpont en Bresse', '71', 'FR'),
(30378, '71440', 'Montret', '71', 'FR'),
(30379, '71690', 'Mont Saint Vincent', '71', 'FR'),
(30380, '71510', 'Morey', '71', 'FR'),
(30381, '71360', 'Morlet', '71', 'FR'),
(30382, '71220', 'Mornay', '71', 'FR'),
(30383, '71390', 'Moroges', '71', 'FR'),
(30384, '71160', 'La Motte Saint Jean', '71', 'FR'),
(30385, '71270', 'Mouthier en Bresse', '71', 'FR'),
(30386, '71170', 'Mussy sous Dun', '71', 'FR'),
(30387, '71240', 'Nanton', '71', 'FR'),
(30388, '71270', 'Navilly', '71', 'FR'),
(30389, '71130', 'Neuvy Grandchamp', '71', 'FR'),
(30390, '71600', 'Nochize', '71', 'FR'),
(30391, '71290', 'Ormes', '71', 'FR'),
(30392, '71380', 'Oslon', '71', 'FR'),
(30393, '71420', 'Oudry', '71', 'FR'),
(30394, '71800', 'Ouroux sous le Bois Ste Marie', '71', 'FR'),
(30395, '71370', 'Ouroux sur Sa�ne', '71', 'FR'),
(30396, '71610', 'Oy�', '71', 'FR'),
(30397, '71700', 'Ozenay', '71', 'FR'),
(30398, '71120', 'Ozolles', '71', 'FR'),
(30399, '71430', 'Palinges', '71', 'FR'),
(30400, '71350', 'Palleau', '71', 'FR'),
(30401, '71600', 'Paray le Monial', '71', 'FR'),
(30402, '71150', 'Paris l''H�pital', '71', 'FR'),
(30403, '71220', 'Passy', '71', 'FR'),
(30404, '71260', 'P�ronne', '71', 'FR'),
(30405, '71420', 'Perrecy les Forges', '71', 'FR'),
(30406, '71510', 'Perreuil', '71', 'FR'),
(30407, '71160', 'Perrigny sur Loire', '71', 'FR'),
(30408, '71400', 'La Petite Verri�re', '71', 'FR'),
(30409, '71960', 'Pierreclos', '71', 'FR'),
(30410, '71270', 'Pierre de Bresse', '71', 'FR'),
(30411, '71330', 'Le Planois', '71', 'FR'),
(30412, '71700', 'Plottes', '71', 'FR'),
(30413, '71600', 'Poisson', '71', 'FR'),
(30414, '71270', 'Pontoux', '71', 'FR'),
(30415, '71230', 'Pouilloux', '71', 'FR'),
(30416, '71270', 'Pourlans', '71', 'FR'),
(30417, '71220', 'Pressy sous Dondin', '71', 'FR'),
(30418, '71290', 'Pr�ty', '71', 'FR'),
(30419, '71960', 'Priss�', '71', 'FR'),
(30420, '71610', 'Prizy', '71', 'FR'),
(30421, '71570', 'Pruzilly', '71', 'FR'),
(30422, '71460', 'Le Puley', '71', 'FR'),
(30423, '71310', 'La Racineuse', '71', 'FR'),
(30424, '71290', 'Rancy', '71', 'FR'),
(30425, '71290', 'Ratenelle', '71', 'FR'),
(30426, '71500', 'Ratte', '71', 'FR'),
(30427, '71540', 'Reclesne', '71', 'FR'),
(30428, '71150', 'Remigny', '71', 'FR'),
(30429, '71160', 'Rigny sur Arroux', '71', 'FR'),
(30430, '71960', 'La Roche Vineuse', '71', 'FR'),
(30431, '71570', 'Roman�che Thorins', '71', 'FR'),
(30432, '71470', 'Romenay', '71', 'FR'),
(30433, '71390', 'Rosey', '71', 'FR'),
(30434, '71220', 'Le Rousset', '71', 'FR'),
(30435, '71550', 'Roussillon en Morvan', '71', 'FR'),
(30436, '71700', 'Royer', '71', 'FR'),
(30437, '71150', 'Rully', '71', 'FR'),
(30438, '71580', 'Sagy', '71', 'FR'),
(30439, '71580', 'Saillenard', '71', 'FR'),
(30440, '71250', 'Sailly', '71', 'FR'),
(30441, '71160', 'St Agnan', '71', 'FR'),
(30442, '71260', 'Saint Albain', '71', 'FR'),
(30443, '71240', 'Saint Ambreuil', '71', 'FR'),
(30444, '71570', 'Saint Amour Bellevue', '71', 'FR'),
(30445, '71440', 'Saint Andr� en Bresse', '71', 'FR'),
(30446, '71220', 'Saint Andr� le D�sert', '71', 'FR'),
(30447, '71430', 'Saint Aubin en Charollais', '71', 'FR'),
(30448, '71140', 'Saint Aubin sur Loire', '71', 'FR'),
(30449, '71300', 'Saint Berain sous Sanvignes', '71', 'FR'),
(30450, '71510', 'Saint Berain sur Dheune', '71', 'FR'),
(30451, '71940', 'Saint Boil', '71', 'FR'),
(30452, '71340', 'Saint Bonnet de Cray', '71', 'FR'),
(30453, '71220', 'Saint Bonnet de Joux', '71', 'FR'),
(30454, '71430', 'St Bonnet de Vieille Vigne', '71', 'FR'),
(30455, '71310', 'Saint Bonnet en Bresse', '71', 'FR'),
(30456, '71250', 'Sainte C�cile', '71', 'FR'),
(30457, '71370', 'Saint Christophe en Bresse', '71', 'FR'),
(30458, '71800', 'St Christophe en Brionnais', '71', 'FR'),
(30459, '71460', 'Saint Cl�ment sur Guye', '71', 'FR'),
(30460, '71470', 'Sainte Croix', '71', 'FR'),
(30461, '71240', 'Saint Cyr', '71', 'FR'),
(30462, '71640', 'Saint Denis de Vaux', '71', 'FR'),
(30463, '71390', 'Saint D�sert', '71', 'FR'),
(30464, '71620', 'Saint Didier en Bresse', '71', 'FR'),
(30465, '71110', 'Saint Didier en Brionnais', '71', 'FR'),
(30466, '71190', 'Saint Didier sur Arroux', '71', 'FR'),
(30467, '71740', 'Saint Edmond', '71', 'FR'),
(30468, '71490', 'Saint �miland', '71', 'FR'),
(30469, '71370', 'Saint �tienne en Bresse', '71', 'FR'),
(30470, '71320', 'Saint Eug�ne', '71', 'FR'),
(30471, '71190', 'Saint Eug�ne', '71', 'FR'),
(30472, '71210', 'Saint Eus�be', '71', 'FR'),
(30473, '71670', 'Saint Firmin', '71', 'FR'),
(30474, '71400', 'Saint Forgeot', '71', 'FR'),
(30475, '71110', 'Ste Foy', '71', 'FR'),
(30476, '71260', 'Saint Gengoux de Sciss�', '71', 'FR'),
(30477, '71460', 'Saint Gengoux le National', '71', 'FR'),
(30478, '71600', 'Saint Germain des Rives', '71', 'FR'),
(30479, '71330', 'Saint Germain du Bois', '71', 'FR'),
(30480, '71370', 'Saint Germain du Plain', '71', 'FR'),
(30481, '71610', 'Saint Germain en Brionnais', '71', 'FR'),
(30482, '71390', 'Saint Germain l�s Buxy', '71', 'FR'),
(30483, '71350', 'Saint Gervais en Valli�re', '71', 'FR'),
(30484, '71490', 'Saint Gervais sur Couches', '71', 'FR'),
(30485, '71510', 'Saint Gilles', '71', 'FR'),
(30486, '71390', 'Sainte H�l�ne', '71', 'FR'),
(30487, '71460', 'Saint Huruge', '71', 'FR'),
(30488, '71170', 'Saint Igny de Roche', '71', 'FR'),
(30489, '71640', 'Saint Jean de Vaux', '71', 'FR'),
(30490, '71490', 'Saint Jean de Tr�zy', '71', 'FR'),
(30491, '71000', 'Saint Jean le Priche', '71', 'FR'),
(30492, '71610', 'Saint Julien de Civry', '71', 'FR'),
(30493, '71110', 'St Julien de Jonzy', '71', 'FR'),
(30494, '71210', 'Saint Julien sur Dheune', '71', 'FR'),
(30495, '71210', 'Saint Laurent d''Andenay', '71', 'FR'),
(30496, '71800', 'Saint Laurent en Brionnais', '71', 'FR'),
(30497, '71360', 'Saint L�ger du Bois', '71', 'FR'),
(30498, '71600', 'St L�ger l�s Paray', '71', 'FR'),
(30499, '71990', 'Saint L�ger sous Beuvray', '71', 'FR'),
(30500, '71520', 'St L�ger sous la Bussi�re', '71', 'FR'),
(30501, '71510', 'Saint L�ger sur Dheune', '71', 'FR'),
(30502, '71133', 'Saint Loup de la Salle', '71', 'FR'),
(30503, '71240', 'St Loup de Varennes', '71', 'FR'),
(30504, '71380', 'Saint Marcel', '71', 'FR'),
(30505, '71460', 'Saint Marcelin de Cray', '71', 'FR'),
(30506, '71640', 'Saint Mard de Vaux', '71', 'FR'),
(30507, '71118', 'Saint Martin Belle Roche', '71', 'FR'),
(30508, '71390', 'Saint Martin d''Auxy', '71', 'FR'),
(30509, '71490', 'Saint Martin de Commune', '71', 'FR'),
(30510, '71740', 'Saint Martin de Lixy', '71', 'FR'),
(30511, '71220', 'Saint Martin de Salencey', '71', 'FR'),
(30512, '71110', 'Saint Martin du Lac', '71', 'FR'),
(30513, '71580', 'Saint Martin du Mont', '71', 'FR'),
(30514, '71460', 'Saint Martin du Tartre', '71', 'FR'),
(30515, '71620', 'Saint Martin en Bresse', '71', 'FR'),
(30516, '71350', 'Saint Martin en G�tinois', '71', 'FR'),
(30517, '71460', 'Saint Martin la Patrouille', '71', 'FR'),
(30518, '71640', 'Saint Martin sous Montaigu', '71', 'FR'),
(30519, '71260', 'Saint Maurice de Satonnay', '71', 'FR'),
(30520, '71460', 'Saint Maurice des Champs', '71', 'FR'),
(30521, '71620', 'Saint Maurice en Rivi�re', '71', 'FR'),
(30522, '71740', 'St Maurice l�s Ch�teauneuf', '71', 'FR'),
(30523, '71490', 'Saint Maurice l�s Couches', '71', 'FR'),
(30524, '71460', 'Saint Micaud', '71', 'FR'),
(30525, '71190', 'Saint Nizier sur Arroux', '71', 'FR'),
(30526, '71400', 'Saint Pantal�on', '71', 'FR'),
(30527, '71670', 'Saint Pierre de Varennes', '71', 'FR'),
(30528, '71520', 'Saint Pierre le Vieux', '71', 'FR'),
(30529, '71630', 'Saint Point', '71', 'FR'),
(30530, '71390', 'St Priv�', '71', 'FR'),
(30531, '71990', 'Saint Prix', '71', 'FR'),
(30532, '71800', 'Saint Racho', '71', 'FR'),
(30533, '71320', 'Sainte Radegonde', '71', 'FR'),
(30534, '71100', 'Saint R�my', '71', 'FR'),
(30535, '71570', 'Saint Romain des �les', '71', 'FR'),
(30536, '71230', 'Saint Romain sous Gourdon', '71', 'FR'),
(30537, '71420', 'Saint Romain sous Versigny', '71', 'FR'),
(30538, '71200', 'Saint Sernin du Bois', '71', 'FR'),
(30539, '71510', 'Saint Sernin du Plain', '71', 'FR'),
(30540, '71570', 'Saint Symphorien d''Ancelles', '71', 'FR'),
(30541, '71710', 'Saint Symphorien de Marmagne', '71', 'FR'),
(30542, '71800', 'Saint Symphorien des Bois', '71', 'FR'),
(30543, '71500', 'Saint Usuge', '71', 'FR'),
(30544, '71390', 'Saint Vallerin', '71', 'FR'),
(30545, '71230', 'Saint Vallier', '71', 'FR'),
(30546, '71570', 'St V�rand', '71', 'FR'),
(30547, '71250', 'Saint Vincent des Pr�s', '71', 'FR'),
(30548, '71440', 'Saint Vincent en Bresse', '71', 'FR'),
(30549, '71430', 'St Vincent Bragny', '71', 'FR'),
(30550, '71600', 'Saint Yan', '71', 'FR'),
(30551, '71460', 'Saint Ythaire', '71', 'FR'),
(30552, '71360', 'Saisy', '71', 'FR'),
(30553, '71260', 'La Salle', '71', 'FR'),
(30554, '71250', 'Salornay sur Guye', '71', 'FR'),
(30555, '71150', 'Sampigny l�s Maranges', '71', 'FR'),
(30556, '71000', 'Sanc�', '71', 'FR'),
(30557, '71460', 'Santilly', '71', 'FR'),
(30558, '71410', 'Sanvignes les Mines', '71', 'FR'),
(30559, '71110', 'Sarry', '71', 'FR'),
(30560, '71390', 'Sassangy', '71', 'FR'),
(30561, '71530', 'Sassenay', '71', 'FR'),
(30562, '71940', 'Saules', '71', 'FR'),
(30563, '71350', 'Sauni�res', '71', 'FR'),
(30564, '71460', 'Savianges', '71', 'FR'),
(30565, '71580', 'Savigny en Revermont', '71', 'FR'),
(30566, '71460', 'Savigny sur Grosne', '71', 'FR'),
(30567, '71440', 'Savigny sur Seille', '71', 'FR'),
(30568, '71400', 'Celle en Morvan', '71', 'FR'),
(30569, '71110', 'Semur en Brionnais', '71', 'FR'),
(30570, '71000', 'Sennec� l�s M�con', '71', 'FR'),
(30571, '71240', 'Sennecey le Grand', '71', 'FR'),
(30572, '71260', 'Senozan', '71', 'FR'),
(30573, '71330', 'Sens sur Seille', '71', 'FR'),
(30574, '71460', 'Sercy', '71', 'FR'),
(30575, '71310', 'Serley', '71', 'FR'),
(30576, '71350', 'Sermesse', '71', 'FR'),
(30577, '71960', 'Serri�res', '71', 'FR'),
(30578, '71310', 'Serrigny en Bresse', '71', 'FR'),
(30579, '71100', 'Sevrey', '71', 'FR'),
(30580, '71250', 'Sigy le Ch�tel', '71', 'FR'),
(30581, '71290', 'Simandre', '71', 'FR'),
(30582, '71330', 'Simard', '71', 'FR'),
(30583, '71220', 'Sivignon', '71', 'FR'),
(30584, '71960', 'Sologny', '71', 'FR'),
(30585, '71960', 'Solutr� Pouilly', '71', 'FR'),
(30586, '71540', 'Sommant', '71', 'FR'),
(30587, '71500', 'Sornay', '71', 'FR'),
(30588, '71220', 'Suin', '71', 'FR'),
(30589, '71360', 'Sully', '71', 'FR'),
(30590, '71190', 'La Tagni�re', '71', 'FR'),
(30591, '71250', 'Taiz�', '71', 'FR'),
(30592, '71740', 'Tancon', '71', 'FR'),
(30593, '71330', 'Le Tartre', '71', 'FR'),
(30594, '71400', 'Tavernay', '71', 'FR'),
(30595, '71270', 'Terrans', '71', 'FR'),
(30596, '71190', 'Thil sur Arroux', '71', 'FR'),
(30597, '71440', 'Thurey', '71', 'FR'),
(30598, '71490', 'Tintry', '71', 'FR'),
(30599, '71210', 'Torcy', '71', 'FR'),
(30600, '71270', 'Torpes', '71', 'FR'),
(30601, '71320', 'Toulon sur Arroux', '71', 'FR'),
(30602, '71700', 'Tournus', '71', 'FR'),
(30603, '71350', 'Toutenant', '71', 'FR'),
(30604, '71520', 'Tramayes', '71', 'FR'),
(30605, '71520', 'Trambly', '71', 'FR'),
(30606, '71520', 'Trivy', '71', 'FR'),
(30607, '71440', 'Tronchy', '71', 'FR'),
(30608, '71290', 'La Truch�re', '71', 'FR'),
(30609, '71700', 'Uchizy', '71', 'FR'),
(30610, '71190', 'Uchon', '71', 'FR'),
(30611, '71130', 'Uxeau', '71', 'FR'),
(30612, '71800', 'Vareilles', '71', 'FR'),
(30613, '71110', 'Varenne l''Arconce', '71', 'FR'),
(30614, '71240', 'Varennes le Grand', '71', 'FR'),
(30615, '71000', 'Varennes l�s M�con', '71', 'FR'),
(30616, '71600', 'Varenne St Germain', '71', 'FR'),
(30617, '71480', 'Varennes Saint Sauveur', '71', 'FR'),
(30618, '71800', 'Varennes sous Dun', '71', 'FR'),
(30619, '71800', 'Vauban', '71', 'FR'),
(30620, '71120', 'Vaudebarrier', '71', 'FR'),
(30621, '71460', 'Vaux en Pr�', '71', 'FR'),
(30622, '71120', 'Vendenesse l�s Charolles', '71', 'FR'),
(30623, '71130', 'Vendenesse sur Arroux', '71', 'FR'),
(30624, '71350', 'Verdun sur le Doubs', '71', 'FR'),
(30625, '71960', 'Vergisson', '71', 'FR'),
(30626, '71440', 'V�rissey', '71', 'FR'),
(30627, '71590', 'Verjux', '71', 'FR'),
(30628, '71220', 'V�rosvres', '71', 'FR'),
(30629, '71240', 'Vers', '71', 'FR'),
(30630, '71110', 'Versaugues', '71', 'FR'),
(30631, '71960', 'Verz�', '71', 'FR'),
(30632, '71160', 'Vigny l�s Paray', '71', 'FR'),
(30633, '71700', 'Le Villars', '71', 'FR'),
(30634, '71620', 'Villegaudin', '71', 'FR'),
(30635, '71270', 'La Villeneuve', '71', 'FR'),
(30636, '71390', 'Villeneuve en Montagne', '71', 'FR'),
(30637, '71500', 'Vincelles', '71', 'FR'),
(30638, '71110', 'Vindecy', '71', 'FR'),
(30639, '71250', 'La Vineuse', '71', 'FR'),
(30640, '71680', 'Vinzelles', '71', 'FR'),
(30641, '71260', 'Vir�', '71', 'FR'),
(30642, '71530', 'Virey le Grand', '71', 'FR'),
(30643, '71120', 'Viry', '71', 'FR'),
(30644, '71250', 'Vitry l�s Cluny', '71', 'FR'),
(30645, '71600', 'Vitry en Charollais', '71', 'FR'),
(30646, '71140', 'Vitry sur Loire', '71', 'FR'),
(30647, '71600', 'Volesvres', '71', 'FR'),
(30648, '71260', 'Fleurville', '71', 'FR'),
(30649, '72650', 'Aign�', '72', 'FR'),
(30650, '72600', 'Ailli�res Beauvoir', '72', 'FR'),
(30651, '72700', 'Allonnes', '72', 'FR'),
(30652, '72540', 'Amn�', '72', 'FR'),
(30653, '72610', 'Ancinnes', '72', 'FR'),
(30654, '72610', 'Ar�onnay', '72', 'FR'),
(30655, '72370', 'Ardenay sur M�rize', '72', 'FR'),
(30656, '72230', 'Arnage', '72', 'FR'),
(30657, '72270', 'Arthez�', '72', 'FR'),
(30658, '72430', 'Asni�res sur V�gre', '72', 'FR'),
(30659, '72130', 'Ass� le Boisne', '72', 'FR'),
(30660, '72170', 'Ass� le Riboul', '72', 'FR'),
(30661, '72800', 'Aubign� Racan', '72', 'FR'),
(30662, '72670', 'Les Aulneaux', '72', 'FR'),
(30663, '72300', 'Auvers le Hamon', '72', 'FR'),
(30664, '72540', 'Auvers sous Montfaucon', '72', 'FR'),
(30665, '72260', 'Avesnes en Saosnois', '72', 'FR'),
(30666, '72350', 'Avess�', '72', 'FR'),
(30667, '72400', 'Avez�', '72', 'FR'),
(30668, '72430', 'Avoise', '72', 'FR'),
(30669, '72200', 'Le Bailleul', '72', 'FR'),
(30670, '72290', 'Ballon', '72', 'FR'),
(30671, '72650', 'La Bazoge', '72', 'FR'),
(30672, '72200', 'Bazouges sur le Loir', '72', 'FR'),
(30673, '72110', 'Beaufay', '72', 'FR'),
(30674, '72340', 'Beaumont sur D�me', '72', 'FR'),
(30675, '72500', 'Beaumont Pied de Boeuf', '72', 'FR'),
(30676, '72170', 'Beaumont sur Sarthe', '72', 'FR'),
(30677, '72160', 'Beill�', '72', 'FR'),
(30678, '72320', 'Berfay', '72', 'FR'),
(30679, '72240', 'Bernay', '72', 'FR'),
(30680, '72610', 'B�rus', '72', 'FR'),
(30681, '72310', 'Bess� sur Braye', '72', 'FR'),
(30682, '72610', 'B�thon', '72', 'FR'),
(30683, '72670', 'Bl�ves', '72', 'FR'),
(30684, '72400', 'Bo�ss� le Sec', '72', 'FR'),
(30685, '72110', 'Bonn�table', '72', 'FR'),
(30686, '72400', 'La Bosse', '72', 'FR'),
(30687, '72390', 'Bou�r', '72', 'FR'),
(30688, '72440', 'Bouloire', '72', 'FR'),
(30689, '72610', 'Bourg le Roi', '72', 'FR'),
(30690, '72270', 'Bousse', '72', 'FR'),
(30691, '72550', 'Brains sur G�e', '72', 'FR'),
(30692, '72370', 'Le Breil sur M�rize', '72', 'FR'),
(30693, '72250', 'Brette les Pins', '72', 'FR'),
(30694, '72110', 'Briosne l�s Sables', '72', 'FR'),
(30695, '72500', 'La Bru�re sur Loir', '72', 'FR'),
(30696, '72350', 'Br�lon', '72', 'FR'),
(30697, '72330', 'C�rans Foulletourte', '72', 'FR'),
(30698, '72340', 'Chahaignes', '72', 'FR'),
(30699, '72250', 'Challes', '72', 'FR'),
(30700, '72470', 'Champagn�', '72', 'FR'),
(30701, '72610', 'Champfleur', '72', 'FR'),
(30702, '72320', 'Champrond', '72', 'FR'),
(30703, '72560', 'Chang�', '72', 'FR'),
(30704, '72430', 'Chantenay Villedieu', '72', 'FR'),
(30705, '72800', 'La Chapelle aux Choux', '72', 'FR'),
(30706, '72300', 'La Chapelle d''Align�', '72', 'FR'),
(30707, '72400', 'La Chapelle du Bois', '72', 'FR'),
(30708, '72310', 'Chapelle Gaugain', '72', 'FR'),
(30709, '72310', 'La Chapelle Huon', '72', 'FR'),
(30710, '72650', 'La Chapelle Saint Aubin', '72', 'FR'),
(30711, '72240', 'La Chapelle Saint Fray', '72', 'FR'),
(30712, '72160', 'La Chapelle Saint R�my', '72', 'FR'),
(30713, '72340', 'La Chartre sur le Loir', '72', 'FR'),
(30714, '72670', 'Chass�', '72', 'FR'),
(30715, '72540', 'Chassill�', '72', 'FR'),
(30716, '72500', 'Ch�teau du Loir', '72', 'FR'),
(30717, '72510', 'Ch�teau l''Hermitage', '72', 'FR'),
(30718, '72550', 'Chaufour Notre Dame', '72', 'FR'),
(30719, '72540', 'Chemir� en Charnie', '72', 'FR'),
(30720, '72210', 'Chemir� le Gaudin', '72', 'FR'),
(30721, '72610', 'Chenay', '72', 'FR'),
(30722, '72500', 'Chenu', '72', 'FR'),
(30723, '72170', 'Ch�ranc�', '72', 'FR'),
(30724, '72610', 'Ch�risay', '72', 'FR'),
(30725, '72400', 'Cherr�', '72', 'FR'),
(30726, '72400', 'Cherreau', '72', 'FR'),
(30727, '72610', 'Le Chevain', '72', 'FR'),
(30728, '72350', 'Chevill�', '72', 'FR'),
(30729, '72200', 'Clermont Cr�ans', '72', 'FR'),
(30730, '72310', 'Cogners', '72', 'FR'),
(30731, '72600', 'Commerveil', '72', 'FR'),
(30732, '72120', 'Conflans sur Anille', '72', 'FR'),
(30733, '72290', 'Cong� sur Orne', '72', 'FR'),
(30734, '72240', 'Conlie', '72', 'FR'),
(30735, '72160', 'Connerr�', '72', 'FR'),
(30736, '72600', 'Contilly', '72', 'FR'),
(30737, '72400', 'Cormes', '72', 'FR'),
(30738, '72440', 'Coudrecieux', '72', 'FR'),
(30739, '72190', 'Coulaines', '72', 'FR'),
(30740, '72550', 'Coulans sur G�e', '72', 'FR'),
(30741, '72130', 'Coulombiers', '72', 'FR'),
(30742, '72800', 'Coulong�', '72', 'FR'),
(30743, '72290', 'Courceboeufs', '72', 'FR'),
(30744, '72270', 'Courcelles la For�t', '72', 'FR'),
(30745, '72110', 'Courcemont', '72', 'FR'),
(30746, '72110', 'Courcival', '72', 'FR'),
(30747, '72150', 'Courdemanche', '72', 'FR'),
(30748, '72260', 'Courgains', '72', 'FR'),
(30749, '72320', 'Courgenard', '72', 'FR'),
(30750, '72300', 'Courtillers', '72', 'FR'),
(30751, '72540', 'Crannes en Champagne', '72', 'FR'),
(30752, '72200', 'Cr�', '72', 'FR'),
(30753, '72140', 'Criss�', '72', 'FR'),
(30754, '72200', 'Crosmi�res', '72', 'FR'),
(30755, '72240', 'Cures', '72', 'FR'),
(30756, '72260', 'Dangeul', '72', 'FR'),
(30757, '72550', 'Degr�', '72', 'FR'),
(30758, '72400', 'Dehault', '72', 'FR'),
(30759, '72500', 'Dissay sous Courcillon', '72', 'FR'),
(30760, '72260', 'Diss� sous Ballon', '72', 'FR'),
(30761, '72800', 'Diss� sous le Lude', '72', 'FR'),
(30762, '72390', 'Dollon', '72', 'FR'),
(30763, '72240', 'Domfront en Champagne', '72', 'FR'),
(30764, '72170', 'Doucelles', '72', 'FR'),
(30765, '72590', 'Douillet', '72', 'FR'),
(30766, '72160', 'Duneau', '72', 'FR'),
(30767, '72270', 'Dureil', '72', 'FR'),
(30768, '72220', '�commoy', '72', 'FR'),
(30769, '72120', '�corpain', '72', 'FR'),
(30770, '72540', '�pineu le Chevreuil', '72', 'FR'),
(30771, '72700', '�tival l�s Le Mans', '72', 'FR'),
(30772, '72120', '�vaill�', '72', 'FR'),
(30773, '72470', 'Fatines', '72', 'FR'),
(30774, '72550', 'Fay', '72', 'FR'),
(30775, '72430', 'Ferc� sur Sarthe', '72', 'FR'),
(30776, '72400', 'La Fert� Bernard', '72', 'FR'),
(30777, '72210', 'Fill�', '72', 'FR'),
(30778, '72500', 'Fl�e', '72', 'FR'),
(30779, '72330', 'La Fontaine Saint Martin', '72', 'FR'),
(30780, '72350', 'Fontenay sur V�gre', '72', 'FR'),
(30781, '72670', 'La Fresnaye sur Ch�douet', '72', 'FR'),
(30782, '72130', 'Fresnay sur Sarthe', '72', 'FR'),
(30783, '72610', 'Fy�', '72', 'FR'),
(30784, '72130', 'Gesnes le Gandelin', '72', 'FR'),
(30785, '72610', 'Grandchamp', '72', 'FR'),
(30786, '72150', 'Le Grand Luc�', '72', 'FR'),
(30787, '72320', 'Gr�ez sur Roc', '72', 'FR'),
(30788, '72140', 'Grez', '72', 'FR'),
(30789, '72230', 'Gu�c�lard', '72', 'FR'),
(30790, '72380', 'La Guierche', '72', 'FR'),
(30791, '72110', 'Jauz�', '72', 'FR'),
(30792, '72540', 'Jou� en Charnie', '72', 'FR'),
(30793, '72380', 'Jou� l''Abb�', '72', 'FR'),
(30794, '72300', 'Juign� sur Sarthe', '72', 'FR'),
(30795, '72170', 'Juill�', '72', 'FR'),
(30796, '72500', 'Jupilles', '72', 'FR'),
(30797, '72200', 'La Fl�che', '72', 'FR'),
(30798, '72220', 'Laign� en Belin', '72', 'FR'),
(30799, '72320', 'Lamnay', '72', 'FR'),
(30800, '72240', 'Lavardin', '72', 'FR'),
(30801, '72390', 'Lavar�', '72', 'FR'),
(30802, '72310', 'Lavenay', '72', 'FR'),
(30803, '72500', 'Lavernat', '72', 'FR'),
(30804, '72340', 'Lhomme', '72', 'FR'),
(30805, '72610', 'Ligni�res la Carelle', '72', 'FR'),
(30806, '72270', 'Ligron', '72', 'FR'),
(30807, '72610', 'Livet en Saosnois', '72', 'FR'),
(30808, '72450', 'Lombron', '72', 'FR'),
(30809, '72540', 'Longnes', '72', 'FR'),
(30810, '72300', 'Louailles', '72', 'FR'),
(30811, '72540', 'Lou�', '72', 'FR'),
(30812, '72210', 'Louplande', '72', 'FR'),
(30813, '72600', 'Louvigny', '72', 'FR'),
(30814, '72670', 'Louzes', '72', 'FR'),
(30815, '72390', 'Le Luart', '72', 'FR'),
(30816, '72500', 'Luceau', '72', 'FR'),
(30817, '72290', 'Luc� sous Ballon', '72', 'FR'),
(30818, '72800', 'Luch� Pring�', '72', 'FR'),
(30819, '72800', 'Le Lude', '72', 'FR'),
(30820, '72210', 'Maign�', '72', 'FR'),
(30821, '72440', 'Maisoncelles', '72', 'FR'),
(30822, '72270', 'Malicorne sur Sarthe', '72', 'FR'),
(30823, '72600', 'Mamers', '72', 'FR'),
(30824, '72100', 'Le Mans', '72', 'FR'),
(30825, '72000', 'Le Mans', '72', 'FR'),
(30826, '72510', 'Mansign�', '72', 'FR'),
(30827, '72340', 'Mar�on', '72', 'FR'),
(30828, '72540', 'Mareil en Champagne', '72', 'FR'),
(30829, '72200', 'Mareil sur Loir', '72', 'FR'),
(30830, '72170', 'Maresch�', '72', 'FR'),
(30831, '72220', 'Marign� Laill�', '72', 'FR'),
(30832, '72600', 'Marollette', '72', 'FR'),
(30833, '72260', 'Marolles les Braults', '72', 'FR'),
(30834, '72120', 'Marolles l�s Saint Calais', '72', 'FR'),
(30835, '72360', 'Mayet', '72', 'FR'),
(30836, '72260', 'Les M�es', '72', 'FR'),
(30837, '72320', 'Melleray', '72', 'FR'),
(30838, '72170', 'Meurc�', '72', 'FR'),
(30839, '72270', 'M�zeray', '72', 'FR'),
(30840, '72290', 'M�zi�res sur Ponthouin', '72', 'FR'),
(30841, '72240', 'M�zi�res sous Lavardin', '72', 'FR'),
(30842, '72650', 'La Milesse', '72', 'FR'),
(30843, '72170', 'Moitron sur Sarthe', '72', 'FR'),
(30844, '72230', 'Monc� en Belin', '72', 'FR'),
(30845, '72260', 'Monc� en Saosnois', '72', 'FR'),
(30846, '72260', 'Monhoudou', '72', 'FR'),
(30847, '72500', 'Montabon', '72', 'FR'),
(30848, '72120', 'Montaill�', '72', 'FR'),
(30849, '72380', 'Montbizot', '72', 'FR'),
(30850, '72670', 'Montigny', '72', 'FR'),
(30851, '72320', 'Montmirail', '72', 'FR'),
(30852, '72130', 'Montreuil le Ch�tif', '72', 'FR'),
(30853, '72150', 'Montreuil le Henri', '72', 'FR'),
(30854, '72140', 'Mont Saint Jean', '72', 'FR'),
(30855, '72130', 'Moulins le Carbonnel', '72', 'FR'),
(30856, '72230', 'Mulsanne', '72', 'FR'),
(30857, '72260', 'Nauvay', '72', 'FR'),
(30858, '72600', 'Neufch�tel en Saosnois', '72', 'FR'),
(30859, '72240', 'Neuvillalais', '72', 'FR'),
(30860, '72190', 'Neuville sur Sarthe', '72', 'FR'),
(30861, '72140', 'Neuvillette en Charnie', '72', 'FR'),
(30862, '72240', 'Neuvy en Champagne', '72', 'FR'),
(30863, '72110', 'Nogent le Bernard', '72', 'FR'),
(30864, '72500', 'Nogent sur Loir', '72', 'FR'),
(30865, '72260', 'Nouans', '72', 'FR'),
(30866, '72430', 'Noyen sur Sarthe', '72', 'FR'),
(30867, '72370', 'Nuill� le Jalais', '72', 'FR'),
(30868, '72610', 'Oisseau le Petit', '72', 'FR'),
(30869, '72330', 'Oiz�', '72', 'FR'),
(30870, '72600', 'Panon', '72', 'FR'),
(30871, '72300', 'Parc� sur Sarthe', '72', 'FR'),
(30872, '72140', 'Parennes', '72', 'FR'),
(30873, '72330', 'Parign� le P�lin', '72', 'FR'),
(30874, '72250', 'Parign� l''�v�que', '72', 'FR'),
(30875, '72300', 'Notre Dame du P�', '72', 'FR'),
(30876, '72260', 'Peray', '72', 'FR'),
(30877, '72140', 'P�z� le Robert', '72', 'FR'),
(30878, '72170', 'Piac�', '72', 'FR'),
(30879, '72300', 'Pinc�', '72', 'FR'),
(30880, '72430', 'Pirmil', '72', 'FR'),
(30881, '72600', 'Pizieux', '72', 'FR'),
(30882, '72350', 'Poill� sur V�gre', '72', 'FR'),
(30883, '72340', 'Ponc� sur le Loir', '72', 'FR'),
(30884, '72450', 'Montfort le Gesnois', '72', 'FR'),
(30885, '72510', 'Pontvallain', '72', 'FR'),
(30886, '72300', 'Pr�cign�', '72', 'FR'),
(30887, '72400', 'Pr�val', '72', 'FR'),
(30888, '72110', 'Pr�velles', '72', 'FR'),
(30889, '72700', 'Pruill� le Ch�tif', '72', 'FR'),
(30890, '72150', 'Pruill� l''�guill�', '72', 'FR'),
(30891, '72550', 'La Quinte', '72', 'FR'),
(30892, '72120', 'Rahay', '72', 'FR'),
(30893, '72260', 'Ren�', '72', 'FR'),
(30894, '72510', 'Requeil', '72', 'FR'),
(30895, '72210', 'Ro�z� sur Sarthe', '72', 'FR'),
(30896, '72610', 'Rouess� Fontaine', '72', 'FR'),
(30897, '72140', 'Rou�ss� Vass�', '72', 'FR'),
(30898, '72140', 'Rouez', '72', 'FR'),
(30899, '72700', 'Rouillon', '72', 'FR'),
(30900, '72670', 'Roull�e', '72', 'FR'),
(30901, '72110', 'Rouperroux le Coquet', '72', 'FR'),
(30902, '72230', 'Ruaudin', '72', 'FR'),
(30903, '72240', 'Ruill� en Champagne', '72', 'FR'),
(30904, '72340', 'Ruill� sur Loir', '72', 'FR'),
(30905, '72300', 'Sabl� sur Sarthe', '72', 'FR'),
(30906, '72110', 'Saint Aignan', '72', 'FR'),
(30907, '72130', 'Saint Aubin de Locquenay', '72', 'FR'),
(30908, '72400', 'Saint Aubin des Coudrais', '72', 'FR'),
(30909, '72220', 'Saint Biez en Belin', '72', 'FR'),
(30910, '72120', 'Saint Calais', '72', 'FR'),
(30911, '72600', 'Saint Calez en Saosnois', '72', 'FR'),
(30912, '72110', 'Saint C�lerin', '72', 'FR'),
(30913, '72120', 'Sainte C�rotte', '72', 'FR'),
(30914, '72170', 'Saint Christophe du Jambet', '72', 'FR'),
(30915, '72540', 'St Christophe en Champagne', '72', 'FR'),
(30916, '72460', 'Saint Corneille', '72', 'FR'),
(30917, '72110', 'St Cosme en Vairais', '72', 'FR'),
(30918, '72110', 'Saint Denis des Coudrais', '72', 'FR'),
(30919, '72350', 'Saint Denis d''Orques', '72', 'FR'),
(30920, '72150', 'Saint Georges de la Cou�e', '72', 'FR'),
(30921, '72700', 'Saint Georges du Bois', '72', 'FR'),
(30922, '72110', 'Saint Georges du Rosay', '72', 'FR'),
(30923, '72590', 'Saint Georges le Gaultier', '72', 'FR'),
(30924, '72500', 'Saint Germain d''Arc�', '72', 'FR'),
(30925, '72130', 'Saint Germain sur Sarthe', '72', 'FR'),
(30926, '72120', 'Saint Gervais de Vic', '72', 'FR'),
(30927, '72220', 'Saint Gervais en Belin', '72', 'FR'),
(30928, '72160', 'Saint Hilaire le Lierru', '72', 'FR'),
(30929, '72380', 'Sainte Jamme sur Sarthe', '72', 'FR'),
(30930, '72380', 'Saint Jean d''Ass�', '72', 'FR'),
(30931, '72510', 'Saint Jean de la Motte', '72', 'FR'),
(30932, '72320', 'Saint Jean des �chelles', '72', 'FR'),
(30933, '72430', 'Saint Jean du Bois', '72', 'FR'),
(30934, '72590', 'Saint L�onard des Bois', '72', 'FR'),
(30935, '72600', 'Saint Longis', '72', 'FR'),
(30936, '72320', 'Saint Maixent', '72', 'FR'),
(30937, '72170', 'Saint Marceau', '72', 'FR'),
(30938, '72440', 'Saint Mars de Locquenay', '72', 'FR'),
(30939, '72220', 'Saint Mars d''Outill�', '72', 'FR'),
(30940, '72470', 'Saint Mars la Bri�re', '72', 'FR'),
(30941, '72290', 'Saint Mars sous Ballon', '72', 'FR'),
(30942, '72400', 'Saint Martin des Monts', '72', 'FR'),
(30943, '72440', 'Saint Michel de Chavaignes', '72', 'FR'),
(30944, '72120', 'Sainte Osmane', '72', 'FR'),
(30945, '72130', 'Saint Ouen de Mimbr�', '72', 'FR'),
(30946, '72220', 'Saint Ouen en Belin', '72', 'FR'),
(30947, '72350', 'Saint Ouen en Champagne', '72', 'FR'),
(30948, '72610', 'Saint Paterne', '72', 'FR'),
(30949, '72590', 'Saint Paul le Gaultier', '72', 'FR'),
(30950, '72190', 'St Pavace', '72', 'FR'),
(30951, '72500', 'Saint Pierre de Chevill�', '72', 'FR'),
(30952, '72430', 'Saint Pierre des Bois', '72', 'FR'),
(30953, '72600', 'Saint Pierre des Ormes', '72', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(30954, '72150', 'Saint Pierre du Lorou�r', '72', 'FR'),
(30955, '72140', 'Saint R�my de Sill�', '72', 'FR'),
(30956, '72600', 'Saint R�my des Monts', '72', 'FR'),
(30957, '72600', 'St R�my du Val', '72', 'FR'),
(30958, '72610', 'Saint Rigomer des Bois', '72', 'FR'),
(30959, '72380', 'Sainte Sabine sur Long�ve', '72', 'FR'),
(30960, '72650', 'Saint Saturnin', '72', 'FR'),
(30961, '72240', 'St Symphorien', '72', 'FR'),
(30962, '72320', 'Saint Ulphace', '72', 'FR'),
(30963, '72130', 'Saint Victeur', '72', 'FR'),
(30964, '72600', 'Saint Vincent des Pr�s', '72', 'FR'),
(30965, '72150', 'Saint Vincent du Lorou�r', '72', 'FR'),
(30966, '72600', 'Saosnes', '72', 'FR'),
(30967, '72360', 'Sarc�', '72', 'FR'),
(30968, '72190', 'Sarg� l�s Le Mans', '72', 'FR'),
(30969, '72460', 'Savign� l''�v�que', '72', 'FR'),
(30970, '72800', 'Savign� sous le Lude', '72', 'FR'),
(30971, '72160', 'Sceaux sur Huisne', '72', 'FR'),
(30972, '72170', 'S�grie', '72', 'FR'),
(30973, '72390', 'Semur en Vallon', '72', 'FR'),
(30974, '72140', 'Sill� le Guillaume', '72', 'FR'),
(30975, '72460', 'Sill� le Philippe', '72', 'FR'),
(30976, '72300', 'Solesmes', '72', 'FR'),
(30977, '72130', 'Soug� le Ganelon', '72', 'FR'),
(30978, '72380', 'Souill�', '72', 'FR'),
(30979, '72210', 'Soulign� Flac�', '72', 'FR'),
(30980, '72290', 'Soulign� sous Ballon', '72', 'FR'),
(30981, '72370', 'Soulitr�', '72', 'FR'),
(30982, '72400', 'Souvign� sur M�me', '72', 'FR'),
(30983, '72300', 'Souvign� sur Sarthe', '72', 'FR'),
(30984, '72700', 'Spay', '72', 'FR'),
(30985, '72370', 'Surfonds', '72', 'FR'),
(30986, '72210', 'La Suze sur Sarthe', '72', 'FR'),
(30987, '72430', 'Tass�', '72', 'FR'),
(30988, '72540', 'Tassill�', '72', 'FR'),
(30989, '72290', 'Teill�', '72', 'FR'),
(30990, '72220', 'Teloch�', '72', 'FR'),
(30991, '72240', 'Tennie', '72', 'FR'),
(30992, '72110', 'Terrehault', '72', 'FR'),
(30993, '72320', 'Th�ligny', '72', 'FR'),
(30994, '72260', 'Thoign�', '72', 'FR'),
(30995, '72610', 'Thoir� sous Contensor', '72', 'FR'),
(30996, '72500', 'Thoir� sur Dinan', '72', 'FR'),
(30997, '72800', 'Thor�e les Pins', '72', 'FR'),
(30998, '72160', 'Thorign� sur Du�', '72', 'FR'),
(30999, '72110', 'Torc� en Vall�e', '72', 'FR'),
(31000, '72650', 'Trang�', '72', 'FR'),
(31001, '72440', 'Tresson', '72', 'FR'),
(31002, '72170', 'Le Tronchet', '72', 'FR'),
(31003, '72160', 'Tuff�', '72', 'FR'),
(31004, '72500', 'Vaas', '72', 'FR'),
(31005, '72320', 'Valennes', '72', 'FR'),
(31006, '72540', 'Vallon sur G�e', '72', 'FR'),
(31007, '72310', 'Vanc�', '72', 'FR'),
(31008, '72360', 'Verneil le Ch�tif', '72', 'FR'),
(31009, '72170', 'Vernie', '72', 'FR'),
(31010, '72600', 'V�zot', '72', 'FR'),
(31011, '72320', 'Vibraye', '72', 'FR'),
(31012, '72600', 'Villaines la Carelle', '72', 'FR'),
(31013, '72400', 'Villaines la Gonais', '72', 'FR'),
(31014, '72150', 'Villaines sous Luc�', '72', 'FR'),
(31015, '72270', 'Villaines sous Malicorne', '72', 'FR'),
(31016, '72300', 'Vion', '72', 'FR'),
(31017, '72350', 'Vir� en Champagne', '72', 'FR'),
(31018, '72170', 'Vivoin', '72', 'FR'),
(31019, '72210', 'Voivres l�s le Mans', '72', 'FR'),
(31020, '72440', 'Volnay', '72', 'FR'),
(31021, '72160', 'Vouvray sur Huisne', '72', 'FR'),
(31022, '72500', 'Vouvray sur Loir', '72', 'FR'),
(31023, '72330', 'Yvr� le P�lin', '72', 'FR'),
(31024, '72530', 'Yvr� l''�v�que', '72', 'FR'),
(31025, '72380', 'Antoign�', '72', 'FR'),
(31026, '72150', 'Brives', '72', 'FR'),
(31027, '72610', 'Le Buisson', '72', 'FR'),
(31028, '72130', 'La Hutte', '72', 'FR'),
(31029, '72310', 'Pont de Braye', '72', 'FR'),
(31030, '73610', 'Aiguebelette le Lac', '73', 'FR'),
(31031, '73220', 'Aiguebelle', '73', 'FR'),
(31032, '73260', 'Aigueblanche', '73', 'FR'),
(31033, '73340', 'Aillon le Jeune', '73', 'FR'),
(31034, '73340', 'Aillon le Vieux', '73', 'FR'),
(31035, '73210', 'Aime', '73', 'FR'),
(31036, '73220', 'Aiton', '73', 'FR'),
(31037, '73100', 'Aix les Bains', '73', 'FR'),
(31038, '73410', 'Albens', '73', 'FR'),
(31039, '73200', 'Albertville', '73', 'FR'),
(31040, '73300', 'Albiez le Jeune', '73', 'FR'),
(31041, '73300', 'Albiez Montrond', '73', 'FR'),
(31042, '73530', 'Albiez Montrond', '73', 'FR'),
(31043, '73200', 'Allondaz', '73', 'FR'),
(31044, '73550', 'Les Allues', '73', 'FR'),
(31045, '73410', 'Ansigny', '73', 'FR'),
(31046, '73190', 'Apremont', '73', 'FR'),
(31047, '73800', 'Arbin', '73', 'FR'),
(31048, '73220', 'Argentine', '73', 'FR'),
(31049, '73340', 'Arith', '73', 'FR'),
(31050, '73110', 'Arvillard', '73', 'FR'),
(31051, '73610', 'Attignat Oncin', '73', 'FR'),
(31052, '73500', 'Aussois', '73', 'FR'),
(31053, '73260', 'Avanchers Valmorel', '73', 'FR'),
(31054, '73240', 'Avressieux', '73', 'FR'),
(31055, '73500', 'Avrieux', '73', 'FR'),
(31056, '73470', 'Ayn', '73', 'FR'),
(31057, '73170', 'Balme', '73', 'FR'),
(31058, '73000', 'Barberaz', '73', 'FR'),
(31059, '73230', 'Barby', '73', 'FR'),
(31060, '73000', 'Bassens', '73', 'FR'),
(31061, '73540', 'La B�thie', '73', 'FR'),
(31062, '73360', 'La Bauche', '73', 'FR'),
(31063, '73270', 'Beaufort sur Doron', '73', 'FR'),
(31064, '73140', 'Beaune', '73', 'FR'),
(31065, '73340', 'Bellecombe en Bauges', '73', 'FR'),
(31066, '73210', 'Bellentre', '73', 'FR'),
(31067, '73330', 'Belmont Tramonet', '73', 'FR'),
(31068, '73480', 'Bessans', '73', 'FR'),
(31069, '73390', 'Betton Bettonet', '73', 'FR'),
(31070, '73170', 'Billi�me', '73', 'FR'),
(31071, '73410', 'La Biolle', '73', 'FR'),
(31072, '73260', 'Le Bois', '73', 'FR'),
(31073, '73260', 'Bonneval', '73', 'FR'),
(31074, '73480', 'Bonneval sur Arc', '73', 'FR'),
(31075, '73460', 'Bonvillard', '73', 'FR'),
(31076, '73220', 'Bonvillaret', '73', 'FR'),
(31077, '73370', 'Bourdeau', '73', 'FR'),
(31078, '73370', 'Le Bourget du Lac', '73', 'FR'),
(31079, '73110', 'Bourget en Huile', '73', 'FR'),
(31080, '73390', 'Bourgneuf', '73', 'FR'),
(31081, '73700', 'Bourg Saint Maurice', '73', 'FR'),
(31082, '73350', 'Bozel', '73', 'FR'),
(31083, '73500', 'Bramans', '73', 'FR'),
(31084, '73570', 'Brides les Bains', '73', 'FR'),
(31085, '73520', 'La Bridoire', '73', 'FR'),
(31086, '73100', 'Brison Saint Innocent', '73', 'FR'),
(31087, '73260', 'Celliers', '73', 'FR'),
(31088, '73200', 'C�sarches', '73', 'FR'),
(31089, '73410', 'Cessens', '73', 'FR'),
(31090, '73730', 'Cevins', '73', 'FR'),
(31091, '73190', 'Challes les Eaux', '73', 'FR'),
(31092, '73000', 'Chamb�ry', '73', 'FR'),
(31093, '73130', 'La Chambre', '73', 'FR'),
(31094, '73390', 'Chamousset', '73', 'FR'),
(31095, '73390', 'Chamoux sur Gelon', '73', 'FR'),
(31096, '73240', 'Champagneux', '73', 'FR'),
(31097, '73350', 'Champagny en Vanoise', '73', 'FR'),
(31098, '73390', 'Champ Laurent', '73', 'FR'),
(31099, '73310', 'Chanaz', '73', 'FR'),
(31100, '73660', 'Chapelle', '73', 'FR'),
(31101, '73110', 'La Chapelle Blanche', '73', 'FR'),
(31102, '73370', 'Chapelle du Mont du Chat', '73', 'FR'),
(31103, '73700', 'Les Chapelles', '73', 'FR'),
(31104, '73170', 'La Chapelle Saint Martin', '73', 'FR'),
(31105, '73390', 'Ch�teauneuf', '73', 'FR'),
(31106, '73300', 'Le Ch�tel', '73', 'FR'),
(31107, '73630', 'Le Ch�telard', '73', 'FR'),
(31108, '73800', 'Chavanne', '73', 'FR'),
(31109, '73660', 'Chavannes en Maurienne', '73', 'FR'),
(31110, '73800', 'Chignin', '73', 'FR'),
(31111, '73310', 'Chindrieux', '73', 'FR'),
(31112, '73460', 'Cl�ry', '73', 'FR'),
(31113, '73160', 'Cognin', '73', 'FR'),
(31114, '73400', 'Cohennoz', '73', 'FR'),
(31115, '73590', 'Cohennoz', '73', 'FR'),
(31116, '73800', 'Coise Saint Jean Pied Gauthier', '73', 'FR'),
(31117, '73630', 'La Comp�te', '73', 'FR'),
(31118, '73310', 'Conjux', '73', 'FR'),
(31119, '73160', 'Corbel', '73', 'FR'),
(31120, '73210', 'La C�te d''Aime', '73', 'FR'),
(31121, '73590', 'Crest Voland', '73', 'FR'),
(31122, '73110', 'La Croix de la Rochette', '73', 'FR'),
(31123, '73800', 'Cruet', '73', 'FR'),
(31124, '73190', 'Curienne', '73', 'FR'),
(31125, '73230', 'Les D�serts', '73', 'FR'),
(31126, '73110', 'D�trier', '73', 'FR'),
(31127, '73330', 'Domessin', '73', 'FR'),
(31128, '73630', 'Doucy en Bauges', '73', 'FR'),
(31129, '73260', 'Doucy', '73', 'FR'),
(31130, '73420', 'Drumettaz Clarafond', '73', 'FR'),
(31131, '73610', 'Dullin', '73', 'FR'),
(31132, '73360', 'Les �chelles', '73', 'FR'),
(31133, '73630', '�cole', '73', 'FR'),
(31134, '73670', 'Entremont le Vieux', '73', 'FR'),
(31135, '73410', '�persy', '73', 'FR'),
(31136, '73220', '�pierre', '73', 'FR'),
(31137, '73540', 'Esserts Blay', '73', 'FR'),
(31138, '73110', '�table', '73', 'FR'),
(31139, '73260', 'Feissons sur Is�re', '73', 'FR'),
(31140, '73350', 'Feissons sur Salins', '73', 'FR'),
(31141, '73590', 'Flumet', '73', 'FR'),
(31142, '73600', 'Fontaine le Puits', '73', 'FR'),
(31143, '73300', 'Fontcouverte la Toussuire', '73', 'FR'),
(31144, '73500', 'Fourneaux', '73', 'FR'),
(31145, '73800', 'Francin', '73', 'FR'),
(31146, '73500', 'Freney', '73', 'FR'),
(31147, '73250', 'Fr�terive', '73', 'FR'),
(31148, '73460', 'Frontenex', '73', 'FR'),
(31149, '73470', 'Gerbaix', '73', 'FR'),
(31150, '73590', 'La Giettaz', '73', 'FR'),
(31151, '73200', 'Gilly sur Is�re', '73', 'FR'),
(31152, '73210', 'Granier', '73', 'FR'),
(31153, '73240', 'Gresin', '73', 'FR'),
(31154, '73100', 'Gr�sy sur Aix', '73', 'FR'),
(31155, '73460', 'Gr�sy sur Is�re', '73', 'FR'),
(31156, '73200', 'Grignon', '73', 'FR'),
(31157, '73600', 'Hautecour', '73', 'FR'),
(31158, '73620', 'Hauteluce', '73', 'FR'),
(31159, '73390', 'Hauteville', '73', 'FR'),
(31160, '73300', 'Hermillon', '73', 'FR'),
(31161, '73000', 'Jacob Bellecombette', '73', 'FR'),
(31162, '73300', 'Jarrier', '73', 'FR'),
(31163, '73630', 'Jarsy', '73', 'FR'),
(31164, '73170', 'Jongieux', '73', 'FR'),
(31165, '73800', 'Laissaud', '73', 'FR'),
(31166, '73210', 'Landry', '73', 'FR'),
(31167, '73480', 'Lanslebourg Mont Cenis', '73', 'FR'),
(31168, '73480', 'Lanslevillard', '73', 'FR'),
(31169, '73610', 'Lepin le Lac', '73', 'FR'),
(31170, '73340', 'Lescheraines', '73', 'FR'),
(31171, '73170', 'Loisieux', '73', 'FR'),
(31172, '73170', 'Lucey', '73', 'FR'),
(31173, '73210', 'M�cot la Plagne', '73', 'FR'),
(31174, '73800', 'Les Marches', '73', 'FR'),
(31175, '73470', 'Marcieux', '73', 'FR'),
(31176, '73400', 'Marthod', '73', 'FR'),
(31177, '73200', 'Mercury', '73', 'FR'),
(31178, '73420', 'M�ry', '73', 'FR'),
(31179, '73170', 'Meyrieux Trouet', '73', 'FR'),
(31180, '73500', 'Modane', '73', 'FR'),
(31181, '73410', 'Mognard', '73', 'FR'),
(31182, '73800', 'Les Mollettes', '73', 'FR'),
(31183, '73000', 'Montagnole', '73', 'FR'),
(31184, '73350', 'Montagny', '73', 'FR'),
(31185, '73460', 'Montailleur', '73', 'FR'),
(31186, '73130', 'Montaimont', '73', 'FR'),
(31187, '73100', 'Montcel', '73', 'FR'),
(31188, '73390', 'Montendry', '73', 'FR'),
(31189, '73130', 'Montgellafrey', '73', 'FR'),
(31190, '73220', 'Montgilbert', '73', 'FR'),
(31191, '73210', 'Montgirod', '73', 'FR'),
(31192, '73200', 'Monthion', '73', 'FR'),
(31193, '73800', 'Montm�lian', '73', 'FR'),
(31194, '73300', 'Montpascal', '73', 'FR'),
(31195, '73870', 'Montricher Albanne', '73', 'FR'),
(31196, '73530', 'Montrond', '73', 'FR'),
(31197, '73220', 'Montsapey', '73', 'FR'),
(31198, '73700', 'Montvalezan', '73', 'FR'),
(31199, '73300', 'Montvernier', '73', 'FR'),
(31200, '73340', 'Motte en Bauges', '73', 'FR'),
(31201, '73290', 'La Motte Servolex', '73', 'FR'),
(31202, '73310', 'Motz', '73', 'FR'),
(31203, '73600', 'Moutiers', '73', 'FR'),
(31204, '73100', 'Mouxy', '73', 'FR'),
(31205, '73800', 'Myans', '73', 'FR'),
(31206, '73470', 'Nances', '73', 'FR'),
(31207, '73260', 'Naves', '73', 'FR'),
(31208, '73590', 'Notre Dame de Bellecombe', '73', 'FR'),
(31209, '73260', 'La L�ch�re', '73', 'FR'),
(31210, '73460', 'Notre Dame des Milli�res', '73', 'FR'),
(31211, '73130', 'Notre Dame du Cruet', '73', 'FR'),
(31212, '73600', 'Notre Dame du Pr�', '73', 'FR'),
(31213, '73470', 'Novalaise', '73', 'FR'),
(31214, '73340', 'Le Noyer', '73', 'FR'),
(31215, '73310', 'Ontex', '73', 'FR'),
(31216, '73140', 'Orelle', '73', 'FR'),
(31217, '73200', 'Pallud', '73', 'FR'),
(31218, '73210', 'Peisey Nancroix', '73', 'FR'),
(31219, '73600', 'La Perri�re', '73', 'FR'),
(31220, '73120', 'La Perri�re', '73', 'FR'),
(31221, '73260', 'Petit Coeur', '73', 'FR'),
(31222, '73800', 'Planaise', '73', 'FR'),
(31223, '73350', 'Planay', '73', 'FR'),
(31224, '73200', 'Plancherine', '73', 'FR'),
(31225, '73300', 'Pontamafrey Montpascal', '73', 'FR'),
(31226, '73330', 'Le Pont de Beauvoisin', '73', 'FR'),
(31227, '73110', 'Le Pontet', '73', 'FR'),
(31228, '73710', 'Pralognan la Vanoise', '73', 'FR'),
(31229, '73110', 'Presle', '73', 'FR'),
(31230, '73100', 'Pugny Chatenod', '73', 'FR'),
(31231, '73260', 'Pussy', '73', 'FR'),
(31232, '73190', 'Puygros', '73', 'FR'),
(31233, '73720', 'Queige', '73', 'FR'),
(31234, '73220', 'Randens', '73', 'FR'),
(31235, '73490', 'La Ravoire', '73', 'FR'),
(31236, '73240', 'Rochefort', '73', 'FR'),
(31237, '73110', 'La Rochette', '73', 'FR'),
(31238, '73730', 'Rognaix', '73', 'FR'),
(31239, '73110', 'Rotherens', '73', 'FR'),
(31240, '73310', 'Ruffieux', '73', 'FR'),
(31241, '73610', 'Saint Alban de Montbel', '73', 'FR'),
(31242, '73220', 'Saint Alban des Hurti�res', '73', 'FR'),
(31243, '73130', 'Saint Alban des Villards', '73', 'FR'),
(31244, '73230', 'St Alban Leysse', '73', 'FR'),
(31245, '73500', 'Saint Andr�', '73', 'FR'),
(31246, '73130', 'Saint Avre', '73', 'FR'),
(31247, '73190', 'Saint Baldoph', '73', 'FR'),
(31248, '73520', 'Saint B�ron', '73', 'FR'),
(31249, '73120', 'Saint Bon Tarentaise', '73', 'FR'),
(31250, '73160', 'Saint Cassin', '73', 'FR'),
(31251, '73360', 'St Christophe', '73', 'FR'),
(31252, '73130', 'Saint Colomban des Villards', '73', 'FR'),
(31253, '73130', 'Saint �tienne de Cuines', '73', 'FR'),
(31254, '73640', 'Sainte Foy Tarentaise', '73', 'FR'),
(31255, '73360', 'Saint Franc', '73', 'FR'),
(31256, '73340', 'Saint Fran�ois de Sales', '73', 'FR'),
(31257, '73130', 'St Fran�ois Longchamp', '73', 'FR'),
(31258, '73240', 'Saint Genix sur Guiers', '73', 'FR'),
(31259, '73220', 'Saint Georges des Hurti�res', '73', 'FR'),
(31260, '73410', 'Saint Germain la Chambotte', '73', 'FR'),
(31261, '73410', 'Saint Girod', '73', 'FR'),
(31262, '73800', 'Sainte H�l�ne du Lac', '73', 'FR'),
(31263, '73460', 'Sainte H�l�ne sur Is�re', '73', 'FR'),
(31264, '73530', 'Saint Jean d''Arves', '73', 'FR'),
(31265, '73230', 'Saint Jean d''Arvey', '73', 'FR'),
(31266, '73440', 'Saint Jean de Belleville', '73', 'FR'),
(31267, '73170', 'Saint Jean de Chevelu', '73', 'FR'),
(31268, '73160', 'Saint Jean de Couz', '73', 'FR'),
(31269, '73250', 'Saint Jean de la Porte', '73', 'FR'),
(31270, '73300', 'Saint Jean de Maurienne', '73', 'FR'),
(31271, '73190', 'Saint Jeoire Prieur�', '73', 'FR'),
(31272, '73870', 'St Julien Mont Denis', '73', 'FR'),
(31273, '73220', 'Saint L�ger', '73', 'FR'),
(31274, '73600', 'St Marcel', '73', 'FR'),
(31275, '73240', 'Sainte Marie d''Alvey', '73', 'FR'),
(31276, '73130', 'Sainte Marie de Cuines', '73', 'FR'),
(31277, '73140', 'Saint Martin d''Arc', '73', 'FR'),
(31278, '73440', 'Saint Martin de Belleville', '73', 'FR'),
(31279, '73140', 'Saint Martin de la Porte', '73', 'FR'),
(31280, '73130', 'St Martin sur la Chambre', '73', 'FR'),
(31281, '73240', 'Saint Maurice de Rotherens', '73', 'FR'),
(31282, '73140', 'Saint Michel de Maurienne', '73', 'FR'),
(31283, '73590', 'Saint Nicolas la Chapelle', '73', 'FR'),
(31284, '73100', 'Saint Offenge Dessous', '73', 'FR'),
(31285, '73100', 'Saint Offenge Dessus', '73', 'FR'),
(31286, '73410', 'Saint Ours', '73', 'FR'),
(31287, '73260', 'Saint Oyen', '73', 'FR'),
(31288, '73300', 'Saint Pancrace', '73', 'FR'),
(31289, '73730', 'Saint Paul sur Is�re', '73', 'FR'),
(31290, '73170', 'St Paul', '73', 'FR'),
(31291, '73250', 'Saint Pierre d''Albigny', '73', 'FR'),
(31292, '73170', 'Saint Pierre d''Alvey', '73', 'FR'),
(31293, '73220', 'Saint Pierre de Belleville', '73', 'FR'),
(31294, '73310', 'Saint Pierre de Curtille', '73', 'FR'),
(31295, '73670', 'Saint Pierre d''Entremont', '73', 'FR'),
(31296, '73360', 'Saint Pierre de G�n�broz', '73', 'FR'),
(31297, '73800', 'Saint Pierre de Soucy', '73', 'FR'),
(31298, '73630', 'Sainte Reine', '73', 'FR'),
(31299, '73660', 'St R�my de Maurienne', '73', 'FR'),
(31300, '73530', 'Saint Sorlin d''Arves', '73', 'FR'),
(31301, '73160', 'St Sulpice', '73', 'FR'),
(31302, '73160', 'Saint Thibaud de Couz', '73', 'FR'),
(31303, '73460', 'Saint Vital', '73', 'FR'),
(31304, '73600', 'Salins les Thermes', '73', 'FR'),
(31305, '73700', 'S�ez', '73', 'FR'),
(31306, '73310', 'Serri�res en Chautagne', '73', 'FR'),
(31307, '73500', 'Solli�res Sardi�res', '73', 'FR'),
(31308, '73000', 'Sonnaz', '73', 'FR'),
(31309, '73110', 'La Table', '73', 'FR'),
(31310, '73500', 'Termignon', '73', 'FR'),
(31311, '73210', 'Tessens', '73', 'FR'),
(31312, '73200', 'Th�n�sol', '73', 'FR'),
(31313, '73230', 'Thoiry', '73', 'FR'),
(31314, '73190', 'La Thuile', '73', 'FR'),
(31315, '73140', 'Thyl', '73', 'FR'),
(31316, '73320', 'Tignes', '73', 'FR'),
(31317, '73460', 'Tournon', '73', 'FR'),
(31318, '73790', 'Tours en Savoie', '73', 'FR'),
(31319, '73170', 'Traize', '73', 'FR'),
(31320, '73100', 'Tresserve', '73', 'FR'),
(31321, '73100', 'Tr�vignin', '73', 'FR'),
(31322, '73110', 'La Trinit�', '73', 'FR'),
(31323, '73400', 'Ugine', '73', 'FR'),
(31324, '73150', 'Val d''Is�re', '73', 'FR'),
(31325, '73210', 'Valezan', '73', 'FR'),
(31326, '73450', 'Valloire', '73', 'FR'),
(31327, '73450', 'Valmeinier', '73', 'FR'),
(31328, '73200', 'Venthon', '73', 'FR'),
(31329, '73330', 'V�rel de Montbel', '73', 'FR'),
(31330, '73230', 'V�rel Pragondran', '73', 'FR'),
(31331, '73110', 'Verneil', '73', 'FR'),
(31332, '73460', 'Verrens Arvey', '73', 'FR'),
(31333, '73170', 'Verthemex', '73', 'FR'),
(31334, '73800', 'Villard d''H�ry', '73', 'FR'),
(31335, '73390', 'Villard L�ger', '73', 'FR'),
(31336, '73110', 'Villard Sallet', '73', 'FR'),
(31337, '73270', 'Villard sur Doron', '73', 'FR'),
(31338, '73300', 'Villarembert', '73', 'FR'),
(31339, '73300', 'Villargondran', '73', 'FR'),
(31340, '73600', 'Villarlurin', '73', 'FR'),
(31341, '73500', 'Villarodin Bourget', '73', 'FR'),
(31342, '73640', 'Villaroger', '73', 'FR'),
(31343, '73110', 'Villaroux', '73', 'FR'),
(31344, '73210', 'Villette', '73', 'FR'),
(31345, '73160', 'Vimines', '73', 'FR'),
(31346, '73310', 'Vions', '73', 'FR'),
(31347, '73420', 'Viviers du Lac', '73', 'FR'),
(31348, '73420', 'Voglans', '73', 'FR'),
(31349, '73170', 'Yenne', '73', 'FR'),
(31350, '73120', 'Courchevel', '73', 'FR'),
(31351, '73270', 'Ar�ches', '73', 'FR'),
(31352, '73700', 'Hauteville Gondon', '73', 'FR'),
(31353, '74360', 'Abondance', '74', 'FR'),
(31354, '74540', 'Alby sur Ch�ran', '74', 'FR'),
(31355, '74290', 'Alex', '74', 'FR'),
(31356, '74540', 'All�ves', '74', 'FR'),
(31357, '74200', 'Allinges', '74', 'FR'),
(31358, '74350', 'Allonzier la Caille', '74', 'FR'),
(31359, '74800', 'Amancy', '74', 'FR'),
(31360, '74100', 'Ambilly', '74', 'FR'),
(31361, '74350', 'Andilly', '74', 'FR'),
(31362, '74000', 'Annecy', '74', 'FR'),
(31363, '74940', 'Annecy le Vieux', '74', 'FR'),
(31364, '74100', 'Annemasse', '74', 'FR'),
(31365, '74200', 'Anthy sur L�man', '74', 'FR'),
(31366, '74300', 'Ar�ches', '74', 'FR'),
(31367, '74930', 'Arbusigny', '74', 'FR'),
(31368, '74160', 'Archamps', '74', 'FR'),
(31369, '74270', 'Arcine', '74', 'FR'),
(31370, '74800', 'Arenthon', '74', 'FR'),
(31371, '74370', 'Argonay', '74', 'FR'),
(31372, '74200', 'Armoy', '74', 'FR'),
(31373, '74380', 'Arthaz Pont Notre Dame', '74', 'FR'),
(31374, '74570', 'Aviernoz', '74', 'FR'),
(31375, '74350', 'Avregny', '74', 'FR'),
(31376, '74130', 'Ayse', '74', 'FR'),
(31377, '74140', 'Ballaison', '74', 'FR'),
(31378, '74330', 'La Balme de Sillingy', '74', 'FR'),
(31379, '74230', 'La Balme de Thuy', '74', 'FR'),
(31380, '74600', 'Balmont', '74', 'FR'),
(31381, '74910', 'Bassy', '74', 'FR'),
(31382, '74430', 'La Baume', '74', 'FR'),
(31383, '74160', 'Beaumont', '74', 'FR'),
(31384, '74470', 'Bellevaux', '74', 'FR'),
(31385, '74500', 'Bernex', '74', 'FR'),
(31386, '74430', 'Le Biot', '74', 'FR'),
(31387, '74150', 'Bloye', '74', 'FR'),
(31388, '74290', 'Bluffy', '74', 'FR'),
(31389, '74420', 'Bo�ge', '74', 'FR'),
(31390, '74250', 'Bog�ve', '74', 'FR'),
(31391, '74150', 'Bonnegu�te', '74', 'FR'),
(31392, '74380', 'Bonne', '74', 'FR'),
(31393, '74360', 'Bonnevaux', '74', 'FR'),
(31394, '74130', 'Bonneville', '74', 'FR'),
(31395, '74890', 'Bons en Chablais', '74', 'FR'),
(31396, '74160', 'Bossey', '74', 'FR'),
(31397, '74230', 'Bouchet', '74', 'FR'),
(31398, '74150', 'Boussy', '74', 'FR'),
(31399, '74890', 'Brenthonne', '74', 'FR'),
(31400, '74130', 'Brizon', '74', 'FR'),
(31401, '74420', 'Burdignin', '74', 'FR'),
(31402, '74350', 'Cercier', '74', 'FR'),
(31403, '74350', 'Cernex', '74', 'FR'),
(31404, '74550', 'Cervens', '74', 'FR'),
(31405, '74540', 'Chainaz les Frasses', '74', 'FR'),
(31406, '74910', 'Challonges', '74', 'FR'),
(31407, '74400', 'Chamonix Mont Blanc', '74', 'FR'),
(31408, '74500', 'Champanges', '74', 'FR'),
(31409, '74360', 'La Chapelle d''Abondance', '74', 'FR'),
(31410, '74800', 'La Chapelle Rambaud', '74', 'FR'),
(31411, '74410', 'La Chapelle Saint Maurice', '74', 'FR'),
(31412, '74540', 'Chapeiry', '74', 'FR'),
(31413, '74370', 'Charvonnex', '74', 'FR'),
(31414, '74390', 'Ch�tel', '74', 'FR'),
(31415, '74300', 'Ch�tillon sur Cluses', '74', 'FR'),
(31416, '74270', 'Chaumont', '74', 'FR'),
(31417, '74270', 'Chavannaz', '74', 'FR'),
(31418, '74650', 'Chavanod', '74', 'FR'),
(31419, '74270', 'Ch�ne en Semine', '74', 'FR'),
(31420, '74520', 'Ch�nex', '74', 'FR'),
(31421, '74140', 'Chens sur L�man', '74', 'FR'),
(31422, '74270', 'Chessenaz', '74', 'FR'),
(31423, '74210', 'Chevaline', '74', 'FR'),
(31424, '74500', 'Chevenoz', '74', 'FR'),
(31425, '74520', 'Chevrier', '74', 'FR'),
(31426, '74270', 'Chilly', '74', 'FR'),
(31427, '74330', 'Choisy', '74', 'FR'),
(31428, '74270', 'Clarafond', '74', 'FR'),
(31429, '74270', 'Clermont', '74', 'FR'),
(31430, '74230', 'Les Clefs', '74', 'FR'),
(31431, '74220', 'La Clusaz', '74', 'FR'),
(31432, '74300', 'Cluses', '74', 'FR'),
(31433, '74160', 'Collonges sous Sal�ve', '74', 'FR'),
(31434, '74920', 'Combloux', '74', 'FR'),
(31435, '74210', 'Cons Sainte Colombe', '74', 'FR'),
(31436, '74170', 'Les Contamines Montjoie', '74', 'FR'),
(31437, '74270', 'Contamine Sarzin', '74', 'FR'),
(31438, '74130', 'Contamine sur Arve', '74', 'FR'),
(31439, '74350', 'Copponex', '74', 'FR'),
(31440, '74700', 'Cordon', '74', 'FR'),
(31441, '74800', 'Cornier', '74', 'FR'),
(31442, '74110', 'La C�te d''Arbroz', '74', 'FR'),
(31443, '74960', 'Cran G�vrier', '74', 'FR'),
(31444, '74380', 'Cranves Sales', '74', 'FR'),
(31445, '74150', 'Crempigny Bonnegu�te', '74', 'FR'),
(31446, '74350', 'Cruseilles', '74', 'FR'),
(31447, '74540', 'Cusy', '74', 'FR'),
(31448, '74350', 'Cuvat', '74', 'FR'),
(31449, '74120', 'Demi Quartier', '74', 'FR'),
(31450, '74270', 'Desingy', '74', 'FR'),
(31451, '74520', 'Dingy en Vuache', '74', 'FR'),
(31452, '74230', 'Dingy Saint Clair', '74', 'FR'),
(31453, '74700', 'Domancy', '74', 'FR'),
(31454, '74210', 'Doussard', '74', 'FR'),
(31455, '74140', 'Douvaine', '74', 'FR'),
(31456, '74550', 'Draillant', '74', 'FR'),
(31457, '74270', 'Droisy', '74', 'FR'),
(31458, '74410', 'Duingt', '74', 'FR'),
(31459, '01200', '�loise', '01', 'FR'),
(31460, '74130', 'Entremont', '74', 'FR'),
(31461, '74410', 'Entrevernes', '74', 'FR'),
(31462, '74330', '�pagny', '74', 'FR'),
(31463, '74930', '�sery', '74', 'FR'),
(31464, '74110', 'Essert Romand', '74', 'FR'),
(31465, '74560', 'Esserts Sal�ve', '74', 'FR'),
(31466, '74800', '�taux', '74', 'FR'),
(31467, '74150', '�tercy', '74', 'FR'),
(31468, '74100', '�trembi�res', '74', 'FR'),
(31469, '74500', '�vian les Bains', '74', 'FR'),
(31470, '74570', '�vires', '74', 'FR'),
(31471, '74140', 'Exc�nevex', '74', 'FR'),
(31472, '74130', 'Faucigny', '74', 'FR'),
(31473, '74210', 'Faverges', '74', 'FR'),
(31474, '74160', 'Feig�res', '74', 'FR'),
(31475, '74370', 'Ferri�res', '74', 'FR'),
(31476, '74890', 'Fessy', '74', 'FR'),
(31477, '74500', 'F�ternes', '74', 'FR'),
(31478, '74250', 'Fillinges', '74', 'FR'),
(31479, '74200', 'La Forclaz', '74', 'FR'),
(31480, '74910', 'Franclens', '74', 'FR'),
(31481, '74270', 'Frangy', '74', 'FR'),
(31482, '74300', 'La Frasse', '74', 'FR'),
(31483, '74240', 'Gaillard', '74', 'FR'),
(31484, '74260', 'Les Gets', '74', 'FR'),
(31485, '74210', 'Giez', '74', 'FR'),
(31486, '74450', 'Le Grand Bornand', '74', 'FR'),
(31487, '74570', 'Groisy', '74', 'FR'),
(31488, '74540', 'Gruffy', '74', 'FR'),
(31489, '74420', 'Hab�re Lullin', '74', 'FR'),
(31490, '74420', 'Hab�re Poche', '74', 'FR'),
(31491, '74150', 'Hauteville sur Fier', '74', 'FR'),
(31492, '74540', 'H�ry sur Alby', '74', 'FR'),
(31493, '74310', 'Les Houches', '74', 'FR'),
(31494, '74520', 'Jonzier �pagny', '74', 'FR'),
(31495, '74100', 'Juvigny', '74', 'FR'),
(31496, '74500', 'Larringes', '74', 'FR'),
(31497, '74210', 'Lathuile', '74', 'FR'),
(31498, '74320', 'Leschaux', '74', 'FR'),
(31499, '74380', 'Lo�x', '74', 'FR'),
(31500, '74140', 'Loisin', '74', 'FR'),
(31501, '74150', 'Lornay', '74', 'FR'),
(31502, '74330', 'Lovagny', '74', 'FR'),
(31503, '74380', 'Lucinges', '74', 'FR'),
(31504, '74500', 'Lugrin', '74', 'FR'),
(31505, '74470', 'Lullin', '74', 'FR'),
(31506, '74890', 'Lully', '74', 'FR'),
(31507, '74200', 'Lyaud', '74', 'FR'),
(31508, '74140', 'Machilly', '74', 'FR'),
(31509, '74300', 'Magland', '74', 'FR'),
(31510, '74230', 'Manigod', '74', 'FR'),
(31511, '74150', 'Marcellaz Albanais', '74', 'FR'),
(31512, '74250', 'Marcellaz', '74', 'FR'),
(31513, '74200', 'Margencel', '74', 'FR'),
(31514, '74970', 'Marignier', '74', 'FR'),
(31515, '74150', 'Marigny Saint Marcel', '74', 'FR'),
(31516, '74200', 'Marin', '74', 'FR'),
(31517, '74210', 'Marlens', '74', 'FR'),
(31518, '74270', 'Marlioz', '74', 'FR'),
(31519, '74460', 'Marnaz', '74', 'FR'),
(31520, '74150', 'Massingy', '74', 'FR'),
(31521, '74140', 'Massongy', '74', 'FR'),
(31522, '74500', 'Maxilly sur L�man', '74', 'FR'),
(31523, '74120', 'Meg�ve', '74', 'FR'),
(31524, '74490', 'M�gevette', '74', 'FR'),
(31525, '74500', 'Meillerie', '74', 'FR'),
(31526, '74290', 'Menthon Saint Bernard', '74', 'FR'),
(31527, '74350', 'Menthonnex en Bornes', '74', 'FR'),
(31528, '74270', 'Menthonnex Sous Clermont', '74', 'FR'),
(31529, '74330', 'M�signy', '74', 'FR'),
(31530, '74140', 'Messery', '74', 'FR'),
(31531, '74370', 'Metz Tessy', '74', 'FR'),
(31532, '74960', 'Meythet', '74', 'FR'),
(31533, '74440', 'Mieussy', '74', 'FR'),
(31534, '74270', 'Minzier', '74', 'FR'),
(31535, '74560', 'Monnetier Mornex', '74', 'FR'),
(31536, '74600', 'Montagny les Lanches', '74', 'FR'),
(31537, '74210', 'Montmin', '74', 'FR'),
(31538, '74110', 'Montriond', '74', 'FR'),
(31539, '74130', 'Mont Saxonnex', '74', 'FR'),
(31540, '74440', 'Morillon', '74', 'FR'),
(31541, '74110', 'Morzine', '74', 'FR'),
(31542, '74150', 'Moye', '74', 'FR'),
(31543, '74560', 'La Muraz', '74', 'FR'),
(31544, '74540', 'M�res', '74', 'FR'),
(31545, '74270', 'Musi�ges', '74', 'FR'),
(31546, '74300', 'Nancy sur Cluses', '74', 'FR'),
(31547, '74380', 'Nangy', '74', 'FR'),
(31548, '74370', 'N�ves Parmelan', '74', 'FR'),
(31549, '74140', 'Nernier', '74', 'FR'),
(31550, '74500', 'Neuvecelle', '74', 'FR'),
(31551, '74160', 'Neydens', '74', 'FR'),
(31552, '74330', 'Nonglard', '74', 'FR'),
(31553, '74500', 'Novel', '74', 'FR'),
(31554, '74370', 'Les Olli�res', '74', 'FR'),
(31555, '74490', 'Onnion', '74', 'FR'),
(31556, '74550', 'Orcier', '74', 'FR'),
(31557, '74480', 'Passy', '74', 'FR'),
(31558, '74190', 'Passy', '74', 'FR'),
(31559, '74250', 'Peillonnex', '74', 'FR'),
(31560, '74550', 'Perrignier', '74', 'FR'),
(31561, '74930', 'Pers Jussy', '74', 'FR'),
(31562, '74130', 'Petit Bornand les Gli�res', '74', 'FR'),
(31563, '74330', 'Poisy', '74', 'FR'),
(31564, '74120', 'Praz sur Arly', '74', 'FR'),
(31565, '74160', 'Pr�silly', '74', 'FR'),
(31566, '74370', 'Pringy', '74', 'FR'),
(31567, '74500', 'Publier', '74', 'FR'),
(31568, '74600', 'Quintal', '74', 'FR'),
(31569, '74930', 'Reignier', '74', 'FR'),
(31570, '74950', 'Reposoir', '74', 'FR'),
(31571, '74200', 'Reyvroz', '74', 'FR'),
(31572, '74440', 'La Rivi�re Enverse', '74', 'FR'),
(31573, '74800', 'La Roche sur Foron', '74', 'FR'),
(31574, '74150', 'Rumilly', '74', 'FR'),
(31575, '74420', 'Saint Andr� de Bo�ge', '74', 'FR'),
(31576, '74150', 'Saint Andr� Val de Fier', '74', 'FR'),
(31577, '74350', 'Saint Blaise', '74', 'FR'),
(31578, '74140', 'Saint Cergues', '74', 'FR'),
(31579, '74150', 'Saint Eus�be', '74', 'FR'),
(31580, '74410', 'Saint Eustache', '74', 'FR'),
(31581, '74540', 'Saint F�lix', '74', 'FR'),
(31582, '74210', 'Saint Ferr�ol', '74', 'FR'),
(31583, '01200', 'Saint Germain sur Rh�ne', '01', 'FR'),
(31584, '74190', 'Saint Gervais les Bains', '74', 'FR'),
(31585, '74170', 'Saint Gervais les Bains', '74', 'FR'),
(31586, '74500', 'Saint Gingolph', '74', 'FR'),
(31587, '74430', 'Saint Jean d''Aulps', '74', 'FR'),
(31588, '74450', 'Saint Jean de Sixt', '74', 'FR'),
(31589, '74250', 'Saint Jean de Tholome', '74', 'FR'),
(31590, '74490', 'Saint Jeoire', '74', 'FR'),
(31591, '74410', 'Saint Jorioz', '74', 'FR'),
(31592, '74160', 'Saint Julien en Genevois', '74', 'FR'),
(31593, '74800', 'Saint Laurent', '74', 'FR'),
(31594, '74370', 'Saint Martin Bellevue', '74', 'FR'),
(31595, '74190', 'Saint Nicolas de V�roce', '74', 'FR'),
(31596, '74500', 'Saint Paul en Chablais', '74', 'FR'),
(31597, '74800', 'St Pierre en Faucigny', '74', 'FR'),
(31598, '74300', 'St Sigismond', '74', 'FR'),
(31599, '74800', 'Saint Sixt', '74', 'FR'),
(31600, '74540', 'St Sylvestre', '74', 'FR'),
(31601, '74150', 'Sales', '74', 'FR'),
(31602, '74700', 'Sallanches', '74', 'FR'),
(31603, '74270', 'Sallen�ves', '74', 'FR'),
(31604, '74340', 'Samo�ns', '74', 'FR'),
(31605, '74350', 'Le Sappey', '74', 'FR'),
(31606, '74520', 'Savigny', '74', 'FR'),
(31607, '74420', 'Saxel', '74', 'FR'),
(31608, '74930', 'Scientrier', '74', 'FR'),
(31609, '74140', 'Sciez', '74', 'FR'),
(31610, '74950', 'Scionzier', '74', 'FR'),
(31611, '74230', 'Serraval', '74', 'FR'),
(31612, '74310', 'Servoz', '74', 'FR'),
(31613, '74320', 'S�vrier', '74', 'FR'),
(31614, '74600', 'Seynod', '74', 'FR'),
(31615, '74910', 'Seyssel', '74', 'FR'),
(31616, '74210', 'Seythenex', '74', 'FR'),
(31617, '74430', 'Seytroux', '74', 'FR'),
(31618, '74330', 'Sillingy', '74', 'FR'),
(31619, '74740', 'Sixt Fer �  Cheval', '74', 'FR'),
(31620, '74150', 'Val de Fier', '74', 'FR'),
(31621, '74290', 'Talloires', '74', 'FR'),
(31622, '74440', 'Taninges', '74', 'FR'),
(31623, '74300', 'Thyez', '74', 'FR'),
(31624, '74500', 'Thollon les M�mises', '74', 'FR'),
(31625, '74230', 'Th�nes', '74', 'FR'),
(31626, '74200', 'Thonon les Bains', '74', 'FR'),
(31627, '74570', 'Thorens Gli�res', '74', 'FR'),
(31628, '74150', 'Thusy', '74', 'FR'),
(31629, '74250', 'La Tour', '74', 'FR'),
(31630, '74910', 'Usinens', '74', 'FR'),
(31631, '74360', 'Vacheresse', '74', 'FR'),
(31632, '74470', 'Vailly', '74', 'FR'),
(31633, '74520', 'Valleiry', '74', 'FR'),
(31634, '74150', 'Valli�res', '74', 'FR'),
(31635, '74660', 'Vallorcine', '74', 'FR'),
(31636, '74270', 'Vanzy', '74', 'FR'),
(31637, '74150', 'Vaulx', '74', 'FR'),
(31638, '74140', 'Veigy Foncenex', '74', 'FR'),
(31639, '74440', 'Verchaix', '74', 'FR'),
(31640, '74200', 'La Vernaz', '74', 'FR'),
(31641, '74160', 'Vers', '74', 'FR'),
(31642, '74150', 'Versonnex', '74', 'FR'),
(31643, '74100', 'V�traz Monthoux', '74', 'FR'),
(31644, '74290', 'Veyrier du Lac', '74', 'FR'),
(31645, '74420', 'Villard', '74', 'FR'),
(31646, '74230', 'Les Villards sur Th�nes', '74', 'FR'),
(31647, '74370', 'Villaz', '74', 'FR'),
(31648, '74250', 'Ville en Sallaz', '74', 'FR'),
(31649, '74100', 'Ville la Grand', '74', 'FR'),
(31650, '74350', 'Villy le Bouveret', '74', 'FR'),
(31651, '74350', 'Villy le Pelloux', '74', 'FR'),
(31652, '74500', 'Vinzier', '74', 'FR'),
(31653, '74580', 'Viry', '74', 'FR'),
(31654, '74540', 'Viuz la Chi�saz', '74', 'FR'),
(31655, '74250', 'Viuz en Sallaz', '74', 'FR'),
(31656, '74130', 'Vougy', '74', 'FR'),
(31657, '74350', 'Vovray en Bornes', '74', 'FR'),
(31658, '74520', 'Vulbens', '74', 'FR'),
(31659, '74140', 'Yvoire', '74', 'FR'),
(31660, '74400', 'Argenti�re', '74', 'FR'),
(31661, '74400', 'Les Bossons', '74', 'FR'),
(31662, '74190', 'Chedde', '74', 'FR'),
(31663, '74190', 'Le Fayet', '74', 'FR'),
(31664, '74480', 'Plateau d''Assy', '74', 'FR'),
(31665, '74400', 'Les Praz de Chamonix', '74', 'FR'),
(31666, '74600', 'Vieugy', '74', 'FR'),
(31667, '74110', 'Avoriaz', '74', 'FR'),
(31668, '74150', 'Sion', '74', 'FR'),
(31670, '75001', 'paris 1er arrondissement', '75', 'FR'),
(31671, '75002', 'paris 2eme arrondissement', '75', 'FR'),
(31672, '75003', 'paris 3eme arrondissement', '75', 'FR'),
(31673, '75004', 'paris 4eme arrondissement', '75', 'FR'),
(31674, '75005', 'paris 5eme arrondissement', '75', 'FR'),
(31675, '75006', 'paris 6eme arrondissement', '75', 'FR'),
(31676, '75007', 'paris 7eme arrondissement', '75', 'FR'),
(31677, '75008', 'paris 8eme arrondissement', '75', 'FR'),
(31678, '75009', 'paris 9eme arrondissement', '75', 'FR'),
(31679, '75010', 'paris 10eme arrondissement', '75', 'FR'),
(31680, '75011', 'paris 11eme arrondissement', '75', 'FR'),
(31681, '75012', 'paris 12eme arrondissement', '75', 'FR'),
(31682, '75013', 'paris 13eme arrondissement', '75', 'FR'),
(31683, '75014', 'paris 14eme arrondissement', '75', 'FR'),
(31684, '75015', 'paris 15eme arrondissement', '75', 'FR'),
(31686, '75016', 'paris 16eme arrondissement', '75', 'FR'),
(31687, '75017', 'paris 17eme arrondissement', '75', 'FR'),
(31688, '75018', 'paris 18eme arrondissement', '75', 'FR'),
(31689, '75019', 'paris 19eme arrondissement', '75', 'FR'),
(31690, '75020', 'paris 20eme arrondissement', '75', 'FR'),
(31691, '76190', 'Allouville Bellefosse', '76', 'FR'),
(31692, '76640', 'Alvimare', '76', 'FR'),
(31693, '76480', 'Ambourville', '76', 'FR'),
(31694, '76550', 'Ambrumesnil', '76', 'FR'),
(31695, '76920', 'Amfreville la Mi Voie', '76', 'FR'),
(31696, '76560', 'Amfreville les Champs', '76', 'FR'),
(31697, '76710', 'Anceaumeville', '76', 'FR'),
(31698, '76370', 'Ancourt', '76', 'FR'),
(31699, '76560', 'Ancourteville sur H�ricourt', '76', 'FR'),
(31700, '76760', 'Ancreti�ville St Victor', '76', 'FR'),
(31701, '76540', 'Ancretteville sur Mer', '76', 'FR'),
(31702, '76110', 'Angerville Bailleul', '76', 'FR'),
(31703, '76540', 'Angerville la Martel', '76', 'FR'),
(31704, '76280', 'Angerville l''Orcher', '76', 'FR'),
(31705, '76740', 'Angiens', '76', 'FR'),
(31706, '76740', 'Anglesqueville la Bras Long', '76', 'FR'),
(31707, '76280', 'Anglesqueville l''Esneval', '76', 'FR'),
(31708, '76890', 'Val de Sa�ne', '76', 'FR'),
(31709, '76590', 'Anneville sur Scie', '76', 'FR'),
(31710, '76480', 'Anneville Ambourville', '76', 'FR'),
(31711, '76110', 'Annouville Vilmesnil', '76', 'FR'),
(31712, '76490', 'Anquetierville', '76', 'FR'),
(31713, '76560', 'Anv�ville', '76', 'FR'),
(31714, '76680', 'Ardouval', '76', 'FR'),
(31715, '76780', 'Argueil', '76', 'FR'),
(31716, '76880', 'Arques la Bataille', '76', 'FR'),
(31717, '76630', 'Assigny', '76', 'FR'),
(31718, '76390', 'Aub�guimont', '76', 'FR'),
(31719, '76340', 'Aubermesnil aux Erables', '76', 'FR'),
(31720, '76550', 'Aubermesnil Beaumais', '76', 'FR'),
(31721, '76170', 'Auberville la Campagne', '76', 'FR'),
(31722, '76450', 'Auberville la Manuel', '76', 'FR'),
(31723, '76110', 'Auberville la Renault', '76', 'FR'),
(31724, '76720', 'Auffay', '76', 'FR'),
(31725, '76390', 'Aumale', '76', 'FR'),
(31726, '76730', 'Auppegard', '76', 'FR'),
(31727, '76630', 'Auquemesnil', '76', 'FR'),
(31728, '76690', 'Authieux Rati�ville', '76', 'FR'),
(31729, '76520', 'Authieux sur le Port St Ouen', '76', 'FR'),
(31730, '76740', 'Autigny', '76', 'FR'),
(31731, '76190', 'Autretot', '76', 'FR'),
(31732, '76270', 'Auvilliers', '76', 'FR'),
(31733, '76190', 'Auzebosc', '76', 'FR'),
(31734, '76640', 'Auzouville Auberbosc', '76', 'FR'),
(31735, '76760', 'Auzouville l''Esneval', '76', 'FR'),
(31736, '76116', 'Auzouville sur Ry', '76', 'FR'),
(31737, '76730', 'Auzouville sur Sa�ne', '76', 'FR'),
(31738, '76220', 'Avesnes en Bray', '76', 'FR'),
(31739, '76630', 'Avesnes en Val', '76', 'FR'),
(31740, '76730', 'Avremesnil', '76', 'FR'),
(31741, '76730', 'Bacqueville en Caux', '76', 'FR'),
(31742, '76660', 'Bailleul Neuville', '76', 'FR'),
(31743, '76660', 'Baillolet', '76', 'FR'),
(31744, '76630', 'Bailly en Rivi�re', '76', 'FR'),
(31745, '76190', 'Baons le Comte', '76', 'FR'),
(31746, '76480', 'Bardouville', '76', 'FR'),
(31747, '76360', 'Barentin', '76', 'FR'),
(31748, '76260', 'Baromesnil', '76', 'FR'),
(31749, '76340', 'Bazinval', '76', 'FR'),
(31750, '76440', 'Beaubec la Rosi�re', '76', 'FR'),
(31751, '76850', 'Beaumont le Hareng', '76', 'FR'),
(31752, '76890', 'Beauval en Caux', '76', 'FR'),
(31753, '76280', 'Beaurepaire', '76', 'FR'),
(31754, '76870', 'Beaussault', '76', 'FR'),
(31755, '76890', 'Beautot', '76', 'FR'),
(31756, '76220', 'Beauvoir en Lyons', '76', 'FR'),
(31757, '76110', 'Bec de Mortagne', '76', 'FR'),
(31758, '76240', 'Belbeuf', '76', 'FR'),
(31759, '76680', 'Bellencombre', '76', 'FR'),
(31760, '76630', 'Bellengreville', '76', 'FR'),
(31761, '76890', 'Belleville en Caux', '76', 'FR'),
(31762, '76370', 'Belleville sur Mer', '76', 'FR'),
(31763, '76440', 'La Belli�re', '76', 'FR'),
(31764, '76590', 'Belmesnil', '76', 'FR'),
(31765, '76110', 'B�narville', '76', 'FR'),
(31766, '76560', 'B�nesville', '76', 'FR'),
(31767, '76640', 'Bennetot', '76', 'FR'),
(31768, '76790', 'B�nouville', '76', 'FR'),
(31769, '76640', 'Bermonville', '76', 'FR'),
(31770, '76370', 'Berneval le Grand', '76', 'FR'),
(31771, '76210', 'Berni�res', '76', 'FR'),
(31772, '76450', 'Bertheauville', '76', 'FR'),
(31773, '76450', 'Bertreville', '76', 'FR'),
(31774, '76590', 'Bertreville Saint Ouen', '76', 'FR'),
(31775, '76890', 'Bertrimont', '76', 'FR'),
(31776, '76560', 'Berville', '76', 'FR'),
(31777, '76480', 'Berville sur Seine', '76', 'FR'),
(31778, '76190', 'Betteville', '76', 'FR'),
(31779, '76210', 'Beuzeville la Grenier', '76', 'FR'),
(31780, '76450', 'Beuzeville la Gu�rard', '76', 'FR'),
(31781, '76210', 'Beuzevillette', '76', 'FR'),
(31782, '76220', 'B�zancourt', '76', 'FR'),
(31783, '76750', 'Bierville', '76', 'FR'),
(31784, '76420', 'Bihorel', '76', 'FR'),
(31785, '76890', 'Biville la Baignarde', '76', 'FR'),
(31786, '76730', 'Biville la Rivi�re', '76', 'FR'),
(31787, '76630', 'Biville sur Mer', '76', 'FR'),
(31788, '76190', 'Blacqueville', '76', 'FR'),
(31789, '76116', 'Blainville Crevon', '76', 'FR'),
(31790, '76340', 'Blangy sur Bresle', '76', 'FR'),
(31791, '76240', 'Bonsecours', '76', 'FR'),
(31792, '76460', 'Blosseville', '76', 'FR'),
(31793, '76690', 'Bocasse', '76', 'FR'),
(31794, '76160', 'Bois d''Ennebourg', '76', 'FR'),
(31795, '76750', 'Bois Guilbert', '76', 'FR'),
(31796, '76230', 'Bois Guillaume', '76', 'FR'),
(31797, '76750', 'Bois H�roult', '76', 'FR'),
(31798, '76190', 'Bois Himont', '76', 'FR'),
(31799, '76160', 'Bois l''�v�que', '76', 'FR'),
(31800, '76590', 'Le Bois Robert', '76', 'FR'),
(31801, '76750', 'Boissay', '76', 'FR'),
(31802, '76210', 'Bolbec', '76', 'FR'),
(31803, '76210', 'Bolleville', '76', 'FR'),
(31804, '76520', 'Boos', '76', 'FR'),
(31805, '76790', 'Bordeaux Saint Clair', '76', 'FR'),
(31806, '76110', 'Bornambusc', '76', 'FR'),
(31807, '76680', 'Bosc B�renger', '76', 'FR'),
(31808, '76750', 'Bosc Bordel', '76', 'FR'),
(31809, '76750', 'Bosc �deline', '76', 'FR'),
(31810, '76270', 'Callengeville', '76', 'FR'),
(31811, '76710', 'Bosc Gu�rard Saint Adrien', '76', 'FR'),
(31812, '76220', 'Bosc Hyons', '76', 'FR'),
(31813, '76850', 'Bosc le Hard', '76', 'FR'),
(31814, '76680', 'Bosc Mesnil', '76', 'FR'),
(31815, '76750', 'Bosc Roger sur Buchy', '76', 'FR'),
(31816, '76450', 'Bosville', '76', 'FR'),
(31817, '76560', 'Boudeville', '76', 'FR'),
(31818, '76270', 'Bouelles', '76', 'FR'),
(31819, '76530', 'La Bouille', '76', 'FR'),
(31820, '76760', 'Bourdainville', '76', 'FR'),
(31821, '76740', 'Le Bourg Dun', '76', 'FR'),
(31822, '76740', 'Bourville', '76', 'FR'),
(31823, '76360', 'Bouville', '76', 'FR'),
(31824, '76730', 'Brachy', '76', 'FR'),
(31825, '76370', 'Bracquemont', '76', 'FR'),
(31826, '76850', 'Bracquetuit', '76', 'FR'),
(31827, '76680', 'Bradiancourt', '76', 'FR'),
(31828, '76740', 'Brametot', '76', 'FR'),
(31829, '76110', 'Br�aut�', '76', 'FR'),
(31830, '76220', 'Br�montier Merval', '76', 'FR'),
(31831, '76110', 'Bretteville du Grand Caux', '76', 'FR'),
(31832, '76560', 'Bretteville St Laurent', '76', 'FR'),
(31833, '76630', 'Brunville', '76', 'FR'),
(31834, '76750', 'Buchy', '76', 'FR'),
(31835, '76270', 'Bully', '76', 'FR'),
(31836, '76660', 'Bures en Bray', '76', 'FR'),
(31837, '76890', 'Butot', '76', 'FR'),
(31838, '76450', 'Butot en Caux', '76', 'FR'),
(31839, '76460', 'Cailleville', '76', 'FR'),
(31840, '76690', 'Cailly', '76', 'FR'),
(31841, '76890', 'Calleville les Deux Eglises', '76', 'FR'),
(31842, '76340', 'Campneuseville', '76', 'FR'),
(31843, '76260', 'Canehan', '76', 'FR'),
(31844, '76450', 'Canouville', '76', 'FR'),
(31845, '76380', 'Canteleu', '76', 'FR'),
(31846, '76560', 'Canville les Deux �glises', '76', 'FR'),
(31847, '76450', 'Cany Barville', '76', 'FR'),
(31848, '76190', 'Carville la Folleti�re', '76', 'FR'),
(31849, '76560', 'Carville Pot de Fer', '76', 'FR'),
(31850, '76590', 'Le Catelier', '76', 'FR'),
(31851, '76116', 'Catenay', '76', 'FR'),
(31852, '76490', 'Caudebec en Caux', '76', 'FR'),
(31853, '76320', 'Caudebec l�s Elbeuf', '76', 'FR'),
(31854, '76390', 'Le Caule Sainte Beuve', '76', 'FR'),
(31855, '76930', 'Cauville', '76', 'FR'),
(31856, '76590', 'Les Cent Acres', '76', 'FR'),
(31857, '76430', 'La Cerlangue', '76', 'FR'),
(31858, '76590', 'La Chapelle du Bourgay', '76', 'FR'),
(31859, '76780', 'Chapelle St Ouen', '76', 'FR'),
(31860, '76740', 'La Chapelle sur Dun', '76', 'FR'),
(31861, '76590', 'La Chauss�e', '76', 'FR'),
(31862, '76570', 'Cideville', '76', 'FR'),
(31863, '76660', 'Clais', '76', 'FR'),
(31864, '76450', 'Clasville', '76', 'FR'),
(31865, '76690', 'Claville Motteville', '76', 'FR'),
(31866, '76410', 'Cl�on', '76', 'FR'),
(31867, '76690', 'Cl�res', '76', 'FR'),
(31868, '76450', 'Cleuville', '76', 'FR'),
(31869, '76640', 'Cl�ville', '76', 'FR'),
(31870, '76640', 'Cliponville', '76', 'FR'),
(31871, '76400', 'Colleville', '76', 'FR'),
(31872, '76550', 'Colmesnil Manneville', '76', 'FR'),
(31873, '76440', 'Compainville', '76', 'FR'),
(31874, '76390', 'Conteville', '76', 'FR'),
(31875, '76400', 'Contremoulins', '76', 'FR'),
(31876, '76850', 'Cott�vrard', '76', 'FR'),
(31877, '76450', 'Crasville la Mallet', '76', 'FR'),
(31878, '76740', 'Crasville la Rocquefort', '76', 'FR'),
(31879, '76720', 'Cressy', '76', 'FR'),
(31880, '76910', 'Criel sur Mer', '76', 'FR'),
(31881, '76850', 'La Crique', '76', 'FR'),
(31882, '76111', 'Criquebeuf en Caux', '76', 'FR'),
(31883, '76540', 'Criquetot le Mauconduit', '76', 'FR'),
(31884, '76280', 'Criquetot l''Esneval', '76', 'FR'),
(31885, '76590', 'Criquetot sur Longueville', '76', 'FR'),
(31886, '76760', 'Criquetot sur Ouville', '76', 'FR'),
(31887, '76390', 'Criquiers', '76', 'FR'),
(31888, '76680', 'Critot', '76', 'FR'),
(31889, '76780', 'Croisy sur Andelle', '76', 'FR'),
(31890, '76660', 'Croixdalle', '76', 'FR'),
(31891, '76190', 'Croix Mare', '76', 'FR'),
(31892, '76720', 'Cropus', '76', 'FR'),
(31893, '76590', 'Crosville sur Scie', '76', 'FR'),
(31894, '76280', 'Cuverville', '76', 'FR'),
(31895, '76260', 'Cuverville sur Y�res', '76', 'FR'),
(31896, '76220', 'Cuy Saint Fiacre', '76', 'FR'),
(31897, '76220', 'Dampierre en Bray', '76', 'FR'),
(31898, '76510', 'Dampierre Saint Nicolas', '76', 'FR'),
(31899, '76340', 'Dancourt', '76', 'FR'),
(31900, '76160', 'Darn�tal', '76', 'FR'),
(31901, '76110', 'Daubeuf Serville', '76', 'FR'),
(31902, '76590', 'D�nestanville', '76', 'FR'),
(31903, '76370', 'Derchigny', '76', 'FR'),
(31904, '76250', 'D�ville l�s Rouen', '76', 'FR'),
(31905, '76200', 'Dieppe', '76', 'FR'),
(31906, '76220', 'Doudeauville', '76', 'FR'),
(31907, '76560', 'Doudeville', '76', 'FR'),
(31908, '76630', 'Douvrend', '76', 'FR'),
(31909, '76460', 'Drosay', '76', 'FR'),
(31910, '76480', 'Duclair', '76', 'FR'),
(31911, '76190', '�calles Alix', '76', 'FR'),
(31912, '76110', '�crainville', '76', 'FR'),
(31913, '76190', '�cretteville l�s Baons', '76', 'FR'),
(31914, '76540', '�cretteville sur Mer', '76', 'FR'),
(31915, '76760', 'Ectot l''Auber', '76', 'FR'),
(31916, '76970', 'Ectot l�s Baons', '76', 'FR'),
(31917, '76220', 'Elbeuf en Bray', '76', 'FR'),
(31918, '76780', 'Elbeuf sur Andelle', '76', 'FR'),
(31919, '76500', 'Elbeuf', '76', 'FR'),
(31920, '76540', '�letot', '76', 'FR'),
(31921, '76390', 'Ellecourt', '76', 'FR'),
(31922, '76570', '�manville', '76', 'FR'),
(31923, '76630', 'Envermeu', '76', 'FR'),
(31924, '76640', 'Envronville', '76', 'FR'),
(31925, '76480', '�pinay sur Duclair', '76', 'FR'),
(31926, '76133', '�pouville', '76', 'FR'),
(31927, '76430', '�pretot', '76', 'FR'),
(31928, '76400', '�preville', '76', 'FR'),
(31929, '76740', 'Ermenouville', '76', 'FR'),
(31930, '76220', 'Ernemont la Villette', '76', 'FR'),
(31931, '76750', 'Ernemont sur Buchy', '76', 'FR'),
(31932, '76270', 'Esclavelles', '76', 'FR'),
(31933, '76710', 'Eslettes', '76', 'FR'),
(31934, '76270', 'Les Essarts Varimpr�', '76', 'FR'),
(31935, '76690', 'Esteville', '76', 'FR'),
(31936, '76750', 'Estouteville �calles', '76', 'FR'),
(31937, '76850', '�taimpuis', '76', 'FR'),
(31938, '76430', '�tainhus', '76', 'FR'),
(31939, '76560', '�talleville', '76', 'FR'),
(31940, '76260', '�talondes', '76', 'FR'),
(31941, '76190', '�toutteville', '76', 'FR'),
(31942, '76790', '�tretat', '76', 'FR'),
(31943, '76260', 'Eu', '76', 'FR'),
(31944, '76340', 'Fallencourt', '76', 'FR'),
(31945, '76640', 'Fauville en Caux', '76', 'FR'),
(31946, '76400', 'F�camp', '76', 'FR'),
(31947, '76220', 'Ferri�res en Bray', '76', 'FR'),
(31948, '76440', 'La Fert� Saint Samson', '76', 'FR'),
(31949, '76270', 'Fesques', '76', 'FR'),
(31950, '76220', 'La Feuillie', '76', 'FR'),
(31951, '76970', 'Flamanville', '76', 'FR'),
(31952, '76270', 'Flamets Fr�tils', '76', 'FR'),
(31953, '76260', 'Flocques', '76', 'FR'),
(31954, '76190', 'La Folleti�re', '76', 'FR'),
(31955, '76280', 'Fongueusemare', '76', 'FR'),
(31956, '76440', 'Fontaine en Bray', '76', 'FR'),
(31957, '76290', 'Fontaine la Mallet', '76', 'FR'),
(31958, '76690', 'Fontaine le Bourg', '76', 'FR'),
(31959, '76740', 'Fontaine le Dun', '76', 'FR'),
(31960, '76160', 'Fontaine sous Pr�aux', '76', 'FR'),
(31961, '76890', 'La Fontelaye', '76', 'FR'),
(31962, '76290', 'Fontenay', '76', 'FR'),
(31963, '76440', 'Forges les Eaux', '76', 'FR'),
(31964, '76440', 'Le Foss�', '76', 'FR'),
(31965, '76340', 'Foucarmont', '76', 'FR'),
(31966, '76640', 'Foucart', '76', 'FR'),
(31967, '76660', 'Fr�auville', '76', 'FR'),
(31968, '76170', 'La Frenaye', '76', 'FR'),
(31969, '76410', 'Freneuse', '76', 'FR'),
(31970, '76270', 'Fresles', '76', 'FR'),
(31971, '76850', 'Fresnay le Long', '76', 'FR'),
(31972, '76520', 'Fresne le Plan', '76', 'FR'),
(31973, '76660', 'Fresnoy Folny', '76', 'FR'),
(31974, '76570', 'Fresquiennes', '76', 'FR'),
(31975, '76510', 'Freulleville', '76', 'FR'),
(31976, '76190', 'Fr�ville', '76', 'FR'),
(31977, '76690', 'Frichemesnil', '76', 'FR'),
(31978, '76400', 'Froberville', '76', 'FR'),
(31979, '76780', 'Fry', '76', 'FR'),
(31980, '76560', 'Fultot', '76', 'FR'),
(31981, '76740', 'La Gaillarde', '76', 'FR'),
(31982, '76870', 'Gaillefontaine', '76', 'FR'),
(31983, '76700', 'Gainneville', '76', 'FR'),
(31984, '76220', 'Gancourt Saint �tienne', '76', 'FR'),
(31985, '76400', 'Ganzeville', '76', 'FR'),
(31986, '76540', 'Gerponville', '76', 'FR'),
(31987, '76790', 'Gerville', '76', 'FR'),
(31988, '76630', 'Glicourt', '76', 'FR'),
(31989, '76110', 'Goderville', '76', 'FR'),
(31990, '76430', 'Gommerville', '76', 'FR'),
(31991, '76110', 'Gonfreville Caillot', '76', 'FR'),
(31992, '76700', 'Gonfreville l''Orcher', '76', 'FR'),
(31993, '76730', 'Gonnetot', '76', 'FR'),
(31994, '76280', 'Gonneville la Mallet', '76', 'FR'),
(31995, '76590', 'Gonneville sur Scie', '76', 'FR'),
(31996, '76560', 'Gonzeville', '76', 'FR'),
(31997, '76630', 'Gouchaupr�', '76', 'FR'),
(31998, '76570', 'Goupilli�res', '76', 'FR'),
(31999, '76220', 'Gournay en Bray', '76', 'FR'),
(32000, '76520', 'Gouy', '76', 'FR'),
(32001, '76430', 'Graimbouville', '76', 'FR'),
(32002, '76450', 'Grainville la Teinturi�re', '76', 'FR'),
(32003, '76116', 'Grainville sur Ry', '76', 'FR'),
(32004, '76110', 'Grainville Ymauville', '76', 'FR'),
(32005, '76170', 'Grand Camp', '76', 'FR'),
(32006, '76530', 'Grand Couronne', '76', 'FR'),
(32007, '76660', 'Grandcourt', '76', 'FR'),
(32008, '76950', 'Les Grandes Ventes', '76', 'FR'),
(32009, '76120', 'Le Grand Quevilly', '76', 'FR'),
(32010, '76270', 'Graval', '76', 'FR'),
(32011, '76370', 'Gr�ges', '76', 'FR'),
(32012, '76970', 'Gr�monville', '76', 'FR'),
(32013, '76630', 'Greny', '76', 'FR'),
(32014, '76810', 'Greuville', '76', 'FR'),
(32015, '76850', 'Grigneuseville', '76', 'FR'),
(32016, '76210', 'Gruchet le Valasse', '76', 'FR'),
(32017, '76810', 'Gruchet Saint Sim�on', '76', 'FR'),
(32018, '76690', 'Grugny', '76', 'FR'),
(32019, '76440', 'Grumesnil', '76', 'FR'),
(32020, '76340', 'Guerville', '76', 'FR'),
(32021, '76730', 'Gueures', '76', 'FR'),
(32022, '76890', 'Gueutteville', '76', 'FR'),
(32023, '76460', 'Gueutteville les Gr�s', '76', 'FR'),
(32024, '76630', 'Guilm�court', '76', 'FR'),
(32025, '76780', 'La Halloti�re', '76', 'FR'),
(32026, '76450', 'Le Hanouard', '76', 'FR'),
(32027, '76560', 'Harcanville', '76', 'FR'),
(32028, '76700', 'Harfleur', '76', 'FR'),
(32029, '76640', 'Hattenville', '76', 'FR'),
(32030, '76440', 'Haucourt', '76', 'FR'),
(32031, '76390', 'Haudricourt', '76', 'FR'),
(32032, '76440', 'Haussez', '76', 'FR'),
(32033, '76450', 'Hautot l''Auvray', '76', 'FR'),
(32034, '76190', 'Hautot le Vatois', '76', 'FR'),
(32035, '76190', 'Hautot Saint Sulpice', '76', 'FR'),
(32036, '76550', 'Hautot sur Mer', '76', 'FR'),
(32037, '76113', 'Hautot sur Seine', '76', 'FR'),
(32038, '76620', 'Le Havre', '76', 'FR'),
(32039, '76600', 'Le Havre', '76', 'FR'),
(32040, '76610', 'Le Havre', '76', 'FR'),
(32041, '76780', 'Haye', '76', 'FR'),
(32042, '76740', 'H�berville', '76', 'FR'),
(32043, '76840', 'H�nouville', '76', 'FR'),
(32044, '76560', 'H�ricourt en Caux', '76', 'FR'),
(32045, '76730', 'Hermanville', '76', 'FR'),
(32046, '76280', 'Hermeville', '76', 'FR'),
(32047, '76780', 'Le H�ron', '76', 'FR'),
(32048, '76750', 'H�ronchelles', '76', 'FR'),
(32049, '76720', 'Heugleville sur Scie', '76', 'FR'),
(32050, '76280', 'Heuqueville', '76', 'FR'),
(32051, '76940', 'Heurteauville', '76', 'FR'),
(32052, '76340', 'Hodeng au Bosc', '76', 'FR'),
(32053, '76780', 'Hodeng Hodenger', '76', 'FR'),
(32054, '76740', 'Houdetot', '76', 'FR'),
(32055, '76770', 'Le Houlme', '76', 'FR'),
(32056, '76770', 'Houppeville', '76', 'FR'),
(32057, '76110', 'Houquetot', '76', 'FR'),
(32058, '76690', 'Houssaye B�ranger', '76', 'FR'),
(32059, '76570', 'Hugleville en Caux', '76', 'FR'),
(32060, '76630', 'Les Ifs', '76', 'FR'),
(32061, '76390', 'Illois', '76', 'FR'),
(32062, '76890', 'Imbleville', '76', 'FR'),
(32063, '76117', 'Incheville', '76', 'FR'),
(32064, '76460', 'Ingouville', '76', 'FR'),
(32065, '76630', 'Intraville', '76', 'FR'),
(32066, '76230', 'Isneauville', '76', 'FR'),
(32067, '76480', 'Jumi�ges', '76', 'FR'),
(32068, '76730', 'Lamberville', '76', 'FR'),
(32069, '76730', 'Lammerville', '76', 'FR'),
(32070, '76390', 'Landes Vieilles et Neuves', '76', 'FR'),
(32071, '76210', 'Lanquetot', '76', 'FR'),
(32072, '76730', 'Lestanville', '76', 'FR'),
(32073, '76170', 'Lillebonne', '76', 'FR'),
(32074, '76570', 'Lim�sy', '76', 'FR'),
(32075, '76540', 'Limpiville', '76', 'FR'),
(32076, '76760', 'Lindebeuf', '76', 'FR'),
(32077, '76210', 'Lintot', '76', 'FR'),
(32078, '76590', 'Lintot les Bois', '76', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(32079, '76790', 'Les Loges', '76', 'FR'),
(32080, '76500', 'La Londe', '76', 'FR'),
(32081, '76660', 'Londini�res', '76', 'FR'),
(32082, '76440', 'Longmesnil', '76', 'FR'),
(32083, '76260', 'Longroy', '76', 'FR'),
(32084, '76860', 'Longueil', '76', 'FR'),
(32085, '76750', 'Longuerue', '76', 'FR'),
(32086, '76590', 'Longueville sur Scie', '76', 'FR'),
(32087, '76490', 'Louvetot', '76', 'FR'),
(32088, '76270', 'Lucy', '76', 'FR'),
(32089, '76810', 'Luneray', '76', 'FR'),
(32090, '76940', 'La Mailleraye sur Seine', '76', 'FR'),
(32091, '76770', 'Malaunay', '76', 'FR'),
(32092, '76450', 'Malleville les Gr�s', '76', 'FR'),
(32093, '76133', 'Man�glise', '76', 'FR'),
(32094, '76590', 'Man�houville', '76', 'FR'),
(32095, '76400', 'Maniquerville', '76', 'FR'),
(32096, '76460', 'Manneville �s Plains', '76', 'FR'),
(32097, '76110', 'Manneville la Goupil', '76', 'FR'),
(32098, '76290', 'Mannevillette', '76', 'FR'),
(32099, '76150', 'Maromme', '76', 'FR'),
(32100, '76390', 'Marques', '76', 'FR'),
(32101, '76116', 'Martainville �preville', '76', 'FR'),
(32102, '76880', 'Martigny', '76', 'FR'),
(32103, '76370', 'Martin �glise', '76', 'FR'),
(32104, '76270', 'Massy', '76', 'FR'),
(32105, '76680', 'Mathonville', '76', 'FR'),
(32106, '76680', 'Maucomble', '76', 'FR'),
(32107, '76490', 'Maul�vrier Ste Gertrude', '76', 'FR'),
(32108, '76530', 'Mauny', '76', 'FR'),
(32109, '76440', 'Mauquenchy', '76', 'FR'),
(32110, '76170', 'M�lamare', '76', 'FR'),
(32111, '76260', 'Melleville', '76', 'FR'),
(32112, '76220', 'M�nerval', '76', 'FR'),
(32113, '76270', 'M�nonval', '76', 'FR'),
(32114, '76110', 'Mentheville', '76', 'FR'),
(32115, '76780', 'M�sangueville', '76', 'FR'),
(32116, '76270', 'Mesni�res en Bray', '76', 'FR'),
(32117, '76460', 'Le Mesnil Durdent', '76', 'FR'),
(32118, '76240', 'Le Mesnil Esnard', '76', 'FR'),
(32119, '76660', 'Mesnil Follemprise', '76', 'FR'),
(32120, '76780', 'Le Mesnil Lieubray', '76', 'FR'),
(32121, '76440', 'Mesnil Mauger', '76', 'FR'),
(32122, '76570', 'Mesnil Panneville', '76', 'FR'),
(32123, '76520', 'Mesnil Raoul', '76', 'FR'),
(32124, '76260', 'Le Mesnil R�aume', '76', 'FR'),
(32125, '76480', 'Le Mesnil sous Jumi�ges', '76', 'FR'),
(32126, '76510', 'Meulers', '76', 'FR'),
(32127, '76260', 'Millebosc', '76', 'FR'),
(32128, '76210', 'Mirville', '76', 'FR'),
(32129, '76220', 'Molagnies', '76', 'FR'),
(32130, '76340', 'Monchaux Soreng', '76', 'FR'),
(32131, '76260', 'Monchy sur Eu', '76', 'FR'),
(32132, '76690', 'Mont Cauvaire', '76', 'FR'),
(32133, '76190', 'Mont de l''If', '76', 'FR'),
(32134, '76680', 'Mont�rolier', '76', 'FR'),
(32135, '76380', 'Montigny', '76', 'FR'),
(32136, '76290', 'Montivilliers', '76', 'FR'),
(32137, '76520', 'Montmain', '76', 'FR'),
(32138, '76850', 'Montreuil en Caux', '76', 'FR'),
(32139, '76220', 'Montroty', '76', 'FR'),
(32140, '76130', 'Mont Saint Aignan', '76', 'FR'),
(32141, '76710', 'Montville', '76', 'FR'),
(32142, '76750', 'Morgny la Pommeraye', '76', 'FR'),
(32143, '76270', 'Mortemer', '76', 'FR'),
(32144, '76780', 'Morville sur Andelle', '76', 'FR'),
(32145, '76970', 'Motteville', '76', 'FR'),
(32146, '76530', 'Moulineaux', '76', 'FR'),
(32147, '76590', 'Muchedent', '76', 'FR'),
(32148, '76270', 'Nesle Hodeng', '76', 'FR'),
(32149, '76340', 'Nesle Normandeuse', '76', 'FR'),
(32150, '76680', 'Neufbosc', '76', 'FR'),
(32151, '76270', 'Neufch�tel en Bray', '76', 'FR'),
(32152, '76220', 'Neuf March�', '76', 'FR'),
(32153, '76520', 'Neuville Chant d''Oisel', '76', 'FR'),
(32154, '76270', 'Neuville Ferri�res', '76', 'FR'),
(32155, '76370', 'Neuville l�s Dieppe', '76', 'FR'),
(32156, '76460', 'N�ville', '76', 'FR'),
(32157, '76210', 'Nointot', '76', 'FR'),
(32158, '76780', 'Noll�val', '76', 'FR'),
(32159, '76640', 'Normanville', '76', 'FR'),
(32160, '76330', 'Norville', '76', 'FR'),
(32161, '76510', 'Notre Dame d''Aliermont', '76', 'FR'),
(32162, '76940', 'Notre Dame de Bliquetuit', '76', 'FR'),
(32163, '76960', 'Notre Dame de Bondeville', '76', 'FR'),
(32164, '76520', 'Franqueville St Pierre', '76', 'FR'),
(32165, '76330', 'Notre Dame de Gravenchon', '76', 'FR'),
(32166, '76133', 'Notre Dame du Bec', '76', 'FR'),
(32167, '76590', 'Notre Dame du Parc', '76', 'FR'),
(32168, '76390', 'Nullemont', '76', 'FR'),
(32169, '76450', 'Ocqueville', '76', 'FR'),
(32170, '76930', 'Octeville sur Mer', '76', 'FR'),
(32171, '76550', 'Offranville', '76', 'FR'),
(32172, '76560', 'Oherville', '76', 'FR'),
(32173, '76350', 'Oissel', '76', 'FR'),
(32174, '76730', 'Omonville', '76', 'FR'),
(32175, '76500', 'Orival', '76', 'FR'),
(32176, '76660', 'Osmoy Saint Valery', '76', 'FR'),
(32177, '76450', 'Ouainville', '76', 'FR'),
(32178, '76430', 'Oudalle', '76', 'FR'),
(32179, '76450', 'Ourville en Caux', '76', 'FR'),
(32180, '76760', 'Ouville l''Abbaye', '76', 'FR'),
(32181, '76860', 'Ouville la Rivi�re', '76', 'FR'),
(32182, '76450', 'Paluel', '76', 'FR'),
(32183, '76210', 'Parc d''Anxtot', '76', 'FR'),
(32184, '76570', 'Pavilly', '76', 'FR'),
(32185, '76630', 'Penly', '76', 'FR'),
(32186, '76650', 'Petit Couronne', '76', 'FR'),
(32187, '76140', 'Le Petit Quevilly', '76', 'FR'),
(32188, '76330', 'Petiville', '76', 'FR'),
(32189, '76340', 'Pierrecourt', '76', 'FR'),
(32190, '76280', 'Pierrefiques', '76', 'FR'),
(32191, '76750', 'Pierreval', '76', 'FR'),
(32192, '76360', 'Pissy P�ville', '76', 'FR'),
(32193, '76460', 'Pleine S�ve', '76', 'FR'),
(32194, '76440', 'Pommereux', '76', 'FR'),
(32195, '76680', 'Pommer�val', '76', 'FR'),
(32196, '76260', 'Ponts et Marais', '76', 'FR'),
(32197, '76280', 'La Poterie Cap d''Antifer', '76', 'FR'),
(32198, '76160', 'Pr�aux', '76', 'FR'),
(32199, '76560', 'Pr�tot Vicquemare', '76', 'FR'),
(32200, '76660', 'Preuseville', '76', 'FR'),
(32201, '76660', 'Puisenval', '76', 'FR'),
(32202, '76840', 'Quevillon', '76', 'FR'),
(32203, '76520', 'Qu�vreville la Poterie', '76', 'FR'),
(32204, '76860', 'Quiberville', '76', 'FR'),
(32205, '76270', 'Qui�vrecourt', '76', 'FR'),
(32206, '76230', 'Quincampoix', '76', 'FR'),
(32207, '76210', 'Raffetot', '76', 'FR'),
(32208, '76730', 'Rainfreville', '76', 'FR'),
(32209, '76340', 'R�alcamp', '76', 'FR'),
(32210, '76750', 'Rebets', '76', 'FR'),
(32211, '76430', 'La Remu�e', '76', 'FR'),
(32212, '76340', 'R�tonval', '76', 'FR'),
(32213, '76560', 'Reuville', '76', 'FR'),
(32214, '76640', 'Ricarville', '76', 'FR'),
(32215, '76510', 'Ricarville du Val', '76', 'FR'),
(32216, '76390', 'Richemont', '76', 'FR'),
(32217, '76340', 'Rieux', '76', 'FR'),
(32218, '76540', 'Riville', '76', 'FR'),
(32219, '76560', 'Robertot', '76', 'FR'),
(32220, '76640', 'Rocquefort', '76', 'FR'),
(32221, '76680', 'Rocquemont', '76', 'FR'),
(32222, '76700', 'Rogerville', '76', 'FR'),
(32223, '76133', 'Rolleville', '76', 'FR'),
(32224, '76440', 'Roncherolles en Bray', '76', 'FR'),
(32225, '76160', 'Roncherolles sur le Vivier', '76', 'FR'),
(32226, '76390', 'Ronchois', '76', 'FR'),
(32227, '76680', 'Rosay', '76', 'FR'),
(32228, '76610', 'Rouelles', '76', 'FR'),
(32229, '76100', 'Rouen', '76', 'FR'),
(32230, '76000', 'Rouen', '76', 'FR'),
(32231, '76480', 'Roumare', '76', 'FR'),
(32232, '76560', 'Routes', '76', 'FR'),
(32233, '76210', 'Rouville', '76', 'FR'),
(32234, '76440', 'Rouvray Catillon', '76', 'FR'),
(32235, '76370', 'Rouxmesnil Bouteilles', '76', 'FR'),
(32236, '76730', 'Royville', '76', 'FR'),
(32237, '76690', 'La Rue Saint Pierre', '76', 'FR'),
(32238, '76116', 'Ry', '76', 'FR'),
(32239, '76730', 'Sa�ne Saint Just', '76', 'FR'),
(32240, '76113', 'Sahurs', '76', 'FR'),
(32241, '76430', 'Sainneville', '76', 'FR'),
(32242, '76310', 'Sainte Adresse', '76', 'FR'),
(32243, '76660', 'Sainte Agathe d''Aliermont', '76', 'FR'),
(32244, '76116', 'Saint Aignan sur Ry', '76', 'FR'),
(32245, '76690', 'Saint Andr� sur Cailly', '76', 'FR'),
(32246, '76170', 'Saint Antoine la For�t', '76', 'FR'),
(32247, '76490', 'Saint Arnoult', '76', 'FR'),
(32248, '76520', 'Saint Aubin Celloville', '76', 'FR'),
(32249, '76190', 'Saint Aubin de Cr�tot', '76', 'FR'),
(32250, '76160', 'Saint Aubin Epinay', '76', 'FR'),
(32251, '76410', 'Saint Aubin l�s Elbeuf', '76', 'FR'),
(32252, '76510', 'Saint Aubin le Cauf', '76', 'FR'),
(32253, '76430', 'Saint Aubin Routot', '76', 'FR'),
(32254, '76740', 'Saint Aubin sur Mer', '76', 'FR'),
(32255, '76550', 'Saint Aubin sur Scie', '76', 'FR'),
(32256, '76570', 'Sainte Austreberthe', '76', 'FR'),
(32257, '76270', 'Sainte Beuve en Rivi�re', '76', 'FR'),
(32258, '76190', 'Saint Clair sur les Monts', '76', 'FR'),
(32259, '76460', 'Sainte Colombe', '76', 'FR'),
(32260, '76590', 'Saint Crespin', '76', 'FR'),
(32261, '76750', 'Sainte Croix sur Buchy', '76', 'FR'),
(32262, '76860', 'Saint Denis d''Aclon', '76', 'FR'),
(32263, '76116', 'Saint Denis le Thiboult', '76', 'FR'),
(32264, '76890', 'Saint Denis sur Scie', '76', 'FR'),
(32265, '76800', 'Saint �tienne du Rouvray', '76', 'FR'),
(32266, '76210', 'Saint Eustache la For�t', '76', 'FR'),
(32267, '76590', 'Sainte Foy', '76', 'FR'),
(32268, '76440', 'Ste Genevi�ve', '76', 'FR'),
(32269, '76690', 'Saint Georges sur Fontaine', '76', 'FR'),
(32270, '76750', 'Saint Germain des Essourts', '76', 'FR'),
(32271, '76590', 'Saint Germain d''�tables', '76', 'FR'),
(32272, '76690', 'Saint Germain sous Cailly', '76', 'FR'),
(32273, '76270', 'Saint Germain sur Eaulne', '76', 'FR'),
(32274, '76490', 'Saint Gilles de Cr�tot', '76', 'FR'),
(32275, '76430', 'Saint Gilles de la Neuville', '76', 'FR'),
(32276, '76400', 'Sainte H�l�ne Bondeville', '76', 'FR'),
(32277, '76680', 'Saint Hellier', '76', 'FR'),
(32278, '76590', 'Saint Honor�', '76', 'FR'),
(32279, '76510', 'Saint Jacques d''Aliermont', '76', 'FR'),
(32280, '76160', 'Saint Jacques sur Darn�tal', '76', 'FR'),
(32281, '76170', 'Saint Jean de Folleville', '76', 'FR'),
(32282, '76210', 'Saint Jean de la Neuville', '76', 'FR'),
(32283, '76150', 'Saint Jean du Cardonnay', '76', 'FR'),
(32284, '76280', 'Saint Jouin Bruneval', '76', 'FR'),
(32285, '76700', 'Saint Laurent de Br�vedent', '76', 'FR'),
(32286, '76560', 'Saint Laurent en Caux', '76', 'FR'),
(32287, '76340', 'Saint L�ger aux Bois', '76', 'FR'),
(32288, '76160', 'Saint L�ger du Bourg Denis', '76', 'FR'),
(32289, '76400', 'Saint L�onard', '76', 'FR'),
(32290, '76780', 'Saint Lucien', '76', 'FR'),
(32291, '76890', 'Saint Maclou de Folleville', '76', 'FR'),
(32292, '76110', 'Saint Maclou la Bri�re', '76', 'FR'),
(32293, '76730', 'Saint Mards', '76', 'FR'),
(32294, '76119', 'Ste Marguerite sur Mer', '76', 'FR'),
(32295, '76390', 'Morienne', '76', 'FR'),
(32296, '76640', 'Sainte Marguerite sur Fauville', '76', 'FR'),
(32297, '76480', 'Sainte Marguerite sur Duclair', '76', 'FR'),
(32298, '76280', 'Sainte Marie au Bosc', '76', 'FR'),
(32299, '76190', 'Sainte Marie des Champs', '76', 'FR'),
(32300, '76760', 'Saint Martin aux Arbres', '76', 'FR'),
(32301, '76340', 'Saint Martin au Bosc', '76', 'FR'),
(32302, '76450', 'Saint Martin aux Buneaux', '76', 'FR'),
(32303, '76540', 'Saint Martin aux Buneaux', '76', 'FR'),
(32304, '76840', 'Saint Martin de Boscherville', '76', 'FR'),
(32305, '76133', 'Saint Martin du Bec', '76', 'FR'),
(32306, '76290', 'Saint Martin du Manoir', '76', 'FR'),
(32307, '76160', 'Saint Martin du Vivier', '76', 'FR'),
(32308, '76370', 'Saint Martin en Campagne', '76', 'FR'),
(32309, '76260', 'Saint Martin le Gaillard', '76', 'FR'),
(32310, '76270', 'Saint Martin l''Hortier', '76', 'FR'),
(32311, '76680', 'St Martin Osmonville', '76', 'FR'),
(32312, '76330', 'Saint Maurice d''�telan', '76', 'FR'),
(32313, '76440', 'St Michel d''Halescourt', '76', 'FR'),
(32314, '76510', 'Saint Nicolas d''Aliermont', '76', 'FR'),
(32315, '76940', 'Saint Nicolas de Bliquetuit', '76', 'FR'),
(32316, '76490', 'Saint Nicolas de la Haie', '76', 'FR'),
(32317, '76170', 'Saint Nicolas de la Taille', '76', 'FR'),
(32318, '76890', 'Saint Ouen du Breuil', '76', 'FR'),
(32319, '76730', 'Saint Ouen le Mauger', '76', 'FR'),
(32320, '76630', 'Saint Ouen sous Bailly', '76', 'FR'),
(32321, '76480', 'Saint Pa�r', '76', 'FR'),
(32322, '76890', 'Saint Pierre B�nouville', '76', 'FR'),
(32323, '76113', 'Saint Pierre de Manneville', '76', 'FR'),
(32324, '76660', 'Saint Pierre des Jonqui�res', '76', 'FR'),
(32325, '76480', 'Saint Pierre de Varengeville', '76', 'FR'),
(32326, '76540', 'Saint Pierre en Port', '76', 'FR'),
(32327, '76260', 'Saint Pierre en Val', '76', 'FR'),
(32328, '76640', 'Saint Pierre Lavis', '76', 'FR'),
(32329, '76320', 'Saint Pierre l�s Elbeuf', '76', 'FR'),
(32330, '76740', 'Saint Pierre le Vieux', '76', 'FR'),
(32331, '76740', 'Saint Pierre le Viger', '76', 'FR'),
(32332, '76630', 'Saint Quentin au Bosc', '76', 'FR'),
(32333, '76260', 'Saint R�my Boscrocourt', '76', 'FR'),
(32334, '76340', 'Saint Riquier en Rivi�re', '76', 'FR'),
(32335, '76460', 'Saint Riquier �s Plains', '76', 'FR'),
(32336, '76430', 'Saint Romain de Colbosc', '76', 'FR'),
(32337, '76680', 'Saint Sa�ns', '76', 'FR'),
(32338, '76270', 'Saint Saire', '76', 'FR'),
(32339, '76110', 'Saint Sauveur d''�malleville', '76', 'FR'),
(32340, '76460', 'Saint Sylvain', '76', 'FR'),
(32341, '76510', 'Saint Vaast d''�quiqueville', '76', 'FR'),
(32342, '76450', 'Saint Vaast Dieppedalle', '76', 'FR'),
(32343, '76890', 'Saint Vaast du Val', '76', 'FR'),
(32344, '76460', 'Saint Val�ry en Caux', '76', 'FR'),
(32345, '76890', 'Saint Victor l''Abbaye', '76', 'FR'),
(32346, '76430', 'Saint Vigor d''Ymonville', '76', 'FR'),
(32347, '76430', 'Saint Vincent Cramesnil', '76', 'FR'),
(32348, '76490', 'Saint Wandrille Ran�on', '76', 'FR'),
(32349, '76430', 'Sandouville', '76', 'FR'),
(32350, '76730', 'Sassetot le Malgard�', '76', 'FR'),
(32351, '76540', 'Sassetot le Mauconduit', '76', 'FR'),
(32352, '76450', 'Sasseville', '76', 'FR'),
(32353, '76630', 'Sauchay', '76', 'FR'),
(32354, '76440', 'Saumont la Poterie', '76', 'FR'),
(32355, '76550', 'Sauqueville', '76', 'FR'),
(32356, '76760', 'Saussay', '76', 'FR'),
(32357, '76110', 'Sausseuzemare en Caux', '76', 'FR'),
(32358, '76400', 'Senneville sur F�camp', '76', 'FR'),
(32359, '76260', 'Sept Meules', '76', 'FR'),
(32360, '76440', 'Serqueux', '76', 'FR'),
(32361, '76116', 'Servaville Salmonville', '76', 'FR'),
(32362, '76850', 'S�vis', '76', 'FR'),
(32363, '76690', 'Sierville', '76', 'FR'),
(32364, '76780', 'Sigy en Bray', '76', 'FR'),
(32365, '76660', 'Smermesnil', '76', 'FR'),
(32366, '76440', 'Sommery', '76', 'FR'),
(32367, '76560', 'Sommesnil', '76', 'FR'),
(32368, '76540', 'Sorquainville', '76', 'FR'),
(32369, '76300', 'Sotteville l�s Rouen', '76', 'FR'),
(32370, '76410', 'Sotteville sous le Val', '76', 'FR'),
(32371, '76740', 'Sotteville sur Mer', '76', 'FR'),
(32372, '76430', 'Tancarville', '76', 'FR'),
(32373, '76540', 'Th�rouldeville', '76', 'FR'),
(32374, '76540', 'Theuville aux Maillots', '76', 'FR'),
(32375, '76540', 'Thiergeville', '76', 'FR'),
(32376, '76540', 'Thi�treville', '76', 'FR'),
(32377, '76730', 'Thil Manneville', '76', 'FR'),
(32378, '76440', 'Le Thil Riberpr�', '76', 'FR'),
(32379, '76450', 'Thiouville', '76', 'FR'),
(32380, '76790', 'Le Tilleul', '76', 'FR'),
(32381, '76730', 'Tocqueville en Caux', '76', 'FR'),
(32382, '76110', 'Tocqueville les Murs', '76', 'FR'),
(32383, '76910', 'Tocqueville sur Eu', '76', 'FR'),
(32384, '76590', 'Torcy le Grand', '76', 'FR'),
(32385, '76590', 'Torcy le Petit', '76', 'FR'),
(32386, '76560', 'Le Torp Mesnil', '76', 'FR'),
(32387, '76890', 'T�tes', '76', 'FR'),
(32388, '76170', 'Touffreville la Cable', '76', 'FR'),
(32389, '76190', 'Touffreville la Corbeline', '76', 'FR'),
(32390, '76910', 'Touffreville sur Eu', '76', 'FR'),
(32391, '76630', 'Tourville la Chapelle', '76', 'FR'),
(32392, '76410', 'Tourville la Rivi�re', '76', 'FR'),
(32393, '76400', 'Tourville les Ifs', '76', 'FR'),
(32394, '76550', 'Tourville sur Arques', '76', 'FR'),
(32395, '76400', 'Toussaint', '76', 'FR'),
(32396, '76580', 'Le Trait', '76', 'FR'),
(32397, '76640', 'Tr�mauville', '76', 'FR'),
(32398, '76470', 'Le Tr�port', '76', 'FR'),
(32399, '76170', 'La Trinit� du Mont', '76', 'FR'),
(32400, '76170', 'Triquerville', '76', 'FR'),
(32401, '76430', 'Les Trois Pierres', '76', 'FR'),
(32402, '76210', 'Trouville', '76', 'FR'),
(32403, '76280', 'Turretot', '76', 'FR'),
(32404, '76380', 'Val de la Haye', '76', 'FR'),
(32405, '76190', 'Valliquerville', '76', 'FR'),
(32406, '76540', 'Valmont', '76', 'FR'),
(32407, '76119', 'Varengeville sur Mer', '76', 'FR'),
(32408, '76890', 'Varneville Bretteville', '76', 'FR'),
(32409, '76890', 'Vassonville', '76', 'FR'),
(32410, '76270', 'Vatierville', '76', 'FR'),
(32411, '76110', 'Vattetot sous Beaumont', '76', 'FR'),
(32412, '76111', 'Vattetot sur Mer', '76', 'FR'),
(32413, '76940', 'Vatteville la Rue', '76', 'FR'),
(32414, '76150', 'La Vaupali�re', '76', 'FR'),
(32415, '76190', 'Veauville les Baons', '76', 'FR'),
(32416, '76560', 'Veauville l�s Quelles', '76', 'FR'),
(32417, '76730', 'V�nestanville', '76', 'FR'),
(32418, '76450', 'Butot V�nesville', '76', 'FR'),
(32419, '76680', 'Ventes Saint R�my', '76', 'FR'),
(32420, '76280', 'Vergetot', '76', 'FR'),
(32421, '76980', 'Veules les Roses', '76', 'FR'),
(32422, '76450', 'Veulettes sur Mer', '76', 'FR'),
(32423, '76760', 'Vibeuf', '76', 'FR'),
(32424, '76750', 'Vieux Manoir', '76', 'FR'),
(32425, '76390', 'Vieux Rouen sur Bresle', '76', 'FR'),
(32426, '76160', 'La Vieux Rue', '76', 'FR'),
(32427, '76280', 'Villainville', '76', 'FR'),
(32428, '76490', 'Villequier', '76', 'FR'),
(32429, '76360', 'Villers �calles', '76', 'FR'),
(32430, '76340', 'Villers sous Foucarmont', '76', 'FR'),
(32431, '76260', 'Villy le Bas', '76', 'FR'),
(32432, '76540', 'Vinnemerville', '76', 'FR'),
(32433, '76110', 'Virville', '76', 'FR'),
(32434, '76450', 'Vittefleur', '76', 'FR'),
(32435, '76660', 'Wanchy Capval', '76', 'FR'),
(32436, '76480', 'Yainville', '76', 'FR'),
(32437, '76640', 'Y�bleron', '76', 'FR'),
(32438, '76760', 'Yerville', '76', 'FR'),
(32439, '76520', 'Ymare', '76', 'FR'),
(32440, '76111', 'Yport', '76', 'FR'),
(32441, '76540', 'Ypreville Biville', '76', 'FR'),
(32442, '76690', 'Yquebeuf', '76', 'FR'),
(32443, '76560', 'Yvecrique', '76', 'FR'),
(32444, '76190', 'Yvetot', '76', 'FR'),
(32445, '76530', 'Yville sur Seine', '76', 'FR'),
(32446, '76540', 'Ypreville', '76', 'FR'),
(32447, '76530', 'Les Essarts', '76', 'FR'),
(32448, '76540', 'Les Grandes Dalles', '76', 'FR'),
(32449, '76540', 'Les Petites Dalles', '76', 'FR'),
(32450, '76380', 'Bapeaume les Rouen', '76', 'FR'),
(32451, '77760', 'Ach�res la For�t', '77', 'FR'),
(32452, '77120', 'Amillis', '77', 'FR'),
(32453, '77760', 'Amponville', '77', 'FR'),
(32454, '77390', 'Andrezel', '77', 'FR'),
(32455, '77410', 'Annet sur Marne', '77', 'FR'),
(32456, '77630', 'Arbonne la For�t', '77', 'FR'),
(32457, '77390', 'Argenti�res', '77', 'FR'),
(32458, '77440', 'Armenti�res en Brie', '77', 'FR'),
(32459, '77890', 'Arville', '77', 'FR'),
(32460, '77720', 'Aubepierre Ozouer le Repos', '77', 'FR'),
(32461, '77570', 'Aufferville', '77', 'FR'),
(32462, '77560', 'Augers en Brie', '77', 'FR'),
(32463, '77120', 'Aulnoy', '77', 'FR'),
(32464, '77210', 'Avon', '77', 'FR'),
(32465, '77480', 'Baby', '77', 'FR'),
(32466, '77167', 'Bagneaux sur Loing', '77', 'FR'),
(32467, '77720', 'Bailly Carrois', '77', 'FR'),
(32468, '77700', 'Bailly Romainvilliers', '77', 'FR'),
(32469, '77118', 'Balloy', '77', 'FR'),
(32470, '77970', 'Bannost Villegagnon', '77', 'FR'),
(32471, '77130', 'Barbey', '77', 'FR'),
(32472, '77630', 'Barbizon', '77', 'FR'),
(32473, '77910', 'Barcy', '77', 'FR'),
(32474, '77750', 'Bassevelle', '77', 'FR'),
(32475, '77118', 'Bazoches l�s Bray', '77', 'FR'),
(32476, '77560', 'Beauchery St Martin', '77', 'FR'),
(32477, '77890', 'Beaumont du G�tinais', '77', 'FR'),
(32478, '77120', 'Beautheil', '77', 'FR'),
(32479, '77390', 'Beauvoir', '77', 'FR'),
(32480, '77510', 'Bellot', '77', 'FR'),
(32481, '77540', 'Bernay Vilbert', '77', 'FR'),
(32482, '77320', 'Beton Bazoches', '77', 'FR'),
(32483, '77970', 'B�zalles', '77', 'FR'),
(32484, '77115', 'Blandy', '77', 'FR'),
(32485, '77940', 'Blennes', '77', 'FR'),
(32486, '77970', 'Boisdon', '77', 'FR'),
(32487, '77590', 'Bois le Roi', '77', 'FR'),
(32488, '77350', 'Boissettes', '77', 'FR'),
(32489, '77350', 'Boissise la Bertrand', '77', 'FR'),
(32490, '77310', 'Boissise le Roi', '77', 'FR'),
(32491, '77760', 'Boissy aux Cailles', '77', 'FR'),
(32492, '77169', 'Boissy le Ch�tel', '77', 'FR'),
(32493, '77750', 'Boitron', '77', 'FR'),
(32494, '77720', 'Bombon', '77', 'FR'),
(32495, '77570', 'Bougligny', '77', 'FR'),
(32496, '77760', 'Boulancourt', '77', 'FR'),
(32497, '77580', 'Bouleurs', '77', 'FR'),
(32498, '77780', 'Bourron Marlotte', '77', 'FR'),
(32499, '77470', 'Boutigny', '77', 'FR'),
(32500, '77620', 'Bransles', '77', 'FR'),
(32501, '77480', 'Bray sur Seine', '77', 'FR'),
(32502, '77720', 'Br�au', '77', 'FR'),
(32503, '77170', 'Brie Comte Robert', '77', 'FR'),
(32504, '77940', 'La Brosse Montceaux', '77', 'FR'),
(32505, '77177', 'Brou sur Chantereine', '77', 'FR'),
(32506, '77890', 'Burcy', '77', 'FR'),
(32507, '77750', 'Bussi�res', '77', 'FR'),
(32508, '77600', 'Bussy Saint Georges', '77', 'FR'),
(32509, '77600', 'Bussy Saint Martin', '77', 'FR'),
(32510, '77760', 'Buthiers', '77', 'FR'),
(32511, '77130', 'Cannes Ecluse', '77', 'FR'),
(32512, '77400', 'Carnetin', '77', 'FR'),
(32513, '77515', 'La Celle sur Morin', '77', 'FR'),
(32514, '77670', 'La Celle sur Seine', '77', 'FR'),
(32515, '77930', 'C�ly', '77', 'FR'),
(32516, '77320', 'Cerneux', '77', 'FR'),
(32517, '77240', 'Cesson', '77', 'FR'),
(32518, '77520', 'Cessoy en Montois', '77', 'FR'),
(32519, '77930', 'Chailly en Bi�re', '77', 'FR'),
(32520, '77120', 'Chailly en Brie', '77', 'FR'),
(32521, '77460', 'Chaintreaux', '77', 'FR'),
(32522, '77171', 'Chalautre la Grande', '77', 'FR'),
(32523, '77160', 'Chalautre la Petite', '77', 'FR'),
(32524, '77520', 'Chalautre la Reposte', '77', 'FR'),
(32525, '77144', 'Chalifert', '77', 'FR'),
(32526, '77650', 'Chalmaison', '77', 'FR'),
(32527, '77910', 'Chambry', '77', 'FR'),
(32528, '77260', 'Chamigny', '77', 'FR'),
(32529, '77430', 'Champagne sur Seine', '77', 'FR'),
(32530, '77560', 'Champcenest', '77', 'FR'),
(32531, '77390', 'Champdeuil', '77', 'FR'),
(32532, '77720', 'Champeaux', '77', 'FR'),
(32533, '77420', 'Champs Sur Marne', '77', 'FR'),
(32534, '77660', 'Changis sur Marne', '77', 'FR'),
(32535, '77600', 'Chanteloup en Brie', '77', 'FR'),
(32536, '77720', 'La Chapelle Gauthier', '77', 'FR'),
(32537, '77540', 'La Chapelle Iger', '77', 'FR'),
(32538, '77760', 'La Chapelle la Reine', '77', 'FR'),
(32539, '77370', 'La Chapelle Rablais', '77', 'FR'),
(32540, '77160', 'La Chapelle Saint Sulpice', '77', 'FR'),
(32541, '77610', 'Les Chapelles Bourbon', '77', 'FR'),
(32542, '77580', 'La Chapelle sur Cr�cy', '77', 'FR'),
(32543, '77320', 'Chapelle Moutils', '77', 'FR'),
(32544, '77410', 'Charmentray', '77', 'FR'),
(32545, '77410', 'Charny', '77', 'FR'),
(32546, '77590', 'Chartrettes', '77', 'FR'),
(32547, '77320', 'Chartronges', '77', 'FR'),
(32548, '77370', 'Ch�teaubleau', '77', 'FR'),
(32549, '77570', 'Ch�teau Landon', '77', 'FR'),
(32550, '77820', 'Le Ch�telet en Brie', '77', 'FR'),
(32551, '77126', 'Ch�tenay sur Seine', '77', 'FR'),
(32552, '77167', 'Ch�tenoy', '77', 'FR'),
(32553, '77820', 'Ch�tillon la Borde', '77', 'FR'),
(32554, '77610', 'Ch�tres', '77', 'FR'),
(32555, '77124', 'Chauconin', '77', 'FR'),
(32556, '77169', 'Chauffry', '77', 'FR'),
(32557, '77390', 'Chaumes en Brie', '77', 'FR'),
(32558, '77500', 'Chelles', '77', 'FR'),
(32559, '77160', 'Chenoise', '77', 'FR'),
(32560, '77570', 'Chenou', '77', 'FR'),
(32561, '77700', 'Chessy', '77', 'FR'),
(32562, '77760', 'Chevrainvilliers', '77', 'FR'),
(32563, '77320', 'Chevru', '77', 'FR'),
(32564, '77173', 'Chevry Cossigny', '77', 'FR'),
(32565, '77710', 'Chevry en Sereine', '77', 'FR'),
(32566, '77320', 'Choisy en Brie', '77', 'FR'),
(32567, '77730', 'Citry', '77', 'FR'),
(32568, '77410', 'Claye Souilly', '77', 'FR'),
(32569, '77370', 'Clos Fontaine', '77', 'FR'),
(32570, '77440', 'Cocherel', '77', 'FR'),
(32571, '77090', 'Coll�gien', '77', 'FR'),
(32572, '77380', 'Combs la Ville', '77', 'FR'),
(32573, '77290', 'Compans', '77', 'FR'),
(32574, '77600', 'Conches sur Gondoire', '77', 'FR'),
(32575, '77450', 'Cond� Sainte Libiaire', '77', 'FR'),
(32576, '77440', 'Congis sur Th�rouanne', '77', 'FR'),
(32577, '77170', 'Coubert', '77', 'FR'),
(32578, '77860', 'Couilly Pont aux Dames', '77', 'FR'),
(32579, '77840', 'Coulombs en Valois', '77', 'FR'),
(32580, '77580', 'Coulommes', '77', 'FR'),
(32581, '77120', 'Coulommiers', '77', 'FR'),
(32582, '77700', 'Coupvray', '77', 'FR'),
(32583, '77126', 'Courcelles en Bass�e', '77', 'FR'),
(32584, '77560', 'Courchamp', '77', 'FR'),
(32585, '77540', 'Courpalay', '77', 'FR'),
(32586, '77390', 'Courquetaine', '77', 'FR'),
(32587, '77560', 'Courtacon', '77', 'FR'),
(32588, '77390', 'Courtomer', '77', 'FR'),
(32589, '77181', 'Courtry', '77', 'FR'),
(32590, '77154', 'Couten�on', '77', 'FR'),
(32591, '77580', 'Coutevroult', '77', 'FR'),
(32592, '77580', 'Cr�cy la Chapelle', '77', 'FR'),
(32593, '77124', 'Cr�gy l�s Meaux', '77', 'FR'),
(32594, '77610', 'Cr�vecoeur en Brie', '77', 'FR'),
(32595, '77390', 'Crisenoy', '77', 'FR'),
(32596, '77183', 'Croissy Beaubourg', '77', 'FR'),
(32597, '77370', 'La Croix en Brie', '77', 'FR'),
(32598, '77840', 'Crouy sur Ourcq', '77', 'FR'),
(32599, '77160', 'Cucharmoy', '77', 'FR'),
(32600, '77165', 'Cuisy', '77', 'FR'),
(32601, '77320', 'Dagny', '77', 'FR'),
(32602, '77190', 'Dammarie les Lys', '77', 'FR'),
(32603, '77230', 'Dammartin en Go�le', '77', 'FR'),
(32604, '77163', 'Dammartin sur Tigeaux', '77', 'FR'),
(32605, '77400', 'Dampmart', '77', 'FR'),
(32606, '77140', 'Darvault', '77', 'FR'),
(32607, '77440', 'Dhuisy', '77', 'FR'),
(32608, '77940', 'Diant', '77', 'FR'),
(32609, '77520', 'Donnemarie Dontilly', '77', 'FR'),
(32610, '77130', 'Dormelles', '77', 'FR'),
(32611, '77510', 'Doue', '77', 'FR'),
(32612, '77139', 'Douy la Ram�e', '77', 'FR'),
(32613, '77830', '�chouboulains', '77', 'FR'),
(32614, '77820', 'Les �crennes', '77', 'FR'),
(32615, '77250', '�cuelles', '77', 'FR'),
(32616, '77126', '�gligny', '77', 'FR'),
(32617, '77620', '�greville', '77', 'FR'),
(32618, '77184', '�merainville', '77', 'FR'),
(32619, '77250', '�pisy', '77', 'FR'),
(32620, '77450', 'Esbly', '77', 'FR'),
(32621, '77940', 'Esmans', '77', 'FR'),
(32622, '77139', '�tr�pilly', '77', 'FR'),
(32623, '77157', '�verly', '77', 'FR'),
(32624, '77166', 'Evry Gr�gy sur Yerre', '77', 'FR'),
(32625, '77515', 'Faremoutiers', '77', 'FR'),
(32626, '77220', 'Favi�res', '77', 'FR'),
(32627, '77167', 'Fay l�s Nemours', '77', 'FR'),
(32628, '77133', 'F�ricy', '77', 'FR'),
(32629, '77150', 'F�rolles Attilly', '77', 'FR'),
(32630, '77164', 'Ferri�res', '77', 'FR'),
(32631, '77320', 'La Fert� Gaucher', '77', 'FR'),
(32632, '77260', 'La Fert� sous Jouarre', '77', 'FR'),
(32633, '77940', 'Flagy', '77', 'FR'),
(32634, '77930', 'Fleury en Bi�re', '77', 'FR'),
(32635, '77300', 'Fontainebleau', '77', 'FR'),
(32636, '77480', 'Fontaine Fourches', '77', 'FR'),
(32637, '77590', 'Fontaine le Port', '77', 'FR'),
(32638, '77370', 'Fontains', '77', 'FR'),
(32639, '77370', 'Fontenailles', '77', 'FR'),
(32640, '77610', 'Fontenay Tr�signy', '77', 'FR'),
(32641, '77165', 'Forfry', '77', 'FR'),
(32642, '77130', 'Forges', '77', 'FR'),
(32643, '77390', 'Fouju', '77', 'FR'),
(32644, '77410', 'Fresnes sur Marne', '77', 'FR'),
(32645, '77320', 'Fr�toy', '77', 'FR'),
(32646, '77760', 'Fromont', '77', 'FR'),
(32647, '77470', 'Fublaines', '77', 'FR'),
(32648, '77890', 'Garentreville', '77', 'FR'),
(32649, '77370', 'Gastins', '77', 'FR'),
(32650, '77690', 'La Genevraye', '77', 'FR'),
(32651, '77910', 'Germigny l''Ev�que', '77', 'FR'),
(32652, '77840', 'Germigny sous Coulombs', '77', 'FR'),
(32653, '77165', 'Gesvres le Chapitre', '77', 'FR'),
(32654, '77120', 'Giremoutiers', '77', 'FR'),
(32655, '77890', 'Gironville', '77', 'FR'),
(32656, '77114', 'Gouaix', '77', 'FR'),
(32657, '77400', 'Gouvernes', '77', 'FR'),
(32658, '77130', 'La Grande Paroisse', '77', 'FR'),
(32659, '77720', 'Grandpuits Bailly Carrois', '77', 'FR'),
(32660, '77118', 'Gravon', '77', 'FR'),
(32661, '77410', 'Gressy', '77', 'FR'),
(32662, '77220', 'Gretz Armainvilliers', '77', 'FR'),
(32663, '77880', 'Grez sur Loing', '77', 'FR'),
(32664, '77166', 'Grisy Suisnes', '77', 'FR'),
(32665, '77480', 'Grisy sur Seine', '77', 'FR'),
(32666, '77580', 'Gu�rard', '77', 'FR'),
(32667, '77760', 'Guercheville', '77', 'FR'),
(32668, '77600', 'Guermantes', '77', 'FR'),
(32669, '77390', 'Guignes', '77', 'FR'),
(32670, '77520', 'Gurcy le Ch�tel', '77', 'FR'),
(32671, '77515', 'Hautefeuille', '77', 'FR'),
(32672, '77580', 'La Haute Maison', '77', 'FR'),
(32673, '77850', 'H�ricy', '77', 'FR'),
(32674, '77114', 'Herm�', '77', 'FR'),
(32675, '77510', 'Hondevilliers', '77', 'FR'),
(32676, '77610', 'La Houssaye en Brie', '77', 'FR'),
(32677, '77890', 'Ichy', '77', 'FR'),
(32678, '77440', 'Isles les Meldeuses', '77', 'FR'),
(32679, '77450', 'Isles l�s Villenoy', '77', 'FR'),
(32680, '77165', 'Iverny', '77', 'FR'),
(32681, '77450', 'Jablines', '77', 'FR'),
(32682, '77440', 'Jaignes', '77', 'FR'),
(32683, '77480', 'Jaulnes', '77', 'FR'),
(32684, '77600', 'Jossigny', '77', 'FR'),
(32685, '77640', 'Jouarre', '77', 'FR'),
(32686, '77970', 'Jouy le Ch�tel', '77', 'FR'),
(32687, '77320', 'Jouy sur Morin', '77', 'FR'),
(32688, '77230', 'Juilly', '77', 'FR'),
(32689, '77650', 'Jutigny', '77', 'FR'),
(32690, '77400', 'Lagny sur Marne', '77', 'FR'),
(32691, '77760', 'Larchant', '77', 'FR'),
(32692, '77148', 'Laval en Brie', '77', 'FR'),
(32693, '77171', 'L�chelle', '77', 'FR'),
(32694, '77320', 'Lescherolles', '77', 'FR'),
(32695, '77450', 'Lesches', '77', 'FR'),
(32696, '77150', 'L�signy', '77', 'FR'),
(32697, '77320', 'Leudon en Brie', '77', 'FR'),
(32698, '77127', 'Lieusaint', '77', 'FR'),
(32699, '77550', 'Limoges Fourches', '77', 'FR'),
(32700, '77550', 'Lissy', '77', 'FR'),
(32701, '77220', 'Liverdy en Brie', '77', 'FR'),
(32702, '77000', 'Livry sur Seine', '77', 'FR'),
(32703, '77650', 'Lizines', '77', 'FR'),
(32704, '77440', 'Lizy sur Ourcq', '77', 'FR'),
(32705, '77185', 'Lognes', '77', 'FR'),
(32706, '77230', 'Longperrier', '77', 'FR'),
(32707, '77650', 'Longueville', '77', 'FR'),
(32708, '77710', 'Lorrez le Bocage Pr�aux', '77', 'FR'),
(32709, '77560', 'Louan Villegruis Fontaine', '77', 'FR'),
(32710, '77520', 'Luisetaines', '77', 'FR'),
(32711, '77540', 'Lumigny Nesles Ormeaux', '77', 'FR'),
(32712, '77138', 'Luzancy', '77', 'FR'),
(32713, '77133', 'Machault', '77', 'FR'),
(32714, '77570', 'La Madeleine sur Loing', '77', 'FR'),
(32715, '77700', 'Magny le Hongre', '77', 'FR'),
(32716, '77950', 'Maincy', '77', 'FR'),
(32717, '77580', 'Maisoncelles en Brie', '77', 'FR'),
(32718, '77570', 'Maisoncelles en G�tinais', '77', 'FR'),
(32719, '77370', 'Maison Rouge', '77', 'FR'),
(32720, '77230', 'March�moret', '77', 'FR'),
(32721, '77139', 'Marcilly', '77', 'FR'),
(32722, '77560', 'Les Marets', '77', 'FR'),
(32723, '77100', 'Mareuil l�s Meaux', '77', 'FR'),
(32724, '77610', 'Marles en Brie', '77', 'FR'),
(32725, '77120', 'Marolles en Brie', '77', 'FR'),
(32726, '77130', 'Marolles sur Seine', '77', 'FR'),
(32727, '77440', 'Mary sur Marne', '77', 'FR'),
(32728, '77120', 'Mauperthuis', '77', 'FR'),
(32729, '77990', 'Mauregard', '77', 'FR'),
(32730, '77145', 'May en Multien', '77', 'FR'),
(32731, '77100', 'Meaux', '77', 'FR'),
(32732, '77350', 'Le M�e sur Seine', '77', 'FR'),
(32733, '77520', 'Meigneux', '77', 'FR'),
(32734, '77320', 'Meilleray', '77', 'FR'),
(32735, '77000', 'Melun', '77', 'FR'),
(32736, '77171', 'Melz sur Seine', '77', 'FR'),
(32737, '77730', 'M�ry sur Marne', '77', 'FR'),
(32738, '77990', 'Le Mesnil Amelot', '77', 'FR'),
(32739, '77410', 'Messy', '77', 'FR'),
(32740, '77130', 'Misy sur Yonne', '77', 'FR'),
(32741, '77290', 'Mitry Mory', '77', 'FR'),
(32742, '77950', 'Moisenay', '77', 'FR'),
(32743, '77550', 'Moissy Cramayel', '77', 'FR'),
(32744, '77570', 'Mondreville', '77', 'FR'),
(32745, '77520', 'Mons en Montois', '77', 'FR'),
(32746, '77250', 'Montarlot', '77', 'FR'),
(32747, '77470', 'Montceaux l�s Meaux', '77', 'FR'),
(32748, '77151', 'Montceaux l�s Provins', '77', 'FR'),
(32749, '77140', 'Montcourt Fromonville', '77', 'FR'),
(32750, '77320', 'Montdauphin', '77', 'FR'),
(32751, '77320', 'Montenils', '77', 'FR'),
(32752, '77130', 'Montereau faut Yonne', '77', 'FR'),
(32753, '77950', 'Montereau sur le Jard', '77', 'FR'),
(32754, '77144', 'Mont�vrain', '77', 'FR'),
(32755, '77230', 'Montg� en Go�le', '77', 'FR'),
(32756, '77122', 'Monthyon', '77', 'FR'),
(32757, '77480', 'Montigny le Guesdier', '77', 'FR'),
(32758, '77520', 'Montigny Lencoup', '77', 'FR'),
(32759, '77690', 'Montigny sur Loing', '77', 'FR'),
(32760, '77940', 'Montmachoux', '77', 'FR'),
(32761, '77320', 'Montolivet', '77', 'FR'),
(32762, '77450', 'Montry', '77', 'FR'),
(32763, '77250', 'Moret sur Loing', '77', 'FR'),
(32764, '77720', 'Mormant', '77', 'FR'),
(32765, '77163', 'Mortcerf', '77', 'FR'),
(32766, '77160', 'Mortery', '77', 'FR'),
(32767, '77120', 'Mouroux', '77', 'FR'),
(32768, '77480', 'Mousseaux l�s Bray', '77', 'FR'),
(32769, '77230', 'Moussy le Neuf', '77', 'FR'),
(32770, '77230', 'Moussy le Vieux', '77', 'FR'),
(32771, '77320', 'Moutils', '77', 'FR'),
(32772, '77480', 'Mouy sur Seine', '77', 'FR'),
(32773, '77176', 'Nandy', '77', 'FR'),
(32774, '77370', 'Nangis', '77', 'FR'),
(32775, '77760', 'Nanteau sur Essonnes', '77', 'FR'),
(32776, '77710', 'Nanteau sur Lunain', '77', 'FR'),
(32777, '77100', 'Nanteuil l�s Meaux', '77', 'FR'),
(32778, '77730', 'Nanteuil sur Marne', '77', 'FR'),
(32779, '77230', 'Nantouillet', '77', 'FR'),
(32780, '77140', 'Nemours', '77', 'FR'),
(32781, '77540', 'Nesles la Gilberde', '77', 'FR'),
(32782, '77124', 'Chauconin Neufmontiers', '77', 'FR'),
(32783, '77610', 'Neufmoutiers en Brie', '77', 'FR'),
(32784, '77186', 'Noisiel', '77', 'FR'),
(32785, '77940', 'Noisy Rudignon', '77', 'FR'),
(32786, '77123', 'Noisy sur �cole', '77', 'FR'),
(32787, '77140', 'Nonville', '77', 'FR'),
(32788, '77114', 'Noyen sur Seine', '77', 'FR'),
(32789, '77890', 'Obsonville', '77', 'FR'),
(32790, '77440', 'Ocquerre', '77', 'FR'),
(32791, '77178', 'Oissery', '77', 'FR'),
(32792, '77750', 'Orly sur Morin', '77', 'FR'),
(32793, '77540', 'Ormeaux', '77', 'FR'),
(32794, '77134', 'Les Ormes sur Voulzie', '77', 'FR'),
(32795, '77167', 'Ormesson', '77', 'FR'),
(32796, '77280', 'Othis', '77', 'FR'),
(32797, '77330', 'Ozoir la Ferri�re', '77', 'FR'),
(32798, '77720', 'Ozouer le Repos', '77', 'FR'),
(32799, '77390', 'Ozouer le Voulgis', '77', 'FR'),
(32800, '77710', 'Paley', '77', 'FR'),
(32801, '77830', 'Pamfou', '77', 'FR'),
(32802, '77520', 'Paroy', '77', 'FR'),
(32803, '77480', 'Passy sur Seine', '77', 'FR'),
(32804, '77970', 'P�cy', '77', 'FR'),
(32805, '77124', 'Penchard', '77', 'FR'),
(32806, '77930', 'Perthes', '77', 'FR'),
(32807, '77131', 'P�zarches', '77', 'FR'),
(32808, '77580', 'Pierre Lev�e', '77', 'FR'),
(32809, '77181', 'Le Pin', '77', 'FR'),
(32810, '77165', 'Le Plessis aux Bois', '77', 'FR'),
(32811, '77540', 'Le Plessis Feu Aussoux', '77', 'FR'),
(32812, '77165', 'Le Plessis l''Ev�que', '77', 'FR'),
(32813, '77440', 'Le Plessis Placy', '77', 'FR'),
(32814, '77160', 'Poigny', '77', 'FR'),
(32815, '77470', 'Poincy', '77', 'FR'),
(32816, '77167', 'Poligny', '77', 'FR'),
(32817, '77515', 'Pommeuse', '77', 'FR'),
(32818, '77400', 'Pomponne', '77', 'FR'),
(32819, '77340', 'Pontault Combault', '77', 'FR'),
(32820, '77135', 'Pontcarr�', '77', 'FR'),
(32821, '77710', 'Pr�aux', '77', 'FR'),
(32822, '77410', 'Pr�cy sur Marne', '77', 'FR'),
(32823, '77220', 'Presles en Brie', '77', 'FR'),
(32824, '77310', 'Pringy', '77', 'FR'),
(32825, '77160', 'Provins', '77', 'FR'),
(32826, '77139', 'Puisieux', '77', 'FR'),
(32827, '77720', 'Quiers', '77', 'FR'),
(32828, '77860', 'Quincy Voisins', '77', 'FR'),
(32829, '77370', 'Rampillon', '77', 'FR'),
(32830, '77550', 'R�au', '77', 'FR'),
(32831, '77510', 'Rebais', '77', 'FR'),
(32832, '77760', 'Recloses', '77', 'FR'),
(32833, '77710', 'Remauville', '77', 'FR'),
(32834, '77260', 'Reuil en Brie', '77', 'FR'),
(32835, '77000', 'La Rochette', '77', 'FR'),
(32836, '77680', 'Roissy en Brie', '77', 'FR'),
(32837, '77160', 'Rouilly', '77', 'FR'),
(32838, '77230', 'Rouvres', '77', 'FR'),
(32839, '77540', 'Rozay en Brie', '77', 'FR'),
(32840, '77950', 'Rubelles', '77', 'FR'),
(32841, '77760', 'Rumont', '77', 'FR'),
(32842, '77560', 'Rup�reux', '77', 'FR'),
(32843, '77730', 'Sa�cy sur Marne', '77', 'FR'),
(32844, '77510', 'Sablonni�res', '77', 'FR'),
(32845, '77710', 'St Ange le Viel', '77', 'FR'),
(32846, '77515', 'Saint Augustin', '77', 'FR'),
(32847, '77260', 'Ste Aulde', '77', 'FR'),
(32848, '77320', 'Saint Barth�lemy', '77', 'FR'),
(32849, '77160', 'Saint Brice', '77', 'FR'),
(32850, '77650', 'Sainte Colombe', '77', 'FR'),
(32851, '77750', 'Saint Cyr sur Morin', '77', 'FR'),
(32852, '77510', 'Saint Denis l�s Rebais', '77', 'FR'),
(32853, '77310', 'St Fargeau Ponthierry', '77', 'FR'),
(32854, '77470', 'Saint Fiacre', '77', 'FR'),
(32855, '77130', 'Saint Germain Laval', '77', 'FR'),
(32856, '77950', 'Saint Germain Laxis', '77', 'FR'),
(32857, '77169', 'Saint Germain sous Doue', '77', 'FR'),
(32858, '77930', 'Saint Germain sur �cole', '77', 'FR'),
(32859, '77860', 'Saint Germain sur Morin', '77', 'FR'),
(32860, '77160', 'Saint Hilliers', '77', 'FR'),
(32861, '77660', 'Saint Jean les Deux Jumeaux', '77', 'FR'),
(32862, '77370', 'Saint Just en Brie', '77', 'FR'),
(32863, '77510', 'Saint L�ger', '77', 'FR'),
(32864, '77650', 'Saint Loup de Naud', '77', 'FR'),
(32865, '77670', 'Saint Mamm�s', '77', 'FR'),
(32866, '77230', 'Saint Mard', '77', 'FR'),
(32867, '77320', 'St Mars Vieux Maisons', '77', 'FR'),
(32868, '77560', 'Saint Martin Chennetron', '77', 'FR'),
(32869, '77320', 'St Martin des Champs', '77', 'FR'),
(32870, '77320', 'Saint Martin du Boschet', '77', 'FR'),
(32871, '77630', 'Saint Martin en Bi�re', '77', 'FR'),
(32872, '77720', 'Saint M�ry', '77', 'FR'),
(32873, '77410', 'Saint Mesmes', '77', 'FR'),
(32874, '77720', 'Saint Ouen en Brie', '77', 'FR'),
(32875, '77750', 'Saint Ouen sur Morin', '77', 'FR'),
(32876, '77178', 'Saint Pathus', '77', 'FR'),
(32877, '77140', 'Saint Pierre l�s Nemours', '77', 'FR'),
(32878, '77320', 'St R�my la Vanne', '77', 'FR'),
(32879, '77120', 'Saints', '77', 'FR'),
(32880, '77480', 'Saint Sauveur l�s Bray', '77', 'FR'),
(32881, '77930', 'Saint Sauveur sur �cole', '77', 'FR'),
(32882, '77169', 'Saint Sim�on', '77', 'FR'),
(32883, '77165', 'Saint Soupplets', '77', 'FR'),
(32884, '77400', 'Saint Thibault des Vignes', '77', 'FR'),
(32885, '77148', 'Salins', '77', 'FR'),
(32886, '77260', 'Sammeron', '77', 'FR'),
(32887, '77920', 'Samois sur Seine', '77', 'FR'),
(32888, '77210', 'Samoreau', '77', 'FR'),
(32889, '77580', 'Sancy', '77', 'FR'),
(32890, '77320', 'Sancy l�s Provins', '77', 'FR'),
(32891, '77176', 'Savigny le Temple', '77', 'FR'),
(32892, '77650', 'Savins', '77', 'FR'),
(32893, '77240', 'Seine Port', '77', 'FR'),
(32894, '77260', 'Sept Sorts', '77', 'FR'),
(32895, '77700', 'Serris', '77', 'FR'),
(32896, '77170', 'Servon', '77', 'FR'),
(32897, '77640', 'Signy Signets', '77', 'FR'),
(32898, '77520', 'Sigy', '77', 'FR'),
(32899, '77115', 'Sivry Courtry', '77', 'FR'),
(32900, '77520', 'Sognolles en Montois', '77', 'FR'),
(32901, '77111', 'Soignolles en Brie', '77', 'FR'),
(32902, '77650', 'Soisy Bouy', '77', 'FR'),
(32903, '77111', 'Solers', '77', 'FR'),
(32904, '77460', 'Souppes sur Loing', '77', 'FR'),
(32905, '77171', 'Sourdun', '77', 'FR'),
(32906, '77440', 'Tancrou', '77', 'FR'),
(32907, '77520', 'Th�nisy', '77', 'FR'),
(32908, '77230', 'Thieux', '77', 'FR'),
(32909, '77810', 'Thomery', '77', 'FR'),
(32910, '77400', 'Thorigny sur Marne', '77', 'FR'),
(32911, '77156', 'Thoury F�rottes', '77', 'FR'),
(32912, '77163', 'Tigeaux', '77', 'FR'),
(32913, '77130', 'La Tombe', '77', 'FR'),
(32914, '77200', 'Torcy', '77', 'FR'),
(32915, '77131', 'Touquin', '77', 'FR'),
(32916, '77220', 'Tournan en Brie', '77', 'FR'),
(32917, '77123', 'Tousson', '77', 'FR'),
(32918, '77510', 'La Tr�toire', '77', 'FR'),
(32919, '77710', 'Treuzy Levelay', '77', 'FR'),
(32920, '77450', 'Trilbardou', '77', 'FR'),
(32921, '77470', 'Trilport', '77', 'FR'),
(32922, '77440', 'Trocy en Multien', '77', 'FR'),
(32923, '77760', 'Ury', '77', 'FR'),
(32924, '77260', 'Ussy sur Marne', '77', 'FR'),
(32925, '77360', 'Vaires sur Marne', '77', 'FR'),
(32926, '77830', 'Valence en Brie', '77', 'FR'),
(32927, '77370', 'Vanvill�', '77', 'FR'),
(32928, '77130', 'Varennes sur Seine', '77', 'FR'),
(32929, '77910', 'Varreddes', '77', 'FR'),
(32930, '77580', 'Vaucourtois', '77', 'FR'),
(32931, '77123', 'Le Vaudou�', '77', 'FR'),
(32932, '77141', 'Vaudoy en Brie', '77', 'FR'),
(32933, '77000', 'Vaux le P�nil', '77', 'FR'),
(32934, '77710', 'Vaux sur Lunain', '77', 'FR'),
(32935, '77440', 'Vendrest', '77', 'FR'),
(32936, '77250', 'Veneux les Sablons', '77', 'FR'),
(32937, '77510', 'Verdelot', '77', 'FR'),
(32938, '77390', 'Verneuil l''�tang', '77', 'FR'),
(32939, '77670', 'Vernou la Celle sur Seine', '77', 'FR'),
(32940, '77240', 'Vert Saint Denis', '77', 'FR'),
(32941, '77370', 'Vieux Champagne', '77', 'FR'),
(32942, '77320', 'Saint Mars Vieux Maisons', '77', 'FR'),
(32943, '77450', 'Vignely', '77', 'FR'),
(32944, '77540', 'Vilbert', '77', 'FR'),
(32945, '77710', 'Villeb�on', '77', 'FR'),
(32946, '77250', 'Villecerf', '77', 'FR'),
(32947, '77970', 'Villegagnon', '77', 'FR'),
(32948, '77560', 'Villegruis', '77', 'FR'),
(32949, '77710', 'Villemar�chal', '77', 'FR'),
(32950, '77470', 'Villemareuil', '77', 'FR'),
(32951, '77250', 'Villemer', '77', 'FR'),
(32952, '77480', 'Villenauxe la Petite', '77', 'FR'),
(32953, '77174', 'Villeneuve le Comte', '77', 'FR'),
(32954, '77154', 'Villeneuve les Bordes', '77', 'FR'),
(32955, '77174', 'Villeneuve Saint Denis', '77', 'FR'),
(32956, '77230', 'Villeneuve sous Dammartin', '77', 'FR'),
(32957, '77510', 'Villeneuve sur Bellot', '77', 'FR'),
(32958, '77124', 'Villenoy', '77', 'FR'),
(32959, '77270', 'Villeparisis', '77', 'FR'),
(32960, '77410', 'Villeroy', '77', 'FR'),
(32961, '77130', 'Ville Saint Jacques', '77', 'FR'),
(32962, '77410', 'Villevaud�', '77', 'FR'),
(32963, '77190', 'Villiers en Bi�re', '77', 'FR'),
(32964, '77560', 'Villiers Saint Georges', '77', 'FR'),
(32965, '77760', 'Villiers sous Grez', '77', 'FR'),
(32966, '77580', 'Villiers sur Morin', '77', 'FR'),
(32967, '77114', 'Villiers sur Seine', '77', 'FR'),
(32968, '77480', 'Villuis', '77', 'FR'),
(32969, '77520', 'Vimpelles', '77', 'FR'),
(32970, '77230', 'Vinantes', '77', 'FR'),
(32971, '77139', 'Vincy Manoeuvre', '77', 'FR'),
(32972, '77540', 'Voinsles', '77', 'FR'),
(32973, '77950', 'Voisenon', '77', 'FR'),
(32974, '77580', 'Voulangis', '77', 'FR'),
(32975, '77560', 'Voulton', '77', 'FR'),
(32976, '77940', 'Voulx', '77', 'FR'),
(32977, '77160', 'Vulaines l�s Provins', '77', 'FR'),
(32978, '77870', 'Vulaines sur Seine', '77', 'FR'),
(32979, '77390', 'Y�bles', '77', 'FR'),
(32980, '77310', 'Ponthierry', '77', 'FR'),
(32981, '77500', 'Chantereine', '77', 'FR'),
(32982, '77340', 'Le Pav� de Pontault', '77', 'FR'),
(32983, '77173', 'Cossigny', '77', 'FR'),
(32984, '77166', 'Suisnes', '77', 'FR'),
(32985, '77124', 'Neufmontiers l�s Meaux', '77', 'FR'),
(32986, '78660', 'Ablis', '78', 'FR'),
(32987, '78260', 'Ach�res', '78', 'FR'),
(32988, '78113', 'Adainville', '78', 'FR'),
(32989, '78240', 'Aigremont', '78', 'FR'),
(32990, '78660', 'Allainville aux Bois', '78', 'FR'),
(32991, '78580', 'Les Alluets le Roi', '78', 'FR'),
(32992, '78770', 'Andelu', '78', 'FR'),
(32993, '78570', 'Andr�sy', '78', 'FR'),
(32994, '78790', 'Arnouville l�s Mantes', '78', 'FR'),
(32995, '78410', 'Aubergenville', '78', 'FR'),
(32996, '78610', 'Auffargis', '78', 'FR'),
(32997, '78930', 'Auffreville Brasseuil', '78', 'FR'),
(32998, '78126', 'Aulnay sur Mauldre', '78', 'FR'),
(32999, '78770', 'Auteuil', '78', 'FR'),
(33000, '78770', 'Autouillet', '78', 'FR'),
(33001, '78870', 'Bailly', '78', 'FR'),
(33002, '78550', 'Bazainville', '78', 'FR'),
(33003, '78580', 'Bazemont', '78', 'FR'),
(33004, '78490', 'Bazoches sur Guyonne', '78', 'FR'),
(33005, '78910', 'B�houst', '78', 'FR'),
(33006, '78270', 'Bennecourt', '78', 'FR'),
(33007, '78650', 'Beynes', '78', 'FR'),
(33008, '78270', 'Blaru', '78', 'FR'),
(33009, '78930', 'Boinville en Mantois', '78', 'FR'),
(33010, '78660', 'Boinville le Gaillard', '78', 'FR'),
(33011, '78200', 'Boinvilliers', '78', 'FR'),
(33012, '78390', 'Bois d''Arcy', '78', 'FR'),
(33013, '78910', 'Boissets', '78', 'FR'),
(33014, '78125', 'La Boissi�re �cole', '78', 'FR'),
(33015, '78200', 'Boissy Mauvoisin', '78', 'FR'),
(33016, '78490', 'Boissy sans Avoir', '78', 'FR'),
(33017, '78830', 'Bonnelles', '78', 'FR'),
(33018, '78270', 'Bonni�res sur Seine', '78', 'FR'),
(33019, '78410', 'Bouafle', '78', 'FR'),
(33020, '78380', 'Bougival', '78', 'FR'),
(33021, '78113', 'Bourdonn�', '78', 'FR'),
(33022, '78930', 'Breuil Bois Robert', '78', 'FR'),
(33023, '78980', 'Br�val', '78', 'FR'),
(33024, '78610', 'Les Br�viaires', '78', 'FR'),
(33025, '78440', 'Brueil en Vexin', '78', 'FR'),
(33026, '78530', 'Buc', '78', 'FR'),
(33027, '78200', 'Buchelay', '78', 'FR'),
(33028, '78830', 'Bullion', '78', 'FR'),
(33029, '78955', 'Carri�res sous Poissy', '78', 'FR'),
(33030, '78420', 'Carri�res sur Seine', '78', 'FR'),
(33031, '78720', 'La Celle les Bordes', '78', 'FR'),
(33032, '78170', 'La Celle Saint Cloud', '78', 'FR'),
(33033, '78720', 'Cernay la Ville', '78', 'FR'),
(33034, '78240', 'Chambourcy', '78', 'FR'),
(33035, '78570', 'Chanteloup les Vignes', '78', 'FR'),
(33036, '78130', 'Chapet', '78', 'FR'),
(33037, '78117', 'Ch�teaufort', '78', 'FR'),
(33038, '78400', 'Chatou', '78', 'FR'),
(33039, '78270', 'Chaufour l�s Bonni�res', '78', 'FR'),
(33040, '78450', 'Chavenay', '78', 'FR'),
(33041, '78150', 'Le Chesnay', '78', 'FR'),
(33042, '78460', 'Chevreuse', '78', 'FR'),
(33043, '78460', 'Choisel', '78', 'FR'),
(33044, '78910', 'Civry la For�t', '78', 'FR'),
(33045, '78120', 'Clairefontaine en Yvelines', '78', 'FR'),
(33046, '78340', 'Les Clayes sous Bois', '78', 'FR'),
(33047, '78310', 'Coigni�res', '78', 'FR'),
(33048, '78113', 'Cond� sur Vesgre', '78', 'FR'),
(33049, '78700', 'Conflans Sainte Honorine', '78', 'FR'),
(33050, '78790', 'Courgent', '78', 'FR'),
(33051, '78660', 'Craches', '78', 'FR'),
(33052, '78270', 'Cravent', '78', 'FR'),
(33053, '78121', 'Crespi�res', '78', 'FR'),
(33054, '78290', 'Croissy sur Seine', '78', 'FR'),
(33055, '78111', 'Dammartin en Serve', '78', 'FR'),
(33056, '78720', 'Dampierre en Yvelines', '78', 'FR'),
(33057, '78550', 'Dannemarie', '78', 'FR'),
(33058, '78810', 'Davron', '78', 'FR'),
(33059, '78440', 'Drocourt', '78', 'FR'),
(33060, '78920', 'Ecquevilly', '78', 'FR'),
(33061, '78990', '�lancourt', '78', 'FR'),
(33062, '78125', '�manc�', '78', 'FR'),
(33063, '78680', '�p�ne', '78', 'FR'),
(33064, '78690', 'Les Essarts le Roi', '78', 'FR'),
(33065, '78620', 'L''�tang la Ville', '78', 'FR'),
(33066, '78740', '�vecquemont', '78', 'FR'),
(33067, '78410', 'La Falaise', '78', 'FR'),
(33068, '78200', 'Favrieux', '78', 'FR'),
(33069, '78810', 'Feucherolles', '78', 'FR'),
(33070, '78200', 'Flacourt', '78', 'FR'),
(33071, '78910', 'Flexanville', '78', 'FR'),
(33072, '78790', 'Flins Neuve �glise', '78', 'FR'),
(33073, '78410', 'Flins sur Seine', '78', 'FR'),
(33074, '78520', 'Follainville Dennemont', '78', 'FR'),
(33075, '78330', 'Fontenay le Fleury', '78', 'FR'),
(33076, '78200', 'Fontenay Mauvoisin', '78', 'FR'),
(33077, '78440', 'Fontenay Saint P�re', '78', 'FR'),
(33078, '78112', 'Fourqueux', '78', 'FR'),
(33079, '78840', 'Freneuse', '78', 'FR'),
(33080, '78250', 'Gaillon sur Montcient', '78', 'FR'),
(33081, '78490', 'Galluis', '78', 'FR'),
(33082, '78950', 'Gambais', '78', 'FR'),
(33083, '78490', 'Gambaiseuil', '78', 'FR'),
(33084, '78890', 'Garanci�res', '78', 'FR'),
(33085, '78440', 'Gargenville', '78', 'FR'),
(33086, '78125', 'Gazeran', '78', 'FR'),
(33087, '78270', 'Gomm�court', '78', 'FR'),
(33088, '78770', 'Goupilli�res', '78', 'FR'),
(33089, '78930', 'Goussonville', '78', 'FR'),
(33090, '78113', 'Grandchamp', '78', 'FR'),
(33091, '78550', 'Gressey', '78', 'FR'),
(33092, '78490', 'Grosrouvre', '78', 'FR'),
(33093, '78520', 'Guernes', '78', 'FR'),
(33094, '78930', 'Guerville', '78', 'FR'),
(33095, '78440', 'Guitrancourt', '78', 'FR'),
(33096, '78280', 'Guyancourt', '78', 'FR'),
(33097, '78250', 'Hardricourt', '78', 'FR'),
(33098, '78790', 'Hargeville', '78', 'FR'),
(33099, '78113', 'La Hauteville', '78', 'FR'),
(33100, '78580', 'Herbeville', '78', 'FR'),
(33101, '78125', 'Hermeray', '78', 'FR'),
(33102, '78550', 'Houdan', '78', 'FR'),
(33103, '78800', 'Houilles', '78', 'FR'),
(33104, '78440', 'Issou', '78', 'FR'),
(33105, '78440', 'Jambville', '78', 'FR'),
(33106, '78270', 'Jeufosse', '78', 'FR'),
(33107, '78760', 'Jouars Pontchartrain', '78', 'FR'),
(33108, '78350', 'Jouy en Josas', '78', 'FR'),
(33109, '78200', 'Jouy Mauvoisin', '78', 'FR'),
(33110, '78580', 'Jumeauville', '78', 'FR'),
(33111, '78820', 'Juziers', '78', 'FR'),
(33112, '78440', 'Lainville', '78', 'FR'),
(33113, '78320', 'L�vis Saint Nom', '78', 'FR'),
(33114, '78520', 'Limay', '78', 'FR'),
(33115, '78270', 'Limetz Villez', '78', 'FR'),
(33116, '78350', 'Les Loges en Josas', '78', 'FR'),
(33117, '78270', 'Lommoye', '78', 'FR'),
(33118, '78980', 'Longnes', '78', 'FR'),
(33119, '78730', 'Longvilliers', '78', 'FR'),
(33120, '78430', 'Louveciennes', '78', 'FR'),
(33121, '78200', 'Magnanville', '78', 'FR'),
(33122, '78114', 'Magny les Hameaux', '78', 'FR'),
(33123, '78720', 'Maincourt sur Yvette', '78', 'FR'),
(33124, '78600', 'Maisons Laffitte', '78', 'FR'),
(33125, '78200', 'Mantes la Jolie', '78', 'FR'),
(33126, '78200', 'Mantes la Ville', '78', 'FR'),
(33127, '78770', 'Marcq', '78', 'FR'),
(33128, '78490', 'Mareil le Guyon', '78', 'FR'),
(33129, '78750', 'Mareil Marly', '78', 'FR'),
(33130, '78124', 'Mareil sur Mauldre', '78', 'FR'),
(33131, '78160', 'Marly le Roi', '78', 'FR'),
(33132, '78580', 'Maule', '78', 'FR'),
(33133, '78550', 'Maulette', '78', 'FR'),
(33134, '78780', 'Maurecourt', '78', 'FR'),
(33135, '78310', 'Maurepas', '78', 'FR'),
(33136, '78670', 'M�dan', '78', 'FR'),
(33137, '78200', 'M�nerville', '78', 'FR'),
(33138, '78490', 'M�r�', '78', 'FR'),
(33139, '78270', 'M�ricourt', '78', 'FR'),
(33140, '78600', 'Le Mesnil le Roi', '78', 'FR'),
(33141, '78320', 'Le Mesnil Saint Denis', '78', 'FR'),
(33142, '78490', 'Les Mesnuls', '78', 'FR'),
(33143, '78250', 'Meulan', '78', 'FR'),
(33144, '78970', 'M�zi�res sur Seine', '78', 'FR'),
(33145, '78250', 'M�zy sur Seine', '78', 'FR'),
(33146, '78940', 'Millemont', '78', 'FR'),
(33147, '78470', 'Milon la Chapelle', '78', 'FR'),
(33148, '78125', 'Mittainville', '78', 'FR'),
(33149, '78840', 'Moisson', '78', 'FR'),
(33150, '78980', 'Mondreville', '78', 'FR'),
(33151, '78124', 'Montainville', '78', 'FR'),
(33152, '78440', 'Montalet le Bois', '78', 'FR'),
(33153, '78790', 'Montchauvet', '78', 'FR'),
(33154, '78360', 'Montesson', '78', 'FR'),
(33155, '78490', 'Montfort l''Amaury', '78', 'FR'),
(33156, '78180', 'Montigny le Bretonneux', '78', 'FR'),
(33157, '78630', 'Morainvilliers', '78', 'FR'),
(33158, '78270', 'Mousseaux sur Seine', '78', 'FR'),
(33159, '78790', 'Mulcent', '78', 'FR'),
(33160, '78130', 'Les Mureaux', '78', 'FR'),
(33161, '78640', 'Neauphle le Ch�teau', '78', 'FR'),
(33162, '78640', 'Neauphle le Vieux', '78', 'FR'),
(33163, '78980', 'Neauphlette', '78', 'FR'),
(33164, '78410', 'N�zel', '78', 'FR'),
(33165, '78590', 'Noisy le Roi', '78', 'FR'),
(33166, '78250', 'Oinville sur Montcient', '78', 'FR'),
(33167, '78125', 'Orcemont', '78', 'FR'),
(33168, '78910', 'Orgerus', '78', 'FR'),
(33169, '78630', 'Orgeval', '78', 'FR'),
(33170, '78125', 'Orphin', '78', 'FR'),
(33171, '78660', 'Orsonville', '78', 'FR'),
(33172, '78910', 'Orvilliers', '78', 'FR'),
(33173, '78910', 'Osmoy', '78', 'FR'),
(33174, '78660', 'Paray Douaville', '78', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(33175, '78230', 'Le Pecq', '78', 'FR'),
(33176, '78200', 'Perdreauville', '78', 'FR'),
(33177, '78610', 'Le Perray en Yvelines', '78', 'FR'),
(33178, '78370', 'Plaisir', '78', 'FR'),
(33179, '78125', 'Poigny la For�t', '78', 'FR'),
(33180, '78300', 'Poissy', '78', 'FR'),
(33181, '78730', 'Ponth�vrard', '78', 'FR'),
(33182, '78440', 'Porcheville', '78', 'FR'),
(33183, '78560', 'Le Port Marly', '78', 'FR'),
(33184, '78270', 'Port Villez', '78', 'FR'),
(33185, '78910', 'Prunay le Temple', '78', 'FR'),
(33186, '78660', 'Prunay en Yvelines', '78', 'FR'),
(33187, '78940', 'La Queue l�s Yvelines', '78', 'FR'),
(33188, '78125', 'Raizeux', '78', 'FR'),
(33189, '78120', 'Rambouillet', '78', 'FR'),
(33190, '78125', 'Rambouillet', '78', 'FR'),
(33191, '78590', 'Rennemoulin', '78', 'FR'),
(33192, '78550', 'Richebourg', '78', 'FR'),
(33193, '78730', 'Rochefort en Yvelines', '78', 'FR'),
(33194, '78150', 'Rocquencourt', '78', 'FR'),
(33195, '78270', 'Rolleboise', '78', 'FR'),
(33196, '78790', 'Rosay', '78', 'FR'),
(33197, '78710', 'Rosny sur Seine', '78', 'FR'),
(33198, '78440', 'Sailly', '78', 'FR'),
(33199, '78730', 'Saint Arnoult en Yvelines', '78', 'FR'),
(33200, '78210', 'Saint Cyr l''�cole', '78', 'FR'),
(33201, '78720', 'Saint Forget', '78', 'FR'),
(33202, '78640', 'Saint Germain de la Grange', '78', 'FR'),
(33203, '78100', 'Saint Germain en Laye', '78', 'FR'),
(33204, '78125', 'Saint Hilarion', '78', 'FR'),
(33205, '78980', 'Saint Illiers la Ville', '78', 'FR'),
(33206, '78980', 'Saint Illiers le Bois', '78', 'FR'),
(33207, '78470', 'Saint Lambert', '78', 'FR'),
(33208, '78610', 'Saint L�ger en Yvelines', '78', 'FR'),
(33209, '78660', 'St Martin de Br�thencourt', '78', 'FR'),
(33210, '78790', 'Saint Martin des Champs', '78', 'FR'),
(33211, '78520', 'Saint Martin la Garenne', '78', 'FR'),
(33212, '78730', 'Sainte Mesme', '78', 'FR'),
(33213, '78860', 'Saint Nom la Bret�che', '78', 'FR'),
(33214, '78470', 'Saint R�my l�s Chevreuse', '78', 'FR'),
(33215, '78690', 'Saint R�my l''Honor�', '78', 'FR'),
(33216, '78500', 'Sartrouville', '78', 'FR'),
(33217, '78650', 'Saulx Marchais', '78', 'FR'),
(33218, '78720', 'Senlisse', '78', 'FR'),
(33219, '78790', 'Septeuil', '78', 'FR'),
(33220, '78200', 'Soindres', '78', 'FR'),
(33221, '78120', 'Sonchamp', '78', 'FR'),
(33222, '78910', 'Tacoigni�res', '78', 'FR'),
(33223, '78113', 'Le Tartre Gaudran', '78', 'FR'),
(33224, '78980', 'Le Tertre Saint Denis', '78', 'FR'),
(33225, '78250', 'Tessancourt sur Aubette', '78', 'FR'),
(33226, '78850', 'Thiverval Grignon', '78', 'FR'),
(33227, '78770', 'Thoiry', '78', 'FR'),
(33228, '78790', 'Tilly', '78', 'FR'),
(33229, '78117', 'Toussus le Noble', '78', 'FR'),
(33230, '78190', 'Trappes', '78', 'FR'),
(33231, '78490', 'Le Tremblay sur Mauldre', '78', 'FR'),
(33232, '78510', 'Triel sur Seine', '78', 'FR'),
(33233, '78740', 'Vaux sur Seine', '78', 'FR'),
(33234, '78140', 'V�lizy Villacoublay', '78', 'FR'),
(33235, '78480', 'Verneuil sur Seine', '78', 'FR'),
(33236, '78540', 'Vernouillet', '78', 'FR'),
(33237, '78320', 'La Verri�re', '78', 'FR'),
(33238, '78000', 'Versailles', '78', 'FR'),
(33239, '78930', 'Vert', '78', 'FR'),
(33240, '78110', 'Le V�sinet', '78', 'FR'),
(33241, '78490', 'Vicq', '78', 'FR'),
(33242, '78125', 'Vieille Eglise en Yvelines', '78', 'FR'),
(33243, '78270', 'La Villeneuve en Chevrie', '78', 'FR'),
(33244, '78670', 'Villennes sur Seine', '78', 'FR'),
(33245, '78450', 'Villepreux', '78', 'FR'),
(33246, '78930', 'Villette', '78', 'FR'),
(33247, '78770', 'Villiers le Mahieu', '78', 'FR'),
(33248, '78640', 'Villiers Saint Fr�d�ric', '78', 'FR'),
(33249, '78220', 'Viroflay', '78', 'FR'),
(33250, '78960', 'Voisins le Bretonneux', '78', 'FR'),
(33251, '78955', 'Les Gr�sillons', '78', 'FR'),
(33252, '78470', 'Rhodon', '78', 'FR'),
(33253, '78650', 'La Maladrerie', '78', 'FR'),
(33254, '78550', 'Thionville sur Opton', '78', 'FR'),
(33255, '79240', 'L''Absie', '79', 'FR'),
(33256, '79200', 'Adilly', '79', 'FR'),
(33257, '79230', 'Aiffres', '79', 'FR'),
(33258, '79370', 'Aigonnay', '79', 'FR'),
(33259, '79600', 'Airvault', '79', 'FR'),
(33260, '79190', 'Les Alleuds', '79', 'FR'),
(33261, '79130', 'Allonne', '79', 'FR'),
(33262, '79350', 'Amailloux', '79', 'FR'),
(33263, '79210', 'Amur�', '79', 'FR'),
(33264, '79210', 'Ar�ais', '79', 'FR'),
(33265, '79110', 'Ardilleux', '79', 'FR'),
(33266, '79160', 'Ardin', '79', 'FR'),
(33267, '79150', 'Argenton Ch�teau', '79', 'FR'),
(33268, '79290', 'Argenton l''�glise', '79', 'FR'),
(33269, '79170', 'Asni�res en Poitou', '79', 'FR'),
(33270, '79600', 'Assais les Jumeaux', '79', 'FR'),
(33271, '79250', 'Les Aubiers', '79', 'FR'),
(33272, '79110', 'Aubign�', '79', 'FR'),
(33273, '79390', 'Aubigny', '79', 'FR'),
(33274, '79400', 'Aug�', '79', 'FR'),
(33275, '79170', 'Availles sur Chiz�', '79', 'FR'),
(33276, '79600', 'Availles Thouarsais', '79', 'FR'),
(33277, '79800', 'Avon', '79', 'FR'),
(33278, '79400', 'Azay le Br�l�', '79', 'FR'),
(33279, '79130', 'Azay sur Thouet', '79', 'FR'),
(33280, '79290', 'Bagneux', '79', 'FR'),
(33281, '79110', 'La Bataille', '79', 'FR'),
(33282, '79300', 'Beaulieu sous Bressuire', '79', 'FR'),
(33283, '79420', 'Beaulieu sous Parthenay', '79', 'FR'),
(33284, '79370', 'Beaussais', '79', 'FR'),
(33285, '79360', 'Beauvoir sur Niort', '79', 'FR'),
(33286, '79160', 'B�celeuf', '79', 'FR'),
(33287, '79360', 'Belleville', '79', 'FR'),
(33288, '79000', 'Bessines', '79', 'FR'),
(33289, '79130', 'Le Beugnon', '79', 'FR'),
(33290, '79100', 'Bilazais', '79', 'FR'),
(33291, '79150', 'Bo�sse', '79', 'FR'),
(33292, '79300', 'Boism�', '79', 'FR'),
(33293, '79360', 'Boisserolles', '79', 'FR'),
(33294, '79310', 'La Boissi�re en G�tine', '79', 'FR'),
(33295, '79600', 'Borcq sur Airvault', '79', 'FR'),
(33296, '79800', 'Bougon', '79', 'FR'),
(33297, '79290', 'Bouill� Loretz', '79', 'FR'),
(33298, '79290', 'Bouill� Saint Paul', '79', 'FR'),
(33299, '79110', 'Bouin', '79', 'FR'),
(33300, '79210', 'Le Bourdet', '79', 'FR'),
(33301, '79600', 'Boussais', '79', 'FR'),
(33302, '79260', 'Cr�che', '79', 'FR'),
(33303, '79300', 'Bressuire', '79', 'FR'),
(33304, '79140', 'Bretignolles', '79', 'FR'),
(33305, '79320', 'Le Breuil Bernard', '79', 'FR'),
(33306, '79300', 'Breuil Chauss�e', '79', 'FR'),
(33307, '79150', 'Le Breuil sous Argenton', '79', 'FR'),
(33308, '79100', 'Brie', '79', 'FR'),
(33309, '79170', 'Brieuil sur Chiz�', '79', 'FR'),
(33310, '79290', 'Brion pr�s Thouet', '79', 'FR'),
(33311, '79170', 'Brioux sur Boutonne', '79', 'FR'),
(33312, '79230', 'Br�lain', '79', 'FR'),
(33313, '79240', 'Le Busseau', '79', 'FR'),
(33314, '79190', 'Caunay', '79', 'FR'),
(33315, '79370', 'Celles sur Belle', '79', 'FR'),
(33316, '79140', 'Cerizay', '79', 'FR'),
(33317, '79290', 'Cersay', '79', 'FR'),
(33318, '79500', 'Chail', '79', 'FR'),
(33319, '79300', 'Chambroutet', '79', 'FR'),
(33320, '79220', 'Champdeniers St Denis', '79', 'FR'),
(33321, '79220', 'Champeaux', '79', 'FR'),
(33322, '79340', 'Chantecorps', '79', 'FR'),
(33323, '79320', 'Chanteloup', '79', 'FR'),
(33324, '79220', 'Chapelle B�ton', '79', 'FR'),
(33325, '79200', 'La Chapelle Bertrand', '79', 'FR'),
(33326, '79300', 'La Chapelle Gaudin', '79', 'FR'),
(33327, '79700', 'La Chapelle Largeau', '79', 'FR'),
(33328, '79190', 'La Chapelle Pouilloux', '79', 'FR'),
(33329, '79240', 'La Chapelle Saint �tienne', '79', 'FR'),
(33330, '79430', 'La Chapelle Saint Laurent', '79', 'FR'),
(33331, '79160', 'La Chapelle Thireuil', '79', 'FR'),
(33332, '79360', 'Priss� la Charri�re', '79', 'FR'),
(33333, '79700', 'Maul�on', '79', 'FR'),
(33334, '79200', 'Ch�tillon sur Thouet', '79', 'FR'),
(33335, '79180', 'Chauray', '79', 'FR'),
(33336, '79110', 'Chef Boutonne', '79', 'FR'),
(33337, '79120', 'Chenay', '79', 'FR'),
(33338, '79170', 'Ch�rign�', '79', 'FR'),
(33339, '79410', 'Cherveux', '79', 'FR'),
(33340, '79120', 'Chey', '79', 'FR'),
(33341, '79350', 'Chich�', '79', 'FR'),
(33342, '79600', 'Le Chillou', '79', 'FR'),
(33343, '79170', 'Chiz�', '79', 'FR'),
(33344, '79140', 'Ciri�re', '79', 'FR'),
(33345, '79420', 'Clav�', '79', 'FR'),
(33346, '79300', 'Clazay', '79', 'FR'),
(33347, '79350', 'Cless�', '79', 'FR'),
(33348, '79190', 'Clussais la Pommeraie', '79', 'FR'),
(33349, '79140', 'Combrand', '79', 'FR'),
(33350, '79360', 'Le Corm�nier', '79', 'FR'),
(33351, '79800', 'La Couarde', '79', 'FR'),
(33352, '79150', 'La Coudre', '79', 'FR'),
(33353, '79510', 'Coulon', '79', 'FR'),
(33354, '79160', 'Coulonges sur l''Autize', '79', 'FR'),
(33355, '79330', 'Coulonges Thouarsais', '79', 'FR'),
(33356, '79440', 'Courlay', '79', 'FR'),
(33357, '79220', 'Cours', '79', 'FR'),
(33358, '79340', 'Couti�res', '79', 'FR'),
(33359, '79110', 'Couture d''Argenson', '79', 'FR'),
(33360, '79110', 'Cr�zi�res', '79', 'FR'),
(33361, '79390', 'Doux', '79', 'FR'),
(33362, '79410', '�chir�', '79', 'FR'),
(33363, '79170', 'Ensign�', '79', 'FR'),
(33364, '79270', '�pannes', '79', 'FR'),
(33365, '79150', '�tusson', '79', 'FR'),
(33366, '79400', 'Exireuil', '79', 'FR'),
(33367, '79800', 'Exoudun', '79', 'FR'),
(33368, '79350', 'Faye l''Abbesse', '79', 'FR'),
(33369, '79160', 'Faye sur Ardin', '79', 'FR'),
(33370, '79450', 'F�nery', '79', 'FR'),
(33371, '79160', 'Fenioux', '79', 'FR'),
(33372, '79390', 'La Ferri�re en Parthenay', '79', 'FR'),
(33373, '79340', 'Fomperron', '79', 'FR'),
(33374, '79110', 'Fontenille St Martin d''Entraigu', '79', 'FR'),
(33375, '79380', 'La For�t sur S�vre', '79', 'FR'),
(33376, '79340', 'Les Forges', '79', 'FR'),
(33377, '79230', 'Fors', '79', 'FR'),
(33378, '79360', 'Les Fosses', '79', 'FR'),
(33379, '79360', 'La Foye Monjault', '79', 'FR'),
(33380, '79260', 'Fran�ois', '79', 'FR'),
(33381, '79370', 'Fressines', '79', 'FR'),
(33382, '79270', 'Frontenay Rohan Rohan', '79', 'FR'),
(33383, '79330', 'Geay', '79', 'FR'),
(33384, '79150', 'Genneton', '79', 'FR'),
(33385, '79220', 'Germond Rouvre', '79', 'FR'),
(33386, '79330', 'Gl�nay', '79', 'FR'),
(33387, '79200', 'Gourg�', '79', 'FR'),
(33388, '79110', 'Gournay Loiz�', '79', 'FR'),
(33389, '79360', 'Granzay Gript', '79', 'FR'),
(33390, '79360', 'Gript', '79', 'FR'),
(33391, '79220', 'Les Groseillers', '79', 'FR'),
(33392, '79110', 'Hanc', '79', 'FR'),
(33393, '79600', 'Irais', '79', 'FR'),
(33394, '79170', 'uill�', '79', 'FR'),
(33395, '79600', 'Les Jumeaux', '79', 'FR'),
(33396, '79230', 'Juscorps', '79', 'FR'),
(33397, '79200', 'Lageon', '79', 'FR'),
(33398, '79600', 'Lamaire', '79', 'FR'),
(33399, '79240', 'Largeasse', '79', 'FR'),
(33400, '79120', 'Lezay', '79', 'FR'),
(33401, '79390', 'Lhoumois', '79', 'FR'),
(33402, '79190', 'Limalonges', '79', 'FR'),
(33403, '79110', 'Loiz�', '79', 'FR'),
(33404, '79190', 'Lorign�', '79', 'FR'),
(33405, '79110', 'Loubign�', '79', 'FR'),
(33406, '79110', 'Loubill�', '79', 'FR'),
(33407, '79700', 'Loublande', '79', 'FR'),
(33408, '79600', 'Louin', '79', 'FR'),
(33409, '79100', 'Louzy', '79', 'FR'),
(33410, '79170', 'Luch� sur Brioux', '79', 'FR'),
(33411, '79330', 'Luch� Thouarsais', '79', 'FR'),
(33412, '79170', 'Lusseray', '79', 'FR'),
(33413, '79100', 'Luzay', '79', 'FR'),
(33414, '79460', 'Magn�', '79', 'FR'),
(33415, '79190', 'Mair� Levescault', '79', 'FR'),
(33416, '79500', 'Maisonnay', '79', 'FR'),
(33417, '79600', 'Maisontiers', '79', 'FR'),
(33418, '79360', 'Marigny', '79', 'FR'),
(33419, '79600', 'Marnes', '79', 'FR'),
(33420, '79150', 'Massais', '79', 'FR'),
(33421, '79100', 'Maulais', '79', 'FR'),
(33422, '79210', 'Mauz� sur le Mignon', '79', 'FR'),
(33423, '79100', 'Mauz� Thouarsais', '79', 'FR'),
(33424, '79310', 'Mazi�res en G�tine', '79', 'FR'),
(33425, '79500', 'Mazi�res sur B�ronne', '79', 'FR'),
(33426, '79500', 'Melle', '79', 'FR'),
(33427, '79190', 'Melleran', '79', 'FR'),
(33428, '79340', 'M�nigoute', '79', 'FR'),
(33429, '79120', 'Mess�', '79', 'FR'),
(33430, '79100', 'Miss�', '79', 'FR'),
(33431, '79320', 'Moncoutant', '79', 'FR'),
(33432, '79190', 'Montalembert', '79', 'FR'),
(33433, '79370', 'Montign�', '79', 'FR'),
(33434, '79380', 'Montigny', '79', 'FR'),
(33435, '79140', 'Montravers', '79', 'FR'),
(33436, '79800', 'La Mothe Saint H�ray', '79', 'FR'),
(33437, '79370', 'Mougon', '79', 'FR'),
(33438, '79700', 'Moulins', '79', 'FR'),
(33439, '79150', 'Moutiers sous Argenton', '79', 'FR'),
(33440, '79320', 'Moutiers sous Chantemerle', '79', 'FR'),
(33441, '79400', 'Nanteuil', '79', 'FR'),
(33442, '79130', 'Neuvy Bouin', '79', 'FR'),
(33443, '79000', 'Niort', '79', 'FR'),
(33444, '79300', 'Noirlieu', '79', 'FR'),
(33445, '79300', 'Noirterre', '79', 'FR'),
(33446, '79100', 'Noiz�', '79', 'FR'),
(33447, '79250', 'Nueil sur Argent', '79', 'FR'),
(33448, '79100', 'Oiron', '79', 'FR'),
(33449, '79390', 'Oroux', '79', 'FR'),
(33450, '79170', 'Paizay le Chapt', '79', 'FR'),
(33451, '79500', 'Paizay le Tort', '79', 'FR'),
(33452, '79220', 'Pamplie', '79', 'FR'),
(33453, '79800', 'Pamproux', '79', 'FR'),
(33454, '79200', 'Parthenay', '79', 'FR'),
(33455, '79100', 'Pas de Jeu', '79', 'FR'),
(33456, '79170', 'P�rign�', '79', 'FR'),
(33457, '79190', 'Pers', '79', 'FR'),
(33458, '79700', 'La Petite Boissi�re', '79', 'FR'),
(33459, '79200', 'La Peyratte', '79', 'FR'),
(33460, '79330', 'Pierrefitte', '79', 'FR'),
(33461, '79140', 'Pin', '79', 'FR'),
(33462, '79110', 'Pioussay', '79', 'FR'),
(33463, '79190', 'Pliboux', '79', 'FR'),
(33464, '79200', 'Pompaire', '79', 'FR'),
(33465, '79500', 'Pouffonds', '79', 'FR'),
(33466, '79130', 'Pougne H�risson', '79', 'FR'),
(33467, '79230', 'Prahecq', '79', 'FR'),
(33468, '79370', 'Prailles', '79', 'FR'),
(33469, '79390', 'Pressigny', '79', 'FR'),
(33470, '79210', 'Priaires', '79', 'FR'),
(33471, '79210', 'Prin Deyran�on', '79', 'FR'),
(33472, '79360', 'Priss�', '79', 'FR'),
(33473, '79320', 'Pugny', '79', 'FR'),
(33474, '79160', 'Puihardy', '79', 'FR'),
(33475, '79420', 'Reffannes', '79', 'FR'),
(33476, '79130', 'Le Retail', '79', 'FR'),
(33477, '79360', 'La Rev�tizon', '79', 'FR'),
(33478, '79100', 'Rign�', '79', 'FR'),
(33479, '79270', 'La Roch�nard', '79', 'FR'),
(33480, '79120', 'Rom', '79', 'FR'),
(33481, '79260', 'Romans', '79', 'FR'),
(33482, '79700', 'Rorthais', '79', 'FR'),
(33483, '79220', 'Rouvre', '79', 'FR'),
(33484, '79700', 'Saint Amand sur S�vre', '79', 'FR'),
(33485, '79380', 'Saint Andr� sur S�vre', '79', 'FR'),
(33486, '79700', 'Saint Aubin de Baubign�', '79', 'FR'),
(33487, '79300', 'Saint Aubin du Plain', '79', 'FR'),
(33488, '79450', 'Saint Aubin le Cloud', '79', 'FR'),
(33489, '79370', 'Sainte Blandine', '79', 'FR'),
(33490, '79220', 'Saint Christophe sur Roc', '79', 'FR'),
(33491, '79150', 'Saint Cl�mentin', '79', 'FR'),
(33492, '79120', 'St Coutant', '79', 'FR'),
(33493, '79100', 'Saint Cyr la Lande', '79', 'FR'),
(33494, '79220', 'Saint Denis', '79', 'FR'),
(33495, '79800', 'Sainte �anne', '79', 'FR'),
(33496, '79360', 'Saint �tienne la Cigogne', '79', 'FR'),
(33497, '79410', 'Saint Gelais', '79', 'FR'),
(33498, '79330', 'Ste Gemme', '79', 'FR'),
(33499, '79500', 'Saint G�nard', '79', 'FR'),
(33500, '79600', 'Saint G�n�roux', '79', 'FR'),
(33501, '79400', 'Saint Georges de Noisn�', '79', 'FR'),
(33502, '79210', 'Saint Georges de Rex', '79', 'FR'),
(33503, '79200', 'Saint Germain de Longue Chaume', '79', 'FR'),
(33504, '79340', 'Saint Germier', '79', 'FR'),
(33505, '79210', 'Saint Hilaire la Palud', '79', 'FR'),
(33506, '79100', 'Saint Jacques de Thouars', '79', 'FR'),
(33507, '79100', 'Saint Jean de Thouars', '79', 'FR'),
(33508, '79600', 'Saint Jouin de Marnes', '79', 'FR'),
(33509, '79380', 'Saint Jouin de Milly', '79', 'FR'),
(33510, '79160', 'Saint Laurs', '79', 'FR'),
(33511, '79500', 'St L�ger de la Martini�re', '79', 'FR'),
(33512, '79100', 'Saint L�ger de Montbrun', '79', 'FR'),
(33513, '79000', 'Saint Liguaire', '79', 'FR'),
(33514, '79420', 'Saint Lin', '79', 'FR'),
(33515, '79600', 'St Loup Lamair�', '79', 'FR'),
(33516, '79160', 'Saint Maixent de Beugn�', '79', 'FR'),
(33517, '79400', 'Saint Maixent l''�cole', '79', 'FR'),
(33518, '79310', 'St Marc la Lande', '79', 'FR'),
(33519, '79380', 'Saint Marsault', '79', 'FR'),
(33520, '79230', 'Saint Martin de Bernegoue', '79', 'FR'),
(33521, '79100', 'Saint Martin de M�con', '79', 'FR'),
(33522, '79110', 'Saint Martin d''Entraigues', '79', 'FR'),
(33523, '79400', 'Saint Martin de Saint Maixent', '79', 'FR'),
(33524, '79290', 'Saint Martin de Sanzay', '79', 'FR'),
(33525, '79420', 'Saint Martin du Fouilloux', '79', 'FR'),
(33526, '79500', 'Saint Martin l�s Melle', '79', 'FR'),
(33527, '79150', 'Saint Maurice la Fougereuse', '79', 'FR'),
(33528, '79410', 'Saint Maxire', '79', 'FR'),
(33529, '79370', 'Saint M�dard', '79', 'FR'),
(33530, '79260', 'Sainte N�omaye', '79', 'FR'),
(33531, '79220', 'Sainte Ouenne', '79', 'FR'),
(33532, '79310', 'Saint Pardoux', '79', 'FR'),
(33533, '79240', 'Saint Paul en G�tine', '79', 'FR'),
(33534, '79000', 'Sainte Pezenne', '79', 'FR'),
(33535, '79290', 'Saint Pierre �  Champ', '79', 'FR'),
(33536, '79700', 'St Pierre des Echaubrognes', '79', 'FR'),
(33537, '79160', 'Saint Pompain', '79', 'FR'),
(33538, '79100', 'Ste Radegonde', '79', 'FR'),
(33539, '79410', 'Saint R�my', '79', 'FR'),
(33540, '79230', 'Saint Romans des Champs', '79', 'FR'),
(33541, '79500', 'Saint Romans l�s Melle', '79', 'FR'),
(33542, '79120', 'Sainte Soline', '79', 'FR'),
(33543, '79270', 'Saint Symphorien', '79', 'FR'),
(33544, '79330', 'Saint Varent', '79', 'FR'),
(33545, '79100', 'Sainte Verge', '79', 'FR'),
(33546, '79500', 'Saint Vincent la Ch�tre', '79', 'FR'),
(33547, '79400', 'Saivres', '79', 'FR'),
(33548, '79800', 'Salles', '79', 'FR'),
(33549, '79270', 'Sansais', '79', 'FR'),
(33550, '79150', 'Sanzay', '79', 'FR'),
(33551, '79200', 'Saurais', '79', 'FR'),
(33552, '79190', 'Sauz� Vaussais', '79', 'FR'),
(33553, '79000', 'Sciecq', '79', 'FR'),
(33554, '79240', 'Scill�', '79', 'FR'),
(33555, '79170', 'Secondign� sur Belle', '79', 'FR'),
(33556, '79130', 'Secondigny', '79', 'FR'),
(33557, '79170', 'S�lign�', '79', 'FR'),
(33558, '79120', 'Sepvret', '79', 'FR'),
(33559, '79110', 'Sompt', '79', 'FR'),
(33560, '79000', 'Souch�', '79', 'FR'),
(33561, '79800', 'Soudan', '79', 'FR'),
(33562, '79600', 'Souli�vres', '79', 'FR'),
(33563, '79310', 'Soutiers', '79', 'FR'),
(33564, '79800', 'Souvign�', '79', 'FR'),
(33565, '79220', 'Surin', '79', 'FR'),
(33566, '79100', 'Taiz�', '79', 'FR'),
(33567, '79200', 'Le Tallud', '79', 'FR'),
(33568, '79300', 'Terves', '79', 'FR'),
(33569, '79600', 'Tessonni�re', '79', 'FR'),
(33570, '79390', 'Th�nezay', '79', 'FR'),
(33571, '79370', 'Thorign�', '79', 'FR'),
(33572, '79360', 'Thorigny', '79', 'FR'),
(33573, '79100', 'Thouars', '79', 'FR'),
(33574, '79110', 'Tillou', '79', 'FR'),
(33575, '79100', 'Tourtenay', '79', 'FR'),
(33576, '79240', 'Trayes', '79', 'FR'),
(33577, '79150', 'Ulcot', '79', 'FR'),
(33578, '79210', 'Usseau', '79', 'FR'),
(33579, '79270', 'Vallans', '79', 'FR'),
(33580, '79120', 'Van�ais', '79', 'FR'),
(33581, '79270', 'Le Vanneau', '79', 'FR'),
(33582, '79120', 'Vanzay', '79', 'FR'),
(33583, '79340', 'Vasles', '79', 'FR'),
(33584, '79420', 'Vausseroux', '79', 'FR'),
(33585, '79420', 'Vautebis', '79', 'FR'),
(33586, '79240', 'Vernoux en G�tine', '79', 'FR'),
(33587, '79170', 'Vernoux sur Boutonne', '79', 'FR'),
(33588, '79370', 'Verrines sous Celles', '79', 'FR'),
(33589, '79310', 'Verruyes', '79', 'FR'),
(33590, '79170', 'Le Vert', '79', 'FR'),
(33591, '79200', 'Viennay', '79', 'FR'),
(33592, '79170', 'Villefollet', '79', 'FR'),
(33593, '79110', 'Villemain', '79', 'FR'),
(33594, '79360', 'Villiers en Bois', '79', 'FR'),
(33595, '79160', 'Villiers en Plaine', '79', 'FR'),
(33596, '79170', 'Villiers sur Chiz�', '79', 'FR'),
(33597, '79370', 'Vitr�', '79', 'FR'),
(33598, '79310', 'Vouh�', '79', 'FR'),
(33599, '79230', 'Vouill�', '79', 'FR'),
(33600, '79150', 'Voultegon', '79', 'FR'),
(33601, '79220', 'Xaintray', '79', 'FR'),
(33602, '79360', 'La Charri�re', '79', 'FR'),
(33603, '80132', 'Abbeville', '80', 'FR'),
(33604, '80100', 'Abbeville', '80', 'FR'),
(33605, '80320', 'Ablaincourt Pressoir', '80', 'FR'),
(33606, '80560', 'Acheux en Ami�nois', '80', 'FR'),
(33607, '80210', 'Acheux en Vimeu', '80', 'FR'),
(33608, '80370', 'Agenville', '80', 'FR'),
(33609, '80150', 'Agenvillers', '80', 'FR'),
(33610, '80290', 'Agni�res', '80', 'FR'),
(33611, '80210', 'Aigneville', '80', 'FR'),
(33612, '80690', 'Ailly le Haut Clocher', '80', 'FR'),
(33613, '80250', 'Ailly sur Noye', '80', 'FR'),
(33614, '80470', 'Ailly sur Somme', '80', 'FR'),
(33615, '80270', 'Airaines', '80', 'FR'),
(33616, '80240', 'Aizecourt le Bas', '80', 'FR'),
(33617, '80200', 'Aizecourt le Haut', '80', 'FR'),
(33618, '80300', 'Albert', '80', 'FR'),
(33619, '80200', 'Allaines', '80', 'FR'),
(33620, '80530', 'Allenay', '80', 'FR'),
(33621, '80270', 'Allery', '80', 'FR'),
(33622, '80260', 'Allonville', '80', 'FR'),
(33623, '80090', 'Amiens', '80', 'FR'),
(33624, '80000', 'Amiens', '80', 'FR'),
(33625, '80080', 'Amiens', '80', 'FR'),
(33626, '80140', 'Andainville', '80', 'FR'),
(33627, '80700', 'Andechy', '80', 'FR'),
(33628, '80730', 'Argoeuves', '80', 'FR'),
(33629, '80120', 'Argoules', '80', 'FR'),
(33630, '80140', 'Arguel', '80', 'FR'),
(33631, '80700', 'Armancourt', '80', 'FR'),
(33632, '80560', 'Arqu�ves', '80', 'FR'),
(33633, '80820', 'Arrest', '80', 'FR'),
(33634, '80120', 'Arry', '80', 'FR'),
(33635, '80910', 'Arvillers', '80', 'FR'),
(33636, '80500', 'Assainvillers', '80', 'FR'),
(33637, '80200', 'Assevillers', '80', 'FR'),
(33638, '80200', 'Athies', '80', 'FR'),
(33639, '80110', 'Aubercourt', '80', 'FR'),
(33640, '80800', 'Aubigny', '80', 'FR'),
(33641, '80110', 'Aubvillers', '80', 'FR'),
(33642, '80560', 'Auchonvillers', '80', 'FR'),
(33643, '80460', 'Ault', '80', 'FR'),
(33644, '80140', 'Aum�tre', '80', 'FR'),
(33645, '80640', 'Aumont', '80', 'FR'),
(33646, '80600', 'Autheux', '80', 'FR'),
(33647, '80560', 'Authie', '80', 'FR'),
(33648, '80600', 'Authieule', '80', 'FR'),
(33649, '80300', 'Authuille', '80', 'FR'),
(33650, '80270', 'Avelesges', '80', 'FR'),
(33651, '80300', 'Aveluy', '80', 'FR'),
(33652, '80140', 'Avesnes Chaussoy', '80', 'FR'),
(33653, '80500', 'Ayencourt', '80', 'FR'),
(33654, '80480', 'Bacouel sur Selle', '80', 'FR'),
(33655, '80490', 'Bailleul', '80', 'FR'),
(33656, '80300', 'Baizieux', '80', 'FR'),
(33657, '80700', 'Bal�tre', '80', 'FR'),
(33658, '80200', 'Barleux', '80', 'FR'),
(33659, '80600', 'Barly', '80', 'FR'),
(33660, '80260', 'Bavelincourt', '80', 'FR'),
(33661, '80560', 'Bayencourt', '80', 'FR'),
(33662, '80170', 'Bayonvillers', '80', 'FR'),
(33663, '80300', 'Bazentin', '80', 'FR'),
(33664, '80370', 'B�alcourt', '80', 'FR'),
(33665, '80430', 'Beaucamps le Jeune', '80', 'FR'),
(33666, '80430', 'Beaucamps le Vieux', '80', 'FR'),
(33667, '80770', 'Beauchamps', '80', 'FR'),
(33668, '80110', 'Beaucourt en Santerre', '80', 'FR'),
(33669, '80300', 'Beaucourt sur l''Ancre', '80', 'FR'),
(33670, '80260', 'Beaucourt sur l''Hallue', '80', 'FR'),
(33671, '80170', 'Beaufort en Santerre', '80', 'FR'),
(33672, '80370', 'Beaumetz', '80', 'FR'),
(33673, '80300', 'Beaumont Hamel', '80', 'FR'),
(33674, '80600', 'Beauquesne', '80', 'FR'),
(33675, '80630', 'Beauval', '80', 'FR'),
(33676, '80300', 'B�cordel B�court', '80', 'FR'),
(33677, '80500', 'Becquigny', '80', 'FR'),
(33678, '80870', 'B�hen', '80', 'FR'),
(33679, '80260', 'B�hencourt', '80', 'FR'),
(33680, '80132', 'Bellancourt', '80', 'FR'),
(33681, '80160', 'Belleuse', '80', 'FR'),
(33682, '80200', 'Belloy en Santerre', '80', 'FR'),
(33683, '80270', 'Belloy Saint L�onard', '80', 'FR'),
(33684, '80310', 'Belloy sur Somme', '80', 'FR'),
(33685, '80290', 'Bergicourt', '80', 'FR'),
(33686, '80140', 'Bermesnil', '80', 'FR'),
(33687, '80370', 'Bern�tre', '80', 'FR'),
(33688, '80370', 'Bernaville', '80', 'FR'),
(33689, '80120', 'Bernay en Ponthieu', '80', 'FR'),
(33690, '80240', 'Bernes', '80', 'FR'),
(33691, '80620', 'Berneuil', '80', 'FR'),
(33692, '80200', 'Berny en Santerre', '80', 'FR'),
(33693, '80260', 'Bertangles', '80', 'FR'),
(33694, '80850', 'Berteaucourt les Dames', '80', 'FR'),
(33695, '80110', 'Berteaucourt l�s Thennes', '80', 'FR'),
(33696, '80560', 'Bertrancourt', '80', 'FR'),
(33697, '80530', 'B�thencourt sur Mer', '80', 'FR'),
(33698, '80190', 'B�thencourt sur Somme', '80', 'FR'),
(33699, '80590', 'Bettembos', '80', 'FR'),
(33700, '80270', 'Bettencourt Rivi�re', '80', 'FR'),
(33701, '80610', 'Bettencourt Saint Ouen', '80', 'FR'),
(33702, '80700', 'Beuvraignes', '80', 'FR'),
(33703, '80200', 'Biaches', '80', 'FR'),
(33704, '80190', 'Biarre', '80', 'FR'),
(33705, '80140', 'Biencourt', '80', 'FR'),
(33706, '80190', 'Billancourt', '80', 'FR'),
(33707, '80290', 'Blangy sous Poix', '80', 'FR'),
(33708, '80440', 'Blangy Tronville', '80', 'FR'),
(33709, '80600', 'Boisbergues', '80', 'FR'),
(33710, '80150', 'Le Boisle', '80', 'FR'),
(33711, '80230', 'Boismont', '80', 'FR'),
(33712, '80640', 'Boisrault', '80', 'FR'),
(33713, '80800', 'Bonnay', '80', 'FR'),
(33714, '80670', 'Bonneville', '80', 'FR'),
(33715, '80160', 'Bosquel', '80', 'FR'),
(33716, '80200', 'Bouchavesnes Bergen', '80', 'FR'),
(33717, '80910', 'Bouchoir', '80', 'FR'),
(33718, '80830', 'Bouchon', '80', 'FR'),
(33719, '80150', 'Boufflers', '80', 'FR'),
(33720, '80540', 'Bougainville', '80', 'FR'),
(33721, '80220', 'Bouillancourt en S�ry', '80', 'FR'),
(33722, '80500', 'Bouillancourt la Bataille', '80', 'FR'),
(33723, '80600', 'Bouquemaison', '80', 'FR'),
(33724, '80310', 'Bourdon', '80', 'FR'),
(33725, '80130', 'Bourseville', '80', 'FR'),
(33726, '80500', 'Boussicourt', '80', 'FR'),
(33727, '80220', 'Bouttencourt', '80', 'FR'),
(33728, '80220', 'Bouvaincourt sur Bresle', '80', 'FR'),
(33729, '80200', 'Bouvincourt en Vermandois', '80', 'FR'),
(33730, '80300', 'Bouzincourt', '80', 'FR'),
(33731, '80540', 'Bovelles', '80', 'FR'),
(33732, '80440', 'Boves', '80', 'FR'),
(33733, '80110', 'Braches', '80', 'FR'),
(33734, '80150', 'Brailly Cornehotte', '80', 'FR'),
(33735, '80160', 'Brassy', '80', 'FR'),
(33736, '80580', 'Bray l�s Mareuil', '80', 'FR'),
(33737, '80340', 'Bray sur Somme', '80', 'FR'),
(33738, '80470', 'Breilly', '80', 'FR'),
(33739, '80300', 'Bresle', '80', 'FR'),
(33740, '80400', 'Breuil', '80', 'FR'),
(33741, '80600', 'Br�villers', '80', 'FR'),
(33742, '80200', 'Brie', '80', 'FR'),
(33743, '80540', 'Briquemesnil Floxicourt', '80', 'FR'),
(33744, '80430', 'Brocourt', '80', 'FR'),
(33745, '80400', 'Brouchy', '80', 'FR'),
(33746, '80690', 'Brucamps', '80', 'FR'),
(33747, '80230', 'Brutelles', '80', 'FR'),
(33748, '80132', 'Buigny l''Abb�', '80', 'FR'),
(33749, '80220', 'Buigny l�s Gamaches', '80', 'FR'),
(33750, '80132', 'Buigny Saint Maclou', '80', 'FR'),
(33751, '80200', 'Buire Courcelles', '80', 'FR'),
(33752, '80300', 'Buire sur l''Ancre', '80', 'FR'),
(33753, '80700', 'Bus la M�si�re', '80', 'FR'),
(33754, '80560', 'Bus l�s Artois', '80', 'FR'),
(33755, '80200', 'Bussu', '80', 'FR'),
(33756, '80135', 'Bussus Bussuel', '80', 'FR'),
(33757, '80800', 'Bussy l�s Daours', '80', 'FR'),
(33758, '80290', 'Bussy l�s Poix', '80', 'FR'),
(33759, '80400', 'Buverchy', '80', 'FR'),
(33760, '80380', 'Cachy', '80', 'FR'),
(33761, '80330', 'Cagny', '80', 'FR'),
(33762, '80132', 'Cahon', '80', 'FR'),
(33763, '80170', 'Caix', '80', 'FR'),
(33764, '80132', 'Cambron', '80', 'FR'),
(33765, '80450', 'Camon', '80', 'FR'),
(33766, '80540', 'Camps en Ami�nois', '80', 'FR'),
(33767, '80670', 'Canaples', '80', 'FR'),
(33768, '80150', 'Canchy', '80', 'FR'),
(33769, '80750', 'Candas', '80', 'FR'),
(33770, '80140', 'Cannessi�res', '80', 'FR'),
(33771, '80500', 'Cantigny', '80', 'FR'),
(33772, '80132', 'Caours', '80', 'FR'),
(33773, '80340', 'Cappy', '80', 'FR'),
(33774, '80260', 'Cardonnette', '80', 'FR'),
(33775, '80500', 'Le Cardonnois', '80', 'FR'),
(33776, '80300', 'Carnoy', '80', 'FR'),
(33777, '80700', 'Carr�puis', '80', 'FR'),
(33778, '80200', 'Cartigny', '80', 'FR'),
(33779, '80590', 'Cauli�res', '80', 'FR'),
(33780, '80310', 'Cavillon', '80', 'FR'),
(33781, '80720', 'Cayeux en Santerre', '80', 'FR'),
(33782, '80410', 'Cayeux sur Mer', '80', 'FR'),
(33783, '80140', 'C�risy Buleux', '80', 'FR'),
(33784, '80800', 'Cerisy', '80', 'FR'),
(33785, '80700', 'Champien', '80', 'FR'),
(33786, '80320', 'Chaulnes', '80', 'FR'),
(33787, '80310', 'La Chauss�e Tirancourt', '80', 'FR'),
(33788, '80250', 'Chaussoy �pagny', '80', 'FR'),
(33789, '80700', 'La Chavatte', '80', 'FR'),
(33790, '80210', 'Ch�py', '80', 'FR'),
(33791, '80170', 'Chilly', '80', 'FR'),
(33792, '80800', 'Chipilly', '80', 'FR'),
(33793, '80250', 'Chirmont', '80', 'FR'),
(33794, '80340', 'Chuignes', '80', 'FR'),
(33795, '80340', 'Chuignolles', '80', 'FR'),
(33796, '80490', 'Citerne', '80', 'FR'),
(33797, '80200', 'Cizancourt', '80', 'FR'),
(33798, '80540', 'Clairy Saulchoix', '80', 'FR'),
(33799, '80200', 'Cl�ry sur Somme', '80', 'FR'),
(33800, '80510', 'Cocquerel', '80', 'FR'),
(33801, '80560', 'Coigneux', '80', 'FR'),
(33802, '80260', 'Coisy', '80', 'FR'),
(33803, '80560', 'Colincamps', '80', 'FR'),
(33804, '80360', 'Combles', '80', 'FR'),
(33805, '80890', 'Cond� Folie', '80', 'FR'),
(33806, '80300', 'Contalmaison', '80', 'FR'),
(33807, '80560', 'Contay', '80', 'FR'),
(33808, '80370', 'Conteville', '80', 'FR'),
(33809, '80500', 'Contoire', '80', 'FR'),
(33810, '80160', 'Contre', '80', 'FR'),
(33811, '80160', 'Conty', '80', 'FR'),
(33812, '80800', 'Corbie', '80', 'FR'),
(33813, '80440', 'Cottenchy', '80', 'FR'),
(33814, '80250', 'Coullemelle', '80', 'FR'),
(33815, '80135', 'Coulonvillers', '80', 'FR'),
(33816, '80300', 'Courcelette', '80', 'FR'),
(33817, '80560', 'Courcelles au Bois', '80', 'FR'),
(33818, '80290', 'Courcelles sous Moyencourt', '80', 'FR'),
(33819, '80160', 'Courcelles sous Thoix', '80', 'FR'),
(33820, '80500', 'Courtemanche', '80', 'FR'),
(33821, '80370', 'Cramont', '80', 'FR'),
(33822, '80150', 'Cr�cy en Ponthieu', '80', 'FR'),
(33823, '80700', 'Cr�mery', '80', 'FR'),
(33824, '80190', 'Cressy Omencourt', '80', 'FR'),
(33825, '80480', 'Creuse', '80', 'FR'),
(33826, '80400', 'Croix Moligneaux', '80', 'FR'),
(33827, '80290', 'Croixrault', '80', 'FR'),
(33828, '80550', 'Le Crotoy', '80', 'FR'),
(33829, '80310', 'Crouy St Pierre', '80', 'FR'),
(33830, '80190', 'Curchy', '80', 'FR'),
(33831, '80360', 'Curlu', '80', 'FR'),
(33832, '80700', 'Damery', '80', 'FR'),
(33833, '80700', 'Dancourt Popincourt', '80', 'FR'),
(33834, '80800', 'Daours', '80', 'FR'),
(33835, '80570', 'Dargnies', '80', 'FR'),
(33836, '80500', 'Davenescourt', '80', 'FR'),
(33837, '80110', 'D�muin', '80', 'FR'),
(33838, '80300', 'Dernancourt', '80', 'FR'),
(33839, '80200', 'Devise', '80', 'FR'),
(33840, '80200', 'Doingt', '80', 'FR'),
(33841, '80620', 'Domart en Ponthieu', '80', 'FR'),
(33842, '80110', 'Domart sur la Luce', '80', 'FR'),
(33843, '80370', 'Domesmont', '80', 'FR'),
(33844, '80120', 'Dominois', '80', 'FR'),
(33845, '80370', 'Doml�ger Longvillers', '80', 'FR'),
(33846, '80440', 'Dommartin', '80', 'FR'),
(33847, '80980', 'Dompierre Becquincourt', '80', 'FR'),
(33848, '80150', 'Dompierre sur Authie', '80', 'FR'),
(33849, '80620', 'Domqueur', '80', 'FR'),
(33850, '80150', 'Domvast', '80', 'FR'),
(33851, '80140', 'Doudelainville', '80', 'FR'),
(33852, '80400', 'Douilly', '80', 'FR'),
(33853, '80600', 'Doullens', '80', 'FR'),
(33854, '80270', 'Dreuil Hamel', '80', 'FR'),
(33855, '80730', 'Dreuil l�s Amiens', '80', 'FR'),
(33856, '80540', 'Dreuil l�s Molliens', '80', 'FR'),
(33857, '80240', 'Driencourt', '80', 'FR'),
(33858, '80640', 'Dromesnil', '80', 'FR'),
(33859, '80132', 'Drucat', '80', 'FR'),
(33860, '80480', 'Dury', '80', 'FR'),
(33861, '80580', 'Eaucourt sur Somme', '80', 'FR'),
(33862, '80700', 'L''�chelle Saint Aurin', '80', 'FR'),
(33863, '80340', '�clusier Vaux', '80', 'FR'),
(33864, '80570', 'Embreville', '80', 'FR'),
(33865, '80300', 'Englebelmer', '80', 'FR'),
(33866, '80200', 'Ennemain', '80', 'FR'),
(33867, '80580', '�pagne �pagnette', '80', 'FR'),
(33868, '80140', '�paumesnil', '80', 'FR'),
(33869, '80370', '�p�camps', '80', 'FR'),
(33870, '80740', '�p�hy', '80', 'FR'),
(33871, '80190', '�p�nancourt', '80', 'FR'),
(33872, '80290', '�plessier', '80', 'FR'),
(33873, '80400', 'Eppeville', '80', 'FR'),
(33874, '80360', '�quancourt', '80', 'FR'),
(33875, '80290', 'Equennes Eramecourt', '80', 'FR'),
(33876, '80290', '�ramecourt', '80', 'FR'),
(33877, '80500', 'Erches', '80', 'FR'),
(33878, '80930', 'Ercheu', '80', 'FR'),
(33879, '80210', 'Ercourt', '80', 'FR'),
(33880, '80690', 'Ergnies', '80', 'FR'),
(33881, '80580', '�rondelle', '80', 'FR'),
(33882, '80250', 'Esclainvillers', '80', 'FR'),
(33883, '80400', 'Esmery Hallon', '80', 'FR'),
(33884, '80160', 'Essertaux', '80', 'FR'),
(33885, '80230', 'Estr�boeuf', '80', 'FR'),
(33886, '80200', 'Estr�es Deni�court', '80', 'FR'),
(33887, '80200', 'Estr�es en Chauss�e', '80', 'FR'),
(33888, '80150', 'Estr�es l�s Cr�cy', '80', 'FR'),
(33889, '80250', 'Estr�es sur Noye', '80', 'FR'),
(33890, '80190', '�talon', '80', 'FR'),
(33891, '80500', '�telfay', '80', 'FR'),
(33892, '80200', '�terpigny', '80', 'FR'),
(33893, '80340', '�tinehem', '80', 'FR'),
(33894, '80830', 'L''�toile', '80', 'FR'),
(33895, '80140', '�tr�just', '80', 'FR'),
(33896, '80360', '�tricourt Manancourt', '80', 'FR'),
(33897, '80250', 'La Faloise', '80', 'FR'),
(33898, '80190', 'Falvy', '80', 'FR'),
(33899, '80290', 'Famechon', '80', 'FR'),
(33900, '80500', 'Faverolles', '80', 'FR'),
(33901, '80120', 'Favi�res', '80', 'FR'),
(33902, '80200', 'Fay', '80', 'FR'),
(33903, '80470', 'Ferri�res', '80', 'FR'),
(33904, '80500', 'Fescamps', '80', 'FR'),
(33905, '80200', 'Feuill�res', '80', 'FR'),
(33906, '80210', 'Feuqui�res en Vimeu', '80', 'FR'),
(33907, '80670', 'Fieffes', '80', 'FR'),
(33908, '80750', 'Fienvillers', '80', 'FR'),
(33909, '80500', 'Figni�res', '80', 'FR'),
(33910, '80360', 'Fins', '80', 'FR'),
(33911, '80200', 'Flaucourt', '80', 'FR'),
(33912, '80360', 'Flers', '80', 'FR'),
(33913, '80160', 'Flers sur Noye', '80', 'FR'),
(33914, '80260', 'Flesselles', '80', 'FR'),
(33915, '80160', 'Fleury', '80', 'FR'),
(33916, '80420', 'Flixecourt', '80', 'FR'),
(33917, '80540', 'Fluy', '80', 'FR'),
(33918, '80170', 'Folies', '80', 'FR'),
(33919, '80250', 'Folleville', '80', 'FR'),
(33920, '80700', 'Fonches Fonchette', '80', 'FR'),
(33921, '80140', 'Fontaine le Sec', '80', 'FR'),
(33922, '80340', 'Fontaine l�s Cappy', '80', 'FR'),
(33923, '80500', 'Fontaine sous Montdidier', '80', 'FR'),
(33924, '80150', 'Fontaine sur Maye', '80', 'FR'),
(33925, '80510', 'Fontaine sur Somme', '80', 'FR'),
(33926, '80560', 'Forceville', '80', 'FR'),
(33927, '80140', 'Forceville en Vimeu', '80', 'FR'),
(33928, '80150', 'Forest l''Abbaye', '80', 'FR'),
(33929, '80120', 'Forest Montiers', '80', 'FR'),
(33930, '80790', 'Fort Mahon Plage', '80', 'FR'),
(33931, '80160', 'Fossemanant', '80', 'FR'),
(33932, '80340', 'Foucaucourt en Santerre', '80', 'FR'),
(33933, '80140', 'Foucaucourt hors Nesle', '80', 'FR'),
(33934, '80440', 'Fouencamps', '80', 'FR'),
(33935, '80800', 'Fouilloy', '80', 'FR'),
(33936, '80170', 'Fouquescourt', '80', 'FR'),
(33937, '80590', 'Fourcigny', '80', 'FR'),
(33938, '80310', 'Fourdrinoy', '80', 'FR'),
(33939, '80131', 'Framerville Rainecourt', '80', 'FR'),
(33940, '80140', 'Framicourt', '80', 'FR'),
(33941, '80690', 'Franci�res', '80', 'FR'),
(33942, '80210', 'Franleu', '80', 'FR'),
(33943, '80620', 'Franqueville', '80', 'FR'),
(33944, '80700', 'Fransart', '80', 'FR'),
(33945, '80620', 'Fransu', '80', 'FR'),
(33946, '80160', 'Fransures', '80', 'FR'),
(33947, '80800', 'Franvillers', '80', 'FR'),
(33948, '80260', 'Fr�chencourt', '80', 'FR'),
(33949, '80160', 'Fr�montiers', '80', 'FR'),
(33950, '80320', 'Fresnes Mazancourt', '80', 'FR'),
(33951, '80140', 'Fresnes Tilloloy', '80', 'FR'),
(33952, '80140', 'Fresneville', '80', 'FR'),
(33953, '80140', 'Fresnoy Andainville', '80', 'FR'),
(33954, '80710', 'Fresnoy au Val', '80', 'FR'),
(33955, '80110', 'Fresnoy en Chauss�e', '80', 'FR'),
(33956, '80700', 'Fresnoy l�s Roye', '80', 'FR'),
(33957, '80390', 'Fressenneville', '80', 'FR'),
(33958, '80140', 'Frettecuisse', '80', 'FR'),
(33959, '80220', 'Frettemeule', '80', 'FR'),
(33960, '80290', 'Frettemolle', '80', 'FR'),
(33961, '80940', 'Friaucourt', '80', 'FR'),
(33962, '80290', 'Fricamps', '80', 'FR'),
(33963, '80300', 'Fricourt', '80', 'FR'),
(33964, '80340', 'Frise', '80', 'FR'),
(33965, '80130', 'Friville Escarbotin', '80', 'FR'),
(33966, '80370', 'Frohen le Grand', '80', 'FR'),
(33967, '80370', 'Frohen le Petit', '80', 'FR'),
(33968, '80150', 'Froyelles', '80', 'FR'),
(33969, '80490', 'Frucourt', '80', 'FR'),
(33970, '80220', 'Gamaches', '80', 'FR'),
(33971, '80150', 'Gapennes', '80', 'FR'),
(33972, '80590', 'Gauville', '80', 'FR'),
(33973, '80380', 'Gentelles', '80', 'FR'),
(33974, '80600', 'G�zaincourt', '80', 'FR'),
(33975, '80360', 'Ginchy', '80', 'FR'),
(33976, '80440', 'Glisy', '80', 'FR'),
(33977, '80690', 'Gorenflos', '80', 'FR'),
(33978, '80370', 'Gorges', '80', 'FR'),
(33979, '80640', 'Gouy l''H�pital', '80', 'FR'),
(33980, '80700', 'Goyencourt', '80', 'FR'),
(33981, '80300', 'Grandcourt', '80', 'FR'),
(33982, '80132', 'Grand Laviers', '80', 'FR'),
(33983, '80500', 'Gratibus', '80', 'FR'),
(33984, '80680', 'Grattepanche', '80', 'FR'),
(33985, '80140', 'Gr�bault Mesnil', '80', 'FR'),
(33986, '80400', 'Gr�court', '80', 'FR'),
(33987, '80250', 'Grivesnes', '80', 'FR'),
(33988, '80700', 'Grivillers', '80', 'FR'),
(33989, '80600', 'Grouches Luchuel', '80', 'FR'),
(33990, '80700', 'Gruny', '80', 'FR'),
(33991, '80430', 'Gu�micourt', '80', 'FR'),
(33992, '80500', 'Guerbigny', '80', 'FR'),
(33993, '80150', 'Gueschart', '80', 'FR'),
(33994, '80360', 'Gueudecourt', '80', 'FR'),
(33995, '80430', 'Guibermesnil', '80', 'FR'),
(33996, '80540', 'Guignemicourt', '80', 'FR'),
(33997, '80170', 'Guillaucourt', '80', 'FR'),
(33998, '80360', 'Guillemont', '80', 'FR'),
(33999, '80290', 'Guizancourt', '80', 'FR'),
(34000, '80250', 'Guyencourt sur Noye', '80', 'FR'),
(34001, '80240', 'Guyencourt Saulcourt', '80', 'FR'),
(34002, '80110', 'Hailles', '80', 'FR'),
(34003, '80490', 'Hallencourt', '80', 'FR'),
(34004, '80250', 'Hallivillers', '80', 'FR'),
(34005, '80670', 'Halloy l�s Pernois', '80', 'FR'),
(34006, '80320', 'Hallu', '80', 'FR'),
(34007, '80400', 'Ham', '80', 'FR'),
(34008, '80800', 'Le Hamel', '80', 'FR'),
(34009, '80800', 'Hamelet', '80', 'FR'),
(34010, '80240', 'Hancourt', '80', 'FR'),
(34011, '80110', 'Hangard', '80', 'FR'),
(34012, '80134', 'Hangest en Santerre', '80', 'FR'),
(34013, '80310', 'Hangest sur Somme', '80', 'FR'),
(34014, '80131', 'Harbonni�res', '80', 'FR'),
(34015, '80360', 'Hardecourt aux Bois', '80', 'FR'),
(34016, '80500', 'Hargicourt', '80', 'FR'),
(34017, '80560', 'Harponville', '80', 'FR'),
(34018, '80700', 'Hattencourt', '80', 'FR'),
(34019, '80132', 'Hautvillers Ouville', '80', 'FR'),
(34020, '80670', 'Havernas', '80', 'FR'),
(34021, '80680', 'H�b�court', '80', 'FR'),
(34022, '80560', 'H�dauville', '80', 'FR'),
(34023, '80113', 'Heilly', '80', 'FR'),
(34024, '80600', 'Hem Hardinval', '80', 'FR'),
(34025, '80360', 'Hem Monacu', '80', 'FR'),
(34026, '80300', 'H�nencourt', '80', 'FR'),
(34027, '80200', 'Herb�court', '80', 'FR'),
(34028, '80260', 'H�rissart', '80', 'FR'),
(34029, '80340', 'Herleville', '80', 'FR'),
(34030, '80190', 'Herly', '80', 'FR'),
(34031, '80240', 'Hervilly', '80', 'FR'),
(34032, '80240', 'Hesb�court', '80', 'FR'),
(34033, '80290', 'Hescamps', '80', 'FR'),
(34034, '80270', 'Heucourt Croquoison', '80', 'FR'),
(34035, '80122', 'Heudicourt', '80', 'FR'),
(34036, '80370', 'Heuzecourt', '80', 'FR'),
(34037, '80370', 'Hiermont', '80', 'FR'),
(34038, '80490', 'Hocquincourt', '80', 'FR'),
(34039, '80400', 'Hombleux', '80', 'FR'),
(34040, '80640', 'Hornoy le Bourg', '80', 'FR'),
(34041, '80132', 'Huchenneville', '80', 'FR'),
(34042, '80600', 'Humbercourt', '80', 'FR'),
(34043, '80140', 'Huppy', '80', 'FR'),
(34044, '80320', 'Hyencourt le Grand', '80', 'FR'),
(34045, '80720', 'Ignaucourt', '80', 'FR'),
(34046, '80430', 'Inval Boiron', '80', 'FR'),
(34047, '80300', 'Irles', '80', 'FR'),
(34048, '80250', 'Jumel', '80', 'FR'),
(34049, '80500', 'Laboissi�re en Santerre', '80', 'FR'),
(34050, '80430', 'Laboissi�re Saint Martin', '80', 'FR'),
(34051, '80290', 'Lachapelle', '80', 'FR'),
(34052, '80430', 'Lafresguimont St Martin', '80', 'FR'),
(34053, '80290', 'Lahaye Saint Romain', '80', 'FR'),
(34054, '80800', 'Lahoussoye', '80', 'FR'),
(34055, '80270', 'Laleu', '80', 'FR'),
(34056, '80590', 'Lamaronde', '80', 'FR'),
(34057, '80450', 'Lamotte Brebi�re', '80', 'FR'),
(34058, '80150', 'Lamotte Buleux', '80', 'FR'),
(34059, '80720', 'Lamotte Warfus�e', '80', 'FR'),
(34060, '80230', 'Lanch�res', '80', 'FR'),
(34061, '80190', 'Languevoisin Quiquery', '80', 'FR'),
(34062, '80620', 'Lanches Saint Hilaire', '80', 'FR'),
(34063, '80700', 'Laucourt', '80', 'FR'),
(34064, '80300', 'Lavi�ville', '80', 'FR'),
(34065, '80250', 'Lawarde Mauger l''Hortoy', '80', 'FR'),
(34066, '80560', 'L�alvillers', '80', 'FR'),
(34067, '80360', 'Lesboeufs', '80', 'FR'),
(34068, '80700', 'Liancourt Fosse', '80', 'FR'),
(34069, '80320', 'Licourt', '80', 'FR'),
(34070, '80240', 'Li�ramont', '80', 'FR'),
(34071, '80580', 'Liercourt', '80', 'FR'),
(34072, '80150', 'Ligescourt', '80', 'FR'),
(34073, '80500', 'Ligni�res', '80', 'FR'),
(34074, '80590', 'Ligni�res Ch�telain', '80', 'FR'),
(34075, '80140', 'Ligni�res en Vimeu', '80', 'FR'),
(34076, '80320', 'Lihons', '80', 'FR'),
(34077, '80490', 'Limeux', '80', 'FR'),
(34078, '80430', 'Liomer', '80', 'FR'),
(34079, '80160', 'Loeuilly', '80', 'FR'),
(34080, '80510', 'Long', '80', 'FR'),
(34081, '80240', 'Longavesnes', '80', 'FR'),
(34082, '80510', 'Longpr� les Corps Saints', '80', 'FR'),
(34083, '80330', 'Longueau', '80', 'FR'),
(34084, '80360', 'Longueval', '80', 'FR'),
(34085, '80600', 'Longuevillette', '80', 'FR'),
(34086, '80370', 'Longvillers', '80', 'FR'),
(34087, '80560', 'Louvencourt', '80', 'FR'),
(34088, '80250', 'Louvrechy', '80', 'FR'),
(34089, '80600', 'Lucheux', '80', 'FR'),
(34090, '80150', 'Machiel', '80', 'FR'),
(34091, '80150', 'Machy', '80', 'FR'),
(34092, '80560', 'Mailly Maillet', '80', 'FR'),
(34093, '80110', 'Mailly Raineval', '80', 'FR'),
(34094, '80220', 'Maisni�res', '80', 'FR'),
(34095, '80150', 'Maison Ponthieu', '80', 'FR'),
(34096, '80135', 'Maison Roland', '80', 'FR'),
(34097, '80370', 'Maizicourt', '80', 'FR'),
(34098, '80250', 'Malpart', '80', 'FR'),
(34099, '80300', 'Mametz', '80', 'FR'),
(34100, '80190', 'Manicourt', '80', 'FR'),
(34101, '80720', 'Marcelcave', '80', 'FR'),
(34102, '80700', 'March� Allouarde', '80', 'FR'),
(34103, '80200', 'March�lepot', '80', 'FR'),
(34104, '80150', 'Marcheville', '80', 'FR'),
(34105, '80500', 'Marestmontiers', '80', 'FR'),
(34106, '80132', 'Mareuil Caubert', '80', 'FR'),
(34107, '80360', 'Maricourt', '80', 'FR'),
(34108, '80560', 'Marieux', '80', 'FR'),
(34109, '80590', 'Marlers', '80', 'FR'),
(34110, '80240', 'Marquaix', '80', 'FR'),
(34111, '80700', 'Marquivillers', '80', 'FR'),
(34112, '80140', 'Martainneville', '80', 'FR'),
(34113, '80400', 'Matigny', '80', 'FR'),
(34114, '80170', 'Maucourt', '80', 'FR'),
(34115, '80360', 'Maurepas', '80', 'FR'),
(34116, '80430', 'Le Mazis', '80', 'FR'),
(34117, '80810', 'M�aulte', '80', 'FR'),
(34118, '80170', 'M�haricourt', '80', 'FR'),
(34119, '80590', 'Meigneux', '80', 'FR'),
(34120, '80370', 'Le Meillard', '80', 'FR'),
(34121, '80520', 'M�neslies', '80', 'FR'),
(34122, '80290', 'M�r�aucourt', '80', 'FR'),
(34123, '80490', 'M�r�lessart', '80', 'FR'),
(34124, '80113', 'M�ricourt l''Abb�', '80', 'FR'),
(34125, '80640', 'M�ricourt en Vimeu', '80', 'FR'),
(34126, '80340', 'M�ricourt sur Somme', '80', 'FR'),
(34127, '80350', 'Mers les Bains', '80', 'FR'),
(34128, '80310', 'Le Mesge', '80', 'FR'),
(34129, '80200', 'Mesnil Bruntel', '80', 'FR'),
(34130, '80620', 'Mesnil Domqueur', '80', 'FR'),
(34131, '80360', 'Mesnil en Arrouaise', '80', 'FR'),
(34132, '80140', 'Mesnil Eudin', '80', 'FR'),
(34133, '80300', 'Mesnil Martinsart', '80', 'FR'),
(34134, '80500', 'Mesnil Saint Georges', '80', 'FR'),
(34135, '80190', 'Mesnil Saint Nicaise', '80', 'FR'),
(34136, '80270', 'M�tigny', '80', 'FR'),
(34137, '80600', 'M�zerolles', '80', 'FR'),
(34138, '80110', 'M�zi�res en Santerre', '80', 'FR'),
(34139, '80132', 'Miannay', '80', 'FR'),
(34140, '80300', 'Millencourt', '80', 'FR'),
(34141, '80135', 'Millencourt en Ponthieu', '80', 'FR'),
(34142, '80300', 'Miraumont', '80', 'FR'),
(34143, '80260', 'Mirvaux', '80', 'FR'),
(34144, '80320', 'Misery', '80', 'FR'),
(34145, '80760', 'Moislains', '80', 'FR'),
(34146, '80260', 'Molliens au Bois', '80', 'FR'),
(34147, '80540', 'Molliens Dreuil', '80', 'FR'),
(34148, '80200', 'Monchy Lagache', '80', 'FR'),
(34149, '80210', 'Mons Boubert', '80', 'FR'),
(34150, '80200', 'Estr�es Mons', '80', 'FR'),
(34151, '80160', 'Monsures', '80', 'FR'),
(34152, '80540', 'Montagne Fayel', '80', 'FR'),
(34153, '80300', 'Montauban de Picardie', '80', 'FR'),
(34154, '80500', 'Montdidier', '80', 'FR'),
(34155, '80260', 'Montigny sur l''Hallue', '80', 'FR'),
(34156, '80370', 'Montigny les Jongleurs', '80', 'FR'),
(34157, '80430', 'Montmarquet', '80', 'FR'),
(34158, '80260', 'Montonvillers', '80', 'FR'),
(34159, '80670', 'Fieffes Montrelet', '80', 'FR'),
(34160, '80190', 'Morchain', '80', 'FR'),
(34161, '80340', 'Morcourt', '80', 'FR'),
(34162, '80110', 'Moreuil', '80', 'FR'),
(34163, '80110', 'Morisel', '80', 'FR'),
(34164, '80300', 'Morlancourt', '80', 'FR'),
(34165, '80590', 'Morvillers Saint Saturnin', '80', 'FR'),
(34166, '80690', 'Mouflers', '80', 'FR'),
(34167, '80140', 'Moufli�res', '80', 'FR'),
(34168, '80400', 'Moyencourt', '80', 'FR'),
(34169, '80290', 'Moyencourt l�s Poix', '80', 'FR'),
(34170, '80870', 'Moyenneville', '80', 'FR'),
(34171, '80400', 'Muille Villette', '80', 'FR'),
(34172, '80120', 'Nampont', '80', 'FR'),
(34173, '80710', 'Namps au Mont', '80', 'FR'),
(34174, '80710', 'Namps Maisnil', '80', 'FR'),
(34175, '80160', 'Nampty', '80', 'FR'),
(34176, '80260', 'Naours', '80', 'FR'),
(34177, '80190', 'Nesle', '80', 'FR'),
(34178, '80140', 'Nesle l''H�pital', '80', 'FR'),
(34179, '80140', 'Neslette', '80', 'FR'),
(34180, '80132', 'Neufmoulin', '80', 'FR'),
(34181, '80150', 'Neuilly le Dien', '80', 'FR'),
(34182, '80132', 'Neuilly l''H�pital', '80', 'FR'),
(34183, '80140', 'Neuville au Bois', '80', 'FR'),
(34184, '80430', 'Neuville Coppegueule', '80', 'FR'),
(34185, '80340', 'La Neuville l�s Bray', '80', 'FR'),
(34186, '80160', 'Neuville l�s Loeuilly', '80', 'FR'),
(34187, '80110', 'Neuville Sire Bernard', '80', 'FR'),
(34188, '80600', 'Neuvillette', '80', 'FR'),
(34189, '80390', 'Nibas', '80', 'FR'),
(34190, '80860', 'Nouvion', '80', 'FR'),
(34191, '80150', 'Noyelles en Chauss�e', '80', 'FR'),
(34192, '80860', 'Noyelles sur Mer', '80', 'FR'),
(34193, '80240', 'Nurlu', '80', 'FR'),
(34194, '80600', 'Occoches', '80', 'FR'),
(34195, '80210', 'Ochancourt', '80', 'FR'),
(34196, '80590', 'Offignies', '80', 'FR'),
(34197, '80400', 'Offoy', '80', 'FR'),
(34198, '80140', 'Oisemont', '80', 'FR'),
(34199, '80540', 'Oissy', '80', 'FR'),
(34200, '80320', 'Omi�court', '80', 'FR'),
(34201, '80135', 'Oneux', '80', 'FR'),
(34202, '80500', 'Onvillers', '80', 'FR'),
(34203, '80160', 'Oresmaux', '80', 'FR'),
(34204, '80640', 'Orival', '80', 'FR'),
(34205, '80460', 'Oust Marest', '80', 'FR'),
(34206, '80600', 'Outrebois', '80', 'FR'),
(34207, '80300', 'Ovillers la Boisselle', '80', 'FR'),
(34208, '80190', 'Pargny', '80', 'FR'),
(34209, '80700', 'Parvillers le Quesnoy', '80', 'FR'),
(34210, '80230', 'Pend�', '80', 'FR'),
(34211, '80670', 'Pernois', '80', 'FR'),
(34212, '80200', 'P�ronne', '80', 'FR'),
(34213, '80320', 'Pertain', '80', 'FR'),
(34214, '80310', 'Picquigny', '80', 'FR'),
(34215, '80500', 'Piennes Onvillers', '80', 'FR'),
(34216, '80260', 'Pierregot', '80', 'FR'),
(34217, '80500', 'Pierrepont sur Avre', '80', 'FR'),
(34218, '80540', 'Pissy', '80', 'FR'),
(34219, '80160', 'Plachy Buyon', '80', 'FR'),
(34220, '80110', 'Plessier Rozainvillers', '80', 'FR'),
(34221, '80240', 'Poeuilly', '80', 'FR'),
(34222, '80290', 'Poix de Picardie', '80', 'FR'),
(34223, '80150', 'Ponches Estruval', '80', 'FR'),
(34224, '80480', 'Pont de Metz', '80', 'FR'),
(34225, '80860', 'Ponthoile', '80', 'FR'),
(34226, '80115', 'Pont Noyelles', '80', 'FR'),
(34227, '80580', 'Pont R�my', '80', 'FR'),
(34228, '80132', 'Port le Grand', '80', 'FR'),
(34229, '80190', 'Potte', '80', 'FR'),
(34230, '80260', 'Poulainville', '80', 'FR'),
(34231, '80300', 'Pozi�res', '80', 'FR'),
(34232, '80370', 'Prouville', '80', 'FR'),
(34233, '80160', 'Prouzel', '80', 'FR'),
(34234, '80121', 'Proyart', '80', 'FR'),
(34235, '80560', 'Puchevillers', '80', 'FR'),
(34236, '80320', 'Punchy', '80', 'FR'),
(34237, '80320', 'Puzeaux', '80', 'FR'),
(34238, '80300', 'Pys', '80', 'FR'),
(34239, '80120', 'Quend', '80', 'FR'),
(34240, '80115', 'Querrieu', '80', 'FR'),
(34241, '80430', 'Le Quesne', '80', 'FR'),
(34242, '80118', 'Le Quesnel', '80', 'FR'),
(34243, '80132', 'Quesnoy le Montant', '80', 'FR'),
(34244, '80270', 'Quesnoy sur Airaines', '80', 'FR'),
(34245, '80710', 'Quevauvillers', '80', 'FR'),
(34246, '80250', 'Quiry le Sec', '80', 'FR'),
(34247, '80400', 'Quivi�res', '80', 'FR'),
(34248, '80600', 'Raincheval', '80', 'FR'),
(34249, '80260', 'Rainneville', '80', 'FR'),
(34250, '80140', 'Ramburelles', '80', 'FR'),
(34251, '80140', 'Rambures', '80', 'FR'),
(34252, '80360', 'Rancourt', '80', 'FR'),
(34253, '80120', 'Regni�re �cluse', '80', 'FR'),
(34254, '80600', 'Remaisnil', '80', 'FR'),
(34255, '80500', 'Remaugies', '80', 'FR'),
(34256, '80250', 'Remiencourt', '80', 'FR'),
(34257, '80700', 'R�thonvillers', '80', 'FR'),
(34258, '80540', 'Revelles', '80', 'FR'),
(34259, '80620', 'Ribeaucourt', '80', 'FR'),
(34260, '80113', 'Ribemont sur Ancre', '80', 'FR'),
(34261, '80310', 'Riencourt', '80', 'FR'),
(34262, '80136', 'Rivery', '80', 'FR'),
(34263, '80160', 'Rogy', '80', 'FR'),
(34264, '80700', 'Roiglise', '80', 'FR'),
(34265, '80240', 'Roisel', '80', 'FR'),
(34266, '80500', 'Rollot', '80', 'FR'),
(34267, '80740', 'Ronssoy', '80', 'FR'),
(34268, '80170', 'Rosi�res en Santerre', '80', 'FR'),
(34269, '80250', 'Rouvrel', '80', 'FR'),
(34270, '80170', 'Rouvroy en Santerre', '80', 'FR'),
(34271, '80190', 'Rouy le Grand', '80', 'FR'),
(34272, '80190', 'Rouy le Petit', '80', 'FR'),
(34273, '80700', 'Roye', '80', 'FR'),
(34274, '80260', 'Rubempr�', '80', 'FR'),
(34275, '80500', 'Rubescourt', '80', 'FR'),
(34276, '80120', 'Rue', '80', 'FR'),
(34277, '80710', 'Rumaisnil', '80', 'FR'),
(34278, '80680', 'Rumigny', '80', 'FR'),
(34279, '80230', 'Saigneville', '80', 'FR'),
(34280, '80970', 'Sailly Flibeaucourt', '80', 'FR'),
(34281, '80800', 'Sailly Laurette', '80', 'FR'),
(34282, '80800', 'Sailly le Sec', '80', 'FR'),
(34283, '80360', 'Sailly Saillisel', '80', 'FR'),
(34284, '80680', 'Sains en Ami�nois', '80', 'FR'),
(34285, '80370', 'Saint Acheul', '80', 'FR'),
(34286, '80540', 'Saint Aubin Mont�noy', '80', 'FR'),
(34287, '80430', 'Saint Aubin Rivi�re', '80', 'FR'),
(34288, '80960', 'Saint Blimont', '80', 'FR'),
(34289, '80200', 'Saint Christ Briost', '80', 'FR'),
(34290, '80680', 'Saint Fuscien', '80', 'FR'),
(34291, '80430', 'Saint Germain sur Bresle', '80', 'FR'),
(34292, '80260', 'Saint Gratien', '80', 'FR'),
(34293, '80560', 'Saint L�ger l�s Authie', '80', 'FR'),
(34294, '80780', 'Saint L�ger l�s Domart', '80', 'FR'),
(34295, '80140', 'Saint L�ger sur Bresle', '80', 'FR'),
(34296, '80700', 'Saint Mard', '80', 'FR'),
(34297, '80140', 'Saint Maulvis', '80', 'FR'),
(34298, '80140', 'Saint Maxent', '80', 'FR'),
(34299, '80610', 'Saint Ouen', '80', 'FR'),
(34300, '80120', 'Saint Quentin en Tourmont', '80', 'FR'),
(34301, '80880', 'St Quentin la Motte Croix au Bail', '80', 'FR'),
(34302, '80135', 'Saint Riquier', '80', 'FR'),
(34303, '80160', 'Saint Sauflieu', '80', 'FR'),
(34304, '80470', 'Saint Sauveur', '80', 'FR'),
(34305, '80290', 'Sainte Segr�e', '80', 'FR'),
(34306, '80230', 'Saint Val�ry sur Somme', '80', 'FR'),
(34307, '80310', 'St Vaast en Chauss�e', '80', 'FR'),
(34308, '80540', 'Saisseval', '80', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(34309, '80480', 'Saleux', '80', 'FR'),
(34310, '80480', 'Salou�l', '80', 'FR'),
(34311, '80400', 'Sancourt', '80', 'FR'),
(34312, '80290', 'Saulchoy sous Poix', '80', 'FR'),
(34313, '80110', 'Sauvillers Mongival', '80', 'FR'),
(34314, '80730', 'Saveuse', '80', 'FR'),
(34315, '80640', 'Selincourt', '80', 'FR'),
(34316, '80140', 'Senarpont', '80', 'FR'),
(34317, '80300', 'Senlis le Sec', '80', 'FR'),
(34318, '80160', 'Sentelie', '80', 'FR'),
(34319, '80540', 'Seux', '80', 'FR'),
(34320, '80490', 'Sorel en Vimeu', '80', 'FR'),
(34321, '80240', 'Sorel', '80', 'FR'),
(34322, '80310', 'Soues', '80', 'FR'),
(34323, '80290', 'Souplicourt', '80', 'FR'),
(34324, '80250', 'Sourdon', '80', 'FR'),
(34325, '80200', 'Soy�court', '80', 'FR'),
(34326, '80620', 'Surcamps', '80', 'FR'),
(34327, '80340', 'Suzanne', '80', 'FR'),
(34328, '80270', 'Tailly', '80', 'FR'),
(34329, '80710', 'Taisnil', '80', 'FR'),
(34330, '80260', 'Talmas', '80', 'FR'),
(34331, '80240', 'Templeux la Fosse', '80', 'FR'),
(34332, '80240', 'Templeux le Gu�rard', '80', 'FR'),
(34333, '80600', 'Terramesnil', '80', 'FR'),
(34334, '80200', 'Tertry', '80', 'FR'),
(34335, '80110', 'Thennes', '80', 'FR'),
(34336, '80110', 'Th�zy Glimont', '80', 'FR'),
(34337, '80300', 'Thiepval', '80', 'FR'),
(34338, '80126', 'Thieulloy l''Abbaye', '80', 'FR'),
(34339, '80290', 'Thieulloy la Ville', '80', 'FR'),
(34340, '62760', 'Thi�vres', '62', 'FR'),
(34341, '80160', 'Thoix', '80', 'FR'),
(34342, '80250', 'Thory', '80', 'FR'),
(34343, '80700', 'Tilloloy', '80', 'FR'),
(34344, '80220', 'Tilloy Floriville', '80', 'FR'),
(34345, '80160', 'Tilloy l�s Conty', '80', 'FR'),
(34346, '80240', 'Tincourt Boucly', '80', 'FR'),
(34347, '80132', 'Le Titre', '80', 'FR'),
(34348, '80870', 'Toeufles', '80', 'FR'),
(34349, '80210', 'Tours en Vimeu', '80', 'FR'),
(34350, '80560', 'Toutencourt', '80', 'FR'),
(34351, '80140', 'Le Translay', '80', 'FR'),
(34352, '80640', 'Tronchoy', '80', 'FR'),
(34353, '80300', 'Treux', '80', 'FR'),
(34354, '80530', 'Tully', '80', 'FR'),
(34355, '80400', 'Ugny l''�quip�e', '80', 'FR'),
(34356, '80370', 'Vacquerie', '80', 'FR'),
(34357, '80560', 'Vadencourt', '80', 'FR'),
(34358, '80800', 'Vaire sous Corbie', '80', 'FR'),
(34359, '80210', 'Valines', '80', 'FR'),
(34360, '80560', 'Varennes', '80', 'FR'),
(34361, '80560', 'Vauchelles l�s Authie', '80', 'FR'),
(34362, '80620', 'Vauchelles l�s Domart', '80', 'FR'),
(34363, '80132', 'Vauchelles l�s Quesnoy', '80', 'FR'),
(34364, '80230', 'Vaudricourt', '80', 'FR'),
(34365, '80131', 'Vauvillers', '80', 'FR'),
(34366, '80260', 'Vaux en Ami�nois', '80', 'FR'),
(34367, '80140', 'Vaux Marquenneville', '80', 'FR'),
(34368, '80800', 'Vaux sur Somme', '80', 'FR'),
(34369, '80800', 'Vecquemont', '80', 'FR'),
(34370, '80160', 'Velennes', '80', 'FR'),
(34371, '80120', 'Vercourt', '80', 'FR'),
(34372, '80270', 'Vergies', '80', 'FR'),
(34373, '80320', 'Vermandovillers', '80', 'FR'),
(34374, '80700', 'Verpilli�res', '80', 'FR'),
(34375, '80480', 'Vers sur Selles', '80', 'FR'),
(34376, '80260', 'La Vicogne', '80', 'FR'),
(34377, '80650', 'Vignacourt', '80', 'FR'),
(34378, '80190', 'Villecourt', '80', 'FR'),
(34379, '80420', 'Ville le Marclet', '80', 'FR'),
(34380, '80140', 'Villeroy', '80', 'FR'),
(34381, '80110', 'Villers aux �rables', '80', 'FR'),
(34382, '80260', 'Villers Bocage', '80', 'FR'),
(34383, '80380', 'Villers Bretonneux', '80', 'FR'),
(34384, '80140', 'Villers Campsart', '80', 'FR'),
(34385, '80200', 'Villers Carbonnel', '80', 'FR'),
(34386, '80112', 'Villers Faucon', '80', 'FR'),
(34387, '80700', 'Villers l�s Roye', '80', 'FR'),
(34388, '80690', 'Villers sous Ailly', '80', 'FR'),
(34389, '80500', 'Villers Tournelle', '80', 'FR'),
(34390, '80120', 'Villers sur Authie', '80', 'FR'),
(34391, '80300', 'Ville sur Ancre', '80', 'FR'),
(34392, '80150', 'Vironchaux', '80', 'FR'),
(34393, '80140', 'Vismes', '80', 'FR'),
(34394, '80150', 'Vitz sur Authie', '80', 'FR'),
(34395, '80400', 'Voyennes', '80', 'FR'),
(34396, '80240', 'Vraignes en Vermandois', '80', 'FR'),
(34397, '80640', 'Vraignes l�s Hornoy', '80', 'FR'),
(34398, '80170', 'Vr�ly', '80', 'FR'),
(34399, '80120', 'Vron', '80', 'FR'),
(34400, '80160', 'Wailly', '80', 'FR'),
(34401, '80490', 'Wanel', '80', 'FR'),
(34402, '80720', 'Warfus�e Abancourt', '80', 'FR'),
(34403, '80670', 'Wargnies', '80', 'FR'),
(34404, '80300', 'Warloy Baillon', '80', 'FR'),
(34405, '80270', 'Warlus', '80', 'FR'),
(34406, '80500', 'Warsy', '80', 'FR'),
(34407, '80170', 'Warvillers', '80', 'FR'),
(34408, '80170', 'Wiencourt l''�quip�e', '80', 'FR'),
(34409, '80270', 'Wiry au Mont', '80', 'FR'),
(34410, '80460', 'Woignarue', '80', 'FR'),
(34411, '80520', 'Woincourt', '80', 'FR'),
(34412, '80140', 'Woirel', '80', 'FR'),
(34413, '80190', 'Y', '80', 'FR'),
(34414, '80135', 'Yaucourt Bussus', '80', 'FR'),
(34415, '80150', 'Yvrench', '80', 'FR'),
(34416, '80150', 'Yvrencheux', '80', 'FR'),
(34417, '80520', 'Yzengremer', '80', 'FR'),
(34418, '80310', 'Yzeux', '80', 'FR'),
(34419, '80132', 'Yonval', '80', 'FR'),
(34420, '80590', 'Digeon', '80', 'FR'),
(34421, '81470', 'Aguts', '81', 'FR'),
(34422, '81200', 'Aiguefonde', '81', 'FR'),
(34423, '81250', 'Alban', '81', 'FR'),
(34424, '81990', 'Albi', '81', 'FR'),
(34425, '81000', 'Albi', '81', 'FR'),
(34426, '81240', 'Albine', '81', 'FR'),
(34427, '81470', 'Algans', '81', 'FR'),
(34428, '81140', 'los', '81', 'FR'),
(34429, '81190', 'Almayrac', '81', 'FR'),
(34430, '81170', 'Amarens', '81', 'FR'),
(34431, '81430', 'Ambialet', '81', 'FR'),
(34432, '81500', 'Ambres', '81', 'FR'),
(34433, '81140', 'Andillac', '81', 'FR'),
(34434, '81350', 'Andouque', '81', 'FR'),
(34435, '81260', 'Angl�s', '81', 'FR'),
(34436, '81700', 'Appelle', '81', 'FR'),
(34437, '81110', 'Arfons', '81', 'FR'),
(34438, '81360', 'Arifat', '81', 'FR'),
(34439, '81160', 'Arth�s', '81', 'FR'),
(34440, '81340', 'Assac', '81', 'FR'),
(34441, '81600', 'Aussac', '81', 'FR'),
(34442, '81200', 'Aussillon', '81', 'FR'),
(34443, '81500', 'Banni�res', '81', 'FR'),
(34444, '81320', 'Barre', '81', 'FR'),
(34445, '81630', 'Beauvais sur Tescou', '81', 'FR'),
(34446, '81500', 'Belcastel', '81', 'FR'),
(34447, '81430', 'Bellegarde', '81', 'FR'),
(34448, '81540', 'Belleserre', '81', 'FR'),
(34449, '81260', 'Berlats', '81', 'FR'),
(34450, '81150', 'Bernac', '81', 'FR'),
(34451, '81700', 'Bertre', '81', 'FR'),
(34452, '81260', 'Le Bez', '81', 'FR'),
(34453, '81700', 'Blan', '81', 'FR'),
(34454, '81400', 'Blaye les Mines', '81', 'FR'),
(34455, '81490', 'Boissezon', '81', 'FR'),
(34456, '81170', 'Bournazel', '81', 'FR'),
(34457, '81660', 'Bout du Pont de Larn', '81', 'FR'),
(34458, '81260', 'Brassac', '81', 'FR'),
(34459, '81600', 'Brens', '81', 'FR'),
(34460, '81390', 'Briatexte', '81', 'FR'),
(34461, '81440', 'Brousse', '81', 'FR'),
(34462, '81600', 'Broze', '81', 'FR'),
(34463, '81100', 'Burlats', '81', 'FR'),
(34464, '81300', 'Busque', '81', 'FR'),
(34465, '81500', 'Caban�s', '81', 'FR'),
(34466, '81170', 'Les Cabannes', '81', 'FR'),
(34467, '81600', 'Cadalen', '81', 'FR'),
(34468, '81340', 'Cadix', '81', 'FR'),
(34469, '81130', 'Cagnac les Mines', '81', 'FR'),
(34470, '81540', 'ahuzac', '81', 'FR'),
(34471, '81470', 'Cambon l�s Lavaur', '81', 'FR'),
(34472, '81140', 'Cahuzac sur V�re', '81', 'FR'),
(34473, '81990', 'Cambon', '81', 'FR'),
(34474, '81260', 'Camboun�s', '81', 'FR'),
(34475, '81580', 'Cambounet sur le Sor', '81', 'FR'),
(34476, '81540', 'Les Cammazes', '81', 'FR'),
(34477, '81140', 'Campagnac', '81', 'FR'),
(34478, '81170', 'Campes', '81', 'FR'),
(34479, '81570', 'Carbes', '81', 'FR'),
(34480, '81990', 'Carlus', '81', 'FR'),
(34481, '81400', 'Carmaux', '81', 'FR'),
(34482, '81150', 'Castanet', '81', 'FR'),
(34483, '81260', 'Castelnau de Brassac', '81', 'FR'),
(34484, '81150', 'Castelnau de L�vis', '81', 'FR'),
(34485, '81140', 'Castelnau de Montmiral', '81', 'FR'),
(34486, '81100', 'Castres', '81', 'FR'),
(34487, '81200', 'Caucali�res', '81', 'FR'),
(34488, '81150', 'Cestayrols', '81', 'FR'),
(34489, '81640', 'Combefa', '81', 'FR'),
(34490, '81170', 'Cordes sur Ciel', '81', 'FR'),
(34491, '81800', 'Coufouleux', '81', 'FR'),
(34492, '81340', 'Courris', '81', 'FR'),
(34493, '81350', 'Crespin', '81', 'FR'),
(34494, '81350', 'Crespinet', '81', 'FR'),
(34495, '81990', 'Cunac', '81', 'FR'),
(34496, '81570', 'Cuq', '81', 'FR'),
(34497, '81470', 'Cuq Toulza', '81', 'FR'),
(34498, '81250', 'Curvalle', '81', 'FR'),
(34499, '81220', 'Damiatte', '81', 'FR'),
(34500, '81120', 'D�nat', '81', 'FR'),
(34501, '81170', 'Donnazac', '81', 'FR'),
(34502, '81110', 'Dourgne', '81', 'FR'),
(34503, '81340', 'Le Dourn', '81', 'FR'),
(34504, '81540', 'Durfort', '81', 'FR'),
(34505, '81290', 'Escoussens', '81', 'FR'),
(34506, '81530', 'Escroux', '81', 'FR'),
(34507, '81260', 'Esp�rausses', '81', 'FR'),
(34508, '81150', 'Fayssac', '81', 'FR'),
(34509, '81120', 'Fauch', '81', 'FR'),
(34510, '81340', 'Faussergues', '81', 'FR'),
(34511, '81600', 'F�nols', '81', 'FR'),
(34512, '81260', 'Ferri�res', '81', 'FR'),
(34513, '81500', 'Fiac', '81', 'FR'),
(34514, '81150', 'Florentin', '81', 'FR'),
(34515, '81340', 'Fraissines', '81', 'FR'),
(34516, '81170', 'Frausseilles', '81', 'FR'),
(34517, '81430', 'Le Fraysse', '81', 'FR'),
(34518, '81990', 'Fr�jairolles', '81', 'FR'),
(34519, '81570', 'Fr�jeville', '81', 'FR'),
(34520, '81600', 'Gaillac', '81', 'FR'),
(34521, '81700', 'Garrevaques', '81', 'FR'),
(34522, '81450', 'Le Garric', '81', 'FR'),
(34523, '81500', 'Garrigues', '81', 'FR'),
(34524, '81530', 'Gijounet', '81', 'FR'),
(34525, '81500', 'Giroussens', '81', 'FR'),
(34526, '81300', 'Graulhet', '81', 'FR'),
(34527, '81800', 'Grazac', '81', 'FR'),
(34528, '81220', 'Guitalens', '81', 'FR'),
(34529, '81170', 'Itzac', '81', 'FR'),
(34530, '81440', 'Jonqui�res', '81', 'FR'),
(34531, '81190', 'Jouqueviel', '81', 'FR'),
(34532, '81170', 'Labarthe Bleys', '81', 'FR'),
(34533, '81150', 'Labastide de L�vis', '81', 'FR'),
(34534, '81120', 'Labastide D�nat', '81', 'FR'),
(34535, '81400', 'Labastide Gabausse', '81', 'FR'),
(34536, '81270', 'Labastide Rouairoux', '81', 'FR'),
(34537, '81500', 'Labastide Saint Georges', '81', 'FR'),
(34538, '81300', 'Labessi�re Candeil', '81', 'FR'),
(34539, '81100', 'Laboulb�ne', '81', 'FR'),
(34540, '81120', 'Laboutari�', '81', 'FR'),
(34541, '81290', 'Labrugui�re', '81', 'FR'),
(34542, '81240', 'Lacabar�de', '81', 'FR'),
(34543, '81340', 'Lacapelle Pinet', '81', 'FR'),
(34544, '81170', 'Lacapelle S�galar', '81', 'FR'),
(34545, '81230', 'Lacaune', '81', 'FR'),
(34546, '81330', 'Lacaze', '81', 'FR'),
(34547, '81500', 'Lacougotte Cadoul', '81', 'FR'),
(34548, '81470', 'Lacroisille', '81', 'FR'),
(34549, '81210', 'Lacrouzette', '81', 'FR'),
(34550, '81110', 'Lagardiolle', '81', 'FR'),
(34551, '81090', 'Lagarrigue', '81', 'FR'),
(34552, '81150', 'Lagrave', '81', 'FR'),
(34553, '81220', 'Lalbar�de', '81', 'FR'),
(34554, '81120', 'Lamillari�', '81', 'FR'),
(34555, '81260', 'Lamont�lari�', '81', 'FR'),
(34556, '81640', 'Laparrouquial', '81', 'FR'),
(34557, '81140', 'Larroque', '81', 'FR'),
(34558, '81260', 'Lasfaillades', '81', 'FR'),
(34559, '81300', 'Lasgraisses', '81', 'FR'),
(34560, '81440', 'Lautrec', '81', 'FR'),
(34561, '81500', 'Lavaur', '81', 'FR'),
(34562, '81340', 'L�das et Penthi�s', '81', 'FR'),
(34563, '81700', 'Lempaut', '81', 'FR'),
(34564, '81110', 'Lescout', '81', 'FR'),
(34565, '81380', 'Lescure d''Albigeois', '81', 'FR'),
(34566, '81310', 'Lisle sur Tarn', '81', 'FR'),
(34567, '81170', 'Livers Cazelles', '81', 'FR'),
(34568, '81120', 'Lombers', '81', 'FR'),
(34569, '81170', 'Loubers', '81', 'FR'),
(34570, '81800', 'Loupiac', '81', 'FR'),
(34571, '81500', 'Lugan', '81', 'FR'),
(34572, '81220', 'Magrin', '81', 'FR'),
(34573, '81130', 'Mailhoc', '81', 'FR'),
(34574, '81260', 'Margn�s', '81', 'FR'),
(34575, '81170', 'Marnaves', '81', 'FR'),
(34576, '81430', 'Marsal', '81', 'FR'),
(34577, '81150', 'Marssac sur Tarn', '81', 'FR'),
(34578, '81500', 'Marzens', '81', 'FR'),
(34579, '81530', 'Le Masnau Massugui�s', '81', 'FR'),
(34580, '81500', 'Massac S�ran', '81', 'FR'),
(34581, '81110', 'Massaguel', '81', 'FR'),
(34582, '81250', 'Massals', '81', 'FR'),
(34583, '81470', 'Maurens Scopont', '81', 'FR'),
(34584, '81200', 'Mazamet', '81', 'FR'),
(34585, '81800', 'M�zens', '81', 'FR'),
(34586, '81170', 'Milhars', '81', 'FR'),
(34587, '81130', 'Milhavet', '81', 'FR'),
(34588, '81250', 'Miolles', '81', 'FR'),
(34589, '81190', 'Mirandol Bourgnounac', '81', 'FR'),
(34590, '81300', 'Miss�cle', '81', 'FR'),
(34591, '81640', 'Monesti�s', '81', 'FR'),
(34592, '81600', 'Montans', '81', 'FR'),
(34593, '81190', 'Montauriol', '81', 'FR'),
(34594, '81500', 'Montcabrier', '81', 'FR'),
(34595, '81440', 'Montdragon', '81', 'FR'),
(34596, '81630', 'Montdurausse', '81', 'FR'),
(34597, '81140', 'Montels', '81', 'FR'),
(34598, '81210', 'Montfa', '81', 'FR'),
(34599, '81800', 'Montgaillard', '81', 'FR'),
(34600, '81470', 'Montgey', '81', 'FR'),
(34601, '81190', 'Montirat', '81', 'FR'),
(34602, '81440', 'Montpinier', '81', 'FR'),
(34603, '81360', 'Montredon Labessonni�', '81', 'FR'),
(34604, '81120', 'Mont Roc', '81', 'FR'),
(34605, '81170', 'Montrosier', '81', 'FR'),
(34606, '81630', 'Montvalen', '81', 'FR'),
(34607, '81190', 'Moular�s', '81', 'FR'),
(34608, '81300', 'Moulayr�s', '81', 'FR'),
(34609, '81320', 'Moulin Mage', '81', 'FR'),
(34610, '81470', 'Mouzens', '81', 'FR'),
(34611, '81430', 'Mouzieys Teulet', '81', 'FR'),
(34612, '81170', 'Mouzieys Panens', '81', 'FR'),
(34613, '81320', 'Murat sur V�bre', '81', 'FR'),
(34614, '81320', 'Nages', '81', 'FR'),
(34615, '81190', 'Narthoux', '81', 'FR'),
(34616, '81710', 'Nav�s', '81', 'FR'),
(34617, '81490', 'Noailhac', '81', 'FR'),
(34618, '81170', 'Noailles', '81', 'FR'),
(34619, '81120', 'Orban', '81', 'FR'),
(34620, '81340', 'Padi�s', '81', 'FR'),
(34621, '81700', 'Palleville', '81', 'FR'),
(34622, '81190', 'Pampelonne', '81', 'FR'),
(34623, '81310', 'Parisot', '81', 'FR'),
(34624, '81250', 'Paulinet', '81', 'FR'),
(34625, '81660', 'Payrin Augmontel', '81', 'FR'),
(34626, '81470', 'P�chaudier', '81', 'FR'),
(34627, '81140', 'Penne', '81', 'FR'),
(34628, '81440', 'Peyregoux', '81', 'FR'),
(34629, '81310', 'Peyrole', '81', 'FR'),
(34630, '81660', 'Pont de Larn', '81', 'FR'),
(34631, '81700', 'Poudis', '81', 'FR'),
(34632, '81120', 'Poulan Pouzols', '81', 'FR'),
(34633, '81220', 'Prades', '81', 'FR'),
(34634, '81500', 'Pratviel', '81', 'FR'),
(34635, '81470', 'Pu�choursi', '81', 'FR'),
(34636, '81390', 'Puybegon', '81', 'FR'),
(34637, '81440', 'Puycalvel', '81', 'FR'),
(34638, '81140', 'Puycelci', '81', 'FR'),
(34639, '81990', 'Puygouzon', '81', 'FR'),
(34640, '81700', 'Puylaurens', '81', 'FR'),
(34641, '81800', 'Rabastens', '81', 'FR'),
(34642, '81330', 'Rayssac', '81', 'FR'),
(34643, '81120', 'R�almont', '81', 'FR'),
(34644, '81240', 'Le Rialet', '81', 'FR'),
(34645, '81170', 'Le Riols', '81', 'FR'),
(34646, '81600', 'Rivi�res', '81', 'FR'),
(34647, '81120', 'Ronel', '81', 'FR'),
(34648, '81210', 'Roquecourbe', '81', 'FR'),
(34649, '81800', 'Roquemaure', '81', 'FR'),
(34650, '81470', 'Roquevidal', '81', 'FR'),
(34651, '81400', 'Rosi�res', '81', 'FR'),
(34652, '81240', 'Rouairoux', '81', 'FR'),
(34653, '81150', 'Rouffiac', '81', 'FR'),
(34654, '81120', 'Roum�goux', '81', 'FR'),
(34655, '81140', 'Roussayrolles', '81', 'FR'),
(34656, '81290', 'St Affrique les Montagnes', '81', 'FR'),
(34657, '81500', 'St Agnan', '81', 'FR'),
(34658, '81110', 'Saint Amancet', '81', 'FR'),
(34659, '81240', 'Saint Amans Soult', '81', 'FR'),
(34660, '81240', 'Saint Amans Valtoret', '81', 'FR'),
(34661, '81250', 'St Andr�', '81', 'FR'),
(34662, '81120', 'Saint Antonin de Lacalm', '81', 'FR'),
(34663, '81110', 'Saint Avit', '81', 'FR'),
(34664, '81140', 'Saint Beauzile', '81', 'FR'),
(34665, '81400', 'Saint Beno�t de Carmaux', '81', 'FR'),
(34666, '81190', 'Saint Christophe', '81', 'FR'),
(34667, '81140', 'Sainte C�cile du Cayrou', '81', 'FR'),
(34668, '81340', 'Saint Cirgue', '81', 'FR'),
(34669, '81390', 'Saint Gauzens', '81', 'FR'),
(34670, '81190', 'Sainte Gemme', '81', 'FR'),
(34671, '81440', 'Saint Genest de Contest', '81', 'FR'),
(34672, '81700', 'Saint Germain des Pr�s', '81', 'FR'),
(34673, '81210', 'Saint Germier', '81', 'FR'),
(34674, '81350', 'Saint Gr�goire', '81', 'FR'),
(34675, '81350', 'Saint Jean de Marcel', '81', 'FR'),
(34676, '81500', 'Saint Jean de Rives', '81', 'FR'),
(34677, '81210', 'Saint Jean de Vals', '81', 'FR'),
(34678, '81160', 'Saint Ju�ry', '81', 'FR'),
(34679, '81440', 'Saint Julien du Puy', '81', 'FR'),
(34680, '81340', 'Saint Julien Gaul�ne', '81', 'FR'),
(34681, '81120', 'St Lieux Lafenasse', '81', 'FR'),
(34682, '81500', 'Saint Lieux l�s Lavaur', '81', 'FR'),
(34683, '81170', 'St Marcel Campes', '81', 'FR'),
(34684, '81170', 'Saint Martin Lagu�pie', '81', 'FR'),
(34685, '81340', 'Saint Michel Labadi�', '81', 'FR'),
(34686, '81140', 'Saint Michel de Vax', '81', 'FR'),
(34687, '81220', 'Saint Paul Cap de Joux', '81', 'FR'),
(34688, '81330', 'Saint Pierre de Trivisy', '81', 'FR'),
(34689, '81530', 'St Salvi de Carcav�s', '81', 'FR'),
(34690, '81490', 'Saint Salvy de la Balme', '81', 'FR'),
(34691, '81700', 'Saint Sernin l�s Lavaur', '81', 'FR'),
(34692, '81370', 'St Sulpice', '81', 'FR'),
(34693, '81630', 'Saint Urcisse', '81', 'FR'),
(34694, '81710', 'Saix', '81', 'FR'),
(34695, '81990', 'Sali�s', '81', 'FR'),
(34696, '81640', 'Salles', '81', 'FR'),
(34697, '81630', 'Salvagnac', '81', 'FR'),
(34698, '81350', 'Saussenac', '81', 'FR'),
(34699, '81240', 'Sauveterre', '81', 'FR'),
(34700, '81630', 'La Sauzi�re Saint Jean', '81', 'FR'),
(34701, '81640', 'S�gur', '81', 'FR'),
(34702, '81570', 'S�malens', '81', 'FR'),
(34703, '81530', 'Senaux', '81', 'FR'),
(34704, '81600', 'Senouillac', '81', 'FR'),
(34705, '81990', 'Sequestre', '81', 'FR'),
(34706, '81350', 'S�r�nac', '81', 'FR'),
(34707, '81220', 'Servi�s', '81', 'FR'),
(34708, '81120', 'Sieurac', '81', 'FR'),
(34709, '81540', 'Sor�ze', '81', 'FR'),
(34710, '81580', 'Soual', '81', 'FR'),
(34711, '81170', 'Souel', '81', 'FR'),
(34712, '81130', 'Ta�x', '81', 'FR'),
(34713, '81190', 'Tanus', '81', 'FR'),
(34714, '81630', 'Tauriac', '81', 'FR'),
(34715, '81600', 'T�cou', '81', 'FR'),
(34716, '81120', 'Teillet', '81', 'FR'),
(34717, '81120', 'Terre Clapier', '81', 'FR'),
(34718, '81150', 'Terssac', '81', 'FR'),
(34719, '81500', 'Teulat', '81', 'FR'),
(34720, '81220', 'Teyssode', '81', 'FR'),
(34721, '81170', 'Tonnac', '81', 'FR'),
(34722, '81120', 'Le Travet', '81', 'FR'),
(34723, '81190', 'Tr�ban', '81', 'FR'),
(34724, '81340', 'Tr�bas', '81', 'FR'),
(34725, '81190', 'Tr�vien', '81', 'FR'),
(34726, '81330', 'Vabre', '81', 'FR'),
(34727, '81350', 'Valderi�s', '81', 'FR'),
(34728, '81090', 'Valdurenque', '81', 'FR'),
(34729, '81340', 'Valence d''Albigeois', '81', 'FR'),
(34730, '81140', 'Vaour', '81', 'FR'),
(34731, '81500', 'Veilhes', '81', 'FR'),
(34732, '81440', 'V�n�s', '81', 'FR'),
(34733, '81110', 'Verdalle', '81', 'FR'),
(34734, '81140', 'Verdier', '81', 'FR'),
(34735, '81530', 'Viane', '81', 'FR'),
(34736, '81570', 'Vielmur sur Agout', '81', 'FR'),
(34737, '81140', 'Vieux', '81', 'FR'),
(34738, '81430', 'Villefranche d''Albigeois', '81', 'FR'),
(34739, '81500', 'Villeneuve l�s Lavaur', '81', 'FR'),
(34740, '81130', 'Villeneuve sur V�re', '81', 'FR'),
(34741, '81170', 'Vindrac Alayrac', '81', 'FR'),
(34742, '81240', 'Le Vintrou', '81', 'FR'),
(34743, '81640', 'Virac', '81', 'FR'),
(34744, '81220', 'Viterbe', '81', 'FR'),
(34745, '81500', 'Viviers l�s Lavaur', '81', 'FR'),
(34746, '81290', 'Viviers l�s Montagnes', '81', 'FR'),
(34747, '81150', 'Sainte Croix', '81', 'FR'),
(34748, '82290', 'Albefeuille Lagarde', '82', 'FR'),
(34749, '82350', 'Albias', '82', 'FR'),
(34750, '82210', 'Angeville', '82', 'FR'),
(34751, '82120', 'Asques', '82', 'FR'),
(34752, '82600', 'Aucamville', '82', 'FR'),
(34753, '82500', 'Auterive', '82', 'FR'),
(34754, '82220', 'Auty', '82', 'FR'),
(34755, '82340', 'Auvillar', '82', 'FR'),
(34756, '82120', 'Balignac', '82', 'FR'),
(34757, '82340', 'Bardigues', '82', 'FR'),
(34758, '82290', 'Barry d''Islemade', '82', 'FR'),
(34759, '82100', 'Les Barthes', '82', 'FR'),
(34760, '82500', 'Beaumont de Lomagne', '82', 'FR'),
(34761, '82600', 'Beaupuy', '82', 'FR'),
(34762, '82500', 'Belb�se', '82', 'FR'),
(34763, '82150', 'Belv�ze', '82', 'FR'),
(34764, '82170', 'Bessens', '82', 'FR'),
(34765, '82800', 'Bioule', '82', 'FR'),
(34766, '82200', 'Boudou', '82', 'FR'),
(34767, '82600', 'Bouillac', '82', 'FR'),
(34768, '82110', 'Bouloc', '82', 'FR'),
(34769, '82190', 'Bourg de Visa', '82', 'FR'),
(34770, '82700', 'Bourret', '82', 'FR'),
(34771, '82190', 'Brassac', '82', 'FR'),
(34772, '82710', 'Bressols', '82', 'FR'),
(34773, '82800', 'Bruniquel', '82', 'FR'),
(34774, '82370', 'Campsas', '82', 'FR'),
(34775, '82170', 'Canals', '82', 'FR'),
(34776, '82160', 'Castanet', '82', 'FR'),
(34777, '82100', 'Castelferrus', '82', 'FR'),
(34778, '82210', 'Castelmayran', '82', 'FR'),
(34779, '82400', 'Castelsagrat', '82', 'FR'),
(34780, '82100', 'Castelsarrasin', '82', 'FR'),
(34781, '82120', 'Cast�rat Bouzet', '82', 'FR'),
(34782, '82210', 'Caumont', '82', 'FR'),
(34783, '82500', 'Le Caus�', '82', 'FR'),
(34784, '82300', 'Caussade', '82', 'FR'),
(34785, '82160', 'Caylus', '82', 'FR'),
(34786, '82440', 'Cayrac', '82', 'FR'),
(34787, '82240', 'Cayriech', '82', 'FR'),
(34788, '82140', 'Cazals', '82', 'FR'),
(34789, '82110', 'Cazes Mondenard', '82', 'FR'),
(34790, '82600', 'Comberouger', '82', 'FR'),
(34791, '82370', 'Corbarieu', '82', 'FR'),
(34792, '82700', 'Cordes Tolosannes', '82', 'FR'),
(34793, '82210', 'Coutures', '82', 'FR'),
(34794, '82500', 'Cumont', '82', 'FR'),
(34795, '82170', 'Dieupentale', '82', 'FR'),
(34796, '82340', 'Donzac', '82', 'FR'),
(34797, '82340', 'Dunes', '82', 'FR'),
(34798, '82390', 'Durfort Lacapelette', '82', 'FR'),
(34799, '82700', 'Escatalens', '82', 'FR'),
(34800, '82500', 'Escazeaux', '82', 'FR'),
(34801, '82400', 'Espalais', '82', 'FR'),
(34802, '82500', 'Esparsac', '82', 'FR'),
(34803, '82160', 'Espinas', '82', 'FR'),
(34804, '82170', 'Fabas', '82', 'FR'),
(34805, '82210', 'Fajolles', '82', 'FR'),
(34806, '82500', 'Faudoas', '82', 'FR'),
(34807, '82190', 'Fauroux', '82', 'FR'),
(34808, '82140', 'F�neyrols', '82', 'FR'),
(34809, '82700', 'Finhan', '82', 'FR'),
(34810, '82100', 'Garganvillar', '82', 'FR'),
(34811, '82500', 'Gari�s', '82', 'FR'),
(34812, '82400', 'Gasques', '82', 'FR'),
(34813, '82230', 'Gen�bri�res', '82', 'FR'),
(34814, '82120', 'Gensac', '82', 'FR'),
(34815, '82500', 'Gimat', '82', 'FR'),
(34816, '82330', 'Ginals', '82', 'FR'),
(34817, '82500', 'Glatens', '82', 'FR'),
(34818, '82500', 'Goas', '82', 'FR'),
(34819, '82400', 'Golfech', '82', 'FR'),
(34820, '82400', 'Goudourville', '82', 'FR'),
(34821, '82120', 'Gramont', '82', 'FR'),
(34822, '82170', 'Grisolles', '82', 'FR'),
(34823, '82130', 'Honor de Cos', '82', 'FR'),
(34824, '82220', 'Labarthe', '82', 'FR'),
(34825, '82240', 'Labastide de Penne', '82', 'FR'),
(34826, '82370', 'Labastide Saint Pierre', '82', 'FR'),
(34827, '82100', 'Labastide du Temple', '82', 'FR'),
(34828, '82100', 'Labourgade', '82', 'FR'),
(34829, '82160', 'Lacapelle Livron', '82', 'FR'),
(34830, '82120', 'Lachapelle', '82', 'FR'),
(34831, '82190', 'Lacour', '82', 'FR'),
(34832, '82290', 'Lacourt Saint Pierre', '82', 'FR'),
(34833, '82100', 'Lafitte', '82', 'FR'),
(34834, '82130', 'Lafran�aise', '82', 'FR'),
(34835, '82250', 'Saint Martin Lagu�pie', '82', 'FR'),
(34836, '82360', 'Lamagist�re', '82', 'FR'),
(34837, '82130', 'Lamothe Capdeville', '82', 'FR'),
(34838, '82500', 'Lamothe Cumont', '82', 'FR'),
(34839, '82240', 'Lapenche', '82', 'FR'),
(34840, '82500', 'Larrazet', '82', 'FR'),
(34841, '82110', 'Lauzerte', '82', 'FR'),
(34842, '82240', 'Lavaurette', '82', 'FR'),
(34843, '82290', 'Ville Dieu du Temple', '82', 'FR'),
(34844, '82120', 'Lavit', '82', 'FR'),
(34845, '82230', 'L�ojac', '82', 'FR'),
(34846, '82200', 'Lizac', '82', 'FR'),
(34847, '82160', 'Loze', '82', 'FR'),
(34848, '82200', 'Malause', '82', 'FR'),
(34849, '82120', 'Mansonville', '82', 'FR'),
(34850, '82500', 'Marignac', '82', 'FR'),
(34851, '82120', 'Marsac', '82', 'FR'),
(34852, '82600', 'Mas Grenier', '82', 'FR'),
(34853, '82500', 'Maubec', '82', 'FR'),
(34854, '82120', 'Maumusson', '82', 'FR'),
(34855, '82290', 'Meauzac', '82', 'FR'),
(34856, '82210', 'Merles', '82', 'FR'),
(34857, '82440', 'Mirabel', '82', 'FR'),
(34858, '82190', 'Miramont de Quercy', '82', 'FR'),
(34859, '82200', 'Moissac', '82', 'FR'),
(34860, '82220', 'Moli�res', '82', 'FR'),
(34861, '82170', 'Monb�qui', '82', 'FR'),
(34862, '82230', 'Monclar de Quercy', '82', 'FR'),
(34863, '82110', 'Montagudet', '82', 'FR'),
(34864, '82150', 'Montaigu de Quercy', '82', 'FR'),
(34865, '82100', 'Montain', '82', 'FR'),
(34866, '82270', 'Montalzat', '82', 'FR'),
(34867, '82130', 'Montastruc', '82', 'FR'),
(34868, '82000', 'Montauban', '82', 'FR'),
(34869, '82110', 'Montbarla', '82', 'FR'),
(34870, '82700', 'Montbartier', '82', 'FR'),
(34871, '82290', 'Montbeton', '82', 'FR'),
(34872, '82700', 'Montech', '82', 'FR'),
(34873, '82300', 'Monteils', '82', 'FR'),
(34874, '82200', 'Montesquieu', '82', 'FR'),
(34875, '82270', 'Montfermier', '82', 'FR'),
(34876, '82120', 'Montgaillard', '82', 'FR'),
(34877, '82400', 'Montjoi', '82', 'FR'),
(34878, '82270', 'Montpezat de Quercy', '82', 'FR'),
(34879, '82800', 'Montricoux', '82', 'FR'),
(34880, '82160', 'Mouillac', '82', 'FR'),
(34881, '82800', 'N�grepelisse', '82', 'FR'),
(34882, '82370', 'Nohic', '82', 'FR'),
(34883, '82370', 'Orgueil', '82', 'FR'),
(34884, '82160', 'arisot', '82', 'FR'),
(34885, '82400', 'Perville', '82', 'FR'),
(34886, '82340', 'Le Pin', '82', 'FR'),
(34887, '82130', 'Piquecos', '82', 'FR'),
(34888, '82400', 'Pommevic', '82', 'FR'),
(34889, '82170', 'Pompignan', '82', 'FR'),
(34890, '82120', 'Poupas', '82', 'FR'),
(34891, '82220', 'Puycornet', '82', 'FR'),
(34892, '82800', 'Puygaillard de Quercy', '82', 'FR'),
(34893, '82120', 'Puygaillard de Lomagne', '82', 'FR'),
(34894, '82160', 'Puylagarde', '82', 'FR'),
(34895, '82240', 'Puylaroque', '82', 'FR'),
(34896, '82440', 'R�alville', '82', 'FR'),
(34897, '82370', 'Reyni�s', '82', 'FR'),
(34898, '82150', 'Roquecor', '82', 'FR'),
(34899, '82100', 'Saint Aignan', '82', 'FR'),
(34900, '82150', 'Saint Amans du Pech', '82', 'FR'),
(34901, '82110', 'Saint Amans de Pellagal', '82', 'FR'),
(34902, '82140', 'St Antonin Noble Val', '82', 'FR'),
(34903, '82210', 'Saint Arroumex', '82', 'FR'),
(34904, '82150', 'Saint Beauzeil', '82', 'FR'),
(34905, '82340', 'Saint Cirice', '82', 'FR'),
(34906, '82300', 'St Cirq', '82', 'FR'),
(34907, '82400', 'Saint Clair', '82', 'FR'),
(34908, '82410', 'Saint �tienne de Tulmont', '82', 'FR'),
(34909, '82240', 'Saint Georges', '82', 'FR'),
(34910, '82120', 'Saint Jean du Bouzet', '82', 'FR'),
(34911, '82110', 'Sainte Juliette', '82', 'FR'),
(34912, '82340', 'Saint Loup', '82', 'FR'),
(34913, '82340', 'Saint Michel', '82', 'FR'),
(34914, '82370', 'Saint Nauphary', '82', 'FR'),
(34915, '82190', 'Saint Nazaire de Valentane', '82', 'FR'),
(34916, '82210', 'Saint Nicolas de la Grave', '82', 'FR'),
(34917, '82400', 'Saint Paul d''Espis', '82', 'FR'),
(34918, '82700', 'Saint Porquier', '82', 'FR'),
(34919, '82160', 'Saint Projet', '82', 'FR'),
(34920, '82600', 'Saint Sardos', '82', 'FR'),
(34921, '82300', 'Saint Vincent', '82', 'FR'),
(34922, '82400', 'St Vincent Lespinasse', '82', 'FR'),
(34923, '82230', 'La Salvetat Belmontet', '82', 'FR'),
(34924, '82110', 'Sauveterre', '82', 'FR'),
(34925, '82600', 'Saven�s', '82', 'FR'),
(34926, '82240', 'Septfonds', '82', 'FR'),
(34927, '82500', 'S�rignac', '82', 'FR'),
(34928, '82340', 'Sistels', '82', 'FR'),
(34929, '82190', 'Touffailles', '82', 'FR'),
(34930, '82110', 'Tr�jouls', '82', 'FR'),
(34931, '82800', 'Vaissac', '82', 'FR'),
(34932, '82150', 'Valeilles', '82', 'FR'),
(34933, '82400', 'Valence', '82', 'FR'),
(34934, '82330', 'Varen', '82', 'FR'),
(34935, '82370', 'Varennes', '82', 'FR'),
(34936, '82220', 'Vazerac', '82', 'FR'),
(34937, '82600', 'Verdun sur Garonne', '82', 'FR'),
(34938, '82330', 'erfeil', '82', 'FR'),
(34939, '82230', 'Verlhac Tescou', '82', 'FR'),
(34940, '82500', 'Vigueron', '82', 'FR'),
(34941, '82370', 'Villebrumier', '82', 'FR'),
(34942, '82130', 'Villemade', '82', 'FR'),
(34943, '83600', 'Adrets de l''Est�rel', '83', 'FR'),
(34944, '83630', 'Aiguines', '83', 'FR'),
(34945, '83111', 'Ampus', '83', 'FR'),
(34946, '83460', 'Les Arcs', '83', 'FR'),
(34947, '83630', 'Artignosc sur Verdon', '83', 'FR'),
(34948, '83560', 'Artigues', '83', 'FR'),
(34949, '83630', 'Aups', '83', 'FR'),
(34950, '83600', 'Bagnols en For�t', '83', 'FR'),
(34951, '83150', 'Bandol', '83', 'FR'),
(34952, '83840', 'Barg�me', '83', 'FR'),
(34953, '83830', 'Bargemon', '83', 'FR'),
(34954, '83670', 'Barjols', '83', 'FR'),
(34955, '83840', 'La Bastide', '83', 'FR'),
(34956, '83630', 'Baudinard sur Verdon', '83', 'FR'),
(34957, '83630', 'Bauduen', '83', 'FR'),
(34958, '83330', 'Le Beausset', '83', 'FR'),
(34959, '83210', 'Belgentier', '83', 'FR'),
(34960, '83890', 'Besse sur Issole', '83', 'FR'),
(34961, '83230', 'Bormes les Mimosas', '83', 'FR'),
(34962, '83840', 'Le Bourguet', '83', 'FR'),
(34963, '83149', 'Bras', '83', 'FR'),
(34964, '83840', 'Brenon', '83', 'FR'),
(34965, '83170', 'Brignoles', '83', 'FR'),
(34966, '83440', 'Brov�s', '83', 'FR'),
(34967, '83119', 'Brue Auriac', '83', 'FR'),
(34968, '83340', 'Cabasse', '83', 'FR'),
(34969, '83740', 'La Cadi�re d''Azur', '83', 'FR'),
(34970, '83830', 'Callas', '83', 'FR'),
(34971, '83440', 'Callian', '83', 'FR'),
(34972, '83170', 'Camps la Source', '83', 'FR'),
(34973, '83340', 'Le Cannet des Maures', '83', 'FR'),
(34974, '83570', 'Carc�s', '83', 'FR'),
(34975, '83660', 'Carnoules', '83', 'FR'),
(34976, '83320', 'Carqueiranne', '83', 'FR'),
(34977, '83330', 'Castellet', '83', 'FR'),
(34978, '83240', 'Cavalaire sur Mer', '83', 'FR'),
(34979, '83170', 'La Celle', '83', 'FR'),
(34980, '83300', 'Ch�teaudouble', '83', 'FR'),
(34981, '83670', 'Ch�teauvert', '83', 'FR'),
(34982, '83840', 'Ch�teauvieux', '83', 'FR'),
(34983, '83830', 'Claviers', '83', 'FR'),
(34984, '83310', 'Cogolin', '83', 'FR'),
(34985, '83610', 'Collobri�res', '83', 'FR'),
(34986, '83840', 'Comps sur Artuby', '83', 'FR'),
(34987, '83570', 'Correns', '83', 'FR'),
(34988, '83570', 'Cotignac', '83', 'FR'),
(34989, '83260', 'La Crau', '83', 'FR'),
(34990, '83420', 'La Croix Valmer', '83', 'FR'),
(34991, '83390', 'Cuers', '83', 'FR'),
(34992, '83300', 'Draguignan', '83', 'FR'),
(34993, '83570', 'Entrecasteaux', '83', 'FR'),
(34994, '83560', 'Esparron', '83', 'FR'),
(34995, '83330', '�venos', '83', 'FR'),
(34996, '83210', 'La Farl�de', '83', 'FR'),
(34997, '83440', 'Fayence', '83', 'FR'),
(34998, '83830', 'Figani�res', '83', 'FR'),
(34999, '83340', 'Flassans sur Issole', '83', 'FR'),
(35000, '83780', 'Flayosc', '83', 'FR'),
(35001, '83136', 'Forcalqueiret', '83', 'FR'),
(35002, '83670', 'Fox Amphoux', '83', 'FR'),
(35003, '83600', 'Fr�jus', '83', 'FR'),
(35004, '83130', 'Garde', '83', 'FR'),
(35005, '83680', 'La Garde Freinet', '83', 'FR'),
(35006, '83136', 'Gar�oult', '83', 'FR'),
(35007, '83580', 'Gassin', '83', 'FR'),
(35008, '83560', 'Ginasservis', '83', 'FR'),
(35009, '83590', 'Gonfaron', '83', 'FR'),
(35010, '83310', 'Grimaud', '83', 'FR'),
(35011, '83400', 'Hy�res', '83', 'FR'),
(35012, '83980', 'Le Lavandou', '83', 'FR'),
(35013, '83250', 'La Londe les Maures', '83', 'FR'),
(35014, '83510', 'Lorgues', '83', 'FR'),
(35015, '83340', 'Le Luc', '83', 'FR'),
(35016, '83840', 'La Martre', '83', 'FR'),
(35017, '83340', 'Les Mayons', '83', 'FR'),
(35018, '83136', 'Mazaugues', '83', 'FR'),
(35019, '83136', 'M�ounes l�s Montrieux', '83', 'FR'),
(35020, '83630', 'Moissac Bellevue', '83', 'FR'),
(35021, '83310', 'La M�le', '83', 'FR'),
(35022, '83440', 'Mons', '83', 'FR'),
(35023, '83440', 'Montauroux', '83', 'FR'),
(35024, '83131', 'Montferrat', '83', 'FR'),
(35025, '83570', 'Montfort sur Argens', '83', 'FR'),
(35026, '83670', 'Montmeyan', '83', 'FR'),
(35027, '83920', 'La Motte', '83', 'FR'),
(35028, '83490', 'Le Muy', '83', 'FR'),
(35029, '83860', 'Nans les Pins', '83', 'FR'),
(35030, '83136', 'N�oules', '83', 'FR'),
(35031, '83470', 'Olli�res', '83', 'FR'),
(35032, '83190', 'Ollioules', '83', 'FR'),
(35033, '83390', 'Pierrefeu du Var', '83', 'FR'),
(35034, '83790', 'Pignans', '83', 'FR'),
(35035, '83640', 'Plan d''Aups Ste Baume', '83', 'FR'),
(35036, '83120', 'Plan de la Tour', '83', 'FR'),
(35037, '83670', 'Pontev�s', '83', 'FR'),
(35038, '83470', 'Pourcieux', '83', 'FR'),
(35039, '83910', 'Pourri�res', '83', 'FR'),
(35040, '83220', 'Le Pradet', '83', 'FR'),
(35041, '83480', 'Puget sur Argens', '83', 'FR'),
(35042, '83390', 'Puget Ville', '83', 'FR'),
(35043, '83350', 'Ramatuelle', '83', 'FR'),
(35044, '83630', 'R�gusse', '83', 'FR'),
(35045, '83200', 'Le Revest les Eaux', '83', 'FR'),
(35046, '83560', 'Rians', '83', 'FR'),
(35047, '13780', 'Riboux', '13', 'FR'),
(35048, '83136', 'Rocbaron', '83', 'FR'),
(35049, '83520', 'Roquebrune sur Argens', '83', 'FR'),
(35050, '83136', 'La Roquebrussanne', '83', 'FR'),
(35051, '83840', 'La Roque Esclapon', '83', 'FR'),
(35052, '83170', 'Rougiers', '83', 'FR'),
(35053, '83136', 'Sainte Anastasie sur Issole', '83', 'FR'),
(35054, '83270', 'Saint Cyr sur Mer', '83', 'FR'),
(35055, '83560', 'St Julien', '83', 'FR'),
(35056, '83560', 'Saint Martin', '83', 'FR'),
(35057, '83120', 'Sainte Maxime', '83', 'FR'),
(35058, '83470', 'Saint Maximin la Sainte Baume', '83', 'FR'),
(35059, '83440', 'Saint Paul en For�t', '83', 'FR'),
(35060, '83700', 'Saint Rapha�l', '83', 'FR'),
(35061, '83990', 'Saint Tropez', '83', 'FR'),
(35062, '83640', 'Saint Zacharie', '83', 'FR'),
(35063, '83690', 'Salernes', '83', 'FR'),
(35064, '83630', 'Les Salles sur Verdon', '83', 'FR'),
(35065, '83110', 'Sanary sur Mer', '83', 'FR'),
(35066, '83440', 'Seillans', '83', 'FR'),
(35067, '83470', 'Seillons Source d''Argens', '83', 'FR'),
(35068, '83500', 'La Seyne sur Mer', '83', 'FR'),
(35069, '83870', 'Signes', '83', 'FR'),
(35070, '83690', 'Sillans la Cascade', '83', 'FR'),
(35071, '83140', 'Six Fours les Plages', '83', 'FR'),
(35072, '83210', 'Solli�s Pont', '83', 'FR'),
(35073, '83210', 'Solli�s Toucas', '83', 'FR'),
(35074, '83210', 'Solli�s Ville', '83', 'FR'),
(35075, '83440', 'Tanneron', '83', 'FR'),
(35076, '83460', 'Taradeau', '83', 'FR'),
(35077, '83670', 'Tavernes', '83', 'FR'),
(35078, '83340', 'Le Thoronet', '83', 'FR'),
(35079, '83200', 'Toulon', '83', 'FR'),
(35080, '83100', 'Toulon', '83', 'FR'),
(35081, '83000', 'Toulon', '83', 'FR'),
(35082, '83440', 'Tourrettes', '83', 'FR'),
(35083, '83690', 'Tourtour', '83', 'FR'),
(35084, '83170', 'Tourves', '83', 'FR'),
(35085, '83720', 'Trans en Provence', '83', 'FR'),
(35086, '83840', 'Trigance', '83', 'FR'),
(35087, '83143', 'Le Val', '83', 'FR'),
(35088, '83160', 'La Valette du Var', '83', 'FR'),
(35089, '83670', 'Varages', '83', 'FR'),
(35090, '83560', 'La Verdi�re', '83', 'FR'),
(35091, '83630', 'V�rignon', '83', 'FR'),
(35092, '83550', 'Vidauban', '83', 'FR'),
(35093, '83690', 'Villecroze', '83', 'FR'),
(35094, '83560', 'Vinon sur Verdon', '83', 'FR'),
(35095, '83170', 'Vins sur Caramy', '83', 'FR'),
(35096, '83820', 'Rayol Canadel sur Mer', '83', 'FR'),
(35097, '83430', 'Saint Mandrier sur Mer', '83', 'FR'),
(35098, '83510', 'St Antonin du Var', '83', 'FR'),
(35099, '83500', 'Les Sablettes', '83', 'FR'),
(35100, '83530', 'Anth�or', '83', 'FR'),
(35101, '83400', 'Ayguade Ceinturon', '83', 'FR'),
(35102, '83330', 'Laouque', '83', 'FR'),
(35103, '83270', 'Les Lecques', '83', 'FR'),
(35104, '83260', 'La Moutonne', '83', 'FR'),
(35105, '83530', 'Agay', '83', 'FR'),
(35106, '83140', 'Le Brusc', '83', 'FR'),
(35107, '83400', 'Giens', '83', 'FR'),
(35108, '83400', 'Porquerolles', '83', 'FR'),
(35109, '83370', 'Saint Aygulf', '83', 'FR'),
(35110, '83400', 'Les Salins d''Hy�res', '83', 'FR'),
(35111, '83500', 'Tamaris sur Mer', '83', 'FR'),
(35112, '83700', 'Le Trayas', '83', 'FR'),
(35113, '83980', 'Cavali�re', '83', 'FR'),
(35114, '83400', 'La Capte', '83', 'FR'),
(35115, '84210', 'Althen des Paluds', '84', 'FR'),
(35116, '84240', 'Ansouis', '84', 'FR'),
(35117, '84400', 'Apt', '84', 'FR'),
(35118, '84810', 'Aubignan', '84', 'FR'),
(35119, '84390', 'Aurel', '84', 'FR'),
(35120, '84400', 'Auribeau', '84', 'FR'),
(35121, '84000', 'Avignon', '84', 'FR'),
(35122, '84330', 'Le Barroux', '84', 'FR'),
(35123, '84240', 'La Bastide des Jourdans', '84', 'FR'),
(35124, '84120', 'La Bastidonne', '84', 'FR'),
(35125, '84210', 'Le Beaucet', '84', 'FR'),
(35126, '84190', 'Beaumes de Venise', '84', 'FR'),
(35127, '84220', 'Beaumettes', '84', 'FR'),
(35128, '84120', 'Beaumont de Pertuis', '84', 'FR'),
(35129, '84340', 'Beaumont du Ventoux', '84', 'FR'),
(35130, '84370', 'B�darrides', '84', 'FR'),
(35131, '84410', 'B�doin', '84', 'FR'),
(35132, '84570', 'Blauvac', '84', 'FR'),
(35133, '84500', 'Boll�ne', '84', 'FR'),
(35134, '84480', 'Bonnieux', '84', 'FR'),
(35135, '84390', 'Brantes', '84', 'FR'),
(35136, '84110', 'Buisson', '84', 'FR'),
(35137, '84480', 'Buoux', '84', 'FR'),
(35138, '84240', 'Cabri�res d''Aigues', '84', 'FR'),
(35139, '84220', 'Cabri�res d''Avignon', '84', 'FR'),
(35140, '84160', 'Cadenet', '84', 'FR'),
(35141, '84860', 'Caderousse', '84', 'FR'),
(35142, '84290', 'Cairanne', '84', 'FR'),
(35143, '84850', 'Camaret sur Aigues', '84', 'FR'),
(35144, '84330', 'Caromb', '84', 'FR'),
(35145, '84200', 'Carpentras', '84', 'FR'),
(35146, '84750', 'Caseneuve', '84', 'FR'),
(35147, '84400', 'Castellet', '84', 'FR'),
(35148, '84510', 'Caumont sur Durance', '84', 'FR'),
(35149, '84300', 'Cavaillon', '84', 'FR'),
(35150, '84470', 'Ch�teauneuf de Gadagne', '84', 'FR'),
(35151, '84230', 'Ch�teauneuf du Pape', '84', 'FR'),
(35152, '84460', 'Cheval Blanc', '84', 'FR'),
(35153, '84350', 'Courth�zon', '84', 'FR'),
(35154, '84110', 'Crestet', '84', 'FR'),
(35155, '84410', 'Crillon le Brave', '84', 'FR'),
(35156, '84160', 'Cucuron', '84', 'FR'),
(35157, '84320', 'Entraigues sur la Sorgue', '84', 'FR'),
(35158, '84340', 'Entrechaux', '84', 'FR'),
(35159, '84110', 'Faucon', '84', 'FR'),
(35160, '84410', 'Flassan', '84', 'FR'),
(35161, '84400', 'Gargas', '84', 'FR'),
(35162, '84400', 'Gignac', '84', 'FR'),
(35163, '84190', 'Gigondas', '84', 'FR'),
(35164, '84220', 'Gordes', '84', 'FR'),
(35165, '84220', 'Goult', '84', 'FR'),
(35166, '84240', 'Grambois', '84', 'FR'),
(35167, '84600', 'Grillon', '84', 'FR'),
(35168, '84800', 'L''Isle sur la Sorgue', '84', 'FR'),
(35169, '84450', 'Jonquerettes', '84', 'FR'),
(35170, '84150', 'Jonqui�res', '84', 'FR'),
(35171, '84220', 'Joucas', '84', 'FR'),
(35172, '84480', 'Lacoste', '84', 'FR'),
(35173, '84190', 'Lafare', '84', 'FR'),
(35174, '84400', 'Lagarde d''Apt', '84', 'FR'),
(35175, '84290', 'Lagarde Par�ol', '84', 'FR'),
(35176, '84800', 'Lagnes', '84', 'FR'),
(35177, '84840', 'Lamotte du Rh�ne', '84', 'FR'),
(35178, '84840', 'Lapalud', '84', 'FR'),
(35179, '84360', 'Lauris', '84', 'FR'),
(35180, '84220', 'Lioux', '84', 'FR'),
(35181, '84870', 'Loriol du Comtat', '84', 'FR'),
(35182, '84160', 'Lourmarin', '84', 'FR'),
(35183, '84340', 'Malauc�ne', '84', 'FR'),
(35184, '84570', 'Malemort du Comtat', '84', 'FR'),
(35185, '84660', 'Maubec', '84', 'FR'),
(35186, '84380', 'Mazan', '84', 'FR'),
(35187, '84560', 'M�nerbes', '84', 'FR'),
(35188, '84360', 'M�rindol', '84', 'FR'),
(35189, '84570', 'M�thamis', '84', 'FR'),
(35190, '84120', 'Mirabeau', '84', 'FR'),
(35191, '84330', 'Mod�ne', '84', 'FR'),
(35192, '84430', 'Mondragon', '84', 'FR'),
(35193, '84390', 'Monieux', '84', 'FR'),
(35194, '84170', 'Monteux', '84', 'FR'),
(35195, '84310', 'Mori�res l�s Avignon', '84', 'FR'),
(35196, '84570', 'Mormoiron', '84', 'FR'),
(35197, '84550', 'Mornas', '84', 'FR'),
(35198, '84240', 'La Motte d''Aigues', '84', 'FR'),
(35199, '84220', 'Murs', '84', 'FR'),
(35200, '84580', 'Opp�de', '84', 'FR'),
(35201, '84100', 'Orange', '84', 'FR'),
(35202, '84210', 'Pernes les Fontaines', '84', 'FR'),
(35203, '84120', 'Pertuis', '84', 'FR'),
(35204, '84240', 'Peypin d''Aigues', '84', 'FR'),
(35205, '84420', 'Piolenc', '84', 'FR'),
(35206, '84130', 'Le Pontet', '84', 'FR'),
(35207, '84360', 'Puget', '84', 'FR'),
(35208, '84110', 'Puym�ras', '84', 'FR'),
(35209, '84160', 'Puyvert', '84', 'FR'),
(35210, '84110', 'Rasteau', '84', 'FR'),
(35211, '84600', 'Richerenches', '84', 'FR'),
(35212, '84110', 'Roaix', '84', 'FR'),
(35213, '84440', 'Robion', '84', 'FR'),
(35214, '84190', 'La Roque Alric', '84', 'FR'),
(35215, '84210', 'La Roque sur Pernes', '84', 'FR'),
(35216, '84220', 'Roussillon', '84', 'FR'),
(35217, '84400', 'Rustrel', '84', 'FR'),
(35218, '84110', 'Sablet', '84', 'FR'),
(35219, '84400', 'Saignon', '84', 'FR'),
(35220, '84290', 'Sainte C�cile les Vignes', '84', 'FR'),
(35221, '84390', 'Saint Christol', '84', 'FR'),
(35222, '84210', 'Saint Didier', '84', 'FR'),
(35223, '84330', 'St Hippolyte le Graveyron', '84', 'FR'),
(35224, '84390', 'Saint L�ger du Ventoux', '84', 'FR'),
(35225, '84110', 'St Marcellin l�s Vaison', '84', 'FR'),
(35226, '84750', 'Saint Martin de Castillon', '84', 'FR'),
(35227, '84760', 'Saint Martin de la Brasque', '84', 'FR'),
(35228, '84220', 'Saint Pantal�on', '84', 'FR'),
(35229, '84330', 'Saint Pierre de Vassols', '84', 'FR'),
(35230, '84110', 'Saint Romain en Viennois', '84', 'FR'),
(35231, '84290', 'Saint Roman de Malegarde', '84', 'FR'),
(35232, '84490', 'St Saturnin l�s Apt', '84', 'FR'),
(35233, '84450', 'Saint Saturnin l�s Avignon', '84', 'FR'),
(35234, '84390', 'Saint Trinit', '84', 'FR'),
(35235, '84240', 'Sannes', '84', 'FR'),
(35236, '84260', 'Sarrians', '84', 'FR'),
(35237, '84390', 'Sault', '84', 'FR'),
(35238, '84800', 'Saumane de Vaucluse', '84', 'FR'),
(35239, '84390', 'Savoillan', '84', 'FR'),
(35240, '84110', 'S�guret', '84', 'FR'),
(35241, '84830', 'S�rignan du Comtat', '84', 'FR'),
(35242, '84400', 'Sivergues', '84', 'FR'),
(35243, '84700', 'Sorgues', '84', 'FR'),
(35244, '84190', 'Suzette', '84', 'FR'),
(35245, '84300', 'Taillades', '84', 'FR'),
(35246, '84250', 'Le Thor', '84', 'FR'),
(35247, '84240', 'La Tour d''Aigues', '84', 'FR'),
(35248, '84850', 'Travaillan', '84', 'FR'),
(35249, '84100', 'Uchaux', '84', 'FR'),
(35250, '84190', 'Vacqueyras', '84', 'FR'),
(35251, '84110', 'Vaison la Romaine', '84', 'FR'),
(35252, '84600', 'Valr�as', '84', 'FR'),
(35253, '84800', 'Fontaine de Vaucluse', '84', 'FR'),
(35254, '84160', 'Vaugines', '84', 'FR'),
(35255, '84270', 'Ved�ne', '84', 'FR'),
(35256, '84740', 'Velleron', '84', 'FR'),
(35257, '84210', 'Venasque', '84', 'FR'),
(35258, '84750', 'Viens', '84', 'FR'),
(35259, '84400', 'Villars', '84', 'FR'),
(35260, '84110', 'Villedieu', '84', 'FR'),
(35261, '84530', 'Villelaure', '84', 'FR'),
(35262, '84570', 'Villes sur Auzon', '84', 'FR'),
(35263, '84150', 'Viol�s', '84', 'FR'),
(35264, '84820', 'Visan', '84', 'FR'),
(35265, '84240', 'Vitrolles', '84', 'FR'),
(35266, '84300', 'Les Vign�res', '84', 'FR'),
(35267, '84140', 'Montfavet', '84', 'FR'),
(35268, '85460', 'L''Aiguillon sur Mer', '85', 'FR'),
(35269, '85220', 'L''Aiguillon sur Vie', '85', 'FR'),
(35270, '85190', 'Aizenay', '85', 'FR'),
(35271, '85750', 'Angles', '85', 'FR'),
(35272, '85120', 'Antigny', '85', 'FR'),
(35273, '85220', 'Apremont', '85', 'FR'),
(35274, '85430', 'Aubigny', '85', 'FR'),
(35275, '85200', 'Auzay', '85', 'FR'),
(35276, '85440', 'Avrill�', '85', 'FR'),
(35277, '85630', 'Barb�tre', '85', 'FR'),
(35278, '85550', 'La Barre de Monts', '85', 'FR'),
(35279, '85130', 'Bazoges en Paillers', '85', 'FR'),
(35280, '85390', 'Bazoges en Pareds', '85', 'FR'),
(35281, '85170', 'Beaufou', '85', 'FR'),
(35282, '85190', 'Beaulieu sous la Roche', '85', 'FR'),
(35283, '85500', 'Beaurepaire', '85', 'FR'),
(35284, '85230', 'Beauvoir sur Mer', '85', 'FR'),
(35285, '85170', 'Belleville sur Vie', '85', 'FR'),
(35286, '85490', 'Benet', '85', 'FR'),
(35287, '85610', 'La Bernardi�re', '85', 'FR'),
(35288, '85560', 'Le Bernard', '85', 'FR'),
(35289, '85320', 'Bessay', '85', 'FR'),
(35290, '85710', 'Bois de Cen�', '85', 'FR'),
(35291, '85600', 'La Boissi�re de Montaigu', '85', 'FR'),
(35292, '85430', 'La Boissi�re des Landes', '85', 'FR'),
(35293, '85600', 'Bouff�r�', '85', 'FR'),
(35294, '85420', 'Bouill� Courdault', '85', 'FR'),
(35295, '85230', 'Bouin', '85', 'FR'),
(35296, '85140', 'Boulogne', '85', 'FR'),
(35297, '85510', 'Le Boup�re', '85', 'FR'),
(35298, '85200', 'Bourneau', '85', 'FR'),
(35299, '85480', 'Bournezeau', '85', 'FR'),
(35300, '85470', 'Br�tignolles sur Mer', '85', 'FR'),
(35301, '85320', 'La Bretonni�re', '85', 'FR'),
(35302, '85120', 'Breuil Barret', '85', 'FR'),
(35303, '85260', 'Les Brouzils', '85', 'FR'),
(35304, '85530', 'La Bruffi�re', '85', 'FR'),
(35305, '85410', 'Caill�re St Hilaire', '85', 'FR'),
(35306, '85410', 'Cezais', '85', 'FR'),
(35307, '85450', 'Chaill� les Marais', '85', 'FR'),
(35308, '85310', 'Chaill� sous les Ormeaux', '85', 'FR'),
(35309, '85200', 'Chaix', '85', 'FR'),
(35310, '85220', 'La Chaize Giraud', '85', 'FR'),
(35311, '85310', 'La Chaize le Vicomte', '85', 'FR'),
(35312, '85300', 'Challans', '85', 'FR'),
(35313, '85500', 'Chambretaud', '85', 'FR'),
(35314, '85450', 'Champagn� les Marais', '85', 'FR'),
(35315, '85540', 'Le Champ Saint P�re', '85', 'FR'),
(35316, '85110', 'Chantonnay', '85', 'FR'),
(35317, '85150', 'La Chapelle Achard', '85', 'FR'),
(35318, '85120', 'La Chapelle aux Lys', '85', 'FR'),
(35319, '85220', 'Chapelle Hermier', '85', 'FR'),
(35320, '85670', 'La Chapelle Palluau', '85', 'FR'),
(35321, '85210', 'La Chapelle Th�mer', '85', 'FR'),
(35322, '85400', 'Chasnais', '85', 'FR'),
(35323, '85120', 'La Ch�taigneraie', '85', 'FR'),
(35324, '85180', 'Ch�teau d''Olonne', '85', 'FR'),
(35325, '85320', 'Ch�teau Guibert', '85', 'FR'),
(35326, '85710', 'Ch�teauneuf', '85', 'FR'),
(35327, '85700', 'Ch�telliers Ch�teaumur', '85', 'FR'),
(35328, '85140', 'Chauch�', '85', 'FR'),
(35329, '85250', 'Chavagnes en Paillers', '85', 'FR'),
(35330, '85390', 'Chavagnes les Redoux', '85', 'FR'),
(35331, '85390', 'Cheffois', '85', 'FR'),
(35332, '85320', 'La Claye', '85', 'FR'),
(35333, '85430', 'Les Clouzeaux', '85', 'FR'),
(35334, '85220', 'Co�x', '85', 'FR'),
(35335, '85220', 'Commequiers', '85', 'FR'),
(35336, '85260', 'La Copechagni�re', '85', 'FR'),
(35337, '85320', 'Corpe', '85', 'FR'),
(35338, '85320', 'La Couture', '85', 'FR'),
(35339, '85610', 'Cugand', '85', 'FR'),
(35340, '85540', 'Curzon', '85', 'FR'),
(35341, '85420', 'Damvix', '85', 'FR'),
(35342, '85320', 'Dissais', '85', 'FR'),
(35343, '85200', 'Doix', '85', 'FR'),
(35344, '85170', 'Dompierre sur Yon', '85', 'FR'),
(35345, '85590', 'Les �pesses', '85', 'FR'),
(35346, '85740', 'L''�pine', '85', 'FR'),
(35347, '85140', 'Les Essarts', '85', 'FR'),
(35348, '85670', 'Falleron', '85', 'FR'),
(35349, '85240', 'Faymoreau', '85', 'FR'),
(35350, '85800', 'Le Fenouiller', '85', 'FR'),
(35351, '85280', 'La Ferri�re', '85', 'FR'),
(35352, '85700', 'La Flocelli�re', '85', 'FR'),
(35353, '85200', 'Fontaines', '85', 'FR'),
(35354, '85200', 'Fontenay le Comte', '85', 'FR'),
(35355, '85480', 'Fouger�', '85', 'FR'),
(35356, '85240', 'Foussais Payr�', '85', 'FR'),
(35357, '85300', 'Froidfond', '85', 'FR'),
(35358, '85710', 'La Garnache', '85', 'FR'),
(35359, '85130', 'La Gaubreti�re', '85', 'FR'),
(35360, '85190', 'La Gen�touze', '85', 'FR'),
(35361, '85150', 'Le Girouard', '85', 'FR'),
(35362, '85800', 'Givrand', '85', 'FR'),
(35363, '85540', 'Le Givre', '85', 'FR'),
(35364, '85670', 'Grand Landes', '85', 'FR'),
(35365, '85440', 'Grosbreuil', '85', 'FR'),
(35366, '85580', 'Grues', '85', 'FR'),
(35367, '85770', 'Le Gu� de Velluire', '85', 'FR'),
(35368, '85680', 'La Gu�rini�re', '85', 'FR'),
(35369, '85600', 'La Guyonni�re', '85', 'FR'),
(35370, '85260', 'L''Herbergement', '85', 'FR'),
(35371, '85500', 'Les Herbiers', '85', 'FR'),
(35372, '85570', 'L''Hermenault', '85', 'FR'),
(35373, '85770', 'L''�le d''Elle', '85', 'FR'),
(35374, '85340', 'L''�le d''Olonne', '85', 'FR'),
(35375, '85350', 'Ile d''Yeu', '85', 'FR'),
(35376, '85520', 'Jard sur Mer', '85', 'FR'),
(35377, '85110', 'La Jaudonni�re', '85', 'FR'),
(35378, '85540', 'La Jonch�re', '85', 'FR'),
(35379, '85400', 'Lairoux', '85', 'FR'),
(35380, '85150', 'Landeronde', '85', 'FR'),
(35381, '85130', 'Les Landes G�nusson', '85', 'FR'),
(35382, '85220', 'Landevieille', '85', 'FR'),
(35383, '85370', 'Le Langon', '85', 'FR'),
(35384, '85490', 'Lesson', '85', 'FR'),
(35385, '85420', 'Liez', '85', 'FR'),
(35386, '85310', 'La Limouzini�re', '85', 'FR'),
(35387, '85120', 'Loge Fougereuse', '85', 'FR'),
(35388, '85200', 'Long�ves', '85', 'FR'),
(35389, '85560', 'Longeville sur Mer', '85', 'FR'),
(35390, '85400', 'Lu�on', '85', 'FR'),
(35391, '85170', 'Les Lucs sur Boulogne', '85', 'FR'),
(35392, '85190', 'Mach�', '85', 'FR'),
(35393, '85400', 'Magnils Reigniers', '85', 'FR'),
(35394, '85420', 'Maill�', '85', 'FR'),
(35395, '85420', 'Maillezais', '85', 'FR'),
(35396, '85590', 'Malli�vre', '85', 'FR'),
(35397, '85320', 'Mareuil sur Lay Dissais', '85', 'FR'),
(35398, '85240', 'Marillet', '85', 'FR'),
(35399, '85570', 'Marsais Sainte Rad�gonde', '85', 'FR'),
(35400, '85150', 'Martinet', '85', 'FR'),
(35401, '85420', 'Le Mazeau', '85', 'FR'),
(35402, '85700', 'La Meilleraie Tillay', '85', 'FR'),
(35403, '85700', 'Menomblet', '85', 'FR'),
(35404, '85140', 'La Merlati�re', '85', 'FR'),
(35405, '85200', 'Mervent', '85', 'FR'),
(35406, '85500', 'Mesnard la Baroti�re', '85', 'FR'),
(35407, '85110', 'Monsireigne', '85', 'FR'),
(35408, '85600', 'Montaigu', '85', 'FR'),
(35409, '85700', 'Montournais', '85', 'FR'),
(35410, '85200', 'Montreuil', '85', 'FR'),
(35411, '85450', 'Moreilles', '85', 'FR'),
(35412, '85260', 'Mormaison', '85', 'FR'),
(35413, '85290', 'Mortagne sur S�vre', '85', 'FR'),
(35414, '85150', 'La Mothe Achard', '85', 'FR'),
(35415, '85640', 'Mouchamps', '85', 'FR'),
(35416, '85390', 'Mouilleron en Pareds', '85', 'FR'),
(35417, '85000', 'Mouilleron le Captif', '85', 'FR'),
(35418, '85540', 'Moutiers les Mauxfaits', '85', 'FR'),
(35419, '85320', 'Moutiers sur le Lay', '85', 'FR'),
(35420, '85370', 'Mouzeuil St Martin', '85', 'FR'),
(35421, '85370', 'Nalliers', '85', 'FR'),
(35422, '85310', 'Nesmy', '85', 'FR'),
(35423, '85430', 'Nieul le Dolent', '85', 'FR'),
(35424, '85240', 'Nieul sur l''Autise', '85', 'FR'),
(35425, '85330', 'Noirmoutier en l''�le', '85', 'FR'),
(35426, '85690', 'Notre Dame de Monts', '85', 'FR'),
(35427, '85140', 'L''Oie', '85', 'FR'),
(35428, '85340', 'Olonne sur Mer', '85', 'FR'),
(35429, '85200', 'L''Orbrie', '85', 'FR'),
(35430, '85420', 'Oulmes', '85', 'FR'),
(35431, '85670', 'Palluau', '85', 'FR'),
(35432, '85320', 'P�ault', '85', 'FR'),
(35433, '85300', 'Le Perrier', '85', 'FR'),
(35434, '85570', 'P�tosse', '85', 'FR'),
(35435, '85320', 'Les Pineaux', '85', 'FR'),
(35436, '85200', 'Pissotte', '85', 'FR'),
(35437, '85770', 'Le Poir� sur Velluire', '85', 'FR'),
(35438, '85170', 'Le Poir� sur Vie', '85', 'FR'),
(35439, '85440', 'Poiroux', '85', 'FR'),
(35440, '85700', 'La Pommeraie sur S�vre', '85', 'FR'),
(35441, '85570', 'Pouill�', '85', 'FR'),
(35442, '85700', 'Pouzauges', '85', 'FR'),
(35443, '85240', 'Puy de Serre', '85', 'FR'),
(35444, '85450', 'Puyravault', '85', 'FR'),
(35445, '85250', 'La Rabateli�re', '85', 'FR'),
(35446, '85700', 'R�aumur', '85', 'FR'),
(35447, '85210', 'La R�orthe', '85', 'FR'),
(35448, '85270', 'Notre Dame de Riez', '85', 'FR'),
(35449, '85620', 'Rocheservi�re', '85', 'FR'),
(35450, '85000', 'La Roche sur Yon', '85', 'FR'),
(35451, '85510', 'Rochetrejoux', '85', 'FR'),
(35452, '85320', 'Rosnay', '85', 'FR'),
(35453, '85180', 'Les Sables d''Olonne', '85', 'FR'),
(35454, '85100', 'Les Sables d''Olonne', '85', 'FR'),
(35455, '85250', 'Saint Andr� Goule d''Oie', '85', 'FR'),
(35456, '85260', 'Saint Andr� Treize Voies', '85', 'FR'),
(35457, '85130', 'Saint Aubin des Ormeaux', '85', 'FR'),
(35458, '85210', 'Saint Aubin la Plaine', '85', 'FR'),
(35459, '85540', 'Saint Avaugourd des Landes', '85', 'FR'),
(35460, '85540', 'Saint Benoist sur Mer', '85', 'FR'),
(35461, '85110', 'Sainte C�cile', '85', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(35462, '85490', 'Sainte Christine', '85', 'FR'),
(35463, '85670', 'Saint Christophe du Ligneron', '85', 'FR'),
(35464, '85410', 'Saint Cyr des G�ts', '85', 'FR'),
(35465, '85540', 'Saint Cyr en Talmondais', '85', 'FR'),
(35466, '85580', 'Saint Denis du Payr�', '85', 'FR'),
(35467, '85170', 'Saint Denis la Chevasse', '85', 'FR'),
(35468, '85210', 'Saint �tienne de Brillouet', '85', 'FR'),
(35469, '85670', 'Saint �tienne du Bois', '85', 'FR'),
(35470, '85150', 'Sainte Flaive des Loups', '85', 'FR'),
(35471, '85140', 'Sainte Florence', '85', 'FR'),
(35472, '85310', 'Saint Florent des Bois', '85', 'FR'),
(35473, '85150', 'Sainte Foy', '85', 'FR'),
(35474, '85250', 'Saint Fulgent', '85', 'FR'),
(35475, '85400', 'Sainte Gemme la Plaine', '85', 'FR'),
(35476, '85600', 'Saint Georges de Montaigu', '85', 'FR'),
(35477, '85150', 'Saint Georges de Pointindoux', '85', 'FR'),
(35478, '85390', 'Saint Germain l''Aiguiller', '85', 'FR'),
(35479, '85110', 'Saint Germain de Prin�ay', '85', 'FR'),
(35480, '85230', 'Saint Gervais', '85', 'FR'),
(35481, '85800', 'St Gilles Croix de Vie', '85', 'FR'),
(35482, '85210', 'Sainte Hermine', '85', 'FR'),
(35483, '85600', 'Saint Hilaire de Loulay', '85', 'FR'),
(35484, '85270', 'Saint Hilaire de Riez', '85', 'FR'),
(35485, '85240', 'Saint Hilaire des Loges', '85', 'FR'),
(35486, '85440', 'Saint Hilaire de Talmont', '85', 'FR'),
(35487, '85120', 'Saint Hilaire de Voust', '85', 'FR'),
(35488, '85410', 'Saint Hilaire du Bois', '85', 'FR'),
(35489, '85440', 'Saint Hilaire la For�t', '85', 'FR'),
(35490, '85480', 'Saint Hilaire le Vouhis', '85', 'FR'),
(35491, '85210', 'Saint Jean de Beugn�', '85', 'FR'),
(35492, '85160', 'Saint Jean de Monts', '85', 'FR'),
(35493, '85210', 'St Juire Champgillon', '85', 'FR'),
(35494, '85150', 'Saint Julien des Landes', '85', 'FR'),
(35495, '85410', 'Saint Laurent de la Salle', '85', 'FR'),
(35496, '85290', 'Saint Laurent sur S�vre', '85', 'FR'),
(35497, '85220', 'Saint Maixent sur Vie', '85', 'FR'),
(35498, '85590', 'Saint Malo du Bois', '85', 'FR'),
(35499, '85590', 'Saint Mars la R�orthe', '85', 'FR'),
(35500, '85470', 'Brem sur Mer', '85', 'FR'),
(35501, '85200', 'Saint Martin de Fraigneau', '85', 'FR'),
(35502, '85570', 'Saint Martin des Fontaines', '85', 'FR'),
(35503, '85140', 'Saint Martin des Noyers', '85', 'FR'),
(35504, '85130', 'Saint Martin des Tilleuls', '85', 'FR'),
(35505, '85210', 'St Martin Lars en Ste Hermine', '85', 'FR'),
(35506, '85150', 'St Mathurin', '85', 'FR'),
(35507, '85120', 'Saint Maurice des Noues', '85', 'FR'),
(35508, '85390', 'Saint Maurice le Girard', '85', 'FR'),
(35509, '85200', 'Saint M�dard des Pr�s', '85', 'FR'),
(35510, '85700', 'Saint Mesmin', '85', 'FR'),
(35511, '85580', 'Saint Michel en l''Herm', '85', 'FR'),
(35512, '85200', 'Saint Michel le Cloucq', '85', 'FR'),
(35513, '85700', 'Saint Michel Mont Mercure', '85', 'FR'),
(35514, '85470', 'Saint Nicolas de Brem', '85', 'FR'),
(35515, '85500', 'Saint Paul en Pareds', '85', 'FR'),
(35516, '85670', 'Saint Paul Mont Penit', '85', 'FR'),
(35517, '85320', 'Sainte P�xine', '85', 'FR'),
(35518, '85660', 'Saint Philbert de Bouaine', '85', 'FR'),
(35519, '85110', 'Saint Philbert du Pont Charrault', '85', 'FR'),
(35520, '85120', 'Saint Pierre du Chemin', '85', 'FR'),
(35521, '85420', 'Saint Pierre le Vieux', '85', 'FR'),
(35522, '85110', 'Saint Prouant', '85', 'FR'),
(35523, '85450', 'Sainte Rad�gonde des Noyers', '85', 'FR'),
(35524, '85220', 'Saint R�v�rend', '85', 'FR'),
(35525, '85420', 'St Sigismond', '85', 'FR'),
(35526, '85540', 'Saint Sornin', '85', 'FR'),
(35527, '85410', 'Saint Sulpice en Pareds', '85', 'FR'),
(35528, '85260', 'Saint Sulpice le Verdon', '85', 'FR'),
(35529, '85230', 'Saint Urbain', '85', 'FR'),
(35530, '85570', 'Saint Val�rien', '85', 'FR'),
(35531, '85480', 'Saint Vincent Puymaufrais', '85', 'FR'),
(35532, '85110', 'Saint Vincent Sterlanges', '85', 'FR'),
(35533, '85540', 'Saint Vincent sur Graon', '85', 'FR'),
(35534, '85520', 'Saint Vincent sur Jard', '85', 'FR'),
(35535, '85170', 'Saligny', '85', 'FR'),
(35536, '85300', 'Sallertaine', '85', 'FR'),
(35537, '85200', 'S�rign�', '85', 'FR'),
(35538, '85110', 'Sigournais', '85', 'FR'),
(35539, '85300', 'Soullans', '85', 'FR'),
(35540, '85310', 'Tablier', '85', 'FR'),
(35541, '85450', 'La Taill�e', '85', 'FR'),
(35542, '85390', 'Tallud Sainte Gemme', '85', 'FR'),
(35543, '85440', 'Talmont St Hilaire', '85', 'FR'),
(35544, '85120', 'La Tardi�re', '85', 'FR'),
(35545, '85210', 'Thir�', '85', 'FR'),
(35546, '85480', 'Thorigny', '85', 'FR'),
(35547, '85410', 'Thouarsais Bouildroux', '85', 'FR'),
(35548, '85130', 'Tiffauges', '85', 'FR'),
(35549, '85360', 'La Tranche sur Mer', '85', 'FR'),
(35550, '85600', 'Treize Septiers', '85', 'FR'),
(35551, '85590', 'Treize Vents', '85', 'FR'),
(35552, '85580', 'Triaize', '85', 'FR'),
(35553, '85150', 'Vair�', '85', 'FR'),
(35554, '85770', 'Velluire', '85', 'FR'),
(35555, '85190', 'Venansault', '85', 'FR'),
(35556, '85250', 'Vendrennes', '85', 'FR'),
(35557, '85130', 'La Verrie', '85', 'FR'),
(35558, '85770', 'Vix', '85', 'FR'),
(35559, '85450', 'Vouill� les Marais', '85', 'FR'),
(35560, '85120', 'Vouvant', '85', 'FR'),
(35561, '85240', 'Xanton Chassenon', '85', 'FR'),
(35562, '85460', 'La Faute sur Mer', '85', 'FR'),
(35563, '85550', 'Fromentine', '85', 'FR'),
(35564, '85350', 'Port Joinville', '85', 'FR'),
(35565, '85270', 'Sion sur l''Oc�an', '85', 'FR'),
(35566, '86430', 'Adriers', '86', 'FR'),
(35567, '86110', 'Amberre', '86', 'FR'),
(35568, '86700', 'Anch�', '86', 'FR'),
(35569, '86260', 'Angles sur l''Anglin', '86', 'FR'),
(35570, '86330', 'Angliers', '86', 'FR'),
(35571, '86310', 'Antigny', '86', 'FR'),
(35572, '86100', 'Antran', '86', 'FR'),
(35573, '86200', 'Ar�ay', '86', 'FR'),
(35574, '86210', 'Archigny', '86', 'FR'),
(35575, '86340', 'Aslonnes', '86', 'FR'),
(35576, '86430', 'Asni�res sur Blour', '86', 'FR'),
(35577, '86250', 'Asnois', '86', 'FR'),
(35578, '86330', 'Aulnay', '86', 'FR'),
(35579, '86530', 'Availles en Ch�tellerault', '86', 'FR'),
(35580, '86460', 'Availles Limouzine', '86', 'FR'),
(35581, '86170', 'Avanton', '86', 'FR'),
(35582, '86190', 'Ayron', '86', 'FR'),
(35583, '86200', 'Basses', '86', 'FR'),
(35584, '86490', 'Beaumont', '86', 'FR'),
(35585, '86210', 'Bellefonds', '86', 'FR'),
(35586, '86470', 'Benassay', '86', 'FR'),
(35587, '86120', 'Berrie', '86', 'FR'),
(35588, '86420', 'Berthegon', '86', 'FR'),
(35589, '86190', 'B�ruges', '86', 'FR'),
(35590, '86310', 'B�thines', '86', 'FR'),
(35591, '86120', 'Beuxes', '86', 'FR'),
(35592, '86000', 'Biard', '86', 'FR'),
(35593, '86800', 'Bignoux', '86', 'FR'),
(35594, '86400', 'Blanzay', '86', 'FR'),
(35595, '86170', 'Blaslay', '86', 'FR'),
(35596, '86300', 'Bonnes', '86', 'FR'),
(35597, '86210', 'Bonneuil Matours', '86', 'FR'),
(35598, '86200', 'Le Bouchet', '86', 'FR'),
(35599, '86410', 'Bouresse', '86', 'FR'),
(35600, '86390', 'Bourg Archambault', '86', 'FR'),
(35601, '86120', 'Bournand', '86', 'FR'),
(35602, '86290', 'Brigueil le Chantre', '86', 'FR'),
(35603, '86160', 'Brion', '86', 'FR'),
(35604, '86510', 'Brux', '86', 'FR'),
(35605, '86310', 'La Bussi�re', '86', 'FR'),
(35606, '86180', 'Buxerolles', '86', 'FR'),
(35607, '37160', 'Buxeuil', '37', 'FR'),
(35608, '86700', 'C�aux en Couh�', '86', 'FR'),
(35609, '86200', 'Ceaux en Loudun', '86', 'FR'),
(35610, '86600', 'Celle L�vescault', '86', 'FR'),
(35611, '86530', 'Cenon sur Vienne', '86', 'FR'),
(35612, '86140', 'Cernay', '86', 'FR'),
(35613, '86380', 'Chabournay', '86', 'FR'),
(35614, '86200', 'Chalais', '86', 'FR'),
(35615, '86190', 'Chalandray', '86', 'FR'),
(35616, '86510', 'Champagn� le Sec', '86', 'FR'),
(35617, '86160', 'Champagn� Saint Hilaire', '86', 'FR'),
(35618, '86170', 'Champigny le Sec', '86', 'FR'),
(35619, '86400', 'Champniers', '86', 'FR'),
(35620, '86250', 'La Chapelle B�ton', '86', 'FR'),
(35621, '86470', 'Chapelle Montreuil', '86', 'FR'),
(35622, '86300', 'Chapelle Morthemer', '86', 'FR'),
(35623, '86210', 'La Chapelle Mouli�re', '86', 'FR'),
(35624, '86300', 'Chapelle Viviers', '86', 'FR'),
(35625, '86170', 'Charrais', '86', 'FR'),
(35626, '86250', 'Charroux', '86', 'FR'),
(35627, '86360', 'Chasseneuil du Poitou', '86', 'FR'),
(35628, '86250', 'Chatain', '86', 'FR'),
(35629, '86350', 'Ch�teau Garnier', '86', 'FR'),
(35630, '86370', 'Ch�teau Larcher', '86', 'FR'),
(35631, '86100', 'Ch�tellerault', '86', 'FR'),
(35632, '86700', 'Ch�tillon', '86', 'FR'),
(35633, '86510', 'Chaunay', '86', 'FR'),
(35634, '86330', 'La Chauss�e', '86', 'FR'),
(35635, '86300', 'Chauvigny', '86', 'FR'),
(35636, '86380', 'Ch�nech�', '86', 'FR'),
(35637, '86450', 'Chenevelles', '86', 'FR'),
(35638, '86170', 'Cherves', '86', 'FR'),
(35639, '86190', 'Chir� en Montreuil', '86', 'FR'),
(35640, '86110', 'Chouppes', '86', 'FR'),
(35641, '86170', 'Ciss�', '86', 'FR'),
(35642, '86320', 'Civaux', '86', 'FR'),
(35643, '86400', 'Civray', '86', 'FR'),
(35644, '86200', 'Roche Rigault', '86', 'FR'),
(35645, '86600', 'Clou�', '86', 'FR'),
(35646, '86490', 'Colombiers', '86', 'FR'),
(35647, '86700', 'Couh�', '86', 'FR'),
(35648, '86600', 'Coulombiers', '86', 'FR'),
(35649, '86290', 'Coulonges', '86', 'FR'),
(35650, '86110', 'Coussay', '86', 'FR'),
(35651, '86270', 'Coussay les Bois', '86', 'FR'),
(35652, '86110', 'Craon', '86', 'FR'),
(35653, '86240', 'Croutelle', '86', 'FR'),
(35654, '86110', 'Cuhon', '86', 'FR'),
(35655, '86120', 'Cur�ay sur Dive', '86', 'FR'),
(35656, '86600', 'Curzay sur Vonne', '86', 'FR'),
(35657, '86220', 'Dang� St Romain', '86', 'FR'),
(35658, '86420', 'Derc�', '86', 'FR'),
(35659, '86410', 'Dienn�', '86', 'FR'),
(35660, '86130', 'Dissay', '86', 'FR'),
(35661, '86140', 'Doussay', '86', 'FR'),
(35662, '86160', 'La Ferri�re Airoux', '86', 'FR'),
(35663, '86300', 'leix', '86', 'FR'),
(35664, '86340', 'Fleur�', '86', 'FR'),
(35665, '86240', 'Fontaine le Comte', '86', 'FR'),
(35666, '86330', 'Frontenay sur Dive', '86', 'FR'),
(35667, '86190', 'Frozes', '86', 'FR'),
(35668, '86160', 'Gen�ay', '86', 'FR'),
(35669, '86250', 'Genouill�', '86', 'FR'),
(35670, '86340', 'Gizay', '86', 'FR'),
(35671, '86200', 'Gl�nouze', '86', 'FR'),
(35672, '86320', 'Gouex', '86', 'FR'),
(35673, '86330', 'La Grimaudi�re', '86', 'FR'),
(35674, '86420', 'Guesnes', '86', 'FR'),
(35675, '86310', 'Haims', '86', 'FR'),
(35676, '86220', 'Ingrandes', '86', 'FR'),
(35677, '86150', 'L''Isle Jourdain', '86', 'FR'),
(35678, '86240', 'Iteuil', '86', 'FR'),
(35679, '86800', 'Jardres', '86', 'FR'),
(35680, '86130', 'Jaunay Clan', '86', 'FR'),
(35681, '86600', 'Jazeneuil', '86', 'FR'),
(35682, '86500', 'Jouhet', '86', 'FR'),
(35683, '86290', 'Journet', '86', 'FR'),
(35684, '86350', 'Jouss�', '86', 'FR'),
(35685, '86390', 'Lathus St R�my', '86', 'FR'),
(35686, '86190', 'Latill�', '86', 'FR'),
(35687, '86300', 'Lauthiers', '86', 'FR'),
(35688, '86470', 'Lavausseau', '86', 'FR'),
(35689, '86800', 'Lavoux', '86', 'FR'),
(35690, '86450', 'Leign� les Bois', '86', 'FR'),
(35691, '86300', 'Leignes sur Fontaine', '86', 'FR'),
(35692, '86230', 'Leign� sur Usseau', '86', 'FR'),
(35693, '86140', 'Lenclo�tre', '86', 'FR'),
(35694, '86270', 'L�signy', '86', 'FR'),
(35695, '86220', 'Leugny', '86', 'FR'),
(35696, '86410', 'Lhommaiz�', '86', 'FR'),
(35697, '86290', 'Liglet', '86', 'FR'),
(35698, '86240', 'Ligug�', '86', 'FR'),
(35699, '86400', 'Linazay', '86', 'FR'),
(35700, '86800', 'Liniers', '86', 'FR'),
(35701, '86400', 'Lizant', '86', 'FR'),
(35702, '86200', 'Loudun', '86', 'FR'),
(35703, '86430', 'Luchapt', '86', 'FR'),
(35704, '86600', 'Lusignan', '86', 'FR'),
(35705, '86320', 'Lussac les Ch�teaux', '86', 'FR'),
(35706, '86160', 'Magn�', '86', 'FR'),
(35707, '86190', 'Maill�', '86', 'FR'),
(35708, '86270', 'Mair�', '86', 'FR'),
(35709, '86170', 'Maisonneuve', '86', 'FR'),
(35710, '86370', 'Mar�ay', '86', 'FR'),
(35711, '86380', 'Marigny Brizay', '86', 'FR'),
(35712, '86370', 'Marigny Chemereau', '86', 'FR'),
(35713, '86160', 'Marnay', '86', 'FR'),
(35714, '86330', 'Martaiz�', '86', 'FR'),
(35715, '86170', 'Massognes', '86', 'FR'),
(35716, '86200', 'Maulay', '86', 'FR'),
(35717, '86460', 'Maupr�voir', '86', 'FR'),
(35718, '86320', 'Mazerolles', '86', 'FR'),
(35719, '86110', 'Mazeuil', '86', 'FR'),
(35720, '86330', 'Messais', '86', 'FR'),
(35721, '86200', 'Messem�', '86', 'FR'),
(35722, '86550', 'Mignaloux Beauvoir', '86', 'FR'),
(35723, '86440', 'Mign� Auxances', '86', 'FR'),
(35724, '86150', 'Millac', '86', 'FR'),
(35725, '86110', 'Mirebeau', '86', 'FR'),
(35726, '86330', 'Moncontour', '86', 'FR'),
(35727, '86230', 'Mondion', '86', 'FR'),
(35728, '86360', 'Montamis�', '86', 'FR'),
(35729, '86210', 'Monthoiron', '86', 'FR'),
(35730, '86500', 'Montmorillon', '86', 'FR'),
(35731, '86470', 'Montreuil Bonnin', '86', 'FR'),
(35732, '86420', 'Monts sur Guesnes', '86', 'FR'),
(35733, '86300', 'Morthemer', '86', 'FR'),
(35734, '86120', 'Morton', '86', 'FR'),
(35735, '86500', 'Moulismes', '86', 'FR'),
(35736, '86150', 'Moussac', '86', 'FR'),
(35737, '86430', 'Mouterre sur Blourde', '86', 'FR'),
(35738, '86200', 'Mouterre Silly', '86', 'FR'),
(35739, '86530', 'Naintr�', '86', 'FR'),
(35740, '86310', 'Nalliers', '86', 'FR'),
(35741, '86150', 'N�rignac', '86', 'FR'),
(35742, '86170', 'Neuville de Poitou', '86', 'FR'),
(35743, '86340', 'Nieuil l''Espoir', '86', 'FR'),
(35744, '86330', 'Notre Dame d''Or', '86', 'FR'),
(35745, '86340', 'Nouaill� Maupertuis', '86', 'FR'),
(35746, '86200', 'Nueil sous Faye', '86', 'FR'),
(35747, '86230', 'Orches', '86', 'FR'),
(35748, '86220', 'Les Ormes', '86', 'FR'),
(35749, '86380', 'Ouzilly', '86', 'FR'),
(35750, '86220', 'Oyr�', '86', 'FR'),
(35751, '86300', 'Paizay le Sec', '86', 'FR'),
(35752, '86700', 'Payr�', '86', 'FR'),
(35753, '86350', 'Payroux', '86', 'FR'),
(35754, '86320', 'Persac', '86', 'FR'),
(35755, '86500', 'Pindray', '86', 'FR'),
(35756, '86500', 'Plaisance', '86', 'FR'),
(35757, '86450', 'Pleumartin', '86', 'FR'),
(35758, '86000', 'Poitiers', '86', 'FR'),
(35759, '86220', 'Port de Piles', '86', 'FR'),
(35760, '86120', 'Pouan�ay', '86', 'FR'),
(35761, '86200', 'Pouant', '86', 'FR'),
(35762, '86800', 'Pouill�', '86', 'FR'),
(35763, '86460', 'Pressac', '86', 'FR'),
(35764, '86420', 'Prin�ay', '86', 'FR'),
(35765, '86260', 'La Puye', '86', 'FR'),
(35766, '86150', 'Queaux', '86', 'FR'),
(35767, '86190', 'Quin�ay', '86', 'FR'),
(35768, '86200', 'Ranton', '86', 'FR'),
(35769, '86120', 'Raslay', '86', 'FR'),
(35770, '86270', 'La Roche Posay', '86', 'FR'),
(35771, '86170', 'Le Rochereau', '86', 'FR'),
(35772, '86340', 'Roches Pr�marie Andill�', '86', 'FR'),
(35773, '86120', 'Roiff�', '86', 'FR'),
(35774, '86700', 'Romagne', '86', 'FR'),
(35775, '86200', 'Rossay', '86', 'FR'),
(35776, '86480', 'Rouill�', '86', 'FR'),
(35777, '86280', 'Saint Beno�t', '86', 'FR'),
(35778, '86330', 'Saint Chartres', '86', 'FR'),
(35779, '86230', 'Saint Christophe', '86', 'FR'),
(35780, '86330', 'Saint Clair', '86', 'FR'),
(35781, '86130', 'Saint Cyr', '86', 'FR'),
(35782, '86400', 'St Gaudent', '86', 'FR'),
(35783, '86140', 'Saint Genest d''Ambi�re', '86', 'FR'),
(35784, '86130', 'Saint Georges l�s Baillargeaux', '86', 'FR'),
(35785, '86310', 'Saint Germain', '86', 'FR'),
(35786, '86230', 'Saint Gervais les Trois Clochers', '86', 'FR'),
(35787, '86330', 'Saint Jean de Sauves', '86', 'FR'),
(35788, '86800', 'Saint Julien l''Ars', '86', 'FR'),
(35789, '86200', 'Saint Laon', '86', 'FR'),
(35790, '86410', 'Saint Laurent de Jourdes', '86', 'FR'),
(35791, '86120', 'Saint L�ger de Montbrillais', '86', 'FR'),
(35792, '86290', 'Saint L�omer', '86', 'FR'),
(35793, '86400', 'Saint Macoux', '86', 'FR'),
(35794, '86300', 'Valdivienne', '86', 'FR'),
(35795, '86350', 'Saint Martin l''Ars', '86', 'FR'),
(35796, '86160', 'Saint Maurice la Clou�re', '86', 'FR'),
(35797, '86260', 'Saint Pierre de Maill�', '86', 'FR'),
(35798, '86400', 'St Pierre d''Exideuil', '86', 'FR'),
(35799, '86300', 'Sainte Radegonde', '86', 'FR'),
(35800, '86390', 'Saint R�my en Montmorillon', '86', 'FR'),
(35801, '86220', 'Saint R�my sur Creuse', '86', 'FR'),
(35802, '86250', 'St Romain', '86', 'FR'),
(35803, '86600', 'Saint Sauvant', '86', 'FR'),
(35804, '86100', 'Saint Sauveur', '86', 'FR'),
(35805, '86310', 'Saint Savin', '86', 'FR'),
(35806, '86400', 'Saint Saviol', '86', 'FR'),
(35807, '86350', 'Saint S�condin', '86', 'FR'),
(35808, '86420', 'Saires', '86', 'FR'),
(35809, '86120', 'Saix', '86', 'FR'),
(35810, '86200', 'Sammar�olles', '86', 'FR'),
(35811, '86600', 'Sanxay', '86', 'FR'),
(35812, '86500', 'Saulg�', '86', 'FR'),
(35813, '86400', 'Savign�', '86', 'FR'),
(35814, '86800', 'Savigny L�vescault', '86', 'FR'),
(35815, '86140', 'Savigny sous Faye', '86', 'FR'),
(35816, '86140', 'Scorb� Clairvaux', '86', 'FR'),
(35817, '86100', 'S�nill�', '86', 'FR'),
(35818, '86230', 'S�rigny', '86', 'FR'),
(35819, '86800', 'S�vres Anxaumont', '86', 'FR'),
(35820, '86320', 'Sillars', '86', 'FR'),
(35821, '86240', 'Smarves', '86', 'FR'),
(35822, '86160', 'Sommi�res du Clain', '86', 'FR'),
(35823, '86230', 'Sossais', '86', 'FR'),
(35824, '86250', 'Surin', '86', 'FR'),
(35825, '86100', 'Targ�', '86', 'FR'),
(35826, '86800', 'Terc�', '86', 'FR'),
(35827, '86120', 'Ternay', '86', 'FR'),
(35828, '86290', 'Thollet', '86', 'FR'),
(35829, '86110', 'Thurageau', '86', 'FR'),
(35830, '86540', 'Thur�', '86', 'FR'),
(35831, '86290', 'La Trimouille', '86', 'FR'),
(35832, '86120', 'Les Trois Moutiers', '86', 'FR'),
(35833, '86230', 'Usseau', '86', 'FR'),
(35834, '86350', 'Usson du Poitou', '86', 'FR'),
(35835, '86110', 'Varennes', '86', 'FR'),
(35836, '86700', 'Vaux', '86', 'FR'),
(35837, '86220', 'Vaux sur Vienne', '86', 'FR'),
(35838, '86230', 'Vell�ches', '86', 'FR'),
(35839, '86380', 'Vendeuvre du Poitou', '86', 'FR'),
(35840, '86110', 'Verger sur Dive', '86', 'FR'),
(35841, '86340', 'Vernon', '86', 'FR'),
(35842, '86410', 'Verri�res', '86', 'FR'),
(35843, '86420', 'Verrue', '86', 'FR'),
(35844, '86120', 'V�zi�res', '86', 'FR'),
(35845, '86260', 'Vicq sur Gartempe', '86', 'FR'),
(35846, '86150', 'Le Vigeant', '86', 'FR'),
(35847, '86340', 'La Villedieu du Clain', '86', 'FR'),
(35848, '86310', 'Villemort', '86', 'FR'),
(35849, '86190', 'Villiers', '86', 'FR'),
(35850, '86370', 'Vivonne', '86', 'FR'),
(35851, '86190', 'Vouill�', '86', 'FR'),
(35852, '86400', 'Voul�me', '86', 'FR'),
(35853, '86700', 'Voulon', '86', 'FR'),
(35854, '86580', 'Vouneuil sous Biard', '86', 'FR'),
(35855, '86210', 'Vouneuil sur Vienne', '86', 'FR'),
(35856, '86170', 'Vouzailles', '86', 'FR'),
(35857, '86170', 'Yversay', '86', 'FR'),
(35858, '86300', 'Saint Martin la Rivi�re', '86', 'FR'),
(35859, '86490', 'La Tricherie', '86', 'FR'),
(35860, '87700', 'Aixe sur Vienne', '87', 'FR'),
(35861, '87240', 'Ambazac', '87', 'FR'),
(35862, '87160', 'Arnac la Poste', '87', 'FR'),
(35863, '87120', 'Augne', '87', 'FR'),
(35864, '87220', 'Aureil', '87', 'FR'),
(35865, '87360', 'Azat le Ris', '87', 'FR'),
(35866, '87290', 'Balledent', '87', 'FR'),
(35867, '87210', 'La Bazeuge', '87', 'FR'),
(35868, '87120', 'Beaumont du Lac', '87', 'FR'),
(35869, '87300', 'Bellac', '87', 'FR'),
(35870, '87300', 'Berneuil', '87', 'FR'),
(35871, '87370', 'Bersac sur Rivalier', '87', 'FR'),
(35872, '87250', 'Bessines sur Gartempe', '87', 'FR'),
(35873, '87700', 'Beynac', '87', 'FR'),
(35874, '87340', 'Les Billanges', '87', 'FR'),
(35875, '87300', 'Blanzac', '87', 'FR'),
(35876, '87300', 'Blond', '87', 'FR'),
(35877, '87220', 'Boisseuil', '87', 'FR'),
(35878, '87270', 'Bonnac la C�te', '87', 'FR'),
(35879, '87110', 'Bosmie l''Aiguille', '87', 'FR'),
(35880, '87300', 'Breuilaufa', '87', 'FR'),
(35881, '87140', 'Le Buis', '87', 'FR'),
(35882, '87460', 'Bujaleuf', '87', 'FR'),
(35883, '87800', 'Burgnac', '87', 'FR'),
(35884, '87330', 'Bussi�re Boffy', '87', 'FR'),
(35885, '87230', 'Bussi�re Galant', '87', 'FR'),
(35886, '87320', 'Bussi�re Poitevine', '87', 'FR'),
(35887, '87230', 'Les Cars', '87', 'FR'),
(35888, '87200', 'Chaillac sur Vienne', '87', 'FR'),
(35889, '87500', 'Chalard', '87', 'FR'),
(35890, '87230', 'Ch�lus', '87', 'FR'),
(35891, '87140', 'Chamboret', '87', 'FR'),
(35892, '87150', 'Champagnac la Rivi�re', '87', 'FR'),
(35893, '87400', 'Champn�tery', '87', 'FR'),
(35894, '87230', 'Champsac', '87', 'FR'),
(35895, '87440', 'La Chapelle Montbrandeix', '87', 'FR'),
(35896, '87270', 'Chaptelat', '87', 'FR'),
(35897, '87380', 'Ch�teau Chervix', '87', 'FR'),
(35898, '87130', 'Ch�teauneuf la For�t', '87', 'FR'),
(35899, '87290', 'Ch�teauponsac', '87', 'FR'),
(35900, '87400', 'Le Chatenet en Dognon', '87', 'FR'),
(35901, '87460', 'Cheissoux', '87', 'FR'),
(35902, '87600', 'Ch�ronnac', '87', 'FR'),
(35903, '87520', 'Cieux', '87', 'FR'),
(35904, '87310', 'Cognac la For�t', '87', 'FR'),
(35905, '87140', 'Compreignac', '87', 'FR'),
(35906, '87920', 'Condat sur Vienne', '87', 'FR'),
(35907, '87500', 'Coussac Bonneval', '87', 'FR'),
(35908, '87270', 'Couzeix', '87', 'FR'),
(35909, '87130', 'La Croisille sur Briance', '87', 'FR'),
(35910, '87210', 'La Croix sur Gartempe', '87', 'FR'),
(35911, '87160', 'Cromac', '87', 'FR'),
(35912, '87150', 'Cussac', '87', 'FR'),
(35913, '87320', 'Darnac', '87', 'FR'),
(35914, '87210', 'Dinsac', '87', 'FR'),
(35915, '87190', 'Dompierre les �glises', '87', 'FR'),
(35916, '87120', 'Domps', '87', 'FR'),
(35917, '87210', 'Le Dorat', '87', 'FR'),
(35918, '87230', 'Dournazac', '87', 'FR'),
(35919, '87190', 'Droux', '87', 'FR'),
(35920, '87400', 'Eybouleuf', '87', 'FR'),
(35921, '87220', 'Eyjeaux', '87', 'FR'),
(35922, '87120', 'Eymoutiers', '87', 'FR'),
(35923, '87220', 'Feytiat', '87', 'FR'),
(35924, '87230', 'Flavignac', '87', 'FR'),
(35925, '87250', 'Folles', '87', 'FR'),
(35926, '87250', 'Fromental', '87', 'FR'),
(35927, '87330', 'Gajoubert', '87', 'FR'),
(35928, '87400', 'La Geneytouse', '87', 'FR'),
(35929, '87500', 'Glandon', '87', 'FR'),
(35930, '87380', 'Glanges', '87', 'FR'),
(35931, '87310', 'Gorre', '87', 'FR'),
(35932, '87160', 'Les Grands Ch�zeaux', '87', 'FR'),
(35933, '87170', 'Isle', '87', 'FR'),
(35934, '87370', 'Jabreilles les Bordes', '87', 'FR'),
(35935, '87800', 'Janailhac', '87', 'FR'),
(35936, '87520', 'Javerdat', '87', 'FR'),
(35937, '87340', 'La Jonch�re Saint Maurice', '87', 'FR'),
(35938, '87890', 'Jouac', '87', 'FR'),
(35939, '87800', 'Jourgnac', '87', 'FR'),
(35940, '87500', 'Ladignac le Long', '87', 'FR'),
(35941, '87370', 'Lauri�re', '87', 'FR'),
(35942, '87230', 'Lavignac', '87', 'FR'),
(35943, '87280', 'Limoges', '87', 'FR'),
(35944, '87100', 'Limoges', '87', 'FR'),
(35945, '87000', 'Limoges', '87', 'FR'),
(35946, '87130', 'Linards', '87', 'FR'),
(35947, '87360', 'Lussac les �glises', '87', 'FR'),
(35948, '87380', 'Magnac Bourg', '87', 'FR'),
(35949, '87190', 'Magnac Laval', '87', 'FR'),
(35950, '87160', 'Mailhac sur Benaize', '87', 'FR'),
(35951, '87440', 'Maisonnais sur Tardoire', '87', 'FR'),
(35952, '87440', 'Marval', '87', 'FR'),
(35953, '87130', 'Masl�on', '87', 'FR'),
(35954, '87800', 'Meilhac', '87', 'FR'),
(35955, '87380', 'Meuzac', '87', 'FR'),
(35956, '87800', 'La Meyze', '87', 'FR'),
(35957, '87330', 'M�zi�res sur Issoire', '87', 'FR'),
(35958, '87440', 'Milhaguet', '87', 'FR'),
(35959, '87400', 'Moissannes', '87', 'FR'),
(35960, '87330', 'Montrol S�nard', '87', 'FR'),
(35961, '87330', 'Mortemart', '87', 'FR'),
(35962, '87250', 'Morterolles sur Semme', '87', 'FR'),
(35963, '87140', 'Nantiat', '87', 'FR'),
(35964, '87120', 'Nedde', '87', 'FR'),
(35965, '87130', 'Neuvic Entier', '87', 'FR'),
(35966, '87800', 'Nexon', '87', 'FR'),
(35967, '87510', 'Nieul', '87', 'FR'),
(35968, '87330', 'Nouic', '87', 'FR'),
(35969, '87210', 'Oradour Saint Genest', '87', 'FR'),
(35970, '87520', 'Oradour sur Glane', '87', 'FR'),
(35971, '87150', 'Oradour sur Vayres', '87', 'FR'),
(35972, '87230', 'Pag�as', '87', 'FR'),
(35973, '87410', 'Le Palais sur Vienne', '87', 'FR'),
(35974, '87350', 'Panazol', '87', 'FR'),
(35975, '87440', 'Pensol', '87', 'FR'),
(35976, '87300', 'Peyrat de Bellac', '87', 'FR'),
(35977, '87470', 'Peyrat le Ch�teau', '87', 'FR'),
(35978, '87510', 'Peyrilhac', '87', 'FR'),
(35979, '87260', 'Pierre Buffi�re', '87', 'FR'),
(35980, '87380', 'La Porcherie', '87', 'FR'),
(35981, '87290', 'Rancon', '87', 'FR'),
(35982, '87640', 'Raz�s', '87', 'FR'),
(35983, '87120', 'Rempnat', '87', 'FR'),
(35984, '87800', 'Rilhac Lastours', '87', 'FR'),
(35985, '87570', 'Rilhac Rancon', '87', 'FR'),
(35986, '87600', 'Rochechouart', '87', 'FR'),
(35987, '87800', 'La Roche l''Abeille', '87', 'FR'),
(35988, '87140', 'Roussac', '87', 'FR'),
(35989, '87400', 'Roy�res', '87', 'FR'),
(35990, '87130', 'Roziers Saint Georges', '87', 'FR'),
(35991, '87720', 'Saillat sur Vienne', '87', 'FR'),
(35992, '87120', 'Saint Amand le Petit', '87', 'FR'),
(35993, '87290', 'Saint Amand Magnazeix', '87', 'FR'),
(35994, '87120', 'Sainte Anne Saint Priest', '87', 'FR'),
(35995, '87310', 'Saint Auvent', '87', 'FR'),
(35996, '87330', 'Saint Barbant', '87', 'FR'),
(35997, '87150', 'Saint Bazile', '87', 'FR'),
(35998, '87260', 'Saint Bonnet Briance', '87', 'FR'),
(35999, '87300', 'Saint Bonnet de Bellac', '87', 'FR'),
(36000, '87200', 'Saint Brice sur Vienne', '87', 'FR'),
(36001, '87310', 'Saint Cyr', '87', 'FR'),
(36002, '87400', 'Saint Denis des Murs', '87', 'FR'),
(36003, '87510', 'Saint Gence', '87', 'FR'),
(36004, '87260', 'Saint Genest sur Roselle', '87', 'FR'),
(36005, '87160', 'Saint Georges les Landes', '87', 'FR'),
(36006, '87380', 'Saint Germain les Belles', '87', 'FR'),
(36007, '87130', 'Saint Gilles les For�ts', '87', 'FR'),
(36008, '87260', 'Saint Hilaire Bonneval', '87', 'FR'),
(36009, '87190', 'Saint Hilaire La Treille', '87', 'FR'),
(36010, '87800', 'Saint Hilaire les Places', '87', 'FR'),
(36011, '87260', 'Saint Jean Ligoure', '87', 'FR'),
(36012, '87510', 'Saint Jouvent', '87', 'FR'),
(36013, '87460', 'Saint Julien le Petit', '87', 'FR'),
(36014, '87200', 'Saint Junien', '87', 'FR'),
(36015, '87300', 'Saint Junien les Combes', '87', 'FR'),
(36016, '87590', 'Saint Just le Martel', '87', 'FR'),
(36017, '87340', 'Saint Laurent les �glises', '87', 'FR'),
(36018, '87310', 'Saint Laurent sur Gorre', '87', 'FR'),
(36019, '87340', 'Saint L�ger la Montagne', '87', 'FR'),
(36020, '87190', 'Saint L�ger Magnazeix', '87', 'FR'),
(36021, '87400', 'Saint L�onard de Noblat', '87', 'FR'),
(36022, '87420', 'Sainte Marie de Vaux', '87', 'FR'),
(36023, '87330', 'Saint Martial sur Isop', '87', 'FR'),
(36024, '87200', 'Saint Martin de Jussac', '87', 'FR'),
(36025, '87360', 'Saint Martin le Mault', '87', 'FR'),
(36026, '87700', 'Saint Martin le Vieux', '87', 'FR'),
(36027, '87400', 'Saint Martin Terressus', '87', 'FR'),
(36028, '87440', 'Saint Mathieu', '87', 'FR'),
(36029, '87800', 'St Maurice les Brousses', '87', 'FR'),
(36030, '87130', 'Saint M�ard', '87', 'FR'),
(36031, '87230', 'Saint Nicolas Courbefy', '87', 'FR'),
(36032, '87300', 'Saint Ouen sur Gartempe', '87', 'FR'),
(36033, '87250', 'Saint Pardoux', '87', 'FR'),
(36034, '87260', 'St Paul', '87', 'FR'),
(36035, '87290', 'Saint Priest le Betoux', '87', 'FR'),
(36036, '87800', 'Saint Priest Ligoure', '87', 'FR'),
(36037, '87700', 'Saint Priest sous Aixe', '87', 'FR'),
(36038, '87480', 'Saint Priest Taurion', '87', 'FR'),
(36039, '87210', 'Saint Sornin la Marche', '87', 'FR'),
(36040, '87290', 'Saint Sornin Leulac', '87', 'FR'),
(36041, '87370', 'Saint Sulpice Lauri�re', '87', 'FR'),
(36042, '87160', 'Saint Sulpice les Feuilles', '87', 'FR'),
(36043, '87240', 'Saint Sylvestre', '87', 'FR'),
(36044, '87140', 'Saint Symphorien sur Couze', '87', 'FR'),
(36045, '87420', 'Saint Victurnien', '87', 'FR'),
(36046, '87380', 'Saint Vitte sur Briance', '87', 'FR'),
(36047, '87500', 'Saint Yrieix la Perche', '87', 'FR'),
(36048, '87700', 'Saint Yrieix sous Aixe', '87', 'FR'),
(36049, '87440', 'Les Salles Lavauguyon', '87', 'FR'),
(36050, '87400', 'Sauviat sur Vige', '87', 'FR'),
(36051, '87620', 'S�reilhac', '87', 'FR'),
(36052, '87110', 'Solignac', '87', 'FR'),
(36053, '87130', 'Surdoux', '87', 'FR'),
(36054, '87130', 'Sussac', '87', 'FR'),
(36055, '87360', 'Tersannes', '87', 'FR'),
(36056, '87320', 'Thiat', '87', 'FR'),
(36057, '87140', 'Thouron', '87', 'FR'),
(36058, '87140', 'Vaulry', '87', 'FR'),
(36059, '87600', 'Vayres', '87', 'FR'),
(36060, '87360', 'Verneuil Moustiers', '87', 'FR'),
(36061, '87430', 'Verneuil sur Vienne', '87', 'FR'),
(36062, '87520', 'Veyrac', '87', 'FR'),
(36063, '87260', 'Vicq sur Breuilh', '87', 'FR'),
(36064, '87600', 'Videix', '87', 'FR'),
(36065, '87110', 'Le Vigen', '87', 'FR'),
(36066, '87190', 'Villefavard', '87', 'FR'),
(36067, '87280', 'Beaune les Mines', '87', 'FR'),
(36068, '88270', 'Les Ableuvenettes', '88', 'FR'),
(36069, '88500', 'Ah�ville', '88', 'FR'),
(36070, '88140', 'Aingeville', '88', 'FR'),
(36071, '88320', 'Ainvelle', '88', 'FR'),
(36072, '88110', 'Allarmont', '88', 'FR'),
(36073, '88500', 'Ambacourt', '88', 'FR'),
(36074, '88410', 'Ameuvelle', '88', 'FR'),
(36075, '88700', 'Anglemont', '88', 'FR'),
(36076, '88650', 'Anould', '88', 'FR'),
(36077, '88170', 'Aouze', '88', 'FR'),
(36078, '88380', 'Arches', '88', 'FR'),
(36079, '88380', 'Archettes', '88', 'FR'),
(36080, '88170', 'Aroffe', '88', 'FR'),
(36081, '88430', 'Arrent�s de Corcieux', '88', 'FR'),
(36082, '88300', 'Attign�ville', '88', 'FR'),
(36083, '88260', 'Attigny', '88', 'FR'),
(36084, '88300', 'Aulnois', '88', 'FR'),
(36085, '88640', 'Aumontzey', '88', 'FR'),
(36086, '88300', 'Autigny la Tour', '88', 'FR'),
(36087, '88300', 'Autreville', '88', 'FR'),
(36088, '88700', 'Autrey', '88', 'FR'),
(36089, '88140', 'Auzainvilliers', '88', 'FR'),
(36090, '88500', 'Avillers', '88', 'FR'),
(36091, '88130', 'Avrainville', '88', 'FR'),
(36092, '88630', 'Avranville', '88', 'FR'),
(36093, '88600', 'Aydoilles', '88', 'FR'),
(36094, '88330', 'Badm�nil aux Bois', '88', 'FR'),
(36095, '88460', 'La Baffe', '88', 'FR'),
(36096, '88240', 'Bains les Bains', '88', 'FR'),
(36097, '88270', 'Bainville aux Saules', '88', 'FR'),
(36098, '88170', 'Ball�ville', '88', 'FR'),
(36099, '88520', 'Ban de Laveline', '88', 'FR'),
(36100, '88210', 'Ban de Sapt', '88', 'FR'),
(36101, '88230', 'Ban sur Meurthe', '88', 'FR'),
(36102, '88640', 'Barbey S�roux', '88', 'FR'),
(36103, '88300', 'Barville', '88', 'FR'),
(36104, '88120', 'Basse sur le Rupt', '88', 'FR'),
(36105, '88130', 'Battexey', '88', 'FR'),
(36106, '88500', 'Baudricourt', '88', 'FR'),
(36107, '88150', 'Bayecourt', '88', 'FR'),
(36108, '88270', 'Bazegney', '88', 'FR'),
(36109, '88700', 'Bazien', '88', 'FR'),
(36110, '88500', 'Bazoilles et M�nil', '88', 'FR'),
(36111, '88300', 'Bazoilles sur Meuse', '88', 'FR'),
(36112, '88300', 'Beaufremont', '88', 'FR'),
(36113, '88600', 'Beaum�nil', '88', 'FR'),
(36114, '88270', 'Begn�court', '88', 'FR'),
(36115, '88370', 'Bellefontaine', '88', 'FR'),
(36116, '88260', 'Belmont L�s Darney', '88', 'FR'),
(36117, '88600', 'Belmont sur Buttant', '88', 'FR'),
(36118, '88800', 'Belmont sur Vair', '88', 'FR'),
(36119, '88260', 'Belrupt', '88', 'FR'),
(36120, '88210', 'Belval', '88', 'FR'),
(36121, '88520', 'Bertrimoutier', '88', 'FR'),
(36122, '88450', 'Bettegney Saint Brice', '88', 'FR'),
(36123, '88500', 'Bettoncourt', '88', 'FR'),
(36124, '88490', 'Le Beulay', '88', 'FR'),
(36125, '88170', 'Bi�court', '88', 'FR'),
(36126, '88430', 'Biffontaine', '88', 'FR'),
(36127, '88500', 'Bl�merey', '88', 'FR'),
(36128, '88410', 'Bleurville', '88', 'FR'),
(36129, '88320', 'Blevaincourt', '88', 'FR'),
(36130, '88270', 'Bocquegney', '88', 'FR'),
(36131, '88600', 'Bois de Champ', '88', 'FR'),
(36132, '88260', 'Bonvillet', '88', 'FR'),
(36133, '88500', 'Boulaincourt', '88', 'FR'),
(36134, '88600', 'Le Boulay', '88', 'FR'),
(36135, '88470', 'La Bourgonce', '88', 'FR'),
(36136, '88270', 'Bouxi�res aux Bois', '88', 'FR'),
(36137, '88130', 'Bouxurulles', '88', 'FR'),
(36138, '88270', 'Bouzemont', '88', 'FR'),
(36139, '88130', 'Brantigny', '88', 'FR'),
(36140, '88350', 'Br�chainville', '88', 'FR'),
(36141, '88250', 'La Bresse', '88', 'FR'),
(36142, '88600', 'Brouvelieures', '88', 'FR'),
(36143, '88700', 'Br�', '88', 'FR'),
(36144, '88600', 'Bruy�res', '88', 'FR'),
(36145, '88140', 'Bulgn�ville', '88', 'FR'),
(36146, '88700', 'Bult', '88', 'FR'),
(36147, '88540', 'Bussang', '88', 'FR'),
(36148, '88110', 'Celles sur Plaine', '88', 'FR'),
(36149, '88300', 'Certilleux', '88', 'FR'),
(36150, '88130', 'Chamagne', '88', 'FR'),
(36151, '88640', 'Champdray', '88', 'FR'),
(36152, '88600', 'Champ le Duc', '88', 'FR'),
(36153, '88000', 'Chantraine', '88', 'FR'),
(36154, '88240', 'La Chapelle aux Bois', '88', 'FR'),
(36155, '88600', 'Chapelle devant Bruy�res', '88', 'FR'),
(36156, '88130', 'Charmes', '88', 'FR'),
(36157, '88460', 'Charmois devant Bruy�res', '88', 'FR'),
(36158, '88270', 'Charmois l''Orgueilleux', '88', 'FR'),
(36159, '88210', 'Ch�tas', '88', 'FR'),
(36160, '88330', 'Ch�tel sur Moselle', '88', 'FR'),
(36161, '88170', 'Ch�tenois', '88', 'FR'),
(36162, '88410', 'Ch�tillon sur Sa�ne', '88', 'FR'),
(36163, '88500', 'Chauffecourt', '88', 'FR'),
(36164, '88390', 'Chaumousey', '88', 'FR'),
(36165, '88150', 'Chavelot', '88', 'FR'),
(36166, '88500', 'Chef Haut', '88', 'FR'),
(36167, '88460', 'Chenim�nil', '88', 'FR'),
(36168, '88630', 'Chermisey', '88', 'FR'),
(36169, '88270', 'Circourt', '88', 'FR'),
(36170, '88300', 'Circourt sur Mouzon', '88', 'FR'),
(36171, '88410', 'Claudon', '88', 'FR'),
(36172, '88230', 'Clefcy', '88', 'FR'),
(36173, '88630', 'Cl�rey la C�te', '88', 'FR'),
(36174, '88240', 'Le Clerjus', '88', 'FR'),
(36175, '88120', 'Cleurie', '88', 'FR'),
(36176, '88700', 'Cl�zentaine', '88', 'FR'),
(36177, '88100', 'Coinches', '88', 'FR'),
(36178, '88490', 'Colroy la Grande', '88', 'FR'),
(36179, '88490', 'Combrimont', '88', 'FR'),
(36180, '88140', 'Contrex�ville', '88', 'FR'),
(36181, '88430', 'Corcieux', '88', 'FR'),
(36182, '88310', 'Cornimont', '88', 'FR'),
(36183, '88170', 'Courcelles sous Ch�tenois', '88', 'FR'),
(36184, '88630', 'Coussey', '88', 'FR'),
(36185, '88140', 'Crainvilliers', '88', 'FR'),
(36186, '88520', 'La Croix aux Mines', '88', 'FR'),
(36187, '88330', 'Damas aux Bois', '88', 'FR'),
(36188, '88270', 'Damas et Bettegney', '88', 'FR'),
(36189, '88320', 'Damblain', '88', 'FR'),
(36190, '88260', 'Darney', '88', 'FR'),
(36191, '88170', 'Darney aux Ch�nes', '88', 'FR'),
(36192, '88390', 'Darnieulles', '88', 'FR'),
(36193, '88700', 'Deinvillers', '88', 'FR'),
(36194, '88210', 'Denipaire', '88', 'FR'),
(36195, '88270', 'Derbamont', '88', 'FR'),
(36196, '88600', 'Destord', '88', 'FR'),
(36197, '88600', 'Deycimont', '88', 'FR'),
(36198, '88000', 'Deyvillers', '88', 'FR'),
(36199, '88000', 'Dignonville', '88', 'FR'),
(36200, '88000', 'Dinoz�', '88', 'FR'),
(36201, '88460', 'Docelles', '88', 'FR'),
(36202, '88000', 'Dogneville', '88', 'FR'),
(36203, '88170', 'Dolaincourt', '88', 'FR'),
(36204, '88260', 'Dombasle devant Darney', '88', 'FR'),
(36205, '88500', 'Dombasle en Xaintois', '88', 'FR'),
(36206, '88140', 'Dombrot le Sec', '88', 'FR'),
(36207, '88170', 'Dombrot sur Vair', '88', 'FR'),
(36208, '88390', 'Dom�vre sur Avi�re', '88', 'FR'),
(36209, '88330', 'Dom�vre sur Durbion', '88', 'FR'),
(36210, '88500', 'Dom�vre sous Montfort', '88', 'FR'),
(36211, '88600', 'Domfaing', '88', 'FR'),
(36212, '88800', 'Domjulien', '88', 'FR'),
(36213, '88390', 'Dommartin aux Bois', '88', 'FR'),
(36214, '88200', 'Dommartin l�s Remiremont', '88', 'FR'),
(36215, '88260', 'Dommartin l�s Vallois', '88', 'FR'),
(36216, '88170', 'Dommartin sur Vraine', '88', 'FR'),
(36217, '88270', 'Dompaire', '88', 'FR'),
(36218, '88600', 'Dompierre', '88', 'FR'),
(36219, '88700', 'Domptail', '88', 'FR'),
(36220, '88630', 'Domr�my la Pucelle', '88', 'FR'),
(36221, '88500', 'Domvallier', '88', 'FR'),
(36222, '88700', 'Donci�res', '88', 'FR'),
(36223, '88220', 'Dounoux', '88', 'FR'),
(36224, '88510', '�loyes', '88', 'FR'),
(36225, '88650', 'Entre deux Eaux', '88', 'FR'),
(36226, '88000', '�pinal', '88', 'FR'),
(36227, '88260', 'Escles', '88', 'FR'),
(36228, '88260', 'Esley', '88', 'FR'),
(36229, '88130', 'Essegney', '88', 'FR'),
(36230, '88500', 'Estrennes', '88', 'FR'),
(36231, '88480', '�tival Clairefontaine', '88', 'FR'),
(36232, '88450', '�vaux et M�nil', '88', 'FR'),
(36233, '88460', 'Faucompierre', '88', 'FR'),
(36234, '88700', 'Fauconcourt', '88', 'FR'),
(36235, '88600', 'Fays', '88', 'FR'),
(36236, '88360', 'Ferdrupt', '88', 'FR'),
(36237, '88410', 'Fign�velle', '88', 'FR'),
(36238, '88600', 'Fim�nil', '88', 'FR'),
(36239, '88130', 'Flor�mont', '88', 'FR'),
(36240, '88390', 'Fomerey', '88', 'FR'),
(36241, '88600', 'Fontenay', '88', 'FR'),
(36242, '88240', 'Fontenoy le Ch�teau', '88', 'FR'),
(36243, '88530', 'La Forge', '88', 'FR'),
(36244, '88390', 'Les Forges', '88', 'FR'),
(36245, '88320', 'Fouch�court', '88', 'FR'),
(36246, '88320', 'Frain', '88', 'FR'),
(36247, '88230', 'Fraize', '88', 'FR'),
(36248, '88490', 'Frapelle', '88', 'FR'),
(36249, '88630', 'Freb�court', '88', 'FR'),
(36250, '88600', 'Fr�mifontaine', '88', 'FR'),
(36251, '88500', 'Frenelle la Grande', '88', 'FR'),
(36252, '88500', 'Frenelle la Petite', '88', 'FR'),
(36253, '88270', 'Fr�nois', '88', 'FR'),
(36254, '88160', 'Fresse sur Moselle', '88', 'FR'),
(36255, '88350', 'Fr�ville', '88', 'FR'),
(36256, '88440', 'Frizon', '88', 'FR'),
(36257, '88270', 'Gelv�court et Adompt', '88', 'FR'),
(36258, '88520', 'Gemaingoutte', '88', 'FR'),
(36259, '88170', 'Gemmelaincourt', '88', 'FR'),
(36260, '88140', 'Gendreville', '88', 'FR'),
(36261, '88400', 'G�rardmer', '88', 'FR'),
(36262, '88120', 'Gerbamont', '88', 'FR'),
(36263, '88430', 'Gerb�pal', '88', 'FR'),
(36264, '88320', 'Gign�ville', '88', 'FR'),
(36265, '88390', 'Gigney', '88', 'FR'),
(36266, '88390', 'Girancourt', '88', 'FR'),
(36267, '88500', 'Gircourt l�s Vi�ville', '88', 'FR'),
(36268, '88600', 'Girecourt sur Durbion', '88', 'FR'),
(36269, '88150', 'Girmont', '88', 'FR'),
(36270, '88340', 'Girmont Val d''Ajol', '88', 'FR'),
(36271, '88170', 'Gironcourt sur Vraine', '88', 'FR'),
(36272, '88800', 'Girovillers sous Montfort', '88', 'FR'),
(36273, '88410', 'Godoncourt', '88', 'FR'),
(36274, '88190', 'Golbey', '88', 'FR'),
(36275, '88270', 'Gorhey', '88', 'FR'),
(36276, '88350', 'Grand', '88', 'FR'),
(36277, '88490', 'Grande Fosse', '88', 'FR'),
(36278, '88240', 'Grandrupt de Bains', '88', 'FR'),
(36279, '88210', 'Grandrupt', '88', 'FR'),
(36280, '88600', 'Grandvillers', '88', 'FR'),
(36281, '88640', 'Granges sur Vologne', '88', 'FR'),
(36282, '88630', 'Greux', '88', 'FR'),
(36283, '88410', 'Grignoncourt', '88', 'FR'),
(36284, '88240', 'Gruey l�s Surance', '88', 'FR'),
(36285, '88600', 'Gugn�court', '88', 'FR'),
(36286, '88450', 'Gugney aux Aulx', '88', 'FR'),
(36287, '88330', 'Hadigny les Verri�res', '88', 'FR'),
(36288, '88220', 'Hadol', '88', 'FR'),
(36289, '88270', 'Hag�court', '88', 'FR'),
(36290, '88300', 'Hagn�ville et Roncourt', '88', 'FR'),
(36291, '88330', 'Haillainville', '88', 'FR'),
(36292, '88300', 'Harch�champ', '88', 'FR'),
(36293, '88700', 'Hardancourt', '88', 'FR'),
(36294, '88800', 'Har�ville', '88', 'FR'),
(36295, '88300', 'Harmonville', '88', 'FR'),
(36296, '88270', 'Harol', '88', 'FR'),
(36297, '88240', 'Harsault', '88', 'FR'),
(36298, '88240', 'Hautmougey', '88', 'FR'),
(36299, '88240', 'La Haye', '88', 'FR'),
(36300, '88270', 'Hennecourt', '88', 'FR'),
(36301, '88260', 'Hennezel', '88', 'FR'),
(36302, '88130', 'Hergugney', '88', 'FR'),
(36303, '88600', 'Herpelmont', '88', 'FR'),
(36304, '88170', 'Hou�court', '88', 'FR'),
(36305, '88300', 'Hou�ville', '88', 'FR'),
(36306, '88700', 'Housseras', '88', 'FR'),
(36307, '88430', 'La Houssi�re', '88', 'FR'),
(36308, '88210', 'Hurbache', '88', 'FR'),
(36309, '88500', 'Hymont', '88', 'FR'),
(36310, '88150', 'Igney', '88', 'FR'),
(36311, '88320', 'Isches', '88', 'FR'),
(36312, '88300', 'Jainvillotte', '88', 'FR'),
(36313, '88550', 'Jarm�nil', '88', 'FR'),
(36314, '88700', 'Jeanm�nil', '88', 'FR'),
(36315, '88260', 'J�sonville', '88', 'FR'),
(36316, '88000', 'Jeuxey', '88', 'FR'),
(36317, '88500', 'Jorxey', '88', 'FR'),
(36318, '88630', 'Jubainville', '88', 'FR'),
(36319, '88640', 'Jussarupt', '88', 'FR'),
(36320, '88500', 'Juvaincourt', '88', 'FR'),
(36321, '88320', 'Lamarche', '88', 'FR'),
(36322, '88300', 'Landaville', '88', 'FR'),
(36323, '88130', 'Langley', '88', 'FR'),
(36324, '88600', 'Laval sur Vologne', '88', 'FR'),
(36325, '88600', 'Laveline devant Bruy�res', '88', 'FR'),
(36326, '88640', 'Laveline du Houx', '88', 'FR'),
(36327, '88270', 'L�g�ville et Bonfays', '88', 'FR'),
(36328, '88300', 'Lemmecourt', '88', 'FR'),
(36329, '88600', 'L�panges sur Vologne', '88', 'FR'),
(36330, '88260', 'Lerrain', '88', 'FR'),
(36331, '88490', 'Lesseux', '88', 'FR'),
(36332, '88400', 'Li�zey', '88', 'FR'),
(36333, '88350', 'Liffol le Grand', '88', 'FR'),
(36334, '88800', 'Lign�ville', '88', 'FR'),
(36335, '88410', 'Lironcourt', '88', 'FR'),
(36336, '88000', 'Longchamp', '88', 'FR'),
(36337, '88170', 'Longchamp sous Ch�tenois', '88', 'FR'),
(36338, '88490', 'Lubine', '88', 'FR'),
(36339, '88490', 'Lusse', '88', 'FR'),
(36340, '88110', 'Luvigny', '88', 'FR'),
(36341, '88170', 'Maconcourt', '88', 'FR'),
(36342, '88270', 'Madecourt', '88', 'FR'),
(36343, '88450', 'Madegney', '88', 'FR'),
(36344, '88270', 'Madonne et Lamerey', '88', 'FR'),
(36345, '88240', 'Le Magny', '88', 'FR'),
(36346, '88140', 'Malaincourt', '88', 'FR'),
(36347, '88650', 'Mandray', '88', 'FR'),
(36348, '88800', 'Mandres sur Vair', '88', 'FR'),
(36349, '88130', 'Marainville sur Madon', '88', 'FR'),
(36350, '88320', 'Marey', '88', 'FR'),
(36351, '88270', 'Maroncourt', '88', 'FR'),
(36352, '88320', 'Martigny les Bains', '88', 'FR'),
(36353, '88300', 'Martigny l�s Gerbonvaux', '88', 'FR'),
(36354, '88410', 'Martinvelle', '88', 'FR'),
(36355, '88500', 'Mattaincourt', '88', 'FR'),
(36356, '88630', 'Maxey sur Meuse', '88', 'FR'),
(36357, '88150', 'Mazeley', '88', 'FR'),
(36358, '88500', 'Mazirot', '88', 'FR'),
(36359, '88140', 'M�donville', '88', 'FR'),
(36360, '88600', 'M�m�nil', '88', 'FR'),
(36361, '88700', 'M�narmont', '88', 'FR'),
(36362, '88500', 'M�nil en Xaintois', '88', 'FR'),
(36363, '88210', 'M�nil de Senones', '88', 'FR'),
(36364, '88700', 'M�nil sur Belvitte', '88', 'FR'),
(36365, '88160', 'Le M�nil', '88', 'FR'),
(36366, '88630', 'Midrevaux', '88', 'FR'),
(36367, '88500', 'Mirecourt', '88', 'FR'),
(36368, '88630', 'Moncel sur Vair', '88', 'FR'),
(36369, '88210', 'Le Mont', '88', 'FR'),
(36370, '88320', 'Mont l�s Lamarche', '88', 'FR'),
(36371, '88300', 'Mont l�s Neufch�teau', '88', 'FR'),
(36372, '88800', 'Monthureux le Sec', '88', 'FR'),
(36373, '88410', 'Monthureux sur Sa�ne', '88', 'FR'),
(36374, '88240', 'Montmotier', '88', 'FR'),
(36375, '88170', 'Morelmaison', '88', 'FR'),
(36376, '88330', 'Moriville', '88', 'FR'),
(36377, '88320', 'Moriz�court', '88', 'FR'),
(36378, '88600', 'Mortagne', '88', 'FR'),
(36379, '88140', 'Morville', '88', 'FR'),
(36380, '88210', 'Moussey', '88', 'FR'),
(36381, '88700', 'Moyemont', '88', 'FR'),
(36382, '88420', 'Moyenmoutier', '88', 'FR'),
(36383, '88100', 'Nayemont les Fosses', '88', 'FR'),
(36384, '88300', 'Neufch�teau', '88', 'FR'),
(36385, '88600', 'Neuveville devant L�panges', '88', 'FR'),
(36386, '88170', 'Neuveville sous Ch�tenois', '88', 'FR'),
(36387, '88800', 'Neuveville sous Montfort', '88', 'FR'),
(36388, '88100', 'Neuvillers sur Fave', '88', 'FR'),
(36389, '88440', 'Nomexy', '88', 'FR'),
(36390, '88470', 'Nompatelize', '88', 'FR'),
(36391, '88260', 'Nonville', '88', 'FR'),
(36392, '88600', 'Nonzeville', '88', 'FR'),
(36393, '88800', 'Norroy', '88', 'FR'),
(36394, '88700', 'Nossoncourt', '88', 'FR'),
(36395, '88500', 'O�lleville', '88', 'FR'),
(36396, '88500', 'Offroicourt', '88', 'FR'),
(36397, '88170', 'Ollainville', '88', 'FR'),
(36398, '88150', 'Oncourt', '88', 'FR'),
(36399, '88700', 'Ortoncourt', '88', 'FR'),
(36400, '88700', 'Padoux', '88', 'FR'),
(36401, '88100', 'Pair et Grandrupt', '88', 'FR'),
(36402, '88330', 'Pallegney', '88', 'FR'),
(36403, '88800', 'Parey sous Montfort', '88', 'FR'),
(36404, '88350', 'Pargny sous Mureau', '88', 'FR'),
(36405, '88490', 'Petite Fosse', '88', 'FR'),
(36406, '88210', 'La Petite Raon', '88', 'FR'),
(36407, '88270', 'Pierrefitte', '88', 'FR'),
(36408, '88600', 'Pierrepont sur l''Arent�le', '88', 'FR'),
(36409, '88230', 'Plainfaing', '88', 'FR'),
(36410, '88170', 'Pleuvezain', '88', 'FR'),
(36411, '88370', 'Plombi�res les Bains', '88', 'FR'),
(36412, '88300', 'Pompierre', '88', 'FR'),
(36413, '88260', 'Pont l�s Bonfays', '88', 'FR'),
(36414, '88500', 'Pont sur Madon', '88', 'FR'),
(36415, '88330', 'Portieux', '88', 'FR'),
(36416, '88600', 'Les Pouli�res', '88', 'FR'),
(36417, '88500', 'Poussay', '88', 'FR'),
(36418, '88550', 'Pouxeux', '88', 'FR'),
(36419, '88600', 'Prey', '88', 'FR'),
(36420, '88260', 'Provench�res l�s Darney', '88', 'FR'),
(36421, '88490', 'Provench�res sur Fave', '88', 'FR'),
(36422, '88210', 'Le Puid', '88', 'FR'),
(36423, '88630', 'Punerot', '88', 'FR'),
(36424, '88500', 'Puzieux', '88', 'FR'),
(36425, '88270', 'Rac�court', '88', 'FR'),
(36426, '88170', 'Rainville', '88', 'FR'),
(36427, '88700', 'Rambervillers', '88', 'FR'),
(36428, '88500', 'Ramecourt', '88', 'FR'),
(36429, '88160', 'Ramonchamp', '88', 'FR'),
(36430, '88270', 'Rancourt', '88', 'FR'),
(36431, '88220', 'Raon aux Bois', '88', 'FR'),
(36432, '88110', 'Raon l''�tape', '88', 'FR'),
(36433, '88110', 'Raon sur Plaine', '88', 'FR'),
(36434, '88130', 'Rapey', '88', 'FR'),
(36435, '88520', 'Raves', '88', 'FR'),
(36436, '88300', 'Rebeuville', '88', 'FR'),
(36437, '88410', 'Regn�velle', '88', 'FR'),
(36438, '88450', 'Regney', '88', 'FR'),
(36439, '88330', 'Rehaincourt', '88', 'FR'),
(36440, '88640', 'Rehaupal', '88', 'FR'),
(36441, '88260', 'Relanges', '88', 'FR'),
(36442, '88500', 'Remicourt', '88', 'FR'),
(36443, '88200', 'Remiremont', '88', 'FR'),
(36444, '88800', 'Remoncourt', '88', 'FR'),
(36445, '88100', 'Remomeix', '88', 'FR'),
(36446, '88170', 'R�moville', '88', 'FR'),
(36447, '88390', 'Renauvoid', '88', 'FR'),
(36448, '88500', 'Repel', '88', 'FR'),
(36449, '88320', 'Rob�court', '88', 'FR'),
(36450, '88120', 'Rochesson', '88', 'FR'),
(36451, '88320', 'Rocourt', '88', 'FR'),
(36452, '88300', 'Rollainville', '88', 'FR'),
(36453, '88320', 'Romain aux Bois', '88', 'FR'),
(36454, '88700', 'Romont', '88', 'FR'),
(36455, '88600', 'Les Rouges Eaux', '88', 'FR'),
(36456, '88460', 'Le Roulier', '88', 'FR'),
(36457, '88500', 'Rouvres en Xaintois', '88', 'FR'),
(36458, '88170', 'Rouvres la Ch�tive', '88', 'FR'),
(36459, '88700', 'Roville aux Ch�nes', '88', 'FR'),
(36460, '88500', 'Rozerotte', '88', 'FR'),
(36461, '88320', 'Rozi�res sur Mouzon', '88', 'FR'),
(36462, '88370', 'Ruaux', '88', 'FR'),
(36463, '88130', 'Rugney', '88', 'FR'),
(36464, '88630', 'Ruppes', '88', 'FR'),
(36465, '88360', 'Rupt sur Moselle', '88', 'FR'),
(36466, '88120', 'Saint Am�', '88', 'FR'),
(36467, '88700', 'Ste Barbe', '88', 'FR'),
(36468, '88260', 'Saint Baslemont', '88', 'FR'),
(36469, '88700', 'Saint Beno�t la Chipotte', '88', 'FR'),
(36470, '88100', 'Saint Di�', '88', 'FR'),
(36471, '88200', 'Saint �tienne l�s Remiremont', '88', 'FR'),
(36472, '88700', 'Saint Genest', '88', 'FR'),
(36473, '88700', 'Saint Gorgon', '88', 'FR'),
(36474, '88700', 'Sainte H�l�ne', '88', 'FR'),
(36475, '88210', 'Saint Jean d''Ormont', '88', 'FR'),
(36476, '88600', 'Saint Jean du March�', '88', 'FR'),
(36477, '88410', 'Saint Julien', '88', 'FR'),
(36478, '88650', 'Saint L�onard', '88', 'FR'),
(36479, '88100', 'Ste Marguerite', '88', 'FR'),
(36480, '88700', 'Saint Maurice sur Mortagne', '88', 'FR'),
(36481, '88560', 'Saint Maurice sur Moselle', '88', 'FR'),
(36482, '88170', 'Saint Menge', '88', 'FR'),
(36483, '88470', 'Saint Michel sur Meurthe', '88', 'FR'),
(36484, '88200', 'Saint Nabord', '88', 'FR'),
(36485, '88140', 'Saint Ouen l�s Parey', '88', 'FR'),
(36486, '88170', 'Saint paul', '88', 'FR'),
(36487, '88700', 'Saint Pierremont', '88', 'FR'),
(36488, '88500', 'Saint Prancher', '88', 'FR'),
(36489, '88800', 'Saint Remimont', '88', 'FR'),
(36490, '88480', 'St Remy', '88', 'FR'),
(36491, '88210', 'Saint Stail', '88', 'FR'),
(36492, '88270', 'Saint Vallier', '88', 'FR'),
(36493, '88470', 'La Salle', '88', 'FR'),
(36494, '88390', 'Sanchey', '88', 'FR'),
(36495, '88170', 'Sandaucourt', '88', 'FR'),
(36496, '88260', 'Sans Vallois', '88', 'FR'),
(36497, '88120', 'Sapois', '88', 'FR'),
(36498, '88300', 'Sartes', '88', 'FR'),
(36499, '88210', 'Le Saulcy', '88', 'FR'),
(36500, '88580', 'Saulcy sur Meurthe', '88', 'FR'),
(36501, '88140', 'Saulxures l�s Bulgn�ville', '88', 'FR'),
(36502, '88290', 'Saulxures sur Moselotte', '88', 'FR'),
(36503, '88140', 'Sauville', '88', 'FR'),
(36504, '88130', 'Savigny', '88', 'FR'),
(36505, '88320', 'Senaide', '88', 'FR'),
(36506, '88210', 'Senones', '88', 'FR'),
(36507, '88260', 'Senonges', '88', 'FR'),
(36508, '88630', 'Seraumont', '88', 'FR'),
(36509, '88600', 'Sercoeur', '88', 'FR'),
(36510, '88320', 'Ser�court', '88', 'FR'),
(36511, '88320', 'Serocourt', '88', 'FR'),
(36512, '88630', 'Sionne', '88', 'FR'),
(36513, '88130', 'Socourt', '88', 'FR'),
(36514, '88170', 'Soncourt', '88', 'FR'),
(36515, '88630', 'Soulosse sous St Elophe', '88', 'FR'),
(36516, '88140', 'Suriauville', '88', 'FR'),
(36517, '88120', 'Le Syndicat', '88', 'FR'),
(36518, '88100', 'Taintrux', '88', 'FR'),
(36519, '88460', 'Tendon', '88', 'FR'),
(36520, '88150', 'Thaon les Vosges', '88', 'FR'),
(36521, '88800', 'They sous Montfort', '88', 'FR'),
(36522, '88290', 'Thi�fosse', '88', 'FR'),
(36523, '88160', 'Le Thillot', '88', 'FR'),
(36524, '88500', 'Thiraucourt', '88', 'FR'),
(36525, '88530', 'Le Tholy', '88', 'FR'),
(36526, '88410', 'Les Thons', '88', 'FR'),
(36527, '88260', 'Thuilli�res', '88', 'FR'),
(36528, '88320', 'Tign�court', '88', 'FR'),
(36529, '88300', 'Tilleux', '88', 'FR'),
(36530, '88320', 'Tollaincourt', '88', 'FR'),
(36531, '88500', 'Totainville', '88', 'FR'),
(36532, '88350', 'Trampot', '88', 'FR'),
(36533, '88300', 'Tranqueville Graux', '88', 'FR'),
(36534, '88240', 'Tr�monzey', '88', 'FR'),
(36535, '88130', 'Ub�xy', '88', 'FR'),
(36536, '88220', 'Urim�nil', '88', 'FR'),
(36537, '88140', 'Urville', '88', 'FR'),
(36538, '88390', 'Uxegney', '88', 'FR'),
(36539, '88220', 'Uzemain', '88', 'FR'),
(36540, '88140', 'Vacheresse et la Rouillie', '88', 'FR'),
(36541, '88120', 'Vagney', '88', 'FR'),
(36542, '88340', 'Le Val d''Ajol', '88', 'FR'),
(36543, '88270', 'Valfroicourt', '88', 'FR'),
(36544, '88270', 'Valleroy aux Saules', '88', 'FR'),
(36545, '88800', 'Valleroy le Sec', '88', 'FR'),
(36546, '88260', 'Vallois', '88', 'FR'),
(36547, '88230', 'Le Valtin', '88', 'FR'),
(36548, '88450', 'Varmonzey', '88', 'FR'),
(36549, '88500', 'Vaubexy', '88', 'FR'),
(36550, '88000', 'Vaud�ville', '88', 'FR'),
(36551, '88140', 'Vaudoncourt', '88', 'FR'),
(36552, '88330', 'Vaxoncourt', '88', 'FR'),
(36553, '88200', 'Vecoux', '88', 'FR'),
(36554, '88270', 'Velotte et Tatign�court', '88', 'FR'),
(36555, '88310', 'Ventron', '88', 'FR'),
(36556, '88210', 'Le Vermont', '88', 'FR'),
(36557, '88600', 'Vervezelle', '88', 'FR'),
(36558, '88110', 'Vexaincourt', '88', 'FR'),
(36559, '88170', 'Vicherey', '88', 'FR'),
(36560, '88430', 'Vienville', '88', 'FR'),
(36561, '88210', 'Vieux Moulin', '88', 'FR'),
(36562, '88500', 'Villers', '88', 'FR'),
(36563, '88270', 'Ville sur Illon', '88', 'FR'),
(36564, '88150', 'Villoncourt', '88', 'FR'),
(36565, '88320', 'Villotte', '88', 'FR'),
(36566, '88350', 'Villouxel', '88', 'FR'),
(36567, '88600', 'Vim�nil', '88', 'FR'),
(36568, '88450', 'Vincey', '88', 'FR'),
(36569, '88170', 'Viocourt', '88', 'FR'),
(36570, '88260', 'Viom�nil', '88', 'FR'),
(36571, '88800', 'Vittel', '88', 'FR'),
(36572, '88260', 'Viviers le Gras', '88', 'FR'),
(36573, '88500', 'Viviers l�s Offroicourt', '88', 'FR'),
(36574, '88470', 'La Voivre', '88', 'FR'),
(36575, '88240', 'Les Voivres', '88', 'FR'),
(36576, '88700', 'Vom�court', '88', 'FR'),
(36577, '88500', 'Vom�court sur Madon', '88', 'FR'),
(36578, '88170', 'Vouxey', '88', 'FR'),
(36579, '88140', 'Vr�court', '88', 'FR'),
(36580, '88500', 'Vroville', '88', 'FR'),
(36581, '88520', 'Wisembach', '88', 'FR');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(36582, '88700', 'Xaff�villers', '88', 'FR'),
(36583, '88460', 'Xamontarupt', '88', 'FR'),
(36584, '88130', 'Xaronval', '88', 'FR'),
(36585, '88220', 'Xertigny', '88', 'FR'),
(36586, '88400', 'Xonrupt Longemer', '88', 'FR'),
(36587, '88330', 'Zincourt', '88', 'FR'),
(36588, '89460', 'Accolay', '89', 'FR'),
(36589, '89800', 'Aigremont', '89', 'FR'),
(36590, '89110', 'Aillant sur Tholon', '89', 'FR'),
(36591, '89390', 'Aisy sur Arman�on', '89', 'FR'),
(36592, '89160', 'Ancy le Franc', '89', 'FR'),
(36593, '89160', 'Ancy le Libre', '89', 'FR'),
(36594, '89480', 'Andryes', '89', 'FR'),
(36595, '89440', 'Angely', '89', 'FR'),
(36596, '89200', 'Annay la C�te', '89', 'FR'),
(36597, '89310', 'Annay sur Serein', '89', 'FR'),
(36598, '89200', 'Ann�ot', '89', 'FR'),
(36599, '89440', 'Annoux', '89', 'FR'),
(36600, '89380', 'Appoigny', '89', 'FR'),
(36601, '89320', 'Arces Dilo', '89', 'FR'),
(36602, '89270', 'Arcy sur Cure', '89', 'FR'),
(36603, '89160', 'Argentenay', '89', 'FR'),
(36604, '89160', 'Argenteuil sur Arman�on', '89', 'FR'),
(36605, '89500', 'Armeau', '89', 'FR'),
(36606, '89740', 'Arthonnay', '89', 'FR'),
(36607, '89660', 'Asni�res sous Bois', '89', 'FR'),
(36608, '89450', 'Asquins', '89', 'FR'),
(36609, '89440', 'Athie', '89', 'FR'),
(36610, '89290', 'Augy', '89', 'FR'),
(36611, '89000', 'Auxerre', '89', 'FR'),
(36612, '89200', 'Avallon', '89', 'FR'),
(36613, '89600', 'Avrolles', '89', 'FR'),
(36614, '89190', 'Bagneaux', '89', 'FR'),
(36615, '89430', 'Baon', '89', 'FR'),
(36616, '89400', 'Bassou', '89', 'FR'),
(36617, '89460', 'Bazarnes', '89', 'FR'),
(36618, '89250', 'Beaumont', '89', 'FR'),
(36619, '89630', 'Beauvilliers', '89', 'FR'),
(36620, '89240', 'Beauvoir', '89', 'FR'),
(36621, '89800', 'Beine', '89', 'FR'),
(36622, '89210', 'Bellechaume', '89', 'FR'),
(36623, '89150', 'La Belliole', '89', 'FR'),
(36624, '89410', 'B�on', '89', 'FR'),
(36625, '89360', 'Bernouil', '89', 'FR'),
(36626, '89700', 'B�ru', '89', 'FR'),
(36627, '89270', 'Bessy sur Cure', '89', 'FR'),
(36628, '89570', 'Beugnon', '89', 'FR'),
(36629, '89420', 'Bierry les Belles Fontaines', '89', 'FR'),
(36630, '89440', 'Blacy', '89', 'FR'),
(36631, '89200', 'Blannay', '89', 'FR'),
(36632, '89230', 'Bleigny le Carreau', '89', 'FR'),
(36633, '89220', 'Bl�neau', '89', 'FR'),
(36634, '89210', 'Bligny en Othe', '89', 'FR'),
(36635, '89770', 'Boeurs en Othe', '89', 'FR'),
(36636, '89660', 'Bois d''Arcy', '89', 'FR'),
(36637, '89400', 'Bonnard', '89', 'FR'),
(36638, '89500', 'Les Bordes', '89', 'FR'),
(36639, '89600', 'Bouilly', '89', 'FR'),
(36640, '89113', 'Branches', '89', 'FR'),
(36641, '89150', 'Brannay', '89', 'FR'),
(36642, '89210', 'Brienon sur Arman�on', '89', 'FR'),
(36643, '89400', 'Brion', '89', 'FR'),
(36644, '89660', 'Brosses', '89', 'FR'),
(36645, '89630', 'Bussi�res', '89', 'FR'),
(36646, '89400', 'Bussy en Othe', '89', 'FR'),
(36647, '89500', 'Bussy le Repos', '89', 'FR'),
(36648, '89360', 'Butteaux', '89', 'FR'),
(36649, '89360', 'Carisey', '89', 'FR'),
(36650, '89116', 'La Celle Saint Cyr', '89', 'FR'),
(36651, '89310', 'Censy', '89', 'FR'),
(36652, '89320', 'C�rilly', '89', 'FR'),
(36653, '89320', 'Cerisiers', '89', 'FR'),
(36654, '89410', 'C�zy', '89', 'FR'),
(36655, '89800', 'Chablis', '89', 'FR'),
(36656, '89770', 'Chailley', '89', 'FR'),
(36657, '89120', 'Chambeugle', '89', 'FR'),
(36658, '89660', 'Chamoux', '89', 'FR'),
(36659, '89220', 'Champcevrais', '89', 'FR'),
(36660, '89350', 'Champignelles', '89', 'FR'),
(36661, '89370', 'Champigny', '89', 'FR'),
(36662, '89300', 'Champlay', '89', 'FR'),
(36663, '89210', 'Champlost', '89', 'FR'),
(36664, '89290', 'Champs sur Yonne', '89', 'FR'),
(36665, '89710', 'Champvallon', '89', 'FR'),
(36666, '89300', 'Chamvres', '89', 'FR'),
(36667, '89260', 'La Chapelle sur Oreuse', '89', 'FR'),
(36668, '89800', 'La Chapelle Vaupelteigne', '89', 'FR'),
(36669, '89113', 'Charbuy', '89', 'FR'),
(36670, '89580', 'Charentenay', '89', 'FR'),
(36671, '89400', 'Charmoy', '89', 'FR'),
(36672, '89120', 'Charny', '89', 'FR'),
(36673, '89160', 'Chassignelles', '89', 'FR'),
(36674, '89110', 'Chassy', '89', 'FR'),
(36675, '89630', 'Chastellux sur Cure', '89', 'FR'),
(36676, '89560', 'Chastenay', '89', 'FR'),
(36677, '89660', 'Ch�tel Censoir', '89', 'FR'),
(36678, '89310', 'Ch�tel G�rard', '89', 'FR'),
(36679, '89370', 'Chaumont', '89', 'FR'),
(36680, '89500', 'Chaumot', '89', 'FR'),
(36681, '89800', 'Chemilly sur Serein', '89', 'FR'),
(36682, '89250', 'Chemilly sur Yonne', '89', 'FR'),
(36683, '89120', 'Ch�ne Arnoult', '89', 'FR'),
(36684, '89700', 'Cheney', '89', 'FR'),
(36685, '89400', 'Cheny', '89', 'FR'),
(36686, '89690', 'Ch�roy', '89', 'FR'),
(36687, '89600', 'Ch�u', '89', 'FR'),
(36688, '89240', 'Chevannes', '89', 'FR'),
(36689, '89120', 'Chevillon', '89', 'FR'),
(36690, '89800', 'Chich�e', '89', 'FR'),
(36691, '89400', 'Chichery', '89', 'FR'),
(36692, '89190', 'Chigy', '89', 'FR'),
(36693, '89530', 'Chitry', '89', 'FR'),
(36694, '89420', 'Cisery', '89', 'FR'),
(36695, '89440', 'Civry sur Serein', '89', 'FR'),
(36696, '89190', 'Les Cl�rimois', '89', 'FR'),
(36697, '89700', 'Collan', '89', 'FR'),
(36698, '89100', 'Collemiers', '89', 'FR'),
(36699, '89430', 'Commissey', '89', 'FR'),
(36700, '89140', 'Compigny', '89', 'FR'),
(36701, '89500', 'Cornant', '89', 'FR'),
(36702, '89580', 'Coulangeron', '89', 'FR'),
(36703, '89580', 'Coulanges la Vineuse', '89', 'FR'),
(36704, '89480', 'Coulanges sur Yonne', '89', 'FR'),
(36705, '89320', 'Coulours', '89', 'FR'),
(36706, '89260', 'Courceaux', '89', 'FR'),
(36707, '89190', 'Courgenay', '89', 'FR'),
(36708, '89800', 'Courgis', '89', 'FR'),
(36709, '89140', 'Courlon sur Yonne', '89', 'FR'),
(36710, '89560', 'Courson les Carri�res', '89', 'FR'),
(36711, '89150', 'Courtoin', '89', 'FR'),
(36712, '89100', 'Courtois sur Yonne', '89', 'FR'),
(36713, '89440', 'Coutarnoux', '89', 'FR'),
(36714, '89480', 'Crain', '89', 'FR'),
(36715, '89460', 'Cravant', '89', 'FR'),
(36716, '89740', 'Cruzy le Ch�tel', '89', 'FR'),
(36717, '89390', 'Cry', '89', 'FR'),
(36718, '89116', 'Cudot', '89', 'FR'),
(36719, '89420', 'Cussy les Forges', '89', 'FR'),
(36720, '89160', 'Cusy', '89', 'FR'),
(36721, '89140', 'Cuy', '89', 'FR'),
(36722, '89700', 'Dannemoine', '89', 'FR'),
(36723, '89120', 'Dicy', '89', 'FR'),
(36724, '89240', 'Diges', '89', 'FR'),
(36725, '89320', 'Dilo', '89', 'FR'),
(36726, '89440', 'Dissangis', '89', 'FR'),
(36727, '89500', 'Dixmont', '89', 'FR'),
(36728, '89150', 'Dollot', '89', 'FR'),
(36729, '89150', 'Domats', '89', 'FR'),
(36730, '89450', 'Domecy sur Cure', '89', 'FR'),
(36731, '89200', 'Domecy sur le Vault', '89', 'FR'),
(36732, '89130', 'Dracy', '89', 'FR'),
(36733, '89560', 'Druyes les Belles Fontaines', '89', 'FR'),
(36734, '89360', 'Dy�', '89', 'FR'),
(36735, '89240', '�gleny', '89', 'FR'),
(36736, '89500', '�griselles le Bocage', '89', 'FR'),
(36737, '89400', '�pineau les Voves', '89', 'FR'),
(36738, '89700', '�pineuil', '89', 'FR'),
(36739, '89240', 'Escamps', '89', 'FR'),
(36740, '89290', 'Escolives Sainte Camille', '89', 'FR'),
(36741, '89210', 'Esnon', '89', 'FR'),
(36742, '89270', 'Essert', '89', 'FR'),
(36743, '89480', '�tais la Sauvin', '89', 'FR'),
(36744, '89200', '�taule', '89', 'FR'),
(36745, '89510', '�tigny', '89', 'FR'),
(36746, '89310', '�tivey', '89', 'FR'),
(36747, '89140', '�vry', '89', 'FR'),
(36748, '89110', 'La Fert� Loupi�re', '89', 'FR'),
(36749, '89480', 'Festigny', '89', 'FR'),
(36750, '89190', 'Flacy', '89', 'FR'),
(36751, '89260', 'Fleurigny', '89', 'FR'),
(36752, '89113', 'Fleury la Vall�e', '89', 'FR'),
(36753, '89800', 'Fleys', '89', 'FR'),
(36754, '89360', 'Flogny la Chapelle', '89', 'FR'),
(36755, '89450', 'Foissy l�s V�zelay', '89', 'FR'),
(36756, '89190', 'Foissy sur Vanne', '89', 'FR'),
(36757, '89100', 'Fontaine la Gaillarde', '89', 'FR'),
(36758, '89130', 'Fontaines', '89', 'FR'),
(36759, '89560', 'ontenailles', '89', 'FR'),
(36760, '89800', 'Fontenay pr�s Chablis', '89', 'FR'),
(36761, '89450', 'Fontenay pr�s V�zelay', '89', 'FR'),
(36762, '89660', 'Fontenay sous Fouronnes', '89', 'FR'),
(36763, '89120', 'Fontenouilles', '89', 'FR'),
(36764, '89520', 'Fontenoy', '89', 'FR'),
(36765, '89150', 'Fouch�res', '89', 'FR'),
(36766, '89320', 'Fournaudin', '89', 'FR'),
(36767, '89560', 'Fouronnes', '89', 'FR'),
(36768, '89310', 'Fresnes', '89', 'FR'),
(36769, '89160', 'Fulvy', '89', 'FR'),
(36770, '89800', 'Fy�', '89', 'FR'),
(36771, '89600', 'Germigny', '89', 'FR'),
(36772, '89160', 'Gigny', '89', 'FR'),
(36773, '89200', 'Girolles', '89', 'FR'),
(36774, '89140', 'Gisy les Nobles', '89', 'FR'),
(36775, '89200', 'Givry', '89', 'FR'),
(36776, '89740', 'Gland', '89', 'FR'),
(36777, '89350', 'Grandchamp', '89', 'FR'),
(36778, '89260', 'Grange le Bocage', '89', 'FR'),
(36779, '89310', 'Grimault', '89', 'FR'),
(36780, '89100', 'Gron', '89', 'FR'),
(36781, '89113', 'Guerchy', '89', 'FR'),
(36782, '89420', 'Guillon', '89', 'FR'),
(36783, '89250', 'Gurgy', '89', 'FR'),
(36784, '89580', 'Gy l''�v�que', '89', 'FR'),
(36785, '89250', 'Hauterive', '89', 'FR'),
(36786, '89550', 'H�ry', '89', 'FR'),
(36787, '89290', 'Irancy', '89', 'FR'),
(36788, '89200', 'Island', '89', 'FR'),
(36789, '89440', 'L''Isle sur Serein', '89', 'FR'),
(36790, '89360', 'Jaulges', '89', 'FR'),
(36791, '89300', 'Joigny', '89', 'FR'),
(36792, '89310', 'Jouancy', '89', 'FR'),
(36793, '89440', 'Joux la Ville', '89', 'FR'),
(36794, '89150', 'Jouy', '89', 'FR'),
(36795, '89160', 'Jully', '89', 'FR'),
(36796, '89700', 'Junay', '89', 'FR'),
(36797, '89290', 'Jussy', '89', 'FR'),
(36798, '89110', 'Laduz', '89', 'FR'),
(36799, '89190', 'Lailly', '89', 'FR'),
(36800, '89560', 'Lain', '89', 'FR'),
(36801, '89520', 'Lainsecq', '89', 'FR'),
(36802, '89130', 'Lalande', '89', 'FR'),
(36803, '89400', 'Laroche Saint Cydroine', '89', 'FR'),
(36804, '89570', 'Lasson', '89', 'FR'),
(36805, '89170', 'Lavau', '89', 'FR'),
(36806, '89130', 'Leugny', '89', 'FR'),
(36807, '89520', 'Levis', '89', 'FR'),
(36808, '89160', 'L�zinnes', '89', 'FR'),
(36809, '89800', 'Lich�res pr�s Aigremont', '89', 'FR'),
(36810, '89660', 'Lich�res sur Yonne', '89', 'FR'),
(36811, '89800', 'Lignorelles', '89', 'FR'),
(36812, '89144', 'Ligny le Ch�tel', '89', 'FR'),
(36813, '89240', 'Lindry', '89', 'FR'),
(36814, '89140', 'Lixy', '89', 'FR'),
(36815, '89300', 'Looze', '89', 'FR'),
(36816, '89200', 'Lucy le Bois', '89', 'FR'),
(36817, '89270', 'Lucy sur Cure', '89', 'FR'),
(36818, '89480', 'Lucy sur Yonne', '89', 'FR'),
(36819, '89200', 'Magny', '89', 'FR'),
(36820, '89100', 'Maillot', '89', 'FR'),
(36821, '89270', 'Mailly la Ville', '89', 'FR'),
(36822, '89660', 'Mailly le Ch�teau', '89', 'FR'),
(36823, '89100', 'Malay le Grand', '89', 'FR'),
(36824, '89100', 'Malay le Petit', '89', 'FR'),
(36825, '89120', 'Malicorne', '89', 'FR'),
(36826, '89800', 'Maligny', '89', 'FR'),
(36827, '89120', 'Marchais Beton', '89', 'FR'),
(36828, '89420', 'Marmeaux', '89', 'FR'),
(36829, '89500', 'Marsangy', '89', 'FR'),
(36830, '89440', 'Massangis', '89', 'FR'),
(36831, '89430', 'M�lisey', '89', 'FR'),
(36832, '89450', 'Menades', '89', 'FR'),
(36833, '89210', 'Mercy', '89', 'FR'),
(36834, '89144', 'M�r�', '89', 'FR'),
(36835, '89110', 'Merry la Vall�e', '89', 'FR'),
(36836, '89560', 'Merry Sec', '89', 'FR'),
(36837, '89660', 'Merry sur Yonne', '89', 'FR'),
(36838, '89130', 'M�zilles', '89', 'FR'),
(36839, '89140', 'Michery', '89', 'FR'),
(36840, '89580', 'Mig�', '89', 'FR'),
(36841, '89400', 'Migennes', '89', 'FR'),
(36842, '89800', 'Milly', '89', 'FR'),
(36843, '89310', 'M�lay', '89', 'FR'),
(36844, '89560', 'Molesmes', '89', 'FR'),
(36845, '89190', 'Molinons', '89', 'FR'),
(36846, '89700', 'Molosmes', '89', 'FR'),
(36847, '89470', 'Mon�teau', '89', 'FR'),
(36848, '89150', 'Montacher Villegardin', '89', 'FR'),
(36849, '89230', 'Montigny la Resle', '89', 'FR'),
(36850, '89660', 'Montillot', '89', 'FR'),
(36851, '89420', 'Montr�al', '89', 'FR'),
(36852, '89250', 'Mont Saint Sulpice', '89', 'FR'),
(36853, '89560', 'Mouffy', '89', 'FR'),
(36854, '89310', 'Moulins en Tonnerrois', '89', 'FR'),
(36855, '89130', 'Moulins sur Ouanne', '89', 'FR'),
(36856, '89520', 'Moutiers en Puisaye', '89', 'FR'),
(36857, '89100', 'Nailly', '89', 'FR'),
(36858, '89113', 'Neuilly', '89', 'FR'),
(36859, '89570', 'Neuvy Sautour', '89', 'FR'),
(36860, '89310', 'Nitry', '89', 'FR'),
(36861, '89760', 'No�', '89', 'FR'),
(36862, '89310', 'Noyers', '89', 'FR'),
(36863, '89390', 'Nuits', '89', 'FR'),
(36864, '89110', 'Les Ormes', '89', 'FR'),
(36865, '89400', 'Ormoy', '89', 'FR'),
(36866, '89560', 'Ouanne', '89', 'FR'),
(36867, '89160', 'Pacy sur Arman�on', '89', 'FR'),
(36868, '89140', 'Pailly', '89', 'FR'),
(36869, '89240', 'Parly', '89', 'FR'),
(36870, '89100', 'Paron', '89', 'FR'),
(36871, '89210', 'Paroy en Othe', '89', 'FR'),
(36872, '89300', 'Paroy sur Tholon', '89', 'FR'),
(36873, '89310', 'Pasilly', '89', 'FR'),
(36874, '89510', 'Passy', '89', 'FR'),
(36875, '89360', 'Percey', '89', 'FR'),
(36876, '89520', 'Perreuse', '89', 'FR'),
(36877, '89120', 'Perreux', '89', 'FR'),
(36878, '89000', 'Perrigny', '89', 'FR'),
(36879, '89390', 'Perrigny sur Arman�on', '89', 'FR'),
(36880, '89450', 'Pierre Perthuis', '89', 'FR'),
(36881, '89330', 'Piffonds', '89', 'FR'),
(36882, '89740', 'Pimelles', '89', 'FR'),
(36883, '89420', 'Pisy', '89', 'FR'),
(36884, '89260', 'Plessis du M�e', '89', 'FR'),
(36885, '89140', 'Plessis Saint Jean', '89', 'FR'),
(36886, '89310', 'Poilly sur Serein', '89', 'FR'),
(36887, '89110', 'Poilly sur Tholon', '89', 'FR'),
(36888, '89800', 'Poinchy', '89', 'FR'),
(36889, '89200', 'Pontaubert', '89', 'FR'),
(36890, '89230', 'Pontigny', '89', 'FR'),
(36891, '89190', 'Pont sur Vanne', '89', 'FR'),
(36892, '89140', 'Pont sur Yonne', '89', 'FR'),
(36893, '89260', 'La Postolle', '89', 'FR'),
(36894, '89240', 'Pourrain', '89', 'FR'),
(36895, '89440', 'Pr�cy le Sec', '89', 'FR'),
(36896, '89116', 'Pr�cy sur Vrin', '89', 'FR'),
(36897, '89460', 'Pr�gilbert', '89', 'FR'),
(36898, '89800', 'Pr�hy', '89', 'FR'),
(36899, '89200', 'Provency', '89', 'FR'),
(36900, '89120', 'Prunoy', '89', 'FR'),
(36901, '89630', 'Quarr� les Tombes', '89', 'FR'),
(36902, '89290', 'Quenne', '89', 'FR'),
(36903, '89740', 'Quincerot', '89', 'FR'),
(36904, '89390', 'Ravi�res', '89', 'FR'),
(36905, '89600', 'Rebourseaux', '89', 'FR'),
(36906, '89700', 'Roffey', '89', 'FR'),
(36907, '89220', 'Rogny les Sept Ecluses', '89', 'FR'),
(36908, '89170', 'Ronch�res', '89', 'FR'),
(36909, '89100', 'Rosoy', '89', 'FR'),
(36910, '89500', 'Rousson', '89', 'FR'),
(36911, '89230', 'Rouvray', '89', 'FR'),
(36912, '89430', 'Rugny', '89', 'FR'),
(36913, '89270', 'Sacy', '89', 'FR'),
(36914, '89520', 'Sainpuits', '89', 'FR'),
(36915, '89340', 'St Agnan', '89', 'FR'),
(36916, '89420', 'Saint Andr� en Terre Plaine', '89', 'FR'),
(36917, '89110', 'St Aubin Ch�teau Neuf', '89', 'FR'),
(36918, '89300', 'Saint Aubin sur Yonne', '89', 'FR'),
(36919, '89630', 'Saint Brancher', '89', 'FR'),
(36920, '89530', 'Saint Bris le Vineux', '89', 'FR'),
(36921, '89100', 'Saint Cl�ment', '89', 'FR'),
(36922, '89440', 'Ste Colombe', '89', 'FR'),
(36923, '89520', 'Sainte Colombe sur Loing', '89', 'FR'),
(36924, '89800', 'Saint Cyr les Colons', '89', 'FR'),
(36925, '89100', 'Saint Denis', '89', 'FR'),
(36926, '89120', 'Saint Denis sur Ouanne', '89', 'FR'),
(36927, '89170', 'Saint Fargeau', '89', 'FR'),
(36928, '89600', 'Saint Florentin', '89', 'FR'),
(36929, '89000', 'St Georges sur Baulche', '89', 'FR'),
(36930, '89630', 'Saint Germain des Champs', '89', 'FR'),
(36931, '89330', 'Saint Julien du Sault', '89', 'FR'),
(36932, '89630', 'Saint L�ger Vauban', '89', 'FR'),
(36933, '89330', 'Saint Loup d''Ordon', '89', 'FR'),
(36934, '89420', 'Sainte Magnance', '89', 'FR'),
(36935, '89170', 'Saint Martin des Champs', '89', 'FR'),
(36936, '89330', 'Saint Martin d''Ordon', '89', 'FR'),
(36937, '89100', 'Saint Martin du Tertre', '89', 'FR'),
(36938, '89700', 'Saint Martin sur Arman�on', '89', 'FR'),
(36939, '89110', 'Saint Martin sur Ocre', '89', 'FR'),
(36940, '89260', 'Saint Martin sur Oreuse', '89', 'FR'),
(36941, '89120', 'Saint Martin sur Ouanne', '89', 'FR'),
(36942, '89190', 'St Maurice aux Riches Hommes', '89', 'FR'),
(36943, '89110', 'Saint Maurice le Vieil', '89', 'FR'),
(36944, '89110', 'St Maurice Thizouaille', '89', 'FR'),
(36945, '89270', 'Saint Mor�', '89', 'FR'),
(36946, '89460', 'Sainte Pallaye', '89', 'FR'),
(36947, '89450', 'aint P�re', '89', 'FR'),
(36948, '89220', 'Saint Priv�', '89', 'FR'),
(36949, '89116', 'Saint Romain le Preux', '89', 'FR'),
(36950, '89520', 'Saints', '89', 'FR'),
(36951, '89520', 'Saint Sauveur en Puisaye', '89', 'FR'),
(36952, '89140', 'Saint S�rotin', '89', 'FR'),
(36953, '89150', 'Saint Val�rien', '89', 'FR'),
(36954, '89310', 'Sainte Vertu', '89', 'FR'),
(36955, '89430', 'Saint Vinnemer', '89', 'FR'),
(36956, '89100', 'Saligny', '89', 'FR'),
(36957, '89160', 'Sambourg', '89', 'FR'),
(36958, '89420', 'Santigny', '89', 'FR'),
(36959, '89310', 'Sarry', '89', 'FR'),
(36960, '89420', 'Sauvigny le Beur�al', '89', 'FR'),
(36961, '89200', 'Sauvigny le Bois', '89', 'FR'),
(36962, '89420', 'Savigny en Terre Plaine', '89', 'FR'),
(36963, '89150', 'Savigny sur Clairis', '89', 'FR'),
(36964, '89420', 'Sceaux', '89', 'FR'),
(36965, '89250', 'Seignelay', '89', 'FR'),
(36966, '89560', 'Sementron', '89', 'FR'),
(36967, '89710', 'Senan', '89', 'FR'),
(36968, '89160', 'Sennevoy le Bas', '89', 'FR'),
(36969, '89160', 'Sennevoy le Haut', '89', 'FR'),
(36970, '89100', 'Sens', '89', 'FR'),
(36971, '89116', 'S�peaux', '89', 'FR'),
(36972, '89170', 'Septfonds', '89', 'FR'),
(36973, '89140', 'Serbonnes', '89', 'FR'),
(36974, '89140', 'Sergines', '89', 'FR'),
(36975, '89200', 'Sermizelles', '89', 'FR'),
(36976, '89700', 'Serrigny', '89', 'FR'),
(36977, '89270', 'Sery', '89', 'FR'),
(36978, '89190', 'Les Si�ges', '89', 'FR'),
(36979, '89260', 'Sognes', '89', 'FR'),
(36980, '89110', 'Sommecaise', '89', 'FR'),
(36981, '89570', 'Sormery', '89', 'FR'),
(36982, '89100', 'Soucy', '89', 'FR'),
(36983, '89520', 'Soug�res en Puisaye', '89', 'FR'),
(36984, '89470', 'Soug�res sur Sinotte', '89', 'FR'),
(36985, '89570', 'Soumaintrain', '89', 'FR'),
(36986, '89160', 'Stigny', '89', 'FR'),
(36987, '89100', 'Subligny', '89', 'FR'),
(36988, '89560', 'Taingy', '89', 'FR'),
(36989, '89420', 'Talcy', '89', 'FR'),
(36990, '89430', 'Tanlay', '89', 'FR'),
(36991, '89350', 'Tannerre en Puisaye', '89', 'FR'),
(36992, '89450', 'Tharoiseau', '89', 'FR'),
(36993, '89200', 'Tharot', '89', 'FR'),
(36994, '89760', 'Theil sur Vanne', '89', 'FR'),
(36995, '89420', 'Thizy', '89', 'FR'),
(36996, '89430', 'Thorey', '89', 'FR'),
(36997, '89260', 'Thorigny sur Oreuse', '89', 'FR'),
(36998, '89200', 'Thory', '89', 'FR'),
(36999, '89520', 'Thury', '89', 'FR'),
(37000, '89700', 'Tissey', '89', 'FR'),
(37001, '89700', 'Tonnerre', '89', 'FR'),
(37002, '89130', 'Toucy', '89', 'FR'),
(37003, '89520', 'Treigny', '89', 'FR'),
(37004, '89420', 'Tr�villy', '89', 'FR'),
(37005, '89430', 'Trichey', '89', 'FR'),
(37006, '89700', 'Tronchoy', '89', 'FR'),
(37007, '89460', 'Trucy sur Yonne', '89', 'FR'),
(37008, '89570', 'Turny', '89', 'FR'),
(37009, '89580', 'Val de Mercy', '89', 'FR'),
(37010, '89580', 'Vallan', '89', 'FR'),
(37011, '89150', 'Vallery', '89', 'FR'),
(37012, '89760', 'Vareilles', '89', 'FR'),
(37013, '89144', 'arennes', '89', 'FR'),
(37014, '89420', 'Vassy', '89', 'FR'),
(37015, '89320', 'Vaudeurs', '89', 'FR'),
(37016, '89200', 'Vault de Lugny', '89', 'FR'),
(37017, '89320', 'Vaumort', '89', 'FR'),
(37018, '89290', 'Vaux', '89', 'FR'),
(37019, '89210', 'Venizy', '89', 'FR'),
(37020, '89230', 'Venouse', '89', 'FR'),
(37021, '89290', 'Venoy', '89', 'FR'),
(37022, '89600', 'Vergigny', '89', 'FR'),
(37023, '89330', 'Verlin', '89', 'FR'),
(37024, '89270', 'Vermenton', '89', 'FR'),
(37025, '89150', 'Vernoy', '89', 'FR'),
(37026, '89510', 'V�ron', '89', 'FR'),
(37027, '89260', 'Vertilly', '89', 'FR'),
(37028, '89700', 'V�zannes', '89', 'FR'),
(37029, '89450', 'V�zelay', '89', 'FR'),
(37030, '89700', 'V�zinnes', '89', 'FR'),
(37031, '89420', 'Vignes', '89', 'FR'),
(37032, '89720', 'Villeblevin', '89', 'FR'),
(37033, '89150', 'Villebougis', '89', 'FR'),
(37034, '89320', 'Villech�tive', '89', 'FR'),
(37035, '89300', 'Villecien', '89', 'FR'),
(37036, '89240', 'Villefargeau', '89', 'FR'),
(37037, '89120', 'Villefranche', '89', 'FR'),
(37038, '89140', 'Villemanoche', '89', 'FR'),
(37039, '89113', 'Villemer', '89', 'FR'),
(37040, '89140', 'Villenavotte', '89', 'FR'),
(37041, '89150', 'Villeneuve la Dondagre', '89', 'FR'),
(37042, '89340', 'Villeneuve la Guyard', '89', 'FR'),
(37043, '89190', 'Villeneuve l''Archev�que', '89', 'FR'),
(37044, '89350', 'Villeneuve les Gen�ts', '89', 'FR'),
(37045, '89230', 'Villeneuve Saint Salves', '89', 'FR'),
(37046, '89500', 'Villeneuve sur Yonne', '89', 'FR'),
(37047, '89140', 'Villeperrot', '89', 'FR'),
(37048, '89100', 'Villeroy', '89', 'FR'),
(37049, '89140', 'Villethierry', '89', 'FR'),
(37050, '89330', 'Villevallier', '89', 'FR'),
(37051, '89260', 'Perceneige', '89', 'FR'),
(37052, '89160', 'Villiers les Hauts', '89', 'FR'),
(37053, '89760', 'Villiers Louis', '89', 'FR'),
(37054, '89130', 'Villiers Saint Beno�t', '89', 'FR'),
(37055, '89110', 'Villiers sur Tholon', '89', 'FR'),
(37056, '89360', 'Villiers Vineux', '89', 'FR'),
(37057, '89740', 'Villon', '89', 'FR'),
(37058, '89800', 'Villy', '89', 'FR'),
(37059, '89290', 'Vincelles', '89', 'FR'),
(37060, '89290', 'Vincelottes', '89', 'FR'),
(37061, '89140', 'Vinneuf', '89', 'FR'),
(37062, '89160', 'Vireaux', '89', 'FR'),
(37063, '89700', 'Viviers', '89', 'FR'),
(37064, '89260', 'Voisines', '89', 'FR'),
(37065, '89710', 'Volgr�', '89', 'FR'),
(37066, '89270', 'Voutenay sur Cure', '89', 'FR'),
(37067, '89700', 'Yrouerre', '89', 'FR'),
(37068, '90400', 'Andelnans', '90', 'FR'),
(37069, '90150', 'Angeot', '90', 'FR'),
(37070, '90170', 'Anjoutey', '90', 'FR'),
(37071, '90800', 'Argi�sans', '90', 'FR'),
(37072, '90200', 'Auxelles Bas', '90', 'FR'),
(37073, '90200', 'Auxelles Haut', '90', 'FR'),
(37074, '90800', 'Banvillars', '90', 'FR'),
(37075, '90850', 'Bavilliers', '90', 'FR'),
(37076, '90800', 'Bavilliers', '90', 'FR'),
(37077, '90500', 'Beaucourt', '90', 'FR'),
(37078, '90000', 'Belfort', '90', 'FR'),
(37079, '90400', 'Bermont', '90', 'FR'),
(37080, '90160', 'Bessoncourt', '90', 'FR'),
(37081, '90150', 'Bethonvilliers', '90', 'FR'),
(37082, '90100', 'Boron', '90', 'FR'),
(37083, '90400', 'Botans', '90', 'FR'),
(37084, '90110', 'Bourg sous Ch�telet', '90', 'FR'),
(37085, '90140', 'Bourogne', '90', 'FR'),
(37086, '90140', 'Brebotte', '90', 'FR'),
(37087, '90130', 'Bretagne', '90', 'FR'),
(37088, '90800', 'Buc', '90', 'FR'),
(37089, '90140', 'Charmois', '90', 'FR'),
(37090, '90700', 'Ch�tenois les Forges', '90', 'FR'),
(37091, '90330', 'Chaux', '90', 'FR'),
(37092, '90100', 'Chavanatte', '90', 'FR'),
(37093, '90100', 'Chavannes les Grands', '90', 'FR'),
(37094, '90340', 'Ch�vremont', '90', 'FR'),
(37095, '90100', 'Courcelles', '90', 'FR'),
(37096, '90100', 'Courtelevant', '90', 'FR'),
(37097, '90300', 'Cravanche', '90', 'FR'),
(37098, '90100', 'Croix', '90', 'FR'),
(37099, '90150', 'Cuneli�res', '90', 'FR'),
(37100, '90400', 'Danjoutin', '90', 'FR'),
(37101, '90100', 'Delle', '90', 'FR'),
(37102, '90160', 'Denney', '90', 'FR'),
(37103, '90400', 'Dorans', '90', 'FR'),
(37104, '90150', 'Eguenigue', '90', 'FR'),
(37105, '90300', '�loie', '90', 'FR'),
(37106, '90850', 'Essert', '90', 'FR'),
(37107, '90170', 'Etueffont', '90', 'FR'),
(37108, '90350', 'Evette Salbert', '90', 'FR'),
(37109, '90100', 'Faverois', '90', 'FR'),
(37110, '90110', 'Felon', '90', 'FR'),
(37111, '90100', 'F�che l''�glise', '90', 'FR'),
(37112, '90100', 'Florimont', '90', 'FR'),
(37113, '90150', 'Fontaine', '90', 'FR'),
(37114, '90340', 'Fontenelle', '90', 'FR'),
(37115, '90150', 'Foussemagne', '90', 'FR'),
(37116, '90150', 'Frais', '90', 'FR'),
(37117, '90140', 'Froidefontaine', '90', 'FR'),
(37118, '90200', 'Giromagny', '90', 'FR'),
(37119, '90600', 'Grandvillars', '90', 'FR'),
(37120, '90200', 'Grosmagny', '90', 'FR'),
(37121, '90100', 'Grosne', '90', 'FR'),
(37122, '90100', 'Joncherey', '90', 'FR'),
(37123, '90300', 'Lachapelle sous Chaux', '90', 'FR'),
(37124, '90360', 'Lachapelle sous Rougemont', '90', 'FR'),
(37125, '90150', 'Lacollonge', '90', 'FR'),
(37126, '90150', 'Lagrange', '90', 'FR'),
(37127, '90170', 'Lamadeleine Val des Anges', '90', 'FR'),
(37128, '90150', 'Larivi�re', '90', 'FR'),
(37129, '90100', 'Leb�tain', '90', 'FR'),
(37130, '90100', 'Lepuix Neuf', '90', 'FR'),
(37131, '90200', 'Lepuix', '90', 'FR'),
(37132, '90110', 'Leval', '90', 'FR'),
(37133, '90150', 'Menoncourt', '90', 'FR'),
(37134, '90400', 'Meroux Moval', '90', 'FR'),
(37135, '90120', 'M�zir�', '90', 'FR'),
(37136, '90500', 'Montbouton', '90', 'FR'),
(37137, '90130', 'Montreux Ch�teau', '90', 'FR'),
(37138, '90120', 'Morvillars', '90', 'FR'),
(37139, '90400', 'Moval', '90', 'FR'),
(37140, '90340', 'Novillard', '90', 'FR'),
(37141, '90300', 'Offemont', '90', 'FR'),
(37142, '90160', 'P�rouse', '90', 'FR'),
(37143, '90130', 'Petit Croix', '90', 'FR'),
(37144, '90360', 'Petitefontaine', '90', 'FR'),
(37145, '90170', 'Petitmagny', '90', 'FR'),
(37146, '90150', 'Phaffans', '90', 'FR'),
(37147, '90370', 'R�ch�sy', '90', 'FR'),
(37148, '90140', 'Autrech�ne', '90', 'FR'),
(37149, '90140', 'Recouvrance', '90', 'FR'),
(37150, '90150', 'Reppe', '90', 'FR'),
(37151, '90200', 'Riervescemont', '90', 'FR'),
(37152, '90110', 'Romagny sous Rougemont', '90', 'FR'),
(37153, '90380', 'Roppe', '90', 'FR'),
(37154, '90200', 'Rougegoutte', '90', 'FR'),
(37155, '90110', 'Rougemont le Ch�teau', '90', 'FR'),
(37156, '90100', 'Saint Dizier l''�v�que', '90', 'FR'),
(37157, '90110', 'Saint Germain le Ch�telet', '90', 'FR'),
(37158, '90300', 'Sermamagny', '90', 'FR'),
(37159, '90400', 'Sevenans', '90', 'FR'),
(37160, '90100', 'Suarce', '90', 'FR'),
(37161, '90100', 'Thiancourt', '90', 'FR'),
(37162, '90400', 'Tr�venans', '90', 'FR'),
(37163, '90800', 'Urcerey', '90', 'FR'),
(37164, '90300', 'Valdoie', '90', 'FR'),
(37165, '90150', 'Vauthiermont', '90', 'FR'),
(37166, '90100', 'Vellescot', '90', 'FR'),
(37167, '90200', 'Vescemont', '90', 'FR'),
(37168, '90300', 'V�trigne', '90', 'FR'),
(37169, '90400', 'V�zelois', '90', 'FR'),
(37170, '90100', 'Villars le Sec', '90', 'FR'),
(37171, '91150', 'Abb�ville la Rivi�re', '91', 'FR'),
(37172, '91670', 'Angerville', '91', 'FR'),
(37173, '91470', 'Angervilliers', '91', 'FR'),
(37174, '91290', 'Arpajon', '91', 'FR'),
(37175, '91690', 'Arrancourt', '91', 'FR'),
(37176, '91200', 'Athis Mons', '91', 'FR'),
(37177, '91410', 'Authon la Plaine', '91', 'FR'),
(37178, '91830', 'Auvernaux', '91', 'FR'),
(37179, '91580', 'Auvers Saint Georges', '91', 'FR'),
(37180, '91630', 'Avrainville', '91', 'FR'),
(37181, '91160', 'Ballainvilliers', '91', 'FR'),
(37182, '91610', 'Ballancourt sur Essonne', '91', 'FR'),
(37183, '91590', 'Baulne', '91', 'FR'),
(37184, '91570', 'Bi�vres', '91', 'FR'),
(37185, '91150', 'Blandy', '91', 'FR'),
(37186, '91720', 'Boigneville', '91', 'FR'),
(37187, '91150', 'Bois Herpin', '91', 'FR'),
(37188, '91690', 'Boissy la Rivi�re', '91', 'FR'),
(37189, '91590', 'Boissy le Cutt�', '91', 'FR'),
(37190, '91870', 'Boissy le Sec', '91', 'FR'),
(37191, '91790', 'Boissy sous Saint Yon', '91', 'FR'),
(37192, '91070', 'Bondoufle', '91', 'FR'),
(37193, '91470', 'Boullay les Troux', '91', 'FR'),
(37194, '91850', 'Bouray sur Juine', '91', 'FR'),
(37195, '91800', 'Boussy Saint Antoine', '91', 'FR'),
(37196, '91150', 'Boutervilliers', '91', 'FR'),
(37197, '91820', 'Boutigny sur Essonne', '91', 'FR'),
(37198, '91880', 'Bouville', '91', 'FR'),
(37199, '91220', 'Br�tigny sur Orge', '91', 'FR'),
(37200, '91650', 'Breuillet', '91', 'FR'),
(37201, '91650', 'Breux Jouy', '91', 'FR'),
(37202, '91150', 'Bri�res les Scell�s', '91', 'FR'),
(37203, '91640', 'Briis sous Forges', '91', 'FR'),
(37204, '91150', 'Brouy', '91', 'FR'),
(37205, '91800', 'Brunoy', '91', 'FR'),
(37206, '91680', 'Bruy�res le Ch�tel', '91', 'FR'),
(37207, '91720', 'Buno Bonnevaux', '91', 'FR'),
(37208, '91440', 'Bures sur Yvette', '91', 'FR'),
(37209, '91590', 'Cerny', '91', 'FR'),
(37210, '91780', 'Ch�lo Saint Mars', '91', 'FR'),
(37211, '91740', 'Chalou Moulineux', '91', 'FR'),
(37212, '91730', 'Chamarande', '91', 'FR'),
(37213, '91750', 'Champcueil', '91', 'FR'),
(37214, '91160', 'Champlan', '91', 'FR'),
(37215, '91150', 'Champmotteux', '91', 'FR'),
(37216, '91410', 'Chatignonville', '91', 'FR'),
(37217, '91580', 'Chauffour l�s �tr�chy', '91', 'FR'),
(37218, '91630', 'Cheptainville', '91', 'FR'),
(37219, '91750', 'Chevannes', '91', 'FR'),
(37220, '91380', 'Chilly Mazarin', '91', 'FR'),
(37221, '91740', 'Congerville', '91', 'FR'),
(37222, '91100', 'Corbeil Essonnes', '91', 'FR'),
(37223, '91410', 'Corbreuse', '91', 'FR'),
(37224, '91830', 'Le Coudray Montceaux', '91', 'FR'),
(37225, '91490', 'Courances', '91', 'FR'),
(37226, '91080', 'Courcouronnes', '91', 'FR'),
(37227, '91720', 'Courdimanche sur Essonne', '91', 'FR'),
(37228, '91680', 'Courson Monteloup', '91', 'FR'),
(37229, '91560', 'Crosne', '91', 'FR'),
(37230, '91490', 'Dannemois', '91', 'FR'),
(37231, '91590', 'D''Huison Longueville', '91', 'FR'),
(37232, '91410', 'Dourdan', '91', 'FR'),
(37233, '91210', 'Draveil', '91', 'FR'),
(37234, '91540', '�charcon', '91', 'FR'),
(37235, '91520', '�gly', '91', 'FR'),
(37236, '91860', '�pinay sous S�nart', '91', 'FR'),
(37237, '91360', '�pinay sur Orge', '91', 'FR'),
(37238, '91660', 'Estouches', '91', 'FR'),
(37239, '91150', '�tampes', '91', 'FR'),
(37240, '91450', '�tiolles', '91', 'FR'),
(37241, '91580', '�tr�chy', '91', 'FR'),
(37242, '91090', '�vry', '91', 'FR'),
(37243, '91080', '�vry', '91', 'FR'),
(37244, '91000', '�vry', '91', 'FR'),
(37245, '91590', 'La Fert� Alais', '91', 'FR'),
(37246, '91700', 'Fleury M�rogis', '91', 'FR'),
(37247, '91690', 'Fontaine la Rivi�re', '91', 'FR'),
(37248, '91640', 'Fontenay l�s Briis', '91', 'FR'),
(37249, '91540', 'Fontenay le Vicomte', '91', 'FR'),
(37250, '91410', 'La For�t le Roi', '91', 'FR'),
(37251, '91150', 'La For�t Sainte Croix', '91', 'FR'),
(37252, '91470', 'Forges les Bains', '91', 'FR'),
(37253, '91190', 'Gif sur Yvette', '91', 'FR'),
(37254, '91720', 'Gironville sur Essonne', '91', 'FR'),
(37255, '91400', 'Gometz la Ville', '91', 'FR'),
(37256, '91940', 'Gometz le Ch�tel', '91', 'FR'),
(37257, '91410', 'Les Granges le Roi', '91', 'FR'),
(37258, '91350', 'Grigny', '91', 'FR'),
(37259, '91630', 'Guibeville', '91', 'FR'),
(37260, '91590', 'Guigneville sur Essonne', '91', 'FR'),
(37261, '91690', 'Guillerval', '91', 'FR'),
(37262, '91430', 'Igny', '91', 'FR'),
(37263, '91760', 'Itteville', '91', 'FR'),
(37264, '91510', 'Janville sur Juine', '91', 'FR'),
(37265, '91640', 'Janvry', '91', 'FR'),
(37266, '91260', 'Juvisy sur Orge', '91', 'FR'),
(37267, '91510', 'Lardy', '91', 'FR'),
(37268, '91630', 'Leudeville', '91', 'FR'),
(37269, '91310', 'Leuville sur Orge', '91', 'FR'),
(37270, '91470', 'Limours', '91', 'FR'),
(37271, '91310', 'Linas', '91', 'FR'),
(37272, '91090', 'Lisses', '91', 'FR'),
(37273, '91160', 'Longjumeau', '91', 'FR'),
(37274, '91310', 'Longpont sur Orge', '91', 'FR'),
(37275, '91720', 'Maisse', '91', 'FR'),
(37276, '91460', 'Marcoussis', '91', 'FR'),
(37277, '91150', 'Marolles en Beauce', '91', 'FR'),
(37278, '91630', 'Marolles en Hurepoix', '91', 'FR'),
(37279, '91300', 'Massy', '91', 'FR'),
(37280, '91730', 'Mauchamps', '91', 'FR'),
(37281, '91540', 'Mennecy', '91', 'FR'),
(37282, '91660', 'M�r�ville', '91', 'FR'),
(37283, '91780', 'M�robert', '91', 'FR'),
(37284, '91150', 'Mespuits', '91', 'FR'),
(37285, '91490', 'Milly la For�t', '91', 'FR'),
(37286, '91490', 'Moigny sur Ecole', '91', 'FR'),
(37287, '91470', 'Les Moli�res', '91', 'FR'),
(37288, '91590', 'Mondeville', '91', 'FR'),
(37289, '91930', 'Monnerville', '91', 'FR'),
(37290, '91230', 'Montgeron', '91', 'FR'),
(37291, '91310', 'Montlh�ry', '91', 'FR'),
(37292, '91420', 'Morangis', '91', 'FR'),
(37293, '91150', 'Morigny Champigny', '91', 'FR'),
(37294, '91390', 'Morsang sur Orge', '91', 'FR'),
(37295, '91250', 'Morsang sur Seine', '91', 'FR'),
(37296, '91750', 'Nainville les Roches', '91', 'FR'),
(37297, '91290', 'La Norville', '91', 'FR'),
(37298, '91620', 'Nozay', '91', 'FR'),
(37299, '91290', 'Ollainville', '91', 'FR'),
(37300, '91490', 'Oncy sur Ecole', '91', 'FR'),
(37301, '91540', 'Ormoy', '91', 'FR'),
(37302, '91150', 'Ormoy la Rivi�re', '91', 'FR'),
(37303, '91400', 'Orsay', '91', 'FR'),
(37304, '91590', 'Orveau', '91', 'FR'),
(37305, '91120', 'Palaiseau', '91', 'FR'),
(37306, '91550', 'Paray Vieille Poste', '91', 'FR'),
(37307, '91320', 'Paray Vieille Poste', '91', 'FR'),
(37308, '91470', 'Pecqueuse', '91', 'FR'),
(37309, '91220', 'Le Plessis P�t�', '91', 'FR'),
(37310, '91410', 'Plessis Saint Benoist', '91', 'FR'),
(37311, '91720', 'Prunay sur Essonne', '91', 'FR'),
(37312, '91150', 'Puiselet le Marais', '91', 'FR'),
(37313, '91740', 'Pussay', '91', 'FR'),
(37314, '91480', 'Quincy sous S�nart', '91', 'FR'),
(37315, '91410', 'Richarville', '91', 'FR'),
(37316, '91000', 'Ris Orangis', '91', 'FR'),
(37317, '91130', 'Ris Orangis', '91', 'FR'),
(37318, '91410', 'Roinville', '91', 'FR'),
(37319, '91150', 'Roinvilliers', '91', 'FR'),
(37320, '91690', 'Saclas', '91', 'FR'),
(37321, '91400', 'Saclay', '91', 'FR'),
(37322, '91190', 'Saint Aubin', '91', 'FR'),
(37323, '91530', 'Saint Ch�ron', '91', 'FR'),
(37324, '91690', 'Saint Cyr la Rivi�re', '91', 'FR'),
(37325, '91410', 'Saint Cyr sous Dourdan', '91', 'FR'),
(37326, '91410', 'Sainte Escobille', '91', 'FR'),
(37327, '91700', 'Sainte Genevi�ve des Bois', '91', 'FR'),
(37328, '91180', 'Saint Germain l�s Arpajon', '91', 'FR'),
(37329, '91250', 'Saint Germain l�s Corbeil', '91', 'FR'),
(37330, '91780', 'aint Hilaire', '91', 'FR'),
(37331, '91940', 'Saint Jean de Beauregard', '91', 'FR'),
(37332, '91530', 'Saint Maurice Montcouronne', '91', 'FR'),
(37333, '91240', 'Saint Michel sur Orge', '91', 'FR'),
(37334, '91280', 'Saint Pierre du Perray', '91', 'FR'),
(37335, '91250', 'Saintry sur Seine', '91', 'FR'),
(37336, '91910', 'Saint Sulpice de Favi�res', '91', 'FR'),
(37337, '91770', 'Saint Vrain', '91', 'FR'),
(37338, '91650', 'Saint Yon', '91', 'FR'),
(37339, '91160', 'Saulx les Chartreux', '91', 'FR'),
(37340, '91600', 'Savigny sur Orge', '91', 'FR'),
(37341, '91530', 'Sermaise', '91', 'FR'),
(37342, '91840', 'Soisy sur �cole', '91', 'FR'),
(37343, '91450', 'Soisy sur Seine', '91', 'FR'),
(37344, '91580', 'Souzy la Briche', '91', 'FR'),
(37345, '91740', 'Congerville Thionville', '91', 'FR'),
(37346, '91250', 'Tigery', '91', 'FR'),
(37347, '91730', 'Torfou', '91', 'FR'),
(37348, '91720', 'Valpuiseaux', '91', 'FR'),
(37349, '91530', 'Le Val Saint Germain', '91', 'FR'),
(37350, '91480', 'Varennes Jarcy', '91', 'FR'),
(37351, '91640', 'Vaugrigneuse', '91', 'FR'),
(37352, '91430', 'Vauhallan', '91', 'FR'),
(37353, '91820', 'Vayres sur Essonne', '91', 'FR'),
(37354, '91370', 'Verri�res le Buisson', '91', 'FR'),
(37355, '91810', 'Vert le Grand', '91', 'FR'),
(37356, '91710', 'Vert le Petit', '91', 'FR'),
(37357, '91890', 'Videlles', '91', 'FR'),
(37358, '91270', 'Vigneux sur Seine', '91', 'FR'),
(37359, '91100', 'Villab�', '91', 'FR'),
(37360, '91940', 'Villebon sur Yvette', '91', 'FR'),
(37361, '91140', 'Villebon sur Yvette', '91', 'FR'),
(37362, '91580', 'Villeconin', '91', 'FR'),
(37363, '91620', 'La Ville du Bois', '91', 'FR'),
(37364, '91140', 'Villejust', '91', 'FR'),
(37365, '91360', 'Villemoisson sur Orge', '91', 'FR'),
(37366, '91580', 'Villeneuve sur Auvers', '91', 'FR'),
(37367, '91190', 'Villiers le B�cle', '91', 'FR'),
(37368, '91700', 'Villiers sur Orge', '91', 'FR'),
(37369, '91170', 'Viry Ch�tillon', '91', 'FR'),
(37370, '91320', 'Wissous', '91', 'FR'),
(37371, '91330', 'Yerres', '91', 'FR'),
(37372, '91940', 'Ulis', '91', 'FR'),
(37373, '91830', 'Le Plessis Chenet', '91', 'FR'),
(37374, '91940', 'Villeziers', '91', 'FR'),
(37375, '91440', 'Montjay', '91', 'FR'),
(37376, '91140', 'Fretay', '91', 'FR'),
(37377, '91210', 'Mainville', '91', 'FR'),
(37378, '92160', 'Antony', '92', 'FR'),
(37379, '92600', 'Asni�res sur Seine', '92', 'FR'),
(37380, '92220', 'Bagneux', '92', 'FR'),
(37381, '92270', 'Bois Colombes', '92', 'FR'),
(37382, '92100', 'Boulogne Billancourt', '92', 'FR'),
(37383, '92340', 'Bourg la Reine', '92', 'FR'),
(37384, '92290', 'Ch�tenay Malabry', '92', 'FR'),
(37385, '92320', 'Ch�tillon', '92', 'FR'),
(37386, '92370', 'Chaville', '92', 'FR'),
(37387, '92140', 'Clamart', '92', 'FR'),
(37388, '92110', 'Clichy', '92', 'FR'),
(37389, '92700', 'Colombes', '92', 'FR'),
(37390, '92400', 'Courbevoie', '92', 'FR'),
(37391, '92260', 'Fontenay aux Roses', '92', 'FR'),
(37392, '92380', 'Garches', '92', 'FR'),
(37393, '92250', 'La Garenne Colombes', '92', 'FR'),
(37394, '92230', 'Gennevilliers', '92', 'FR'),
(37395, '92130', 'Issy les Moulineaux', '92', 'FR'),
(37396, '92300', 'Levallois Perret', '92', 'FR'),
(37397, '92240', 'Malakoff', '92', 'FR'),
(37398, '92430', 'Marnes la Coquette', '92', 'FR'),
(37399, '92190', 'Meudon', '92', 'FR'),
(37400, '92360', 'Meudon', '92', 'FR'),
(37401, '92120', 'Montrouge', '92', 'FR'),
(37402, '92000', 'Nanterre', '92', 'FR'),
(37403, '92200', 'Neuilly sur Seine', '92', 'FR'),
(37404, '92350', 'Le Plessis Robinson', '92', 'FR'),
(37405, '92800', 'Puteaux', '92', 'FR'),
(37406, '92500', 'Rueil Malmaison', '92', 'FR'),
(37407, '92210', 'Saint Cloud', '92', 'FR'),
(37408, '92330', 'Sceaux', '92', 'FR'),
(37409, '92310', 'S�vres', '92', 'FR'),
(37410, '92150', 'Suresnes', '92', 'FR'),
(37411, '92170', 'Vanves', '92', 'FR'),
(37412, '92420', 'Vaucresson', '92', 'FR'),
(37413, '92410', 'Ville d''Avray', '92', 'FR'),
(37414, '92390', 'Villeneuve la Garenne', '92', 'FR'),
(37415, '93300', 'Aubervilliers', '93', 'FR'),
(37416, '93600', 'Aulnay sous Bois', '93', 'FR'),
(37417, '93170', 'Bagnolet', '93', 'FR'),
(37418, '93150', 'Le Blanc Mesnil', '93', 'FR'),
(37419, '93000', 'Bobigny', '93', 'FR'),
(37420, '93140', 'Bondy', '93', 'FR'),
(37421, '93350', 'Le Bourget', '93', 'FR'),
(37422, '93390', 'Clichy sous Bois', '93', 'FR'),
(37423, '93470', 'Coubron', '93', 'FR'),
(37424, '93120', 'La Courneuve', '93', 'FR'),
(37425, '93700', 'Drancy', '93', 'FR'),
(37426, '93440', 'Dugny', '93', 'FR'),
(37427, '93800', '�pinay sur Seine', '93', 'FR'),
(37428, '93220', 'Gagny', '93', 'FR'),
(37429, '93460', 'Gournay sur Marne', '93', 'FR'),
(37430, '93450', 'L''�le Saint Denis', '93', 'FR'),
(37431, '93260', 'Les Lilas', '93', 'FR'),
(37432, '93190', 'Livry Gargan', '93', 'FR'),
(37433, '93370', 'Montfermeil', '93', 'FR'),
(37434, '93100', 'Montreuil', '93', 'FR'),
(37435, '93360', 'Neuilly Plaisance', '93', 'FR'),
(37436, '93330', 'Neuilly sur Marne', '93', 'FR'),
(37437, '93160', 'Noisy le Grand', '93', 'FR'),
(37438, '93130', 'Noisy le Sec', '93', 'FR'),
(37439, '93500', 'Pantin', '93', 'FR'),
(37440, '93320', 'Les Pavillons sous Bois', '93', 'FR'),
(37441, '93380', 'Pierrefitte sur Seine', '93', 'FR'),
(37442, '93310', 'Le Pr� Saint Gervais', '93', 'FR'),
(37443, '93340', 'Le Raincy', '93', 'FR'),
(37444, '93230', 'Romainville', '93', 'FR'),
(37445, '93110', 'Rosny sous Bois', '93', 'FR'),
(37446, '93210', 'Saint Denis', '93', 'FR'),
(37447, '93400', 'Saint Ouen', '93', 'FR'),
(37448, '93270', 'Sevran', '93', 'FR'),
(37449, '93240', 'Stains', '93', 'FR'),
(37450, '93290', 'tremblay en france', '93', 'FR'),
(37451, '93410', 'Vaujours', '93', 'FR'),
(37452, '93250', 'Villemomble', '93', 'FR'),
(37453, '93420', 'Villepinte', '93', 'FR'),
(37454, '93430', 'Villetaneuse', '93', 'FR'),
(37455, '93210', 'La Plaine Saint Denis', '93', 'FR'),
(37456, '94480', 'Ablon sur Seine', '94', 'FR'),
(37457, '94140', 'Alfortville', '94', 'FR'),
(37458, '94110', 'Arcueil', '94', 'FR'),
(37459, '94470', 'Boissy Saint L�ger', '94', 'FR'),
(37460, '94380', 'Bonneuil sur Marne', '94', 'FR'),
(37461, '94360', 'Bry sur Marne', '94', 'FR'),
(37462, '94230', 'Cachan', '94', 'FR'),
(37463, '94500', 'Champigny sur Marne', '94', 'FR'),
(37464, '94220', 'Charenton le Pont', '94', 'FR'),
(37465, '94430', 'Chennevi�res sur Marne', '94', 'FR'),
(37466, '94550', 'Chevilly Larue', '94', 'FR'),
(37467, '94600', 'Choisy le Roi', '94', 'FR'),
(37468, '94000', 'Cr�teil', '94', 'FR'),
(37469, '94120', 'Fontenay sous Bois', '94', 'FR'),
(37470, '94260', 'Fresnes', '94', 'FR'),
(37471, '94250', 'Gentilly', '94', 'FR'),
(37472, '94240', 'L''Hay les Roses', '94', 'FR'),
(37473, '94200', 'Ivry sur Seine', '94', 'FR'),
(37474, '94340', 'Joinville le Pont', '94', 'FR'),
(37475, '94270', 'Le Kremlin Bic�tre', '94', 'FR'),
(37476, '94450', 'Limeil Br�vannes', '94', 'FR'),
(37477, '94700', 'Maisons Alfort', '94', 'FR'),
(37478, '94520', 'Mandres les Roses', '94', 'FR'),
(37479, '94440', 'Marolles en Brie', '94', 'FR'),
(37480, '94130', 'Nogent sur Marne', '94', 'FR'),
(37481, '94880', 'Noiseau', '94', 'FR'),
(37482, '94310', 'Orly', '94', 'FR'),
(37483, '94490', 'Ormesson sur Marne', '94', 'FR'),
(37484, '94520', 'P�rigny', '94', 'FR'),
(37485, '94170', 'Le Perreux Sur Marne', '94', 'FR'),
(37486, '94420', 'Le Plessis Tr�vise', '94', 'FR'),
(37487, '94510', 'La Queue en Brie', '94', 'FR'),
(37488, '94150', 'Rungis', '94', 'FR'),
(37489, '94160', 'Saint Mand�', '94', 'FR'),
(37490, '94210', 'Saint Maur des Foss�s', '94', 'FR'),
(37491, '94100', 'Saint Maur des Foss�s', '94', 'FR'),
(37492, '94410', 'Saint Maurice', '94', 'FR'),
(37493, '94440', 'Santeny', '94', 'FR'),
(37494, '94880', 'Sucy en Brie', '94', 'FR'),
(37495, '94370', 'Sucy en Brie', '94', 'FR'),
(37496, '94320', 'Thiais', '94', 'FR'),
(37497, '94460', 'Valenton', '94', 'FR'),
(37498, '94440', 'Villecresnes', '94', 'FR'),
(37499, '94800', 'Villejuif', '94', 'FR'),
(37500, '94290', 'Villeneuve le Roi', '94', 'FR'),
(37501, '94190', 'Villeneuve Saint Georges', '94', 'FR'),
(37502, '94350', 'Villiers sur Marne', '94', 'FR'),
(37503, '94300', 'Vincennes', '94', 'FR'),
(37504, '94400', 'Vitry sur Seine', '94', 'FR'),
(37505, '94460', 'Val Pompadour', '94', 'FR'),
(37506, '94500', 'Coeuilly', '94', 'FR'),
(37507, '94370', 'Les Bruy�res', '94', 'FR'),
(37508, '95450', 'Ableiges', '95', 'FR'),
(37509, '95510', 'Aincourt', '95', 'FR'),
(37510, '95710', 'Ambleville', '95', 'FR'),
(37511, '95510', 'Amenucourt', '95', 'FR'),
(37512, '95580', 'Andilly', '95', 'FR'),
(37513, '95100', 'Argenteuil', '95', 'FR'),
(37514, '95400', 'Arnouville l�s Gonesse', '95', 'FR'),
(37515, '95810', 'Arronville', '95', 'FR'),
(37516, '95420', 'Arthies', '95', 'FR'),
(37517, '95270', 'Asni�res sur Oise', '95', 'FR'),
(37518, '95570', 'Attainville', '95', 'FR'),
(37519, '95760', 'Auvers sur Oise', '95', 'FR'),
(37520, '95430', 'Auvers sur Oise', '95', 'FR'),
(37521, '95450', 'Avernes', '95', 'FR'),
(37522, '95560', 'Baillet en France', '95', 'FR'),
(37523, '95420', 'Banthelu', '95', 'FR'),
(37524, '95250', 'Beauchamp', '95', 'FR'),
(37525, '95260', 'Beaumont sur Oise', '95', 'FR'),
(37526, '95750', 'Le Bellay en Vexin', '95', 'FR'),
(37527, '95270', 'Bellefontaine', '95', 'FR'),
(37528, '95270', 'Belloy en France', '95', 'FR'),
(37529, '95340', 'Bernes sur Oise', '95', 'FR'),
(37530, '95810', 'Berville', '95', 'FR'),
(37531, '95550', 'Bessancourt', '95', 'FR'),
(37532, '95840', 'B�themont la For�t', '95', 'FR'),
(37533, '95870', 'Bezons', '95', 'FR'),
(37534, '95000', 'Boisemont', '95', 'FR'),
(37535, '95650', 'Boissy l''Aillerie', '95', 'FR'),
(37536, '95500', 'Bonneuil en France', '95', 'FR'),
(37537, '95570', 'Bouff�mont', '95', 'FR'),
(37538, '95720', 'Bouqueval', '95', 'FR'),
(37539, '95710', 'Bray et L�', '95', 'FR'),
(37540, '95640', 'Br�an�on', '95', 'FR'),
(37541, '95640', 'Brignancourt', '95', 'FR'),
(37542, '95820', 'Bruy�res sur Oise', '95', 'FR'),
(37543, '95770', 'Buhy', '95', 'FR'),
(37544, '95430', 'Butry sur Oise', '95', 'FR'),
(37545, '95000', 'Cergy', '95', 'FR'),
(37546, '95800', 'Cergy', '95', 'FR'),
(37547, '95660', 'Champagne sur Oise', '95', 'FR'),
(37548, '95420', 'La Chapelle en Vexin', '95', 'FR'),
(37549, '95420', 'Charmont', '95', 'FR'),
(37550, '95750', 'Chars', '95', 'FR'),
(37551, '95190', 'Ch�tenay en France', '95', 'FR'),
(37552, '95270', 'Chaumontel', '95', 'FR'),
(37553, '95710', 'Chaussy', '95', 'FR'),
(37554, '95560', 'Chauvry', '95', 'FR'),
(37555, '95380', 'Chennevi�res l�s Louvres', '95', 'FR'),
(37556, '95510', 'Ch�rence', '95', 'FR'),
(37557, '95420', 'Cl�ry en Vexin', '95', 'FR'),
(37558, '95450', 'Commeny', '95', 'FR'),
(37559, '95450', 'Cond�court', '95', 'FR'),
(37560, '95240', 'Cormeilles en Parisis', '95', 'FR'),
(37561, '95830', 'Cormeilles en Vexin', '95', 'FR'),
(37562, '95650', 'Courcelles sur Viosne', '95', 'FR'),
(37563, '95800', 'Courdimanche', '95', 'FR'),
(37564, '95170', 'Deuil la Barre', '95', 'FR'),
(37565, '95330', 'Domont', '95', 'FR'),
(37566, '95600', 'Eaubonne', '95', 'FR'),
(37567, '95440', '�couen', '95', 'FR'),
(37568, '95880', 'Enghien les Bains', '95', 'FR'),
(37569, '95300', 'Ennery', '95', 'FR'),
(37570, '95380', '�piais l�s Louvres', '95', 'FR'),
(37571, '95810', '�piais Rhus', '95', 'FR'),
(37572, '95270', '�pinay Champl�treux', '95', 'FR'),
(37573, '95610', '�ragny', '95', 'FR'),
(37574, '95120', 'Ermont', '95', 'FR'),
(37575, '95460', '�zanville', '95', 'FR'),
(37576, '95440', '�zanville', '95', 'FR'),
(37577, '95190', 'Fontenay en Parisis', '95', 'FR'),
(37578, '95470', 'Fosses', '95', 'FR'),
(37579, '95130', 'Franconville', '95', 'FR'),
(37580, '95450', 'Fr�mainville', '95', 'FR'),
(37581, '95830', 'Fr�m�court', '95', 'FR'),
(37582, '95740', 'Fr�pillon', '95', 'FR'),
(37583, '95530', 'La Frette sur Seine', '95', 'FR'),
(37584, '95690', 'Frouville', '95', 'FR'),
(37585, '95450', 'Gadancourt', '95', 'FR'),
(37586, '95140', 'Garges l�s Gonesse', '95', 'FR'),
(37587, '95420', 'G�nainville', '95', 'FR'),
(37588, '95650', 'G�nicourt', '95', 'FR'),
(37589, '95500', 'Gonesse', '95', 'FR'),
(37590, '95190', 'Goussainville', '95', 'FR'),
(37591, '95450', 'Gouzangrez', '95', 'FR'),
(37592, '95810', 'Grisy les Pl�tres', '95', 'FR'),
(37593, '95410', 'Groslay', '95', 'FR'),
(37594, '95450', 'Guiry en Vexin', '95', 'FR'),
(37595, '95640', 'Haravilliers', '95', 'FR'),
(37596, '95780', 'Haute Isle', '95', 'FR'),
(37597, '95640', 'Le Heaulme', '95', 'FR'),
(37598, '95690', 'H�douville', '95', 'FR'),
(37599, '95220', 'Herblay', '95', 'FR'),
(37600, '95300', 'H�rouville', '95', 'FR'),
(37601, '95420', 'Hodent', '95', 'FR'),
(37602, '95290', 'L''Isle Adam', '95', 'FR'),
(37603, '95850', 'Jagny sous Bois', '95', 'FR'),
(37604, '95280', 'Jouy le Moutier', '95', 'FR'),
(37605, '95690', 'Labbeville', '95', 'FR'),
(37606, '95270', 'Lassy', '95', 'FR'),
(37607, '95300', 'Livilliers', '95', 'FR'),
(37608, '95450', 'Longuesse', '95', 'FR'),
(37609, '95380', 'Louvres', '95', 'FR'),
(37610, '95270', 'Luzarches', '95', 'FR'),
(37611, '95560', 'Maffliers', '95', 'FR'),
(37612, '95420', 'Magny en Vexin', '95', 'FR'),
(37613, '95850', 'Mareil en France', '95', 'FR'),
(37614, '95580', 'Margency', '95', 'FR'),
(37615, '95640', 'Marines', '95', 'FR'),
(37616, '95670', 'Marly la Ville', '95', 'FR'),
(37617, '95420', 'Maud�tour en Vexin', '95', 'FR'),
(37618, '95810', 'M�nouville', '95', 'FR'),
(37619, '95180', 'Menucourt', '95', 'FR'),
(37620, '95630', 'M�riel', '95', 'FR'),
(37621, '95540', 'M�ry sur Oise', '95', 'FR'),
(37622, '95720', 'Le Mesnil Aubry', '95', 'FR'),
(37623, '95570', 'Moisselles', '95', 'FR'),
(37624, '95650', 'Montgeroult', '95', 'FR'),
(37625, '95370', 'Montigny l�s Cormeilles', '95', 'FR'),
(37626, '95680', 'Montlignon', '95', 'FR'),
(37627, '95360', 'Montmagny', '95', 'FR'),
(37628, '95160', 'Montmorency', '95', 'FR'),
(37629, '95770', 'Montreuil sur Epte', '95', 'FR'),
(37630, '95560', 'Montsoult', '95', 'FR'),
(37631, '95260', 'Mours', '95', 'FR'),
(37632, '95640', 'Moussy', '95', 'FR'),
(37633, '95590', 'Nerville la For�t', '95', 'FR'),
(37634, '95690', 'Nesles la Vall�e', '95', 'FR'),
(37635, '95640', 'Neuilly en Vexin', '95', 'FR'),
(37636, '95000', 'Neuville sur Oise', '95', 'FR'),
(37637, '95590', 'Nointel', '95', 'FR'),
(37638, '95270', 'Noisy sur Oise', '95', 'FR'),
(37639, '95420', 'Nucourt', '95', 'FR'),
(37640, '95420', 'Omerville', '95', 'FR'),
(37641, '95520', 'Osny', '95', 'FR'),
(37642, '95620', 'Parmain', '95', 'FR'),
(37643, '95450', 'Le Perchay', '95', 'FR'),
(37644, '95340', 'Persan', '95', 'FR'),
(37645, '95480', 'Pierrelaye', '95', 'FR'),
(37646, '95350', 'Piscop', '95', 'FR'),
(37647, '95130', 'Le Plessis Bouchard', '95', 'FR'),
(37648, '95720', 'Le Plessis Gassot', '95', 'FR'),
(37649, '95270', 'Le Plessis Luzarches', '95', 'FR'),
(37650, '95300', 'Pontoise', '95', 'FR'),
(37651, '95000', 'Pontoise', '95', 'FR'),
(37652, '95590', 'Presles', '95', 'FR'),
(37653, '95380', 'Puiseux en France', '95', 'FR'),
(37654, '95650', 'Puiseux Pontoise', '95', 'FR'),
(37655, '95780', 'La Roche Guyon', '95', 'FR'),
(37656, '95700', 'Roissy en France', '95', 'FR'),
(37657, '95340', 'Ronquerolles', '95', 'FR'),
(37658, '95450', 'Sagy', '95', 'FR'),
(37659, '95350', 'Saint Brice sous For�t', '95', 'FR'),
(37660, '95770', 'Saint Clair sur Epte', '95', 'FR'),
(37661, '95510', 'Saint Cyr en Arthies', '95', 'FR'),
(37662, '95420', 'Saint Gervais', '95', 'FR'),
(37663, '95210', 'Saint Gratien', '95', 'FR'),
(37664, '95320', 'Saint Leu la For�t', '95', 'FR'),
(37665, '95270', 'Saint Martin du Tertre', '95', 'FR'),
(37666, '95310', 'Saint Ouen l''Aum�ne', '95', 'FR'),
(37667, '95390', 'Saint Prix', '95', 'FR'),
(37668, '95470', 'Saint Witz', '95', 'FR'),
(37669, '95110', 'Sannois', '95', 'FR'),
(37670, '95640', 'Santeuil', '95', 'FR'),
(37671, '95200', 'Sarcelles', '95', 'FR'),
(37672, '95450', 'Seraincourt', '95', 'FR'),
(37673, '95270', 'Seugy', '95', 'FR'),
(37674, '95230', 'Soisy sous Montmorency', '95', 'FR'),
(37675, '95470', 'Survilliers', '95', 'FR'),
(37676, '95150', 'Taverny', '95', 'FR'),
(37677, '95450', 'Th�m�ricourt', '95', 'FR'),
(37678, '95810', 'Theuville', '95', 'FR'),
(37679, '95500', 'Le Thillay', '95', 'FR'),
(37680, '95450', 'Us', '95', 'FR'),
(37681, '95810', 'Vallangoujard', '95', 'FR'),
(37682, '95760', 'Valmondois', '95', 'FR'),
(37683, '95500', 'Vaudherland', '95', 'FR'),
(37684, '95490', 'Vaur�al', '95', 'FR'),
(37685, '95470', 'V�mars', '95', 'FR'),
(37686, '95780', 'V�theuil', '95', 'FR'),
(37687, '95510', 'V�theuil', '95', 'FR'),
(37688, '95270', 'Viarmes', '95', 'FR'),
(37689, '95510', 'Vienne en Arthies', '95', 'FR'),
(37690, '95450', 'Vigny', '95', 'FR'),
(37691, '95570', 'Villaines sous Bois', '95', 'FR'),
(37692, '95380', 'Villeron', '95', 'FR'),
(37693, '95510', 'Villers en Arthies', '95', 'FR'),
(37694, '95840', 'Villiers Adam', '95', 'FR'),
(37695, '95400', 'Villiers le Bel', '95', 'FR'),
(37696, '95720', 'Villiers le Sec', '95', 'FR'),
(37697, '95420', 'Wy dit Joli Village', '95', 'FR'),
(37698, '97139', 'LES ABYMES', '971', 'GP'),
(37699, '97121', 'ANSE BERTRAND', '971', 'GP'),
(37700, '97122', 'BAIE MAHAULT', '971', 'GP'),
(37701, '97123', 'BAILLIF', '971', 'GP'),
(37702, '97100', 'BASSE TERRE', '971', 'GP'),
(37703, '97125', 'BOUILLANTE', '971', 'GP'),
(37704, '97130', 'CAPESTERRE BELLE EAU', '971', 'GP'),
(37705, '97140', 'CAPESTERRE DE MARIE GALAN', '971', 'GP'),
(37706, '97113', 'GOURBEYRE', '971', 'GP'),
(37707, '97127', 'LA DESIRADE', '971', 'GP'),
(37708, '97126', 'DESHAIES', '971', 'GP'),
(37709, '97112', 'GRAND BOURG', '971', 'GP'),
(37710, '97190', 'LE GOSIER', '971', 'GP'),
(37711, '97128', 'GOYAVE', '971', 'GP'),
(37712, '97129', 'LAMENTIN', '971', 'GP'),
(37713, '97111', 'MORNE A L EAU', '971', 'GP'),
(37714, '97160', 'LE MOULE', '971', 'GP'),
(37715, '97170', 'PETIT BOURG', '971', 'GP'),
(37716, '97131', 'PETIT CANAL', '971', 'GP'),
(37717, '97110', 'POINTE A PITRE', '971', 'GP'),
(37718, '97116', 'POINTE NOIRE', '971', 'GP'),
(37719, '97117', 'PORT LOUIS', '971', 'GP'),
(37720, '97133', 'ST BARTHELEMY', '971', 'GP'),
(37721, '97120', 'ST CLAUDE', '971', 'GP'),
(37722, '97118', 'ST FRANCOIS', '971', 'GP'),
(37723, '97134', 'ST LOUIS', '971', 'GP'),
(37724, '97150', 'ST MARTIN', '971', 'GP');
INSERT INTO `smi_villes` (`villes_id`, `villes_cp`, `villes_nom`, `villes_dep`, `villes_codepays`) VALUES 
(37725, '97180', 'STE ANNE', '971', 'GP'),
(37726, '97115', 'STE ROSE', '971', 'GP'),
(37727, '97136', 'TERRE DE BAS', '971', 'GP'),
(37728, '97137', 'TERRE DE HAUT', '971', 'GP'),
(37729, '97114', 'TROIS RIVIERES', '971', 'GP'),
(37730, '97141', 'VIEUX FORT', '971', 'GP'),
(37731, '97119', 'VIEUX HABITANTS', '971', 'GP'),
(37732, '97130', 'BANANIER', '971', 'GP'),
(37733, '97132', 'PIGEON', '971', 'GP'),
(37734, '97130', 'STE MARIE', '971', 'GP'),
(37735, '97180', 'DOUVILLE', '971', 'GP'),
(37736, '97131', 'LES MANGLES', '971', 'GP'),
(37737, '97216', 'L AJOUPA BOUILLON', '972', 'MQ'),
(37738, '97217', 'LES ANSES D ARLETS', '972', 'MQ'),
(37739, '97218', 'BASSE POINTE', '972', 'MQ'),
(37740, '97221', 'LE CARBET', '972', 'MQ'),
(37741, '97222', 'CASE PILOTE', '972', 'MQ'),
(37742, '97223', 'LE DIAMANT', '972', 'MQ'),
(37743, '97224', 'DUCOS', '972', 'MQ'),
(37744, '97250', 'FONDS ST DENIS', '972', 'MQ'),
(37745, '97200', 'FORT DE FRANCE', '972', 'MQ'),
(37746, '97240', 'LE FRANCOIS', '972', 'MQ'),
(37747, '97218', 'GRAND RIVIERE', '972', 'MQ'),
(37748, '97213', 'GROS MORNE', '972', 'MQ'),
(37749, '97232', 'LE LAMENTIN', '972', 'MQ'),
(37750, '97214', 'LE LORRAIN', '972', 'MQ'),
(37751, '97218', 'MACOUBA', '972', 'MQ'),
(37752, '97225', 'LE MARIGOT', '972', 'MQ'),
(37753, '97290', 'LE MARIN', '972', 'MQ'),
(37754, '97260', 'LE MORNE ROUGE', '972', 'MQ'),
(37755, '97250', 'LE PRECHEUR', '972', 'MQ'),
(37756, '97211', 'RIVIERE PILOTE', '972', 'MQ'),
(37757, '97215', 'RIVIERE SALEE', '972', 'MQ'),
(37758, '97231', 'LE ROBERT', '972', 'MQ'),
(37759, '97270', 'ST ESPRIT', '972', 'MQ'),
(37760, '97212', 'ST JOSEPH', '972', 'MQ'),
(37761, '97250', 'ST PIERRE', '972', 'MQ'),
(37762, '97227', 'STE ANNE', '972', 'MQ'),
(37763, '97228', 'STE LUCE', '972', 'MQ'),
(37764, '97230', 'STE MARIE', '972', 'MQ'),
(37765, '97233', 'SCHOELCHER', '972', 'MQ'),
(37766, '97220', 'LA TRINITE', '972', 'MQ'),
(37767, '97229', 'LES TROIS ILETS', '972', 'MQ'),
(37768, '97280', 'LE VAUCLIN', '972', 'MQ'),
(37769, '97226', 'LE MORNE VERT', '972', 'MQ'),
(37770, '97222', 'BELLEFONTAINE', '972', 'MQ'),
(37771, '97215', 'RIVIERE SALEE PETIT BOURG', '972', 'MQ'),
(37772, '97231', 'VERT PRE', '972', 'MQ'),
(37773, '97230', 'MORNE DES ESSES', '972', 'MQ'),
(37774, '97390', 'REGINA', '973', 'GF'),
(37775, '97300', 'CAYENNE', '973', 'GF'),
(37776, '97350', 'IRACOUBO', '973', 'GF'),
(37777, '97310', 'KOUROU', '973', 'GF'),
(37778, '97355', 'MACOURIA', '973', 'GF'),
(37779, '97360', 'MANA', '973', 'GF'),
(37780, '97351', 'MATOURY', '973', 'GF'),
(37781, '97313', 'ST GEORGES', '973', 'GF'),
(37782, '97354', 'REMIRE MONTJOLY', '973', 'GF'),
(37783, '97311', 'ROURA', '973', 'GF'),
(37784, '97320', 'ST LAURENT DU MARONI', '973', 'GF'),
(37785, '97315', 'SINNAMARY', '973', 'GF'),
(37786, '97300', 'MONTSINERY TONNEGRANDE', '973', 'GF'),
(37787, '97380', 'OUANARY', '973', 'GF'),
(37788, '97314', 'SAUL', '973', 'GF'),
(37789, '97370', 'MARIPASOULA', '973', 'GF'),
(37790, '97330', 'CAMOPI', '973', 'GF'),
(37791, '97340', 'GRAND SANTI', '973', 'GF'),
(37792, '97312', 'ST ELIE', '973', 'GF'),
(37793, '97352', 'LA COMTE', '973', 'GF'),
(37794, '97317', 'APATOU', '973', 'GF'),
(37795, '97353', 'KAW', '973', 'GF'),
(37796, '97318', 'JAVOUHEY', '973', 'GF'),
(37797, '97355', 'MACOURIA', '973', 'GF'),
(37798, '97425', 'LES AVIRONS', '974', 'RE'),
(37799, '97412', 'BRAS PANON', '974', 'RE'),
(37800, '97414', 'ENTRE DEUX', '974', 'RE'),
(37801, '97427', 'L ETANG SALE', '974', 'RE'),
(37802, '97429', 'PETITE ILE', '974', 'RE'),
(37803, '97431', 'LA PLAINE DES PALMISTES', '974', 'RE'),
(37804, '97420', 'LE PORT', '974', 'RE'),
(37805, '97419', 'LA POSSESSION', '974', 'RE'),
(37806, '97440', 'ST ANDRE', '974', 'RE'),
(37807, '97470', 'ST BENOIT', '974', 'RE'),
(37808, '97400', 'ST DENIS', '974', 'RE'),
(37809, '97480', 'ST JOSEPH', '974', 'RE'),
(37810, '97436', 'ST LEU', '974', 'RE'),
(37811, '97134', 'ST LOUIS', '971', 'GP'),
(37812, '97460', 'ST PAUL', '974', 'RE'),
(37813, '97410', 'ST PIERRE', '974', 'RE'),
(37814, '97442', 'ST PHILIPPE', '974', 'RE'),
(37815, '97438', 'STE MARIE', '974', 'RE'),
(37816, '97439', 'STE ROSE', '974', 'RE'),
(37817, '97441', 'STE SUZANNE', '974', 'RE'),
(37818, '97433', 'SALAZIE', '974', 'RE'),
(37819, '97430', 'LE TAMPON', '974', 'RE'),
(37820, '97426', 'LES TROIS BASSINS', '974', 'RE'),
(37821, '97413', 'CILAOS', '974', 'RE'),
(37822, '97400', 'ST DENIS TADAR', '974', 'RE'),
(37823, '97430', 'TAMPON 17EME KM', '974', 'RE'),
(37824, '97429', 'PITON GOYAVES', '974', 'RE'),
(37825, '97480', 'JEAN PETIT', '974', 'RE'),
(37826, '97420', 'LE PORT ZUP', '974', 'RE'),
(37827, '97460', 'PLATEAU CAILLOUX', '974', 'RE'),
(37828, '97410', 'RAVINE BLANCHE', '974', 'RE'),
(37829, '97470', 'BEAUFONDS', '974', 'RE'),
(37830, '97428', 'LA NOUVELLE', '974', 'RE'),
(37831, '97411', 'BOIS DE NEFLES ST PAUL', '974', 'RE'),
(37832, '97438', 'LA GRANDE MONTEE', '974', 'RE'),
(37833, '97417', 'ST BERNARD', '974', 'RE'),
(37834, '97416', 'LA CHALOUPE', '974', 'RE'),
(37835, '97420', 'LE PORT MARINE', '974', 'RE'),
(37836, '97400', 'ST DENIS CAMELIAS', '974', 'RE'),
(37837, '97433', 'HELL BOURG', '974', 'RE'),
(37838, '97417', 'LA MONTAGNE', '974', 'RE'),
(37839, '97424', 'LE PITON ST LEU', '974', 'RE'),
(37840, '97418', 'LA PLAINE DES CAFRES', '974', 'RE'),
(37841, '97430', 'LE QUATORZIEME', '974', 'RE'),
(37842, '97432', 'RAVINE DES CABRIS', '974', 'RE'),
(37843, '97421', 'LA RIVIERE', '974', 'RE'),
(37844, '97437', 'STE ANNE', '974', 'RE'),
(37845, '97490', 'STE CLOTILDE', '974', 'RE'),
(37846, '97434', 'ST GILLES LES BAINS', '974', 'RE'),
(37847, '97435', 'ST GILLES LES HAUTS', '974', 'RE'),
(37848, '97423', 'LE GUILLAUME', '974', 'RE'),
(37849, '97422', 'LA SALINE', '974', 'RE'),
(37850, '97490', 'ST DENIS CHAUDRON', '974', 'RE'),
(37851, '97460', 'BELLEMENE', '974', 'RE'),
(37852, '97440', 'CAMBUSTON', '974', 'RE'),
(37853, '97410', 'GRAND BOIS', '974', 'RE'),
(37854, '97419', 'LA RIVIERE DES GALETS', '974', 'RE'),
(37855, '97400', 'LE BRULE', '974', 'RE'),
(37856, '97419', 'LE DOS D ANE', '974', 'RE'),
(37857, '97439', 'LE PITON STE ROSE', '974', 'RE'),
(37858, '97480', 'LES LIANES', '974', 'RE'),
(37859, '97427', 'L ETANG SALE LES BAINS', '974', 'RE'),
(37860, '97410', 'MONT VERT', '974', 'RE'),
(37861, '97400', 'ST FRANCOIS', '974', 'RE'),
(37862, '97410', 'TERRE STE', '974', 'RE'),
(37863, '97480', 'VINCENDO', '974', 'RE'),
(37864, '97490', 'BOIS DE NEFLES', '974', 'RE'),
(37865, '97400', 'BELLE PIERRE', '974', 'RE'),
(37866, '97442', 'BASSE VALLEE', '974', 'RE'),
(37867, '97435', 'BERNICA', '974', 'RE'),
(37868, '97435', 'TAN ROUGE', '974', 'RE'),
(37869, '97438', 'GILLOT', '974', 'RE'),
(37870, '97424', 'LE PLATE', '974', 'RE'),
(37871, '97412', 'RIVIERE DU MAT', '974', 'RE'),
(37872, '97410', 'BASSE TERRE', '974', 'RE'),
(37873, '97430', 'PONT D YVES', '974', 'RE'),
(37874, '97413', 'PALMISTE ROUGE', '974', 'RE'),
(37875, '97419', 'STE THERESE', '974', 'RE'),
(37876, '97430', 'LES TROIS MARES', '974', 'RE'),
(37877, '97490', 'MOUFIA', '974', 'RE'),
(37878, '97440', 'LA CRESSONNIERE', '974', 'RE'),
(37879, '97425', 'TEVELAVE', '974', 'RE'),
(37880, '97434', 'LA SALINE LES BAINS', '974', 'RE'),
(37881, '97421', 'LES MAKES', '974', 'RE'),
(37882, '97438', 'RIVIERE DES PLUIES', '974', 'RE'),
(37883, '97490', 'LA BRETAGNE', '974', 'RE'),
(37884, '97500', 'MIQUELON LANGLADE', '975', 'PM'),
(37885, '97500', 'ST PIERRE', '975', 'PM'),
(37886, '97500', 'LANGLADE', '975', 'PM'),
(37887, '97600', 'ACOUA', '976', 'YT'),
(37888, '97650', 'BANDRABOUA', '976', 'YT'),
(37889, '97600', 'BANDRELE', '976', 'YT'),
(37890, '97600', 'BOUENI', '976', 'YT'),
(37891, '97600', 'CHICONI', '976', 'YT'),
(37892, '97620', 'CHIRONGUI', '976', 'YT'),
(37893, '97660', 'DEMBENI', '976', 'YT'),
(37894, '97610', 'DZAOUDZI', '976', 'YT'),
(37895, '97625', 'KANI KELI', '976', 'YT'),
(37896, '97690', 'KOUNGOU', '976', 'YT'),
(37897, '97600', 'MAMOUDZOU', '976', 'YT'),
(37898, '97630', 'MTSAMBORO', '976', 'YT'),
(37899, '97600', 'MTSANGAMOUJI', '976', 'YT'),
(37900, '97600', 'OUANGANI', '976', 'YT'),
(37901, '97610', 'PAMANDZI', '976', 'YT'),
(37902, '97640', 'SADA', '976', 'YT'),
(37903, '97600', 'TSINGONI', '976', 'YT'),
(37904, '97670', 'COCONI', '976', 'YT'),
(37905, '97680', 'COMBANI', '976', 'YT'),
(37906, '97650', 'DZOUMOGNE', '976', 'YT'),
(37907, '97600', 'KAWENI', '976', 'YT'),
(37908, '97610', 'LABATTOIR', '976', 'YT'),
(37909, '98610', 'ALO', '986', 'WF'),
(37910, '98620', 'SIGAVE', '986', 'WF'),
(37911, '98600', 'UVEA', '986', 'WF'),
(37912, '98760', 'ANAA', '987', 'PF'),
(37913, '98701', 'ARUE', '987', 'PF'),
(37914, '98761', 'ARUTUA', '987', 'PF'),
(37915, '98704', 'FAAA', '987', 'PF'),
(37916, '98767', 'HAO', '987', 'PF'),
(37917, '98768', 'HIKUERU', '987', 'PF'),
(37918, '98705', 'HITIAA O TE RA', '987', 'PF'),
(37919, '98741', 'HIVA OA', '987', 'PF'),
(37920, '98731', 'HUAHINE', '987', 'PF'),
(37921, '98709', 'MAHINA', '987', 'PF'),
(37922, '98769', 'MAKEMO', '987', 'PF'),
(37923, '98771', 'MANIHI', '987', 'PF'),
(37924, '98732', 'MAUPITI', '987', 'PF'),
(37925, '98728', 'MOOREA MAIAO', '987', 'PF'),
(37926, '98772', 'NAPUKA', '987', 'PF'),
(37927, '98742', 'NUKU HIVA', '987', 'PF'),
(37928, '98773', 'NUKUTAVAKE', '987', 'PF'),
(37929, '98711', 'PAEA', '987', 'PF'),
(37930, '98712', 'PAPARA', '987', 'PF'),
(37931, '98714', 'PAPEETE', '987', 'PF'),
(37932, '98716', 'PIRAE', '987', 'PF'),
(37933, '98774', 'PUKAPUKA', '987', 'PF'),
(37934, '98718', 'PUNAAUIA', '987', 'PF'),
(37935, '98750', 'RAIVAVAE', '987', 'PF'),
(37936, '98776', 'RANGIROA', '987', 'PF'),
(37937, '98751', 'RAPA', '987', 'PF'),
(37938, '98779', 'REAO', '987', 'PF'),
(37939, '98753', 'RURUTU', '987', 'PF'),
(37940, '98733', 'TAHAA', '987', 'PF'),
(37941, '98743', 'TAHUATA', '987', 'PF'),
(37942, '98781', 'TAKAROA', '987', 'PF'),
(37943, '98735', 'TAPUTAPUATEA', '987', 'PF'),
(37944, '98783', 'TATAKOTO', '987', 'PF'),
(37945, '98726', 'TEVA I UTA', '987', 'PF'),
(37946, '98754', 'TUBUAI', '987', 'PF'),
(37947, '98735', 'TUMARAA', '987', 'PF'),
(37948, '98784', 'TUREIA', '987', 'PF'),
(37949, '98744', 'UA HUKA', '987', 'PF'),
(37950, '98745', 'UA POU', '987', 'PF'),
(37951, '98735', 'UTUROA', '987', 'PF'),
(37952, '98706', 'MAHAENA', '987', 'PF'),
(37953, '98707', 'PAPENOO', '987', 'PF'),
(37954, '98708', 'TIAREI', '987', 'PF'),
(37955, '98719', 'AFAAHITI', '987', 'PF'),
(37956, '98720', 'FAAONE', '987', 'PF'),
(37957, '98721', 'PUEU', '987', 'PF'),
(37958, '98722', 'TAUTIRA', '987', 'PF'),
(37959, '98723', 'TEAHUPOO', '987', 'PF'),
(37960, '98724', 'TOAHOTU', '987', 'PF'),
(37961, '98725', 'VAIRAO', '987', 'PF'),
(37962, '98727', 'PAPEARI', '987', 'PF'),
(37963, '98729', 'PAPETOAI', '987', 'PF'),
(37964, '98762', 'NIUTAHI', '987', 'PF'),
(37965, '98764', 'ARATIKA', '987', 'PF'),
(37966, '98770', 'KATIU', '987', 'PF'),
(37967, '98777', 'MATAIVA', '987', 'PF'),
(37968, '98778', 'TIKEHAU', '987', 'PF'),
(37969, '98780', 'PUKARUA', '987', 'PF'),
(37970, '98793', 'MARUTEA SUD', '987', 'PF'),
(37971, '98794', 'MAROTIRI', '987', 'PF'),
(37972, '98795', 'MARIA', '987', 'PF'),
(37973, '98799', 'ILE DE CLIPPERTON', '987', 'PF'),
(37974, '98830', 'DUMBEA', '988', 'NC'),
(37975, '98816', 'HOUAILOU', '988', 'NC'),
(37976, '98832', 'ILE DES PINS', '988', 'NC'),
(37977, '98817', 'KAALA GOMEN', '988', 'NC'),
(37978, '98860', 'KONE', '988', 'NC'),
(37979, '98850', 'KOUMAC', '988', 'NC'),
(37980, '98880', 'LA FOA', '988', 'NC'),
(37981, '98828', 'MARE', '988', 'NC'),
(37982, '98819', 'MOINDOU', '988', 'NC'),
(37983, '98810', 'MONT DORE', '988', 'NC'),
(37984, '98800', 'NOUMEA', '988', 'NC'),
(37985, '98821', 'OUEGOA', '988', 'NC'),
(37986, '98814', 'OUVEA', '988', 'NC'),
(37987, '98890', 'PAITA', '988', 'NC'),
(37988, '98822', 'POINDIMIE', '988', 'NC'),
(37989, '98823', 'PONERIHOUEN', '988', 'NC'),
(37990, '98824', 'POUEBO', '988', 'NC'),
(37991, '98825', 'POUEMBOUT', '988', 'NC'),
(37992, '98826', 'POUM', '988', 'NC'),
(37993, '98827', 'POYA', '988', 'NC'),
(37994, '98880', 'SARRAMEA', '988', 'NC'),
(37995, '98829', 'THIO', '988', 'NC'),
(37996, '98831', 'TOUHO', '988', 'NC'),
(37997, '98834', 'YATE', '988', 'NC'),
(37998, '98840', 'TONTOUTA', '988', 'NC'),
(37999, '98818', 'KOUAOUA', '988', 'NC'),
(38000, '99000', 'MONACO', '', 'FR'),
(38002, '20167', 'AFA', '20', 'FR'),
(38003, '20270', 'AGHIONE', '20', 'FR'),
(38004, '20244', 'AITI', '20', 'FR'),
(38005, '20000', 'AJACCIO', '20', 'FR'),
(38006, '20212', 'ALANDO', '20', 'FR'),
(38007, '20167', 'ALATA', '20', 'FR'),
(38008, '20224', 'ALBERTACCE', '20', 'FR'),
(38009, '20128', 'ALBITRECCIA', '20', 'FR'),
(38010, '20270', 'ALERIA', '20', 'FR'),
(38011, '20220', 'ALGAJOLA', '20', 'FR'),
(38012, '20112', 'ALTAGENE', '20', 'FR'),
(38013, '20251', 'ALTIANI', '20', 'FR'),
(38014, '20212', 'ALZI', '20', 'FR'),
(38015, '20151', 'AMBIEGNA', '20', 'FR'),
(38016, '20272', 'AMPRIANI', '20', 'FR'),
(38017, '20270', 'ANTISANTI', '20', 'FR'),
(38018, '20167', 'APPIETTO', '20', 'FR'),
(38019, '20110', 'ARBELLARA', '20', 'FR'),
(38020, '20160', 'ARBORI', '20', 'FR'),
(38021, '20220', 'AREGNO', '20', 'FR'),
(38022, '20140', 'ARGIUSTA MORICCIO', '20', 'FR'),
(38023, '20151', 'ARRO', '20', 'FR'),
(38024, '20276', 'ASCO', '20', 'FR'),
(38025, '20116', 'AULLENE', '20', 'FR'),
(38026, '20225', 'AVAPESSA', '20', 'FR'),
(38027, '20190', 'AZILONE AMPAZA', '20', 'FR'),
(38028, '20121', 'AZZANA', '20', 'FR'),
(38029, '20160', 'BALOGNA', '20', 'FR'),
(38030, '20253', 'BARBAGGIO', '20', 'FR'),
(38031, '20228', 'BARRETTALI', '20', 'FR'),
(38032, '20119', 'BASTELICA', '20', 'FR'),
(38033, '20129', 'BASTELICACCIA', '20', 'FR'),
(38034, '20200', 'BASTIA', '20', 'FR'),
(38035, '20226', 'BELGODERE', '20', 'FR'),
(38036, '20110', 'BELVEDERE CAMPOMORO', '20', 'FR'),
(38037, '20252', 'BIGORNO', '20', 'FR'),
(38038, '20620', 'BIGUGLIA', '20', 'FR'),
(38039, '20100', 'BILIA', '20', 'FR'),
(38040, '20235', 'BISINCHI', '20', 'FR'),
(38041, '20136', 'BOCOGNANO', '20', 'FR'),
(38042, '20169', 'BONIFACIO', '20', 'FR'),
(38043, '20290', 'BORGO', '20', 'FR'),
(38044, '20222', 'BRANDO', '20', 'FR'),
(38045, '20212', 'BUSTANICO', '20', 'FR'),
(38046, '20228', 'CAGNANO', '20', 'FR'),
(38047, '20224', 'CALACUCCIA', '20', 'FR'),
(38048, '20111', 'CALCATOGGIO', '20', 'FR'),
(38049, '20214', 'CALENZANA', '20', 'FR'),
(38050, '20260', 'CALVI', '20', 'FR'),
(38051, '20244', 'CAMBIA', '20', 'FR'),
(38052, '20229', 'CAMPANA', '20', 'FR'),
(38053, '20270', 'CAMPI', '20', 'FR'),
(38054, '20290', 'CAMPILE', '20', 'FR'),
(38055, '20252', 'CAMPITELLO', '20', 'FR'),
(38056, '20142', 'CAMPO', '20', 'FR'),
(38057, '20230', 'CANALE DI VERDE', '20', 'FR'),
(38058, '20217', 'CANARI', '20', 'FR'),
(38059, '20235', 'CANAVAGGIA', '20', 'FR'),
(38060, '20151', 'CANNELLE', '20', 'FR'),
(38061, '20170', 'CARBINI', '20', 'FR'),
(38062, '20133', 'CARBUCCIA', '20', 'FR'),
(38063, '20229', 'CARCHETO BRUSTICO', '20', 'FR'),
(38064, '20190', 'CARDO TORGIA', '20', 'FR'),
(38065, '20130', 'CARGESE', '20', 'FR'),
(38066, '20164', 'CARGIACA', '20', 'FR'),
(38067, '20229', 'CARPINETO', '20', 'FR'),
(38068, '20244', 'CARTICASI', '20', 'FR'),
(38069, '20237', 'CASABIANCA', '20', 'FR'),
(38070, '20111', 'CASAGLIONE', '20', 'FR'),
(38071, '20140', 'CASALABRIVA', '20', 'FR'),
(38072, '20215', 'CASALTA', '20', 'FR'),
(38073, '20224', 'CASAMACCIOLI', '20', 'FR'),
(38074, '20250', 'CASANOVA', '20', 'FR'),
(38075, '20270', 'CASEVECCHIE', '20', 'FR'),
(38076, '20214', 'CASSANO', '20', 'FR'),
(38077, '20213', 'CASTELLARE DI CASINCA', '20', 'FR'),
(38078, '20212', 'CASTELLARE DI MERCURIO', '20', 'FR'),
(38079, '20235', 'CASTELLO DI ROSTINO', '20', 'FR'),
(38080, '20218', 'CASTIFAO', '20', 'FR'),
(38081, '20218', 'CASTIGLIONE', '20', 'FR'),
(38082, '20218', 'CASTINETA', '20', 'FR'),
(38083, '20236', 'CASTIRLA', '20', 'FR'),
(38084, '20225', 'CATERI', '20', 'FR'),
(38085, '20117', 'CAURO', '20', 'FR'),
(38086, '20238', 'CENTURI', '20', 'FR'),
(38087, '20221', 'CERVIONE', '20', 'FR'),
(38088, '20230', 'CHIATRA', '20', 'FR'),
(38089, '20134', 'CIAMANNACCE', '20', 'FR'),
(38090, '20160', 'COGGIA', '20', 'FR'),
(38091, '20123', 'COGNOCOLI MONTICHI', '20', 'FR'),
(38092, '20135', 'CONCA', '20', 'FR'),
(38093, '20220', 'CORBARA', '20', 'FR'),
(38094, '20168', 'CORRANO', '20', 'FR'),
(38095, '20224', 'CORSCIA', '20', 'FR'),
(38096, '20250', 'CORTE', '20', 'FR'),
(38097, '20226', 'COSTA', '20', 'FR'),
(38098, '20138', 'COTI CHIAVARI', '20', 'FR'),
(38099, '20148', 'COZZANO', '20', 'FR'),
(38100, '20126', 'CRISTINACCE', '20', 'FR'),
(38101, '20237', 'CROCE', '20', 'FR'),
(38102, '20290', 'CROCICCHIA', '20', 'FR'),
(38103, '20167', 'CUTTOLI CORTICCHIATO', '20', 'FR'),
(38104, '20117', 'ECCICA SUARELLA', '20', 'FR'),
(38105, '20212', 'ERBAJOLO', '20', 'FR'),
(38106, '20244', 'ERONE', '20', 'FR'),
(38107, '20275', 'ERSA', '20', 'FR'),
(38108, '20126', 'EVISA', '20', 'FR'),
(38109, '20253', 'FARINOLE', '20', 'FR'),
(38110, '20212', 'FAVALELLO', '20', 'FR'),
(38111, '20234', 'FELCE', '20', 'FR'),
(38112, '20225', 'FELICETO', '20', 'FR'),
(38113, '20237', 'FICAJA', '20', 'FR'),
(38114, '20114', 'FIGARI', '20', 'FR'),
(38115, '20100', 'FOCE', '20', 'FR'),
(38116, '20212', 'FOCICCHIA', '20', 'FR'),
(38117, '20190', 'FORCIOLO', '20', 'FR'),
(38118, '20143', 'FOZZANO', '20', 'FR'),
(38119, '20157', 'FRASSETO', '20', 'FR'),
(38120, '20600', 'FURIANI', '20', 'FR'),
(38121, '20245', 'GALERIA', '20', 'FR'),
(38122, '20218', 'GAVIGNANO', '20', 'FR'),
(38123, '20240', 'GHISONACCIA', '20', 'FR'),
(38124, '20227', 'GHISONI', '20', 'FR'),
(38125, '20237', 'GIOCATOJO', '20', 'FR'),
(38126, '20251', 'GIUNCAGGIO', '20', 'FR'),
(38127, '20100', 'GIUNCHETO', '20', 'FR'),
(38128, '20100', 'GRANACE', '20', 'FR'),
(38129, '20100', 'GROSSA', '20', 'FR'),
(38130, '20128', 'GROSSETO PRUGNA', '20', 'FR'),
(38131, '20160', 'GUAGNO', '20', 'FR'),
(38132, '20128', 'GUARGUALE', '20', 'FR'),
(38133, '20153', 'GUITERA LES BAINS', '20', 'FR'),
(38134, '20220', 'L ILE ROUSSE', '20', 'FR'),
(38135, '20243', 'ISOLACCIO DI FIUMORBO', '20', 'FR'),
(38136, '20218', 'LAMA', '20', 'FR'),
(38137, '20244', 'LANO', '20', 'FR'),
(38138, '20225', 'LAVATOGGIO', '20', 'FR'),
(38139, '20137', 'LECCI', '20', 'FR'),
(38140, '20252', 'LENTO', '20', 'FR'),
(38141, '20160', 'LETIA', '20', 'FR'),
(38142, '20170', 'LEVIE', '20', 'FR'),
(38143, '20230', 'LINGUIZZETTA', '20', 'FR'),
(38144, '20139', 'LOPIGNA', '20', 'FR'),
(38145, '20215', 'LORETO DI CASINCA', '20', 'FR'),
(38146, '20165', 'LORETO DI TALLANO', '20', 'FR'),
(38147, '20224', 'LOZZI', '20', 'FR'),
(38148, '20290', 'LUCCIANA', '20', 'FR'),
(38149, '20240', 'LUGO DI NAZZA', '20', 'FR'),
(38150, '20260', 'LUMIO', '20', 'FR'),
(38151, '20228', 'LURI', '20', 'FR'),
(38152, '20245', 'MANSO', '20', 'FR'),
(38153, '20141', 'MARIGNANA', '20', 'FR'),
(38154, '20270', 'MATRA', '20', 'FR'),
(38155, '20259', 'MAUSOLEO', '20', 'FR'),
(38156, '20212', 'MAZZOLA', '20', 'FR'),
(38157, '20112', 'MELA', '20', 'FR'),
(38158, '20287', 'MERIA', '20', 'FR'),
(38159, '20140', 'MOCA CROCE', '20', 'FR'),
(38160, '20270', 'MOITA', '20', 'FR'),
(38161, '20218', 'MOLTIFAO', '20', 'FR'),
(38162, '20171', 'MONACIA D AULLENE', '20', 'FR'),
(38163, '20229', 'MONACCIA D OREZZA', '20', 'FR'),
(38164, '20214', 'MONCALE', '20', 'FR'),
(38165, '20290', 'MONTE', '20', 'FR'),
(38166, '20214', 'MONTEGROSSO', '20', 'FR'),
(38167, '20220', 'MONTICELLO', '20', 'FR'),
(38168, '20218', 'MOROSAGLIA', '20', 'FR'),
(38169, '20238', 'MORSIGLIA', '20', 'FR'),
(38170, '20219', 'MURACCIOLE', '20', 'FR'),
(38171, '20239', 'MURATO', '20', 'FR'),
(38172, '20225', 'MURO', '20', 'FR'),
(38173, '20160', 'MURZO', '20', 'FR'),
(38174, '20225', 'NESSA', '20', 'FR'),
(38175, '20229', 'NOCARIO', '20', 'FR'),
(38176, '20219', 'NOCETA', '20', 'FR'),
(38177, '20217', 'NONZA', '20', 'FR'),
(38178, '20234', 'NOVALE', '20', 'FR'),
(38179, '20211', 'NOVELLA', '20', 'FR'),
(38180, '20117', 'OCANA', '20', 'FR'),
(38181, '20226', 'OCCHIATANA', '20', 'FR'),
(38182, '20217', 'OGLIASTRO', '20', 'FR'),
(38183, '20217', 'OLCANI', '20', 'FR'),
(38184, '20232', 'OLETTA', '20', 'FR'),
(38185, '20140', 'OLIVESE', '20', 'FR'),
(38186, '20217', 'OLMETA DI CAPOCORSO', '20', 'FR'),
(38187, '20273', 'OLMETA DI TUDA', '20', 'FR'),
(38188, '20113', 'OLMETO', '20', 'FR'),
(38189, '20259', 'OLMI CAPPELLA', '20', 'FR'),
(38190, '20112', 'OLMICCIA', '20', 'FR'),
(38191, '20290', 'OLMO', '20', 'FR'),
(38192, '20236', 'OMESSA', '20', 'FR'),
(38193, '20234', 'ORTALE', '20', 'FR'),
(38194, '20290', 'ORTIPORIO', '20', 'FR'),
(38195, '20125', 'ORTO', '20', 'FR'),
(38196, '20147', 'OSANI', '20', 'FR'),
(38197, '20150', 'OTA', '20', 'FR'),
(38198, '20226', 'PALASCA', '20', 'FR'),
(38199, '20134', 'PALNECA', '20', 'FR'),
(38200, '20251', 'PANCHERACCIA', '20', 'FR'),
(38201, '20229', 'PARATA', '20', 'FR'),
(38202, '20147', 'PARTINELLO', '20', 'FR'),
(38203, '20121', 'PASTRICCIOLA', '20', 'FR'),
(38204, '20253', 'PATRIMONIO', '20', 'FR'),
(38205, '20290', 'PENTA ACQUATELLA', '20', 'FR'),
(38206, '20213', 'PENTA DI CASINCA', '20', 'FR'),
(38207, '20234', 'PERELLI', '20', 'FR'),
(38208, '20167', 'PERI', '20', 'FR'),
(38209, '20230', 'PERO CASEVECCHIE', '20', 'FR'),
(38210, '20140', 'PETRETO BICCHISANO', '20', 'FR'),
(38211, '20115', 'PIANA', '20', 'FR'),
(38212, '20272', 'PIANELLO', '20', 'FR'),
(38213, '20215', 'PIANO', '20', 'FR'),
(38214, '20131', 'PIANOTOLLI CALDARELLO', '20', 'FR'),
(38215, '20234', 'PIAZZALI', '20', 'FR'),
(38216, '20229', 'PIAZZOLE', '20', 'FR'),
(38217, '20251', 'PIEDICORTE DI GAGGIO', '20', 'FR'),
(38218, '20229', 'PIEDICROCE', '20', 'FR'),
(38219, '20218', 'PIEDIGRIGGIO', '20', 'FR'),
(38220, '20229', 'PIEDIPARTINO', '20', 'FR'),
(38221, '20229', 'PIED OREZZA', '20', 'FR'),
(38222, '20218', 'PIETRALBA', '20', 'FR'),
(38223, '20233', 'PIETRACORBARA', '20', 'FR'),
(38224, '20230', 'PIETRA DI VERDE', '20', 'FR'),
(38225, '20251', 'PIETRASERENA', '20', 'FR'),
(38226, '20234', 'PIETRICAGGIO', '20', 'FR'),
(38227, '20166', 'PIETROSELLA', '20', 'FR'),
(38228, '20242', 'PIETROSO', '20', 'FR'),
(38229, '20258', 'PIEVE', '20', 'FR'),
(38230, '20220', 'PIGNA', '20', 'FR'),
(38231, '20123', 'PILA CANALE', '20', 'FR'),
(38232, '20228', 'PINO', '20', 'FR'),
(38233, '20234', 'PIOBETTA', '20', 'FR'),
(38234, '20259', 'PIOGGIOLA', '20', 'FR'),
(38235, '20240', 'POGGIO DI NAZZA', '20', 'FR'),
(38236, '20250', 'POGGIO DE VENACO', '20', 'FR'),
(38237, '20232', 'POGGIO D OLETTA', '20', 'FR'),
(38238, '20125', 'POGGIOLO', '20', 'FR'),
(38239, '20237', 'POGGIO MARINACCIO', '20', 'FR'),
(38240, '20230', 'POGGIO MEZZANA', '20', 'FR'),
(38241, '20229', 'POLVEROSO', '20', 'FR'),
(38242, '20218', 'POPOLASCA', '20', 'FR'),
(38243, '20215', 'PORRI', '20', 'FR'),
(38244, '20237', 'LA PORTA', '20', 'FR'),
(38245, '20137', 'PORTO VECCHIO', '20', 'FR'),
(38246, '20218', 'PRATO DI GIOVELLINA', '20', 'FR'),
(38247, '20110', 'PROPRIANO', '20', 'FR'),
(38248, '20290', 'PRUNELLI DI CASACONI', '20', 'FR'),
(38249, '20243', 'PRUNELLI DI FIUMORBO', '20', 'FR'),
(38250, '20264', 'PRUNO', '20', 'FR'),
(38251, '20142', 'QUASQUARA', '20', 'FR'),
(38252, '20122', 'QUENZA', '20', 'FR'),
(38253, '20237', 'QUERCITELLO', '20', 'FR'),
(38254, '20229', 'RAPAGGIO', '20', 'FR'),
(38255, '20258', 'RAPALE', '20', 'FR'),
(38256, '20160', 'RENNO', '20', 'FR'),
(38257, '20121', 'REZZA', '20', 'FR'),
(38258, '20250', 'RIVENTOSA', '20', 'FR'),
(38259, '20247', 'ROGLIANO', '20', 'FR'),
(38260, '20121', 'ROSAZIA', '20', 'FR'),
(38261, '20219', 'ROSPIGLIANI', '20', 'FR'),
(38262, '20244', 'RUSIO', '20', 'FR'),
(38263, '20239', 'RUTALI', '20', 'FR'),
(38264, '20121', 'SALICE', '20', 'FR'),
(38265, '20218', 'SALICETO', '20', 'FR'),
(38266, '20134', 'SAMPOLO', '20', 'FR'),
(38267, '20145', 'SARI SOLENZARA', '20', 'FR'),
(38268, '20151', 'SARI D ORCINO', '20', 'FR'),
(38269, '20167', 'SARROLA CARCOPINO', '20', 'FR'),
(38270, '20100', 'SARTENE', '20', 'FR'),
(38271, '20264', 'SCATA', '20', 'FR'),
(38272, '20290', 'SCOLCA', '20', 'FR'),
(38273, '20212', 'SERMANO', '20', 'FR'),
(38274, '20140', 'SERRA DI FERRO', '20', 'FR'),
(38275, '20243', 'SERRA DI FIUMORBO', '20', 'FR'),
(38276, '20127', 'SERRA DI SCOPAMENE', '20', 'FR'),
(38277, '20147', 'SERRIERA', '20', 'FR'),
(38278, '20215', 'SILVARECCIO', '20', 'FR'),
(38279, '20233', 'SISCO', '20', 'FR'),
(38280, '20125', 'SOCCIA', '20', 'FR'),
(38281, '20240', 'SOLARO', '20', 'FR'),
(38282, '20140', 'SOLLACARO', '20', 'FR'),
(38283, '20152', 'SORBOLLANO', '20', 'FR'),
(38284, '20213', 'SORBO OCAGNANO', '20', 'FR'),
(38285, '20258', 'SORIO', '20', 'FR'),
(38286, '20146', 'SOTTA', '20', 'FR'),
(38287, '20250', 'SOVERIA', '20', 'FR'),
(38288, '20226', 'SPELONCATO', '20', 'FR'),
(38289, '20229', 'STAZZONA', '20', 'FR'),
(38290, '20212', 'SANT ANDREA DI BOZIO', '20', 'FR'),
(38291, '20221', 'SANT ANDREA DI COTONE', '20', 'FR'),
(38292, '20151', 'SANT ANDREA D ORCINO', '20', 'FR'),
(38293, '20220', 'SANT ANTONINO', '20', 'FR'),
(38294, '20264', 'SAN DAMIANO', '20', 'FR'),
(38295, '20217', 'ST FLORENT', '20', 'FR'),
(38296, '20264', 'SAN GAVINO D AMPUGNANI', '20', 'FR'),
(38297, '20170', 'SAN GAVINO DI CARBINI', '20', 'FR'),
(38298, '20246', 'SAN GAVINO DI TENDA', '20', 'FR'),
(38299, '20230', 'SAN GIOVANNI DI MORIANI', '20', 'FR'),
(38300, '20230', 'SAN GIULIANO', '20', 'FR'),
(38301, '20244', 'SAN LORENZO', '20', 'FR'),
(38302, '20200', 'SAN MARTINO DI LOTA', '20', 'FR'),
(38303, '20250', 'SANTA LUCIA DI MERCURIO', '20', 'FR'),
(38304, '20230', 'SANTA LUCIA DI MORIANI', '20', 'FR'),
(38305, '20112', 'STE LUCIE DE TALLANO', '20', 'FR'),
(38306, '20200', 'SANTA MARIA DI LOTA', '20', 'FR'),
(38307, '20143', 'SANTA MARIA FIGANIELLA', '20', 'FR'),
(38308, '20221', 'SANTA MARIA POGGIO', '20', 'FR'),
(38309, '20190', 'SANTA MARIA SICHE', '20', 'FR'),
(38310, '20230', 'SAN NICOLAO', '20', 'FR'),
(38311, '20246', 'SANTO PIETRO DI TENDA', '20', 'FR'),
(38312, '20250', 'SANTO PIETRO DI VENACO', '20', 'FR'),
(38313, '20220', 'SANTA REPARATA DI BALAGNA', '20', 'FR'),
(38314, '20230', 'SANTA REPARATA DI MORIANI', '20', 'FR'),
(38315, '20230', 'TAGLIO ISOLACCIO', '20', 'FR'),
(38316, '20230', 'TALASANI', '20', 'FR'),
(38317, '20270', 'TALLONE', '20', 'FR'),
(38318, '20234', 'TARRANO', '20', 'FR'),
(38319, '20134', 'TASSO', '20', 'FR'),
(38320, '20167', 'TAVACO', '20', 'FR'),
(38321, '20163', 'TAVERA', '20', 'FR'),
(38322, '20100', 'TIVOLAGGIO', '20', 'FR'),
(38323, '20117', 'TOLLA', '20', 'FR'),
(38324, '20248', 'TOMINO', '20', 'FR'),
(38325, '20270', 'TOX', '20', 'FR'),
(38326, '20250', 'TRALONCA', '20', 'FR'),
(38327, '20133', 'UCCIANI', '20', 'FR'),
(38328, '20128', 'URBALACONE', '20', 'FR'),
(38329, '20218', 'URTACA', '20', 'FR'),
(38330, '20273', 'VALLECALLE', '20', 'FR'),
(38331, '20234', 'VALLE D ALESANI', '20', 'FR'),
(38332, '20221', 'VALLE DI CAMPOLORO', '20', 'FR'),
(38333, '20167', 'VALLE DI MEZZANA', '20', 'FR'),
(38334, '20235', 'VALLE DI ROSTINO', '20', 'FR'),
(38335, '20229', 'VALLE D OREZZA', '20', 'FR'),
(38336, '20259', 'VALLICA', '20', 'FR'),
(38337, '20230', 'VELONE ORNETO', '20', 'FR'),
(38338, '20231', 'VENACO', '20', 'FR'),
(38339, '20240', 'VENTISERI', '20', 'FR'),
(38340, '20215', 'VENZOLASCA', '20', 'FR'),
(38341, '20229', 'VERDESE', '20', 'FR'),
(38342, '20172', 'VERO', '20', 'FR'),
(38343, '20215', 'VESCOVATO', '20', 'FR'),
(38344, '20242', 'VEZZANI', '20', 'FR'),
(38345, '20160', 'VICO', '20', 'FR'),
(38346, '20110', 'VIGGIANELLO', '20', 'FR'),
(38347, '20290', 'VIGNALE', '20', 'FR'),
(38348, '20167', 'VILLANOVA', '20', 'FR'),
(38349, '20279', 'VILLE DI PARASO', '20', 'FR'),
(38350, '20200', 'VILLE DI PIETRABUGNO', '20', 'FR'),
(38351, '20219', 'VIVARIO', '20', 'FR'),
(38352, '20290', 'VOLPAJOLA', '20', 'FR'),
(38353, '20272', 'ZALANA', '20', 'FR'),
(38354, '20116', 'ZERUBIA', '20', 'FR'),
(38355, '20173', 'ZEVACO', '20', 'FR'),
(38356, '20132', 'ZICAVO', '20', 'FR'),
(38357, '20190', 'ZIGLIARA', '20', 'FR'),
(38358, '20214', 'ZILIA', '20', 'FR'),
(38359, '20124', 'ZONZA', '20', 'FR'),
(38360, '20112', 'ZOZA', '20', 'FR'),
(38361, '20272', 'ZUANI', '20', 'FR'),
(38362, '20243', 'SAN GAVINO DI FIUMORBO', '20', 'FR'),
(38363, '20240', 'CHISA', '20', 'FR'),
(38364, '20219', 'VIZZAVONA', '20', 'FR'),
(38365, '20230', 'MORIANI PLAGE', '20', 'FR'),
(38366, '20150', 'PORTO', '20', 'FR'),
(38367, '20166', 'PORTICCIO', '20', 'FR'),
(38368, '20167', 'MEZZAVIA', '20', 'FR'),
(38369, '20145', 'SOLENZARA', '20', 'FR'),
(38370, '20160', 'GUAGNO LES BAINS', '20', 'FR'),
(38371, '20248', 'MACINAGGIO', '20', 'FR'),
(38372, '20218', 'PONTE LECCIA', '20', 'FR'),
(38373, '20144', 'STE LUCIE DE PORTO VECCHI', '20', 'FR'),
(38374, '20222', 'ERBALUNGA', '20', 'FR'),
(38375, '20140', 'PORTO POLLO', '20', 'FR'),
(38376, '20166', 'BISINAO', '20', 'FR'),
(38377, '20118', 'SAGONE', '20', 'FR'),
(38378, '20214', 'MONTEMAGGIORE', '20', 'FR'),
(38379, '20214', 'ST RAINIER DE BALAGNE', '20', 'FR'),
(38380, '20243', 'ABBAZIA', '20', 'FR'),
(38381, '20243', 'AJIOLA', '20', 'FR'),
(38382, '20230', 'ALISTRO', '20', 'FR'),
(38383, '20240', 'ALZITONE', '20', 'FR'),
(38384, '20260', 'ARGENTELLA', '20', 'FR'),
(38385, '20290', 'BARCHETTA', '20', 'FR'),
(38386, '20230', 'BRAVONE', '20', 'FR'),
(38387, '20200', 'CARDO', '20', 'FR'),
(38388, '20290', 'CASAMOZZA', '20', 'FR'),
(38389, '20270', 'CASAPERTA', '20', 'FR'),
(38390, '20620', 'CASATORRA', '20', 'FR'),
(38391, '20217', 'CASTA', '20', 'FR'),
(38392, '20264', 'CHAMPLAN', '20', 'FR'),
(38393, '20213', 'FOLELLI', '20', 'FR'),
(38394, '20236', 'FRANCARDO', '20', 'FR'),
(38395, '20222', 'LAVASINA', '20', 'FR'),
(38396, '20226', 'LOZARI', '20', 'FR'),
(38397, '20240', 'MIGNATAJA', '20', 'FR'),
(38398, '20200', 'MIOMO', '20', 'FR'),
(38399, '20230', 'MORIANI', '20', 'FR'),
(38400, '20243', 'MORTA', '20', 'FR'),
(38401, '20270', 'PIANICCIA', '20', 'FR'),
(38402, '20200', 'PIETRANERA', '20', 'FR'),
(38403, '20243', 'PIETRAPOLA', '20', 'FR'),
(38404, '20290', 'PORETTA', '20', 'FR'),
(38405, '20221', 'PRUNETE', '20', 'FR'),
(38406, '20213', 'QUERCIOLO', '20', 'FR'),
(38407, '20228', 'SANTA SEVERA', '20', 'FR'),
(38408, '20240', 'ST ANTOINE', '20', 'FR'),
(38409, '20214', 'SUARE', '20', 'FR'),
(38410, '20219', 'TATTONE', '20', 'FR'),
(38411, '20240', 'TRAVO', '20', 'FR'),
(38412, '20270', 'VACAJA', '20', 'FR'),
(38413, '20290', 'VALROSE', '20', 'FR'),
(38414, '20224', 'VERGIO', '20', 'FR'),
(38415, '20230', 'FIGARETTO', '20', 'FR'),
(38417, '00984', 'ILES CROZET', '984', 'TF');

#
# Table structure for table `smi_wmque`
#

DROP TABLE IF EXISTS `smi_wmque`;
CREATE TABLE `smi_wmque` (
  `wmque_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `wmque_codemque` VARCHAR(20) NOT NULL,
  `wmque_desc` VARCHAR(50) NOT NULL,
  `wmque_lien` VARCHAR(200) NOT NULL,
  `wmque_login` VARCHAR(40) DEFAULT NULL,
  `wmque_mdp` VARCHAR(40) DEFAULT NULL,
  `wmque_notaa` TEXT,
  `wmque_notat` TEXT,
  `wmque_prop` VARCHAR(20) NOT NULL DEFAULT '*',
  PRIMARY KEY  (`wmque_id`),
  KEY `wmque_codemque` (`wmque_codemque`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;


#
# Dumping data for table `smi_wmque`
#


#
# Table structure for table `smi_wmquen`
#

DROP TABLE IF EXISTS `smi_wmquen`;
CREATE TABLE `smi_wmquen` (
  `wmquen_id` INT(10) NOT NULL AUTO_INCREMENT,
  `wmquen_idwmque` INT(10) NOT NULL,
  `wmquen_codeu` VARCHAR(20) COLLATE latin1_general_ci NOT NULL,
  `wmquen_nota` TEXT COLLATE latin1_general_ci,
  PRIMARY KEY  (`wmquen_id`),
  KEY `wmquen_codeu` (`wmquen_codeu`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;


#
# Dumping data for table `smi_wmquen`
#


#
# Table structure for table `smi_zcc`
#

DROP TABLE IF EXISTS `smi_zcc`;
CREATE TABLE `smi_zcc` (
  `zcc_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `zcc_code` VARCHAR(10) CHARACTER SET latin1 NOT NULL,
  `zcc_codepays` CHAR(3) CHARACTER SET latin1 NOT NULL,
  `zcc_codedep` VARCHAR(30) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY  (`zcc_id`),
  KEY `spc_code` (`zcc_code`),
  KEY `spc_codepays` (`zcc_codepays`),
  KEY `spc_codedep` (`zcc_codedep`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ;

#
# Dumping data for table `smi_zcc`
#

#
# Table structure for table `smi_zoc`
#

DROP TABLE IF EXISTS `smi_zoc`;
CREATE TABLE `smi_zoc` (
  `zoc_id` INT(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `zoc_code` VARCHAR(10) CHARACTER SET latin1 NOT NULL,
  `zoc_codepays` CHAR(3) CHARACTER SET latin1 NOT NULL,
  `zoc_codedep` VARCHAR(30) CHARACTER SET latin1 NOT NULL,
  PRIMARY KEY  (`zoc_id`),
  KEY `spc_code` (`zoc_code`),
  KEY `spc_codepays` (`zoc_codepays`),
  KEY `spc_codedep` (`zoc_codedep`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

#
# Dumping data for table `smi_zoc`
#
